Copyright: Copyright 1994 (c) WordPerfect Corporation.
Citation: If copying a macro example, you will need to edit the example before running the macro.


Contents

Welcome to the WordPerfect 6.0 for Windows Online Macros Manual

To search for information and move through the reference, use the buttons along the top of this window.  To access specific information, choose from the following topics:

Choose	For information about

Macro Command Index	product and programming commands

System Variable Index	system variables

Macro Basics	macro concepts, variables, constants, operators, expressions, control statements, conventions, and hints

Macro Facility	WordPerfect's Macro Facility application

Creating Macros	recording, playing, editing, and writing macros

Dialog Boxes	dialog box controls, modal dialog boxes, modeless dialog boxes, and creating a dialog box

Coach Overview	writing coaches for WordPerfect 6.0 for Windows

Assigning Macros	assigning macros to a Button Bar, menu bar, or keyboard key

Macro Examples	MENU and ASSERT, callback functions, and Dynamic Data Exchange

Shipping Macros	macros that ship with WordPerfect 6.0 for Windows

Macro Conversion	converting macros to 6.0 format

Reserved Words	words that cannot be user-defined

Glossary	computer language definitions

Macros Manual	WordPerfect's printed macros manual

WPWin 6.0 Help	WPWin 6.0 Help file


Creating Macros

Record a Macro

Play a Macro

Edit a Macro

Writing Macros

Macro Errors

Dialog Boxes


Macro Commands Index

This index contains help on each macro command.  Programming commands are in uppercase letters, and product commands are in both uppercase and lowercase letters.  For more information on using programming and product commands, see Programming and Product Commands in the Programming Basics section.

// (Comment)

A

AbbreviationCreate

AbbreviationDelete

AbbreviationDlg

AbbreviationExpand

AboutDlg

Advance

AdvanceDlg

APPACTIVATE

Append

AppendToFile

APPEXECUTE

APPEXECUTEEXT

APPLICATION

APPLOCATE

AppMaximize

AppMinimize

AppMove

AppRestore

AppSize

AppTaskList

ASSERT

ASSIGN

AssociateDlg

AttributeAppearanceOn

AttributeAppearanceOff

AttributeAppearanceToggle

AttributeNormal

AttributePosition

AttributePositionToggle

AttributeRelativeSizeToggle

AttributeRelativeSize

AttributeSizeRatios

AutoCodePlacement

B

BackTab

Backup

BackupMinutes

BackupOriginalDoc

BarcodeDlg

BarcodePOSTNET

BaselinePlacement

BEEP

BIFFILEPATH

BIFINFO

BIFREAD

BIFWRITE

Binding

BindingOptionsDlg

BlockDelete

BlockOff

BlockOn

BlockProtect

BlockRectangle

BlockSave

BlockTabularColumn

BoldKey

BookmarkBlock

BookmarkCreate

BookmarkDelete

BookmarkDlg

BookmarkFind

BookmarkMove

BookmarkRename

BorderBottomLine

BorderColor

BorderCornerRadius

BorderDropShadow

BorderFillColors

BorderInsideSpacing

BorderLeftLine

BorderOutsideSpacing

BorderRightLine

BorderSeparatorLine

BorderSetSpacing

BorderStyleCopy

BorderStyleCreate

BorderStyleDelete

BorderStyleEdit

BorderStyleEnd

BorderStyleName

BorderStyleRetrieve

BorderStyleSave

BorderTopLine

BorderUseBorderColor

BoxAttachTo

BoxBorder

BoxBorderDlg

BoxCaptionEdit

BoxCaptionEditEnd

BoxCaptionFormatting

BoxCaptionInitialStyle

BoxCaptionNumberStyle

BoxCaptionPosition

BoxCaptionRotation

BoxChangeLineHeight

BoxChangeStyle

BoxContentEdit

BoxContentPosition

BoxContentPreserveAspectRatio

BoxContentType

BoxCounter

BoxCreate

BoxDelete

BoxEdit

BoxEditByCounter

BoxEditNext

BoxEditPrevious

BoxEnd

BoxEquationColor

BoxEquationDefaultFont

BoxEquationFilename

BoxEquationFont

BoxEquationFontSize

BoxEquationRedisplay

BoxEquationSaveAsGraphic

BoxFill

BoxHeight

BoxHorizontalAlignment

BoxHorizontalPosition

BoxImageBlackWhiteThreshold

BoxImageBrightness

BoxImageContrast

BoxImageDitherMethod

BoxImageFill

BoxImageFlipX

BoxImageFlipY

BoxImageHalfToneOptions

BoxImageInvertColors

BoxImageMonochrome

BoxImageMove

BoxImageRetrieve

BoxImageRotate

BoxImageSave

BoxImageScaling

BoxImageShowBackground

BoxInitialStyleDlg

BoxOLEEditObject

BoxOverlap

BoxPosDlg

BoxResetBorder

BoxResetCaption

BoxResetContent

BoxResetContentRender

BoxResetCounter

BoxResetFill

BoxResetPosition

BoxResetTextFlow

BoxStyleCopy

BoxStyleCreate

BoxStyleDelete

BoxStyleEdit

BoxStyleEnd

BoxStyleName

BoxStyleRetrieve

BoxStyleSave

BoxTextAngle

BoxTextDefaultStyle

BoxTextEdit

BoxTextEditEnd

BoxTextFilename

BoxTextFlow

BoxTextFlowContour

BoxTextFlowSquare

BoxUpdateDisplay

BoxVerticalAlignment

BoxVerticalPosition

BoxWidth

BoxWrapDlg

BREAK

BulletDlg

ButtonBarAddItem

ButtonBarCreateDlg

ButtonBarDeleteItem

ButtonBarEditDlg

ButtonBarOptionsDlg

ButtonBarSelect

ButtonBarSetFont

ButtonBarSetLocation

ButtonBarSetRows

ButtonBarSetStyle

ButtonBarShow

ButtonBarShowToggle

C

CALL

CANCEL

CASE CALL

CASE

CASEOF

CaseToggle

Center

CenterCurrentPage

CenterPageDlg

CenterPages

CHAIN

ChapterNumber

ChapterNumberDecrement

ChapterNumberDisplay

ChapterNumberIncrement

ChapterNumberMethod

Char

CHARLEN

CharMappingDlg

CHARPOS

ClearDoc

ClipboardAppendTo

ClipboardRetrieve

ClipboardSaveTo

Close

CloseGraphicsControlBar

CloseNoSave

COACHANIMATE

COACHFILTERADD

COACHFILTERDESTROY

COACHFILTERDISABLE

COACHFILTERENABLE

COACHGETREGIONINFO

COACHMESSAGEBOX

COACHMESSAGEBOXCLOSE

COACHPROMPT

COACHPROMPTCLOSE

COACHREMOVEDIALOGFILTER

COACHSETDIALOGFILTER

CodePage

CodePageDlg

ColorAdd

ColorDelete

ColorModify

ColorPaletteCreate

ColorPaletteDelete

ColorPaletteDlg

ColorPaletteRename

ColorPaletteSelect

ColumnBorderDlg

ColumnDefineDlg

ColumnsDefinition

ColumnsOff

CommentConvert

CommentCreate

CommentEdit

CommentInformation

CommentInsertTime

CommentInsertUserInitials

CommentInsertUserName

ConditionalEndOfPage

CONTINUE

ConvertCaseInitialCaps

ConvertCaseLowercase

ConvertCaseUppercase

Copy

CopyAndPaste

CounterCreate

CounterDecrement

CounterDelete

CounterDisplay

CounterDlg

CounterEditLevel

CounterEditLevelMethod

CounterEditLevelName

CounterEditMethod

CounterEditName

CounterIncrement

CounterSetMethod

CounterSetValue

CrossRefMarkReference

CrossRefMarkTarget

CToN

CustomBoxDlg

Cut

CutAndPaste

D

DateCode

DateFormat

DateFormatDlg

DateText

DDEChangeUpdateMode

DDECreateLink

DDECreateLinkDlg

DDEDeleteLink

DDEDeleteLinkDlg

DDEEditLink

DDEEditLinkDlg

DDEEXECUTE

DDEEXECUTEEXT

DDEINITIATE

DDEPasteLink

DDEPOKE

DDEREQUEST

DDETERMINATE

DDETERMINATEALL

DDEUpdateLink

DDEUpdateLinkDlg

DecimalAlignmentCharacter

DECLARE

DEFAULT

DEFAULTUNITS

DelayCodes

DelayCodesDlg

DeleteAppend

DeleteCharNext

DeleteCharPrevious

DeleteToBeginningOfWord

DeleteToEndOfLine

DeleteToEndOfPage

DeleteToEndOfWord

DeleteWord

DIALOGADDCHECKBOX

DIALOGADDCOLORWHEEL

DIALOGADDCOMBOBOX

DIALOGADDCONTROL

DIALOGADDCOUNTER

DIALOGADDEDITBOX

DIALOGADDFILENAMEBOX

DIALOGADDFRAME

DIALOGADDGROUPBOX

DIALOGADDHLINE

DIALOGADDHOTSPOT

DIALOGADDICON

DIALOGADDLISTBOX

DIALOGADDLISTITEM

DIALOGADDPOPUPBUTTON

DIALOGADDPUSHBUTTON

DIALOGADDRADIOBUTTON

DIALOGADDSCROLLBAR

DIALOGADDTEXT

DIALOGADDVIEWER

DIALOGADDVLINE

DIALOGDEFINE

DIALOGDESTROY

DIALOGDISPLAY

DIALOGHANDLE

DIALOGUNDISPLAY

DirectoryCreate

DirectoryExists

DISCARD

Display

DisplayMode

DisplayZoom

DLLCALL

DLLFREE

DLLLOAD

DocCompare

DocCompareAddMarkingsDlg

DocCompareRemoveMarkingsDlg

DocCompareRemoveRedline

DocInitialFont

DocInitialFontDlg

DocMaximize

DocMinimize

DocMove

DocNext

DocPrevious

DocRedlineMethodDlg

DocRestore

DocSize

DocSummaryConfig

DocSummaryDelete

DocSummaryDlg

DocSummaryPrint

DocSummarySaveAs

DocSumSetFull

DotLeader

DoubleSidedPrint

DraftZoom100

DraftZoomMargin

E

EditComment

EditCopy

EditCut

EditPaste

EditPasteSimple

ELSE

ENDAPP

EndCenterOrAlignment

ENDFOR

ENDIF

ENDIFPLATFORM

ENDSWITCH

ENDWHILE

EndnoteCreate

EndnoteEdit

EndnoteEditDlg

EndnoteMinimum

EndnoteNewNumber

EndnoteNumberDecrement

EndnoteNumberDisplay

EndnoteNumberIncrement

EndnoteNumberMethod

EndnoteOptions

EndnoteOptionsDlg

EndnotePlacement

EndnotePlacementDlg

EndnoteSetNumberDlg

EndnotesSpaceBetween

EnterKey

EnvelopeDlg

EquationBaseFontDlg

EquationCreate

EquationPalette

EquationPaletteToggle

EquationRetrieveDlg

EquationZoomDlg

ERROR

EXISTS

ExpandDlg

F

FeatureBarPopDown

FigurePaletteDlg

FigurePaletteDlgEnd

FigureRetrieveDlg

FileChangeAttributes

FileChangeDir

FileCopy

FileDelete

FileExists

FileInsert

FileInsertDlg

FileMove

FileNew

FileOpen

FileOpenDlg

FileRemoveDirectory

FileSave

FileSaveAsDlg

FillColors

FillSetGradient

FillSetWPG2

FillStyleCopy

FillStyleCreate

FillStyleDelete

FillStyleEdit

FillStyleEnd

FillStyleName

FillStyleRetrieve

FillStyleSave

FindDlg

FindFiles

FirstLineIndent

FloatingCellBegin

FloatingCellCreate

FloatingCellEdit

FloatingCellEnd

FloatingCellFormula

FloatingCellNumAlignCurrency

FloatingCellNumberDecDigits

FloatingCellNumberDateFormat

FloatingCellNumberFormat

FloatingCellNumberNegNumber

FloatingCellNumberRound

FloatingCellNumberUseCurrency

FloatingCellNumberUseCommas

FloatingCellNumSelectCurrency

FlushRight

Font

FontDlg

FontDoubleUnderlineToggle

FontExtraLargeToggle

FontFineToggle

FontHiddenToggle

FontItalicToggle

FontLargeToggle

FontOutlineToggle

FontRedlineToggle

FontShadowToggle

FontSize

FontSmallCapsToggle

FontSmallToggle

FontStrikeoutToggle

FontSubscriptToggle

FontSuperscriptToggle

FontUnderlineToggle

FontVeryLargeToggle

FooterA

FooterB

FooterSeparationDistance

FootnoteContinuedMessage

FootnoteCreate

FootnoteEdit

FootnoteEditDlg

FootnoteMinimum

FootnoteNewNumber

FootnoteNewNumberDlg

FootnoteNumberDecrement

FootnoteNumberDisplay

FootnoteNumberIncrement

FootnoteNumberMethod

FootnoteOptions

FootnoteOptionsDlg

FootnotePosition

FootnoteRestartEachPage

FootnoteSeparatorLine

FootnoteSpaceBetween

FOR-ENDFOR

ForcePage

ForcePageDlg

FOREACH-ENDFOR

FormatMarginsDlg

FORNEXT-ENDFOR

FRACTION

FUNCTION

G

GenerateDlg

GenerateDoc

GetAcceleratorText

GetData

GETNUMBER

GETSTRING

GETUNITS

GLOBAL

GO

GraphicBoxStyleDlg

GraphicCreateBox

GraphicCreateChart

GraphicCreateTextArt

GraphicCustomMenuDlg

GraphicsBoxCaptionDlg

GraphicsBoxContentDlg

GraphicsBoxFindDlg

GraphicsBoxSizeDlg

GraphicsFigureEditAllDlg

GraphicsLineColor

GraphicsLineCreate

GraphicsLineDelete

GraphicsLineEdit

GraphicsLineEditNext

GraphicsLineEditPrevious

GraphicsLineEnd

GraphicsLineHorizontalPosition

GraphicsLineLength

GraphicsLineSpacing

GraphicsLineStyle

GraphicsLineThickness

GraphicsLineType

GraphicsLineUpdateDisplay

GraphicsLineUseColor

GraphicsLineVerticalPosition

GraphicsStylesDlg

H

HardColumnBreak

HardPageBreak

HardPageBreakInsert

HardPageBreakKey

HardReturn

HardReturnInsert

HardSpace

HeaderA

HeaderB

HeaderFooterDistanceDlg

HeaderFooterDlg

HeaderFooterPlacementDlg

HeaderFooterPlacement

HeaderSeparationDistance

HelpCoachDlg

HelpContents

HelpContextSensitive

HelpHowDoI

HelpHowToUseHelp

HelpKeystrokes

HelpMacroManual

HelpSearchForHelpOn

HelpTutorial

HelpWhatIs

HiddenText

HiddenTextShowAll

HideBars

HLineCreate

Hypertext

HypertextControlBar

HypertextCreate

HypertextCreateDlg

HypertextDelete

HypertextEdit

HypertextEditDlg

HypertextExecute

HypertextNext

HypertextPrevious

HypertextReturnFrom

Hyphen

Hyphenation

HyphenationIgnore

HyphenationSoftReturn

HyphenationZoneLeft

HyphenationZoneRight

I

IF-ELSE-ENDIF

IFPLATFORM-ENDIFPLATFORM

ImportCreateDlg

ImportDlg

ImportDoEdit

ImportDoImport

ImportDoLink

ImportDoUpdate

ImportEditDlg

ImportOptionsDlg

ImportSetAsciiEncap

ImportSetAsciiFieldDelimiter

ImportSetAsciiRecordDelimiter

ImportSetAsciiStrip

ImportSetDestination

ImportSetDictPath

ImportSetFields

ImportSetFileName

ImportSetFilePath

ImportSetIncludeNames

ImportSetPanel

ImportSetPassword

ImportSetQuery

ImportSetRange

ImportSetServer

ImportSetSource

ImportSetSQLQuery

ImportSetUserID

ImportUpdateDlg

Indent

IndentLeftRight

IndexDefineDlg

IndexDefinition

IndexMark

INDIRECT

InhibitInput

InitialCodesDoc

InitialCodesStyleDlg

InsertDefaultBullet

InsertFilename

InsertFilenameWithPath

InsertOtherCodesDlg

INTEGER

InvokeDialog

J

Justification

JustifyAll

JustifyCenter

JustifyFull

JustifyLeft

JustifyRight

K

KeepTextTogetherDlg

Kerning

KerningSpacing

KeyboardSelect

KeyboardSelectDlg

KEYSTRING

L

LABEL

LabelsDefine

LabelsDelete

LabelsDlg

LabelsFileCreate

LabelsFileDescription

LabelsFileSelect

LabelsOff

LabelsSelect

Language

LanguageDlg

LastOpenedAdd

Leading

LineCreateDlg

LineEditDlg

LineHeight

LineHeightDlg

LineHyphenationDlg

LineNumbering

LineNumberingDlg

LineNumberingMethod

LineNumberSet

LineSegmentColor

LineSegmentCreate

LineSegmentDelete

LineSegmentEdit

LineSegmentEnd

LineSegmentSetUser

LineSegmentSetUserData

LineSegmentSetUserEnd

LineSegmentSetWPG2

LineSegmentSpacing

LineSegmentWidth

LineSpacing

LineSpacingDlg

LineStyleCopy

LineStyleCreate

LineStyleDelete

LineStyleEdit

LineStyleEnd

LineStyleName

LineStyleRetrieve

LineStyleSave

LinkUpdate

ListDefineDlg

ListDefinition

ListDefinitionCreate

ListDefinitionDelete

ListDefinitionEditBox

ListDefinitionMode

ListDefinitionRename

ListDefinitionRetrieve

ListDefinitionStyle

ListEditPageFormat

ListMark

LOCAL

M

MacroAssignDlg

MacroCommandInserter

MacroEditControlBar

MacroExecuteQuick

MacroFilePlay

MacroMenuAdd

MacroMenuDelete

MacroMenuDlg

MacroPause

MacroPlayDlg

MacroStatusPrompt

MacroTemplatePlay

MailDlg

MarginAdjustLeft

MarginAdjustRight

MarginBottom

MarginLeft

MarginReleaseInsert

MarginRight

MarginTop

MarkCrossRef

MarkCrossRefUpdateList

MarkIndex

MarkIndexUpdateList

MarkList

MarkListUpdateList

MarkTableOfAuthorities

MarkTableOfContents

MarkToAUpdateList

MasterDocCondense

MasterDocCondenseDlg

MasterDocExpand

MasterDocSubdocDlg

MatchExtendSelection

MatchLimit

MatchPositionAfter

MatchPositionBefore

MatchSelection

MatchWithAttributes

MatchWithFont

MatchWithFontSize

MENU

MenuAddItem

MenuDeleteItem

MENULIST

MenuSelect

MenuSelectDlg

MergeBlankField

MergeCode

MergeCodesDisplayEdit

MergeCodesDisplayRun

MergeCodesDlg

MergeCondition

MergeDataFile

MergeDlg

MergeEndField

MergeEndRecord

MergeEnvelope

MergeEnvelopeDefinitionEnd

MergeEnvelopeDefinitionBegin

MergeFileAssociate

MergeFilesDlg

MergeFileType

MergeFormDlg

MergeMark

MergePageBreak

MergePrintText

MergeRepeat

MergeRun

MergeSelect

MergeTableDataDlg

MergeTextDataDlg

MESSAGEBOX

MinusSign

MMPLAY

MMSPEAK

MMSPEAKCLIPBOARD

MMSTOPSPEECH

MOUSE STRING

MoveModeEnd

N

NEST

NEWDEFAULT

NewHFWOccurrence

NEXT

NOTFOUND

NToC

NumberingOptionDlg

NUMSTR

O

OLEAcceptLinks

OLECancelLink

OLECancelLinks

OLEChangeLink

OLEInitializeLinks

OLEInsertDlg

OLEInsertObject

OLELinksDlg

OLEPasteDlg

OLESetLinkUpdate

OLEUpdateLink

ONCANCEL

ONCANCEL CALL

ONDDEADVISE CALL

ONERROR

ONERROR CALL

ONNOTFOUND

ONNOTFOUND CALL

OutlineBarDisplay

OutlineBarSetup

OutlineBeginNew

OutlineBodyText

OutlineBodyTextToggle

OutlineChangeToBodyText

OutlineDefineDlg

OutlineDown

OutlineEnd

OutlineFamilyCopy

OutlineFamilyCut

OutlineFamilyDemote

OutlineFamilyDown

OutlineFamilyDragDown

OutlineFamilyDragUp

OutlineFamilyHide

OutlineFamilyLeft

OutlineFamilyMove

OutlineFamilyPromote

OutlineFamilyRight

OutlineFamilySelect

OutlineFamilyShow

OutlineFamilyUp

OutlineHideShowingBodyText

OutlineNumberDlg

OutlineOff

OutlineParagraphCopy

OutlineParagraphDelete

OutlineParagraphDemote

OutlineParagraphDragUp

OutlineParagraphDragDown

OutlineParagraphMove

OutlineParagraphNumber

OutlineParagraphPromote

OutlineParagraphSelect

OutlineRight

OutlineSetParagraphNumber

OutlineShow

OutlineStyleCopy

OutlineStyleCreate

OutlineStyleDelete

OutlineStyleDescription

OutlineStyleEditBegin

OutlineStyleEditEnd

OutlineStyleLevel

OutlineStyleNumberFormat

OutlineStyleNumbersOnly

OutlineStyleRename

OutlineStyleRetrieve

OutlineStyleSave

OutlineStyleSelect

OutlineUp

OutputOption

OutputOptionsSetOffsetJogger

OverstrikeCreate

OverstrikeCreateDlg

OverstrikeEdit

P

PageBorderDlg

PageNumber

PageNumberDecrement

PageNumberDisplay

PageNumberDisplayFormat

PageNumberFormat

PageNumberIncrement

PageNumberingDlg

PageNumberMethod

PageNumberPosition

PageNumberSettingsDlg

PageSuppressDlg

PageZoomFull

PaneNext

PanePrevious

PaperSizeAdd

PaperSizeDelete

PaperSizeDlg

PaperSizeResave

PaperSizeSelect

ParagraphBorderDlg

ParagraphDown

ParagraphFormatDlg

ParagraphHangingIndent

ParagraphNumberDefDlg

ParagraphSpacing

ParagraphUp

PasteLink

PasteSpecial

PAUSE

PauseCommand

PauseKey

PauseSet

PERSIST

PERSISTALL

PosCellDown

PosCellNext

PosCellPrevious

PosCellUp

PosCharacter

PosCharNext

PosCharPrevious

PosColBottom

PosColFirst

PosColLast

PosColNext

PosColPrevious

PosColTop

PosDocBottom

PosDocTop

PosDocVeryTop

PosFunction

PosGoPrevious

PosGoToDlg

PosLineBeg

PosLineDown

PosLineEnd

PosLineUp

PosLineVeryBeg

PosLineVeryEnd

PosPage

PosPageBottom

PosPageNext

PosPagePrevious

PosPageTop

PosParagraphNext

PosParagraphPrevious

PosScreenDown

PosScreenLeft

PosScreenRight

PosScreenUp

PosSelectBottom

PosSelectTop

PosTableBegin

PosTableBlockBeg

PosTableCell

PosTableCellBottom

PosTableCellDown

PosTableCellNext

PosTableCellPrevious

PosTableCellTop

PosTableCellUp

PosTableColBottom

PosTableColumnTop

PosTableEnd

PosTableGoPrevious

PosTableRowBegin

PosTableRowEnd

PosTableScreenDown

PosTableScreenLeft

PosTableScreenRight

PosTableScreenUp

PosTableTopCellNext

PosTableTopCellPrevious

PosWordNext

PosWordPrevious

PowerBarShow

PrefBackupDlg

PrefBackupPath

PrefBeep

PrefButtonBar

PrefDisplayDlg

PrefDisplaySet

PrefDocSummary

PrefDocSummaryDlg

PrefEnvironment

PrefEnvSettingsDlg

PrefHyphenation

PrefImportDlg

PrefImportOptions

PrefLiteCodes

PrefLocationDlg

PrefLocationOfDocuments

PrefLocationOfGraphicsFiles

PrefLocationOfHyphenationFiles

PrefLocationOfMacroFiles

PrefLocationOfPrinterFiles

PrefLocationOfSpreadsheetFiles

PrefLocationOfTemplates

PrefMenu

PrefMergeCodes

PrefMetafileOptions

PrefPowerBar

PrefPowerBarEdit

PrefPowerBarFontFaceList

PrefPowerBarFontSizeList

PrefPrintCopies

PrefPrintDoc

PrefPrintRedline

PrefPrintSettingsDlg

PrefPrintSizeRatio

PrefRevealCodes

PrefRevealCodesDlg

PrefRuler

PrefSave

PrefStatusBar

PrefStatusBarEdit

PrefStatusBarOptions

PrefStatusBarOptionsDlg

PrefToA

PrefUnitsOfMeasure

PrefZoom

PrintCopies

PrintCopiesBy

PrintDlg

PrintDocOnDisk

PrinterCommand

PrinterCommandDlg

PrinterControlDlg

PrinterInitialize

PrinterPause

PrinterSelect

PrinterSelectDlg

PrintFullDoc

PrintGraphicsQuality

PrintInkColor

PrintMultiplePages

PrintPage

PrintSelection

PrintTextQuality

PROCEDURE

PROMPT

Q

QuickFinderDlg

QuickFormat

QuickFormatDlg

QuickFormatToggle

QuickmarkFind

QuickmarkSet

QUIT

R

Redisplay

RedlineCharacter

RedlineMethod

REPEAT-UNTIL

RepeatDlg

RepeatSet

RepeatValue

ReplaceAll

ReplaceBackward

ReplaceConfirm

ReplaceCurrent

ReplaceDlg

ReplaceForward

ReplaceString

ReplaceWithAttributes

ReplaceWithCase

ReplaceWithFont

ReplaceWithFontSize

ReselectLastBlock

ReselectLastSelection

ResetKeyboardMenu

RETURN

RevealCodes

RulerBarShow

RUN

S

SaveAll

ScrollScreenLeft

ScrollScreenRight

SearchCaseSensitive

SearchFindWholeWordsOnly

SearchInSelection

SearchNext

SearchPrevious

SearchString

SearchWrap

SecondaryPageNumber

SecondaryPageNumberDecrement

SecondaryPageNumberDisplay

SecondaryPageNumberIncrement

SecondaryPageNumberMethod

SelectAll

SelectCell

SelectCellDown

SelectCellDownArrow

SelectCellLeft

SelectCellRight

SelectCellUp

SelectCellUpArrow

SelectCharNext

SelectCharPrevious

SelectColumnBottom

SelectColumnNext

SelectColumnPrevious

SelectColumnTop

SelectDelete

SelectDocBottom

SelectDocTop

SelectDocVeryTop

SelectLineBegin

SelectLineDown

SelectLineEnd

SelectLineUp

SelectLineVeryBegin

SelectLineVeryEnd

SelectMode

SelectOff

SelectOn

SelectPage

SelectPageNext

SelectPagePrevious

SelectParagraph

SelectParagraphNext

SelectParagraphPrevious

SelectRectangle

SelectSave

SelectScreenDown

SelectScreenLeft

SelectScreenRight

SelectScreenUp

SelectSentence

SelectSentenceNext

SelectSentencePrevious

SelectTable

SelectTableColumn

SelectTableColumnExtendLeft

SelectTableColumnExtendRight

SelectTableRow

SelectTabularColumn

SelectToggle

SelectWord

SelectWordNext

SelectWordPrevious

SENDKEYS

SetDefaultFileFormat

SetDocumentMapping

SettingsDlg

SetupWritingToolsDlg

ShiftTabKey

ShowBoxes

ShowGraphics

ShowHiddenText

ShowSymbols

SoftHyphen

SoftSpace

Sort

SortAction

SortCaseOrder

SortDlg

SortKeys

SortSelectString

SortType

SoundClipAddInstance

SoundClipCreate

SoundClipDelete

SoundClipDlg

SoundClipPlayNext

SoundClipSetAttributes

SoundClipSetDescription

SoundClipSetFilename

SpecificDeleteStringBegin

SpecificReplaceStringBegin

SpecificSearchStringBegin

SpecificStringEnd

SPEED

SpreadsheetShowLinkCode

SpreadsheetUpdateOnRetrieve

StatusBarShow

STRLEN

STRNUM

STRPOS

STRUNIT

StyleCodes

StyleCopy

StyleCreate

StyleDelete

StyleDescription

StyleEditBegin

StyleEditEnd

StyleEnterKeySetting

StyleLinkTo

StyleOff

StyleOn

StylePersonalLibrary

StyleRename

StyleRetrieve

StyleSave

StyleSharedLibrary

StylesListDlg

StyleSystemOn

StyleType

SUBCHAR

SubdividePage

SubdividePageDlg

SubdividePageOff

SubdocInclude

SUBSTR

SubstructureExit

Suppress

SWITCH-ENDSWITCH

SwitchDoc

T

Tab

TabAdd

TabCenter

TabCenterDot

TabDecimal

TabDecimalDot

TabDelete

TabInsert

TabKey

TableAdjustBegin

TableAdjustColumnWidth

TableAdjustEnd

TableAdjustPosition

TableAppendRow

TableAttributeOff

TableAttributeOn

TableAutoCalc

TableAutoFill

TableAutoFormulaEntry

TableBlockOff

TableBlockOn

TableBorder

TableBorderEditBegin

TableBorderEditEnd

TableCalculate

TableCalculateAll

TableCalculateDlg

TableCellAttributeOff

TableCellAttributeOn

TableCellCopy

TableCellFillColors

TableCellFillStyle

TableCellIgnoreCalculation

TableCellJustification

TableCellLine

TableCellLineColor

TableCellLock

TableCellNumberAlignCurrency

TableCellNumberDateFormat

TableCellNumberDecimalDigits

TableCellNumberFormat

TableCellNumberNegativeNumber

TableCellNumberRound

TableCellNumberSelectCurrency

TableCellNumberUseCurrency

TableCellNumberUseCommas

TableCellsJoin

TableCellUseColumnAttribute

TableCellUseColumnJust

TableCellUseColumnNumberType

TableCellUseLineColor

TableCellVerticalAlignment

TableColumnAttributeOff

TableColumnAttributeOn

TableColumnDecimalAlignDist

TableColumnDecimalAlignDigits

TableColumnFixedWidth

TableColumnJustification

TableColumnMarginLeft

TableColumnMarginRight

TableColumnNumberAlignCurrency

TableColumnNumberDateFormat

TableColumnNumberDecimalDigits

TableColumnNumberFormat

TableColumnNumberNegNumber

TableColumnNumberRound

TableColumnNumberSelCurrency

TableColumnNumberUseCommas

TableColumnNumberUseCurrency

TableColumnWidth

TableColumnWidthGrow

TableColumnWidthShrink

TableConvertDlg

TableConvertFrom

TableCopy

TableCopyFormula

TableCreate

TableCreateDlg

TableCreateNewDlg

TableDataFill

TableDecimalAlignmentDigits

TableDecimalAlignmentDistance

TableDefaultLine

TableDefaultLineColor

TableDeleteBlock

TableDeleteColumn

TableDeleteDlg

TableDeleteRow

TableDeleteTable

TableDisableCellLocks

TableEdit

TableFill

TableFormatDlg

TableFormatJustification

TableFormatWidths

TableFormula

TableFormulaCBar

TabLeft

TabLeftDot

TableGridLinesToggle

TableGuides

TableHardColumnBreak

TableHardRow

TableHeader

TableInsertColumn

TableInsertDlg

TableInsertOneRow

TableInsertRow

TableJoin

TableJoinCells

TableLineFillDlg

TableMarginLeft

TableMarginRight

TableMove

TableMoveCopyDlg

TableMoveModeCancel

TableMoveModeEnd

TableNameAdd

TableNameChange

TableNameCreateDlg

TableNameDelete

TableNameListDlg

TableNumberAlignCurrency

TableNumberDateFormat

TableNumberDecimalDigits

TableNumberFormat

TableNumberNegativeNumber

TableNumberRound

TableNumberSelectCurrency

TableNumberTypeDlg

TableNumberUseCommas

TableNumberUseCurrency

TablePointMode

TablePosition

TableQuickSum

TableRetrieve

TableRowHeight

TableRowMarginBottom

TableRowMarginTop

TableRowNumberOfLines

TableSelectOff

TableSelectOn

TableSplit

TableSplitCellsDlg

TableSplitColumn

TableSplitRow

TableTextToFormula

TableUndelete

TableUseDefaultLinesColor

TabRight

TabRightDot

TabSet

TabSetDlg

TeamLinkEnable

TemplateCopyObject

TemplateCopyObjectDlg

TemplateCreate

TemplateCreateDlg

TemplateDescriptionDlg

TemplateDlg

TemplateEdit

TemplateSelect

TemplateSetAssociation

TextBorderCreate

TextBorderEdit

TextBorderEnd

TextBorderFillStyle

TextBorderStyle

TextBoxCreate

TextColor

TextShade

ThousandsSeparator

ToACreateFullFormDlg

ToADefineDlg

ToADefinition

ToADefinitionCombine

ToADefinitionCreate

ToADefinitionDelete

ToADefinitionMode

ToADefinitionRename

ToADefinitionRetrieve

ToADefinitionStyle

ToADefinitionUnderline

ToAEditFullForm

ToAEditFullFormCBar

ToAEditFullFormDlg

ToAEditPageFormat

ToAEditSection

ToAEditShortForm

ToAMark

ToAMarkShortForm

ToCDefine

ToCDefineDlg

ToCMark

TOLOWER

TOUPPER

TransitionAdvisor

Type

TypeChar

Typeover

TypeoverKey

TypesetManualKerningDlg

U

Undelete

UndeleteDlg

UnderlineSpaces

UnderlineTabs

Undo

UNITSTR

USE

UserFunction

V

VarAssign

VarDiscard

VARERRCHK

ViewDraft

ViewOutline

ViewPage

ViewTwoPage

VLineCreate

VolumeNumber

VolumeNumberDecrement

VolumeNumberDisplay

VolumeNumberIncrement

VolumeNumberMethod

W

WAIT

WatermarkA

WatermarkB

WatermarkDlg

WatermarkPlacementDlg

WHILE-ENDWHILE

WidowOrphan

WindowCascade

WindowNext

WindowPrevious

WindowTile

WordCountDlg

WordLetterspaceDlg

WordLetterSpacing

WordSpacingJustificationLimits

WP51CursorMovement

WPActivate

WPCharactersDlg

WPDraw

WPGrammatik

WPSpeller

WPThesaurus

WritingToolsDisable

X

No index entries for this letter.

Y

No index entries for this letter.

Z

ZoomDlg

ZoomToFullPage

ZoomToMarginWidth

ZoomToPageWidth


System Variables Index

This index contains help on each system variable.  For more information on using system variables, see Variables and Arrays in the Programming Basics section.

A

?Align

?AutoUpdate

B

?BaselineMode

?BetweenTableCodes

?Binding

?BlockActive

?BlockProtect

?BookmarkList

?Border

?BorderBottomLine

?BorderColorBlue

?BorderColorGreen

?BorderColorRed

?BorderColorShading

?BorderCornerRadius

?BorderInsideSpacingTop

?BorderInsideSpacingBottom

?BorderLeftLine

?BorderRightLine

?BorderSeparatorLine

?BorderSetSpacing

?BorderTopLine

?BorderUseBorderColor

?BoxAttachTo

?BoxCaptionDefaultInitialStyle

?BoxCaptionDefaultNumberStyle

?BoxCaptionFormatting

?BoxCaptionPositionSide

?BoxCaptionPositionAlignment

?BoxCaptionPositionOffset

?BoxCaptionPositionBorder

?BoxCaptionRotation

?BoxChangeLineHeight

?BoxContentFilename

?BoxContentHorizontalPosition

?BoxContentInternal

?BoxContentPreserveAspectRatio

?BoxContentType

?BoxContentVerticalPosition

?BoxCount

?BoxCounter

?BoxEquationColorBlue

?BoxEquationColorGreen

?BoxEquationColorRed

?BoxEquationColorShading

?BoxEquationFont

?BoxEquationFontSize

?BoxHeight

?BoxHorizontalAlignTo

?BoxHorizontalAlignment

?BoxHorizontalOffset

?BoxImageBlackWhiteThreshold

?BoxImageBrightness

?BoxImageContrast

?BoxImageDitherMethod

?BoxImageDitherSource

?BoxImageFill

?BoxImageFlipX

?BoxImageFlipY

?BoxImageHalftoneAngle3

?BoxImageHalftoneAngle2

?BoxImageHalftoneAngle0

?BoxImageHalftoneAngle1

?BoxImageHalftoneScreenLPI

?BoxImageInvertColors

?BoxImageMonochrome

?BoxImagePageBackground

?BoxImageRotation

?BoxImageScalingX

?BoxImageScalingY

?BoxImageTranslationY

?BoxImageTranslationX

?BoxLeftColumn

?BoxNumber

?BoxOverlap

?BoxPageOffset

?BoxRightColumn

?BoxStyleName

?BoxTextAngle

?BoxTextDefaultStyle

?BoxVerticalAlignment

?BoxVerticalAlignTo

?BoxVerticalOffset

?BoxWidth

?BoxWrapping

?BoxWrappingType

?ButtonBarActive

C

?Cell

?CellAlignment

?CellBold

?CellDoubleUnderline

?CellExtraLarge

?CellFill

?CellFine

?CellFormula

?CellIgnoreWhenCalculating

?CellItalics

?CellJustification

?CellLarge

?CellLocked

?CellNormal

?CellOutline

?CellRedline

?CellShadow

?CellSmall

?CellSmallCaps

?CellSpecificAttribute

?CellSpecificJustification

?CellStrikeout

?CellSubscript

?CellSuperscript

?CellUnderline

?CellVeryLarge

?CenterCurrentPage

?CenterPages

?ChapterNumber

?ChapterNumberMethod

?CharSpaceWidth

?Column

?ColumnBorder

?ColumnDefine

?ConfirmCodesDelete

?ConfirmFormulaDelete

?CurrentLabel

?CurrentPaperName

?CurrentParagraphLevel

?CurrentPrinter

?CurrentPrinterPort

?CurrentPrinterType

?CurrentSubdoc

?CurrentTableName

?CurrentTemplate

?CurrentWord

D

?DateDay

?DateMonth

?DateWeekday

?DateYear

?DecimalAlignmentCharacter

?DefaultDocumentExtension

?DefaultTemplateExtension

?DefaultView

?DisplayMode

?DisplayPitch

?DocBlank

?DocChanged

?DocNumber

?DocReadOnly

?DocumentFont

?DocumentInformation

?DotLeader

E

?EditScreen

?Endnote

?EndnoteMinimum

?EndnoteSpace

F

?FeatureBar

?Fill

?FillGradientSteps

?FillGradientType

?FillType

?FillWPG2Pattern

?FirstLineIndent

?FirstPrintLineNum

?Font

?FontBold

?FontDoubleUnderline

?FontExtraLarge

?FontFine

?FontItalics

?FontLarge

?FontOutline

?FontRedline

?FontShadow

?FontSize

?FontSmall

?FontSmallCaps

?FontStrikeout

?FontSubscript

?FontSuperscript

?FontUnderline

?FontVeryLarge

?FooterAOccur

?FooterBOccur

?FooterSeparator

?Footnote

?FootnoteContinued

?FootnoteMinimum

?FootnotePosition

?FootnoteRestartsPage

?FootnoteSpace

G

?GraphicsLineBottomSpacing

?GraphicsLineColorBlue

?GraphicsLineColorGreen

?GraphicsLineColorRed

?GraphicsLineColorShading

?GraphicsLineCount

?GraphicsLineHorizontalPosition

?GraphicsLineHorizontalAlign

?GraphicsLineHorizontalColumn

?GraphicsLineLength

?GraphicsLineNum

?GraphicsLineStyle

?GraphicsLineThickness

?GraphicsLineTopSpacing

?GraphicsLineType

?GraphicsLineUseColor

?GraphicsLineVerticalAlign

?GraphicsLineVerticalPosition

H

?HeaderAOccur

?HeaderBOccur

?HeaderSeparator

?HypertextLast

?HypertextType

?Hyphenation

I

?Indent

?IndexDefinition

?Initials

?InOutline

?InterimVersion

J

?Justification

K

?Kerning

?KeyCapsLock

L

?LabelsToDisplay

?Language

?LeftChar

?LeftCode

?LeftHyphZone

?LeftMarginAdj

?Line

?LineHeight

?LineNumber

?LineNumbering

?LineNumberingInterval

?LineNumberMethod

?LineNumCountBlankLines

?LineNumNewspaperCols

?LineNumPosition

?LineSegmentBlue

?LineSegmentCount

?LineSegmentGreen

?LineSegmentRed

?LineSegmentSetUserData

?LineSegmentShading

?LineSegmentSpacing

?LineSegmentWidth

?LineSegmentWPG2Pattern

?LineSpacing

?ListDefinition

M

?MacroExecute

?MacroPlaying

?MacroRecord

?MajorVersion

?MarginBottom

?MarginLeft

?MarginRight

?MarginTop

?MergeDone

?MinorVersion

N

?Name

?Network

?NotFound

O

?Overstrike

P

?Page

?PageBorder

?PageNumberFormat

?PageNumberingOn

?PageNumberingValue

?PageNumberMethod

?PageNumberPosition

?PageSuppress

?PaperLength

?PaperSizeType

?PaperWidth

?ParagraphBorder

?ParagraphNumber

?ParagraphNumberMethod

?Path

?PathBackup

?PathCurrent

?PathDatabase

?PathDatabaseSupplemental

?PathDocument

?PathGraphics

?PathGraphicsSupplemental

?PathHyphenation

?PathLabels

?PathMacros

?PathMacrosSupplemental

?PathPrinters

?PathPrintersSupplemental

?PathProgram

?PathShared

?PathSpreadsheet

?PathSpreadsheetSupplemental

?PathTemplate

?PathTemplateSupplemental

?PauseKey

?Position

?PowerBarActive

Q

No index entries for this letter.

R

?Random

?RedlineCharacter

?RedlineMethod

?RevealCodesActive

?RightChar

?RightCode

?RightHyphZone

?RightMarginAdj

?Row

?RowHeader

?RowHeight

?RulerBarActive

S

?SaveWorkspace

?SecondaryPageNumberMethod

?SecondaryPageNumber

?SelectedText

?SelectedTextSize

?ShowBoxes

?SortGetAction

?SortGetCase

?SpaceExpansion

?SpacingBelowPar

?StartingLineNumber

?StatusBarActive

?Substructure

T

?TableDefaultLine

?TableGuides

?TableInTable

?TableLastCell

?TabSettings

?TemplateFile

?TemplateFileSupplemental

?TextColorBlue

?TextColorGreen

?TextColorRed

?TextColumnNumber

?TextColumns

?TextShade

?ThousandsSeparatorChar

?TimeHour

?TimeHundredth

?TimeMinute

?TimeSecond

?ToADefinition

?ToAShortFormMarks

?ToAShortForms

?ToCDefinition

?TypeoverActive

U

?UndeleteBuffers

?UnderlineSpaces

?UnderlineTabs

?UnprintableBottomMargin

?UnprintableLeftMargin

?UnprintableRightMargin

?UnprintableTopMargin

?UpdateQuickList

?UseDefaultDocExt

?UserColorBlue

?UserColorGreen

?UserColorRed

?UserInitials

?UserName

V

?VolumeNumber

?VolumeNumberMethod

W

?WatermarkAOccur

?WatermarkBOccur

?WidowOrphan

?WritingToolsDisabledState

X

No index entries for this letter.

Y

No index entries for this letter.

Z

?Zoom


Macro Basics

This manual discusses the main statement types used to write a macro: assignments, conditions, loops, comments, and commands.  See Macro Language Concepts for brief descriptions, and Variables, Constants, Operators, and Expressions, and Macro Control Statements for detailed descriptions and examples.

Macro Language Concepts

Variables, Constants, Operators, and Expressions

Macro Control Statements

Conventions and Macro Hints


Conventions and Hints

Conventions and Macro Hints

Conventions

1	Programming commands, such as SWITCH, are all uppercase to distinguish them from product commands.  You can enter commands in uppercase, lowercase, or mixed case.  The compiler is not case sensitive (see Compilers).

2	Product commands, such as AboutDlg or MarginLeft, are mixed case.

3	System variables, such as ?DocBlank or ?PaperWidth, are mixed case and usually begin with a question mark.

4	Italicized words in a syntax definition are user-defined values.

Macro Hints

1	Wrapping does not affect macro execution.

2	Do not insert spaces in a command name unless the space is part of the syntax.

3	Do not use hard returns, tabs, or indents within a character expression (a character string enclosed in double quotation marks).  See Character Expressions.

4	You can use spaces, tabs, indents, and hard returns before and after commands, or between parameters, to make a macro easier to read.

5	Smart Quotes in a macro create a compile-time syntax error.  To disable, choose Tools, QuickCorrect, then deselect Enable SmartQuotes.

6	Command syntax must be correct for a macro to compile.  Common errors include missing or incorrectly used colons (:), semicolons (;), and double quotation marks (").

7	A macro is automatically compiled the first time it plays.  You can also compile macros from Macro Facility (see Compilers), or choose Save & Compile on the Macro feature bar (see Macro Feature Bar).

8	Begin macros with an APPLICATION statement to identify, for the compiler, the application used in the macro.  You can include more than one APPLICATION statement (see APPLICATION).


Macro Language Concepts

This section introduces macro concepts.  Begin here if you are new to macro writing, or skip to the command index sections if you are an experienced macro writer.  The topics below are presented in detail in Variables, Constants, Operators, and Expressions, and in Macro Control Statements.

WordPerfect's command-based macro language consists of statements that, when compiled, perform tasks.  For example, the AboutDlg command displays the About WordPerfect dialog box.  You can combine commands in macros to automate routine tasks and simplify large ones.  The following topics introduce macros:

Macros

Assignment Statements

Variables

System Variables

Conditional Statements

Loop Statements

Comment Statements

Command Statements

Command Name

Parameters

Product Commands

Programming Commands

Syntax

Subroutines

Compilers


Macros

Automate WordPerfect tasks, such as setting margins, selecting a font, or creating a merge file.  Macro tasks consist of instructions called statements.  Statements can be assignments, conditions, loops, comments, or commands.  For example,

MarginLeft (1.0")

MarginRight (1.0")

are commands that set one-inch left and right margins (the task).  Each command represents one instruction or statement.

The simplest macro consists of only one statement.  Complex macros have hundreds of statements.  The sequence of statements determines how a macro performs its tasks.


Assignment Statements

Assign the value of an expression to a variable.

x := "John Doe"

Result: x equals John Doe

y := 5

Result: y equals 5

z := 3 + 4

Result: z equals the result of 3 + 4

The assignment operator (:=) assigns the value of a right operand expression to a left operand variable.  You can also assign values to variables using the ASSIGN programming command (see ASSIGN).


Variables

Represent data that can change during macro execution.  Data may include any type of expression, but only one at a time.  Variable names are user-defined, are not case sensitive, must begin with a letter, can include any other combination of letters or numbers, and are limited to 50 characters.  For example, if you assign 1.0" to variable vMargin, the following commands set one-inch top and bottom margins:

MarginTop (vMargin)

MarginBottom (vMargin)

The lowercase v in vMargin is an optional convention to identify variables.  See Variables in Variables, Constants, Operators, and Expressions.


System Variables

Contain current system information such as font names, margins, and default directories.  System variables are defined by WordPerfect and most begin with a question mark.  For example,

vMacroPath := ?PathMacros

assigns the path and name of the default macros directory to a variable named vMacroPath.  If you change the directory, system variable ?PathMacro is updated to reflect the change.  See System Variable Index.


Conditional Statements

Execute a statement or group of statements (statement block) when a specified condition is met.  If a macro displays a list of options, it executes a statement block depending on which option the user chooses.  Conditional statements include CASE, IF, and SWITCH.  See Conditional Statements.


Loop Statements

Execute a statement or statement block repeatedly while or until a specified condition is met.  The macro then exits the loop and continues to the next statement.  Loop statements include FOR, FORNEXT, FOREACH, REPEAT, and WHILE.  See Loop Statements.


Comment Statements

Contain notes and other information that do not affect macro execution.  Use comment statements to explain the purpose of your macro and describe its components.  Comment statements help if you have to modify a macro months after it is written, or they help if someone else has to understand your macro.  A comment begins with // and ends with a hard return [HRt].  See // (comment).


Command Statements

Consist of a name, and optionally one or more parameters.  Commands represent an instruction or statement.  Command names often describe the action, such as Font, MarginLeft, Advance, and FootnoteOptions.  See Macro Command Index.


Command Name

Command names often describe the action, such as Font, MarginLeft, Advance, and FootnoteOptions.  Command names are not case sensitive and usually do not contain spaces.  Exceptions include programming commands that call a subroutine, such as CASE CALL or ONCANCEL CALL (see Subroutines).

A macro can use more than one application.  Commands to the non-default application require a product prefix, which is specified in an APPLICATION statement.  In this example,

A1.AboutDlg ()

A1 (followed by a period) is the product prefix.  It identifies, for the compiler, the application to use.  See Compilers and APPLICATION.


Parameters

Contain a constant value (data) that is passed to the compiler or between subroutines when the macro plays (see Compilers).  In this example,

Advance (Where: AdvanceDown!; Amount: 1.0")

Advance is the command name, and AdvanceDown! and 1.0" are parameter data.  This command advances the insertion point down one inch.  Parameter names, such as Where and Amount, are optional (see Macro Facility).

The beginning of a parameter set is marked with an open parenthesis, and the end with a closed parenthesis.  Multiple parameters are separated by a semicolon.  Some commands, such as AboutDlg and PaperSizeSelct, have no parameters or many parameters.


Product Commands

Execute product features.  For example,

FontSize (12.0p)

sets the current font size to 12-point.  See Macro Command Index.


Programming Commands

Direct the execution of a macro.  For example,

IF(x = "Y")

ButtonBarCreateDlg

ELSE

ButtonBarOptionsDlg

ENDIF

displays the Create Button Bar dialog box if x equals the value Y, or the Button Bar Options dialog box if x has any other value.  IF, ELSE, and ENDIF are programming commands.  ButtonBarCreateDlg and ButterBarOptionsDlg are product commands.  See Macro Command Index.

In Help, programming commands appear in uppercase, product commands in mixed case.  Product and programming commands are not case sensitive.


Syntax

Refers to rules that govern the form of macro statements and expressions.  For example,

Type("John Doe")

types John Doe.  The next example,

Type("John Doe"

lacks a closing parenthesis.  The syntax is not correct and produces an error message.  See Macro Command Index and System Variable Index for the correct syntax of macro commands and system variables.  See Macro Errors for common syntax errors.


Subroutines

Consist of statements that are executed when the subroutine is called by a calling statement.  Subroutines include functions, procedures, and labels.

CALL(SubExample)

...(other statements)...

LABEL(SubExample)

...statement block...

RETURN

Explanation: The calling statement CALL(SubExample) calls (directs macro execution to) the subroutine LABEL(SubExample).   RETURN directs macro execution to the statement that follows CALL(SubExample).  Statements in a subroutine are accessible to any part of a macro, and can be called any number of times during execution.  See Calling Statements and Subroutines.


Compilers

A computer's central processing unit (CPU) executes instructions written in machine (computer) language.  Machine language consists of binary digits (bits) 0 and 1.  For example, the first three letters of the alphabet in binary notation are 1000001, 1000010, and 1000011.  The binary result of 4 + 5 is 1001.  Since binary digits are hard to work with, English-based programming languages, such as Basic, Pascal, and C were created.  Programs are written with an editor or word-processor and saved as source files.  Compilers create object files, which is a copy of the source file translated into machine language.  Computers can only execute object files.

Macro languages are similar to programming languages.  Macros are written with an editor or word-processor and saved as a source file.  When Macro Facility compiles a source file, however, it does not create a separate object file.  Instead, it saves the object in the source file header, where you cannot see it.  When you edit a source file, you must recompile it to update the object.  WordPerfect can only execute (play) a source file with an object.  A compiled source file, or macro, contains instructions Macro Facility interprets and sends to the appropriate application for execution when you play the macro (see Play a Macro).


Variables, Constants, Operators, and Expressions

Variables and constants are joined by operators to form expressions.  Expressions often compute values that determine how control statements direct macro execution (see Macro Control Statements).

Variables

Constants

Operators

Expressions


Variables

Point to a memory cell where data is stored.  The variable name represents the data's address or location.  An address (variable) can store only one data item at a time, which can be of any type and can change during macro execution.

A run-time error occurs if you reference a variable that has not been assigned a value.

Variable names are user-defined, are not case sensitive, must begin with a letter, can include any other combination of letters or numbers, and are limited to 50 characters.  The following examples assign a right operand expression to a left operand variable:

x := "John Doe"

Result: x equals John Doe (character string)

vLeftMargin := 5i

Result: vLeftMargin equals 5I (measurement expression)

ResultOfOperation := 3 + 4

Result: ResultOfOperation equals 7 (numeric expression)

z := z + 1

Result: z equals the value of z + 1.  Since a variable can contain only one value at a time, the original value of z is lost (unless previously assigned to another variable).

x := y > 1

Result: x equals the result of relational expression y > 1: True if y contains a value greater than 1, or False if y contains a value less than or equal to 1.  True and False are Boolean data that represent numeric constants 1 and 0.

The following example evaluates the result of y > 1, without assigning the result to a variable.  The computer beeps if the value of y is greater than 1 (if expression is true).  The first statement after ENDIF is executed if the value of y is less than or equal to 1 (is expression is false).

IF(y > 1)

    BEEP

ENDIF

Variable Programming Commands

INDIRECT

LOCAL

GLOBAL

PERSIST

DECLARE

Special Variables

MacroDialogResult

ErrorNumber


INDIRECT

Creates a variable out of a combination of character strings and/or numbers (see INDIRECT).  You can use INDIRECT wherever you can use a variable.


LOCAL

Creates variables that only pertain to the current macro (see LOCAL).


GLOBAL

Creates variables that pertain to the current macro and macros called by CHAIN or RUN (see CHAIN, GLOBAL, and RUN).


PERSIST

Creates variables that pertain to any Shared Code macro as long as Shared Code is running (see PERSIST and PERSISTALL).


DECLARE

Declares a local array that only pertains to the current macro.  An array can have up to 10 dimensions, and up to 32,767 elements per dimension depending on the amount of available memory (see DECLARE).


MacroDialogResult

An implicit variable (one defined by the application) that contains the Control value of the button that dismisses a dialog box.  See Creating a Dialog Box and DIALOGDEFINE.


ErrorNumber

A special variable that contains the error value of a Cancel, Error, or Not Found condition.  See ASSERT.


Constants

A data object with a value that does not change during macro execution.

SWITCH(x)

CASEOF 1: CALL(Start)

CASEOF 2: CALL(Stop)

ENDSWITCH

Explanation: This SWITCH statement contains two CASEOF statements, followed by numeric constants 1 and 2.  If variable x equals 1, a subroutine named Start is called.  If x equals 2, a subroutine named Stop is called.

See Also

Conditional Statements

SWITCH


Operators

Macros support the following operators:

Unary

Binary

Arithmetic

Relational

Logical

Bitwise

Operator Precedence


Unary Operators

A symbol or word that represents an operation on only one operand or expression.

Operator	Action

+	Multiplies an operand by +1

_	Multiplies an operand by -1

NOT	Inverts the result of relational and logical expressions

Unary plus/minus (+/-) examples

NOT example

NOT example in an IF statement

NOT example in shorthand notation


Unary plus/minus (+/-) examples

+5

Result: +5 is the result of 5 * +1.

-10

Result: -10 is the result of 10 * -1.


NOT example

x := 5

y := (x < 10)

z := NOT(x < 10)

Explanation: True is assigned to y (x is less than 10).  False is assigned to z (the result of expression x < 10 is inverted).


NOT example in an IF statement

x := 5

z := (x < 10)

IF(NOT(z))

BEEP

ELSE

QUIT

ENDIF

Explanation: If the inverted result of expression x < 10 is True, beep.  Since False is the result of NOT(z), there is no beep, and the ELSE statement is executed (QUIT ends the macro).


NOT example shorthand notation

x := 5

IF(NOT(x < 10))

BEEP

ELSE

QUIT

ENDIF

Explanation: If the inverted result of expression x < 10 equals True, beep.  Since the result of NOT(x < 10) equals False, there is no beep, and the ELSE statement is executed (Quit ends the macro).

Previous example without NOT operator

x := 5

IF(x > 10)

BEEP

ELSE

QUIT

ENDIF

Explanation: If the result of expression x > 10 equals True, beep.  Since the result equals False (the value of x is less than 10), the ELSE statement is executed (QUIT ends the macro).


Binary Operators

A symbol that represents an operation on two operands or expressions.  For example,

x := 3 + 4

contains a plus operator (+) which adds the operands 3 and 4.   The assignment operator (:=) assigns the result of the arithmetic expression 3 + 4 to variable x.

The binary operators are:

Arithmetic Operators

Relational Operators

Logical Operators

Bitwise Operators


Arithmetic Operators

A symbol or word that represents a mathematical operation on two operands.

Operator	Action

*	Multiplication

/	Division

_	Subtraction

+	Addition

%	Floating point modulus division (returns floating point division remainder)

MOD	Integer modulus division (returns integer division remainder)

DIV	Integer division (returns integer portion of integer division)

Floating point (%) examples

MOD examples

DIV examples

See Also

Arithmetic Expressions


Floating point (%) examples

x := 10.1 % 3

Result: x equals 1.1

x := 9 % 3

Result: x equals 0


MOD examples

x := 10 MOD 3

Result: x equals 1.

x := 10.1 MOD 3

Result: error (cannot use MOD on real numbers).


DIV examples

x := 10 DIV 3

Result: x equals 3.

x := 9 DIV 3

Result: x equals 3.

x := 9.1 DIV 3.5

Result: error (cannot use DIV on real numbers).


Relational Operators

A symbol that represents a relational operation on two operands.  The result of the operation equals True or False.

Operator	Action

>	Greater than

>=	Greater than or equal to

<	Less than

<=	Less than or equal to

=	Equal to

<>	Not equal to

Greater than (>) and less than (<) examples

Greater (>=) and less (<=) than or equal to examples

Not equal (<>) example

See Also

Relational Expressions


Greater than (>) and less than (<) examples

x := 10

z := (x > 5)

Result: z equals True (x is greater than 5).

x := 10

z := (x < 5)

Result: z equals False (x is not less than 5).


Not equal (<>) example

x := 10

z := (x <> 5)

Result: z equals True (x is not equal to 5).


Greater (>=) and less (<=) than or equal to examples

x := 10

IF(x >= 10)

BEEP

ELSE

QUIT

ENDIF

Explanation: The result of expression x >= 10 equals True (x equals 10), and the computer beeps.  The ELSE statement is skipped (QUIT does not end macro).

x := 20

IF(x <= 10)

BEEP

ELSE

QUIT

ENDIF

Explanation: The result of expression x <= 10 equals False (x is greater than 10), and the computer does not beep.  The ELSE statement is executed (QUIT ends macro).


Logical Operators

Words that represent a logical relationship between conditions, or that invert a condition.  The condition is the result of a relational expression.  The operators are listed in order of precedence.

Operator	Action

NOT	NOT is a unary operator that inverts the result of a relational expression.

AND	Combines two relational expressions.  Each expression must be true for the logical experssion to be true.

XOR	Combines two relational expressions.  Only one expression can be true for the logical expression to be true.  If both are true or both are false, the logical expression is false.  Operator is called exclusive OR.

OR	Combines two relational expressions.   Only one expression need be true for the logical expression to be true.  Operator is called Inclusive OR.

NOT example

AND example

XOR example

XOR example in shorthand notation

OR example

See Also

Logical Expressions


NOT example

x := 8

IF((x < 10) AND NOT (x = 5))

BEEP

ENDIF

Explanation: Logical expression is true (x is less than 10 AND NOT x is equal to 5, or x is not equal to 5).  The computer beeps.


AND example

x := 1

y := 2

z := ((x = 1) AND (y = 2))

Result: z equals True.  The logical AND expression is true because the relational expressions x = 1 and y = 2 are true.


XOR example

x := 1

y := 2

z := ((x = 0) XOR (y = 2))

Result: z equals True (only one relational expression is true)

x := 1

y := 2

z := ((x  = 1) XOR (y = 2))

Result: z equals False (both relational expressions are true)

x := 1

y := 2

z := ((x = 0) XOR (y = 1))

Result: z equals False (both relational expressions are false)


XOR example in shorthand notation

x := 1

y := 2

IF((x = 0) XOR (y = 2))

BEEP

ENDIF

Explanation: The logical XOR expression is true because relational expression x = 0 is false and relational expression y = 2 is true.  The computer beeps.


OR example

x := 1

y := 2

z := ((x = 1) OR (y = 5))

Result: z equals True.  The logical OR expression is true because relational expression x = 1 is true.


Bitwise Operators

A symbol that represents a bitwise operation on two integer operands.  The operators are listed in order of precedence.

Operator	Action

~	Bitwise unary NOT (one's complement) toggles a binary value (1 to 0, and 0 to 1).

&	Bitwise AND results in 1 if both operand bits are 1, and 0 if not.

|	Bitwise inclusive OR results in 1 if both operands are 1 or operands do not match.  Results in 0 if both operands are 0.

^	Bitwise exclusive OR (XOR) results in 0 if operands match, and 1 if not.

<<	Shift bits left.

>>	Shift bits right.

Unary NOT (~) example

AND (&) example

Inclusive OR (|) example

Exclusive OR (^) example

Shift left (<<) example

Shift Right (>>) example

See Also

Bitwise Expressions


Unary NOT (~) example

DEC	BIN

~-15	1111111111110001

___	________________

14	0000000000001110

Explanation: Bitwise unary NOT toggles bits from 1 to 0, and 0 to 1.


AND (&) example

DEC	BIN

1000	1111101000

&	31	0000011111

____	__________

8	0000001000

Explanation: Bitwise AND turns bits off (result is 0) if one operand is 0.  Bits are left on (result is 1) if both operands are 1.


Inclusive OR (|) example

DEC	BIN

1000	1111101000

|	27	0000011011

____	__________

1019	1111111011

Explanation: Bitwise OR turns bits on (result is 1) if one operand is 1.  Bits are left off (result is 0) if both operands are 0.


Exclusive OR (^) example

DEC	BIN

1000	1111101000

^	40	0000101000

____	__________

960	1111000000

Explanation: Bitwise XOR turns bits on (result is 1) if the operands are different.  It turns bits off (result is 0) if the operands are the same.


Shift left (<<) example

DEC	BIN

500	0111110100

<<	1	0000000001

____	__________

1000	1111101000

Explanation: Shift bits one position left, and insert one 0 bit at the right end of the binary numeral.  Multiplies the original value by 2.


Shift right (>>) example

DEC	BIN

1000	1111101000

>>	1	0000000001

____	__________

500	0111110100

Explanation: Shift bits one position right, and insert one 0 bit at the left end of the binary numeral.  Divides the original value by 2.


Operator Precedence

The following table shows operator precedence, which is applied to expressions with two or more operators.

Order	Operators

1	parentheses (), unary minus (-), unary plus (+), bitwise not (~), logical not (NOT)

2	multiply (*), divide (/), modulus division (% or MOD), integer division (DIV)

3	add (+), substract (-)

4	shift left (<<), shift right (>>)

5	less than (<), less than or equal to (<=), greater than (>), greater than or equal to (>=), not equal (<>), equal (=)

6	bitwise and (&), bitwise or (|), bitwise xor (^)

7	logical and (AND), logical xor (XOR)

8	logical or (OR)

The following rules apply to operators:

Operators with the same precedence are evaluted from left to right.

Operators inside parentheses are evaluated before operators outside parentheses.

Operators inside nested parentheses are evaluated from the innermost parentheses out.

Operator Precedence Examples


Operator Precedence Examples

x := ((50 * 5 + 50) * 3 + 100)

Result: x equals 1000 (50 * 5 = 250, 250 + 50 = 300, 300 * 3 = 900, 900 + 100 = 1000)

x := ((50 * (5 + 50)) * 3 + 100)

Result: x equals 8350 (5 + 50 = 55, 55 * 50 = 2750, 2750 * 3 = 8250, 8250 + 100 = 8350)

x := ((50 * 5 + 50) * (3 + 100))

Result: x equals 30900 (50 * 5 = 250, 250 + 50 = 300, 300 * 103 = 30900)


Expressions

Macros support the following expressions:

Numeric

Measurement

Character

Arithmetic

Relational

Logical

Bitwise

See Also

Radix Base Conversions


Numeric Expressions

Numeric constants or variables, or a combination of the two joined by a numeric operator.  A numeric operator is a word or symbol that operates on numeric data (see Unary and Binary Operators).

Given that x equals 3, the following examples are valid numeric expressions:

5

Explanation: Numeric constant.

x

Explanation: Variable containing a numeric value.

x * 5

Explanation: Expression (multiply x and 5).  The expression x * 5 is also an arithmetic expression.

+5

Explanation: Unary plus constant.

-(x + 10)

Explanation: Unary minus expression (negate the result of x plus 10)


Measurement Expressions

Constants or variables containing a measurement value, or combination of the two joined by a numeric operator.

Given that z equals 4i (inches), the following examples are valid measurement expressions:

5c

Explanation: Constant (5 centimeters).

z

Explanation: Variable that contains a measurement value of 4 inches.

z * 10i

Explanation: Expression (multiply z and 10 inches).

-z

Explanation: Unary minus (negative 4 inches).

The valid units of measure are:

Unit of Measure	Measurement Type

"	inches

i	inches

c	centimeters

m	millimeters

p	points (72 per inch)

w	WP unit (1200 per inch)


Character Expressions

A character constant (letter, digit, or keyboard symbol) or variable, or combination of the two concatenated by the plus operator (+) or compared by a relational operator such as > (greater than).  Character constants and character constants assigned to variables must be enclosed in double quotation marks.

Enclose a character constant in single quotation marks to specify an ASCII numeric value (see CtoN).  For example,

x := 'A'

Result: x equals 65.

x := 'A' + 'B'

Result: x equals 131 (65 + 66).

A character string with double quotation marks is enclosed with two sets of double quotation marks.  For example,

x := "His name is ""John"" Doe"

Result: x equals His name is "John" Doe.

x := """John Doe"""

Result: x equals "John Doe" (outside quotation marks are always required).

The following examples are valid character expressions (notice the space after Joe and before Jr.).

"John Doe"

Explanation: Character string.

z := "Joe " + "Doe"

Explanation: Expression assigned to variable z (z equals John Doe).

x := z + ",  Jr."

Explanation: Expression assigned to variable x (x equals John Doe, Jr.).

If you concatenate a character string and a number, the number is converted to a character string.  If you concatenate a numeric character and a number, the numeric character is converted to a number and the two are added.

x := "A" + 1

Result: x equals A1 (character string).

x := "1" + 1

Result: x equals 2 (number).

x := ("A" + (1 + 3))

Result: x equals A4 (the result of a mathematical operation (1+3=4) converted to a character string before being concatenated to A).

Compare the previous example with the following examples (operation precedence is left to right):

x := ("A" + 1 + 3)

Result: x equals A13 (character string--numbers converted and not added).

x := (1 + 3 + "A")

Result: x equals 4A (character string--numbers added and then converted to a character string).


Arithmetic Expressions

A statement that represents an arithmetic operation, or one that contains two operands joined by an arithmetic operator.  The operation result is a numeric value.

x := 1 + 2

Result: x equals 3.

x := 3 * 3

Result: x equals 9.

x := "2" * 3 * 4

Result: x equals 24 (2 converted to a number then multiplied).

x := "A" * 2

Result: error (cannot multiply letters and numbers).

See Also

Arithmetic Operators


Relational Expressions

A statement that represents a relational operation, or one that contains two operands joined by a relational operator.  The operation result equals True or False.

Given that x equals 5,

z := (x > 6)

Result: z equals False (5 is less than 6).

z := (x >= 5)

Result: z equals True (5 equals 5).

z := ("Ab" > "Bb")

Result: z equals False (Ab is less than, or comes before, Bb).

z := ("Ab" <> "Bb")

Result: z equals True (Ab is not equal to Bb).

Given that x equals "A", y equals "B", and z equals "a", the following expressions return True or False in variable w:

w := (x > y)

Result: w equals False (uppercase A is less than, or comes before, uppercase B).

w := (x > z)

Result: w equals True (uppercase A is greater than, or comes after, lowercase a).

See Also

Relational Operators


Logical Expressions

A statement that represents a logical operation, or one that contains two relational expressions joined by a logical operator.  The operation result equals True or False.

Given that x equals 10, y equals 5, and z equals 20, the following expressions return True or False in variable w:

w := ((x > y) AND (y < z))

Result: w equals True (both relational expressions are true).

w := ((x < y) AND (y < z))

Result: w equals False (first relational expression is false).

w := NOT(y > z)

Result: w equals True (5 is not greater than 20).

w := ((x > 5) AND (y < 20) AND (z = 20))

Result: w equals True (all relational expressions are true).

w := (((x < 5) AND (y > 20)) OR (z = 20))

Result: w equals True (z = 20 is true).

w := (((x < 5) AND (y > 20)) OR NOT (z = 20))

Result: w equals False (all relational expressions are false).

See Also

Logical Operators


Bitwise Expressions

A statement that represents a bitwise operation, or one that contains two operands joined by a bitwise operator.

Bitwise NOT (~) example

Bitwise AND (&) example

Bitwise inclusive OR (|) example

Bitwise XOR (^) example

Bitwise shift left (<<) example

Bitwise shift right (>>) example

See Also

Bitwise Operators


Bitwise NOT (~) example

x := ~(-15)

Result: x equals 14 (one's complement)

x := ~(-15) + 1

Result: x equals 15 (two's complement)


Bitwise AND (&) example

x := 65535 & 535

Result: x equals 535.

Previous example in binary notation

1111111111111111	(binary 65535)

&	0000001000010111	(AND binary 535)

________________

0000001000010111	(result is binary 535)

Explanation: Bitwise AND operation result is 1 if both operands are 1, or 0 if not.


Bitwise inclusive OR (|) example

x := 65535 | 535

Result: x equals 65,535.

Previous example in binary notation

1111111111111111	(binary 65535)

|	0000001000010111	(OR binary 535)

________________

1111111111111111	(result is binary 65535)

Explanation: Bitwise OR operation result is 1 if one operand is 1, or 0 if both operands are 0.


Bitwise XOR (^) example

x := 65535 ^ 535

Result: x equals 65,000.

Previous example in binary notation

1111111111111111	(binary 65535)

^	0000001000010111	(XOR binary 535)

________________

1111110111101000	(result is binary 65,000)

Explanation: Bitwise XOR operation result is 0 if both operands are 0 or 1, or 1 if operands do not match.


Bitwise shift left (<<) example

x := 65535 << 1

Result: x equals 131,070.

Previous example in binary notation

1111111111111111  (binary 65535)

________________

<<	1111111111111110  (result is binary 131,070)

Explanation: Bitwise shift left operator shifts bits one position left, and insert one 0 bit at the right end of the binary numeral.  The result is the original value multiplied by 2.


Bitwise shift right (>>) example

x := 65535 >> 1

Result: x equals 32,767.

Previous example in binary notation

1111111111111111  (binary 65535)

________________

<<	0111111111111111  (result is binary 32,767)

Explanation: Bitwise shift right operator shift bits one position right, and insert one 0 bit at the left end of the binary numeral.  The result is the original value divided by 2.


Radix Base Conversions

The radix is the base of a number system.  The conversion choices are,

h or x	Hexadecimal (radix is 16)

o	Octal (radix is 8)

b	Binary (radix is 2)

For example,

x := 1Ah

Result: x equals 26.

x := 1111b

Result: x equals 15.

x := 44o

Result: x equals 36.

All radix bases must begin with a number.  Precede non-numeric hex digits with 0.  For example,

x := 0Ah

Result: x equals 10.


Macro Control Statements

Control statements alter the sequential execution of macro commands.  For example,

MarginLeft(1.0")

MarginLeft(2.0")

sets a one-inch left margin and then a two-inch left margin.  The second command overrides the first.  A control statement can select which MarginLeft to execute depending on a condition being true.

SWITCH(Test)

CASEOF 1: MarginLeft(1.0")

CASEOF 2: MarginLeft(2.0")

DEFAULT: MarginLeft(3.0")

ENDSWITCH

Explanation: If variable Test equals 1, set a one-inch left margin.  If Test equals 2, set a two-inch left margin.  If Test equals any value except 1 or 2, set a three-inch left margin.

 Macros support the following control statements:

Conditional

Loops

Calling Statements

Subroutines

Macro File Libraries

See Also

MarginLeft

SWITCH


Conditional Statements

Execute a statement or statement block when an expression is true, or a variable matches a constant.

Macros support the following conditional statements:

CASE

IF-ELSE-ENDIF

SWITCH-ENDSWITCH


CASE

Executes a LABEL statement when Test (user-defined variable) matches a constant value.

CASE(Test; {1; Start; 2; Next}; Other)

...(other statements)...

LABEL(Start)

...statement block...

LABEL(Next)

...statement block...

LABEL(Other)

...statement block...

Explanation: If Test matches 1, call LABEL(Start).  If Test matches 2, call LABEL(Next).  If there is no match, call LABEL(Other).  CASE CALL is a similar statement which expects a RETURN after a LABEL statement.  See CASE and CASE CALL.


IF-ELSE-ENDIF

Executes a statement or statement block when an expression is true.

IF(x = 5)

...statement block...

ELSE

...statement block...

ENDIF

Explanation: Execute the first statement block if the expression x = 5 is true (if x equals 5).  If not true, execute the second statement block.  ELSE is optional.

IF(Expression)

...statement block...

ENDIF

Explanation: If Expression is true, execute statement block.  If not true, execute the first statement after ENDIF.  Expression must evaluate to true or false.  See Relational Expressions and IF.


SWITCH-ENDSWITCH

Executes a statement or statement block when Test matches Constant.

SWITCH(Test)

CASEOF Constant1:

...statement block...

CASEOF Constant2:

...statement block...

CASEOF Constant3:

...statement block...

DEFAULT:

...statement block...

ENDSWITCH

Explanation: If Test matches Constant1, the statement block after CASEOF Constant1 is executed.  Statement blocks can include calling a subroutine (see Subroutines).  If CONTINUE follows a statement block, the next statement block is automatically executed.  See SWITCH.


Loop Statements

Execute a statement or statement block a specified number of times, until an expression is true, or while an expression is true.

Macros support the following loop statements:

FOR-ENDFOR

REPEAT-UNTIL

WHILE-ENDWHILE


FOR-ENDFOR

Executes a statement or statement block a specified number of times.  The general form is,

FOR(ControlVariable; InitialValue; TerminateExp; IncrementExp)

...statement block...

ENDFOR

Explanation: InitialValue initializes ControlVariable.  TerminateExp tests the value of ControlVariable.  IncrementExp increases the value of ControlVariable until TerminateExp is true and the loop ends.

FOR(x; 1; x < 5; x + 1)

...statement block...

ENDFOR

Explanation: x is initialized to 1, statement block executes while x is less than 5, x is incremented by 1 at the end of each loop.  Similar loop statements are FOREACH-ENDFOR and FORNEXT-ENDFOR.  See Relational Expressions, FOR, FOREACH, and FORNEXT.


REPEAT-UNTIL

Executes a statement or statement block until an expression is true.  All REPEAT statements execute at least once because the expression is checked at the end of the loop.

REPEAT

...statement block...

UNTIL(x >= 10)

Explanation: Execute statement block until the expression x >= 10 is true (until x is greater than or equal to 10).  The value of x must change in the loop to make the expression true or the loop never ends.  For example,

REPEAT

...statement block...

x := x + 1

UNTIL(x >= 10)

Explanation: Increment x by 1 (x := x + 1) at the end of each loop until x is greater than or equal to 10.  See Relational Expressions and REPEAT.


WHILE-ENDWHILE

Executes a statement or statement block while an expression is true.  WHILE statements never execute unless the expression is true because the expression is checked at the start of the loop.  For example,

WHILE(x <= 10)

...statement block...

ENDWHILE

Explanation: Execute statement block while the expression x <= 10 is true (while x is less than or equal to 10).  If x is greater than 10, the loop does not execute.  The value of x must change in the loop to make the expression true or the loop never ends.  For example,

WHILE(x <= 10)

 ...statement block...

x := x + 1

ENDWHILE

Explanation: Increment x by 1 (x := x + 1) at the end of each loop while x is less than or equal to 10.  See Relational Expressions and WHILE.


Calling Statements

Call a subroutine which consists of one or more statements (see Subroutines).

Macros support the following calling statements:

CALL

GO

Subroutine Name


CALL

Has one parameter which is the name of a subroutine to call.  RETURN directs macro execution to the statement that follows CALL (see CALL and RUN).

CALL(ExSub)

...other statements...

LABEL(ExSub)

...statement block...

RETURN

Explanation: CALL(ExSub) directs macro execution to LABEL(ExSub), where statement block is executed.  RETURN directs macro execution to the first statement after CALL(ExSub).  See CALL


GO

Has one parameter which is the name of a subroutine to jump to.  Macro execution continues from the point of the subroutine and does not return (statements between GO and the subroutine do not execute).  RETURN ends a macro or directs macro execution to the statement that follows a RUN command (see GO and RUN).

GO(ExSub)

...other statements...

LABEL(ExSub)

...statement block...

RETURN

Explanation: GO(ExSub) directs macro execution to LABEL(ExSub), where statement block is executed.  RETURN ends the macro.


Subroutine Name

Performs the same action as a CALL statement.  For example,

CALL InitializeVariables(Parameter1; Parameter2)

InitializeVariables(Parameter1; Parameter2)

both call a function or procedure named InitializeVariables (see Subroutines, LABEL, FUNCTION, and PROCEDURE).  If the second example calls a function, you can assign a return value to a variable with a statement such as

x := InitializeVariables(Parameter1; Parameter2)

See RETURN.


Subroutines

Consist of one or more statements that execute when the subroutine is called by CALL, GO, or the name of the subroutine.

Macros support the following subroutines:

Labels

Functions

Procedures


Labels

Have one parameter which is the name of the subroutine.  Label names must begin with a character, consist of one or more letters or numbers, are limited to 30 characters, and have an optional trailing @ sign.  Labels generally include one or more statements followed by RETURN or QUIT.  LABEL statements execute the same as other macro statements, and do not have to be called.  See LABEL.


Functions

Can have one or more parameters which receive a value from a calling statement (see Calling Statements), and return a value.  A function without parameters performs like a LABEL, except it cannot execute unless called.  Function names must begin with a character, consist of one or more letters or numbers, are limited to 30 characters, and have an optional trailing @ sign.  The following rules apply to functions:

1	Functions begin with the word FUNCTION, and end with ENDFUNC.

2	Functions do not execute unless called.

3	Calling statements consist of a function name, which can be followed by one or more parameter values that pass to the function.  If there are no parameters, empty parentheses must follow the function name.

4	The number of parameters in a calling statement must match the number of function parameters.

5	A function cannot be defined inside another subroutine.

6	Functions can be placed anywhere in a macro, or in a macro library file (see USE).

7	Functions can be called from a subroutine, or a function can call itself (functions are recursive).

8	Function variables are private to the function.  A variable with the same name as a function variable can be used elsewhere in the macro without conflict.

9	Functions can include LABEL statements which are not visible outside the function. A LABEL statement inside a function should not have the same name as a function or procedure.

10	Functions accept RETURN statements with no parameters (return 0); or a value contained in a variable that is the result of a function; or an enumerated type that asserts a Cancel, Error, or Not Found condition; or an enumerated type that asserts a Cancel, Error, or Not Found condition, and a value contained in a variable that is the result of a function operation.  See RETURN.


Procedures

Can have no parameters, or one or more parameters which receive a value from a calling statement (see Calling Statements).  A procedure cannot return a value.  A procedure without parameters performs like LABEL, except it cannot execute unless called.  Procedure names must begin with a character, consist of one or more letters or numbers, are limited to 30 characters, and have an optional trailing @ sign.  The following rules apply to procedures:

1	Procedures begin with the word PROCEDURE and end with ENDPROC.

2	Procedures cannot execute unless called.

3	Calling statements consist of a procedure name, which can be followed by one or more parameter values that are passed to the procedure.  If there are no parameters, empty parentheses must follow the procedure name.

4	The number of parameters in a calling statement must match the number of procedure parameters.

5	A procedure cannot be defined inside another subroutine.

6	Procedures can be placed anywhere in a macro, or in a macro library file (see USE).

7	Procedures can be called from a subroutine, or a procedure can call itself (procedures are recursive).

8	Procedure variables are private to the procedure.  A variable with the same name as a procedure variable can be used elsewhere in the macro without conflict.

9	Procedures can include LABEL statements which are not visible outside the procedure.  A LABEL statement inside a procedure should not have the same name as a procedure or function.

10	Procedures accept RETURN statements with no parameters (directs macro execution to the statement that follows a procedure's caller); or one parameter (an enumerated type that asserts a Cancel, Error, or Not Found condition).  See RETURN.


Macro File Libraries

Contain functions and/or procedures that can be called from another macro, and must be compiled.

USE

Specifies a macro that contains functions and/or procedures.  Use usually precedes calling statements to a macro file library.  The following example contains two functions:

FUNCTION Add(x)

    x := x + 50

    RETURN(x)

ENDFUNC

FUNCTION Subtract(x)

    x:= x - 25

    RETURN(x)

ENDFUNC

Explanation: Function Add receives a value in variable x (see Calling Statements).  50 is added to x and returned to the functions caller.  Function Subtract receives a value in another variable named x.  25 is substracted from x and returned to the functions caller.  If this example was saved and compiled as LIBRARY.WCM, the next example includes statements that call the Add and Subtract functions:

APPLICATION(WP; "WordPerfect"; Default; "US")

USE("C:\WPWIN60\MACROS\LIBRARY.WCM")

z := Add(50)

z := Subtract(z)

IF(z = 75)

    BEEP // computer beeps because z equals 75

ENDIF

Explanation: After function Add is called, 100 is returned in variable z.  After function Subtract is called, 75 is returned in variable z.  The computer beeps because the expression z = 75 is true.

The previous example with function calling statements in shorthand notation:

APPLICATION(WP; "WordPerfect"; Default; "US")

USE("C:\WPWIN60\MACROS\LIBRARY.WCM")

z := Add(Subtract(50))

IF(z = 75)

    BEEP // computer beeps because z equals 75

ENDIF


Record a Macro

Recording a macro saves a series of keystrokes and/or mouse actions to play (repeat) later.  Recorded macros automate routine tasks, such as typing the complimentary closing of a letter, displaying a dialog box for user input, or opening or closing a document.

Steps

1	Choose Tools, Macro, Record (or press Ctrl+F10) to display the Record Macro dialog box.

2	Enter a filename in the edit box.  The default extension .wcm is automatically added when you choose Record unless you enter a different extension.  Enter a path if different from the default macros directory.  To insert a macro filename, choose the button to the right of the edit box to display the Select File dialog box, then double-click the desired filename.

To change the default extension, start WordPerfect Macro Facility.  From the main menu, choose Settings, Options, then enter the file extension in the Extension edit box.

3	Choose Record to dismiss the dialog box.  The insertion point changes to a circle with a slash to indicate that keystrokes and/or mouse actions are being recorded.  "Macro Record" appears on the status bar.

4	Enter desired text.  For example, type Hello.  Later, when you play the macro, Hello automatically appears in your document.

5	Choose Tools, Macro, Record to stop recording.  The macro is saved in the default macros directory unless you specified a different path (step 2).


Play a Macro

After recording, playing a macro accomplished in one step what required several steps to achieve during the recording session.

Steps

1	Choose Tools, Macro, Play (or press Alt+F10) to display the Play Macro dialog box.

2	Enter a filename, including path and extension if necessary, then choose Play.  To insert a macro filename, choose the Directory button to display the Select File dialog box, then double-click the desired filename.

3	Choose Play to dismiss the dialog box and play the macro.  Macros automatically compile the first time they are played.


Edit a Macro

Macros are saved as document files, with a compiled macro object hidden at the beginning of each file (see Compilers).  You can write, edit, and save a macro as you would any other text document.  You can edit a macro in WordPerfect for Windows.

Steps

1	Choose Tools, Macro, Edit to display the Edit Macro dialog box.

2	Enter a filename, including path and extension if necessary, then choose Edit.  To insert a macro filename, choose the Directory button to display the Select File dialog box, then double-click the desired filename.

3	Choose Edit to dismiss the dialog box, display the Macro Feature Bar, and open the macro (see Macro Feature Bar).

If you record the keystrokes Hello as a macro (see Record a Macro), then open the macro file, you see:

Application (A1; "WordPerfect"; Default; "US")

Type (Text: "Hello")

This macro consists of the APPLICATION programming command, and the Type product command.

4	Edit the macro.  For example, to enter commands that bold and center text between APPLICATION and Type, and a command that turns off bold after Type.  The edited macro looks like this:

Application (A1; "WordPerfect"; Default; "US")

Center ()

AttributeAppearanceOn (Attrib: Bold!)

Type (Text: "Hello")

AttributeAppearanceOff (Attrib: Bold!)

The command statements consist of product commands (see Center, AttributeAppearanceOn, and AttributeAppearanceOff).  Play the macro to see the changes.


Macro Errors

You can introduce errors when you edit a macro (see Syntax).  If in the example above you typed Centr instead of Center, when you choose Save & Compile, a compile-time syntax error displays a syntax error message box.

The compiler does not recognize Centr, and guesses that it is a LABEL's calling statement (see Calling Statements and Subroutines).  When it reaches the end of the file and does not find a corresponding LABEL, it displays a Syntax Error message.  Common syntax errors are,

Missing semicolons between parameters.

Missing parentheses.

Missing double quotation marks (see Character Expressions).

Missing command in a conditional or loop statement (see Conditional Statements and Loop Statements).

Misspelled macro command names.

Undefined calling statements (see Calling Statements).

The compiler identifies syntax errors and suggests solutions for the writer to verify.

Run-time error messages identify errors that occur while the macro plays and where they occur.


Writing Macros

A recorded macro includes only product commands.  When you play a recorded macro, each action is executed in recorded order (see Record a Macro).

A written macro can also include non-recordable statements that specify how a macro performs a task.  The writer specifies the conditions for executing assignments, loops, and programming commands (see Macro Language Concepts).  Writing a macro provides greater flexibility to determine function than recording a macro.

Macro Feature Bar

1	Open a new WordPerfect document.

2	Choose Tools, Macro, Macro Bar to display the Macro feature bar.

3	Enter macro statements by typing them or by using the Command Inserter (below).

4	Choose the Save & Compile button.  The default file extension (.wcm) is automatically added.  (To change the default extension, start WordPerfect Macro Facility.  From the main menu, choose Settings, Options, then enter the file extension in the Extension edit box.)

5	Choose the Play button (grayed until the macro is saved and compiled).

MACWRITE.WCM streamlines the start up process for writing a new macro.  Use as is, or modify to fit your own needs.

Command Inserter

Inserts product and programming commands into a WordPerfect macro document.  From the Command Inserter dialog box,

choose the Type popup button to select programming commands, Macro Facility product commands, or WordPerfect product commands.  Programming commands and Macro Facility product commands can be used in other Shared Code applications.  WordPerfect product commands are specific to WordPerfect.

Double-click a command and/or member name (or select a name, then choose Edit) to insert the command in the Command Edit box.  Choose Insert to insert the command name into a document.

The following macro example activates Command Inserter from a WordPerfect document:

//************************************************************

//*	MACRO:  CTRLM.WCM

//*	PURPOSE:  Activates the macro command inserter.

//************************************************************

Application (A1; "WordPerfect"; Default; "US")

MacroCommandInserter(On!)

Sample Macro

The following macro is one way to write a macro.  Click the example button above to display the complete macro with line-by-line comments.

VIEWBARS.WCM displays the View Bars dialog box, where a user selects bars to show.  When the macro first plays, checked boxes indicate selected bars.  The user selects Check Options to show the four main bars, or Clear Options to hide them.  Hide Bars hides all WordPerfect Bars, including the Menu Bar.  When the user selects OK, only bars with checked boxes are shown.

Main Sections

VIEWBARS.WCM is written in five sections to help you follow its design and understand how it works.

Header

Application statement

Main Call statements

Main Label statements

Secondary Label statements

Header

Provides information about the author, name of the macro, directory, and purpose in comment statements.

// Author: John Doe

// Name: VIEWBARS.WCM

// Directory: C:\WPWIN60\MACROS

// Purpose: Select bars to show or hide

Application Statement

Specifies the application used in the macro.

APPLICATION (WP; "WordPerfect"; Default; "US")

If your macro uses more than one application, it must include an Application statement for each one.  There is only one default application.  See APPLICATION.

Main Call Statements

Define a macro's main subroutines (see Subroutines).  The name of each CALL parameter describes the purpose of its corresponding LABEL statement.  When LABEL finishes (returns), macro execution continues to the next CALL statement, and so forth.  The last LABEL statement ends the macro.  Comment statements identify this section as Main Call Statements.

//**************************************************

//	Main Call Statements

//**************************************************

CALL(InitializeBarVariables)

CALL(CreateDialogBox)

CALL(GetUserChoices)

CALL(ShowBars)

CALL(QuitMacro)

Main Label Statements

Perform the main macro tasks.  Comment statements identify this section as Labels that correspond to the Main Call Statements.

//**************************************************

//	MAIN LABEL STATEMENTS

//**************************************************

The parameter name of each LABEL statement matches the name of its caller.

LABEL(InitializeBarVariables)

Assigns the current status of Bar system variables to user-defined variables vBB, vPB, vRB, and vSB.  The value equals True if active, False if not.  The lowercase v in variable names is an optional convention that stands for variable.  The indentations are an optional convention to make the macro easier to read.  RETURN directs macro execution to CALL(CreateDialogBox).

LABEL(InitializeBarVariables)

vBB := ?ButtonBarActive

vPB := ?PowerBarActive

vRB := ?RulerBarActive

vSB := ?StatusBarActive

RETURN

LABEL(CreateDialogBox)

Creates a dialog box with ten controls in memory, but does not display the dialog box.  RETURN directs macro execution to CALL(GetUserChoices).  See Dialog Boxes.

LABEL(CreateDialogBox)

DIALOGDEFINE("ViewBars"; 50; 50; 153; 137; 16; "VIEW BARS")

DIALOGADDPUSHBUTTON("ViewBars"; 1; 10; 8; 127; 13; 0; "&Hide Bars")

DIALOGADDGROUPBOX("ViewBars"; 2; 10; 28; 65; 82; "Options")

DIALOGADDCHECKBOX("ViewBars"; 3; 20; 45; 50; 10; "&Button Bar"; vBB)

DIALOGADDCHECKBOX("ViewBars"; 4; 20; 60; 50; 10; "&Power Bar"; vPB)

DIALOGADDCHECKBOX("ViewBars"; 5; 20; 75; 50; 10; "&Ruler Bar"; vRB)

DIALOGADDCHECKBOX("ViewBars"; 6; 20; 90; 50; 10; "&Status Bar"; vSB)

DIALOGADDPUSHBUTTON("ViewBars"; 7; 82; 33; 55; 13; 0; "C&heck Options")

DIALOGADDPUSHBUTTON("ViewBars"; 8; 82; 50; 55; 13; 0; "C&lear Options")

DIALOGADDPUSHBUTTON("ViewBars"; 9; 82; 80; 55; 13; 1; "&OK")

DIALOGADDPUSHBUTTON("ViewBars"; 10; 82; 97; 55; 13; 0; "&Cancel")

RETURN

LABEL(GetUserChoices)

Displays the Viewbars dialog box and waits for user input.  Check boxes are displayed checked if the value of its corresponding variable equals True.  If Hide Bars button is selected, 1 is assigned to MacroDialogResult and LABEL(HideBars) is called.  If Check Options is selected, 7 is assigned and LABEL(CheckOptions) is called.  If Clear Options is selected, 8 is assigned and LABEL(ClearOptions) is called.  If OK is selected, 9 is assigned and RETURN directs macro execution to CALL(ShowBars).  If Cancel is selected, 10 is assigned and LABEL(QuitMacro) is called.  For information about implicit variable MacroDialogResult, see DIALOGDEFINE.

LABEL(GetUserChoices)

DIALOGDISPLAY("ViewBars"; 9)

SWITCH(MacroDialogResult)

CASEOF 1: CALL(HideBars)

CASEOF 7: CALL(CheckOptions)

CASEOF 8: CALL(ClearOptions)

CASEOF 9: RETURN

CASEOF 10: GO(QuitMacro)

ENDSWITCH

RETURN

LABEL(ShowBars)

Show or hides a bar depending on the value of vBB, vPB, vRB, and vSB.  A bar is shown if the value of the corresponding variable equals True, or hidden if it equals False.  RETURN directs macro execution to CALL(QuitMacro).

LABEL(ShowBars)

ButtonBarShow(vBB)

PowerBarShow(vPB)

RulerBarShow(vRB)

StatusBarShow(vSB)

RETURN

LABEL(QuitMacro)

Removes the dialog box from memory and ends the macro.

LABEL(QuitMacro)

DIALOGDESTROY("ViewBars")

QUIT

Secondary Label Statements

Perform secondary macro tasks that support the main task.  If the main task is to display a list of options, the secondary task is to execute a statement block depending on which option the user chooses.  A secondary LABEL statement is called from a main LABEL statement.  The parameter name of each LABEL command matches the parameter name of its caller (see Main Call Statements above).  Comment statements identify this section as Secondary Label Statements.

//**************************************************

//	SECONDARY LABEL STATEMENTS

//**************************************************

LABEL(HideBars)

Calls HideBars product command and LABEL(QuitMacro) to end macro.  Called by CALL(HideBars) in LABEL(GetUserChoices).

LABEL(HideBars)

HideBars

CALL(QuitMacro)

LABEL(CheckOptions)

Sets user-defined Bar variables to True (see Main Label Statements above).  When the dialog box is displayed again, the check boxes are checked.  GO(GetUserChoices) creates a loop between the dialog box and this Label statement.  Called by CALL(CheckOptions) in LABEL(GetUserChoices).

LABEL(CheckOptions)

vBB := True

vPB := True

vRB := True

vSB := True

GO(GetUserChoices)

LABEL(ClearOptions)

Sets user-defined Bar variables to False (see Main Label Statements above).  When the dialog box is redisplayed, the check boxes are blank.  GO(GetUserChoices) creates a loop between the dialog box and this Label statement.  Called by CALL(ClearOptions) in LABEL(GetUserChoices).

LABEL(ClearOptions)

vBB := False

vPB := False

vRB := False

vSB := False

GO(GetUserChoices)


For Example...

// Author: John Doe

// Name: VIEWBARS.WCM

// Directory: C:\WPWIN60\MACROS

// Purpose: Select bars to show or hide

APPLICATION (WP; "WordPerfect"; Default; "US")

//**************************************************

//	MAIN CALL STATEMENTS

//**************************************************

CALL(InitializeBarVariables)

CALL(CreateDialogBox)

CALL(GetUserChoices)

CALL(ShowBars)

CALL(QuitMacro)

//**************************************************

//	MAIN LABEL STATEMENTS

//**************************************************

LABEL(InitializeBarVariables)

vBB := ?ButtonBarActive

vPB := ?PowerBarActive

vRB := ?RulerBarActive

vSB := ?StatusBarActive

RETURN

LABEL(CreateDialogBox)

DIALOGDEFINE("ViewBars"; 50; 50; 153; 137; 16; "VIEW BARS")

DIALOGADDPUSHBUTTON("ViewBars"; 1; 10; 8; 127; 13; 0; "&Hide Bars")

DIALOGADDGROUPBOX("ViewBars"; 2; 10; 28; 65; 82; "Options")

DIALOGADDCHECKBOX("ViewBars"; 3; 20; 45; 50; 10; "&Button Bar"; vBB)

DIALOGADDCHECKBOX("ViewBars"; 4; 20; 60; 50; 10; "&Power Bar"; vPB)

DIALOGADDCHECKBOX("ViewBars"; 5; 20; 75; 50; 10; "&Ruler Bar"; vRB)

DIALOGADDCHECKBOX("ViewBars"; 6; 20; 90; 50; 10; "&Status Bar"; vSB)

DIALOGADDPUSHBUTTON("ViewBars"; 7; 82; 33; 55; 13; 0; "C&heck Options")

DIALOGADDPUSHBUTTON("ViewBars"; 8; 82; 50; 55; 13; 0; "C&lear Options")

DIALOGADDPUSHBUTTON("ViewBars"; 9; 82; 80; 55; 13; 1; "&OK")

DIALOGADDPUSHBUTTON("ViewBars"; 10; 82; 97; 55; 13; 0; "&Cancel")

RETURN

LABEL(GetUserChoices)

DIALOGDISPLAY("ViewBars"; 9)

SWITCH(MacroDialogResult)

CASEOF 1: CALL(HideBars)

CASEOF 7: CALL(CheckOptions)

CASEOF 8: CALL(ClearOptions)

CASEOF 9: RETURN

CASEOF 10: CALL(QuitMacro)

ENDSWITCH

RETURN

LABEL(ShowBars)

ButtonBarShow(vBB)

PowerBarShow(vPB)

RulerBarShow(vRB)

StatusBarShow(vSB)

RETURN

LABEL(QuitMacro)

DIALOGDESTROY("ViewBars")

QUIT

//**************************************************

//	SECONDARY LABEL STATEMENTS

//**************************************************

LABEL(HideBars)

HideBars

CALL(QuitMacro)

LABEL(CheckOptions)

vBB := True

vPB := True

vRB := True

vSB := True

GO(GetUserChoices)

LABEL(ClearOptions)

vBB := False

vPB := False

vRB := False

vSB := False

GO(GetUserChoices)


Dialog Boxes

Users interact with applications through menus and dialog boxes.  Dialog boxes can display more than one option for user input.  For example, in the Margins dialog box, default settings are displayed in edit boxes next to spin buttons.  To display the Margins dialog box, Choose Layout, Margins (an elipsis to the right of a menu option indicates a dialog box is available).

To change settings, enter new values in the edit boxes, or click a spin button (see DIALOGADDPOPUPBUTTON).  The edit box and spin button are Windows controls for user input.  Controls available for a user-defined dialog box are described below.

Dialog Box Controls

Creating a Dialog Box

Modal Dialog Boxes

Modeless Dialog Boxes


Dialog Box Controls

Are input or output windows where the user interacts with a dialog box and its parent application.  Macros supports the following dialog box controls:

Check Boxes

Color Wheels

Combination Boxes

Counter Buttons

Edit Boxes

Filename Edit Boxes

Frames

Group Boxes

Horizontal Lines

Hot Spots

Icons

List Boxes

Popup Buttons

Push Buttons

Radio Buttons

Scroll Bars

Static Text Controls

Viewers

Vertical Lines


Check Boxes

Display one or more options.  Use a callback function to activate user-defined responses.  See DIALOGADDCHECKBOX.


Color Wheels

Display colors to select.  See DIALOGADDCOLORWHEEL.


Combination Boxes

Display an edit box and a list box.  Enter text such as a filename in the edit box, or double-click a list item to insert.  See DIALOGADDCOMBOBOX.


Counter Buttons

Display an edit box and a counter button.  Enter a number in the edit box, or click the counter button to insert a number.  See DIALOGADDCOUNTER.


Edit Boxes

Receive text input.  There are different styles of edit controls, including single and multiple line.  See DIALOGADDEDITBOX.


Filename Edit Boxes

Display an edit control and a button control.  Enter a filename in the edit control, or click the button to display the Select File dialog box.  See DIALOGADDFILENAMEBOX.


Frames

Group items in a dialog box.  Accept no input.  See DIALOGADDFRAME.


Group Boxes

Group items in a dialog box with a titled frame.  Accept no input.  See DIALOGADDGROUPBOX.


Horizontal Lines

Separate items in a dialog box.  Accept no input.  See DIALOGADDHLINE.


Hot Spots

Are invisible controls that close a dialog box when the user clicks a defined area.  Redefine the response with a callback function.  See DIALOGADDHOTSPOT.


Icons

Display graphic representatinos.  Accept no input, unless used in a callback function with DIALOGADDHOTSPOT.  See DIALOGADDHOTSPOT, DIALOGADDICON, DIALOGDISPLAY.


List Boxes

Display a list of options to choose from.  There are different styles of list boxes, including single and multicolumn.  See DIALOGADDLISTBOX.


Popup Buttons

Display the name of a menu item on a push button.  Click the button to display the menu.  See DIALOGADDPOPUPBUTTON.


Push Buttons

Activate user-defined responses when chosen.  See DIALOGADDPUSHBUTTON.


Radio Buttons

Display mutually-exclusive options.  Use a callback function to activate user-defined responses.  See DIALOGADDRADIOBUTTON and DIALOGDISPLAY.


Scroll Bars

Scroll through documents, or activate user-defined responses with a callback function.  See DIALOGADDSCROLLBAR and DIALOGDISPLAY.


Static Text Controls

Send text to a dialog box.  Accept no input.  See DIALOGADDTEXT.


Viewers

Display read-only text files.  See DIALOGADDVIEWER.


Vertical Lines

Separate items in a dialog box.  Accept no input.  See DIALOGADDVLINE.


Creating a Dialog BoxAbbreviationin template, create AbbreviationCreate

Creating a Dialog Box

To create a dialog box, define it, add controls, and display it.  You must destroy (remove from memory) the dialog box when the macro ends.  The commands presented below create the following dialog box:

Click the example button above to display the complete macro.

Define

Specify the size and style of the dialog box, and the controls it will contain.  The following command

DIALOGDEFINE(Dialog: 1000; Left: 50; Top: 50; Width: 150; Height: 100; Style: OK! | Percent!; Caption: "Example Dialog Box")

defines (creates in memory) a dialog box with the following specifications:

Dialog: The number 1000 was chosen to identify the dialog box.  A name such as "MainDialog" or "ViewBars" (see Writing Macros) could also have been used.  The number or name must be unique.  It is used again to add controls, display, and then destroy the dialog box when the macro ends.

Left, Top, Width, Height: The dialog box is displayed in the center of the screen by setting the left and top parameters to 50 and using the Percent! style.  Dialog boxes are positioned and sized in dialog units.  A vertical unit equals 1/8 the font height, and a horizontal unit equals 1/4 the font width.

Style: The Percent! formula is

(screen width or height - dialog box width or height) * percentage

It equals the number of dialog units from the left side of the screen to the left side of the dialog box, or the number of dialog units from the top of the screen to the top of the dialog box.  The dialog box has an OK push button control.

Caption: The dialog box title is "Example Dialog Box".

Parameter names: Parameter names are optional.  For example,

DIALOGDEFINE(1000; 50; 50; 200; 125; OK! | Percent!; "Example Dialog Box")

defines the same dialog box as the command above.

Add Controls

The following commands

DIALOGADDTEXT(Dialog: 1000; Control: 100; Left: 10; Top: 10; Width: 50; Height: 15; Style: Left!; Text: "Edit control:")

DIALOGADDEDITBOX(Dialog: 1000; Control: 101; Left: 10; Top: 25; Width: 125; Height: 25; Style: Left! | VScroll! | Multiline!; vReturn; 1000)

add a static control and an edit control to the dialog box with the following specifications (see Dialog Box Controls):

Dialog: 1000 for both controls, which equals the Dialog parameter of the parent dialog box (see Define above).

Control: The controls have unique Control numbers (100 and 101), which could also be names such as "Control 1" and "Control 2".  DIALOGDISPLAY uses this number or name to give a control the initial input focus.

The value of the Control used to dismiss the dialog box is returned in the implicit variable MacroDialogResult (see DIALOGDEFINE): 1 for OK, 2 for Cancel, 2 for Close (system menu box), 2 if you double-click the system menu box, 2 if you press Alt+F4, or the value of the Control parameter of a user-defined push button or hot spot (see DIALOGADDPUSHBUTTON and DIALOGADDHOTSPOT).

Left, Top, Width, Height: The controls are displayed 10 dialog units from the left side of the dialog box, and 10 and 25 units from the top.  The widths are 50 and 175 dialog units, and the heights are 15 and 50 dialog units.  A vertical dialog unit equals 1/8 the font height, and a horizontal dialog unit equals 1/4 the font width.

Style: The static text is left justified.  The edit box is multi-line with a vertical scroll bar.  Combine styles with bitwise OR operator (|) (see Bitwise Operators).

Text: The static control text is "Edit Control".

MacroVar, LimitText: Text typed into the edit box is assigned to variable vReturn when the dialog box is dismissed by OK or Close on the system menu.  The maximum number of characters the edit control accepts is 1000.

Display

The following command

DIALOGDISPLAY(1000; 101)

displays dialog box 1000 and gives the input focus to control 101 (edit control has the insertion point).

Destroy

The following command

DIALOGDESTROY(1000)

removes dialog box 1000 from memory, including the value of the implicit variable MacroDialogResult.  If you need this value, assign it to a another variable before executing DIALOGDESTROY.  If you do not destroy a dialog box before the macro ends, memory conflicts may occur.


For Example...

// Example Dialog Box

// Define dialog box

DIALOGDEFINE(Dialog: 1000; Left: 50; Top: 50; Width: 150; Height: 100; Style: OK! | Percent!; Caption: "Example Dialog Box")

//Static text control

DIALOGADDTEXT(Dialog: 1000; Control: 100; Left: 10; Top: 10; Width: 50; Height: 15; Style: Left!; Text: "Edit control:")

// Edit box control

DIALOGADDEDITBOX(Dialog: 1000; Control: 101; Left: 10; Top: 25; Width: 125; Height: 25; Style: Left! | VScroll! | Multiline!; vReturn; 1000)

// Display dialog box

DIALOGDISPLAY(1000; 101)

// Destroy dialog box

DIALOGDESTROY(1000)


Modal Dialog Boxes

Require the user to complete an action before input to the parent application is allowed.  For example, the Margins dialog box requires the user to choose OK or Cancel before control returns to WordPerfect.  Macro dialog boxes are modal by default (see DIALOGDEFINE).


Modeless Dialog Boxes

Do not require the user to complete an action before input to the parent application is allowed.  For example, you can perform a search with the Find Text dialog box (choose Edit, Find), then click document and edit the document while the Find Text dialog box remains on the screen.  Click the dialog box to perform another search.  For creating a modeless dialog box, see DIALOGDEFINE.


Macro Facility

Macro Facility is an application that ships with WordPerfect 6.0 for Windows, that records, plays, compiles, and converts macros created for Shared Code applications (Shared Code refers to programming code used by WordPerfect Windows applications).

Macro Facility starts automatically when you record or play a macro from a Shared Code application.  If you play a macro for an application that is not running, Macro Facility automatically starts the application.

Set Macro Facility options, including the default macro directory, editor, and extension in the Macro Facility Settings dialog box.  To display the dialog box, choose Settings, then Options:

See Also

Compilers

Command-Based Macro Language

Compiler Errors

Run-time Errors


Compilers

In machine (computer) language, every word is a binary numeral consisting of zeros and ones.  For example, the first three letters of the alphabet in binary notation are 1000001, 1000010, and 1000011.  The binary result of 4 + 5 is 1001.  Since binary numerals are hard to work with, English-based programming languages, such as Basic, Pascal, and C were created.  Programs written with the help of an editor or word-processor are saved as source files.  A compiler creates an object file, which is a copy of the source file translated into machine language.  Computers can only execute object files.

Macro languages are similar to programming languages.  Macros are written with an editor or word-processor and saved as a source file.  The macro compiler creates an object, which it saves in a hidden area of the source file (the macro compiler does not create a separate object file).  When you edit the source file, the object is destroyed.  It is recreated each time the source file is compiled.  WordPerfect can only execute (play) a source file with an object.  A compiled source file (macro) contains instructions that are executed when you play the macro.  See Record a Macro.


Command-Based Macro Language

A command-based macro language records keystrokes and/or mouse actions as commands.  It does not record the actual keystrokes.  For example, to display the Line Hyphenation dialog box, choose Layout, Line, then Hyphenation.  If you record these steps, your macro contains a product command named LineHyphenationDlg (see LineHyphenationDlg).


Compiler ErrorsCompiler errors

Compiler Errors

The compiler stops and displays a message when it discovers a macro syntax error (see Syntax).  The message contains information about the error and its location (the compiler makes a best guess and may not always be accurate).  Choose Cancel Compilation to dismiss the message box, or Continue Compilation to test for other errors.  You must correct all errors before a macro compiles.  See Macro Errors for common syntax errors.


Run-time Errors

Run-time is the same as execution time.  Run-time errors occur while the macro is executing.  Referencing a variable that has not been assigned a value causes a run-time error.  See Macro Errors.


Assigning Macros

You can assign macros to a key on a keyboard, a Button Bar, or a menu bar.

Keystroke Macros

Button Bar Macros

Menu Bar Macros


Keystroke Macros

Assign a macro to a keyboard key.

Steps

1	Choose File, Preferences, then double-click Keyboard.

2	Choose Create, enter a keyboard definition name.

or ...

Select a keyboard definition, then choose Edit.

3	Select a key, select Play a Macro, choose Assign Macro, enter the path and filename of a macro you want to play, then choose Select.

To play a keystroke macro, press the key the macro is assigned to.


Button Bar Macros

Assign a macro to a Button Bar.

Steps

1	Choose File, Preferences, then double-click the Button Bar icon.

2	Choose Create, enter a Button Bar name.

or ...

Select a Button Bar definition, then choose Edit.

3	Select Play a Macro, choose Add Macro, enter the path and filename of a macro you want to add, then choose Select.

To play a Button Bar macro, choose the button the macro is assigned to.


Menu Bar Macros

You can assign up to nine macros to the macro menu, or you can assign macros to a customized menu bar.

Macro Menu

Steps

1	Choose Tools, Macro, then Menu.

2	Select a position on the list where you want to insert the macro, then choose Insert.

or ...

Choose Insert if no macros are listed.

3	Enter the path and filename of a macro you want to add, then choose Select.

To play a menu macro, select the menu item the macro is assigned to.

Customized Menu Bar

Steps

1	Choose File, Preferences, then double-click the Menu Bar icon.

2	Choose Create, then enter a menu bar name.

or ...

Select a menu bar layout, then choose Edit.

3	To add a cascading menu, drag the menu icon to the menu bar.

or ...

Skip to step 5.

4	Double-click the new menu, enter the name you of the menu item, then enter a prompt message.

5	Select Play a Macro, choose Assign Macro, enter a macro path and filename, then choose Select.

6	Move the macro name to the new menu (step 3), or to another menu by dragging it.

7	Double-click the macro name, enter the name of the menu item, then enter a prompt message.

8	Choose OK, highlight a menu bar layout, choose Select, then Close.


Shipping Macros

The following list contains a brief description of the macros that are included with WordPerfect 6.0 for Windows.  Most of the macros are represented by buttons on Button Bars.  You can also play them separately.

Macros on the Design Tools Button Bar

Macro Name	Description

CAPITAL.WCM	Capitalizes the first letter of the current word.

DROPCAP.WCM	Changes the first letter in a paragraph to a drop cap.

ENDFOOT.WCM	Converts endnotes to footnotes in the document or in selected text.

FILESTMP.WCM	Places the filename and path of the current document in a header or footer.

FONTDN.WCM	Decreases the font size of the selected text by 2 points.

FONTUP.WCM	Increases the font size of the selected text by 2 points.

FOOTEND.WCM	Converts footnotes to endnotes in the document or selected text.

PARABRK.WCM	Inserts graphical paragraph breaks between paragraphs.

PGBORDER.WCM	Uses graphics (.WPG files) to create decorative page borders.

REVERSE.WCM	Displays white text on black background (or other color options as set by the user) in selected text or table cells.

WATERMRK.WCM	Prompts user for text or watermark graphic to place in a watermark (centered vertically and horizontally).

Macros on the Legal Button Bar

Macro Name	Description

WATERMRK.WCM	Prompts user for text or watermark graphic to place in a watermark (centered vertically and horizontally).

Macros on the Macro Tools Button Bar

Macro Name	Description

MCVTWIN.WCM	Converts WordPerfect 5.1 and 5.2 for Windows macros to 6.0 format.

LINENUM.WCM	Places the insertion point at a specified line and character for troubleshooting macros.

Macro on the Page Button Bar

Macro Name	Description

PAGEXOFY.WCM	Places "Page x of y pages" (or other pagination formats) in a specified position on the page.

Macros on the Utilities Button Bar

Macro Name	Description

ABBREV.WCM	Lets you create and expand multiple abbreviations.

ADRS2MRG.WCM	Copies the address book (for automated templates) into a merge data file.

ADRSBOOK.WCM	Opens the address book.

CLIPBRD.WCM	Opens the Windows Clipboard.

CLOSEALL.WCM	Closes all open documents and prompts you to save the modified ones.

EPUB.WCM	Publishes current document electronically.

EXPNDALL.WCM	Expands all abbreviations in the document in one step.

GOTODOS.WCM	Opens a DOS window.

READCLP.WCM	Reads text in the Clipboard.  Requires ProVoice or Monologue text-to-speech software.

READFILE.WCM	Reads a text file or plays a .WAV, .AVI or .MID file.  Requires ProVoice or Monologue text-to-speech software.

READSEL.WCM	Reads text selected in the document.  Requires ProVoice or Monologue text to speech software.

SAVEALL.WCM	Prompts you to save open documents.

Other Macros not on a Button Bar

Macros Name	Description

ALLFONTS.WCM	Creates a document listing every font available to the current printer and some sample text in each font.

_AUTOFIL.WCM	Used by ExpressDocs templates created in WPWIN 6.0 to automate the template fillin process.  Templates created in 6.0a do not use this macro.

COPYQPW.WCM	Copies a Quattro Pro Notebook selection to WordPerfect.

CTRLM.WCM	Opens the Macro Command Inserter.

CTRLSFTF.WCM	Prompts for FROM and TO values in Equation Editor.

PROMPTS.WCM	Helps you create prompts for automated templates.

QCSETUP.WCM	If QuickCorrect is not found on the Tools menu, this macro adds it.

QUICKCPY.WCM	Copies selected item from Quattro Pro to WordPerfect.

TCONVERT.WCM	Converts WPWIN 6.0 templates that used the AUTOFILL.WCM macro.

TRANSPOS.WCM	Transposes the two characters preceding the insertion point.


Macro Conversion

Macro Conversion Utility

Conversion: WP Windows 5.2 to 6.0

Conversion: DOS 6.0 to WP Windows 6.0

Windows Only Commands


Macro Conversion Utility

Convert a WordPerfect 5.2 for Windows macro to 6.0 format.

Steps

1	Choose File, Open, enter a macro filename, then OK.

2	Choose File, Preferences, double-click the Button Bar icon, select Macro Tools, then choose Select.

3	Choose Macro Conv to display the 5.2 Macro Converter dialog box.

4	Options:

To pause before each conversion and accept or edit a suggested command replacement, select Prompt for Replacement.

To convert all macros that require conversion to a default command, select Replace All.

To create a backup copy (.BAK) of the original macro, select Backup Original Macro.

5	Choose Start.

Converted 5.2 commands appear as comments (//) in the new macro file.  WordPerfect 6.0 equivalents for 5.2 macros that cannot be converted also appear as comments (//).

For a list of WordPerfect 5.2 for Windows macro commands that convert to 6.0 format, see Conversion: WP Windows 5.2 to 6.0


Windows Only Commands

The following WordPerfect 6.0 for Windows macro commands do not have DOS equivalents.

A

AbbreviationCreate

AbbreviationDelete

AbbreviationDlg

AbbreviationExpand

AboutDlg

AppMaximize

AppMinimize

AppMove

AppRestore

AppSize

AppTaskList

AssociateDlg

B

BarcodeDlg

BindingOptionsDlg

BorderFillColors

BoxBorder

BoxCaptionEditEnd

BoxCaptionFormatting

BoxEquationColor

BoxEquationFontSize

BoxEquationRedisplay

BoxFill

BoxInitialStyleDlg

BoxOLEEditObject

BoxPageOffset

BoxPosDlg

BoxTextEdit

BoxTextEditEnd

BoxUpdateDisplay

BoxWrapDlg

BulletDlg

ButtonBarCreateDlg

ButtonBarEditDlg

ButtonBarOptionsDlg

ButtonBarSetFont

ButtonBarSetLocation

ButtonBarSetRows

ButtonBarSetStyle

ButtonBarShow

ButtonBarShowToggle

C

CaseToggle

CenterPageDlg

Char

CharMappingDlg

CloseGraphicsControlBar

CloseNoSave

CodePage

CodePageDlg

ColumnBorderDlg

CommentInformation

CommentInsertTime

CommentInsertUserInitials

CommentInsertUserName

CreateMapFile

CtrlBreak

CustomBoxDlg

D

DDEChangeUpdateMode

DDECreateLink

DDECreateLinkDlg

DDEDeleteLink

DDEDeleteLinkDlg

DDEEditLink

DDEEditLinkDlg

DDEPasteLink

DDEUpdateLink

DDEUpdateLinkDlg

Display

DocCompareAddMarkingsDlg

DocCompareRemoveMarkingsDlg

DocInitialFontDlg

DocMaximize

DocMinimize

DocMove

DocNext

DocPrevious

DocRedlineMethodDlg

DocRestore

DocSize

DocSummaryConfig

DocSummarySaveAs

DocSumSet

DocSumSetFull

DraftZoom100

DraftZoomMargin

E

EditComment

EditCopy

EditCut

EditPaste

EndnoteOptions

EquationBaseFontDlg

EquationCreate

EquationPalette

EquationPaletteToggle

EquationRetrieveDlg

EquationZoomDlg

ExpandDlg

F

FeatureBarPopDown

FigureNoMouse

FigurePaletteDlg

FigurePaletteDlgEnd

FigureReset

FigureRetrieveDlg

FileChangeAttributes

FileChangeDir

FileInsert

FileInsertDlg

FileMove

FileRemoveDirectory

FileSaveAsDlg

FindDlg

FindFiles

FontDoubleUnderlineToggle

FontExtraLargeToggle

FontFineToggle

FontHiddenToggle

FontItalicToggle

FontLargeToggle

FontOutlineToggle

FontRedlineToggle

FontShadowToggle

FontSmallCapsToggle

FontSmallToggle

FontStrikeoutToggle

FontSubscriptToggle

FontSuperscriptToggle

FontUnderlineToggle

FontVeryLargeToggle

FootnoteNewNumberDlg

FootnoteOptions

ForcePageDlg

G

GetAcceleratorText

GetData

GraphicBoxStyleDlg

GraphicCreateBox

GraphicCreateChart

GraphicCreateTextArt

GraphicCustomMenuDlg

GraphicEditBox

GraphicsBoxCaptionDlg

GraphicsBoxContentDlg

GraphicsBoxFindDlg

GraphicsBoxSizeDlg

GraphicsFigureEditAllDlg

GraphicsLineUpdateDisplay

GraphicsStylesDlg

H

HardPageBreakInsert

HeaderFooterDistanceDlg

HeaderFooterDlg

HeaderFooterPlacement

HeaderFooterPlacementDlg

HelpCoachDlg

HelpContents

HelpContextSensitive

HelpHowDoI

HelpHowToUseHelp

HelpKeystrokes

HelpMacroManual

HelpSearchForHelpOn

HelpTutorial

HelpWhatIs

HideBars

HLineCreate

HypertextControlBar

HypertextCreateDlg

HypertextExecute

Hyphen

I

ImportCreateDlg

ImportDlg

ImportDoEdit

ImportDoImport

ImportDoLink

ImportDoUpdate

ImportEditDlg

ImportOptionsDlg

ImportSetAsciiEncap

ImportSetAsciiFieldDelimiter

ImportSetAsciiRecordDelimiter

ImportSetAsciiStrip

ImportSetDestination

ImportSetDictPath

ImportSetFields

ImportSetFileName

ImportSetFilePath

ImportSetIncludeNames

ImportSetPanel

ImportSetPassword

ImportSetQuery

ImportSetRange

ImportSetServer

ImportSetSource

ImportSetSQLQuery

ImportSetUserID

ImportUpdateDlg

IndexDefineDlg

InhibitInput

InitialCodesStyleDlg

InsertDefaultBullet

InsertOtherCodesDlg

InvokeDialog

J

JustifyAll

JustifyCenter

JustifyFull

JustifyLeft

JustifyRight

K

KeepTextTogetherDlg

KerningSpacing

KeyboardSelectDlg

L

LabelsDlg

Language

LanguageDlg

LastOpenedAdd

LineHeightDlg

LineHyphenationDlg

LineNumberingDlg

LineSpacingDlg

LinkUpdate

ListDefineDlg

M

MacroCommandInserter

MacroEditControlBar

MacroExecuteQuick

MacroFilePlay

MacroMenuAdd

MacroMenuDelete

MacroPause

MacroStatusPrompt

MacroTemplatePlay

MailDlg

MarginReleaseInsert

MarkCrossRef

MarkCrossRefUpdateList

MarkIndex

MarkIndexUpdateList

MarkList

MarkListUpdateList

MarkTableOfAuthorities

MarkTableOfContents

MarkToAUpdateList

MasterDocSubdocDlg

MatchLimit

MenuAddItem

MenuDeleteItem

MenuSelect

MenuSelectDlg

MergeDlg

MergeEndField

MergeEndRecord

MergeFilesDlg

MergeFormDlg

MergeTableDataDlg

MergeTextDataDlg

N

NewHFWOccurrence

NumberingOptionDlg

O

OLEAcceptLinks

OLECancelLink

OLECancelLinks

OLEChangeLink

OLEInitializeLinks

OLEInsertDlg

OLEInsertObject

OLELinksDlg

OLEPasteDlg

OLESetLinkUpdate

OLEUpdateLink

OutlineBarDisplay

OutlineBodyTextToggle

OutlineDefineDlg

OutlineFamilyCut

OutlineNumberDlg

OutlineOff

P

PageBorderDlg

PageNumberingDlg

PageNumberSettingsDlg

PageSuppressDlg

PageZoomFull

PaneNext

PanePrevious

PaperSizeAdd

PaperSizeDelete

PaperSizeDlg

PaperSizeResave

ParagraphBorderDlg

ParagraphFormatDlg

ParagraphHangingIndent

ParagraphNumberDefDlg

PasteLink

PosGoToDlg

PosLineVeryBeg

PosParagraphNext

PosParagraphPrevious

PosTableBegin

PosTableColumnBottom

PosTableColumnTop

PosTableRowBegin

PowerBarShow

PrefBackupDlg

PrefBackupPath

PrefBeep

PrefButtonBar

PrefDisplayDlg

PrefDisplaySet

PrefDocSummary

PrefDocSummaryDlg

PrefEnvironment

PrefEnvSettingsDlg

PrefHyphenation

PrefImportDlg

PrefImportOptions

PrefLiteCodes

PrefLocationDlg

PrefLocationOfDocuments

PrefLocationOfGraphicsFiles

PrefLocationOfHyphenationFiles

PrefLocationOfMacroFiles

PrefLocationOfPrinterFiles

PrefLocationOfSpreadsheetFiles

PrefLocationOfTemplates

PrefMenu

PrefMergeCodes

PrefMetafileOptions

PrefPowerBar

PrefPowerBarEdit

PrefPowerBarFontFaceList

PrefPowerBarFontSizeList

PrefPrintCopies

PrefPrintDoc

PrefPrintRedline

PrefPrintSettingsDlg

PrefPrintSizeRatio

PrefRevealCodes

PrefRevealCodesDlg

PrefRuler

PrefSave

PrefStatusBar

PrefStatusBarEdit

PrefStatusBarOptions

PrefStatusBarOptionsDlg

PrefToA

PrefUnitsOfMeasure

PrefZoom

PrinterCommandDlg

PrinterSelectDlg

Q

QuickFormat

QuickFormatDlg

QuickFormatToggle

R

Redisplay

ResetKeyboardMenu

RulerBarShow

RulerShow

S

SaveAll

ScrollScreenLeft

ScrollScreenRight

SelectAll

SelectCell

SelectCellDown

SelectCellDownArrow

SelectCellLeft

SelectCellRight

SelectCellUp

SelectCellUpArrow

SelectCharNext

SelectCharPrevious

SelectColumnBottom

SelectColumnNext

SelectColumnPrevious

SelectColumnTop

SelectDocBottom

SelectDocTop

SelectDocVeryTop

SelectLineBegin

SelectLineDown

SelectLineEnd

SelectLineUp

SelectLineVeryBegin

SelectLineVeryEnd

SelectMode

SelectPage

SelectPageNext

SelectPagePrevious

SelectParagraph

SelectParagraphNext

SelectParagraphPrevious

SelectSave

SelectScreenDown

SelectScreenLeft

SelectScreenRight

SelectScreenUp

SelectSentence

SelectSentenceNext

SelectSentencePrevious

SelectTable

SelectTableColumn

SelectTableColumnExtendLeft

SelectTableColumnExtendRight

SelectTableRow

SelectToggle

SelectWord

SelectWordNext

SelectWordPrevious

SetDefaultFileFormat

SetDocumentMapping

SettingsDlg

SetupWritingToolsDlg

ShowBoxes

ShowGraphics

ShowHiddenText

ShowSymbols

SoftSpace

SoundClipDlg

SoundClipPlayNext

SoundClipSetAttributes

SoundClipSetDescription

SoundClipSetFilename

StatusBarShow

SubdividePageDlg

T

TabInsert

TableAdjustBegin

TableAdjustColumnWidth

TableAdjustEnd

TableAdjustPosition

TableAppendRow

TableAutoCalc

TableAutoFill

TableCalculateDlg

TableConvertDlg

TableCopyFormula

TableCreateNewDlg

TableDataFill

TableDeleteDlg

TableDeleteTable

TableDisableCellLocks

TableFormulaCBar

TableGridLinesToggle

TableGuides

TableInsertDlg

TableInsertOneRow

TableJoinCells

TableLineFillDlg

TableNameCreateDlg

TableNumberTypeDlg

TablePointMode

TableQuickSum

TableSelectOff

TableSelectOn

TableSplitCellsDlg

TabSetDlg

TemplateCopyObjectDlg

TemplateCreate

TemplateCreateDlg

TemplateDescriptionDlg

TemplateDlg

TemplateEdit

TemplateSelect

TextBoxCreate

ToACreateFullFormDlg

ToAEditFullFormCBar

ToCDefine

ToCDefineDlg

TypesetManualKerningDlg

V

VarAssign

VarDiscard

ViewDraft

ViewOutline

ViewPage

ViewTwoPage

VLineCreate

W

WatermarkDlg

WatermarkPlacementDlg

WordCountDlg

WordLetterspaceDlg

WPActivate

WPCharactersDlg

WPDraw

WPGrammatik

WPSpeller

WPThesaurus

WritingToolsDisable

Z

ZoomDlg

ZoomToFullPage

ZoomToMarginWidth

ZoomToPageWidth


Conversion: DOS 6.0 to WP Windows 6.0

Some WordPerfect 6.x for Windows product commands have the same name, but different parameters or parameter names than their DOS counterparts.  The following table displays the Windows/DOS variations.

Command Name	DOS or WIN	Parameters	Num. Equiv.	Enumerated Type
AttributeAppearanceOff	DOS	Attribute
	WIN	Attrib	16	Every!
AttributeAppearanceOn	DOS	Attribute
	WIN	Attrib	16	Every!
AttributeAppearanceToggle	DOS	Attribute
	WIN	Attrib	16	Every!
BackupOriginalDocument	DOS		0 1	No! Yes!
	WIN		0 1	Off! On!
BorderColor	DOS	Color Name Red Value Green Value Blue Value Shading Value
	WIN	ColorName Red Green Blue Shade
BorderStyleCopy	DOS	Style Name	0 1 2 3 4 5 6 7 8 9 10 11 12 127	SpacingOnly! SingleBorder! DoubleBorder! DashedBorder! DottedBorder! ThickBorder! ExtraThickBorder! ThinThickBorder! ThickThinBorder! ThickTopBottomBorder! ButtonBorder! ColumnBorderBetween! ColumnBorderAll! NoBorder!
		Current Location Destination New Name
	WIN	Style	0 1 2 3 4 5 6 7 8 9 126 127	SingleLine! DoubleLine! DashedLine! DottedLine! ThickLine! ExtraThickLine! ThinThickLine! ThickThinLine! ButtonTopLeftLine! ButtonBottomRightLine! TableDefaultLine! NoLine!
		FromLibrary ToLibrary DestName
BoxCreate	DOS	Box Style
	WIN	BoxType
BoxDelete	DOS	Box Number
	WIN	BoxType	0 1 2 3 4 5 6 7 127	FigureBox! TableBox! TextBox! UserBox! EquationBox! ButtonBox! WatermarkImageBox! InlineEquationBox! NoBox!
BoxEditByCounter	DOS	Counter Number
	WIN	CounterName Word
BoxEditNext	DOS	Box Type
	WIN	BoxType
BoxEditPrevious	DOS	Box Type
	WIN	BoxType
BoxEquationSaveAsGraphic	DOS		730 738	Bitmap! Presentations_20!
	WIN
BoxImageRetrieve	DOS	Image Location
		Format (optional)	725 726 727 728 729 730 731 732 733 734 736 737 738 739 741	WordPerfectGraphic_10! WordPerfectGraphic_20! TaggedImageFileFormat! PCPaintbrushX! WindowsMetaFile! Bitmap! CMG! AutoCAD_DXF! EncapsulatedPostScript! HewlettPackardGraphicPlotter! Macintosh_PICT! MicroGraftx! Presentations_20! LotusPIC! TarGA!
	WIN	Action
BoxImageSave	DOS	Format (optional)	725 726 730 738	WordPerfectGraphic_10! WordPerfectGraphic_20! Bitmap! Presentations_20!
	WIN
DeleteAppend	DOS	Filename (optional)
	WIN
DisplayZoom	DOS	State	0 1 2	ZoomMarginWidth! ZoomPageWidth! ZoomFullPage!
	WIN	Percent
DocSummaryPrint	DOS	Filename (optional)
	WIN
FileCopy	DOS	Source File Destination File
		Subdocs (optional)	1	Subdocs!
	WIN	SourceFile DestinationFile
FileDelete	DOS	Subdocs (optional)	1	Subdocs!
	WIN
FileOpen	DOS	File Format (optional)	3 20 21 800	WordPerfect_51/52! WordPerfectMac_20! WordPerfectMac_21! SpreadsheetDIF!
	WIN	Format (optional)	3 82 83 84 161 190 191 311 312 313 314 315 656 657 807	WordPerfect_51! DisplayWrite_40! DisplayWrite_42! DisplayWrite_50! ANSIText_Windows! XyWriteIIIPlus_355! XyWriteIIIPlus_356! AmiPro_12! AmiPro_12A! AmiPro_12B! AmiPro_20! AmiPro_30! ANSIDelimitedTextWindows! ANSIGenericWordProcessor_Windows! Excel_40!
FootnoteEdit	DOS	Footnote Number
	WIN	FootnoteNumber
FootnoteNewNumber	DOS	Number
	WIN	FootnoteNumber
GraphicsLineDelete	DOS	Graphics Line Number
	WIN	Line
KeyboardSelect	DOS	Filename
		Equation (optional)	4	Equation!
	WIN	Keyboard
LineSegmentSetWPG2	DOS	Pattern Set Line Pattern Number
	WIN	Style LineStyle
ListDefinition	DOS	Name
	WIN	ListName
		Style	0 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75	NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlineStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style!
		Numbering	0 1 2 3 4	DefNone! DefFollows! DefParentheses! DefFlushRight! DefLeader!
		Counter	0 1 2 3 4 5 6 7 127	FigureBox! TableBox! TextBox! UserBox! EquationBox! ButtonBox! WatermarkImageBox! InlineEquationBox! NoBox!
		Numbering Format
MatchWithAttributes	DOS	Attribute Name (optional)
	WIN
MatchWithFont	DOS	Font Name (optional)
	WIN	Typeface (optional)
		Family	256 2304 4352 6400 8448 10496 12544 14592 16640 18688 20736 22784 24832 26880 28928 30976 33024 35072 37120 39168 41216 43264 45312 47360 49408 51456 53504 55552	FamilyITCBenguiat! FamilyTimesRoman! FamilyITCGaramond! FamilyCenturySchoolbook! FamilyBodon! FamilyITCLubalinGraph! FamilyAlbertus! FamilyCourier! FamilyHelvetica! FamilyITCRonda! FamilyMicrostyle! FamilyOptima! FamilyLetterGothic! FamilyBrush! FamilyParkAvenue! FamilySignetRoundhand! FamilyTekton! FamilyUncial! FamilyOldEnglish! FamilyITCZapfDingbats! FamilyBroadway! FamilyComputer! FamilyPTBarnum! FamilyPonderosa! FamilyMadrone! FamilyHobo! FamilyRevue! FamilyAestheticOrnamented!
		Attributes	0 1 2 4 8	FontMatchNormal! FontMatchItalic! FontMatchOutline! FontMatchShadow! FontMatchSmallCaps!
		Weight	0 1 8 16 24 32 48 64 80 88 96 104 112 128 136 144 160 176 192 208 224 240 248 254	WeightUnknown! WeightUltraThin! WeightUltraLight! WeightExtraThin! WeightThin! WeightExtraLight! WeightLight! WeightDemiLight! WeightSemiLight! WeightBook! WeightRegular! WeightRoman! WeightMedium! WeightDemiBold! WeightSemiBold! WeightBold! WeightExtraBold! WeightHeavy! WeightExtraHeavy! WeightBlack! WeightExtraBlack! WeightUltraHeavy! WeightUltraBlack! WeightMaximum!
		Width	0 16 32 48 64 80 96 112 128 144 160 176 192 224	WidthUnknown! WidthUltraCondensed! WidthUltraCompressed! WidthCompressed! WidthExtraCondensed! WidthCondensed! WidthSemiCondensed! WidthNormal! WidthSemiExpanded! WidthExpanded! WidthExtraExpanded! WidthUltraExpanded! WidthDoubleWide! WidthTripleWide!
		Source	16 20	PRSFile! DRSFile!
		Type	134 135 138 139	Speedo! Intellifont! Type1! TrueType!
		CharacterSet	0 1 2 3 4 5 6 7 8 9 10 11 12 13 14	FontMatchASCII! FontMatchMultinational1! FontMatchMultinational2! FontMatchBoxDrawing! FontMatchTypographicSymbols! FontMatchIconicSymbols! FontMatchMath! FontMatchMathExtension! FontMatchGreek! FontMatchHebrew! FontMatchCyrillic! FontMatchJapaneseKana! FontMatchUserDefined! FontMatchArabic! FontMatchArabicScript!
PrintDocOnDisk	DOS	Page Range Secondary Page Range (optional) Chapter Range (optional) Volume Range (optional) Odd/Even Pages (optional) DocSummary Pamphlet Order
	WIN	PageRange SecondaryPage ChapterRange VolumeRange OddEvenPages PrintSummary PrintBooklet Direction
PrinterSelect	DOS	Printer Filename (optional)
	WIN	PrinterType	0 1	WPPrinter! WindowsPrint!
		PrinterName PrinterPort
PrintMultiplePages	DOS	Page Range Secondary Page Range Chapter Range Volume Range Odd/Even Pages DocSummary (optional) Pamphlet (optional) Order (optional)
	WIN	PageRange SecondaryPageRange ChapterRange VolumeRange OddEvenPages PrintSummary PrintBooklet Direction
ReplaceWithAttributes	DOS	Attribute Name
	WIN	Attribute	0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16	ExtraLarge! VeryLarge! Large! Small! Fine! Superscript! Subscript! Outline! Italics! Shadow! Redline! DoubleUnderline! Bold! Strikeout! Underline! SmallCaps! Every!
ReplaceWithFont	DOS	Font Name
	WIN	Name
		Family	256 2304 4352 6400 8448 10496 12544 14592 16640 18688 20736 22784 24832 26880 28928 30976 33024 35072 37120 39168 41216 43264 45312 47360 49408 51456 53504 55552	FamilyITCBenguiat! FamilyTimesRoman! FamilyITCGaramond! FamilyCenturySchoolbook! FamilyBodon! FamilyITCLubalinGraph! FamilyAlbertus! FamilyCourier! FamilyHelvetica! FamilyITCRonda! FamilyMicrostyle! FamilyOptima! FamilyLetterGothic! FamilyBrush! FamilyParkAvenue! FamilySignetRoundhand! FamilyTekton! FamilyUncial! FamilyOldEnglish! FamilyITCZapfDingbats! FamilyBroadway! FamilyComputer! FamilyPTBarnum! FamilyPonderosa! FamilyMadrone! FamilyHobo! FamilyRevue! FamilyAestheticOrnamented!
		Attributes	0 1 2 4 8	FontMatchNormal! FontMatchItalic! FontMatchOutline! FontMatchShadow! FontMatchSmallCaps!
		Weight	0 1 8 16 24 32 48 64 80 88 96 104 112 128 136 144 160 176 192 208 224 240 248 254	WeightUnknown! WeightUltraThin! WeightUltraLight! WeightExtraThin! WeightThin! WeightExtraLight! WeightLight! WeightDemiLight! WeightSemiLight! WeightBook! WeightRegular! WeightRoman! WeightMedium! WeightDemiBold! WeightSemiBold! WeightBold! WeightExtraBold! WeightHeavy! WeightExtraHeavy! WeightBlack! WeightExtraBlack! WeightUltraHeavy! WeightUltraBlack! WeightMaximum!
		Width	0 16 32 48 64 80 96 112 128 144 160 176 192 224	WidthUnknown! WidthUltraCondensed! WidthUltraCompressed! WidthCompressed! WidthExtraCondensed! WidthCondensed! WidthSemiCondensed! WidthNormal! WidthSemiExpanded! WidthExpanded! WidthExtraExpanded! WidthUltraExpanded! WidthDoubleWide! WidthTripleWide!
		Source	16 20	PRSFile! DRSFile!
		Type	134 135 138 139	Speedo! Intellifont! Type1! TrueType!
		CharacterSet	0 1 2 3 4 5 6 7 8 9 10 11 12 13 14	FontMatchASCII! FontMatchMultinational1! FontMatchMultinational2! FontMatchBoxDrawing! FontMatchTypographicSymbols! FontMatchIconicSymbols! FontMatchMath! FontMatchMathExtension! FontMatchGreek! FontMatchHebrew! FontMatchCyrillic! FontMatchJapaneseKana! FontMatchUserDefined! FontMatchArabic! FontMatchArabicScript!
ReplaceWithFontSize	DOS	Font Size
	WIN	FontSize
Sort	DOS
	WIN	InFile (optional) OutFile (optional)
StyleCodes	DOS	Off Codes State
	WIN	State
		Library	0 1 2	CurrentDoc! PersonalLibrary! SharedLibrary!
StyleSystemOn	DOS	Name
	WIN	Style	0	NormalStyle!
		Action	1	SkipEmptyParagraphs
TableAutoFormulaEntry	DOS		0 1	Off! On!
	WIN		0 1	No! Yes!
TableCellLineColor	DOS	Color Name Red Value Green Value Blue Value Shading Value
	WIN	ColorName Red Green Blue Shade
TableDefaultLineColor	DOS	Color Name Red Value Green Value Blue Value Shading Value
	WIN	ColorName Red Green Blue Shade
TOADefinition	DOS	Section Name
	WIN	SectionName
		Style	0 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75	NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlineStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style!
		Numbering	0 1 2 3 4	DefNone! DefFollows! DefParentheses! DefFlushRight! DefLeader!
		Underline	0 1	NoToAUnderline! ToAUnderline!
		PageCombine	0 1	NoCombine! Combine!
		NumberingFormat
TOAEditFullForm	DOS	Short Form
	WIN	ShortForm
TOAEditPageFormat	DOS	Section Name Page Format
	WIN	Listname NumberFormat
UserFunction (Windows product command, DOS programming command)	DOS	Action
	WIN	Action Data
WatermarkA	DOS	State Pages (optional)
	WIN	Action
		Occurrence	0	NoPages!
WatermarkB	DOS	State Pages (optional)
	WIN	Action
		Occurrence	0	NoPages!
WordLetterSpacing	DOS	Word Letter
	WIN	CharacterWidth SpaceWidth


Conversion: WP Windows 5.2 to 6.0

The Macro Conversion Utility (MCVTWIN.WCM) converts the following WP Windows 5.2 macro commands to 6.0 format.  For information on using the utility, see Macro Conversion Utility.

A

Advance

B

BlockProtect

BoxEditCaption

BoxFigureEdit

BoxNewNumber

BoxOptions

ButtonBarAddItem

ButtonBarDeleteItem

ButtonBarSelect

ButtonBarShow

C

ColumnDefine

ColumnsOn

CommentConvertToText

CommentCreate

ConvertClipboardDlg

ConvertClipboardPicture

D

DateFormat

DDECreateLink

DDEEditLink

DisplayPitch

DocCompare

DocSummarySaveAs

E

EditPaste

EndnoteOptions

ExecuteFunction

F

FileChangeDir

Font

FootnoteOptions

G

GraphicLine

GraphicLineSelect

I

IndexMark

K

KeyboardSelect

L

LineHeight

LineNumbering

ListDefine

ListMark

M

MacroMenuAppend

MacroMenuDelete

MasterDocCondense

O

OutlineDefine

OverstrikeCreate

OverstrikeEdit

P

PaperSizeAdd

PaperSizeDelete

PaperSizeSelect

PrefDisplaySet

PrefDocSummary

PrefEquations

PrefHyphenation

PrefPrintDoc

PrefRevealCodeColors

PrefToA

PrefZoom

PrinterCommand

PrinterSelectListFree

PrinterSelectListGetItem

PrintMultiplePages

S

Sort

StylesEdit

StylesRetrieve

T

TableCell

TableColumn

TableConvert

TableDeleteColumn

TableDeleteRow

TableEditColumn

TableFormula

TableFormulaDlg

TableInsertColumn

TableInsertRow

TableJoin

TableLines

TableOptions

TableRow

TableSplit

TabSet

TextBoxCaptionEdit

TextBoxRotate

ToCDefine

ToCMark

TypeChar

TypesetDlg

U

Undelete

UserBoxCaptionEdit


Macro: ASSERT.WCM

ASSERT.WCM uses MENU to display a list of options, ASSERT to create a Cancel, Error, or Not Found condition, and ONCANCEL, ONERROR, or ONNOTFOUND to execute a subroutine.  It also uses MESSAGEBOX to display messages, and GO to create user-defined loops.  Click the comment buttons [image] for detailed explanations.  Click the example button above to copy ASSERT.WCM to the Clipboard.  See Macro Commands Index for detailed command descriptions.

1	// Name: ASSERT.WCM

2	// Directory: C:\WPWIN60\MACROS

3	// Description: Demonstrate MENU, MESSAGEBOX, ASSERT, ONCANCEL, ONERROR, ONNOTFOUND, CANCEL, ERROR, NOTFOUND

4	APPLICATION(WP; "WordPerfect"; Default; "US")

5	CALL(AssertConditions)

6	CALL(DisplayMenu)

7	CALL(QuitMacro)

8	//*********************************************************

9	//	MAIN LABEL STATEMENTS

10	//*********************************************************

11	LABEL(AssertConditions)

12	ONCANCEL(Conditions)

13	ONERROR(Conditions)

14	ONNOTFOUND(Conditions)

15	vCondition := "Turn conditions Off!"

16	RETURN

17	LABEL(DisplayMenu)

18	MENU(vChoice; Digit!; ; ; {"CancelCondition!"; "ErrorCondition!"; "NotFoundCondition!"; vCondition; "Quit"})

19	SWITCH(vChoice)

20	CASEOF 1: ASSERT(CancelCondition!)

21	CASEOF 2: ASSERT(ErrorCondition!)

22	CASEOF 3: ASSERT(NotFoundCondition!)

23	CASEOF 4: IF(vCondition = "Turn conditions Off!")

24	GO(TurnConditionsOff)

25	ELSE

26	GO(TurnConditionsOn)

27	ENDIF

28	CASEOF 5: GO(QuitMacro)

29	DEFAULT: Conditions

30	ENDSWITCH

31	RETURN

32	LABEL(QuitMacro)

33	vMessage := "You selected 5, or you selected 1, 2, or 3 with all conditions Off!"

34	MESSAGEBOX(vStatus; "Condition Status"; vMessage; RetryCancel! | IconInformation! | DefButton2!)

35	IF(vStatus = 4)

36	GO(DisplayMenu)

37	ELSE

38	QUIT

39	ENDIF

40	//*********************************************************

41	//	SECONDARY LABEL STATEMENTS

42	//*********************************************************

43	LABEL(Conditions)

44	SWITCH(ErrorNumber)

45	CASEOF 1: vMessage := "^1"

46	CASEOF 2: vMessage := "^2"

47	CASEOF 7: vMessage := "^3"

48	DEFAULT:  vMessage := "^4"

49	ENDSWITCH

50	MESSAGEBOX(vStatus; "Condition Status"; vMessage; Ok! | IconInformation! | HasParameters!; {"You selected 1 with CANCEL(On!)"; "You selected 2 with ERROR(On!)"; "You selected 3 with NOTFOUND(On!)"; "Menu item not chosen"})

51	GO(DisplayMenu)

52	LABEL(TurnConditionsOn)

53	CANCEL(On!)

54	ERROR(On!)

55	NOTFOUND(On!)

56	vCondition := "Turn conditions Off!"

57	GO(DisplayMenu)

58	LABEL(TurnConditionsOff)

59	CANCEL(Off!)

60	ERROR(Off!)

61	NOTFOUND(Off!)

62	vCondition := "Turn conditions On!"

63	GO(DisplayMenu)


Lines 1-3

Comments about the macro.


Line 2

Macros are generally saved to the application's macros directory.


Line 4

WordPerfect identified as the default application.


Click the mouse to make this message disappear.


Line 5

Call LABEL(AssertConditions), which identifies a LABEL subroutine to call when there is a Cancel, Error, or Not Found condition (lines 12-14).


Line 6

Call LABEL(DisplayMenu) after LABEL(AssertConditions) returns (line 16).  LABEL(DisplayMenu) displays a five-option menu (line 18).


Line 7

Call LABEL(QuitMacro) after LABEL(DisplayMenu) returns (line 31).  LABEL(QuitMacro) displays a message box where the user can end the macro or redisplay the menu (lines 32-39).


Lines 8-10

Comments identify LABELs that correspond to the opening CALL statements (lines 5-7).


Lines 11-16

LABEL(AssertConditions) identifies a LABEL to execute when a Cancel, Error, or Not Found condition occurs.


Line 12

Execute LABEL(Conditions) when a Cancel condition occurs (line 43).


Line 13

Execute LABEL(Conditions) when an Error condition occurs (line 43).


Line 14

Execute LABEL(Conditions) when a Not Found condition occurs (line 43).


Line 15

Assignment operator assigns a character string to a variable named vCondition, which is menu item 4 the first time the menu is displayed (line 18).  The default condition for CANCEL, ERROR, and NOTFOUND is On!.


Line 16

RETURN statement directs macro execution to CALL(DisplayMenu) (line 6).


Lines 17-31

LABEL displays a five-option menu and asserts a Cancel, Error, or Not Found condition depending on a menu choice.


Line 18

MENU displays a numbered (Digit!) list of five items.  The number the user chooses is assigned to vChoice.  Omitting the third and fourth parameters centers the menu on the screen.


Line 19

SWITCH initiates an action, depending on the value of vChoice, which contains the number of the chosen menu item.


Line 20

If 1 is selected, assert a Cancel condition.  The macro assigns 1 to the variable ErrorNumber (see ASSERT).  LABEL(Condition) is automatically called (lines 12 and 45).


Line 21

If 2 is selected, assert an Error condition.  The macro assigns 2 to the variable ErrorNumber (see ASSERT).  LABEL(Condition) is automatically called (lines 13 and 46).


Line 22

If 3 is selected, assert a Not Found condition.  The macro assigns 7 to the variable ErrorNumber (see ASSERT).  LABEL(NotFound) is automatically called (lines 14 and lines 47).


Lines 23-27

If 4 is selected, toggle CANCEL, ERROR, and NOTFOUND conditions by calling LABEL(TurnConditionsOn) (lines 52-57) or LABEL(TurnConditionsOff) (lines 58-63).  The label called depends on the contents of variable vCondition (lines 15, 56, and 62).  Update the description of menu item 4.


Line 28

If 5 is selected, end (quit) macro.


Line 29

If another key is pressed, such as Esc, execute LABEL(Condition).  Notice that the subroutine name executes the subroutine.  See Subroutine Name).


Line 30

ENDSWITCH closes SWITCH statement (line 19).


Line 31

RETURN statement directs macro execution to CALL(QuitMacro).


Lines 32-39

LABEL(QuitMacro) displays a message box with an option to end the macro or redisplay the menu.


Line 33

Assignment operator assigns character string "You selected 5, or you selected 1, 2, or 3 with all conditions Off!" to variable vMessage (line 34).


Line 34

MESSAGEBOX displays a message box with an information icon, and Retry and Cancel buttons.  If Retry is chosen, 4 is assigned to variable vStatus, or 2 if Cancel is chosen.


Lines 35-36

If variable vStatus equals 4 (line 34), GO sends macro execution to LABEL(DisplayMenu), which redisplays the menu.


Lines 37-38

If vStatus is any value except 4 (ELSE), end the macro (QUIT).


Line 39

ENDIF closes IF statement (line 35).


Lines 40-42

Comments identify secondary LABELs or LABELs called from a another LABEL (see lines 12-14, 24, and 26).


Lines 43-51

Execute LABEL(Conditions) when the user chooses 1, 2, or 3 (lines 20-22 and 12-14).


Line 44

SWITCH initiates an action, depending on the value of the variable ErrorNumber (lines 20, 21, 22) (see ASSERT).


Line 45

If ErrorNumber equals 1 (Cancel condition), assign "^1" to vMessage (see line 50).


Line 46

If ErrorNumber equals 2 (Error condition), assign "^2" to vMessage (see line 50).


Line 47

If ErrorNumber equals 7 (NotFound condition), assign "^3" to vMessage (line 50).


Line 48

If ErrorNumber contains a value other than 1, 2, or 7, assign "^4" to vMessage (line 50).


Line 49

ENDSWITCH closes SWITCH statement (line 44).


Line 50

MESSAGEBOX displays a message box with an information icon and OK button.  It uses the HasParameters! style, followed by four Message parameter options.  A caret (^) followed by a number in the Message parameter inserts the corresponding ParameterData message (one of the four message options) in its place (lines 45-48).  Numbering begins with 0.  See MESSAGEBOX.


Line 51

GO creates a loop by sending macro execution to LABEL(DisplayMenu), which redisplays the menu.


Lines 52-55

LABEL(TurnConditionsOn) turns on CANCEL, ERROR, and NOTFOUND conditions after LABEL(TurnConditionsOff) is executed.


Line 56

Assigns character string "Turn conditions Off!" to variable vCondition, which is displayed as menu item 4 (line 18).


Line 57

GO creates a loop by sending macro execution to LABEL(DisplayMenu), which redisplays the menu.


Lines 58-61

LABEL(TurnConditionsOff) turns off CANCEL, ERROR, and NOTFOUND conditions after the macro first starts or LABEL(TurnConditionsOn) is executed.


Line 62

Assigns character string "Turn conditions On!" to variable vCondition, which is displayed as menu item 4 (line 18).


Line 63

GO statement creates a loop by sending macro execution to LABEL(DisplayMenu), which redisplays the menu.


For Example...

// Name: ASSERT.WCM

// Directory: C:\WPWIN60\MACROS

// Description: Demonstrate MENU, MESSAGEBOX, ASSERT, ONCANCEL, ONERROR, ONNOTFOUND, CANCEL, ERROR, NOTFOUND

APPLICATION(WP; "WordPerfect"; Default; "US")

CALL(AssertConditions)

CALL(DisplayMenu)

CALL(QuitMacro)

//*********************************************************

//	MAIN LABEL STATEMENTS

//*********************************************************

LABEL(AssertConditions)

ONCANCEL(Conditions)

ONERROR(Conditions)

ONNOTFOUND(Conditions)

vCondition := "Turn conditions Off!"

RETURN

LABEL(DisplayMenu)

MENU(vChoice; Digit!; ; ; {"CancelCondition!"; "ErrorCondition!"; "NotFoundCondition!"; vCondition; "Quit"})

SWITCH(vChoice)

CASEOF 1: ASSERT(CancelCondition!)

CASEOF 2: ASSERT(ErrorCondition!)

CASEOF 3: ASSERT(NotFoundCondition!)

CASEOF 4: IF(vCondition = "Turn conditions Off!")

GO(TurnConditionsOff)

ELSE

GO(TurnConditionsOn)

ENDIF

CASEOF 5: GO(QuitMacro)

DEFAULT: Conditions

ENDSWITCH

RETURN

LABEL(QuitMacro)

vMessage := "You selected 5, or you selected 1, 2, or 3 with all conditions Off!"

MESSAGEBOX(vStatus; "Condition Status"; vMessage; RetryCancel! | IconInformation! | DefButton2!)

IF(vStatus = 4)

GO(DisplayMenu)

ELSE

QUIT

ENDIF

//*********************************************************

//	SECONDARY LABEL STATEMENTS

//*********************************************************

LABEL(Conditions)

SWITCH(ErrorNumber)

CASEOF 1: vMessage := "^1"

CASEOF 2: vMessage := "^2"

CASEOF 7: vMessage := "^3"

DEFAULT:  vMessage := "^4"

ENDSWITCH

MESSAGEBOX(vStatus; "Condition Status"; vMessage; Ok! | IconInformation! | HasParameters!; {"You selected 1 with CANCEL(On!)"; "You selected 2 with ERROR(On!)"; "You selected 3 with NOTFOUND(On!)"; "Menu item not chosen"})

GO(DisplayMenu)

LABEL(TurnConditionsOn)

CANCEL(On!)

ERROR(On!)

NOTFOUND(On!)

vCondition := "Turn conditions Off!"

GO(DisplayMenu)

LABEL(TurnConditionsOff)

CANCEL(Off!)

ERROR(Off!)

NOTFOUND(Off!)

vCondition := "Turn conditions On!"

GO(DisplayMenu)


Macro: CALLBACK.WCM

CALLBACK.WCM creates a callback function that responds to system menu box options, check boxes, radio buttons, hot spots, and push buttons.  Click the comment buttons [image] for detailed explanations.  Click the example button above to copy CALLBACK.WCM to the Clipboard.  See Macro Commands Index for detailed command descriptions.

1	// Name: CALLBACK.WCM

2	// Directory: C:\WPWIN60\MACROS

3	// Description: Callback function displays a message when a user chooses a dialog box control

4	APPLICATION(WP; "WordPerfect"; Default; "US")

5	//*********************************************************

6	// MAIN CALL STATEMENTS

7	//*********************************************************

8	CALL(InitializeVariables)

9	CALL(CreateDialog)

10	CALL(DisplayMainDialog)

11	CALL(StartMessageLoop)

12	CALL(QuitMacro)

13	//*********************************************************

14	// MAIN LABEL STATEMENTS

15	//*********************************************************

16	LABEL(InitializeVariables)

17	WM_SYSCOMMAND := 274

18	WM_COMMAND := 273

19	vCheck := 0

20	vRadio := 0

21	vLoop := "Yes"

22	RETURN

23	LABEL(CreateDialog)

24	DIALOGDEFINE(1000; 50; 50; 210; 175; 1+2+16; "Callback Function")

25	DIALOGADDCHECKBOX(1000; 101; 10; 10; 50; 10; "Checkbox"; vCheck)

26	DIALOGADDRADIOBUTTON(1000; 102; 10; 30; 60; 10;"Radio button"; vRadio)

27	DIALOGADDHOTSPOT(1000; 103; 90; 10; 50; 50; 1)

28	DIALOGADDFRAME(1000; 104; 90; 10; 50; 50; 5)

29	DIALOGADDTEXT(1000; 105; 150; 30; 50; 15; 1; "<- Hot spot")

30	vText1 := "Choose Close from the system menu, double-click"

31	vText2 := "the system menu box, or press Alt+F4."

32	DIALOGADDTEXT(1000; 106; 20; 95; 190; 15; 1; vText1)

33	DIALOGADDTEXT(1000; 107; 20; 105; 170; 15; 1; vText2)

34	DIALOGADDGROUPBOX(1000; 109; 10; 75; 185; 50; "System commands")

35	RETURN

36	LABEL(DisplayMainDialog)

37	DIALOGDISPLAY (1000; 1; MsgLoop)

38	RETURN

39	LABEL(StartMessageLoop)

40	WHILE(vLoop = "Yes")

41	ENDWHILE

42	RETURN

43	LABEL(QuitMacro)

44	DIALOGDESTROY(1000)

45	QUIT

46	//*********************************************************

47	// CALLBACK FUNCTION

48	//*********************************************************

49	LABEL(MsgLoop)

50	SWITCH(MsgLoop[3])

51	CASEOF 101:

52	DIALOGUNDISPLAY(1000; "OKBttn")

53	MESSAGEBOX(vStatus; "Check Box"; "Check boxes display options.  Choose OK to hide the message box and return to the main dialog box."; OK! | IconInformation!)

54	DIALOGDISPLAY (1000;1; MsgLoop)

55	CASEOF 102:

56	MESSAGEBOX(vStatus; "Radio Button"; "Radio buttons display mutually-exclusive options.  Choose OK to hide the message box and return to the main dialog box."; OK! | IconInformation!)

57	CASEOF 103:

58	MESSAGEBOX(vStatus; "Hot Spot"; "A hot spot was created over a filled frame.  You can also create a hot spot over an icon.  Choose OK to hide the message box and return to the main dialog box."; OK! | IconInformation!)

59	CASEOF "OKBttn":

60	MESSAGEBOX(vStatus; "OK Button"; "You chose the OK button on the main dialog box.  Choose OK to hide the message box and return to the main dialog box."; OK! | IconInformation!)

61	CASEOF "CancelBttn":

62	MESSAGEBOX(vStatus; "Cancel Button"; "Choosing Cancel assigns ""No"" to variable vLoop, which ends the loop and the macro."; OK! | IconExclamation!)

63	vLoop := "No"

64	ENDSWITCH

65	IF(MsgLoop[5] = WM_SYSCOMMAND)

66	MESSAGEBOX(vStatus; "System Command"; "After you choose OK, the main dialog box will disappear and then reappear after one second."; OK! | IconInformation!)

67	DIALOGUNDISPLAY(1000; "OKBttn")

68	WAIT(10)

69	DIALOGDISPLAY(1000; 1; MsgLoop)

70	ENDIF

71	RETURN


Lines 1-3

Comments about the macro.


Line 2

Macros are generally saved to the default macros directory.


Line 4

WordPerfect identified as the default application.


Lines 5-7

Comments identify the opening CALL statements that outline and define the macro's basic operations.


Line 8

Call LABEL(InitializeVariables), which initializes all variables (lines 16-22).  A run-time error occurs if you reference a variable that has not been assigned a value.  See VARERRCHK.


Line 9

Call LABEL(CreateDialog) after LABEL(InitializeVariables) returns.  LABEL(CreateDialog) creates a dialog box in memory (lines 23-35).  It does not display the dialog box.


Line 10

Call LABEL(DisplayMainDialog) after LABEL(CreateDialog) returns.  LABEL(DisplayMainDialog) displays the dialog box and identifies a callback function.  See DIALOGDISPLAY.


Line 11

Call LABEL(StartMessageLoop) after LABEL(DisplayDialog) returns.  LABEL(StartMessageLoop) starts a message loop that suspends the dialog box for callback functions (lines 49-71).


Line 12

CALL LABEL(QuitMacro) after LABEL(StartMessageLoop) returns.  LABEL(QuitMacro) removes the dialog box from memory and ends the macro.


Lines 13-15

Comments identify LABELs that correspond to the opening CALL statements (lines 8-12).


Lines 16-22

LABEL(InitializeVariables) initializes all variables.


Lines 17-18

Initialize variables to contain Windows message numbers.  Using variables makes the macro easier to read.  The variable names are user-defined, but match the Windows message names.  See DIALOGDISPLAY.


Lines 19-20

Initialize check box and radio button variables (lines 25, 26).


Line 21

Initialize the loop variable.  vLoop is later assigned a new value to end the message loop (line 63), which sends macro execution to CALL(QuitMacro).


Line 22

RETURN sends macro execution to CALL(CreateDialog).


Lines 23-35

LABEL(CreateDialog) creates a dialog box in memory.


Lines 25-27

Control parameter values are sent as messages to the callback function (52-63).


Line 35

RETURN sends macro execution to CALL(DisplayMainDialog).


Lines 36-38

LABEL(DisplayMainDialog) displays the dialog box and identifies the callback function MsgLoop.  RETURN sends macro execution to CALL(StartMessageLoop).


Lines 39-42

LABEL(StartMessageLoop) starts the message loop that suspends the dialog box for callback functions (lines 49-71).  RETURN sends macro execution to CALL(QuitMacro).


Lines 43-45

LABEL(QuitMacro) removes the dialog box from memory and ends the macro.


Lines 46-48

Comments identify the callback function.


Lines 49-71

Callback function MsgLoop responds to five Control parameter messages and one system command message.  See DIALOGDISPLAY.


Lines 50

SWITCH tests the third element of the callback function array.  See DIALOGDISPLAY.


Lines 51-63

Array element MsgLoop[3] contains the Control parameter value of the control that calls the callback function.  A message box describes the control.  In this macro, Cancel is the only button that can dismiss the dialog box.


Line 52

DIALOGUNDISPLAY hides the dialog box while the message box is displayed (line 54).


Line 54

DIALOGDISPLAY redisplays the dialog box after the message box is dismissed (line 52).


Line 64

ENDSWITCH closes the SWITCH statement (line 50).


Lines 65-70

A WM_SYSCOMMAND message is received when the user chooses Close from the system menu box, double-clicks the system menu box, or presses Alt+F4.


Lines 67-69

DIALOGUNDISPLAY hides the dialog box after the message box is dismissed.  WAIT(10) pauses the macro for one second.  DIALOGDISPLAY redisplays the dialog box.


Line 70

ENDIF closes the IF statement (line 65).


Line 71

RETURN sends macro execution to the message loop (lines 39-42).


For Example...

// Name: CALLBACK.WCM

// Directory: C:\WPWIN60\MACROS

// Description: Callback function displays a message when a user chooses a dialog box control

APPLICATION(WP; "WordPerfect"; Default; "US")

//*********************************************************

// MAIN CALL STATEMENTS

//*********************************************************

CALL(InitializeVariables)

CALL(CreateDialog)

CALL(DisplayMainDialog)

CALL(StartMessageLoop)

CALL(QuitMacro)

//*********************************************************

// MAIN LABEL STATEMENTS

//*********************************************************

LABEL(InitializeVariables)

WM_SYSCOMMAND := 274

WM_COMMAND := 273

vCheck := 0

vRadio := 0

vLoop := "Yes"

RETURN

LABEL(CreateDialog)

DIALOGDEFINE(1000; 50; 50; 210; 175; 1+2+16; "Callback Function")

DIALOGADDCHECKBOX(1000; 101; 10; 10; 50; 10; "Checkbox"; vCheck)

DIALOGADDRADIOBUTTON(1000; 102; 10; 30; 60; 10;"Radio button"; vRadio)

DIALOGADDHOTSPOT(1000; 103; 90; 10; 50; 50; 1)

DIALOGADDFRAME(1000; 104; 90; 10; 50; 50; 5)

DIALOGADDTEXT(1000; 105; 150; 30; 50; 15; 1; "<- Hot spot")

vText1 := "Choose Close from the system menu, double-click"

vText2 := "the system menu box, or press Alt+F4."

DIALOGADDTEXT(1000; 106; 20; 95; 190; 15; 1; vText1)

DIALOGADDTEXT(1000; 107; 20; 105; 170; 15; 1; vText2)

DIALOGADDGROUPBOX(1000; 109; 10; 75; 185; 50; "System commands")

RETURN

LABEL(DisplayMainDialog)

DIALOGDISPLAY (1000; 1; MsgLoop)

RETURN

LABEL(StartMessageLoop)

WHILE(vLoop = "Yes")

ENDWHILE

RETURN

LABEL(QuitMacro)

DIALOGDESTROY(1000)

QUIT

//*********************************************************

// CALLBACK FUNCTION

//*********************************************************

LABEL(MsgLoop)

SWITCH(MsgLoop[3])

CASEOF 101:

DIALOGUNDISPLAY(1000; "OKBttn")

MESSAGEBOX(vStatus; "Check Box"; "Check boxes display options.  Choose OK to hide the message box and return to the main dialog box."; OK! | IconInformation!)

DIALOGDISPLAY (1000;1; MsgLoop)

CASEOF 102:

MESSAGEBOX(vStatus; "Radio Button"; "Radio buttons display mutually-exclusive options.  Choose OK to hide the message box and return to the main dialog box."; OK! | IconInformation!)

CASEOF 103:

MESSAGEBOX(vStatus; "Hot Spot"; "A hot spot was created over a filled frame.  You can also create a hot spot over an icon.  Choose OK to hide the message box and return to the main dialog box."; OK! | IconInformation!)

CASEOF "OKBttn":

MESSAGEBOX(vStatus; "OK Button"; "You chose the OK button on the main dialog box.  Choose OK to hide the message box and return to the main dialog box."; OK! | IconInformation!)

CASEOF "CancelBttn":

MESSAGEBOX(vStatus; "Cancel Button"; "Choosing Cancel assigns ""No"" to variable vLoop, which ends the loop and the macro."; OK! | IconExclamation!)

vLoop := "No"

ENDSWITCH

IF(MsgLoop[5] = WM_SYSCOMMAND)

MESSAGEBOX(vStatus; "System Command"; "After you choose OK, the main dialog box will disappear and then reappear after one second."; OK! | IconInformation!)

DIALOGUNDISPLAY(1000; "OKBttn")

WAIT(10)

DIALOGDISPLAY(1000; 1; MsgLoop)

ENDIF

RETURN


Macro: CB_SCBAR.WCM

CB_SCBAR.WCM creates a callback function that responds to Windows WM_VSCROLL, WM_ACTIVATE, and WM_SYSCOMMAND messages.  It uses DIALOGADDSCROLLBAR to display a list item.  Click the comment buttons [image] for detailed explanations.  Click the example button above to copy CALLBACK.WCM to the Clipboard.  See Macro Commands Index for detailed command descriptions.

1	// Name: CB_SCBAR.WCM

2	// Directory: C:\WPWIN60\MACROS

3	// Description: Use DIALOGADDSCROLLBAR and a callback function

4	APPLICATION(WP; WordPerfect; Default; "US")

5	//*********************************************************

6	// MAIN CALL STATEMENTS

7	//*********************************************************

8	CALL(InitializeVariables)

9	CALL(CreateDlg)

10	CALL(DisplayDlg)

11	CALL(StartMessageLoop)

12	CALL(QuitMacro)

13	//*********************************************************

14	// MAIN LABEL STATEMENTS

15	//*********************************************************

16	LABEL(InitializeVariables)

17	SB_LINEUP := 0

18	SB_LINEDOWN := 1

19	SB_PAGEUP := 2

20	SB_PAGEDOWN := 3

21	SB_THUMBPOSITION := 4

22	SB_THUMBTRACK := 5

23	SB_TOP := 6

24	SB_BOTTOM := 7

25	SB_ENDSCROLL := 8

26	vOldPos := 10

27	y := 1

28	WM_SYSCOMMAND:= 274

29	WM_VSCROLL := 277

30	WM_ACTIVATE := 6

31	vLoop := 1

32	DECLARE List[10]

33	vElement := 1

34	FOREACH(vFruit; {"Apples"; "Oranges"; "Papaya"; "Grapes"; "Bananas"; "Pears"; "Watermelon"; "Apricots"; "Peaches"; "Plums"})

35	List[vElement] := vFruit

36	vElement := vElement + 1

37	ENDFOR

38	RETURN

39	LABEL(CreateDlg)

40	DIALOGDEFINE(1000; 50; 50; 155; 160; 16; "Scroll Bar Callback Function")

41	DIALOGADDSCROLLBAR(1000; "Scroll"; 135; 10; 0; 100; 2 + 8;BarPos; 1; 10)

42	FORNEXT(yPos; 10; 100; 10)

43	DIALOGADDTEXT(1000; 0; 10; yPos; 40; 10; 2; List[yPos / 10])

44	ENDFOR

45	DIALOGADDTEXT(1000; 0; 60; 10; 40; 10; 1; "Apples")

46	DIALOGADDTEXT(1000; 0; 50; yPos + 15; 70; 10; 1; "Thumb Position   1")

47	RETURN

48	LABEL(DisplayDlg)

49	DIALOGDISPLAY (1000; 121; MsgLoop) // callback function = MsgLoop

50	RETURN

51	LABEL(StartMessageLoop)

52	WHILE(vLoop = 1) // message loop

53	ENDWHILE

54	RETURN

55	LABEL(QuitMacro)

56	DIALOGDESTROY(1000)

57	QUIT

58	//*********************************************************

59	// CALLBACK FUNCTION

60	//*********************************************************

61	LABEL(MsgLoop)

62	SWITCH(MsgLoop[5])

63	CASEOF WM_SYSCOMMAND:

64	GO(QuitMacro)

65	CASEOF WM_VSCROLL:

66	CALL(ScrollCtrl)

67	CASEOF WM_ACTIVATE:

68	CALL(MsgBox)

69	ENDSWITCH

70	SWITCH(MsgLoop[3])

71	CASEOF "CancelBttn":

72	GO(QuitMacro)

73	ENDSWITCH

74	RETURN

75	LABEL(ScrollCtrl)

76	SWITCH(MsgLoop[6])

77	CASEOF SB_LINEUP:

78	CALL(LineUp)

79	CASEOF SB_LINEDOWN:

80	CALL(LineDown)

81	CASEOF SB_PAGEUP:

82	CALL(PageUp)

83	CASEOF SB_PAGEDOWN:

84	CALL(PageDown)

85	CASEOF SB_THUMBPOSITION:

86	CALL(Thumb)

87	//CASEOF SB_THUMBTRACK:

88	//	CALL(Thumb)

89	CASEOF SB_TOP:

90	CALL(PageUp)

91	CASEOF SB_BOTTOM:

92	CALL(PageDown)

93	CASEOF SB_ENDSCROLL:

94	DIALOGADDTEXT(1000; 0; 107; 125; 10; 10; 1; y)

95	ENDSWITCH

96	RETURN

97	LABEL(Thumb)

98	y := MsgLoop[7]

99	y := y  & 65535

100	CALL(TypeFruit)

101	RETURN

102	LABEL(LineUp)

103	IF(NOT(y = 1))

104	y := y - 1

105	CALL(TypeFruit)

106	ELSE

107	BEEP

108	ENDIF

109	RETURN

110	LABEL(LineDown)

111	IF(NOT(y = 10))

112	y := y + 1

113	CALL(TypeFruit)

114	ELSE

115	BEEP

116	ENDIF

117	RETURN

118	LABEL(PageUp)

119	y := 1

120	CALL(TypeFruit)

121	RETURN

122	LABEL(PageDown)

123	y := 10

124	CALL(TypeFruit)

125	RETURN

126	LABEL(TypeFruit)

127	vBlank := "                         "

128	DIALOGADDTEXT(1000; 0; 60; vOldPos; 40; 10; 1; vBlank)

129	DIALOGADDTEXT(1000; 0; 60; y * 10; 40; 10; 1; List[y])

130	vOldPos := y * 10

131	RETURN

132	LABEL(MsgBox)

133	MESSAGEBOX(vStatus; "Message Box"; "Do you want to cancel this message?"; YesNo! | IconQuestion!)

134	IF(vStatus = 6)

135	WM_ACTIVATE := 0

136	ENDIF

137	RETURN


Lines 1-3

Comments about the macro.


Line 2

Macros are generally saved to the default macros directory.


Line 4

WordPerfect identified as the default application.


Lines 5-7

Comments identify the opening CALL statements which outline and define the macro's basic operations.


Line 8

Call LABEL(InitializeVariables), which initializes all variables (lines 16-38).  A run-time error occurs if you reference a variable that has not been assigned a value.  See VARERRCHK.


Line 9

Call LABEL(CreateDlg) after LABEL(InitializeVariables) returns.  LABEL(CreateDlg) creates a dialog box in memory (lines 39-47).  It does not display the dialog box.


Line 10

Call LABEL(DisplayDlg) after LABEL(CreateDlg) returns.  LABEL(DisplayDlg) displays the dialog box and identifies a callback function.  See DIALOGDISPLAY.


Line 11

CALL LABEL(MessageLoop) after LABEL(DisplayDlg) returns.  LABEL(MessageLoop) starts a message loop that suspends the dialog box for callback function (lines 61-74).


Line 12

CALL LABEL(QuitMacro) after LABEL(MessageLoop) returns.  LABEL(QuitMacro) removes the dialog box from memory and ends the macro.


Lines 13-15

Comments identify LABELs that correspond to the opening CALL statements (lines 8-12).


Lines 16-38

LABEL(InitializeVariables) initializes all variables.


Lines 17-25

Initialize variables with numbers that correspond to positions on the scroll bar.  See DIALOGADDSCROLLBAR.


Line 26

The position of the most recent list item displayed in the dialog box.  This position is cleared of text when a new list item is displayed (lines 127-128).


Line 27

The current position for displaying a new list item (line 129).


Lines 28-30

Initialize variables to contain Windows message numbers.  Using variables makes the macro easier to read.  The variable names are user-defined, but match the Windows message names.  See DIALOGDISPLAY.


Line 31

Initialize the loop variable.  In this example, vLoop does not receive a new value.  The loop ends when the macro ends (line 57).  It is possible to end the message loop and not the macro by changing the value of vLoop.


Line 32

Creates a 10-element array named List.


Lines 33-37

Fills array with the names of 10 fruit.  Variable vElement identifies the element to fill.


Line 38

RETURN sends macro execution to CALL(CreateDlg).


Lines 39-47

LABEL(CreateDlg) creates a dialog box in memory.


Lines 42-44

A FORNEXT statement Creates a list of names.  The Control parameter of DIALOGADDTEXT is set to 0 to allow this command to execute in a FORNEXT statement.  This is possible for controls that do not accept input.


Line 43

List is a 10-element array.  The initial value of variable yPos is also 10.  Dividing yPos by 10 reduces yPos to a number that corresponds to an element in the array.  DIALOGADDTEXT uses the number to display the contents of the corresponding element.


Line 44

ENDFOR closes the FORNEXT statement (line 42).


Line 45

Displays the first list item in a second column.


Line 46

Displays the initial thumb position.


Line 47

RETURN sends macro execution to CALL(DisplayDlg).


Lines 48-50

LABEL(DisplayDlg) displays the dialog box and identifies the callback function MsgLoop.  RETURN sends macro execution to CALL(StartMessageLoop).


Lines 51-54

LABEL(StartMessageLoop) starts the message loop that suspends the dialog box for callback functions (lines 61-74).  RETURN sends macro execution to CALL(QuitMacro).


Lines 55-57

LABEL(QuitMacro) removes the dialog box from memory and ends the macro.


Lines 58-60

Comments identify the callback function.


Lines 61-74

Callback function MsgLoop responds to three Windows messages, and one Control parameter message.  See DIALOGDISPLAY.


Line 62

SWITCH tests the fifth element of the callback function array.  See DIALOGDISPLAY.


Lines 63-64

A WM_SYSCOMMAND message is received when the user chooses Close from the system menu box, double-clicks the system menu box, or presses Alt+F4.  Macro execution jumps to LABEL(QuitMacro).


Lines 65-66

A WM_VSCROLL message is received when the user clicks the scroll bar.  The macro calls LABEL(ScrollCtrl).


Lines 67-68

A WM_ACTIVATE message is received when the dialog box is activated.  The macro calls LABEL(MsgBox).


Line 69

ENDSWITCH closes the SWITCH statement (line 62).


Lines 70-73

SWITCH tests the third element of the callback function array, and determines when Cancel is chosen.  See DIALOGDISPLAY.  An IF statement also works here.  There is often more than one choice to test.


Line 74

RETURN sends macro execution to the message loop (lines 52-53).


Lines 75-96

LABEL(ScrollCtrl) tests the wParam of the MW_VSCROLL message (line 76).


Line 76

SWITCH tests the sixth element(wParam value passed with WM_VSCROLL) of the callback function array, to determine the mouse's location when clicked.


Lines 77-94

See DIALOGADDSCROLLBAR for details about WM_VSCROLL messages.


Lines 77-78

Scroll bar's right arrow clicked.  Call LABEL(LineUp).


Lines 79-80

Scroll bar's left arrow clicked.  Call LABEL(LineDown).


Lines 81-82

Area between the right arrow and thumb clicked.  Call LABEL(PageUp).


Lines 83-84

Area between the left arrow and thumb clicked.  Call LABEL(PageDown).


Lines 85-86

Position of thumb after it is dragged, passed as the low-order word of lParam in the seventh element of the callback function array.  Call LABEL(Thumb).


Lines 87-88

Current position of thumb as it is dragged, passed as the low-order word of lParam in the 7th element of the callback function array.  Call LABEL(Thumb).  Lines 87-88 call the same function as lines 85-86, and have comment marks (//).  To test lines 87-88, add comment marks (//) to lines 85-86 and remove them from 87 and 88 (see // (Comment).


Lines 89-90

Home key pressed while the scroll bar has the input focus.  Call LABEL(PageUp).


Lines 91-92

End key pressed while the scroll bar has the input focus.  Call LABEL(PageDown).


Lines 93-94

Scroll bar activity has ended.  Display the current thumb position, contained in variable y.


Line 95

ENDSWITCH closes the SWITCH statement (line 76).


Line 96

RETURN sends macro execution to LABEL(MsgLoop) callback function.


Lines 97-101

LABEL(Thumb) retrieves the thumb position after it is dragged (MsgLoop[6] = SB_THUMBPOSITION), or as it is dragged (MsgLoop[6] = SB_THUMBTRACK).


Line 98

Assign the value of MsgLoop[7] (element 7 of the callback function array) to variable y.


Line 99

Calculate the low-order word of variable y using the bitwise AND operator.  See Bitwise Operators.  The value assigned to y is the current thumb position.


Line 100

Call LABEL(TypeFruit) to display the list item that corresponds to the current thumb position.


Line 101

RETURN sends macro execution to LABEL(ScrollCtrl).


Lines 102-109

LABEL(LineUp) is called when the right arrow is clicked, to make the current line (value of y) equal to the current thumb position.


Lines 103-105

If the current line is not 1, assign the value of y - 1 to y, and call LABEL(TypeFruit) to display the list item that corresponds to the current thumb position.


Lines 106-107

Beep if the value of y equals 1 (if the first item is displayed).  (Try changing this so the last item is displayed.)


Line 108

ENDIF closes the IF statement (line 103).


Line 109

RETURN sends macro execution to LABEL(ScrollCtrl).


Lines 110-117

LABEL(LineDown) is called when the left arrow is clicked, to make the current line (value of y) equal to the current thumb position.


Lines 111-113

If the current line is not 10, assign the value of y + 1 to y, and call LABEL(TypeFruit) to display the list item that corresponds to the current thumb position.


Lines 114-115

Beep if the value of y equals 10 (if the last item is displayed).  (Try changing this so the first item is displayed.)


Line 116

ENDIF closes the IF statement (line 111).


Line 117

RETURN sends macro execution to LABEL(ScrollCtrl).


Lines 118-121

LABEL(PageUp) is called when the area between the right arrow and thumb is clicked.


Line 119

Assign 1 to variable y to make 1 the current line and thumb position.


Line 120

Call LABEL(TypeFruit) to display the first list item on the first line.


Line 121

RETURN sends macro execution to LABEL(ScrollCtrl).


Lines 122-125

LABEL(PageDown) is called when the area between the left arrow and thumb is clicked.


Line 123

Assign 10 to variable y to make 10 the current line and thumb position.


Line 124

Call LABEL(TypeFruit) to display the last list item on the last line.


Line 125

RETURN sends macro execution to LABEL(ScrollCtrl).


Lines 126-131

LABEL(TypeFruit) displays a list item on the line that corresponds to the current thumb position.


Line 127

Assign blank spaces to variable vBlank, to erase the previous list item when a new one is displayed.


Line 128

Erase the previous list item.  The vertical position is contained in variable vOldPos, that has an initial value of 10 (line 26).  This value is updated (line 130) every time LABEL(TypeFruit) is called.


Line 129

Type a new list item at the current thumb position times 10 (the current line position).  The current thumb position (value of y) identifies the current list item (List[y]).


Line 130

Assign the current line position to variable vOldPos, to be used (line 128) when this subroutine is called again.


Line 131

RETURN sends macro execution to the subroutine's caller.


Lines 132-137

LABEL(MsgBox) is called when the dialog box is activated (lines 67-68).  If you choose No, the dialog box is activated when the message box is dismissed and LABEL(MsgBox) is called again.  The message box is called until the user chooses Yes (lines 134-136).


Line 133

See MESSAGEBOX.


Lines 134-136

If variable vStatus equals 6 (Yes chosen), assign 0 to WM_ACTIVATE.  Changing the value of WM_ACTIVATE invalidates it as a Windows activate message (lines 30 and 67-68).


Line 137

RETURN sends macro execution to LABEL(MsgLoop) callback function.


For Example...

// Name: CB_SCBAR.WCM

// Directory: C:\WPWIN60\MACROS

// Description: Use DIALOGADDSCROLLBAR and a callback function

APPLICATION(WP; WordPerfect; Default; "US")

//*********************************************************

// MAIN CALL STATEMENTS

//*********************************************************

CALL(InitializeVariables)

CALL(CreateDlg)

CALL(DisplayDlg)

CALL(StartMessageLoop)

CALL(QuitMacro)

//*********************************************************

// MAIN LABEL STATEMENTS

//*********************************************************

LABEL(InitializeVariables)

SB_LINEUP := 0

SB_LINEDOWN := 1

SB_PAGEUP := 2

SB_PAGEDOWN := 3

SB_THUMBPOSITION := 4

SB_THUMBTRACK := 5

SB_TOP := 6

SB_BOTTOM := 7

SB_ENDSCROLL := 8

vOldPos := 10

y := 1

WM_SYSCOMMAND:= 274

WM_VSCROLL := 277

WM_ACTIVATE := 6

vLoop := 1

DECLARE List[10]

vElement := 1

FOREACH(vFruit; {"Apples"; "Oranges"; "Papaya"; "Grapes"; "Bananas"; "Pears"; "Watermelon"; "Apricots"; "Peaches"; "Plums"})

List[vElement] := vFruit

vElement := vElement + 1

ENDFOR

RETURN

LABEL(CreateDlg) // define dialog box and controls

DIALOGDEFINE(1000; 50; 50; 155; 160; 16; "Scroll Bar Callback Function")

DIALOGADDSCROLLBAR(1000; "Scroll"; 135; 10; 0; 100; 2 + 8;BarPos; 1; 10)

FORNEXT(yPos; 10; 100; 10)

 	DIALOGADDTEXT(1000; 0; 10; yPos; 40; 10; 2; List[yPos / 10])

ENDFOR

DIALOGADDTEXT(1000; 0; 60; 10; 40; 10; 1; "Apples")

DIALOGADDTEXT(1000; 0; 50; yPos + 15; 70; 10; 1; "Thumb Position   1")

RETURN

LABEL(DisplayDlg) // show dialog box

DIALOGDISPLAY (1000; 121; MsgLoop) // callback function = MsgLoop

RETURN

LABEL(StartMessageLoop)

WHILE(vLoop = 1) // message loop

ENDWHILE

RETURN

LABEL(QuitMacro)

DIALOGDESTROY(1000)

QUIT

//*********************************************************

// CALLBACK FUNCTION

//*********************************************************

LABEL(MsgLoop)

SWITCH(MsgLoop[5])

CASEOF WM_SYSCOMMAND:

GO(QuitMacro)

CASEOF WM_VSCROLL:

CALL(ScrollCtrl)

CASEOF WM_ACTIVATE:

CALL(MsgBox)

ENDSWITCH

SWITCH(MsgLoop[3])

CASEOF "CancelBttn":

GO(QuitMacro)

ENDSWITCH

RETURN

LABEL(ScrollCtrl)

SWITCH(MsgLoop[6])

CASEOF SB_LINEUP:

CALL(LineUp)

CASEOF SB_LINEDOWN:

CALL(LineDown)

CASEOF SB_PAGEUP:

CALL(PageUp)

CASEOF SB_PAGEDOWN:

CALL(PageDown)

CASEOF SB_THUMBPOSITION:

CALL(Thumb)

//CASEOF SB_THUMBTRACK:

//	CALL(Thumb)

CASEOF SB_TOP :

CALL(PageUp)

CASEOF SB_BOTTOM:

CALL(PageDown)

CASEOF SB_ENDSCROLL:

DIALOGADDTEXT(1000; 0; 107; 125; 10; 10; 1; y)

ENDSWITCH

RETURN

LABEL(Thumb)

y := MsgLoop[7]

y := y  & 65535

CALL(TypeFruit)

RETURN

LABEL(LineUp)

IF(NOT(y = 1))

y := y - 1

CALL(TypeFruit)

ELSE

BEEP

ENDIF

RETURN

LABEL(LineDown)

IF(NOT(y = 10))

y := y + 1

CALL(TypeFruit)

ELSE

BEEP

ENDIF

RETURN

LABEL(PageUp)

y := 1

CALL(TypeFruit)

RETURN

LABEL(PageDown)

y := 10

CALL(TypeFruit)

RETURN

LABEL(TypeFruit)

vBlank := "                         "

DIALOGADDTEXT(1000; 0; 60; vOldPos; 40; 10; 1; vBlank)

DIALOGADDTEXT(1000; 0; 60; y * 10; 40; 10; 1; List[y])

vOldPos := y * 10

RETURN

LABEL(MsgBox)

MESSAGEBOX(vStatus; "Message Box"; "Do you want to cancel this message?"; YesNo! | IconQuestion!)

IF(vStatus = 6)

WM_ACTIVATE := 0

ENDIF

RETURN


Macro: CALENDAR.WCM

DDE is a method of the Windows operating system that transfers commands and other information between applications.  For example, you can use DDE to execute WP Office commands from WordPerfect.

CALENDAR.WCM opens WP Office for Windows 4.0a Day calendar.  Click the comment buttons [image] for detailed explanations.  Click the example button above to copy CALLBACK.WCM to the Clipboard.  See Macro Commands Index for detailed command descriptions.

1	// Name: CALENDAR.WCM

2	// Directory: C:\WPWIN60\MACROS

3	// Description: Open WP Office 4.0a Day calendar

4	// Method: Dynamic Data Exchange

5	APPLICATION(WP; "WordPerfect"; Default; "US")

6	//*********************************************************

7	//	MAIN CALL STATEMENTS

8	//*********************************************************

9	CALL(IsOfficeRunning)

10	CALL(OpenDayCalendar)

11	CALL(QuitMacro)

12	//*********************************************************

13	//	MAIN LABEL STATEMENTS

14	//*********************************************************

15	LABEL(IsOfficeRunning)

16	IF(APPLOCATE("WordPerfect Office 4.0a") = 0)

17	vPath := "c:\office40\"

18	vResult := APPEXECUTEEXT(vPath + "ofwin.exe"; 0)

19	IF(vResult < 32)

20	SWITCH(vResult)

21	CASEOF 2: CALL(FileNotFound)

22	CASEOF 3: CALL(PathNotFound)

23	DEFAULT: CALL(ErrorMsg)

24	ENDSWITCH

25	ENDIF

26	ENDIF

27	RETURN

28	LABEL(OpenDayCalendar)

29	ASSIGN(hDay; APPLOCATE("Day"))

30	IF(hDay)

31	APPACTIVATE(hDay)

32	ELSE

33	ASSIGN(hConv; DDEINITIATE("WPOFFICE40"; "COMMAND"))

34	IF(hConv)

35	DDEEXECUTE(hConv; "ViewOpenNamed(ViewName:""Day""; ViewType:Calendar!)")

36	ELSE

37	CALL(QuitMacro)

38	ENDIF

39	ENDIF

40	RETURN

41	LABEL(QuitMacro)

42	DDETERMINATEALL

43	QUIT

44	//*********************************************************

45	//	SECONDARY LABEL STATEMENTS

46	//*********************************************************

47	LABEL(FileNotFound)

48	BEEP

49	ASSIGN(vMessage; "File not found - ending macro")

50	GO(DisplayMessage)

51	LABEL(PathNotFound)

52	BEEP

53	ASSIGN(vMessage; "Path not found - ending macro")

54	GO(DisplayMessage)

55	LABEL(ErrorMsg)

56	BEEP

57	ASSIGN(vMessage; "Unable to launch WP Office 4.0a - ending macro")

58	GO(DisplayMessage)

59	LABEL(DisplayMessage)

60	MESSAGEBOX(var; "ERROR"; vMessage; Ok! | IconExclamation!)

61	GO(QuitMacro)


Lines 1-4

Comments about the macro.


Line 2

Macros are generally saved to the default macros directory.


Line 5

WordPerfect identified as the default application.


Lines 6-8

Comments identify the opening CALL statements, which outline and define the macro's basic operations.


Line 9

Call LABEL(IsOfficeRunning) to determine if Office is running.


Line 10

Call LABEL(OpenDayCalendar) to initiate a DDE conversation with Office and send an Office command to open the Day calendar view.


Line 11

Call LABEL(QuitMacro) to end the macro.


Lines 12-14

Comments identify the main LABEL statements.


Lines 15-27

LABEL(IsOfficeRunning) determines if Office is running, and, if not, starts it.


Line 16

APPLOCATE returns the Office 4.0a window handle if the window title is found, or 0 if not.  If 0 is returned, the next statement is executed (line 17).  If a window handle is returned, RETURN (line 27) sends macro execution to CALL(OpenDayCalendar).  Another way to write the statement is:

vResult := APPLOCATE("WordPerfect Office 4.0a")

IF(vResult = 0)


Line 17

If necessary, change this line to the directory that contains the WP Office program files.


Line 18

APPEXECUTEEXT returns the application handle if Office is started (line 16), or an error value less than 32 if not.  See APPEXECUTEEXT.


Line 19

If vResult is less than 32 (error occurred), execute SWITCH statement (lines 20-24).


Lines 20-23

IF vResult equals 2, call LABEL(FileNotFound).  If vResult equals 3, call LABEL(PathNotFound).  For any value less than 32, call LABEL(ErrorMsg).  See APPEXECUTEEXT for a list of error values.


Line 24

ENDSWITCH closes the SWITCH statment (line 20).


Line 25

ENDIF closes the IF statement (line 19).


Line 26

ENDIF closes the IF statement (line 16).


Line 27

RETURN sends macro execution to CALL(OpenDayCalendar).


Lines 28-40

LABEL(OpenDayCalendar) determines if the Day calendar view is already open.


Line 29

APPLOCATE returns the Calendar view window handle if the window title is found, or 0 if not.  The handle or 0 is assigned to variable hDay.


Lines 30-31

If variable hDay equals a window handle (a non-zero number), use APPACTIVATE to activate the Calendar view.  The statement IF(hDay) is equivalent to IF(hDay <> 0).


Lines 32-33

IF variable hDay equals 0 (ELSE), initiate a conversation with Office and assign the result to variable hConv.


Lines 34-35

If variable hConv equals a window handle (a non-zero number), execute the ViewOpenedNamed Office command.


Lines 36-37

If variable hConv equals 0 (conversation not initiated), call LABEL(QuitMacro).


Line 38

ENDIF closes IF statement (line 34).


Line 39

ENDIF closes IF statement (line 30).


Line 40

RETURN sends macro execution to CALL(QuitMacro).


Lines 41-43

LABEL(QuitMacro) ends the macro.


Lines 44-46

Comments identify the SECONDARY label statements.


Lines 47-50

LABEL(FileNotFound) beeps, assigns a file not found message to variable vMessage, and sends macro execution to LABEL(DisplayMessage).


Lines 51-54

LABEL(PathNotFound) beeps, assigns a path not found message to variable vMessage, and sends macro execution to LABEL(DisplayMessage).


Lines 55-58

LABEL(ErrorMsg) beeps, assigns an unknown error message to variable vMessage, and sends macro execution to LABEL(DisplayMessage).


Lines 59-61

LABEL(DisplayMessage) displays the appropriate error message, and sends macro execution to LABEL(QuitMacro).


Line 60

MESSAGEBOX displays the contents of variable vMessage (lines 49, 53, and 57).


For Example...

// Name: CALENDAR.WCM

// Directory: C:\WPWIN60\MACROS

// Description: Open WP Office 4.0a Day calendar

// Method: Dynamic Data Exchange

APPLICATION(WP; "WordPerfect"; Default; "US")

//*********************************************************

//	MAIN CALL STATEMENTS

//*********************************************************

CALL(IsOfficeRunning)

CALL(OpenDayCalendar)

CALL(QuitMacro)

//*********************************************************

//	MAIN LABEL STATEMENTS

//*********************************************************

LABEL(IsOfficeRunning)

IF(APPLOCATE("WordPerfect Office 4.0a") = 0)

vPath := "c:\office40\"

vResult := APPEXECUTEEXT(vPath + "ofwin.exe"; 0)

IF(vResult < 32)

SWITCH(vResult)

CASEOF 2: CALL(FileNotFound)

CASEOF 3: CALL(PathNotFound)

DEFAULT: CALL(ErrorMsg)

ENDSWITCH

ENDIF

ENDIF

RETURN

LABEL(OpenDayCalendar)

ASSIGN(hDay; APPLOCATE("Day"))

IF(hDay)

APPACTIVATE(hDay)

ELSE

ASSIGN(hConv; DDEINITIATE("WPOFFICE40"; "COMMAND"))

IF(hConv)

DDEEXECUTE(hConv; "ViewOpenNamed(ViewName:""Day""; ViewType:Calendar!)")

ELSE

CALL(QuitMacro)

ENDIF

ENDIF

RETURN

LABEL(QuitMacro)

DDETERMINATEALL

QUIT

//*********************************************************

//	SECONDARY LABEL STATEMENTS

//*********************************************************

LABEL(FileNotFound)

BEEP

ASSIGN(vMessage; "File not found - ending macro")

GO(DisplayMessage)

LABEL(PathNotFound)

BEEP

ASSIGN(vMessage; "Path not found - ending macro")

GO(DisplayMessage)

LABEL(ErrorMsg)

BEEP

ASSIGN(vMessage; "Unable to launch WP Office 4.0a - ending macro")

GO(DisplayMessage)

LABEL(DisplayMessage)

MESSAGEBOX(var; "ERROR"; vMessage; Ok! | IconExclamation!)

GO(QuitMacro)


Macro Examples

Line-by-line comments describe the following macros.  Click the example button above each one to copy the macro to the Clipboard to paste in a WordPerfect document.

ASSERT.WCM displays a menu, and creates Cancel, Error, and Not Found conditions.

CALLBACK.WCM creates a callback function that responds to system menu box options and various dialog controls.

CB_SCBAR.WCM creates a callback function that responds to the position of a scroll bar thumb.

For a callback function example that responds to list item selections, see DIALOGDISPLAY example.

CALENDAR.WCM use DDE to launch WP Office 4.0a, and open the Office Day calendar.


Glossary

A

Active

ANSI Character Set

Application

Argument

ASCII Character Set

B

BIF (Binary Initialization File)

Bitmap

Button

C

Character Expression

Check Box

Choose

Click

Clipboard

Codes

Color Wheel

Command

Command Button

Compile

Conditional Statement

Control Menu

Control-Menu Box

Counter

CUA Keyboard

Current Cell, Current File, Current Table

Current Directory

D

DDE (Dynamic Data Exchange)

Default

Desktop

Dialog Box

Dialog Units

Directory

DOS

Double-Click

Drag

Driver

E

Edit Box

Enumerated Type

Extension

F

File

File Format

Filename

G

Group

I

INI File

Incrementing Button

Input Focus

Insertion Point

K

Kerning

L

Link

List Box

Loop

M

Macro

Macro Command

Measurement Expression

Memory

Menu

Message Box

N

Numeric Equivalent

Numeric Expression

O

OLE (Object Linking and Embedding)

Operator

P

Parameter

Path

Pixel

Point Size

Popup List

Port

Printer Driver

Product Prefix

Prompt

R

Radio Button

Relational Expression

Reveal Codes

Root Directory

Run-Time

S

Scroll

Scroll Bar

Select

Selection Cursor

Sizing Handle

Shared Code

Sort Key

Spreadsheet Import

Spreadsheet Link

Status Bar

Syntax

T

Text Box (Dialog Box)

Text Box (Graphics)

Text File

Title Bar

Toggle

U

User-defined Dialog Box

V

Value Set Member

Variable

W

Wildcard

Window

Window Handle


Active

An application, window, or dialog box that is currently in use.  Windows highlights the caption bar or dialog frame.


ANSI Character Set

The 256 characters of the American National Standards Institute.  Used by WordPerfect for Windows.


Application

A software program, such as a word processing or spreadsheet program.


Argument

A variable, constant, or expression required by a command or function.


ASCII Character Set

The American Standard Code for Information Interchange is one of the standard formats for representing characters.  The ASCII character set contains 128 characters, which are the first 128 characters of the ANSI character set.


BIF (Binary Initialization File)

A file that contains run-time options for a WordPerfect application.  BIF replaces the standard text initialization files (INI) commonly used by Windows applications.


Bitmap

A graphics file format that represents images as a pattern of pixels (dots).


Button

A graphic representation of a command or option.


Character Expression

One or more characters enclosed in quotation marks, which identifies the characters as text, not a variable.


Check Box

A graphic representation where the user turns an option on or off by selecting or deselecting the box.  An X in the box indicates the option is on.


Choose

To click a menu item or dialog box option that initiates an immediate action.  See Select.


Click

To press and release the mouse button.


Clipboard

An area of memory, also called a buffer, where text and commands can be stored for further action.  Clipboard contents are erased when you exit Windows.


Codes

Formatting commands that specify computer and printer functions.  Reveal Codes displays codes.


Color Wheel

A dialog box graphic where the user selects a color.


Command

An instruction given to a computer.


Command Button

A button in a dialog box which carries out an action OK, Exit, or Cancel.  A thick, dark border indicates the default button.


Compile

To translate program code into machine language and check for syntax errors.  The program automatically compiles macros the first time they are played.  Each time a macro is edited and saved, it must be recompiled before it can be played.


Conditional Statement

A statement created with macro programming commands such as IF and WHILE.  A conditional statement contains expressions such as text, numbers, or variables to be evaluated.  Macro execution can be affected by the "condition" of these expressions at the time they are evaluated.


Control Menu

The menu to open, close, maximize, minimize, or restore a window or dialog box.  To display a control menu, click the control-menu box or press Alt+Spacebar


Counter

A dialog box element where the user specifies values with incrementer and decrementer buttons.


CUA Keyboard

Common User Access (CUA) standard keyboard.  The WordPerfect for Windows default keyboard is CUA compliant.


Current Cell, Current File, Current Table

The cell, document, or table where the insertion point is.


Current Directory

The directory where a file will be saved if you do not specify another.


DDE (Dynamic Data Exchange)

A connection between a WordPerfect document and a file created by another Windows application that supports DDE.  You can transfer information from one file to the other through the link.  If both files are open, transferred information can be updated automatically when information changes in the source file.


Default

A setting, value, or response provided by the application unless an alternative is specified.  You can change some WordPerfect defaults for all future documents in Preferences.  Other options change a default for the active document only.


Desktop

The screen background and environment for all Windows applications.


Dialog Box

A window that displays warnings and messages, and options for the user to select.  Dialog boxes have a title bar and a control menu, but not a menu bar.  They can be moved to different positions on the screen.  Most dialog boxes must be closed before you can work in the document window, but a few (such as Edit Button Bar) allow you to move between the window and the dialog box.


Dialog Units

A vertical unit that equals 1/8 the font height, or a horizontal unit that equals 1/4 the font width.  Dialog boxes are positioned and sized in dialog units.


Directory

A group of files or directories under one identifying title.

The root directory is the directory on a disk drive to which all other directories are related.

A default directory is where files are saved to or opened and retrieved from if you do not specify a pathname.  Not all features in WordPerfect have the same default directory; many defaults can be customized.

A directory tree is a diagram of how directories and subdirectories relate to each other.


DOS

Disk Operating System.  Software that directs the flow of data between disk drives and your computer.  An application needs an operating system to function.


Double-Click

To click the mouse button twice in rapid succession.


Drag

Press and hold down the left mouse button while moving the mouse.


Driver

A set of commands that runs a peripheral device such as a printer or monitor.


Edit Box

An element in a dialog box where a user can type text.


Enumerated Type

The parameters for some product commands accept only certain predefined words known as "enumerated types."  Enumerated types end with exclamation points and have numeric equivalents.  For example, DisplayMode parameter accepts only Text!, Graphics!, or FullPage!.


Extension

The optional three-letter identifier that may be added to any filename.


File

A document or other type of information saved under an identifying name.


File Format

The pattern in which a file is organized.  Each application creates documents in a unique format not accessible by other applications.  Those source documents must be converted to the new application’s format.


Filename

The name given to a file on disk.  The name may be up to eight characters long, with an  optional three letter extension, such as MYLETTER.ANN.


Group

A set of related options in a dialog box, often with its own subtitle.


INI File

A file that stores setup and startup information for Windows applications.


Incrementing Button

A button that lets you specify an amount by clicking the mouse instead of typing numbers.


Input Focus

The window or control receiving the keyboard or mouse action has input focus.  Controls include radio buttons, push buttons, and edit boxes.


Insertion Point

The blinking vertical bar in the current document window or dialog box.  It indicates where text will appear when you type.


Kerning

Increasing or decreasing space between a pair of characters.


Link

See DDE and Spreadsheet Link.


List Box

A dialog control that displays a list of mutually-exclusive items.


Loop

A set of programming commands that repeat.


Macro

A series of commands and keystrokes written and/or recorded in its own file to be compiled, then replayed as needed.


Macro Command

An instruction for WordPerfect to carry out.  The instruction can be in the form of a programming command or a product command.  Many macro commands must be used together with other macro commands to be successful in giving a complete instruction.


Measurement Expression

A number followed by a unit of measure (", i, c, m, p, w).


Memory

The temporary data storage area for a computer or printer.


Menu

A list of commands that can be applied to the active window or application.


Message Box

A dialog box that displays information, a warning, or error message, or asks for confirmation before completing a command.


Numeric Equivalent

The number that represents an enumerated type.


Numeric Expression

A number on which mathematical operations may be performed.  Numeric expressions are not enclosed in quotation marks.


OLE (Object Linking and Embedding)

A feature that copies information from one document to another (embedding), through a "live" link.  When the original document changes, the embedded copy reflects the changes.


Operator

A symbol or word that performs a function on one or more expressions.  Operators compare expressions, link words together, and perform mathematical functions.


Parameter

Contains data to pass to the compiler or pass between subroutines.


Path

The location of a certain file or directory in a computer disk drive or on a network.  A path includes the drive, the root directory, and any subdirectory names.  Each name is separated by a backslash (\).  For example, C:\WPWIN60\LETTER refers to the LETTER subdirectory in the WPWIN60 directory on the C drive.


Pixel

The smallest unit of display on a computer screen.


Point Size

The unit of measure for font sizes.  One point equals 1/72".


Popup List

A list of options displayed when a popup button is clicked.  Most popup buttons are marked by double triangles and display mutually exclusive options.  The button itself shows the selected option.  Other popup lists, marked by single triangles, show the feature name rather than the selected option.  On the ruler bar, popup list buttons have no triangular markings.  Some display the selected option and others display the feature name.


Port

A connection device between a computer and another component such as a printer or modem.


Printer Driver

Software commands that enable an application to communicate with a printer.  WordPerfect can use WordPerfect printer drivers and Windows printer drivers.  WordPerfect printer drivers are identified by a .PRS extension.


Product Prefix

A two-character expression that specifies a product for a macro command.


Prompt

A message box that displays information for the user.


Radio Button

Represents one item in a list of mutually exclusive options.


Relational Expression

An expression that evaluates parameters with only two possible states: TRUE and FALSE.


Reveal Codes

A feature that displays text and formatting codes in the document window.


Root Directory

See Directory.


Run-Time

Execution time.  Run-time errors occur during macro execution.  Run-time options are application start-up settings, such as the macros default directory.  See BIF.


Scroll

To move through a document or list box by using the scroll bar.


Scroll Bar

The vertical or horizontal bar in a document and in some list boxes that allows you to move through a document or list by clicking the scroll arrows or dragging the scroll box (thumb).


Select

To identify a file, directory, graphics box, or area of text that will be affected by subsequent choices; to identify a dialog box option to be applied to a file, directory, graphics box, or area of text.


Selection Cursor

The highlighted text, dotted rectangle, or insertion point that indicates where the next keystroke or mouse action will apply in a dialog box.


Sizing Handle

The small solid squares that appear on the borders of a selected graphics box.  Drag handles to size the box and its contents.


Shared Code

Programming code used by WordPerfect Windows applications.


Sort Key

Words, fields, or phrases that define sort criteria.


Spreadsheet Import

Copies information from a spreadsheet file into a WordPerfect document one time only.  You cannot update a spreadsheet import like you can update a spreadsheet link.


Spreadsheet Link

A connection to transfer information between a spreadsheet file and a WordPerfect document.  You can update transferred information to reflect changes made in the spreadsheet file.  See DDE.


Status Bar

The line at the bottom of the WordPerfect window that lists the current font and the position of the insertion point.  The status bar also displays some WordPerfect messages and features.


Syntax

The order in which parts of a command are organized.  Macro commands require a specific syntax to function properly.


Text Box (Dialog Box)

The area in a dialog box where you type text or where WordPerfect types text for you.  The insertion point must be in the text box before you can begin to type.


Text Box (Graphics)

A type of graphics box for placing and rotating text.


Text File

A file saved in ASCII (DOS) or ANSI (Windows) file format.  It contains text, spaces, and returns, but no formatting codes.


Title Bar

The area of a window or dialog box that displays its title.


Toggle

To switch between on or off; or, a feature or option that is turned on or off with the same keystroke or command.  Toggle commands usually do not require parameters.


User-defined Dialog Box

A custom dialog box created with DIALOG programming commands that display options for user input.


Value Set Member

Words specified for acceptance by certain parameters.  Each value set member ends with an exclamation point (!).  Every value set member has a numeric equivalent.


Variable

One or more characters that represent data that can change during macro execution.


Wildcard

Characters that represent variables in a word, file, or directory search.  A question mark (?) represents a single character.  An asterisk (*) represents zero or more characters in succession.


Window

Each window has a title bar, a menu bar, and a status bar, and may contain a scroll bar, Button Bar, and Ruler.  The Equation Editor window has separate editing and display areas called panes.


Window Handle

A unique identifier for a window or control.


Control-Menu Box

A small rectangular button in the upper left corner of a window or dialog box.  Click a control-menu box to display the control menu; double-click to close the window or dialog box.  Several windows can be open at the same time, each with its own control-menu box.


 Macros Manual

The WordPerfect Macros Manual is the printed version of the Online Macros Manual, a user's guide and comprehensive reference for writing WordPerfect macros.  The printed version is available directly from WordPerfect Corporation.

Macro Basics

An introduction to macro language concepts and components.  Combine the respective strengths of recorded and written macros to build powerful macros  Send commands from WordPerfect to start other applications and retrieve specified information into WordPerfect.  Use variables, conditional statements, and loops.  Use arithmetic, relational, logical, and bitwise operators.  Create dialog boxes for user input with text boxes, check boxes, color wheels, hot spots, icons, list boxes, push buttons, radio buttons, scroll bars, and counters.

Programming Commands

Over 100 commands to direct the execution of macros in WordPerfect and other applications.  Examples illustrate common uses.

Product Commands

Over 1,200 commands from AbbreviationCreate to ZoomToPageWidth, including the purpose, syntax, returns, and parameters of each command.

System Variables

Over 300 variables to report system information such as font names, margins, and default directories.

Coach Commands

Animation commands to simulate user input to demonstrate features and teach procedures.  Commands to monitor  user input, then respond with prompts and message boxes to guide the user through practical tasks.

Compatibility

An appendix documents the computability of WordPerfect 5.2 and 6.0 for Windows, and  6.0 for DOS.

To order the printed version of the macros manual, call one of the numbers listed below.  If you are outside the United States, Puerto Rico, the U.S. Virgin Islands, or Canada, please contact  your local WordPerfect Affiliate or authorized reseller for information about the availability and price of the printed macros manual.

Telephone Orders	(800) 321-4566 (toll-free)

(801) 226-6800 (toll)

Fax Orders	(801) 222-5077 (toll)

International Information	(801) 222-4200 (toll)


Reserved Words

You should not use reserved words as names for variables, arrays, labels, functions, or procedures.

A

ADDRESS

AND

ANSISTRING

APPACTIVATE

APPEXECUTE

APPEXECUTEEXT

APPLOCATE

APPLICATION

ASSERT

ASSERTCANCEL

ASSERTERROR

ASSERTNOTFOUND

ASSIGN

B

BEEP

BOOL

BREAK

C

CALL

CANCEL

CANCELCONDITION

CANCELOFF

CANCELON

CASE

CASEOF

CENTIMETERS

CHAIN

CHARLEN

CHARPOS

CONTINUE

CTON

D

DDEEXECUTE

DDEEXECUTEEXT

DDEINITIATE

DDEPOKE

DDEREQUEST

DDETERMINATE

DDETERMINATEALL

DECLARE

DEFAULT

DEFAULTUNITS

DIGIT

DISCARD

DIV

DLLCALL

DLLFREE

DLLLOAD

DWORD

E

ELSE

ENDAPP

ENDFOR

ENDFUNC

ENDIF

ENDIFPLATFORM

ENDPROC

ENDPROMPT

ENDSWITCH

ENDWHILE

ERROR

ERRORCONDITION

ERROROFF

ERRORON

ERRORNUMBER

EXISTS

F

FALSE

FILE

FOR

FOREACH

FORNEXT

FRACTION

FUNCTION

G

GETNUMBER

GETUNITS

GETSTRING

GLOBAL

GO

H

HIWORD

I

IF

IFPLATFORM

INCHES

INDIRECT

INPUT

INTEGER

L

LABEL

LENGTH

LETTER

LOCAL

LOWORD

M

MENU

MENULIST

MILLIMETERS

MOD

N

NEST

NEXT

NEWDEFAULT

NOT

NOTFOUND

NOTFOUNDCONDITION

NOTFOUNDOFF

NOTFOUNDON

NTOC

NUMSTR

O

OEMSTRING

OFF

ON

ONCANCEL

ONDDEADVISE

ONERROR

ONNOTFOUND

OR

P

PAUSE

PERSIST

PERSISTALL

POINTS

POSITION

PROCEDURE

PROMPT

PROTOTYPE

Q

QUIT

R

REAL

REPEAT

RETURN

RETURNCANCEL

RETURNERROR

RETURNNOTFOUND

RUN

S

SENDKEYS

SPEED

STRING

STRLEN

STRNUM

STRPOS

STRUNIT

SUBCHAR

SUBSTR

SWITCH

T

TOLOWER

TOUPPER

TRUE

U

UNITSTR

UNTIL

USE

V

VALUE

VARERRCHK

VARERRCHKOFF

VARERRCHKON

VOID

W

WAIT

WHILE

WORD

WPSTRING

WPUNITS

WP1200THS

X

XOR


AbbreviationCreate

Purpose

AbbreviationCreate creates an abbreviation in a template.

Syntax

AbbreviationCreate (AbbreviationName: Character Expression; Template: Numeric Equivalent or Enumerated Type; Text: Character Expression)

Parameters

AbbreviationName: Character Expression

Specifies the name of an abbreviation.

Template: Numeric Equivalent or Enumerated Type (optional)

Specifies the template containing the abbreviation.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

Text: Character Expression (optional)

Specifies the text assigned to an abbreviation name.

See Also

AbbreviationDelete

AbbreviationExpand


Route...

Select text, Insert, Abbreviations, Create, enter an abbreviation name.


For Example...

To set the abbreviation for "WordPerfect" to "WP" in the current template, the command is:

AbbreviationCreate

(

AbbreviationName: "WP";

Template: CurrentDoc!;

Text: "WordPerfect"

)


AbbreviationDelete

Purpose

AbbreviationDelete deletes an abbreviation from a template.

Syntax

AbbreviationDelete (AbbreviationName: Character Expression; Template: Numeric Equivalent or Enumerated Type)

Parameters

AbbreviationName: Character Expression

Specifies an abbreviation to delete.

Template: Numeric Equivalent or Enumerated Type

Specifies the template containing the abbreviation.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

AbbreviationCreate

AbbreviationExpand


Route...

Insert, Abbreviations, select an abbreviation, Delete.


For Example...

To delete the abbreviation DBW from the current template, the command is:

AbbreviationDelete

(

AbbreviationName: "DBW";

Template: CurrentDoc!

)


AbbreviationDlg

Purpose

AbbreviationDlg displays the Abbreviation dialog box.

Syntax

AbbreviationDlg ()


Route...

Insert, Abbreviations.


For Example...

Since this command doesn't require parameters, the command name is all that is needed to perform the task.

To include this command in a macro you are recording, display the dialog box with the steps described in the Route pop-up, then select the check box located in the upper right corner of the dialog box.  This check box will only be visible while you are recording a macro.  After selecting the check box, you must perform an action that will activate or select a feature within the dialog box.  If you choose Cancel or Close, the macro token will not be recorded.


AbbreviationExpand

Purpose

AbbreviationExpand expands an abbreviation.

Syntax

AbbreviationExpand (AbbreviationName: Character Expression; Template: Numeric Equivalent or Enumerated Type)

Parameters

AbbreviationName: Character Expression

Specifies the name of an abbreviation to expand.

Template: Numeric Equivalent or Enumerated Type

Specifies the template that contains the abbreviation.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

AbbreviationCreate

AbbreviationDelete


Route...

Insert, Abbreviations, select an abbreviation, Expand.


For Example...

To expand "bldg" to "building" in the Personal Library, the command is:

AbbreviationExpand:

(

AbbreviationName: "bldg";

Template: PersonalLibrary!

)


AboutDlg

Purpose

AboutDlg displays the About WordPerfect dialog box.

Syntax

AboutDlg ()


Route...

Help, About WordPerfect.


Advance

Purpose

Advance moves the insertion point a specified distance from the top or left of the page, or at a specified distance from the insertion point.

Syntax

Advance (Where: Numeric Equivalent or Enumerated Type; Amount: Measurement Expression)

Parameters

Where: Numeric Equivalent or Enumerated Type

Specifies the text advance type.

0	AdvanceLeft!

1	AdvanceRight!

2	AdvanceFromLeftEdge!

3	AdvanceUp!

4	AdvanceDown!

5	AdvanceFromTop!

Amount: Measurement Expression

 	Specifies an advance distance.

See Also

AdvanceDlg


Route...

Layout, Typesetting, Advance, set options.


For Example...

To position text 3.5" to the right of the insertion point the command is:

Advance

(

Where: AdvanceRight!;

Amount: 3.5"

)


AdvanceDlg

Purpose

AdvanceDlg displays the Advance dialog box.

Syntax

AdvanceDlg ()


Route...

Layout, Typesetting, Advance.


Append

Purpose

Append adds a copy of selected text or graphics to the end of the clipboard contents.

Macro execution terminates if you use this command when the clipboard is empty.

Syntax

Append ()


Route...

Select text or graphics, Edit, Append.


For Example...

Since this command doesn't require parameters, the command name is all that is needed to perform the task.


AppendToFile

Purpose

AppendToFile adds the current document or selected text to another file.  If no text is selected, the entire document is appended.

This command must be typed into a macro.  It is not recordable.

Syntax

AppendToFile (Filename: Character Expression)

Parameters

Filename: Character Expression

Specifies a file to contain the appended docuemnt or selection.


For Example...

To append the current selection to a file named C:\WPWIN\TEST.WPD, the command is:

AppendToFile (

Filename: "C:\WPWIN\TEST.WPD")


AppMaximize

Purpose

AppMaximize maximizes an application window.

If already maximized, this command ends the macro or redirects it to the LABEL specified by ONERROR.

Syntax

AppMaximize ()

See Also

AppMinimize

AppRestore

DocMaximize

DocMinimize


Route...

AppMaximize is the same as choosing Maximize from the WordPerfect Control menu or clicking the WordPerfect Maximize button.


AppMinimize

Purpose

AppMinimize minimizes an application window to an icon.

If already minimized, this command ends the macro or redirects it to the LABEL specified by ONERROR.

Syntax

AppMinimize ()

See Also

AppMaximize

AppRestore

DocMaximize

DocMinimize


Route...

Choose Minimize from the control menu.


AppMove

Purpose

AppMove repositions a window.

If WordPerfect is maximized, this command ends the macro or redirects it to the LABEL specified by ONERROR.

Syntax

AppMove ()

See Also

DocMove


Route...

Choose Move from the control menu and reposition the window as desired.


AppRestore

Purpose

AppRestore restores a window to its previous size.

If WordPerfect has already been restored, this command ends the macro or redirects it to the LABEL command specified by ONERROR.

Syntax

AppRestore ()

See Also

AppMaximize

AppMinimize

DocRestore


Route...

Choose Restore from the control menu.


AppSize

Purpose

AppSize resizes a window.

If already maximized, this command ends the macro or redirects it to the LABEL specified by ONERROR.

Syntax

AppSize ()

See Also

DocSize


Route...

Choose Size from the control menu.


AppTaskList

Purpose

AppTaskList displays the Windows Task List.

Syntax

AppTaskList ()


Route...

Choose Switch To from the control menu.


AssociateDlg

Purpose

AssociateDlg displays the Associate dialog box.

Syntax

AssociateDlg ()


Route...

File, Template, Options, Edit Template or Create Template, Associate button.


AttributeAppearanceOn

Purpose

AttributeAppearanceOn selects specified attributes where this command is encountered.

Syntax

AttributeAppearanceOn ({Attrib: Numeric Equivalent or Enumerated Type})

Parameters

Attrib: Numeric Equivalent or Enumerated Type

Specifies attributes to set.  Enclose multiplate attributes in braces ({}) separated by semicolons.

7	Outline!

8	Italics!

9	Shadow!

10	Redline!

11	DoubleUnderline!

12	Bold!

13	Strikeout!

14	Underline!

15	SmallCaps!

16	Every!

See Also

AttributeAppearanceOff

AttributeNormal

AttributeRelativeSize

AttributeRelativeSizeToggle


Route...

Layout, Font, select attributes.


For Example...

To turn on Shadow, Bold, and Small Caps, the command is:

AttributeAppearanceOn

(

{

Attrib: Shadow!;

Attrib: Bold!;

Attrib: Small Caps!

}

)


AttributeAppearanceOff

Purpose

AttributeAppearanceOff deselects specified attribute(s) where this command is encountered.

Syntax

AttributeAppearanceOff ({Attrib: Numeric Equivalent or Enumerated Type})

Parameters

Attrib: Numeric Equivalent or Enumerated Type

Specifies attributes to deselect.  AttributeAppearanceOff requires at least one attribute parameter.  Enclose multiple attributes in braces ({}) separated by semicolons.

7	Outline!

8	Italics!

9	Shadow!

10	Redline!

11	DoubleUnderline!

12	Bold!

13	Strikeout!

14	Underline!

15	SmallCaps!

16	Every!

See Also

AttributeAppearanceOn

AttributeNormal


Route...

Layout, Font, deselect attributes.


For Example...

To turn off the attributes Shadow, Underline, and Small Caps, the command is:

AttributeAppearanceOff

(

{

Attrib: Shadow!;

Attrib: Underline!;

Attrib: Small Caps!

}

)


AttributeAppearanceToggle

Purpose

AttributeAppearanceToggle toggles attributes, usually selected text.

Syntax

AttributeAppearanceToggle ({Attrib: Numeric Equivalent or Enumerated Type})

Parameters

Attrib: Numeric Equivalent or Enumerated Type

Specifies attributes to toggle. AttributeAppearanceToggle requires at least one attribute parameter.  Enclose multiple parameters in braces ({}) separated by semicolons.

7	Outline!

8	Italics!

9	Shadow!

10	Redline!

11	DoubleUnderline!

12	Bold!

13	Strikeout!

14	Underline!

15	SmallCaps!

16	Every!

See Also

AttributeAppearanceOff

AttributeAppearanceOn

AttributeNormal

AttributeRelativeSize

AttributeRelativeSizeToggle


Route...

Select attribute appearance button on a Button Bar or Power Bar.


For Example...

To toggle Italics and Redline, the command is:

AttributeAppearanceToggle

(

{

Attrib: Italics!;

Attrib: Redline!

}

)


AttributeNormal

Purpose

AttributeNormal deselects current font attributes.  This command does not reset font color.

To record this command, you must first add an Attribute Normal button to a Button Bar or Power Bar in Preferences.

Syntax

AttributeNormal ()

See Also

AttributeAppearanceOff

AttributeAppearanceOn

AttributeRelativeSize

AttributeRelativeSizeToggle


Route...

Attribute Normal on a Button Bar or Power Bar.


AttributePosition

Purpose

AttributePosition adjusts the vertical position of subsequent or selected text.

Syntax

AttributePosition (Position: Numeric Equivalent or Enumerated Type)

Parameters

Position: Numeric Equivalent or Enumerated Type

Specifies the vertical position of subsequent or selected text.

5	Superscript!

6	Subscript!

7	NormalPosition!

See Also

AttributeNormal

AttributePositionToggle


Route...

Layout, Font, then choose Superscript, Normal, or Subscript from the Position pop-up list.


For Example...

To set the position of subsequent or blocked text as superscript, the command is:

AttributePosition

(

Position: Superscript!

)


AttributePositionToggle

Purpose

AttributePositionToggle toggles the specified position.

Syntax

AttributePositionToggle (Position: Numeric Equivalent or Enumerated Type)

Parameters

Position:  Numeric Equivalent or Enumerated Type

Specifies a position to toggle.

5	Superscript!

6	Subscript!

7	NormalPosition!

See Also

AttributeNormal

AttributePosition


Route...

Choose any attribute position button on a Button Bar or Power Bar.


For Example...

To toggle a subscript position, the command is:

AttributePositionToggle

(

Position: Subscript!

)


AttributeRelativeSize

Purpose

AttributeRelativeSize specifies a relative font size for subsequent or selected text.

Syntax

AttributeRelativeSize (Size: Numeric Equivalent or Enumerated Type)

Parameters

Size: Numeric Equivalent or Enumerated Type

Specifies the relative size of subsequent or selected text.

0	ExtraLarge!

1	VeryLarge!

2	Large!

3	Small!

4	Fine!

5	NormalSize!

See Also

AttributeRelativeSizeToggle


Route...

Layout, Font, Relative Size, select a size.


For Example...

To select Large, the command is:

AttributeRelativeSize

(

Size: Large!

)


AttributeRelativeSizeToggle

Purpose

AttributeRelativeSizeToggle toggles the specified relative size.

Syntax

AttributeRelativeSizeToggle (Size: Numeric Equivalent or Enumerated Type)

Parameters

Size: Numeric Equivalent or Enumerated Type

Specifies a relative size to toggle.

0	ExtraLarge!

1	VeryLarge!

2	Large!

3	Small!

4	Fine!

5	NormalSize!

See Also

AttributeRelativeSize


Route...

Relative size button on a Button Bar or Power Bar.


For Example...

To toggle Fine, the command is:

AttributeRelativeSizeToggle

(

Size: Fine!

)


AttributeSizeRatios

Purpose

AttributeSizeRatios changes the relative size ratios of a font selected by AttributeRelativeSize.

You must type this command into a macro.  It is not recordable.

Syntax

AttributeSizeRatios (Attrib: Numeric Equivalent or Enumerated Type; Percentage: Numeric Expression)

Parameters

Attrib: Numeric Equivalent or Enumerated Type

Specifies a size to edit.

0	ExtraLarge!

1	VeryLarge!

2	Large!

3	Small!

4	Fine!

5	SuperSubScript!

Percentage: Numeric Expression

Specifies the relative size of a font selected by AttributeRelativeSize.

See Also

AttributeRelativeSize

AttributeRelativeSizeToggle


For Example...

To specify a size ratio for Large that is 150 percent of normal, the command is:

AttributeSizeRatios

(

Attrib: Large!;

Percentage: 150

)


AutoCodePlacement

Purpose

AutoCodePlacement determines whether automatic code placement is on or off.  By default, formatting codes are placed at the beginning of a page or paragraph.  When automatic code placement is off, codes are placed at the insertion point.

This command is not recordable.  You must type it into a macro.

Syntax

AutoCodePlacement (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether automatic code placement is on or off.

0	Off!

1	On!


For Example...

To turn off automatic code placement, the command is:

AutoCodePlacement (

State: Off!)


BackTab

Purpose

BackTab inserts a Hard Back Tab [Hd Back Tab] code at the insertion point.

Syntax

BackTab ()


Route...

Layout, Paragraph, Back Tab.


Backup

Purpose

Backup specifies whether Timed Document Backup is on.

Syntax

Backup (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether Backup is on.

0	Off!

1	On!

See Also

BackupMinutes

BackupOriginalDoc


Route...

File, Preferences, File, Documents/Backup, Timed Document Backup every __ minutes.


For Example...

To turn off Backup, the command is:

Backup

(

State: Off!

)


BackupMinutes

Purpose

BackupMinutes specifies the number of minutes between each timed backup.

Syntax

BackupMinutes (Minutes: Numeric Expression)

Parameters

Minutes: Numeric Expression

Specifies the number of minutes between backups.

See Also

Backup

BackupOriginalDoc


Route...

File, Preferences, File, select Documents/Backup, enter a number in the Timed Document Backup every __ minutes counter box.


For Example...

To set a timed backup interval of 15 minutes, the command is:

BackupMinutes

(

Minutes: 15

)


BackupOriginalDoc

Purpose

BackupOriginalDoc specifies whether Original Document Backup is on.

Syntax

BackupOriginalDoc (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether Original Document Backup is on.

0	Off!

1	On!

See Also

Backup

BackupMinutes

PrefSave


Route...

File, Preferences, File icon, Original Document Backup.


For Example...

To turn on Original Document Backup, the command is:

BackupOriginalDoc

(

State: On!

)


BarcodeDlg

Purpose

BarcodeDlg displays the POSTNET Barcode dialog box.

Syntax

BarcodeDlg ()

See Also

BarcodePOSTNET


Route...

Insert, Other, Bar Code.


BarcodePOSTNET

Purpose

BarcodePOSTNET specifies a ZIP Code or a merge field containing a ZIP Code.

Syntax

BarcodePOSTNET (ZIP: Numeric Expression or Character Expression; State: Numeric Equivalent or Enumerated Type)

Parameters

ZIP: Numeric Expression or Character Expression

Specifies a five, nine, or eleven-digit ZIP Code.  If the ZIP Code is contained in a merge field, this parameter can be a character expression specifying the merge field to use.

State: Numeric Equivalent or Enumerated Type (optional)

Specifies whether a merge field is used to provide the ZIP Code.  This parameter is necessary only when a merge field has been specified in the ZIP parameter.

1	MergeFieldAllowed!

See Also

BarcodeDlg


Route...

Insert, Other, Bar Code, enter bar code contents.


For Example...

To enter a POSTNET barcode in a document, the command is:

BarcodePOSTNET

(

ZIP: "84057"

)


BaselinePlacement

Purpose

BaselinePlacement determines whether Baseline Placement for Typesetting is on.

Syntax

BaselinePlacement (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether Baseline Placement for Typesetting is on.

0	Off!

1	On!

See Also

?BaselineMode


Route...

Layout, Typesetting, Word/Letterspacing, Baseline Placement for Typesetting.


For Example...

To turn on Baseline Placement for Typesetting, the command is:

BaselinePlacement

(

State: On!

)


Binding

Purpose

Binding specifies the binding offset and the edge of the paper to which that offset should be applied. The offset will be added to the margin of the specified edge.

Syntax

Binding (Edge: Numeric Equivalent or Enumerated Type; Offset: Measurement Expression)

Parameters

Edge: Numeric Equivalent or Enumerated Type

Specifies a binding edge.

0	LeftEdge!

1	RightEdge!

2	TopEdge!

3	BottomEdge!

Offset: Measurement Expression

Specifies the binding offset.  The measurement is added to the margin of the edge specified in the Edge parameter.

See Also

?Binding


Route...

Layout, Page, Binding/Duplex, select a binding Width option, specify an amount.


For Example...

To set a binding offset of 0.75" at the top of a document, the command is:

Binding

(

Edge: TopEdge!;

Offset: 0.75"

)


BindingOptionsDlg

Purpose

BindingOptionsDlg displays the Binding Options dialog box.

Syntax

BindingOptionsDlg ()


Route...

Layout, Page, Binding.


BlockDelete

Purpose

BlockDelete deletes selected text.

This command is not recordable, and it is included only for compatibility with the WordPerfect for DOS macro language.  You must type it into a macro.  For a recordable command that serves the same function, use SelectDelete.

Syntax

BlockDelete ()

See Also

SelectDelete


BlockOff

Purpose

BlockOff turns off Select mode.

This command is not recordable, and it is included only for compatibility with the WordPerfect for DOS macro language.  You must type it into a macro.  For a recordable command which serves the same function, use SelectOff.

Syntax

BlockOff ()

See Also

SelectOff

SelectOn

BlockOn


BlockOn

Purpose

BlockOn turns on Select mode.

This command is not recordable, and it is included only for compatibility with the WordPerfect for DOS macro language.  You must type it into a macro.  For a recordable command that serves the same function, use SelectOn.

Syntax

BlockOn (SelectMode: Numeric Equivalent or Enumerated Type)

Parameters

SelectMode: Numeric Equivalent or Enumerated Type (optional)

Specifies a selection type.

1	CharMode!

2	WordMode!

4	SentenceMode!

8	ParagraphMode!

16	PageMode!

32	RectangleMode!

64	TabularColumnsMode!

128	DocMode!

256	CharNoCellMode!

See Also

SelectOn

SelectOff

BlockOff


For Example...

To select the current sentence, the command is:

BlockOn (

SelectMode: SentenceMode!)


BlockProtect

Purpose

BlockProtect turns Block Protect on or off.

Syntax

BlockProtect (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether Block Protect is on.

0	Off!

1	On!

See Also

?BlockProtect


Route...

Layout, Page, Keep Text Together, select or deselect the Keep Text Together on Same Page check box.


For Example...

To turn on Block Protect, the command is:

BlockProtect

(

State: On!

)


BlockRectangle

Purpose

BlockRectangle selects a rectangular area based on the current selection.

This command is not recordable, and it is included only for compatibility with the WordPerfect for DOS macro language.  You must type it into a macro.  For a recordable command that serves the same function, use SelectRectangle.

Syntax

BlockRectangle ()

See Also

SelectRectangle


BlockSave

Purpose

BlockSave saves selected text as a new file.

This command is not recordable, and it is included only for compatibility with the WordPerfect for DOS macro language.  You must type it into a macro.  For a recordable command that serves the same function, use SelectSave.

Syntax

BlockSave (Filename: Character Expression)

Parameters

Filename: Character Expression

Names the new file that contains the selection.

See Also

SelectSave


For Example...

To save selected text as a file named C:\WPWIN\WPDOCS\DOC1.WPD, the command is:

BlockSave (

Filename: "C:\WPWIN\WPDOCS\DOC1.WPD")


BlockTabularColumn

Purpose

BlockTabularColumn selects tabular columns within the current selection.

This command is not recordable, and it is included only for compatibility with the WordPerfect for DOS macro language.  You must type it into a macro.  For a recordable command that serves the same function, use SelectTabularColumn.

Syntax

BlockTabularColumn ()

See Also

SelectTabularColumn


BoldKey

Purpose

BoldKey toggles Bold at the insertion point.

This command is not recordable.  You must type it into a macro.

Syntax

BoldKey ()

See Also

AttributeAppearanceToggle


BookmarkBlock

Purpose

BookmarkBlock executes GoTo & Select, which finds and selects a bookmark with assigned text.

Syntax

BookmarkBlock (Name: Character Expression)

Parameters

Name: Character Expression

Specifies the name of a bookmark with assigned text.

See Also

BookmarkCreate

BookmarkDelete

BookmarkDlg

BookmarkFind

BookmarkMove

BookmarkRename


Route...

Insert, Bookmark, select a bookmark, Go To & Select.


For Example...

To find a bookmark named Select This and select the assigned text, the command is:

BookmarkBlock

(

Name: "Select This"

)


BookmarkCreate

Purpose

BookmarkCreate creates a bookmark.

Syntax

BookmarkCreate (Name: Character Expression)

Parameters

Name: Character Expression

Specifies the name of a bookmark to create.

See Also

BookmarkBlock

BookmarkDelete

BookmarkDlg

BookmarkFind

BookmarkMove

BookmarkRename


Route...

Insert, Bookmark, Create, enter a bookmark name.


For Example...

To create a bookmark named Find Me, the command is:

BookmarkCreate

(

Name: "Find Me"

)


BookmarkDelete

Purpose

BookmarkDelete deletes a bookmark.

Syntax

BookmarkDelete (Name: Character Expression)

Parameters

Name: Character Expression

 	Specifies the name of a bookmark to delete.

See Also

BookmarkBlock

BookmarkCreate

BookmarkDlg

BookmarkFind

BookmarkMove

BookmarkRename


Route...

Insert, Bookmark, select a bookmark, Delete.


For Example...

To delete a bookmark named Last Page, the command is:

BookmarkDelete

(

Name: "Last Page"

)


BookmarkDlg

Purpose

BookmarkDlg displays the Bookmark dialog box.

Syntax

BookmarkDlg ()

See Also

BookmarkBlock

BookmarkCreate

BookmarkDelete

BookmarkFind

BookmarkMove

BookmarkRename


Route...

Insert, Bookmark, Go To.


BookmarkFind

Purpose

BookmarkFind moves the insertion point to a specified bookmark.

Syntax

BookmarkFind (Name: Character Expression)

Parameters

Name: Character Expression

Specifies the name of a bookmark to find.

See Also

BookmarkBlock

BookmarkCreate

BookmarkDelete

BookmarkDlg

BookmarkMove

BookmarkRename


Route...

Insert, Bookmark, select a Bookmark, Go To.


For Example...

To find a bookmark named Entry, the command is:

BookmarkFind

(

Name: "Entry"

)


BookmarkMove

Purpose

BookmarkMove moves a bookmark from its current location to the insertion point.

Syntax

BookmarkMove (Name: Character Expression)

Parameters

Name: Character Expression

Specifies a bookmark to move to the insertion point.

See Also

BookmarkBlock

BookmarkCreate

BookmarkDelete

BookmarkDlg

BookmarkFind

BookmarkRename


Route...

Insert, Bookmark, select a bookmark, Move.


For Example...

To move a bookmark named Read This, the command is:

BookmarkMove

(

Name: "Read This"

)


BookmarkRename

Purpose

BookmarkRename renames a bookmark. If you type in the name of a bookmark that already exists in the current document you will receive an error message.

Syntax

BookmarkRename (OldName: Character Expression; NewName: Character Expression)

Parameters

OldName: Character Expression

Specifies the name of a bookmark to rename.

NewName: Character Expression

Specifies the new name of a bookmark.

See Also

BookmarkBlock

BookmarkCreate

BookmarkDelete

BookmarkDlg

BookmarkFind

BookmarkMove


Route...

Insert, Bookmark, select a bookmark, Rename, enter a new name.


For Example...

To rename a bookmark named Edit as Copy, the command is:

BookmarkRename

(

OldName: "Edit";

NewName: "Copy"

)


BorderBottomLine

Purpose

BorderBottomLine specifies the style of a bottom border line.

This command must be preceded by a command which specifies a border, such as BorderStyleEdit, and be followed by a closing command, such as BorderStyleEnd.

Syntax

BorderBottomLine (Style: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies a bottom border line style. To specify a user-defined style, enclose the name in quotation marks.

0	SingleLine!

1	DoubleLine!

2	DashedLine!

3	DottedLine!

4	ThickLine!

5	ExtraThickLine!

6	ThinThickLine!

7	ThickThinLine!

8	ButtonTopLeftLine!

9	ButtonBottomRightLine!

126	TableDefaultLine!

127	NoLine!

See Also

BorderLeftLine

BorderRightLine

BorderSeparatorLine

BorderTopLine

TextBorderCreate

TextBorderEdit

TextBorderEnd

?BorderBottomLine


Route...

Graphics, Graphics Styles, Border, select a style from the Styles list box, Edit, deselect All, select Bottom, select a line style.


For Example...

To create a paragraph border with a double bottom border line, the command sequence is:

TextBorderCreate

(

Style: SingleBorder!;

FillName: NoFill!;

BorderFunction: ParagraphBorder!

)

BorderBottomLine

(

Style: DoubleLine!

)

TextBorderEnd

(

State: Save!

)


BorderColor

Purpose

BorderColor specifies the color of a paragraph, page, or column border. All parameters for this command are optional.

This command must be preceded by a command which specifies a border, such as BorderStyleCreate and BorderUseBorderColor and be followed by a closing command such as BorderStyleEnd.

All parameters for this command are optional. If you do not fill in a particular parameter, the current program setting for that aspect of the feature will be used when the macro plays.

Syntax

BorderColor (ColorName: Character Expression; Red: Numeric Expression; Green: Numeric Expression; Blue: Numeric Expression; Shade: Numeric Expression)

Parameters

ColorName: Character Expression (optional)

Specifies a border color.  Includes custom-made colors.

Red: Numeric Expression (optional)

Specifies the amount of red in a selected color.  Values range from 0 to 255.  The values of a selected color are available in the Color Selection dialog box.

Green: Numeric Expression (optional)

Specifies the amount of green in the selected color.  Values range from 0 to 255.  The values of a selected color are available in the Color Selection dialog box.

Blue: Numeric Expression (optional)

Specifies the amount of blue in the selected color.  Value range from 0 to 255.  The values of a selected color are available in the Color Selection dialog box.

Shade: Numeric Expression (optional)

Specifies the shading percentage of the selected color.  This value can range from 0 to 100.

See Also

BorderStyleCreate

BorderStyleEdit

BorderStyleEnd

BorderUseBorderColor

TextBorderCreate

TextBorderEdit

TextBorderEnd

?BorderColorBlue

?BorderColorGreen

?BorderColorRed

?BorderColorShading


Route...

Graphics, Graphics Styles, Border, select a style from the Styles list box, Edit, select a border color.


For Example...

To create a border style with a magenta border, the command sequence is:

BorderStyleEdit

(

BorderName: SingleBorder!

)

BorderUseBorderColor

(

State: Yes!

)

BorderColor

(

ColorName: "Magenta";

Red: 255;

Green: 0;

Blue: 255;

Shade: 100

)

BorderStyleEnd

(

State: Save!

)


BorderCornerRadius

Purpose

BorderCornerRadius customizes the curve of rounded corners.

This command must be preceded by a command which specifies a border, such as BorderStyleCreate, and followed by a closing command, such as BorderStyleEnd.

Syntax

BorderCornerRadius (Radius: Measurement Expression)

Parameters

Radius: Measurement Expression

Specifies the curve of border corners. Higher measurements produce more rounded corners.

See Also

BorderStyleCreate

BorderStyleEdit

BorderStyleEnd

TextBorderCreate

TextBorderEdit

TextBorderEnd

?BorderCornerRadius


Route...

Graphics, Graphics Styles, Border, Create (or select a border style, Edit), specify a radius in the Corners entry box.


For Example...

To create a border style named My Style with a border corner radius of 0.5", the command sequence is:

BorderStyleCreate

(

BorderName: "My Style";

)

BorderCornerRadius

(

Radius: 0.5"

)

BorderStyleEnd

(

State: Save!

)


BorderDropShadow

Purpose

BorderDropShadow specifies the location, size, and color of a border shadow.

This command must be preceded by a command which specifies a border, such as BorderStyleCreate, and be followed by a closing command, such as BorderStyleEnd.

Syntax

BorderDropShadow (Location: Numeric Equivalent or Enumerated Type; Size: Measurement Expression; ColorName: Character Expression; Red: Numeric Expression; Green: Numeric Expression; Blue: Numeric Expression; Shade: Numeric Expression)

Parameters

Location: Numeric Equivalent or Enumerated Type

Specifies the location of a shadow.

0	NoShadow!

1	UpperLeft!

2	LowerLeft!

3	LowerRight!

4	UpperRight!

Size: Measurement Expression (optional)

Specifies the size of a shadow.  The default shadow size is .125".

ColorName: Numeric Expression (optional)

Specifies a shadow color, including custom-made colors.

Red: Numeric Expression (optional)

Specifies the amount of red in a selected color.  Values range from 0 to 255 and are available in the Color Selection dialog box.

Green: Numeric Expression (optional)

Specifies the amount of green in a selected color.  Values range from 0 to 255 and are available in the Color Selection dialog box.

Blue: Numeric Expression (optional)

Specifies the amount of blue in a selected color.  Values range from 0 to 255 and are available in the Color Selection dialog box.

Shade: Numeric Expression (optional)

Specifies the shading percentage of a selected color.  Values range from 0 to 100.

See Also

BorderStyleCreate

BorderStyleEdit

BorderStyleEnd


Route...

Graphics, Graphics Styles, Border, select a style from the Styles list box, Edit, select a drop shadow type, color, and width.


For Example...

To create a border style with a blue shadow on the upper right corner of a border, the command sequence is:

BorderStyleCreate

(

BorderName: SingleLine!

)

BorderDropShadow

(

Location: UpperRight!;

Size: 0.125";

ColorName: "Blue";

Red: 0;

Green: 0;

Blue: 255;

Shade: 100

)

BorderStyleEnd

(

State: Save!

)


BorderFillColors

Purpose

BorderFillColors specifies the color of a border fill.

This command must be preceded by a command which specifies a border, such as BorderStyleCreate, and followed by a closing command such as BorderStyleEnd.

Syntax

BorderFillColors (ForeColorName: Character Expression; ForeRed: Numeric Expression; ForeGreen: Numeric Expression; ForeBlue: Numeric Expression; ForeShade: Numeric Expression; BackColorName: Character Expression; BackRed: Numeric Expression; BackGreen: Numeric Expression; BackBlue: Numeric Expression; BackShade: Numeric Expression)

Parameters

The first five parameters specify foreground color and the last five specify background color.  Select a background color only if you have already selected a fill pattern.

ForeColorName: Character Expression (optional)

Specifies a border fill color, including custom-made colors.

ForeRed: Numeric Expression (optional)

Specifies the amount of red in a selected color.  Values range from 0 to 255 and are available in the Color Selection dialog box.

ForeGreen: Numeric Expression (optional)

Specifies the amount of green in a selected color.  Values range from 0 to 255 and are available in the Color Selection dialog box.

ForeBlue: Numeric Expression (optional)

Specifies the amount of blue in a selected color.  Values range from 0 to 255 and are available in the Color Selection dialog box.

ForeShade: Numeric Expression (optional)

Specifies the shading percentage of a selected color.  Values range from 0 to 100.

BackColorName: Character Expression (optional)

Specifies a border fill background color, including custom-made colors.

BackRed: Numeric Expression (optional)

Specifies the amount of red in a selected background color.  Values range from 0 to 255 and are available in the Color Selection dialog box.

BackGreen: Numeric Expression (optional)

Specifies the amount of green in a selected background color.  Values range from 0 to 255 and are available in the Color Selection dialog box.

BackBlue: Numeric Expression (optional)

Specifies the amount of blue in a selected background color.  Values range from 0 to 255 and are available in the Color Selection dialog box.

ForeShade: Numeric Expression (optional)

Specifies the shading percentage of a selected background color.  Values range from 0 to 100.

See Also

FillColors

FillSetWPG2

TextBorderCreate

TextBorderEdit

TextBorderEnd

TextBorderFillStyle


Route...

Graphics, Graphics Styles, Border, select a style from the Styles list box, Edit, select options, Palette, select options.


For Example...

To create a 40% shaded fill paragraph border with a red foreground, the command sequence is:

TextBorderCreate

(

Style: SingleLine!;

FillName: Fill40!;

BorderFunction: ParagraphBorder!

)

BorderFillColors

(

ForeColorName: "Red";

ForeRed: 255;

ForeGreen: 0;

ForeBlue: 0;

ForeShade: 40

)

TextBorderEnd

(

State: Save!

)


BorderInsideSpacing

Purpose

BorderInsideSpacing specifies spacing inside a border.

This option is not available with page borders.

This command must be preceded by a command which specifies a border, such as TextBorderCreate, and followed by a closing command such as TextBorderEnd.

Syntax

BorderInsideSpacing (Bottom: Measurement Expression; Left: Measurement Expression; Right: Measurement Expression; Top: Measurement Expression)

Parameters

Bottom: Measurement Expression (optional)

Specifies bottom inside border spacing.

Left: Measurement Expression (optional)

Specifies left inside border spacing.

Right: Measurement Expression (optional)

Specifies right inside border spacing.

Top: Measurement Expression (optional)

Specifies top inside border spacing.

See Also

BorderOutsideSpacing

BorderStyleCreate

BorderStyleEdit

BorderStyleEnd

TextBorderCreate

TextBorderEdit

TextBorderEnd

?BorderInsideSpacingTop

?BorderInsideSpacingBottom


Route...

Graphics, Graphics Styles, Border, Create (or select a border style, Edit), select sides to modify, specify an inside space measurement.


For Example...

To create inside spacing of .1" all the way around a paragraph border, the command is:

TextBorderCreate

(

Style: "New Border";

Fillname: NoFill!;

BorderFunction: ParagraphBorder!

)

BorderInsideSpacing

(

Bottom: 0.1";

Left: 0.1";

Right: 0.1";

Top: 0.1"

)

TextBorderEnd

(

State: Save!

)


BorderLeftLine

Purpose

BorderLeftLine specifies the left line style of a border.

This command must be preceded by a command which specifies a border, such as BorderStyleCreate, and followed by a closing command such as BorderStyleEnd.

Syntax

BorderLeftLine (Style: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies left border line style. To specify a user-defined line style, enclose the name in quotation marks.

0	SingleLine!

1	DoubleLine!

2	DashedLine!

3	DottedLine!

4	ThickLine!

5	ExtraThickLine!

6	ThinThickLine!

7	ThickThinLine!

8	ButtonTopLeftLine!

9	ButtonBottomRightLine!

126	TableDefaultLine!

127	NoLine!

See Also

BorderBottomLine

BorderRightLine

BorderSeparatorLine

BorderTopLine

TextBorderCreate

TextBorderEdit

TextBorderEnd

?BorderLeftLine


Route...

Graphics, Graphics Styles, Border, select a style from the Styles list box, Edit, deselect All, select Left, select a Line style.


For Example...

To create a thick left paragraph border line, the command sequence is:

TextBorderCreate

(

Style: SingleBorder!;

FillName: NoFill!;

BorderFunction: ParagraphBorder!

)

BorderLeftLine

(

Style: ThickLine!

)

TextBorderEnd

(

State: Save!

)


BorderOutsideSpacing

Purpose

BorderOutsideSpacing specifies spacing outside a border.

This command must be preceded by a command which specifies a border, such as BorderStyleCreate, and followed by a closing command such as BorderStyleEnd.

Syntax

BorderOutsideSpacing (Left: Measurement Expression; Right:  Measurement Expression; Top: Measurement Expression; Bottom:  Measurement Expression)

Parameters

Left: Measurement Expression (optional)

Specifies left outside border spacing.

Right: Measurement Expression (optional)

Specifies right outside border spacing.

Top: Measurement Expression (optional)

Specifies top outside border spacing.

Bottom: Measurement Expression (optional)

Specifies bottom outside border spacing.

See Also

BorderInsideSpacing

TextBorderCreate

TextBorderEdit

TextBorderEnd


Route...

Graphics, Graphics Styles, Border, select a style from the Styles list box, Edit, specify an outside space measurement.


For Example...

To create a shadow border style with outside spacing of .2" on all sides of a border, the command sequence is:

BorderStyleCreate

(

BorderName: "Shadow"

)

BorderOutsideSpacing

(

Left: .2";

Right: .2";

Top: .2";

Bottom: .2"

)

BorderStyleEnd

(

State: Save!

)


BorderRightLine

Purpose

BorderRightLine specifies the right line border style.

This command must be preceded by a command which specifies a border, such as BorderStyleCreate, and followed by a closing command such as BorderStyleEnd.

Syntax

BorderRightLine (Style: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies a right border line style. To specify a user-defined line style, enclose the name in quotation marks.

0	SingleLine!

1	DoubleLine!

2	DashedLine!

3	DottedLine!

4	ThickLine!

5	ExtraThickLine!

6	ThinThickLine!

7	ThickThinLine!

8	ButtonTopLeftLine!

9	ButtonBottomRightLine!

126	TableDefaultLine!

127	NoLine!

See Also

BorderBottomLine

BorderLeftLine

BorderSeparatorLine

BorderTopLine

TextBorderCreate

TextBorderEdit

?BorderRightLine


Graphics, Graphics Styles, Border, select a style from the Styles list box, Edit, deselect All, select Right, select a line style.


For Example...

To create a Paragraph border with a dashed right line, the command sequence is:

TextBorderCreate

(

Style: SingleBorder!;

FillName: NoFill!;

BorderFunction: ParagraphBorder!

)

BorderRightLine

(

Style: DashedLine!

)

TextBorderEnd

(

State: Save!

)


BorderSeparatorLine

Purpose

BorderSeparatorLine specifies the separator line style in a paragraph or column border.

This command must be preceded by a command which specifies a border, such as BorderStyleCreate, and followed by a closing command such as BorderStyleEnd.

Syntax

BorderSeparatorLine (Style: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies the type of separator line a border contains. To specify a user-defined line style, enclose the name in quotation marks.

0	SingleLine!

1	DoubleLine!

2	DashedLine!

3	DottedLine!

4	ThickLine!

5	ExtraThickLine!

6	ThinThickLine!

7	ThickThinLine!

8	ButtonTopLeftLine!

9	ButtonBottomRightLine!

126	TableDefaultLine!

127	NoLine!

See Also

BorderBottomLine

BorderLeftLine

BorderRightLine

BorderTopLine

TextBorderCreate

TextBorderEdit

TextBorderEnd

?BorderSeparatorLine


Route...

Graphics, Graphics Styles, Border, select a style from the Styles list box, Edit, deselect All, select Separator, select a line style.


For Example...

To create a double-line separator in a paragraph border, the command sequence is:

TextBorderCreate

(

Style: SingleBorder!;

FillName: NoFill!;

BorderFunction: ParagraphBorder!

)

BorderSeparatorLine

(

Style: DoubleLine!

)

TextBorderEnd

(

State: Save!

)


BorderSetSpacing

Purpose

BorderSetSpacing specifies whether the Automatic Spacing option is selected. If not selected, you can specify a border's inside and/or outside spacing.

This command must be preceded by a command which specifies a border, such as BorderStyleCreate, and followed by a closing command such as BorderStyleEnd.

Syntax

BorderSetSpacing (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether the Automatic Spacing option is selected.

0	No!

1	Yes!

See Also

BorderInsideSpacing

BorderOutsideSpacing

TextBorderCreate

TextBorderEdit

TextBorderEnd

?BorderSetSpacing


Route...

Graphics, Graphics Styles, Border, select a style from the Styles list box, Edit, Auto Spacing.


For Example...

To specify that Automatic Spacing is selected, the command sequence is:

TextBorderCreate

(

Style: SingleBorder!;

FillName: NoFill!;

BorderFunction: ParagraphBorder!

)

BorderSetSpacing

(

State: No!

)

TextBorderEnd

(

State: Save!

)


BorderStyleCopy

Purpose

BorderStyleCopy copies a specified style from one location to another.

Syntax

BorderStyleCopy (Style: Numeric Equivalent or Enumerated Type; FromLibrary: Numeric Equivalent or Enumerated Type; ToLibrary: Numeric Equivalent or Enumerated Type; DestName: Character Expression)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies the name of a style to copy. To specify a user-defined style, enclose the name in quotation marks.

0	SpacingOnly!

1	SingleBorder!

2	DoubleBorder!

3	DashedBorder!

4	DottedBorder!

5	ThickBorder!

6	ExtraThickBorder!

7	ThinThickBorder!

8	ThickThinBorder!

9	ThickTopBottomBorder!

10	ButtonBorder!

11	ColumnBorderBetween!

12	ColumnBorderAll!

127	NoBorder!

FromLibrary: Numeric Equivalent or Enumerated Type

Specifies location of a style to copy.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

ToLibrary: Numeric Equivalent or Enumerated Type

Specifies the destination of a style to copy.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

DestName: Character Expression (optional)

Renames a style to copy.  Select this parameter only when placing a second copy of the style in the same location (when contents of Current Location and Destination are the same).

See Also

BorderStyleRetrieve

BorderStyleSave


Route...

Graphics, Graphics Styles, Border, select a style, Options, Copy, enter destination name.


For Example...

To copy a style named MyStyle from a personal style library to a shared style library, the command is:

BorderStyleCopy

(

Style: "MyStyle";

ToLibrary: PersonalLibrary!;

DestLibrary: SharedLibrary!

)


BorderStyleCreate

Purpose

BorderStyleCreate names a new border style.

Syntax

BorderStyleCreate (Style: Character Expression; Library: Numeric Equivalent or Enumerated Type)

Parameters

Style: Character Expression

Names a new style.

Library: Numeric Equivalent or Enumerated Type (optional)

Specifies a location for the new style.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

BorderStyleEnd

BorderStyleEdit

BorderStyleDelete

TextBorderCreate

TextBorderEdit

TextBorderEnd


Route...

Graphics, Graphics Styles, Border, Create, enter a Style name.


For Example...

To create a border style named Highlight in the Personal Library, the command is:

BorderStyleCreate

(

Style: "Highlight";

Library: PersonalLibrary!

)


BorderStyleDelete

Purpose

BorderStyleDelete deletes a specified style in a current document or a personal or shared style library.

Syntax

BorderStyleDelete (Style: Numeric Equivalent or Enumerated Type; Library:  Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies the name of a style to delete. To specify a user-defined style, enclose the name in quotation marks.

0	SpacingOnly!

1	SingleBorder!

2	DoubleBorder!

3	DashedBorder!

4	DottedBorder!

5	ThickBorder!

6	ExtraThickBorder!

7	ThinThickBorder!

8	ThickThinBorder!

9	ThickTopBottomBorder!

10	ButtonBorder!

11	ColumnBorderBetween!

12	ColumnBorderAll!

127	NoBorder!

Library: Numeric Equivalent or Enumerated Type

Specifies the location of the style to delete.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

BorderStyleCopy

BorderStyleRetrieve

BorderStyleSave

TextBorderCreate

TextBorderEdit

TextBorderEnd


Route...

Graphics, Graphic Styles, Border, select a style from the Styles list box, Options, Delete.


For Example...

To delete a border style named Example in the current document, the command is:

BorderStyleDelete

(

Style: "Example";

Library: CurrentDoc!

)


BorderStyleEdit

Purpose

BorderStyleEdit specifies a style to edit. It is usually followed by border modification commands such as BorderCornerRadius.

Syntax

BorderStyleEdit (Style: Numeric Equivalent or Enumerated Type; Library: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Names a style to edit. To edit a user-defined style, enclose the name in quotation marks.

Equivalent

0	SpacingOnly!

1	SingleBorder!

2	DoubleBorder!

3	DashedBorder!

4	DottedBorder!

5	ThickBorder!

6	ExtraThickBorder!

7	ThinThickBorder!

8	ThickThinBorder!

9	ThickTopBottomBorder!

10	ButtonBorder!

11	ColumnBorderBetween!

12	ColumnBorderAll!

127	NoBorder!

Library: Numeric Equivalent or Enumerated Type

Specifies the location of the style to edit.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

BorderStyleCreate

BorderStyleEnd

TextBorderCreate

TextBorderEdit

TextBorderEnd

?Border


Route...

Graphics, Graphics Styles, Border, select a style from the Styles list box, Edit.


For Example...

To edit the Thin Thick border line style, the command is:

BorderStyleEdit

(

Style: ThinThickBorder!

)


BorderStyleEnd

Purpose

BorderStyleEnd indicates the end of editing or creating a border style and specifies whether to save the changes.

Syntax

BorderStyleEnd (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether the most recent changes made to a style should be saved.

0	Cancel!

1	Save!


Route...

OK or Cancel when closing the Edit Border Style or Create Border Style dialog box.


For Example...

To save the changes made to a border style, the command is:

BorderStyleEnd

(

State: Save!

)


BorderStyleName

Purpose

BorderStyleName renames a border style.

This command is not recordable.  You must type it into a macro.

This command must be preceded by BorderStyleEdit or BorderStyleCreate and followed by BorderstyleEnd.

Syntax

BorderStyleName (Style: Character Expression)

Parameters

Style: Character Expression

Specifies the name of a border to rename.


For Example...

To rename a border style from Nouveau to Traditional, the command sequence is:

BorderStyleEdit

(

Style: "Nouveau"

)

BorderStyleName

(

Style: "Traditional"

)

BorderStyleEnd

(

State: Save!

)


BorderStyleRetrieve

Purpose

BorderStyleRetrieve retrieves all border styles in a specified style library into the current document or a personal or shared style library.

Syntax

BorderStyleRetrieve (Filename: Character Expression; FromLibrary:  Numeric Equivalent or Enumerated Type

Parameters

Filename: Character Expression

Specifies a style library containing styles to retrieve.  Specify both the filename and path of the library.

FromLibrary: Numeric Equivalent or Enumerated Type

Specifies where to place the retrieved styles.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

StyleCopy

BorderStyleSave


Route...

Graphics, Graphics Styles, Border, Options, Retrieve, enter a filename.


For Example...

To retrieve styles contained in a style library named Format into a personal style library, the command is:

BorderStyleRetrieve

(

Filename: "Format";

FromLibrary: PersonalLibrary!

)


BorderStyleSave

Purpose

BorderStyleSave saves border styles in a current document or in a personal or shared style library to a specified style library.

Saving to an existing library deletes any styles it contains and replaces them with the new styles.

Syntax

BorderStyleSave (Filename: Character Expression; Library: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Specifies the name of the style library to which the styles should be saved.  Specify both the filename and path of the library.

Library: Numeric Equivalent or Enumerated Type

Specifies the location of the styles to save.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

BorderStyleCopy

BorderStyleRetrieve


Route...

Graphics, Graphics Styles, Border, Options, Save As.


For Example...

To save all styles from the Shared Style Library to a style library named Designs, the command is:

BorderStyleSave

(

Filename: "Designs";

Library: SharedLibrary!

)


BorderTopLine

Purpose

BorderTopLine specifies the top line style of a border.

This command must be preceded by a command which specifies a border, such as BorderStyleCreate, and be followed by a closing command such as BorderStyleEnd.

Syntax

BorderTopLine (Style: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies a top border line style. To specify a user-defined style, enclose the name in quotation marks.

0	SingleLine!

1	DoubleLine!

2	DashedLine!

3	DottedLine!

4	ThickLine!

5	ExtraThickLine!

6	ThinThickLine!

7	ThickThinLine!

8	ButtonTopLeftLine!

9	ButtonBottomRightLine!

126	TableDefaultLine!

127	NoLine!

See Also

BorderBottomLine

BorderLeftLine

BorderRightLine

BorderSeparatorLine

TextBorderCreate

?BorderTopLine


Route...

Graphics, Graphics Styles, Borders, select a style from the Styles list box, Edit, deselect All, select Top, select a line style.


For Example...

To create a paragraph border with an extra thick top line, the command sequence is:

TextBorderCreate

(

Style: SingleBorder!;

FillName: NoFill!;

BorderFunction: ParagraphBorder!

)

BorderTopLine

(

Style: ExtraThickLine!

)

TextBorderEnd (State: Save!)


BorderUseBorderColor

Purpose

BorderUseBorderColor specifies whether the border color option is for the current border, and is used with BorderStyleCreate or BorderStyleEdit and BorderColor.

This command must be preceded by a command which specifies a border, such as BorderStyleCreate, and followed by a closing command such as BorderStyleEnd.

Syntax

BorderUseBorderColor (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to use the border color option.

0	No!

1	Yes!

See Also

BorderColor

BorderStyleCreate

BorderStyleEdit

BorderStyleEnd

TextBorderCreate

TextBorderEdit

TextBorderEnd

?BorderUseBorderColor


Route...

Graphics, Graphics Styles, Border, select a style from the Styles list box, Edit, Border Color, select a color from the palette.


For Example...

To use the color border option for the current paragraph border, the command is:

TextBorderCreate

(

Style: SingleBorder!;

FillName: NoFill!;

BorderFunction: ParagraphBorder!

)

BorderUseBorderColor

(

State: Yes!

)

BorderColor

(

ColorName: "Magenta";

Red: 255;

Green: 0;

Blue: 255;

Shade: 100

)

TextBorderEnd

(

State: Save!

)


BoxAttachTo

Purpose

BoxAttachTo attaches a graphics box to a page, paragraph, or character. When a box is attached to a location, BoxHorizontalPosition and BoxVerticalPosition specify horizontal and vertical positions.

This command must be preceded by a command which identifies a box, such as BoxCreate or BoxEdit, and followed by a closing command such as BoxEnd.

Syntax

BoxAttachTo (Anchor: Numeric Equivalent or Enumerated Type)

Parameters

Anchor: Numeric Equivalent or Enumerated Type

Specifies where a box is attached.

2	Page!

3	Paragraph!

64	Character!

See Also

BoxCreate

BoxEdit

BoxEnd

BoxHorizontalPosition

BoxVerticalPosition

?BoxAttachTo


Route...

Graphics, select a box type, Position, select a Box Placement Option.


For Example...

To attach a text box to a character, the command sequence is:

BoxCreate

(

BoxType: TextBox!

)

BoxAttachTo

(

Anchor: Character!

)

BoxEnd

(

State: Save!

)


BoxBorder

Purpose

BoxBorder specifies a box border style.

This command must be preceded by BoxCreate or BoxEdit and followed by BoxEnd.

Syntax

BoxBorder (Style: Character Expression)

Parameters

Style: Character Expression

Specifies the name of a box border style.

See Also

BoxCreate

BoxEdit

BoxEnd


Route...

Graphics, Edit Box, Border/Fill, select a border style.


For Example...

To specify a hairline border for Box 1, the command sequence is:

BoxEdit

(

BoxNumber: 1

)

BoxBorder

(

Style: "Hairline"

)

BoxEnd

(

State: Save!

)


BoxBorderDlg

Purpose

BoxBorderDlg displays the Box Border/Fill dialog box.

Syntax

BoxBorderDlg ()


Route...

Graphics, Graphics Styles, Box, select a style, Edit, Border/Fill.


BoxCaptionEdit

Purpose

BoxCaptionEdit opens a box caption.

Because this command has no parameters, it is always followed by commands such as Type that furnish caption text.

Syntax

BoxCaptionEdit ()


Route...

Graphics, Edit Box, Caption, Edit.


BoxCaptionEditEnd

Purpose

BoxCaptionEditEnd closes a box caption.

This command must be preceded by BoxCaptionEdit and commands that furnish or modify caption text, such as Type.

You must type this command into a macro.  It is not recordable.

Syntax

BoxCaptionEditEnd ()

See Also

BoxCaptionEdit

SubstructureExit


BoxCaptionFormatting

Purpose

BoxCaptionFormatting specifies the width of a box caption.

This command must be preceded by BoxCreate or BoxEdit and followed by BoxEnd.

Syntax

BoxCaptionFormatting (SizeAuto: Numeric Equivalent or Enumerated Type, or Measurement Expression, or Numeric Expression)

Parameters

SizeAuto: Numeric Equivalent or Enumerated Type, or Measurement Expression, or Numeric Expression

Specifies whether a box caption width is set automatically, is fixed, or is a percentage of a box width. To base the width on a current unit of measure, use a measurement expression. To base the width on a percentage of the box width, use a numeric expression. To set the width automatically, use a numeric equivalent or an enumerated type.

2	AutoWidth!

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxCaptionFormatting


Route...

Graphics, Custom Box or Edit Box, select a style name, OK, Caption, select Auto width or specify fixed or percent amount.


For Example...

To specify a caption width of one inch for box 1, the command sequence is:

BoxEdit

(

BoxNumber: 1

)

BoxCaptionFormatting

(

SizeAuto: 1"

)

BoxEnd

(

State: Save!

)


BoxCaptionInitialStyle

Purpose

BoxCaptionInitialStyle specifies an initial style for a box caption.

This command must be preceded by a command which identifies a box, such as BoxCreate or BoxEdit, and followed by a closing command such as BoxEnd.

Syntax

BoxCaptionInitialStyle (Style: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies the initial style for a box caption.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxCaptionDefaultInitialStyle


Route...

Graphics, Graphics Styles, select Box, select a style, Edit, Caption, choose the Change button for Initial Style, select a style, Apply.


For Example...

To specify Comment Style as the caption initial style, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxCaptionInitialStyle

(

Style: CommentStyle!

)

BoxEnd

(

State: Save!

)


BoxCaptionNumberStyle

Purpose

BoxCaptionNumberStyle specifies a numbering style for box caption.

This command must be preceded by a command which identifies a box, such as BoxCreate or BoxEdit, and followed by a closing command such as BoxEnd.

Syntax

BoxCaptionNumberStyle (Style: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies a number style for a box caption.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxCaptionDefaultNumberStyle


Route...

Graphics, Graphics Styles, select Box, select a style, Edit, Caption, choose the Change button for Number Style, select a style, Apply.


For Example...

To specify Bullet Style as the caption numbering style, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxCaptionNumberStyle

(

Style: BulletStyle!

)

BoxEnd

(

State: Save!

)


BoxCaptionPosition

Purpose

BoxCaptionPosition customizes the location of a graphics box caption.

This command must be preceded by a command which identifies a box, such as BoxCreate or BoxEdit, and followed by a closing command such as BoxEnd.

Syntax

BoxCaptionPosition (Side: Numeric Equivalent or Enumerated Type; Border: Numeric Equivalent or Enumerated Type; Alignment: Numeric Equivalent or Enumerated Type; AlignmentOffset: Numeric Expression)

Parameters

Side: Numeric Equivalent or Enumerated Type

Specifies the side of the box where the caption is located.

0	Left!

1	Top!

3	Right!

4	Bottom!

Border: Numeric Equivalent or Enumerated Type

Specifies a caption's location relative to the border.

0	OutsideBorder!

1	InsideBorder!

2	OnBorder!

Alignment: Numeric Equivalent or Enumerated Type (optional)

Specifies the position of a caption.

0	Left!

1	Top!

2	Center!

3	Right!

4	Bottom!

AlignmentOffset: Numeric Expression (optional)

Specifies the position offset.

See Also

?BoxCaptionPositionAlignment

?BoxCaptionPositionBorder

?BoxCaptionPositionOffset


Route...

Select the desired graphic box, click the right mouse button, choose Caption, select options from the Side of Box, Border, and Position pop-up lists, specify an absolute or percent offset.


For Example...

To position a caption within the top border of a graphics box, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxCaptionPosition

(

Side: Top!;

Border: InsideBorder!;

Alignment: Left!;

AlignmentOffset: .5"

)

BoxEnd

(

State: Save!

)


BoxCaptionRotation

Purpose

BoxCaptionRotation rotates graphics box captions.

This command must be preceded by a command which identifies a box, such as BoxCreate or BoxEdit, and BoxUpdateDisplay, and be followed by a closing command such as BoxEnd.

Syntax

BoxCaptionRotation (Rotation: Numeric Equivalent or Enumerated Type)

Parameters

Rotation: Numeric Equivalent or Enumerated Type

Specifies the rotation degree of a graphics box caption.

0	None!

1	Degrees90!

2	Degrees180!

3	Degrees270!

See Also

BoxCreate

BoxEdit

BoxEnd

BoxUpdateDisplay


Route...

Graphics, select a box type, Caption, select a rotation option.


For Example...

To rotate a caption 90 degrees, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxUpdateDisplay ()

BoxCaptionRotation

(

Rotation: Degrees90!

)

BoxEnd

(

State: Save!

)


BoxChangeLineHeight

Purpose

BoxChangeLineHeight specifies whether attaching a graphics box to a character position changes the text line height. The default changes the height.

This command must be preceded by a command which identifies a box, such as BoxCreate or BoxEdit, and followed by a closing command such as BoxEnd.

Syntax

BoxChangeLineHeight (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether the graphics box changes the text line height when attached to a character position.

0	No!

1	Yes!

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxChangeLineHeight


Route...

Graphics, select a box type, Position, select Treat Box as Character and Box Changes Text Line Height.


For Example...

To prevent the graphics box from changing the text line height, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxChangeLineHeight

(

State: No!

)

BoxEnd

(

State: Save!

)


BoxChangeStyle

Purpose

BoxChangeStyle changes the style of a graphics box when creating or editing a box.

This command must be preceded by a command which identifies a box, such as BoxCreate or BoxEdit, and followed by a closing command such as BoxEnd.

Syntax

BoxChangeStyle (BoxType: Numeric Equivalent or Enumerated Type)

Parameters

BoxType: Numeric Equivalent or Enumerated Type

Names the box style to change.  To specify a user-defined style, enclose the name in quotation marks.

0	FigureBox!

1	TableBox!

2	TextBox!

3	UserBox!

4	EquationBox!

5	ButtonBox!

6	WatermarkImageBox!

7	InlineEquationBox!

127	NoBox!

See Also

BoxCreate

BoxEdit

BoxEnd


Route...

Graphics, select a box type, Style, select a style.


For Example...

To change a box style from graphics to text, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxChangeStyle

(

BoxType: TextBox!

)

BoxEnd

(

State: Save!

)


BoxContentEdit

Purpose

BoxContentEdit creates and edits box contents.

This command has no parameters and is always followed by commands that furnish box contents.

Syntax

BoxContentEdit ()

See Also

BoxContentType


Route...

Graphics, select a box type, Content, Edit.


BoxContentPosition

Purpose

BoxContentPosition positions graphics box contents.

Syntax

BoxContentPosition (Horizontal: Numeric Equivalent or Enumerated Type; Vertical: Numeric Equivalent or Enumerated Type)

Parameters

Horizontal: Numeric Equivalent or Enumerated Type

Specifies the horizontal position of box contents.

0	Left!

2	Center!

3	Right!

Vertical: Numeric Equivalent or Enumerated Type

Specifies the vertical position of box contents.

1	Top!

2	Center!

4	Bottom!

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxContentHorizontalPosition

?BoxContentVerticalPosition


Route...

Graphics, select a box type, Content, select positions from the Horizontal Position and Vertical Position list boxes.


For Example...

To position contents at the left and bottom of a box, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxContentPosition

(

Horizontal: Left!;

Vertical: Bottom!

)

BoxEnd

(

State: Save!

)


BoxContentPreserveAspectRatio

Purpose

BoxContentPreserveAspectRatio specifies whether to preserve the width/height ratio when the position of box contents changes.

This command must be preceded by a command which identifies a box, such as BoxCreate or BoxEdit, and followed by a closing command such as BoxEnd.

Syntax

BoxContentPreserveAspectRatio (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to preserve the image width/height ratio when the size of box contents changes.

0	No!

1	Yes!

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxContentPreserveAspectRatio


Route...

Graphics, select a box type, Content, select Preserve Image Width/Height Ratio.  If this option is dimmed, it is not available for the type of box you have selected.


For Example...

To preserve the image width/height ratio, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxContentPreserveAspectRatio

(

State: Yes!

)

BoxEnd

(

State: Save!

)


BoxContentType

Purpose

BoxContentType specifies the content type of a graphics box.

This command must be preceded by a command which identifies a box, such as BoxCreate or BoxEdit, and followed by a closing command such as BoxEnd.

Syntax

BoxContentType (Content: Numeric Equivalent or Enumerated Type)

Parameters

Content: Numeric Equivalent or Enumerated Type

Specifies the type of contents in a graphics box.

1	Text!

2	LinkedText!

3	Image!

4	Equation!

5	Presentation!

6	Video!

7	Macro!

8	External!

127	Empty!

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxContentType


Route...

Graphics, select a box type, Content, select a type from the Content pop-up list.


For Example...

To specify box contents as a graphics image, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxContentType

(

Content: Image!

)

BoxEnd

(

State: Save!

)


BoxCounter

Purpose

BoxCounter assigns a new counter type to a current graphics box or graphics box style.

Syntax

BoxCounter (CounterName: Numeric Equivalent or Enumerated Type or Character Expression)

Parameters

CounterName: Numeric Equivalent or Enumerated Type or Character Expression

Specifies the counter type of a current graphics box or graphics box style.

0	None!

1	FigureCounter!

2	TableBoxCounter!

3	TextBoxCounter!

4	UserBoxCounter!

5	EquationCounter!

See Also

BoxCreate

BoxEdit

BoxEnd

BoxEditByCounter

?BoxCounter


Route...

Graphics, Graphics Styles, Box, select a style, Create or Edit, Caption, change Counter in Caption Numbering and Styles group box.


For Example...

To assign a Text Box counter type to a graphics box style, the command sequence is:

BoxStyleEdit

(

Style: FigureBox!;

Library: PersonalLibrary!

)

BoxCounter

(

CounterName: TextBoxCounter!

)


BoxCreate

Purpose

BoxCreate creates the specified graphics box.

Syntax

BoxCreate (BoxType: Numeric Equivalent or Enumerated Type)

This command must be followed by BoxEnd.

Parameters

BoxType: Numeric Equivalent or Enumerated Type

Specifies the type of box to create.

0	FigureBox!

1	TableBox!

2	TextBox!

3	UserBox!

4	EquationBox!

5	ButtonBox!

6	WatermarkImageBox!

7	InlineEquationBox!

127	NoBox!

See Also

BoxEdit

BoxEnd


Route...

Graphics, Custom Box, select a box style from the Style Name list box.


For Example...

To create an Equation Box, the command sequence is:

BoxCreate

(

BoxType: EquationBox!

)

BoxEnd

(

State: Save!

)


BoxDelete

Purpose

BoxDelete deletes a specified graphics box.

You must type this command into a macro.  It is not recordable.

Syntax

BoxDelete (BoxType: Numeric Equivalent or Enumerated Type; BoxNumber: Numeric Expression)

Parameters

BoxType: Numeric Equivalent or Enumerated Type

Specifies the type of box to delete.

0	FigureBox!

1	TableBox!

2	TextBox!

3	UserBox!

4	EquationBox!

5	ButtonBox!

6	WatermarkImageBox!

7	InlineEquationBox!

127	NoBox!

BoxNumber: Numeric Expression

Specifies the box number to delete.

See Also

BoxCreate

BoxEdit

BoxEnd


*** DELETED TOPIC ***


For Example...

To delete Equation Box 3, the command is:

BoxDelete

(

BoxType: EquationBox!;

BoxNumber: 3

)


BoxEdit

Purpose

BoxEdit specifies a box number to edit.

This command must be followed by box editing commands and BoxEnd.

Syntax

BoxEdit (BoxNumber: Numeric Expression)

Parameters

BoxNumber: Numeric Expression

Specifies a box number to edit.

See Also

BoxCreate

BoxEnd


Route...

Graphics, Edit Box, select Document Box Number, specify box number.


For Example...

To edit graphics box 3 of a document, the command sequence is:

BoxEdit

(

BoxNumber: 3

)

BoxEnd

(

State: Save!

)


BoxEditByCounter

Purpose

BoxEditByCounter specifies box type and number.

This command must be preceded by a command which identifies a box, such as BoxCreate or BoxEdit, and be followed by a closing command such as BoxEnd.  There is an error message if the box type and number are not in the current document.

Syntax

BoxEditByCounter (CounterName: Numeric Equivalent or Enumerated Type; CounterLevelNumber: Numeric Expression)

Parameters

CounterName: Numeric Equivalent or Enumerated Type

Specifies a box type to edit.

0	None!

1	FigureCounter!

2	TableBoxCounter!

3	TextBoxCounter!

4	UserBoxCounter!

5	EquationCounter!

CounterLevelNumber: Numeric Expression

Specifies the number of a box type.  If the edited counter has more than one level, specify each of the levels by repeating this parameter.

See Also

BoxCreate

BoxEdit

BoxEnd


Route...

Graphics, Edit Box, Counter Number, specify counter and number.


For Example...

To edit text box 2 in a document, the command sequence is:

BoxEditByCounter

(

CounterName: TextBoxCounter!;

CounterLevelNumber: 2

)

BoxEnd

(

State: Save!

)


BoxEditNext

Purpose

BoxEditNext edits the next occurrence of a box type.

This command must be followed by box editing commands and BoxEnd.

Syntax

BoxEditNext (BoxType: Numeric Equivalent or Enumerated Type)

Parameters

BoxType: Numeric Equivalent or Enumerated Type

Specifies a box type to edit.  If a box type is not specified, the macro edits the box following the insertion point, regardless of type.

0	FigureBox!

1	TableBox!

2	TextBox!

3	UserBox!

4	EquationBox!

5	ButtonBox!

6	WatermarkImageBox!

7	InlineEquationBox!

127	NoBox!

See Also

BoxEdit

BoxEditByCounter

BoxEditPrevious


Route...

With a box selected, Graphics, Edit Box, Next.


For Example...

To edit the next occurrence of a user box, the command sequence is:

BoxEditNext

(

BoxType: UserBox!

)

BoxEnd

(

State: Save!

)


BoxEditPrevious

Purpose

BoxEditPrevious edits the previous occurrence of a box type.

This command must be followed by box editing commands and BoxEnd.

Syntax

BoxEditPrevious (BoxType: Numeric Equivalent or Enumerated Type)

Parameters

BoxType: Numeric Equivalent or Enumerated Type

Specifies a box type to edit.  If a box type is not specified, the macro edits the box immediately previous to the insertion point, regardless of type.

0	FigureBox!

1	TableBox!

2	TextBox!

3	UserBox!

4	EquationBox!

5	ButtonBox!

6	WatermarkImageBox!

7	InlineEquationBox!

127	NoBox!

See Also

BoxEdit

BoxEditByCounter

BoxEditNext


Route...

With a box selected, Graphics, Edit Box, select Prev from the Graphics feature bar.


For Example...

To edit the previous occurrence of a button box, the command sequence is:

BoxEditPrevious

(

BoxType: ButtonBox!

)

BoxEnd

(

State: Save!

)


BoxEnd

Purpose

BoxEnd saves or cancels changes made when creating or editing a graphics box.

This command must be preceded by BoxCreate or BoxEdit.

Syntax

BoxEnd (State: Numeric Equivalent or Enumerated Type; BoxOptionsBar: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether creating or editing changes to a graphics box are saved or canceled.

0	Cancel!

1	Save!

BoxOptionsBar: Numeric Equivalent or Enumerated Type

Determines whether to display the box options control bar.

0	Hide!

1	DontHide!

See Also

BoxCreate

BoxEdit


Route...

Graphics, Graphics Styles, select a box type, Edit or Create.


For Example...

To save changes made to graphics box 1 and hide the Box Options control bar, the command sequence is:

BoxEdit

(

BoxNumber: 1

)

BoxEnd

(

State: Save!;

BoxOptionsBar: Hide!

)


BoxEquationColor

Purpose

BoxEquationColor specifies a box equation color and shade values.

This command must be preceded by BoxCreate or BoxEdit and followed by BoxEnd.

Syntax

BoxEquationColor (ColorName: Character Expression; Red: Numeric Expression; Green: Numeric Expression; Blue: Numeric Expression; Shade: Numeric Expression)

Parameters

ColorName: Character Expression

Specifies an equation color.

Red: Numeric Expression

Specifies the amount of red in an equation color.

Green: Numeric Expression

Specifies the amount of green in an equation color.

Blue: Numeric Expression

Specifies the amount of blue in an equation color.

Shade: Numeric Expression

Specifies shading of an equation color.

See Also

BoxContentEdit

BoxCreate

BoxEdit

BoxEnd

?BoxEquationColorBlue

?BoxEquationColorGreen

?BoxEquationColorRed

?BoxEquationColorShading


Route...

Graphics, Equation, Equation Font, Color, select a color.


For Example...

To specify red as the equation color in box 1, the command sequence is:

BoxEdit

(

BoxNumber: 1

)

BoxContentEdit ()

BoxEquationColor

(

Red: 255;

Shade: 100

)

BoxEnd

(

State: Save!

)


BoxEquationDefaultFont

Purpose

BoxEquationDefaultFont selects a default font and determines whether to change the default font size.

You must type this command into a macro.  It is not recordable.

Syntax

BoxEquationDefaultFont (FontSize: Numeric Expression)

Parameters

FontSize: Numeric Equivalent or Enumerated Type, or Numeric Expression

Specifies a new default font size. To specify the default font size, select the numeric equivalent or enumerated type.

0	DefaultSize!

See Also

?BoxEquationFont


For Example...

To select the default font but specify a non-default 14 point font size, the command is:

BoxEquationDefaultFont

(

FontSize: 14p

)


BoxEquationFilename

Purpose

BoxEquationFilename specifies the name of an equation file.

This command specifies box contents as an equation.  To retrieve an equation file, use FileRetrieve.

Syntax

BoxEquationFilename (Filename: Character Expression)

Parameters

Filename: Character Expression

Specifies the name of an equation file.

See Also

BoxCreate

BoxEdit

BoxEnd


Route...

With a graphics box selected, choose Graphics, Edit Box, Content, Content, Equation, Filename.


For Example...

To specify the name of an equation file as STAT.DOC, the command is:

BoxEquationFilename

(

Filename: "STAT.DOC"

)


BoxEquationFont

Purpose

BoxEquationFont specifies an equation font.

This command is used in conjuntion with BoxEquationFontSize.

Syntax

BoxEquationFont (FontName: Character Expression; Family: Numeric Equivalent or Enumerated Type; Attributes: Numeric Equivalent or Enumerated Type; Weight: Numeric Equivalent or Enumerated Type; Width: Numeric Equivalent or Enumerated Type; Source: Numeric Equivalent or Enumerated Type; Type: Numeric Equivalent or Enumerated Type; CharacterSet: Numeric Equivalent or Enumerated Type)

Parameters

FontName: Character Expression

Specifies a font name.

Family: Numeric Equivalent or Enumerated Type

Specifies a font family.

256	FamilyITCBenquiat!

2304	FamilyTimesRoman!

4352	FamilyTCGaramond!

6400	FamilyCenturySchoolbook!

8448	FamilyBodoni!

10496	FamilyITCLubalinGraph!

12544	FamilyAlbertus!

14592	FamilyCourier!

16640	FamilyHelvetica!

18688	FamilyITCRonda!

20736	FamilyMicroStyle!

22784	FamilyOptima!

24832	FamilyLetterGothic!

26880	FamilyBrush!

28928	FamilyParkAvenue!

30976	FamilySignetRoundhand!

33024	FamilyUnical!

37120	FamilyOldEnglish!

39168	FamilyITCZapfDingbats!

41216	FamilyBroadway!

43264	FamilyComputer!

45312	FamilyPTBarnum!

47360	FamilyPonderosa!

49408	FamilyMadrone!

51456	FamilyHobo!

53504	FamilyRevue!

Attributes: Numeric Equivalent or Enumerated Type

Specifies font attributes.

0	FontMatchNormal!

1	FontMatchItalic!

2	FontMatchOutline!

4	FontMatchShadow!

8	FontMatchSmallCaps!

Weight: Numeric Equivalent or Enumerated Type

Specifies a font weight.

0	WeightUnknown!

1	WeightUltraThin!

8	WeightUltraLight!

16	WeightExtraThin!

24	WeightThin!

32	WeightExtraLight!

48	WeightLight!

64	WeightDemiLight!

80	WeightSemiLight!

88	WeightBook!

96	WeightRegular!

104	WeightRoman!

112	WeightMedium!

128	WeightDemiBold!

136	WeightSemiBold!

144	WeightBold!

160	WeightExtraBold!

176	WeightHeavy!

192	WeightExtraHeavy!

208	WeightBlack!

224	WeightExtraBlack!

248	WeightUltraBlack!

254	WeightMaximum!

Width: Numeric Equivalent or Enumerated Type

Specifies a font width.

0	WidthUnknown!

16	WidthUltraCondensed!

32	WidthUltraCompressed!

48	WidthCompressed!

64	WidthExtraCondensed!

80	WidthCondensed!

96	WidthSemiCondensed!

112	WidthNormal!

128	WidthSemiExpanded!

144	WidthExpanded!

160	WidthExtraExpanded!

176	WidthUltraExpanded!

192	WidthDoubleWide!

224	WidthTripleWide!

Source: Numeric Equivalent or Enumerated Type

Specifies whether the font source is a .PRS file or a .DRS file.

16	PRSFile!

20	DRSFile!

Type: Numeric Equivalent or Enumerated Type

Specifies a font type.

134	Speedo!

135	Intellifont!

138	Type1!

139	TrueType!

CharacterSet: Numeric Equivalent or Enumerated Type

Specifies a character set.

0	FontMatchASCII!

1	FontMatchMultiNational1!

2	FontMatchMultiNational2!

3	FontMatchBoxDrawing!

4	FontMatchTypographicSymbols!

5	FontMatchIconicSymbols!

6	FontMatchMath!

7	FontMatchMathExtension!

8	FontMatchGreek!

9	FontMatchHebrew!

10	FontMatchCyrillic!

11	FontMatchJapaneseKana!

12	FontMatchUserDefined!

13	FontMatchArabic!

14	FontMatchArabicScript!

See Also

BoxEquationFontSize


Route...

Graphics, Equation, Equation Font button, select a font face and a font style from the Equation Font dialog box, OK.


For Example...

To specify an equation font, the command sequence is:

BoxEquationFont

(

FontName: "Courier New Bold";

Family: FamilyCourier!;

Attributes: FontMatchNormal!;

Weight: WeightExtraBold!;

Width: WidthUnknown!;

Source: DRSFile!;

Type: TrueType!;

CharacterSet: FontMatchASCII!

)

BoxEquationFontSize

(

Size: 18.0p

)


BoxEquationFontSize

Purpose

BoxEquationFontSize specifies an equation font size.

This command must be preceded by BoxCreate or BoxEdit, and followed by BoxEnd.

Syntax

BoxEquationFontSize (Size: Numeric Expression)

Parameters

Size: Numeric Expression

Specifies an equation font size in points.

See Also

?BoxEquationFontSize


Route...

Graphics, Equation, Equation Font, select a font face and style.


For Example...

To specify a 12 point equation font in Box 1, the command sequence is:

BoxEdit

(

BoxNumber: 1

)

BoxContentEdit ()

BoxEquationFontSize

(

Size: 12

)

BoxEnd

(

State: Save!

)


BoxEquationRedisplay

Purpose

BoxEquationRedisplay redisplays an equation.

This command must be preceded by BoxCreate or BoxEdit and followed by BoxEnd.

You must type this command into a macro.  It is not recordable.

Syntax

BoxEquationRedisplay (Zoom: Numeric Expression)

Parameters

Zoom: Numeric Expression (optional)

Specifies a degree of enlargement or reduction of the equation.

See Also

BoxContentEdit

BoxCreate

BoxEdit

BoxEnd


For Example...

To redisplay an equation in box 1 and reduce it by 50%, the command is:

BoxEdit

(

BoxNumber: 1

)

BoxContentEdit ()

BoxEquationRedisplay

(

Zoom: 50

)

BoxEnd

(

State: Save!

)


BoxEquationSaveAsGraphic

Purpose

BoxEquationSaveAsGraphic saves an equation in a graphics file format.

Syntax

BoxEquationSaveAsGraphic (Filename: Character Expression; Format: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Names a file to save.

Format: Numeric Equivalent or Enumerated Type (optional)

Specifies the graphic format of an equation box. If a format is not specified, the equation is saved in the current graphics format.

725	WordPerfectGraphic_10!

726	WordPerfectGraphic_20!

See Also

BoxEquationFilename


Route...

Graphics, select a box type, Border/Fill, select a fill style.


For Example...

To save an equation named Calculus as a WordPerfect Graphic 1.0, the command is:

BoxEquationSaveAsGraphic

(

Filename: "Calculus";

Format: WordPerfectGraphic_10!

)


BoxFill

Purpose

BoxFill specifies a box fill style.

This command must be preceded by BoxCreate or BoxEdit, and followed by BoxEnd.

Syntax

BoxFill (FillStyleName: Character Expression)

Parameters

FillStyleName: Character Expression

Specifies the name of a box fill style.

See Also

BoxContentEdit

BoxCreate

BoxEdit

BoxEnd


Route...

Graphics, select a box type, Border/Fill, select a fill style.


For Example...

To specify the Waves fill style for box 1, the command sequence is:

BoxEdit

(

BoxNumber: 1

)

BoxContentEdit ()

BoxFill

(

FillStyleName: "Waves"

)

BoxEnd

(

State: Save!

)


BoxHeight

Purpose

BoxHeight sets box height based on the height of box contents or manually specified measurements.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxHeight (Height: Numeric Equivalent or Enumerated Type or Numeric Expression)

Parameters

Height: Numeric Equivalent or Enumerated Type or Numeric Expression

Specifies a graphics box height.  Select a numeric equivalent or enumerated type to set box height based on the height of its contents.  Enter a numeric expression to manually set the height.

2	AutoHeight!

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxHeight


Route...

Graphics, select a box type, Size, select a height option.  If you select Set, enter a box height.


For Example...

To set box height to four inches, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxHeight

(

Height: 4"

)

BoxEnd

(

State: Save!

)


BoxHorizontalAlignment

Purpose

BoxHorizontalAlignment specifies the alignment of a graphics box attached to a page or paragraph.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxHorizontalAlignment (Alignment:  Numeric Equivalent or Enumerated Type; Position:  Numeric Equivalent or Enumerated Type; Offset: Numeric Expression; Left Column: Numeric Expression; Right Column: Numeric Expression)

Parameters

Alignment:  Numeric Equivalent or Enumerated Type

Specifies where to horizontally align a graphics box.

1	AlignMargins!

2	AlignColumns!

Position:  Numeric Equivalent or Enumerated Type

Specifies the horizontal position of a graphics box after its alignment to margins or columns.

0	Left!

2	Center!

3	Right!

7	FullAlign!

Offset: Numeric Expression (optional)

Specifies the left or right offset of a graphics box.  The offset moves the image to the left or right of the alignment point; left offsets are negative numbers, right offsets are positive.

Left Column: Numeric Expression (optional)

Specifies the left column when a box is aligned to columns.

Right Column: Numeric Expression (optional)

Specifies the right column when a box is aligned to columns.

See Also

BoxCreate

BoxEdit

BoxEnd

BoxHorizontalPosition

?BoxHorizontalAlignment

?BoxHorizontalAlignTo

?BoxHorizontalOffset


Route...

Graphics, select a box type, Position, select horizontal position options. Position options are not available for character-anchored graphic boxes.


For Example...

To center a graphics box between two columns, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxHorizontalAlignment

(

Alignment: AlignColumns!;

Position: Center!;

Offset: 0";

LeftColumn: 1;

RightColumn: 2

)

BoxEnd

(

State: Save!

)


BoxHorizontalPosition

Purpose

BoxHorizontalPosition specifies the horizontal position of a graphics box relative to the left edge of the page.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxHorizontalPosition (Position: Measurement Expression)

Parameters

Position: Measurement Expression

Specifies the horizontal position of a graphics box.

See Also

BoxCreate

BoxEdit

BoxEnd

BoxHorizontalAlignment


Route...

Graphics, select a box type, Position, Horizontal, specify position, select Left Edge of Page from the pop-up list.


For Example...

To position a graphics box two inches from the left edge of the page, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxHorizontalPosition

(

Position: 2.5"

)

BoxEnd

(

State: Save!

)


BoxImageBlackWhiteThreshold

Purpose

BoxImageBlackWhiteThreshold determines the threshold or point at which colors and/or grays in the current graphics image are converted to black and white.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxImageBlackWhiteThreshold (Threshold: Numeric Expression)

Parameters

Threshold: Numeric Expression

Specifies the threshold at which colors and/or grays are converted to either black or white.  Colors or grays below the threshold are converted to black.  Those above the threshold are converted to white.  Values range from 1 to 255, with 127 as the default.

See Also

BoxCreate

BoxEdit

BoxEnd

BoxImageMonochrome

?BoxImageBlackWhiteThreshold


Route...

Graphics, Figure, select a filename, OK, Tools, Black & White, select a threshold.


For Example...

To set the threshold for converting colors and/or grays to black and white to 150, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxImageBlackWhiteThreshold

(

Threshold: 150

)

BoxEnd

(

State: Save!

)


BoxImageBrightness

Purpose

BoxImageBrightness adjusts the brightness (saturation) of a color or black and white image.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxImageBrightness (Amount: Numeric Expression)

Parameters

Amount: Numeric Expression

Specifies the brightness of an image color.  Values range from -1.0 (all black) to 1.0 (all white).

See Also

BoxImageContrast

BoxCreate

BoxEdit

BoxEnd

?BoxImageBrightness


Route...

Graphics, Edit Box, Tools, Brightness.


For Example...

To set the brightness of an image color to .5, the command sequence is:

BoxEdit

(

BoxNumber: 1

)

BoxImageBrightness

(

Amount: 0.5

)

BoxEnd

(

State: Save!

)


BoxImageContrast

Purpose

BoxImageContrast determines the contrast between light and dark areas of a graphic image.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxImageContrast (Contrast: Numeric Expression)

Parameters

Contrast: Numeric Equivalent or Enumerated Type

Specifies the contrast or sharpness of an image.  Values range from -1.0 (slight contrast) to 1.0 (substantial contrast).

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxImageContrast


Route...

Graphics, Edit Box, Tools, Contrast.


For Example...

To set the contrast of an image color to 0.7, the command sequence is:

BoxEdit

(

BoxNumber: 1

)

BoxImageContrast

(

Contrast: 0.7

)

BoxEnd

(

State: Save!

)


BoxImageDitherMethod

Purpose

BoxImageDitherMethod specifies the dither method and source.

Syntax

BoxImageDitherMethod (Method: Numeric Equivalent or Enumerated Type; Source: Numeric Equivalent or Enumerated Type)

Parameters

Method: Numeric Equivalent or Enumerated Type

Specifies a dither method.

1	Halftoning!

2	OrderedDither!

3	ErrorDiffusionDither!

6	Default!

Source: Numeric Equivalent or Enumerated Type

Specifies a dither source.

0	WordPerfect!

1	Printer!

6	Default!

8	External!

See Also

BoxImageHalftoneOptions


Route...

With a figure box in the current document, choose Graphics, Edit Box, Tools, click the Image Settings icon on the Image Tools palette, Print Parameters, select a Dither Method and a Dither Source, OK.


For Example...

To specify halftoning as the dither method and the printer as the source, the command is:

BoxImageDitherMethod (

Method: Halftoning!;

Source: Printer!)


BoxImageFill

Purpose

BoxImageFill specifies a graphic image fill type.

Syntax

BoxImageFill (ImageFillType: Numeric Equivalent or Enumerated Type)

Parameters

ImageFillType: Numeric Equivalent or Enumerated Type

Specifies an image fill type.

0	Normal!

1	Transparent!

2	White!

See Also

?BoxImageFill


Route...

Graphics, Edit Box, Tools, Fill.


For Example...

To set an image fill type to transparent, the command sequence is:

BoxEdit

(

BoxNumber: 1

)

BoxImageFill

(

ImageFillType: Transparent!

)

BoxEnd

(

State: Save!

)


BoxImageFlipX

Purpose

BoxImageFlipX determines whether an image is reversed on its X axis. For example, if an image faces right, this command causes it to face left.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxImageFlipX (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether an image is reversed on its horizontal axis.

0	No!

1	Yes!

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxImageFlipX


Route...

Graphics, Edit Box, Tools, Mirror Vertical.


For Example...

To reverse an image on its horizontal axis, the command sequence is:

BoxEdit

(

BoxNumber: 1

)

BoxImageFlipX

(

State: Yes!

)

BoxEnd

(

State: Save!

)


BoxImageFlipY

Purpose

BoxImageFlipY specifies whether to reverse an image on its Y axis, which turns the image upside down.

This command must be preceded by BoxCreate or BoxEdit, and followed by BoxEnd.

Syntax

BoxImageFlipY (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	No!

1	Yes!

See Also

BoxCreate

BoxEdit

BoxEnd

BoxImageFlipX

?BoxImageFlipY


Route...

Graphics, Edit Box, Tools, Mirror Horizontal.


For Example...

To reverse a image along its Y axis, the command is:

BoxEdit

(

BoxNumber: 1

)

BoxImageFlipY

(

State: Yes!

)

BoxEnd

(

State: Save!

)


BoxImageHalfToneOptions

Purpose

BoxImageHalfToneOptions sets predefined halftone values from  the .PRS file for the current printer, or allows user-defined values.

Syntax

BoxImageHalfToneOptions (HalfTone: Numeric Equivalent or Enumerated Type; LPI: Numeric Expression; Plane0: Numeric Expression; Plane1: Numeric Expression; Plane2: Numeric Expression; Plane3: Numeric Expression)

Parameters

HalfTone: Numeric Equivalent or Enumerated Type

Specifies whether to use default or user-defined halftone options.

0	DefaultValues!

1	SetValues!

LPI: Numeric Expression (optional)

Specifies the number of lines per inch for user-defined halftone options.

Plane0: Numeric Expression (optional)

Specifies the first halftone angle for user-defined halftone options.

Plane1: Numeric Expression (optional)

Specifies the second halftone angle for user-defined halftone options.

Plane2: Numeric Expression (optional)

Specifies the third halftone angle for user-defined halftone options.

Plane3: Numeric Expression (optional)

Specifies the fourth halftone angle for user-defined halftone options.

See Also

BoxImageDitherMethod


Route...

With a figure box in the current document, choose Graphics, Edit Box, Tools, click the Image Settings icon on the Image Tools palette, Print Parameters, Halftoning, specify Halftone Options, OK.


For Example...

To specify default halftone options, the command is:

BoxImageHalfToneOptions (

Halftone: DefaultValues!)


BoxImageInvertColors

Purpose

BoxImageInvertColors specifies whether the current colors of an image are inverted to their respective complementary colors.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxImageInvertColors (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether image colors are inverted.

0	No!

1	Yes!

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxImageInvertColors


Route...

Graphics, Edit Box, Tools, Complement.


For Example...

To invert the colors of the current image, the command sequence is:

BoxEdit

(

BoxNumber: 1

)

BoxImageInvertColors

(

State: Yes!

)

BoxEnd

(

State: Save!

)


BoxImageMonochrome

Purpose

BoxImageMonochrome converts a color image to black and white.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxImageMonochrome (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether a color image is converted to black and white.

0	No!

1	Yes!

See Also

BoxCreate

BoxEdit

BoxEnd

BoxImageBlackWhiteThreshold

BoxImageFill

?BoxImageMonochrome


Route...

Graphics, Edit Box, Tools, Black & White, select a threshhold.


For Example...

To convert a color image to black and white, the command sequence is:

BoxEdit

(

BoxNumber: 1

)

BoxImageMonochrome

(

State: Yes!

)

BoxEnd

(

State: Save!

)


BoxImageMove

Purpose

BoxImageMove moves an image within a graphics box.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxImageMove (XPosition: Numeric Expression; YPosition: Numeric Expression)

Parameters

XPosition: Numeric Expression

Specifies the horizontal position of an image within a box.  Values range from -5.0 to 5.0, with 0.0 being the default.

YPosition: Numeric Expression

Specifies the vertical position of an image within a box.  Values range from -5.0 to 5.0, with 0.0 centering the image.

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxImageTranslationX

?BoxImageTranslationY


Route...

Graphics, Edit Box, Tools, Move.


For Example...

To move an image slightly up and to the left within a graphics box, the command sequence is:

BoxEdit

(

BoxNumber: 2

)

BoxImageMove

(

XPosition: 0.2;

YPosition: 0.2

)

BoxEnd

(

State: Save!

)


BoxImageRetrieve

Purpose

BoxImageRetrieve retrieves a specified image from a specific location.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxImageRetrieve (Action: Numeric Equivalent or Enumerated Type; Filename: Character Expression)

Parameters

Action: Numeric Equivalent or Enumerated Type

Specifies the current location of an image.

0	LeaveExternal!

1	MakeInternal!

2	UseInternal!

Filename: Character Expression

Specifies the filename of an image to retrieve.

See Also

BoxCreate

BoxEdit

BoxEnd


Route...

Graphics, Edit Box, Content, Content, Image, enter a filename.


For Example...

To retrieve an image named MOUNTAIN.WPG from the current document into another box created in the same document, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxImageRetrieve

(

Action: UseInternal!;

Filename: "MOUNTAIN.WPG"

)

BoxEnd

(

State: Save!

)


BoxImageRotate

Purpose

BoxImageRotate rotates a graphic image.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxImageRotate (Rotation: Numeric Expression)

Parameters

Rotation: Numeric Expression

Specifies a degree of rotation.  Values range from 0.0 to 359.0.

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxImageRotation


Route...

Graphics, Edit Box, Tools, Rotate.


For Example...

To rotate an image 90 degrees, the command sequence is:

BoxEdit

(

BoxNumber: 1

)

BoxImageRotate

(

Rotation: 90.0

)

BoxEnd

(

State: Save!

)


BoxImageSave

Purpose

BoxImageSave saves an image either with its current name or with a new name. It can also specify the graphics format.

This command is not recordable.  You must type it into a macro.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxImageSave (Filename: Character Expression)

Parameters

Filename: Character Expression

Names an image.

See Also

BoxCreate

BoxEdit

BoxEnd


For Example...

To save an image named FIREWORKS.WPG, the command sequence is:

BoxEdit

(

BoxNumber: 3

)

BoxImageSave

(

Filename: "FIREWORKS.WPG"

)

BoxEnd

(

State: Save!

)


BoxImageScaling

Purpose

BoxImageScaling scales an image within a graphics box.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxImageScaling (XScale: Numeric Expression; YScale: Numeric Expression)

Parameters

XScale: Numeric Expression

Specifies the width to which an image is scaled.  Values range from 0.01 to 9.99, with 1.0 being the default.

YScale:  Numeric Equivalent or Enumerated Type

Specifies the height to which an image is scaled.  Values range from 0.01 to 9.99, with 1.0 being the default.

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxImageScalingX

?BoxImageScalingY


Route...

Graphics, Edit Box, Tools, Scale.


For Example...

To scale an image to a width of 1.5 and a height of 1.2, the command is:

BoxEdit

(

BoxNumber: 2

)

BoxImageScaling

(

XScale: 1.5;

YScale: 1.2

)

BoxEnd

(

State: Save!

)


BoxImageShowBackground

Purpose

BoxImageShowBackground specifies whether any background colors or gradients saved with the original image are visible.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxImageShowBackground (State: Numeric Equivalent or Enumerated Type)

Parameters

State:  Numeric Equivalent or Enumerated Type

Specifies whether image backgrounds are visible.

0	No!

1	Yes!

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxImagePageBackground


Route...

Graphics, Edit Box, Tools, Image Settings, Miscellaneous, Use Page Background.


For Example...

To show an image background, the command sequence is:

BoxEdit

(

BoxNumber: 1

)

BoxImageShowBackground

(

State: Yes!

)

BoxEnd

(

State: Save!

)


BoxInitialStyleDlg

Purpose

BoxInitialStyleDlg displays the Text Box Initial Style dialog box.

A graphics box must be selected before this command can be executed.

You must type this command into a macro.  It is not recordable.

Syntax

BoxInitialStyleDlg ()


*** DELETED TOPIC ***


BoxOLEEditObject

Purpose

BoxOLEEditObject uses the OLE (Object Linking and Embedding) server to edit graphics box contents.

Syntax

BoxOLEEditObject ()


Route...

When a box contains an OLE object, choose Graphics, Edit Box, Content button, Edit.


BoxOverlap

Purpose

BoxOverlap specifies whether a graphics box is allowed to overlap other boxes.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxOverlap (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether the box is allowed to overlap other boxes.

0	No!

1	Yes!

See Also

BoxHorizontalAlignment

BoxHorizontalPosition

BoxVerticalAlignment

BoxVerticalPosition

?BoxOverlap


Route...

Graphics, Edit Box, Position, Page Anchor or Paragraph Anchor, select Allow Box to Overlap Other Boxes.


For Example...

To allow a graphics box to overlap other boxes, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxOverlap

(

State: Yes!

)

BoxEnd

(

State: Save!

)


BoxPosDlg

Purpose

BoxPosDlg displays the Box Position dialog box.

Syntax

BoxPosDlg ()


Route...

Graphics, select a box type, Position.


BoxResetBorder

Purpose

BoxResetBorder resets the border values for the current box to the border values for the corresponding box style. For example, border changes made to a specific figure box reset to the default border values assigned to the Figure Box style.

This command is not recordable.  You must type it into a macro.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxResetBorder ()

See Also

BoxCreate

BoxEdit

BoxEnd


BoxResetCaption

Purpose

BoxResetCaption resets the caption values for the current box to the caption values for the corresponding box style. For example, caption changes made to a specific text box reset to the default caption values assigned to the Text Box style.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxResetCaption ()

See Also

BoxCreate

BoxEdit

BoxEnd


Route...

Graphics, Edit Box, Caption, Reset.


BoxResetContent

Purpose

BoxResetContent resets the content values for the current box to the content values for the corresponding box style. For example, content changes made to a specific user box reset to the default content values assigned to the User Box style.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxResetContent ()

See Also

BoxCreate

BoxEdit

BoxEnd


Route...

Graphics, Edit Box, Content, Reset.


BoxResetContentRender

Purpose

BoxResetContentRender resets the content render values for the current box to the content render values for the corresponding box style. For example, content render changes made to a specific equation box reset to the default content render values assigned to the Equation Box style.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxResetContentRender ()

See Also

BoxCreate

BoxEdit

BoxEnd


Route...

After using the Tools palette to edit a graphic, choose Graphics, Edit Box, Tools, click the Reset button on the Tools palette.


BoxResetCounter

Purpose

BoxResetCounter resets the counter values for the current box to the counter values for the corresponding box style. For example, counter changes made to a specific equation box reset to the default counter values assigned to the Equation Box style.

This command is not recordable.  You must type it into a macro.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxResetCounter ()

See Also

BoxCreate

BoxEdit

BoxEnd


BoxResetFill

Purpose

BoxResetFill resets the fill values for the current box to the position values for the corresponding box style. For example, fill style changes made to a specified figure box reset to the default fill values assigned to the Figure Box style.

This command is not recordable.  You must type it into a macro.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxResetFill ()

See Also

BoxCreate

BoxEdit

BoxEnd


BoxResetPosition

Purpose

BoxResetPosition resets the position values for the current box to the position values for the corresponding box style. For example, position changes made to a specific figure box reset to the default position values assigned to the Figure Box style.

This command is not recordable.  You must type it into a macro.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxResetPosition ()

See Also

BoxCreate

BoxEdit

BoxEnd


BoxResetTextFlow

Purpose

BoxResetTextFlow resets the text flow values for the current box to the text flow values for the corresponding box style. For example, text flow changes made to a specific user box reset to the default text flow values assigned to the User Box style.

This command is not recordable.  You must type it into a macro.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxResetTextFlow ()

See Also

BoxCreate

BoxEdit

BoxEnd


BoxStyleCopy

Purpose

BoxStyleCopy copies the specified style from one location to another.

Syntax

BoxStyleCopy (Style: Character Expression; FromLibrary: Numeric Equivalent or Enumerated Type; ToLibrary: Numeric Equivalent or Enumerated Type; DestName: Character Expression)

Parameters

Style: Character Expression

Specifies the name of the style to copy.

FromLibrary:  Numeric Equivalent or Enumerated Type

Specifies the current location of the style to copy.

0	CurrentDocument!

1	PersonalLibrary!

2	SharedLibrary!

ToLibrary: Numeric Equivalent or Enumerated Type

Specifies the destination of the style to copy.

0	CurrentDocument!

1	PersonalLibrary!

2	SharedLibrary!

DestName: Character Expression (optional)

Specifies the new name to give to the style.  This parameter is only necessary if you want to place a second copy of the style in the same location.  The macro expects this parameter if the contents of the FromLibrary and ToLibrary parameters are the same.

See Also

BoxStyleCreate

BoxStyleDelete

BoxStyleEdit

GraphicBoxStyleDlg

BoxStyleRetrieve


Route...

Graphics, Graphics Styles, Box, select a Style, Options, Copy, enter a new style name.


For Example...

To copy a style named Original to a style named New, the command is:

BoxStyleCopy

(

Style: "Original";

FromLibrary: PersonalLibrary!;

ToLibrary: PersonalLibrary!;

DestName:"New"

)


BoxStyleCreate

Purpose

BoxStyleCreate specifies the name of the style to create.

Syntax

BoxStyleCreate (Style: Character Expression;  Library: Numeric Equivalent or Enumerated Type)

Parameters

Style: Character Expression

Specifies the name of the style to create.

Library: Numeric Equivalent or Enumerated Type

Specifies a library to contain the new style.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

BoxStyleDelete

GraphicBoxStyleDlg

BoxStyleEdit

BoxStyleRetrieve


Route...

Graphics, Graphics Styles, Box, Create, select options.


For Example...

To create a box style named NewBox, the command is:

BoxStyleCreate

(

Style: "NewBox";

Library: PersonalLibrary!

)


BoxStyleDelete

Purpose

BoxStyleDelete deletes a specified box style.

Syntax

BoxStyleDelete (Style: Character Expression; Library: Numeric Equivalent or Enumerated Type)

Parameters

Style: Character Expression

Specifies the name of the style to delete.

Library: Numeric Equivalent or Enumerated Type

Specifies a library from which to delete the style.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

BoxStyleCreate

GraphicBoxStyleDlg

BoxStyleEdit

BoxStyleRetrieve


Route...

Graphics, Graphics Styles, Box, select a style, Options, Delete.


For Example...

To delete a box style named OldBox, the command is:

BoxStyleDelete

(

Style: "OldBox";

Library: CurrentDoc!

)


BoxStyleEdit

Purpose

BoxStyleEdit initiates the editing of a specified style.

This command must be followed by style editing commands.

Syntax

BoxStyleEdit (Style: Numeric Equivalent or Enumerated Type or Character Expression; Library: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type or Character Expression

Specifies the name of the style to edit.  Select a numeric equivalent or enumerated type to specify styles provided by WordPerfect.  To edit a user-defined style, enclose the name in quotation marks.

0	FigureBox!

1	TableBox!

2	TextBox!

3	UserBox!

4	EquationBox!

5	ButtonBox!

6	WatermarkImageBox!

7	InlineEquationBox!

127	NoBox!

Library: Numeric Equivalent or Enumerated Type

Specifies the library containing the style to edit.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

BoxStyleCreate

BoxStyleDelete

BoxStyleEdit

BoxStyleEnd

BoxStyleRetrieve


Route...

Graphics, Graphics Styles, Box, select a style, Edit, select options.


For Example...

To edit a box style named Watermark, located in the Personal Library, the command is:

BoxStyleEdit

(

Style: "Watermark";

Library: PersonalLibrary!

)


BoxStyleEnd

Purpose

BoxStyleEnd specifies whether to save changes made to a box style.

This command must be preceded by BoxStyleCreate or BoxStyleEdit, and by style editing commands.

Syntax

BoxStyleEnd (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	Cancel!

1	Save!

See Also

BoxStyleCreate

BoxStyleEdit


Route...

Graphics, Graphics Styles, Box, select a style, Create or Edit, specify editing options.


For Example...

To save changes made to a box style named Watermark, the command sequence is:

BoxStyleEdit

(

Style: "Watermark";

Library: PersonalLibrary!

)

BoxBorder

(

Style: 5

)

BoxStyleEnd

(

State: Save!

)


BoxStyleName

Purpose

BoxStyleName names a style.

This command must be preceded by BoxStyleCreate.

Syntax

BoxStyleName (StyleName: Character Expression)

Parameters

StyleName: Character Expression

Specifies a new name for a style.

See Also

BoxStyleCreate


Route...

Graphics, Graphics Styles, Box, Create, enter a style name.


For Example...

To create a style named Portrait, the command sequence is:

BoxStyleCreate

(

Style: "unnamed";

Library: PersonalLibrary!

)

BoxStyleName

(

Style: "Portrait"

)


BoxStyleRetrieve

Purpose

BoxStyleRetrieve retrieves the specified style into the current document or your personal or shared style libraries.

Syntax

BoxStyleRetrieve (Filename: Character Expression; Library: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Specifies the style library containing the styles to retrieve.

Library: Numeric Equivalent or Enumerated Type

Specifies the location into which the style should be retrieved.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

BoxStyleCopy

BoxStyleSave


Route...

Graphics, Graphics Styles, Options, Retrieve, type a filename.


For Example...

To retrieve all styles in a style library named Retro into your Shared Style Library, the command is:

BoxStyleRetrieve

(

Filename: "Retro";

Library: SharedLibrary!

)


BoxStyleSave

Purpose

BoxStyleSave saves all styles from the current document or your personal or shared style libraries to the specified style library.

If the specified style library contains styles, they will be replaced.

Syntax

BoxStyleSave (Filename: Character Expression; Library: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Specifies the style library to which the styles are saved.

Library: Numeric Equivalent or Enumerated Type

Specifies the current location of the styles.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

BoxStyleCopy

BoxStyleRetrieve


Route...

Graphics, Graphics Styles, Options, Save As, type a filename.


For Example...

To save all in your Shared Style library to a style library named Award, the command is:

BoxStyleSave

(

Filename: "Award";

Library: SharedLibrary!

)


BoxTextAngle

Purpose

BoxTextAngle rotates the text in a graphics box.

This command must be preceded by BoxStyleCreate or BoxStyleEdit and followed by BoxEnd.

Syntax

BoxTextAngle (Angle: Numeric Equivalent or Enumerated Type)

Parameters

Angle: Numeric Equivalent or Enumerated Type

Specifies the degree to rotate the text in a graphics box.

0	None!

1	Degrees90!

2	Degrees180!

3	Degrees270!

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxTextAngle


Route...

Graphics, Edit Box, Content, select an option from Rotate Contents Counterclockwise.


For Example...

To rotate box text 180 degrees, the command sequence is:

BoxCreate

(

BoxType: TextBox!

)

BoxTextAngle

(

Angle: Degrees180!

)

BoxEnd

(

State: Save!

)


BoxTextDefaultStyle

Purpose

BoxTextDefaultStyle determines the default style for box text.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxTextDefaultStyle (Style: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies the default style for box text.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxTextDefaultStyle


Route...

Graphics, Graphics Styles, Box, select a style, Edit or Create a text box, Settings, Change, select a style, Apply.


For Example...

To specify Normal Style as the default for box text, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxTextDefaultStyle

(

Style: NormalStyle!

)

BoxEnd

(

State: Save!

)


BoxTextEdit

Purpose

BoxTextEdit opens a text box.

This command must be followed by commands which modify box contents, such as Type, and by BoxTextEditEnd.

You must type this command into a macro.  It is not recordable.

Syntax

BoxTextEdit ()

See Also

BoxTextEditEnd

BoxContentEdit


BoxTextEditEnd

Purpose

BoxTextEditEnd closes a text box.

This command must be preceded by BoxTextEdit and commands such as Type which modify box text.

You must type this command into a macro.  It is not recordable.

Syntax

BoxTextEditEnd ()

See Also

BoxTextEdit

SubstructureExit


BoxTextFilename

Purpose

BoxTextFilename specifies the name of a text file. To retrieve a text file, use FileRetrieve.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxTextFilename (Filename: Character Expression)

Parameters

Filename: Character Expression

Specifies the name of the text file.


Route...

Graphics, select a box type, select Text from the Content list box, enter a filename.


For Example...

To specify a text filename of DRAFT.FIL, the command sequence is:

BoxCreate

(

BoxType: TextBox!

)

RetrieveFile

(

Filename: "DRAFT.FIL"

)

BoxTextFilename

(

Filename: "DRAFT.FIL"

)

BoxEnd

(

State: Save!

)


BoxTextFlow

Purpose

BoxTextFlow specifies the flow or placement of text surrounding a graphics box.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxTextFlow (Wrap: Numeric Equivalent or Enumerated Type)

Parameters

Wrap: Numeric Equivalent or Enumerated Type

Specifies the location of the text flow surrounding a graphics box.

0	LargestSide!

1	LeftSide!

2	RightSide!

3	NeitherSide!

8	BothSides!

9	Columnar!

15	NoWrapping!

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxWrapping


Route...

Graphics, select a box type, Wrap, select a side to wrap text around.


For Example...

To allow text to wrap around the box, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxTextFlow

(

Direction: BothSides!

)

BoxEnd

(

State: Save!

)


BoxTextFlowContour

Purpose

BoxTextFlowContour determines whether text should be contoured to the shape of the graphics image. Contouring applies only to text outside of the box.

Syntax

BoxTextFlowContour ()

See Also

BoxTextFlow

BoxTextFlowSquare


Route...

Graphics, select a box type, Wrap, Contour.


BoxTextFlowSquare

Purpose

BoxTextFlowSquare determines whether text should be contoured to the square shape of the box.

BoxTextFlowSquare is only necessary if you have previously used BoxTextFlowContour.

Syntax

BoxTextFlowSquare ()

See Also

BoxTextFlow

BoxTextFlowContour


Route...

Graphics, choose a box type, Wrap, Square.


BoxUpdateDisplay

Purpose

BoxUpdateDisplay shows the most current version of a box.

Syntax

BoxUpdateDisplay ()


Route...

BoxUpdateDisplay records when a graphics box is updated, so the route will vary. For example, the following is one of many valid routes: Graphics, Edit Box, Size, specify box width or height.


BoxVerticalAlignment

Purpose

BoxVerticalAlignment aligns a graphics box relative to the page or character to which it is attached.  This command is not valid for graphics boxes that are attached to paragraphs.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxVerticalAlignment (Alignment: Numeric Equivalent or Enumerated Type; Offset: Numeric Expression)

Parameters

Alignment: Numeric Equivalent or Enumerated Type

Specifies the vertical position of a box.

1	Top!

2	Center!

4	Bottom!

6	Baseline!

7	FullAlign!

Offset: Numeric Expression (optional)

Specifies the distance a box is offset from the page.

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxVerticalAlignment

?BoxVerticalOffset


Route...

Graphics, select a box type, Position, select Vertical placement options.


For Example...

To vertically center a figure box that is attached to a page, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxVerticalAlignment

(

Alignment: Center!

)

BoxEnd

(

State: Save!

)


BoxVerticalPosition

Purpose

BoxVerticalPosition specifies the absolute vertical position of a graphics box from the top of a page or paragraph.  This command is not valid for boxes attached to characters.

To align a box relative to a page or character to which it is attached, use BoxVerticalAlignment.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxVerticalPosition (Alignment: Measurement Expression)

Parameters

Alignment: Measurement Expression

Specifies the vertical position of a box.

See Also

BoxCreate

BoxEdit

BoxEnd

BoxVerticalAlignment

TextBoxCreate


Route...

Graphics, select a box type, Position, select Put Box on Current Page and select Top of Page from the Vertical pop-up list or select Put Box in Current Paragraph, enter a measurement in the Vertical Place entry box.


For Example...

To position a text box three inches from the top of the page, the command sequence is:

TextBoxCreate ()

BoxAttachTo

(

Anchor: Page!

)

BoxVerticalPosition

(

Alignment: 3.0"

)

BoxEnd

(

State: Save!

)


BoxWidth

Purpose

BoxWidth sets the box width or allows WordPerfect to automatically set the width based on the box contents.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxWidth (Width: Numeric Equivalent or Enumerated Type or Numeric Expression)

Parameters

Width: Numeric Equivalent or Enumerated Type or Numeric Expression

Specifies the width of a graphics box.  Select a numeric equivalent or enumerated type to automatically set the width based on the width of the box contents.  Use a numeric expression if you want to set the width.

2	AutoWidth!

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxWidth


Route...

Graphics, select a box type, Size, select a width option.


For Example...

To set a figure box width to three inches, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxWidth

(

Width: 3"

)

BoxEnd

(

State: Save!

)


BoxWrapDlg

Purpose

BoxWrapDlg displays the Wrap Text dialog box.

Syntax

BoxWrapDlg ()


Route...

Graphics, select a box type, Wrap.


BulletDlg

Purpose

BulletDlg displays the Bullets & Numbers dialog box.

Syntax

BulletDlg ()


Route...

Insert, Bullets & Numbers.


ButtonBarAddItem

Purpose

ButtonBarAddItem adds an item, such as a button or a separator, to a Button Bar.

This command is not recordable.  You must type it into a macro.

You can use any combination of parameters to identify an item to add.  If the values contradict each other, this command ends the macro or redirects it to the LABEL specified by ONERROR.

Syntax

ButtonBarAddItem (ButtonBarName: Character Expression; Template: Numeric Equivalent or Enumerated Type; ItemName: Character Expression; Offset: Measurement Expression; Type: Numeric Equivalent or Enumerated Type; MacroName: Character Expression; ItemText: Character Expression; Prompt: Character Expression; HelpFile: Character Expression; HelpId: Character Expression; Script: Character Expression)

Parameters

ButtonBarName: Character Expression

Specifies a Button Bar to edit.

Template: Numeric Equivalent or Enumerated Type

Specifies the location of the Button Bar.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

ItemName: Character Expression

Specifies an item to add.  For predefined items, use a macro command name.

Offset: Measurement Expression (optional)

Specifies the placement of the added item, with 0 indicating the first position.  If no value is specified, the item is added at the end of the Button Bar.

Type: Numeric Equivalent or Enumerated Type

Specifies the type of item added.

0	Macro!

1	Separator!

2	Feature!

3	Script!

4	Launch!

MacroName: Character Expression (optional)

Specifies a macro when the added item is a macro.

ItemText: Character Expression (optional)

Specifies the text displayed on a user-defined item.

Prompt: Character Expression (optional)

Specifies text to display in the status bar for the added item.

HelpFile: Character Expression (optional)

Unused in the current version of the application.  Specifies a Help file to use if Help is the added item.

HelpId: Character Expression (optional)

Unused in the current version of the application.  Specifies the ID number of the Help file specified in the HelpFile parameter.

Script: Character Expression (optional)

Specifies script text when the added item is a keyboard script.

See Also

ButtonBarDeleteItem


For Example...

To add a Save All button to the end of a Button Bar named BUTTONS, when BUTTONS is the currently selected Button Bar, the command is:

ButtonBarAddItem (

ButtonBarName: "BUTTONS";

Template: CurrentDoc!;

ItemName: "SaveAll";

Type: Script!)


ButtonBarCreateDlg

Purpose

ButtonBarCreateDlg displays the Create Button Bar dialog box.

You must type this command into a macro.  It is not recordable.

Syntax

ButtonBarCreateDlg ()


ButtonBarDeleteItem

Purpose

ButtonBarDeleteItem removes an item from a Button Bar.  If no parameters are specified, this command removes the last item from the current Button Bar.

This command is not recordable.  You must type it into a macro.

You can use any combination of parameters to identify an item to delete.  If the values contradict each other, this command ends the macro or redirects it to the LABEL specified by ONERROR.

Syntax

ButtonBarDeleteItem (ButtonBarName: Character Expression; Template: Numeric Equivalent or Enumerated Type; ItemName: Character Expression; Offset: Measurement Expression)

Parameters

ButtonBarName: Character Expression (optional)

Specifies a Button Bar to edit.

Template: Numeric Equivalent or Enumerated Type (optional)

Specifies the location of a Button Bar to edit.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

ItemName: Character Expression (optional)

Specifies an item to remove.  For predefined items, use a macro name.

Offset: Measurement Expression (optional)

Specifies the placement of an item to remove, with 0 indicating the first position.

See Also

ButtonBarAddItem


For Example...

To delete the Save All button from the sixth position of a Button Bar named BUTTONS, the command is:

ButtonBarDeleteItem (

ButtonBarName: "BUTTONS";

Template: CurrentDoc!;

ItemName: "SaveAll";

Offset: 5)


ButtonBarEditDlg

Purpose

ButtonBarEditDlg displays the Button Bar Editor-WordPerfect dialog box.

You must type this command into a macro.  It is not recordable.

Syntax

ButtonBarEditDlg ()


ButtonBarOptionsDlg

Purpose

ButtonBarOptionsDlg displays the Button Bar Options dialog box.

This command is not recordable.  You must type it into a macro.

Syntax

ButtonBarOptionsDlg ()


ButtonBarSelect

Purpose

ButtonBarSelect selects a specified Button Bar.

 Syntax

ButtonBarSelect (ButtonBarName: Character Expression)

Parameters

ButtonBarName: Character Expression

Specifies a Button Bar to select.


Route...

File, Preferences, Button Bar icon, highlight a Button Bar, Select.


For Example...

To select a Button Bar named MyMacros, the command is:

ButtonBarSelect

(

ButtonBarName: "MyMacros"

)


ButtonBarSetFont

Purpose

ButtonBarSetFont specifies a Button Bar font.

Syntax

ButtonBarSetFont (Font: Character Expression; Size: Numeric Expression)

Parameters

Font: Character Expression

Specifies the name of a Button Bar font.

Size: Numeric Expression

Specifies the point size of a Button Bar font.

See Also

ButtonBarSetLocation

ButtonBarSetRows

ButtonBarSetStyle


Route...

File, Preferences, Button Bar icon, select a Button Bar, Options, select a font face, select a font size.


For Example...

To specify 14 point Courier as the current Button Bar font, the command is:

ButtonBarSetFont

(

Font: "Courier";

Size: 14

)


ButtonBarSetLocation

Purpose

ButtonBarSetLocation specifies a Button Bar location.

Syntax

ButtonBarSetLocation: (Location: Numeric Equivalent or Enumerated Type)

Parameters

Location: Numeric Equivalent or Enumerated Type

Specifies the location of the current Button Bar.

256	Palette!

512	Left!

1024	Top!

2048	Right!

4096	Bottom!

See Also

ButtonBarSetFont

ButtonBarSetRows

ButtonBarSetStyle


Route...

File, Preferences, Button Bar icon, select a Button Bar, Options, select a location.


For Example...

To display a Button Bar on the left side of the screen, the command is:

ButtonBarSetLocation

(

Location: Left!

)


ButtonBarSetRows

Purpose

ButtonBarSetRows specifies the number of rows to show on a Button Bar.

Syntax

ButtonBarSetRows (Rows: Numeric Expression)

Parameters

Rows: Numeric Expression

Specifies the number of rows to show on the current Button Bar.

See Also

ButtonBarSetFont

ButtonBarSetLocation

ButtonBarSetStyle


Route...

File, Preferences, Button Bar icon, select a Button Bar, Options, Maximum Number of Rows/Columns to Show.


For Example...

To specify a maximum of two rows to show on the current Button Bar, the command is:

ButtonBarSetRows

(

Rows: 2

)


ButtonBarSetStyle

Purpose

ButtonBarSetStyle specifies a Button Bar style.

Syntax

ButtonBarSetStyle (Style: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies the current Button Bar style.

1	Picture!

2	Text!

3	PictureAndText!

See Also

ButtonBarSetFont

ButtonBarSetLocation

ButtonBarSetRows


Route...

File, Preferences, Button Bar icon, select a Button Bar, Options, select Text, Picture, or Picture and Text.


For Example...

To specify a picture-style Button Bar, the command is:

ButtonBarSetStyle

(

Style: Picture!

)


ButtonBarShow

Purpose

ButtonBarShow specifies whether to display the Button Bar.

Syntax

ButtonBarShow(State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	Off!

1	On!


Route...

View, Button Bar.


For Example...

To display a Button Bar, the command is:

ButtonBarShow

(

State: On!

)


ButtonBarShowToggle

Purpose

ButtonBarShowToggle specifies whether to show a Button Bar.

You must type this command into a macro.  It is not recordable. For a recordable command, use ButtonBarShow

Syntax

ButtonBarShowToggle ()

See Also

ButtonBarShow


*** DELETED TOPIC ***


CaseToggle

Purpose

CaseToggle changes selected text to uppercase or lowercase letters.

You must type this command into a macro.  It is not recordable.

Syntax

CaseToggle ()


*** DELETED TOPIC ***


Center

Purpose

Center centers one line of text.

Syntax

Center ()

See Also

CenterCurrentPage

CenterPages


Route...

Layout, Line, Center.


CenterCurrentPage

Purpose

CenterCurrentPage determines whether to vertically center the current page.

Syntax

CenterCurrentPage (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to vertically center the contents of the current page.

0	Off!

1	On!

See Also

CenterPages

?CenterCurrentPage


Route...

Layout, Page, Center, Current Page.


For Example...

To vertically center the current page, the command is:

CenterCurrentPage

(

State: On!

)


CenterPageDlg

Purpose

CenterPageDlg displays the Center Page(s) dialog box.

Syntax

CenterPageDlg ()


Route...

Layout, Page, Center.


CenterPages

Purpose

CenterPages determines whether the current page and all subsequent pages center vertically.

Syntax

CenterPages (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Designates whether to center all pages vertically in a current document.

0	Off!

1	On!

See Also

Center

CenterCurrentPage

?CenterPages


Route...

Layout, Page, Center, Current and Subsequent Pages.


For Example...

To vertically center all pages in the current document, the command is:

CenterPages

(

State: On!

)


ChapterNumber

Purpose

ChapterNumber specifies a chapter number.

Syntax

ChapterNumber (Chapter: Numeric Expression)

Parameters

Chapter: Numeric Expression

Specifies a chapter number.

See Also

ChapterNumberDecrement

ChapterNumberDisplay

ChapterNumberIncrement

ChapterNumberMethod

?ChapterNumber


Route...

Layout, Page, Numbering, Value, New Chapter Number, specify number.


For Example...

To specify chapter 5, the command is:

ChapterNumber

(

Chapter: 5

)


ChapterNumberDecrement

Purpose

ChapterNumberDecrement decreases the chapter number by one.

Syntax

ChapterNumberDecrement ()

See Also

ChapterNumber

ChapterNumberDisplay

ChapterNumberIncrement

ChapterNumberMethod


Route...

Layout, Page, Numbering, Value, specify a negative existing chapter number.


ChapterNumberDisplay

Purpose

ChapterNumberDisplay displays the chapter number at the insertion point.

Syntax

ChapterNumberDisplay ()

See Also

ChapterNumber

ChapterNumberDecrement

ChapterNumberIncrement

ChapterNumberMethod


Route...

Layout, Page, Numbering, Value, select Insert and Display at Insertion Point from the Chapter Settings group box.


ChapterNumberIncrement

Purpose

ChapterNumberIncrement increases the chapter number by one.

Syntax

ChapterNumberIncrement ()

See Also

ChapterNumber

ChapterNumberDecrement

ChapterNumberDisplay

ChapterNumberMethod


Route...

Layout, Page, Numbering, Value, select Increase/Decrease Existing Chapter Number from the Chapter Settings group box, specify a positive number.


ChapterNumberMethod

Purpose

ChapterNumberMethod specifies the method of numbering a chapter.

Syntax

ChapterNumberMethod (Method: Numeric Equivalent or Enumerated Type)

Parameters

Method: Numeric Equivalent or Enumerated Type

Designates the numbering method for a current chapter.

0	Numbers!

1	LowerLetters!

2	UpperLetters!

3	LowerRoman!

4	UpperRoman!

See Also

ChapterNumber

ChapterNumberDecrement

ChapterNumberDisplay

ChapterNumberIncrement

?ChapterNumberMethod


Route...

Layout, Page, Numbering, Options, Chapter, select method.


For Example...

To select uppercase roman numerals as the numbering method, the command is:

ChapterNumberMethod

(

Method: UpperRoman!

)


Char

Purpose

Char prompts the user for a keystroke. The ASCII numeric equivalent of the keystroke is then assigned to the variable specified in the Character parameter.

Only one character is accepted and assigned to the variable. If you enter more than one character, only the first is accepted.

You must type this command into a macro.  It is not recordable.

Syntax

Char (Character: Variable; Prompt: Character Expression)

Parameters

Character: Variable

Specifies a variable to which the ASCII numeric equivalent of a keystroke is assigned. Any variable is valid for this parameter.

Prompt: Character Expression

Specifies a prompt to display above the entry field.

See Also

SWITCH

GETNUMBER

GETSTRING

IF


For Example...

To get the ASCII numeric equivalent of the letter A and assign it to the variable vNum, the command is:

Char

(

Character: vNum;

Prompt: "Enter a character"

)


CharMappingDlg

Purpose

CharMappingDlg displays the Document Character Map dialog box.

Syntax

CharMappingDlg ()


Route...

Layout, Document, Character Mapping.


ClearDoc

Purpose

ClearDoc closes the current document without saving and leaves the current window open.

You must type this command into a macro.  It is not recordable.

Syntax

ClearDoc ()


ClipboardAppendTo

Purpose

ClipboardAppendTo adds the contents of the current document to the clipboard.

You must type this command into a macro.  It is not recordable.

Syntax

ClipboardAppendTo ()

See Also

Append

ClipboardRetrieve

ClipboardSaveTo


ClipboardRetrieve

Purpose

ClipboardRetrieve inserts clipboard contents at the insertion point.

You must type this command into a macro.  It is not recordable.

Syntax

ClipboardRetrieve ()

See Also

Append

ClipboardAppendTo

ClipboardSaveTo


ClipboardSaveTo

Purpose

ClipboardSaveTo saves selected text or graphics to the clipboard, replacing existing clipboard contents.

You must type this command into a macro.  It is not recordable.

If you do not select text or graphics before using this command, macro execution terminates or continues to a LABEL specified by ONERROR.

Syntax

ClipboardSaveTo ()

See Also

Append

ClipboardAppendTo

ClipboardRetrieve


Close

Purpose

Close closes the current window or text editor.

Syntax

Close(Save: Numeric Equivalent or Enumerated Type)

Parameters

Save: Numeric Equivalent or Enumerated Type (optional)

Determines whether to save changes.  You are prompted to save document if parameter is omitted.

0	No!

1	Yes!

See Also

CloseNoSave


Route...

File, Close.


For Example...

To save and close the current window, the command is:

Close

(

Save: Yes!

)


CloseGraphicsControlBar

Purpose

CloseGraphicsControlBar closes the Graphics Control Bar.

Syntax

CloseGraphicsControlBar ()


Route...

Choose Close on the Graphics Control Bar.


CloseNoSave

Purpose

CloseNoSave closes the active document without saving it.

Syntax

CloseNoSave (Verify: Numeric Equivalent or Enumerated Type)

Parameters

Verify: Numeric Equivalent or Enumerated Type (optional)

Verifies that the user wants to close the current document without saving.  You are not prompted to save the document if this parameter is omitted.

0	No!

1	Yes!


Route...

Press Ctrl+Shift+F4.


For Example...

To be prompted before closing the current document, the command is:

CloseNoSave

(

Verify: Yes!

)


CodePage

Purpose

CodePage specifies code page preferences.

Syntax

CodePage (Dos: Numeric Expression; Windows: Numeric Expression; InputFile: Numeric Expression; OutputFile: Numeric Expression)

Parameters

Dos: Numeric Expression

Specifies a DOS code page setting. Use the following numbers to specify code page settings:

333	Europa

437	US IBM Default

710	Arabic

850	PC Multilingual

8510	Alternate Greek

852	Eastern Europe

853	Turkish

860	Portugal

8600	Alternate Portugal

8601	Alternate Portugal

861	Icelandic

862	Hebrew

863	Canada/French

865	Norway

866	Cyrillic

8660	Alternate Cyrillic

895	Czech-Kamenicky

897	Hungarian

Windows: Numeric Expression

Specifies a windows code page setting.  Use the following numbers to specify code page settings:

1004	Windows US

1250	Windows Latin-2

1251	Windows Cyrillic

1252	Windows US Standard

1253	Windows Greek

1254	Windows Turkish

ISO 8859-1	Latin #1

ISO 8859-2	Latin #2

ISO 8859-6	Latin/Arabic

ISO 8859-7	Latin/Greek

ISO 8859-8	Latin/Hebrew

InputFile: Numeric Expression

Specifies an input file code page setting.  Use any code number listed for the DOS or Windows parameter.

OutputFile: Numeric Expression

Specifies an output file code page setting.  Use any code number listed for the DOS or Windows parameter.


Route...

File, Preferences, Environment, Code Page, select options from the Code Page Settings pop-up lists.


For Example...

To specify a Cyrillic code page setting for DOS, windows, input files, and output files, the command is:

CodePage:

(

Dos: 866;

Windows: 1251;

InputFile: 866;

OutputFile: 866

)


CodePageDlg

Purpose

CodePageDlg displays the Code Page Preferences dialog box.

This command is not recordable.  You must type it into a macro.

Syntax

CodePageDlg ()


ColorAdd

Purpose

ColorAdd adds a color to a color palette.

You must type this command into a macro.  It is not recordable.

Syntax

ColorAdd (PaletteName: Character Expression; PositionIndex: Numeric Expression; Red: Numeric Expression; Green: Numeric Expression; Blue: Numeric Expression; ColorName: Character Expression)

Parameters

PaletteName: Character Expression

Names a color palette.

PositionIndex: Numeric Expression

Specifies the color position in the palette.

Red: Numeric Expression

Specifies the amount of red in a color. Values range from 0 to 255.

Green: Numeric Expression

Specifies the amount of green in a color. Values range from 0 to 255.

Blue: Numeric Expression

Specifies the amount of blue in a color. Values range from 0 to 255.

ColorName: Character Expression

Names the new color.

See Also

ColorDelete

ColorModify


For Example...

To add a color named Autumn to a palette named Seasons, the command is:

ColorAdd

(

PaletteName: "Seasons";

PositionIndex: 0;

Red: 251;

Green: 160;

Blue: 90;

ColorName: "Autumn"

)


ColorDelete

Purpose

ColorDelete removes a color from a color palette.

You must type this command into a macro.  It is not recordable.

Syntax

ColorDelete (PaletteName: Character Expression; ColorName: Character Expression)

Parameters

PaletteName: Character Expression

Specifies a palette to delete a color from.

ColorName: Character Expression

Specifies a color to delete.

See Also

ColorAdd

ColorModify


For Example...

To delete the color Cyan from a palette named Crayons, the command is:

ColorDelete

(

PaletteName: "Crayon";

ColorName: "Cyan"

)


ColorModify

Purpose

ColorModify modifies and renames a color.

You must type this command into a macro.  It is not recordable.

Syntax

ColorModify (PaletteName: Character Expression; OldColorName: Character Expression; Red: Numeric Expression; Green: Numeric Expression; Blue: Numeric Expression; NewColorName: Character Expression)

Parameters

PaletteName: Character Expression

Names a color palette.

OldColorName: Character Expression

Specifies a color to modify.

Red: Numeric Expression

Specifies the amount of red in a color. Values range from 0 to 255.

Green: Numeric Expression

Specifies the amount of green in a color. Values range from 0 to 255.

Blue: Numeric Expression

Specifies the amount of blue in a color. Values range from 0 to 255.

NewColorName: Character Expression

Renames a modified color.

See Also

ColorAdd

ColorDelete


For Example...

To modify Black in a palette named Crayons and rename the color Slate, the command is:

ColorModify

(

PaletteName: "Crayons";

OldColorName: "Black";

Red: 51;

Green: 91;

Blue: 91;

NewColorName: "Slate"

)


ColorPaletteCreate

Purpose

ColorPaletteCreate names a palette to create, usually in conjunction with other commands such as ColorAdd.

You must type this command into a macro.  It is not recordable.

Syntax

ColorPaletteCreate (PaletteName: Character Expression)

Parameters

PaletteName: Character Expression

Names a new palette.

See Also

ColorAdd

ColorDelete

ColorModify

ColorPaletteDelete

ColorPaletteRename

ColorPaletteSelect


For Example...

To create a palette named Hues of Blue, the command is:

ColorPaletteCreate

(

PaletteName: "Hues of Blue"

)


ColorPaletteDelete

Purpose

ColorPaletteDelete names a palette to delete.

You must type this command into a macro.  It is not recordable.

Syntax

ColorPaletteDelete (PaletteName: Character Expression)

Parameters

PaletteName: Character Expression

Names a palette to delete.

See Also

ColorPaletteCreate

ColorPaletteRename

ColorPaletteSelect


For Example...

To delete a palette named Hues of Blue, the command is:

ColorPaletteDelete

(

PaletteName: "Hues of Blue"

)


ColorPaletteDlg

Purpose

ColorPaletteDlg displays the Define Color Printing Palette dialog box.

You must type this command into a macro.  It is not recordable.

Syntax

ColorPaletteDlg ()


Route...

Graphics, Graphics Styles, Fill, Create or Edit, Palette.


ColorPaletteRename

Purpose

ColorPaletteRename renames an existing palette.

You must type this command into a macro.  It is not recordable.

Syntax

ColorPaletteRename (OldPaletteName: Character Expression; NewPaletteName: Character Expression)

Parameters

OldPaletteName: Character Expression

Specifies the current name of a palette.

NewPaletteName: Character Expression

Specifies a new name for a palette.

See Also

ColorPaletteCreate

ColorPaletteDelete

ColorPaletteSelect


For Example...

To change the name Jeff's Palette to Edward's Palette, the command is:

ColorPaletteRename

(

OldPaletteName: "Jeff's Palette";

NewPaletteName: "Edward's Palette"

)


ColorPaletteSelect

Purpose

ColorPaletteSelect names a palette to select.

Syntax

ColorPaletteSelect (PaletteName: Character Expression)

Parameters

PaletteName: Character Expression

Specifies a palette to select.

See Also

ColorPaletteCreate

ColorPaletteDelete

ColorPaletteRename


Route...

Graphics, Graphics Styles, Fill, Create or Edit, Palette, Open, select a palette.


For Example...

To select a palette named Multi-Colors, the command is:

ColorPaletteSelect

(

PaletteName: "Multi-Colors"

)


ColumnBorderDlg

Purpose

ColumnBorderDlg displays the Column Border dialog box.

Syntax

ColumnBorderDlg ()


Route...

Layout, Columns, Border/Fill.


ColumnDefineDlg

Purpose

ColumnDefineDlg displays the Columns dialog box.

Syntax

ColumnDefineDlg ()

See Also

ColumnsDefinition


Route...

Layout, Columns, Define.


ColumnsDefinition

Purpose

ColumnsDefinition defines columns.

Syntax

ColumnsDefinition (ColumnsType: Numeric Equivalent or Enumerated Type; VerticalSpacing: Numeric Expression; {Spacing: Measurement Expression; SpacingDef: Numeric Equivalent or Enumerated Type})

Parameters

ColumnsType: Numeric Equivalent or Enumerated Type

Defines a column type.

0	Newspaper!

1	NewspaperBalanced!

2	Parallel!

3	ParallelBlockProtect!

VerticalSpacing: Numeric Expression

Specifies the spacing between sections of text in parallel columns.

Spacing: Measurement Expression

Alternates between specifying the width of each column and the desired space between the columns.  This parameter is always paired with the SpacingDef parameter.  Enclose Spacing and SpacingDef parameters in braces ({}) separated by semicolons.  For multiple columns, alternate Spacing and SpacingDef parameters.

SpacingDef: Numeric Equivalent or Enumerated Type

Specifies whether or not the width of the column or the space between columns is fixed.  This parameter is always paired with the Spacing parameter.  Enclose Spacing and SpacingDef parameters in braces ({}) separated by semicolons.  For multiple columns, alternate Spacing and SpacingDef parameters.

0	NotFixed!

1	Fixed!

See Also

ColumnsOff


Route...

Layout, Columns, Define, select column type, select number of columns, specify Width and Fixed options for each column, specify Spacing Between Columns, specify Spacing Between Rows in Parallel Columns (if applicable).


For Example...

To define columns, the command is:

ColumnsDefinition

(

ColumnsType: Newspaper!;

VerticalSpacing: 1.0;

{

Spacing: 3.125";

SpacingDef: NotFixed!;

Spacing: 0.25";

SpacingDef: Fixed!;

Spacing: 3.125";

SpacingDef: NotFixed!

}

)


ColumnsOff

Purpose

ColumnsOff turns off Columns.

Syntax

ColumnsOff ()

See Also

ColumnsDefinition


Route...

Layout, Columns, Off.


CommentConvert

Purpose

CommentConvert converts a comment to text.

Syntax

CommentConvert ()

See Also

CommentEdit


Route...

Insert, Comment, Convert to Text.


CommentCreate

Purpose

CommentCreate opens a new comment window.

Syntax

CommentCreate ()

See Also

CommentEdit

CommentConvert

CommentInformation


Route...

Insert, Comment, Create.


CommentEdit

Purpose

CommentEdit opens the comment editing screen to edit.

Syntax

CommentEdit ()

See Also

CommentConvert


Route...

Insert, Comment, Edit.


CommentInformation

Purpose

CommentInformation displays the Comment Information dialog box.

This command is not recordable.  You must type it into a macro.

Syntax

CommentInformation ()


CommentInsertTime

Purpose

CommentInsertTime inserts the current time into a comment.

Syntax

CommentInsertTime ()

See Also

CommentCreate

CommentEdit

CommentInsertUserInitials

CommentInsertUserName


Route...

Insert, Comment, Create or Edit, Time.


CommentInsertUserInitials

Purpose

CommentInsertUserInitials inserts the user initials specified in the Environment Preferences dialog box into a comment.

Syntax

CommentInsertUserInitials ()

See Also

CommentCreate

CommentEdit

CommentInsertTime

CommentInsertUserName


Route...

Insert, Comment, Create or Edit, Initials.


CommentInsertUserName

Purpose

CommentInsertUserName inserts the user name specified in the Environment Preferences dialog box into a comment.

Syntax

CommentInsertUserName ()

See Also

CommentCreate

CommentEdit

CommentInsertTime

CommentInsertUserInitials


Route...

Insert, Comment, Create or Edit, Name.


ConditionalEndOfPage

Purpose

ConditionalEndOfPage keeps a specified number of lines together at a page break. If a page break falls between the lines, the lines move to the next page.

Syntax

ConditionalEndOfPage (LinesTogether: Numeric Expression)

Parameters

LinesTogether: Numeric Expression

Specifies the number of lines.


Route...

Layout, Page, Keep Text Together, specify a number of lines.


For Example...

To keep ten lines of text together, the command is:

ConditionalEndOfPage

(

LinesTogether: 10

)


ConvertCaseInitialCaps

Purpose

ConvertCaseInitialCaps converts selected text to lowercase but capitalizes the first letter of each word.

Syntax

ConvertCaseInitialCaps ()

See Also

ConvertCaseLowercase

ConvertCaseUppercase


Route...

Edit, Convert Case, Initial Capitals.


ConvertCaseLowercase

Purpose

ConvertCaseLowercase converts selected text to lowercase, except the first word of each sentence and "I" and its forms, such as "I'm" and "I've."

Syntax

ConvertCaseLowercase ()

See Also

ConvertCaseInitialCaps

ConvertCaseUppercase


Route...

Edit, Convert Case, Lowercase.


ConvertCaseUppercase

Purpose

ConvertCaseUppercase converts selected text to uppercase.

Syntax

ConvertCase ()

See Also

ConvertCaseInitialCaps

ConvertCaseLowercase


Route...

Edit, Convert Case, Uppercase.


Copy

Purpose

Copy duplicates blocked text and is used with Paste to retrieve the duplicated text.

You must type this command into a macro.  It is not recordable. To record a command with similar functionality, use EditCopy.

Syntax

Copy ()

See Also

EditCopy


CopyAndPaste

Purpose

CopyAndPaste copies selected text to the Clipboard.  Use EditPaste or MoveModeEnd to paste the copied text in the current document.

This command is not recordable, and it is included only for compatibility with the WordPerfect for DOS macro language.  You must type it into a macro.  For recordable commands that serve the same function, use EditCopy and EditPaste.

Syntax

CopyAndPaste ()

See Also

EditCopy

EditPaste

MoveModeEnd


CounterCreate

Purpose

CounterCreate specifies a graphics box reference number.

Syntax

CounterCreate (CounterName: Numeric Equivalent or Enumerated Type or Character Expression; {Method: Numeric Equivalent or Enumerated Type})

Parameters

CounterName: Numeric Equivalent or Enumerated Type or Character Expression

Specifies a counter value.  Use a character expression to create and name a user-defined counter.

0	None!

1	FigureCounter!

2	TableBoxCounter!

3	TextBoxCounter!

4	UserBoxCounter!

5	EquationCounter!

Method:  Numeric Equivalent or Enumerated Type

Specifies a numbering method. To specify different numbering methods for level, repeat the method parameter. Enclose the repeated parameters in braces, and place a semicolon between each method.

0	Numbers!

1	LowLetter!

2	UpLetter!

3	LowRoman!

4	UpRoman!

See Also

CounterDelete

CounterSetMethod

CounterSetValue


Route...

Insert, Other, Counter, Create, type a name.


For Example...

To specify a graphics box reference number, and to specify lowercase letters for level 1 and lowercase roman numerals for level 2, the command is:

CounterCreate

(

CounterName: UserBoxCounter!;

{

Method: LowLetter!

Method: LowRoman!

}

)


CounterDecrement

Purpose

CounterDecrement decreases a counter by one.

Syntax

CounterDecrement (CounterName: Numeric Equivalent or Enumerated Type or Character Expression; Level: Numeric Expression)

Parameters

CounterName: Numeric Equivalent or Enumerated Type or Character Expression

Specifies a counter value.

0	None!

1	FigureCounter!

2	TableBoxCounter!

3	TextBoxCounter!

4	UserBoxCounter!

5	EquationCounter!

Level: Numeric Expression

Specifies a level to decrease.

See Also

CounterIncrement

CounterSetValue


Route...

Insert, Other, Counter, select a counter type, Decrease.


For Example...

To decrease a counter by one, the command is:

CounterDecrement

(

CounterName: FigureCounter!;

Level: 1

)


CounterDelete

Purpose

CounterDelete specifies a counter value to delete.

This command accepts either a character expression, if the counter is a user-defined counter, a numeric equivalent, or an enumerated type. If a numeric equivalent or enumerated type is specified, the counter resets and does not delete.

Syntax

CounterDelete (CounterName: Numeric Equivalent or Enumerated Type or Character Expression)

Parameters

CounterName: Numeric Equivalent or Enumerated Type or Character Expression

Specifies a counter to delete.  This can be a character expression specifying a user-defined counter, a numeric equivalent, or an enumerated type.

0	None!

1	FigureCounter!

2	TableBoxCounter!

3	TextBoxCounter!

4	UserBoxCounter!

5	EquationCounter!

See Also

CounterCreate


Route...

Insert, Other, Counter, select a counter type, Delete.


For Example...

To delete a counter, the command is:

CounterDelete

(

CounterName: "My Counter"

)


CounterDisplay

Purpose

CounterDisplay displays the counter value of a graphics box or user-defined counter.

Syntax

CounterDisplay (CounterName: Numeric Equivalent or Enumerated Type or Character Expression; Level: Numeric Expression)

Parameters

CounterName: Numeric Equivalent or Enumerated Type or Character Expression

Specifies a counter value.  This parameter can be a character expression specifying a user-defined counter, a numeric equivalent, or an enumerated type.

0	None!

1	FigureCounter!

2	TableBoxCounter!

3	TextBoxCounter!

4	UserBoxCounter!

5	EquationCounter!

Level: Numeric Expression

Specifies a level of the graphics box counter to display.


Route...

Insert, Other, Counter, select a counter, Display in Document.


For Example...

To display the counter value of a graphics box or user-defined counter, the command is:

CounterDisplay

(

CounterName: "My Counter";

Level: 1

)


CounterDlg

Purpose

CounterDlg displays the Counter Numbering dialog box.

Syntax

CounterDlg ()


Route...

Insert, Other, Counter.


CounterEditLevel

Purpose

CounterEditLevel specifies the number of levels a counter contains.

Syntax

CounterEditLevel (CounterName: Numeric Equivalent or Enumerated Type or Character Expression; NewNumLvls: Numeric Expression)

Parameters

CounterName: Numeric Equivalent or Enumerated Type or Character Expression

Specifies a counter value type.  This can be a character expression specifying a user-defined counter, a numeric equivalent, or an enumerated type.

0	None!

1	FigureCounter!

2	TableBoxCounter!

3	TextBoxCounter!

4	UserBoxCounter!

5	EquationCounter!

NewNumLvls:  Numeric Equivalent or Enumerated Type

Specifies a counter level to display.

See Also

CounterEditLevelMethod

CounterEditLevelName


Route...

Insert, Other, Counter, select a counter, Edit, Levels, specify a number of levels.


For Example...

To specify the number of levels a counter contains, the command is:

CounterEditLevel

(

CounterName: FigureCounter!;

NewNumLvls: 2

)


CounterEditLevelMethod

Purpose

CounterEditLevelMethod changes the numbering method for a counter level.

This command is only available when the counter has more than one level.

Syntax

CounterEditLevelMethod (CounterName: Numeric Equivalent or Enumerated Type or Character Expression; LevelNum: Numeric Expression; NewMethod: Numeric Equivalent or Enumerated Type)

Parameters

CounterName: Numeric Equivalent or Enumerated Type or Character Expression

Specifies a graphics box type.  This can be a character expression specifying a user-defined counter, a numeric equivalent, or an enumerated type.

0	None!

1	FigureCounter!

2	TableBoxCounter!

3	TextBoxCounter!

4	UserBoxCounter!

5	EquationCounter!

LevelNum: Numeric Expression

Specifies level number.

NewMethod: Numeric Equivalent or Enumerated Type

Specifies a display type for the counter.

0	Numbers!

1	LowLetter!

2	UpLetter!

3	LowRoman!

4	UpRoman!

See Also

CounterEditMethod


Route...

Insert, Other, Counter, select a counter, Edit, select a numbering method.


For Example...

To change the numbering method for a counter level, the command is:

CounterEditLevelMethod

(

CounterName: FigureCounter!;

LevelNum: 2;

NewMethod: UpLetter!

)


CounterEditLevelName

Purpose

CounterEditLevelName renames a counter level type.  This command is only available if the counter has more than one level.

Syntax

CounterEditLevelName (OldCounterName: Numeric Equivalent or Enumerated Type or Character Expression; OldLevelName: Character Expression; NewLevelName: Character Expression)

Parameters

OldCounterName: Numeric Equivalent or Enumerated Type or Character Expression

Specifies a type of counter. This can be a character expression specifying a user-defined counter, a numeric equivalent, or an enumerated type.

0	None!

1	FigureCounter!

2	TableBoxCounter!

3	TextBoxCounter!

4	UserBoxCounter!

5	EquationCounter!

OldLevelName: Character Expression

Specifies the old name of a graphics box counter type.

NewLevelName: Character Expression

Specifies the new name of a graphics box counter type.

See Also

CounterEditName


Route...

Insert, Other, Counter, select a counter with more than one level, Edit, select the text in a Level Name text box, enter a new name.


For Example...

To rename a counter level type when the counter has more than one level, the command is:

CounterEditLevelName

(

OldCounterName: "My Box";

OldLevelName: "Level 1";

NewLevelName: "First Level"

)


CounterEditMethod

Purpose

CounterEditMethod changes the numbering method for a specified counter.

Syntax

CounterEditMethod (CounterName: Numeric Equivalent or Enumerated Type or Character Expression; NewMethod: Numeric Equivalent or Enumerated Type)

Parameters

CounterName: Numeric Equivalent or Enumerated Type or Character Expression

Specifies a counter value. This can be a character expression specifying a user-defined counter, a numeric equivalent, or an enumerated type.

0	None!

1	FigureCounter!

2	TableBoxCounter!

3	TextBoxCounter!

4	UserBoxCounter!

5	EquationCounter!

NewMethod: Numeric Equivalent or Enumerated Type

Specifies a display type for the counter.

0	Numbers!

1	LowLetter!

2	UpLetter!

3	LowRoman!

4	UpRoman!

See Also

CounterEditLevelMethod


Route...

Insert, Other, Counter, select a counter, Edit, Single Level Method, select a different numbering method.


For Example...

To change the numbering method for a specified counter, the command is:

CounterEditMethod

(

CounterName: FigureCounter!;

NewMethod: UpLetter!

)


CounterEditName

Purpose

CounterEditName renames a user-created counter.

Syntax

CounterEditName (OldName: Character Expression; NewName: Character Expression)

Parameters

OldName: Character Expression

Specifies the name of a counter value.

NewName: Character Expression

Specifies the new name of a counter value.

See Also

CounterEditLevelName


Route...

Insert, Other, Counter, select a user-created counter, Edit, Counter Name, enter a new name.


For Example...

To rename a user-created counter, the command is:

CounterEditName

(

OldName: "My Box";

NewName: "Shaded Box"

)


CounterIncrement

Purpose

CounterIncrement increases a specified counter by one.

Syntax

CounterIncrement (CounterName: Numeric Equivalent or Enumerated Type or Character Expression; Level: Numeric Expression)

Parameters

CounterName: Numeric Equivalent or Enumerated Type or Character Expression

Specifies a counter value. This can be a character expression specifying a user-defined counter, a numeric equivalent, or an enumerated type.

0	None!

1	FigureCounter!

2	TableBoxCounter!

3	TextBoxCounter!

4	UserBoxCounter!

5	EquationCounter!

Level: Numeric Expression

Specifies a counter level to increment.

See Also

CounterDecrement


Route...

Insert, Other, Counter, select a counter, Increase.


For Example...

To increment TableBoxCounter! by one, the command is:

CounterIncrement

(

CounterName: TableBoxCounter!;

Level: 1

)


CounterSetMethod

Purpose

CounterSetMethod specifies a counter numbering method.

Syntax

CounterSetMethod (CounterName: Numeric Equivalent or Enumerated Type or Character Expression; CounterLevel: Numeric Expression; Method: Numeric Equivalent or Enumerated Type)

Parameters

CounterName: Numeric Equivalent or Enumerated Type or Character Expression

Specifies a counter value. This can be a character expression specifying a user-defined counter, a numeric equivalent, or an enumerated type.

0	None!

1	FigureCounter!

2	TableBoxCounter!

3	TextBoxCounter!

4	UserBoxCounter!

5	EquationCounter!

CounterLevel: Numeric Expression

Specifies a counter level to increment.

Method: Numeric Equivalent or Enumerated Type

Specifies a counter display type.

0	Numbers!

1	LowerLetter!

2	UpperLetter!

3	LowerRoman!

4	UpperRoman!


Route...

Insert, Other, Counter, select a counter, Value, Number Method, select a method.


For Example...

To specify a counter numbering method, the command is:

CounterSetMethod

(

CounterName: TextBoxCounter!;

CounterLevel: 2;

Method LowerRoman!

)


CounterSetValue

Purpose

CounterSetValue sets a counter value.

Syntax

CounterSetValue (CounterName: Numeric Equivalent or Enumerated Type or Character Expression; {CounterLevel: Numeric Expression})

Parameters

CounterName: Numeric Equivalent or Enumerated Type or Character Expression

Specifies a counter value. This can be a character expression specifying a user-defined counter, a numeric equivalent, or an enumerated type.

0	None!

1	FigureCounter!

2	TableBoxCounter!

3	TextBoxCounter!

4	UserBoxCounter!

5	EquationCounter!

CounterLevel: Numeric Expression

Specifies the value of the selected counter or counter level.  To change counter levels, repeat the CounterLevel parameter. Enclose the repeated parameters in braces ({}), with a semicolon between each level.


Route...

Insert, Other, Counter, select a counter, Value, specify a value.


For Example...

To set a value for FigureCounter!, the command is:

CounterSetValue

(

CounterName: FigureCounter!;

{

CounterLevel: 5

}

)


CrossRefMarkReference

Purpose

CrossRefMarkReference specifies a reference mark.

Syntax

CrossRefMarkReference (TargetName: Character Expression; RefType: Numeric Equivalent or Enumerated Type; CounterName: Numeric Equivalent or Enumerated Type or Character Expression)

Parameters

TargetName: Character Expression

Specifies a reference name.

RefType: Numeric Equivalent or Enumerated Type

Specifies what to tie the reference to.

0	RefPage!

1	RefSecondaryPage!

2	RefChapter!

3	RefVolume!

4	RefParagraph!

5	RefFootnote!

6	RefEndnote!

7	RefBox!

8	RefCounter!

CounterName: Numeric Equivalent or Enumerated Type or Character Expression (optional)

Specifies a counter value.  This can be a character expression specifying a user-defined counter, a numeric equivalent, or an enumerated type.

0	None!

1	FigureCounter!

2	TableBoxCounter!

3	TextBoxCounter!

4	UserBoxCounter!

5	EquationCounter!


Route...

Tools, Cross-Reference, Reference, specify a reference type, enter a target name, Mark Reference.


For Example...

To specify a reference mark, the command is:

CrossRefMarkReference

(

TargetName: "Next";

RefType: RefSecondaryPage!

)


CrossRefMarkTarget

Purpose

CrossRefMarkTarget names a cross-reference target.

Syntax

CrossRefMarkTarget (TagName: Character Expression)

Parameters

TagName: Character Expression (optional)

Specifies the name of a cross-reference target.


Route...

Tools, Cross-Reference, Target, enter a target name, Mark Target.


For Example...

To name a cross-reference target, the command is:

CrossRefMarkTarget

(

TagName: "Index"

)


CustomBoxDlg

Purpose

CustomBoxDlg displays the Custom Box dialog box.

Syntax

CustomBoxDlg ()


Route...

Graphics, Custom Box.


Cut

Purpose

Cut removes selected text and copies it to the Clipboard, replacing the contents of the Clipboard.

This command is not recordable, and it is included only for compatibility with the WordPerfect for DOS macro language.  You must type it into a macro.  For a recordable command that serves the same function, use EditCut.

Syntax

Cut ()

See Also

EditCut

CutAndPaste


CutAndPaste

Purpose

CutAndPaste removes selected text and copies it to the Clipboard.  Use EditPaste or MoveModeEnd to paste the selection in the current document.

This command is not recordable, and it is included only for compatibility with the WordPerfect for DOS macro language.  You must type it into a macro.  For recordable commands that serve the same function, use EditCut and EditPaste.

Syntax

CutAndPaste ()

See Also

EditCut

EditPaste

Cut

MoveModeEnd


DateCode

Purpose

DateCode inserts a code to display the current date at the insertion point. The date code updates to the current system date whenever the document is retrieved or reformatted.

Syntax

DateCode ()

See Also

DateText


Route...

Insert, Date, Date Code.


DateFormat

Purpose

DateFormat specifies a date format through DateCode or DateText.

For the correct date format, this command must be recorded.

Syntax

DateFormat (DateFormatString: Character Expression)

Parameters

DateFormatString: Character Expression

Specifies an order of day, month, year codes, and time codes.

See Also

DateFormatDlg


Route...

Insert, Date, Date Format, specify a format.


For Example...

To specify a format such as June 11, 1964, the command is:

DateFormat

(

DateFormatString: "Month Name Day, Year (4 Digit)"

)


DateFormatDlg

Purpose

DateFormatDlg displays the Document Date/Time Format dialog box.

Syntax

DateFormatDlg ()

See Also

DateFormat


Route...

Insert, Date, Date Format.


DateText

Purpose

DateText inserts the system date at the insertion point.

Syntax

DateText ()

See Also

DateCode


Route...

Insert, Date, Date Text.


DDEChangeUpdateMode

Purpose

DDEChangeUpdateMode specifies whether to update a DDE link manually or automatically.

Syntax

DDEChangeUpdateMode (LinkName: Character Expression; UpdateMode: Numeric Equivalent or Enumerated Type)

Parameters

LinkName: Character Expression

Specifies a DDE link.

UpdateMode: Numeric Equivalent or Enumerated Type

Specifies whether to update a link manually or automatically.

0	Manual!

1	Automatic!


DDECreateLink

Purpose

DDECreateLink establishes a link between a WordPerfect document and a file in another application.  As data changes in the source file, the changes also appear in the WordPerfect document.

You must type this command into a macro.  It is not recordable.

Syntax

DDECreateLink (LinkName: Character Expression; Source: Character Expression; UpdateMode: Numeric Equivalent or Enumerated Type; Format: Numeric Equivalent or Enumerated Type)

Parameters

LinkName: Character Expression

Specifies a link name.

Source: Character Expression

Specifies the application, file, and optionally, an item within the file that is linked to a WordPerfect document. The application and filename are separated by a vertical bar (|). If an item (a section of a file) is specified, a second vertical bar separates the item from the filename.

UpdateMode: Numeric Equivalent or Enumerated Type

Specifies whether a link is updated manually or automatically.

0	Manual!

1	Automatic!

Format: Numeric Equivalent or Enumerated Type

Specifies a format for linked information.

0	WP6DOC!

1	WPDOC!

2	WP6TEXT!

3	WPG20!

4	RTF!

5	TEXT!

6	OEMTEXT!

7	DIB!

8	BITMAP!

9	METAFILEPICT!


DDECreateLinkDlg

Purpose

DDECreateLinkDlg displays the Paste Special dialog box.

Syntax

DDECreateLinkDlg ()


Route...

Edit, Paste Special.


DDEDeleteLink

Purpose

DDEDeleteLink removes a DDELink.

You must type this command into a macro.  It is not recordable.

Syntax

DDEDeleteLink (LinkName: Character Expression)

Parameters

LinkName: Character Expression

Specifies a link to remove.


DDEDeleteLinkDlg

Purpose

DDEDeleteLinkDlg displays the Link dialog box.

Syntax

DDEDeleteLinkDlg ()


Route...

Edit, Links.


DDEEditLink

Purpose

DDEEditLink changes the properties of a DDE Link.

You must type this command into a macro.  It is not recordable.

Syntax

DDEEditLink (LinkName: Character Expression; NewName: Character Expression; NewSource: Character Expression)

Parameters

LinkName: Character Expression

Specifies a link to edit.

NewName: Character Expression (optional)

Specifies a new link name.

NewSource: Character Expression (optional)

Specifies a new source file.


DDEEditLinksDlg

DDEEditLinkDlg

Purpose

DDEEditLinkDlg displays the Change Links dialog box.

Syntax

DDEEditLinkDlg ()


Route...

Edit, Links, Change Link.


DDEPasteLink

Purpose

DDEPasteLink establishes a link between a WordPerfect document and a file in another application. As data changes in the source file, the changes also appear in the WordPerfect document. After copying a selection in another application to the Clipboard, use DDEPasteLink to link it to a WordPerfect document.

Syntax

DDEPasteLink (Format: Numeric Equivalent or Enumerated Type)

Parameters

Format: Numeric Equivalent or Enumerated Type

Specifies a format for pasted information.

0	WP6DOC!

1	WPDOC!

2	WP6TEXT!

3	WPG20!

4	RTF!

5	TEXT!

6	OEMTEXT!

7	DIB!

8	BITMAP!

9	METAFILEPICT!


DDEUpdateLink

Purpose

DDEUpdateLink updates a specified DDELink.

You must type this command into a macro.  It is not recordable.

Syntax

DDEUpdateLink (LinkName: Character Expression)

Parameters

LinkName: Character Expression

Specifies a link to update.


DDEUpdateLinkDlg

Purpose

DDEUpdateLinkDlg displays the Link dialog box.

Syntax

DDEUpdateLinkDlg ()


Route...

Edit, Links.


DecimalAlignmentCharacter

Purpose

DecimalAlignmentCharacter specifies the ASCII numeric equivalent for a decimal character.

Syntax

DecimalAlignmentCharacter (Character: Numeric Expression)

Parameters

Character: Numeric Expression

Specifies a decimal separator character.

See Also

?DecimalAlignmentCharacter


Route...

Layout, Line, Tab Set, enter a character in the Align Character text box.


For Example...

To use a comma as a decimal alignment character, the command is:

DecimalAlignmentCharacter

(

Character: 44

)


DelayCodes

Purpose

DelayCodes postpones the effects of codes for one or more pages.

Syntax

DelayCodes (PagesToDelay: Numeric Expression)

Parameters

PagesToDelay: Numeric Expression

Specifies a number of pages to postpone codes.


Route...

Layout, Page, Delay Codes, enter number of pages.


For Example...

To postpone codes for two pages, the command is:

DelayCodes

(

PagesToDelay: 2

)


DelayCodesDlg

Purpose

DelayCodesDlg displays the Delay Codes dialog box.

Syntax

DelayCodesDlg ()


Route...

Layout, Page, Delay Codes.


DeleteAppend

Purpose

DeleteAppend deletes a selection and appends it to the Clipboard.

Syntax

DeleteAppend ()


Route...

Select text, Edit, Append, press Delete.


DeleteCharNext

Purpose

DeleteCharNext deletes the character to the right of the insertion point.

Syntax

DeleteCharNext ()

See Also

DeleteCharPrevious


Route...

Press Delete.


DeleteCharPrevious

Purpose

DeleteCharPrevious deletes the character to the left of the insertion point.

Syntax

DeleteCharPrevious ()

See Also

DeleteCharNext


Route...

Press Back space.


DeleteToBeginningOfWord

Purpose

DeleteToBeginningOfWord deletes text and codes from the insertion point to the beginning of the current word.

The insertion point must be positioned within a word.

You must type this command into a macro.  It is not recordable.

Syntax

DeleteToBeginningOfWord ()

See Also

DeleteToEndOfWord


DeleteToEndOfLine

Purpose

DeleteToEndOfLine deletes text and codes from the insertion point to the end of the current line.

This command does not delete hard page breaks.

Syntax

DeleteToEndOfLine ()


Route...

Press Ctrl+Delete.


DeleteToEndOfPage

Purpose

DeleteToEndOfPage deletes text and codes from the insertion point to the end of the current page.

Syntax

DeleteToEndOfPage ()


Route...

Press Ctrl+Shift+Delete.


DeleteToEndOfWord

Purpose

DeleteToEndOfWord deletes text and codes from the insertion point to the beginning of the following word.

You must type this command into a macro.  It is not recordable.

Syntax

DeleteToEndOfWord ()

See Also

DeleteToBeginningOfWord


DeleteWord

Purpose

DeleteWord deletes the current word or space.

Syntax

DeleteWord ()


Route...

Press Ctrl+Backspace.


DirectoryCreate

Purpose

DirectoryCreate creates a new directory.

Syntax

DirectoryCreate (Directory: Character Expression)

Parameters

Directory: Character Expression

Specifies the path and name of a directory to create.


Route...

File, Open, File Options, Create Directory.


For Example...

To create a directory named Data, the command is:

DirectoryCreate

(

Directory: "C:\DATA"

)


DirectoryExists

Purpose

DirectoryExists indicates whether a specified directory exists.

This command is not recordable.  You must type it into a macro.

Syntax

DirectoryExists (Variable: Variable; Directory: Character Expression)

Parameters

Variable: Variable

A value of True or False is assigned to this variable, indicating whether a specified directory exists.

Directory: Character Expression

Specifies a directory.

See Also

FileExists


For Example...

To have WordPerfect type True or False to specify whether a directory named C:\WPWIN60\ exists, the command sequence is:

DirectoryExists (

Variable: XXX;

Directory: "C:\WPWIN60\")

Type (XXX)


Display

Purpose

Display determines whether macro execution is displayed while a macro is running.

A macro runs faster with display off.  A "Macro Play" message appears on the status bar.

You must type this command into a macro.  It is not recordable.

Syntax

Display (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	Off!

1	On!

See Also

InhibitInput


For Example...

To turn on Display during macro execution, the command is:

Display

(

State: On!

)


DisplayMode

Purpose

DisplayMode specifies whether to display the current document in Draft mode or Page mode.

This command is not recordable, and it is included only for compatibility with the WordPerfect for DOS macro language.  You must type it into a macro.  For recordable commands that   serve the same function, use ViewDraft, ViewPage, and ViewTwoPage.

Syntax

DisplayMode (DisplayMode: Numeric Equivalent or Enumerated Type)

Parameters

DisplayMode: Numeric Equivalent or Enumerated Type

Specifies a document display mode.

0	FastDraft!

1	Text!

2	Graphics!

3	FullPage!

This command is included for compatibility with the WordPerfect for DOS macro language.  The enumerated types do not correspond exactly with WordPerfect 6.0 for Windows View options.  FastDraft! stops macro execution, Text! and Graphics! specify Draft mode, and FullPage! specifies Page mode.

See Also

ViewDraft

ViewPage

ViewTwoPage


For Example...

To change the view to Draft mode, the command is:

DisplayMode (

DisplayMode: Text!)


DisplayZoom

Purpose

DisplayZoom specifies the display of a current document screen.

Syntax

DisplayZoom (Percent: Numeric Expression)

Parameters

Percent: Numeric Expression

Specifies a zoom percentage between 25 and 400.


Route...

View, Zoom, select a percentage or specify a percentage in the Other entry box.


For Example...

To specify the display of the current document at 50%, the command is:

DisplayZoom

(

Percent: 50

)


DocCompare

Purpose

DocCompare compares the current document with a specified document marking changes with Redline and Strikeout.

Syntax

DocCompare (Filename: Character Expression; CompFlags: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Specifies the name of the original document.

CompFlags:  Numeric Equivalent or Enumerated Type

Specifies the scope of comparison between the original document and the current document.

0	Phrase!

1	Word!

2	Sentence!

3	Paragraph!

See Also

DocCompareAddMarkingsDlg

DocCompareRemoveMarkingsDlg


Route...

File, Compare Document, Add Markings, enter a filename, select a comparison level.


For Example...

To compare the current document with a file named ORIGINAL, marking only entirely new or deleted sentences with Redline and Strikeout, the command is:

DocCompare

(

Filename: "ORIGINAL";

CompFlags: Sentence!

)


DocCompareAddMarkingsDlg

Purpose

DocCompareAddMarkingsDlg displays the Add Markings dialog box.

Syntax

DocCompareAddMarkingsDlg ()

See Also

DocCompareRemoveMarkingsDlg


Route...

File, Compare Document, Add Markings.


DocCompareRemoveMarkingsDlg

Purpose

DocCompareRemoveMarkingsDlg displays the Remove Markings dialog box.

Syntax

DocCompareRemoveMarkingsDlg ()

See Also

DocCompare

DocCompareAddMarkingsDlg


Route...

File, Compare Document, Remove Markings.


DocCompareRemoveRedline

Purpose

DocCompareRemoveRedline either removes Strikeout and Redline codes as well as Strikeout text; or removes Strikeout codes and text, retaining Redline codes.

Syntax

DocCompareRemoveRedline (Flag: Numeric Equivalent or Enumerated Type)

Parameters

Flag:  Numeric Equivalent or Enumerated Type

Specifies whether to remove text contained within Strikeout and Redline codes.

0	RemoveAll!

1	LeaveRedline!

See Also

DocCompare


Route...

File, Compare Document, Remove Markings, specify codes to remove.


For Example...

To remove all Strikeout and Redline codes, the command is:

DocCompareRemoveRedline

(

Flag: RemoveAll!

)


DocInitialFont

Purpose

DocInitialFont sets the default font for the current document.

Syntax

DocInitialFont (Name: Character Expression; PointSize: Numeric Expression; Family: Numeric Equivalent or Enumerated Type; Attributes: Numeric Equivalent or Enumerated Type; Weight: Numeric Equivalent or Enumerated Type; Width: Numeric Equivalent or Enumerated Type; Source: Numeric Equivalent or Enumerated Type; Type: Numeric Equivalent or Enumerated Type; CharacterSet: Numeric Equivalent or Enumerated Type)

Parameters

Name: Character Expression

Specifies a font name.

PointSize: Numeric Expression

Specifies a font size.

Family: Numeric Equivalent or Enumerated Type

Specifies a font family.

256	FamilyITCBenquiat!

2304	FamilyTimesRoman!

4352	FamilyTCGaramond!

6400	FamilyCenturySchoolbook!

8448	FamilyBodoni!

10496	FamilyITCLubalinGraph!

12544	FamilyAlbertus!

14592	FamilyCourier!

16640	FamilyHelvetica!

18688	FamilyITCRonda!

20736	FamilyMicroStyle!

22784	FamilyOptima!

24832	FamilyLetterGothic!

26880	FamilyBrush!

28928	FamilyParkAvenue!

30976	FamilySignetRoundhand!

33024	FamilyTekton!

35072	FamilyUncial!

37120	FamilyOldEnglish!

39168	FamilyITCZapfDingbats!

41216	FamilyBroadway!

43264	FamilyComputer!

45312	FamilyPTBarnum!

47360	FamilyPonderosa!

49408	FamilyMadrone!

51456	FamilyHobo!

53504	FamilyRevue!

55552	FamilyAestheticOrnamented!

Attributes: Numeric Equivalent or Enumerated Type

Specifies font attributes.

0	FontMatchNormal!

1	FontMatchItalic!

2	FontMatchOutline!

4	FontMatchShadow!

8	FontMatchSmallCaps!

Weight: Numeric Equivalent or Enumerated Type

Specifies a font weight.

0	WeightUnknown!

1	WeightUltraThin!

8	WeightUltraLight!

16	WeightExtraThin!

24	WeightThin!

32	WeightExtraLight!

48	WeightLight!

64	WeightDemiLight!

80	WeightSemiLight!

88	WeightBook!

96	WeightRegular!

104	WeightRoman!

112	WeightMedium!

128	WeightDemiBold!

136	WeightSemiBold!

144	WeightBold!

160	WeightExtraBold!

176	WeightHeavy!

192	WeightExtraHeavy!

208	WeightBlack!

224	WeightExtraBlack!

240	WeightUltraHeavy!

248	WeightUltraBlack!

254	WeightMaximum!

Width: Numeric Equivalent or Enumerated Type

Specifies a font width.

0	WidthUnknown!

16	WidthUltraCondensed!

32	WidthUltraCompressed!

48	WidthCompressed!

64	WidthExtraCondensed!

80	WidthCondensed!

96	WidthSemiCondensed!

112	WidthNormal!

128	WidthSemiExpanded!

144	WidthExpanded!

160	WidthExtraExpanded!

176	WidthUltraExpanded!

192	WidthDoubleWide!

224	WidthTripleWide!

Source: Numeric Equivalent or Enumerated Type

Determines whether the font source is a .PRS file or a .DRS file.

16	PRSFile!

20	DRSFile!

Type: Numeric Equivalent or Enumerated Type

Specifies a font type.

134	Speedo!

135	Intellifont!

138	Type1!

139	TrueType!

CharacterSet: Numeric Equivalent or Enumerated Type

Specifies a character set.

0	FontMatchASCII!

1	FontMatchMultiNational1!

2	FontMatchMultiNational2!

3	FontMatchBoxDrawing!

4	FontMatchTypographicSymbols!

5	FontMatchIconicSymbols!

6	FontMatchMath!

7	FontMatchMathExtension!

8	FontMatchGreek!

9	FontMatchHebrew!

10	FontMatchCyrillic!

11	FontMatchJapaneseKana!

12	FontMatchUserDefined!

13	FontMatchArabic!

14	FontMatchArabicScript!

See Also

DocInitialFontDlg


Route...

Layout, Document, Initial Font, select font.


For Example...

To specify an initial font, the command is:

DocInitialFont

(

Name: "Courier New Bold";

PointSize: 12p;

Family: FamilyCourier!;

Attributes: FontMatchNormal!;

Weight: WeightExtraBold!;

Width: WidthUnknown!;

Source: DRSFile!;

Type: TrueType!;

CharacterSet: FontMatchASCII!

)


DocInitialFontDlg

Purpose

DocInitialFontDlg displays the Document Initial Font dialog box.

Syntax

DocInitialFontDlg ()

See Also

DocInitialFont


Route...

Layout, Document, Initial Font.


DocMaximize

Purpose

DocMaximize fills the screen with the current document.

If the document is already maximized, macro execution is terminated or redirected to the LABEL specified by ONERROR.

Syntax

DocMaximize ()

See Also

AppMaximize

DocMinimize


Route...

Choose Maximize from the control menu on the title bar.


DocMinimize

Purpose

DocMinimize reduces the current document to an icon.

If the document is already minimized, this command ends the macro or redirects to the LABEL specified by ONERROR.

Syntax

DocMinimize ()

See Also

AppMinimize

DocMaximize


Route...

Choose Minimize from the control menu on the title bar.


DocMove

Purpose

DocMove repositions the current document.

Syntax

DocMove ()

See Also

AppMove


Route...

Choose Move from the control menu on the title bar.


DocNext

Purpose

DocNext cycles the current document to the back and the most recently opened document to the front.

Syntax

DocNext ()

See Also

DocPrevious


Route...

Choose Next from the control menu on the title bar.


DocPrevious

Purpose

DocPrevious opens the document that was opened before the current document.

Syntax

DocPrevious ()

See Also

DocNext


Route...

Choose Previous from the control menu on the title bar.


DocRedlineMethodDlg

Purpose

DocRedlineMethodDlg displays the Redline dialog box.

Syntax

DocRedlineMethodDlg ()


Route...

Layout, Document, Redline Method.


DocRestore

Purpose

DocRestore restores the current document to its size before it was minimized or maximized.

If the document is already restored, this command ends the macro or redirects macro execution to the LABEL specified by ONERROR.

Syntax

DocRestore ()

See Also

AppRestore

DocMaximize

DocMinimize


Route...

Choose Restore from the control menu on the title bar.


DocSize

Purpose

DocSize sizes the current document window.

If the current document window is maximized, an error is returned and the macro ends or is redirected to the LABEL specified by ONERROR.

Syntax

DocSize ()


Route...

Choose Size from the control menu on the title bar.


DocSummaryConfig

Purpose

DocSummaryConfig specifies fields to include in the current document summary.

Syntax

DocSummaryConfig (DocSumFieldName: Numeric Equivalent or Enumerated Type)

Parameters

DocSumFieldName: Numeric Equivalent or Enumerated Type

Specifies fields to include in the current document summary.

1	Abstract!

2	Account!

3	Address!

4	Attachments!

5	Author!

6	Authorization!

7	BillTo!

8	BlindCopy!

9	CarbonCopy!

10	Category!

11	CheckedBy!

12	Client!

13	Comments!

14	CreationDate!

15	DateCompleted!

16	Department!

17	DescriptiveName!

18	DescriptiveType!

19	Destination!

20	Disposition!

21	Division!

22	DocumentNumber!

23	Editor!

24	ForwardTo!

25	Group!

26	Keywords!

27	Language!

28	MailStop!

29	Matter!

30	Office!

31	Owner!

32	Project!

33	Publisher!

34	Purpose!

35	ReceivedFrom!

36	RecordedBy!

37	RecordedDate!

38	Reference!

39	RevisionDate!

40	RevisionNotes!

41	RevisionNumber!

42	Section!

43	Security!

44	Source!

45	Status!

46	Subject!

47	TelephoneNumber!

48	Typist!

49	VersionDate!

50	VersionNotes!

51	VersionNumber!

See Also

DocSumSetFull


Route...

File, Document Summary, Configure button, select options from Available Fields list box.


For Example...

To include Author, Subject, and Creation Date fields in the current document summary, the command is:

DocSummaryConfig

(

DocSumFieldName: Author!;

DocSumFieldName: Subject!;

DocSumFieldName: CreationDate!

)


DocSummaryDelete

Purpose

DocSummaryDelete deletes the current document's summary information.

Syntax

DocSummaryDelete ()

See Also

DocSummaryDlg


Route...

File, Document Summary, Options, Delete Summary from Document.


DocSummaryDlg

Purpose

DocSummaryDlg displays the Document Summary dialog box.

Syntax

DocSummaryDlg ()

See Also

DocSummaryDelete


Route...

Layout, Document, Summary.


DocSummaryPrint

Purpose

DocSummaryPrint prints the current document summary.

Syntax

DocSummaryPrint ()

See Also

DocSummaryDlg


Route...

File, Document Summary, Options, Print Summary.


DocSummarySaveAs

Purpose

DocSummarySaveAs specifies information for the current document summary and saves it under a specified filename.

Syntax

DocSummarySaveAs(Filename: Character Expression; ExportType: Numeric Equivalent or Enumerated Type; AppendReplace: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Specifies a filename.

ExportType:  Numeric Equivalent or Enumerated Type

Specifies the file format for the document summary.

1	WordPerfect_42!

2	WordPerfect_50!

3	WordPerfect_51!

4	WordPerfect_60!

30	WordStar_33!

31	WordStar_331!

32	WordStar_34!

33	WordStar_40!

34	WordStar_50!

35	WordStar_55!

36	WordStar_60!

50	WordStar2000_10!

51	WordStar2000_20!

52	WordStar2000_30!

62	MicrosoftWord_40!

63	MicrosoftWord_50!

64	MicrosoftWord_55!

70	WordForWindows_10!

71	WordForWindows_11!

72	WordForWindows_1A!

73	WordForWindows_20!

74	WordForWindows_20a!

75	WordForWindows_20b!

80	RTF!

81	FFT!

82	DisplayWrite_40!

83	DisplayWrite_42!

84	DisplayWrite_50!

100	MultiMate_33!

101	MultiMateAdvantage_36!

102	MultiMateAdvantageII_10!

103	MultiMate_40!

120	OfficeWriter_60!

121	OfficeWriter_61!

122	OfficeWriter_611!

123	OfficeWriter_62!

150	RTF!

160	ASCIIStandard!

161	ANSIText_Windows!

163	DelimitedText!

165	ASCIIStripped!

173	Kermit_7bit_Transfer!

175	NavyDIF!

190	XyWriteIIIPlus_355!

191	XyWriteIIIPlus_356!

213	AmiPro_12A!

310	AmiPro_10!

311	AmiPro_12!

313	AmiPro_12B!

315	AmiPro_30!

656	ANSIDelimitedTextWindows!

657	ANSIGenericWordProcessor_Windows!

807	Excel_40!

AppendReplace: Numeric Equivalent or Enumerated Type

Specifies whether to append or replace existing document summary information.

0	Append!

1	Replace!


Route...

File, Document Summary, Options button, Save Summary As New Document, specify a filename.


For Example...

To specify MYDOC as the filename of the current document summary, the command is:

DocSummarySaveAs

(

Filename: "MYDOC";

ExportType: WordPerfect_60!;

AppendReplace: Replace!

)


DocSumSetFull

Purpose

DocSumSetFull specifies fields for a user-defined document summary and specifies data, a field type, and a description for each field.  Repeat all four parameters for each field included in the document summary, and enclose repeating parameters in braces.

This command is not recordable.  You must type it into a macro.

Syntax

DocSumSetFull ({DocSumFieldName: Numeric Equivalent or Enumerated Type; DocSumFieldData: Character Expression; DocSumFieldType: Numeric Equivalent or Enumerated Type; DocSumFieldDesc: Character Expression})

Parameters

DocSumFieldName: Numeric Equivalent or Enumerated Type

Specifies fields to include in a document summary.  Use the other parameters to define the field.

1	Abstract!

2	Account!

3	Address!

4	Attachments!

5	Author!

6	Authorization!

7	BillTo!

8	BlindCopy!

9	CarbonCopy!

10	Category!

11	CheckedBy!

12	Client!

13	Comments!

14	CreationDate!

15	DateCompleted!

16	Department!

17	DescriptiveName!

18	DescriptiveType!

19	Destination!

20	Disposition!

21	Division!

22	DocumentNumber!

23	Editor!

24	ForwardTo!

25	Group!

26	Keywords!

27	Language!

28	MailStop!

29	Matter!

30	Office!

31	Owner!

32	Project!

33	Publisher!

34	Purpose!

35	ReceivedFrom!

36	RecordedBy!

37	RecordedDate!

38	Reference!

39	RevisionDate!

40	RevisionNotes!

41	RevisionNumber!

42	Section!

43	Security!

44	Source!

45	Status!

46	Subject!

47	TelephoneNumber!

48	Typist!

49	VersionDates!

50	VersionNotes!

51	VersionNumber!

65535	HighestNumber!

DocSumFieldData: Character Expression

Specifies data contained in a document summary field.

DocSumFieldType: Numeric Equivalent or Enumerated Type

Specifies a field type.

1	SingleLine!

2	MultiLine!

4	Date!

8	ReadOnly!

DocSumFieldDesc: Character Expression

Specifies a field description.


For Example...

To set up a document summary with a specified author and creation date, the command is:

DocSumSetFull (

{DocSumFieldName: Author!;

DocSumFieldData: "Dana Williams";

DocSumFieldType: SingleLine!;

DocSumFieldDesc: "Author 1";

DocSumFieldName: CreationDate!;

DocSumFieldData: "1/1/95";

DocSumFieldType: Date!;

DocSumFieldDesc: "Draft date"})


DotLeader

Purpose

DotLeader specifies the ASCII number of a dot leader character, and the number of spaces between each character.

Syntax

DotLeader (Character: Numeric Expression; SpaceCount: Numeric Expression)

Parameters

Character: Numeric Expression

Specifies the ASCII number of a dot leader character.

SpaceCount: Numeric Expression

Specifies the number of spaces between visible dot leader characters.

See Also

?DotLeader


Route...

Layout, Line, Tab Set, Dot Leader Character, enter a character, Spaces Between Characters, enter a number.


For Example...

To specify a dot leader character, the command is:

DotLeader

(

Character: 44;

SpaceCount: 5

)


DoubleSidedPrint

Purpose

DoubleSidedPrint turns on or off double-sided printing (Duplex), and selects a binding edge.

Syntax

DoubleSidedPrint (Flags: Numeric Equivalent or Enumerated Type)

Parameters

Flags: Numeric Equivalent or Enumerated Type

Determines whether to turn on double-sided Printing and select a binding edge.

0	None!

1	LongEdge!

2	ShortEdge!


Route...

Layout, Page, Binding/Duplex, select a print option.


For Example...

To turn on double-sided printing and select a short edge for binding, the command is:

DoubleSidedPrint

(

Flags: ShortEdge!

)


DraftZoom100

Purpose

DraftZoom100 switches the view to Draft and zooms the display size of screen text and graphics to 100%.

Syntax

DraftZoom100 ()

See Also

DraftZoomMargin


Route...

Click ViewDraft/Zoom to 100% on the Power Bar.


DraftZoomMargin

Purpose

DraftZoomMargin switches the view to Draft and zooms the display size of screen text and graphics to reach the margins.

Syntax

DraftZoomMargin ()

See Also

DraftZoom100


Route...

Click View Draft/Zoom to Margins on the Power Bar.


EditComment

Purpose

EditComment edits a comment.

Syntax

EditComment ()


Route...

Insert, Comment, Edit.


EditCopy

Purpose

EditCopy copies selected text or graphics to the Clipboard, replacing the contents of the Clipboard.

If no text or graphic is selected, this command ends the macro or redirects it to the LABEL specified by ONERROR.

Syntax

EditCopy ()


Route...

Edit, Copy.


EditCut

Purpose

EditCut deletes selected text or graphics and copies it to the Clipboard, replacing the contents of the Clipboard.

If no text or graphic is selected, this command ends the macro or redirects it to the LABEL specified by ONERROR.

Syntax

EditCut ()


Route...

Edit, Cut.


EditPaste

Purpose

EditPaste copies the Clipboard contents to the insertion point in the current document.

Syntax

EditPaste (ClipboardFormat: Character Expression; FormatId: Numeric Expression; LinkType: Numeric Equivalent or Enumerated Type)

Parameters

ClipboardFormat: Character Expression (optional)

Specifies a Clipboard contents format.

FormatId: Numeric Expression (optional)

Specifies the identification number assigned by WordPerfect for the selected clipboard contents. This number varies.

LinkType:  Numeric Equivalent or Enumerated Type (optional)

Determines the type of data link.

1	DDE!

2	OLE!


Route...

When the Clipboard is not empty, choose Edit, Paste or Paste Special.


For Example...

To paste a picture, the command is:

EditPaste

(

ClipboardFormat: "P";

FormatId: 3;

LinkType: DDE!

)


EditPasteSimple

Purpose

EditPasteSimple inserts Clipboard contents into the current document at the insertion point.   This command does not preserve text attributes unless opening and closing codes are included in the pasted selection.

This command is not recordable.  You must type it into a macro.

Syntax

EditPasteSimple ()

See Also

EditPaste


EndCenterOrAlignment

Purpose

EndCenterOrAlignment inserts an End of Centering/Alignment code at the insertion point.

Syntax

EndCenterOrAlignment ()


Route...

Layout, Line, Other Codes, End Centering/Alignment [END Cntr/Align], Insert.


EndnoteCreate

Purpose

EndnoteCreate opens an Endnote window.

Subsequent commands insert text and codes.  The SubstructureExit command closes the Endnote window.

Syntax

EndnoteCreate ()

See Also

SubstructureExit


Route...

Insert, Endnote, Create.


EndnoteEdit

Purpose

EndnoteEdit opens a specified Endnote window.

Syntax

EndnoteEdit (EndnoteNumber: Character Expression)

Parameters

EndnoteNumber: Character Expression

Specifies the number of the endnote to edit.  This parameter is a character expression because endnotes can also be numbered with Roman numerals or letters.

See Also

EndnoteEditDlg

SubstructureExit


Route...

Insert, Endnote, Edit.


For Example...

To open the first endnote, the command is:

EndnoteEdit

(

EndnoteNumber: "1"

)


EndnoteEditDlg

Purpose

EndnoteEditDlg displays the Edit Endnote dialog box.

Syntax

EndnoteEditDlg ()

See Also

EndnoteEdit


Route...

Insert, Endnote, Edit.


EndnoteMinimum

Purpose

EndnoteMinimum specifies the amount of endnote text to keep together.

You must type this command into a macro.  It is not recordable.

Syntax

EndnoteMinimum (Size: Measurement Expression)

Parameters

Size: Measurement Expression

Specifies the amount of endnote text to keep together.  The default is 0.5".

If the amount specified in the Size parameter is less than 1, a 0 must precede the decimal point.

See Also

EndnoteOptionsDlg


For Example...

To keep at least .75" of endnote text together on each page, the command is:

EndnoteMinimum

(

Size: 0.75"

)


EndnoteNewNumber

Purpose

EndnoteNewNumber inserts a code at the insertion point to begin new numbering for all following endnotes.

Syntax

EndnoteNewNumber ( EndnoteNumber: Character Expression)

Parameters

EndnoteNumber: Character Expression

Specifies a new starting number or character for endnote numbers.


Route...

Insert, Endnote, New Number, enter a new number or character.


For Example...

To number subsequent endnotes beginning with IV, the command is:

EndnoteNewNumber

(

EndnoteNumber: "IV"

)


EndnoteNumberDecrement

Purpose

EndnoteNumberDecrement decreases the endnote number by one.

Syntax

EndnoteNumberDecrement ()

See Also

EndnoteNewNumber


Route...

Insert, Endnote, New Number, Decrease.


EndnoteNumberDisplay

Purpose

EndnoteNumberDisplay displays current endnote numbering.

You must type this command into a macro.  It is not recordable.

Syntax

EndnoteNumberDisplay ()

See Also

EndnoteNewNumber


EndnoteNumberIncrement

Purpose

EndnoteNumberIncrement increases the endnote number by one.

Syntax

EndnoteNumberIncrement ()

See Also

EndnoteNewNumber


Route...

Insert, Endnote, New Number, Increase.


EndnoteNumberMethod

Purpose

EndnoteNumberMethod specifies an endnote numbering method.

Syntax

EndnoteNumberMethod (NumberingMethod: Numeric Equivalent or Enumerated Type; Characters: Character Expression)

Parameters

NumberingMethod:  Numeric Equivalent or Enumerated Type

Specifies an endnote numbering method.

0	Numbers!

1	LowerLetters!

2	UpperLetters!

3	LowerRoman!

4	UpperRoman!

5	Characters!

Characters: Character Expression (optional)

Specifies a character(s) to use as the endnote numbering method. Used when Characters! is used in the first parameter.

See Also

EndnoteNewNumber


Route...

Insert, Endnote, Options, select an option from the Method pop-up list.


For Example...

To specify the asterisk (*) as an endnote numbering method, the command is:

EndnoteNumberMethod

(

NumberingMethod: Characters!;

Characters: "*"

)


EndnoteOptions

Purpose

EndnoteOptions specifies endnote options from the insertion point of the current document.

Syntax

EndnoteOptions(NumberingMethod: Numeric Equivalent or Enumerated Type; Characters: Character Expression; BetweenSpacing: Measurement Expression; MinimumHeight: Measurement Expression)

Parameters

NumberingMethod: Numeric Equivalent or Enumerated Type

Specifies the endnote numbering method.

0	Numbers!

1	LowerLetters!

2	UpperLetters!

3	LowerRoman!

4	UpperRoman!

5	Characters!

Characters: Character Expression (optional)

Specifies up to five characters when the numbering method is Characters!.

BetweenSpacing: Measurement Expression

Specifies the space between endnotes.

MinimumHeight: Measurement Expression

Specifies how much of an endnote must stay together on a page.

See Also

EndnoteOptionsDlg


Route...

Insert, Endnote, Options, select options.


For Example...

To set endnote options, the command is:

EndnoteOptions

(

NumberingMethod: Characters!;

Characters: "*!#%";

BetweenSpacing: .1";

MinimumHeight: .5"

)


EndnoteOptionsDlg

Purpose

EndnoteOptionsDlg displays the Endnote Options dialog box.

Syntax

EndnoteOptionsDlg ()

See Also

EndnoteOptions


Route...

Insert, Endnote, Options.


EndnotePlacement

Purpose

EndnotePlacement marks where to generate an endnote list and determines whether to reset numbering for subsequent endnotes.

This command applies to all endnotes up to the EndnotePlacement code, or from the last Endnote Placement code.

Syntax

EndnotePlacement(Restart: Numeric Equivalent or Enumerated Type)

Parameters

Restart: Numeric Equivalent or Enumerated Type

Determines whether endnotes begin renumbering after the EndnotePlacement code.

0	No!

1	Yes!

See Also

EndnotePlacementDlg


Route...

Insert, Endnote, Placement, select renumbering option.


For Example...

To specify endnote placement with renumbering set to No, the command is:

EndnotePlacement

(

Restart: No!

)


EndnotePlacementDlg

Purpose

EndnotePlacementDlg displays the Endnote Placement dialog box.

Syntax

EndnotePlacementDlg ()

See Also

EndnotePlacement


Route...

Insert, Endnote, Placement.


EndnoteSetNumberDlg

Purpose

EndnoteSetNumberDlg displays the Endnote Number dialog box.

Syntax

EndnoteSetNumberDlg ()


Route...

Insert, Endnote, New Number.


EndnotesSpaceBetween

Purpose

EndnotesSpaceBetween specifies the distance between endnotes.

You must type this command into a macro.  It is not recordable.

Syntax

EndnotesSpaceBetween (Width: Numeric Expression)

Parameters

Width: Numeric Expression

Specifies the distance between endnotes.

See Also

EndnoteOptions


For Example...

To specify 0.2 inches between endnotes, the command is:

EndnotesSpaceBetween

(

Width: 0.2"

)


EnterKey

Purpose

EnterKey performs the same function as Enter.

This command is not recordable.  You must type it into a macro.

Syntax

EnterKey ()


EnvelopeDlg

Purpose

EnvelopeDlg displays the Envelope dialog box.

Syntax

EnvelopeDlg ()


Route...

Layout, Envelope.


EquationBaseFontDlg

Purpose

EquationBaseFontDlg displays the Equation Font dialog box.

Syntax

EquationBaseFontDlg ()


Route...

Graphics, Equation, Font, Equation Font.


EquationCreate

Purpose

EquationCreate creates an equation box and opens the Equation Editor.

Syntax

EquationCreate ()

See Also

SubstructureExit


Route...

Graphics, Equation.


EquationPalette

Purpose

EquationPalette determines whether to display the Equation Palette in the Equation Editor.

Syntax

EquationPalette (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	Off!

1	On!


Route...

Graphics, Equation, View, Palette.


For Example...

To display the Equation palette, the command is:

EquationPalette

(

State: On!

)


EquationPaletteToggle

Purpose

EquationPaletteToggle toggles the Equation Editor palette.

Syntax

EquationPaletteToggle ()

See Also

EquationPalette


Route...

Graphics, Equation, View, Palette.


EquationRetrieveDlg

Purpose

EquationRetrieveDlg displays the Retrieve Equation Text dialog box.

Syntax

EquationRetrieveDlg ()


Route...

Graphics, Equation, File, Insert File.


EquationZoomDlg

Purpose

EquationZoomDlg displays the Zoom Equation Display dialog box.

Syntax

EquationZoomDlg ()


Route...

Graphics, Equation, View, Zoom Display.


ExpandDlg

Purpose

ExpandDlg displays the Expand Master Document dialog box.

Syntax

ExpandDlg ()


Route...

File, Master Document, Expand Master.


FeatureBarPopDown

Purpose

FeatureBarPopDown displays the options list for the current Feature Bar.

If no feature bar is displayed, this command ends the macro or redirects it to the LABEL specified by ONERROR.

Syntax

FeatureBarPopDown ()


Route...

Click the red question mark icon on the current feature bar.


FigurePaletteDlg

Purpose

FigurePaletteDlg displays the Image Tools palette in the Figure Editor.

Syntax

FigurePaletteDlg ()

See Also

FigurePaletteDlgEnd


Route...

Choose Tools from the Graphics feature bar.


FigurePaletteDlgEnd

Purpose

FigurePaletteDlgEnd closes the Image Tools palette in the Figure Editor.

Syntax

FigurePaletteDlgEnd ()

See Also

FigurePaletteDlg


Route...

Choose Tools from the Graphics feature bar.


FigureRetrieveDlg

Purpose

FigureRetrieveDlg displays the Insert Image dialog box.

Syntax

FigureRetrieveDlg ()


Route...

Graphics, Figure.


FileChangeAttributes

Purpose

FileChangeAttributes changes file attributes.

Syntax

FileChangeAttributes (Filename: Character Expression; Attributes: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Specifies a file to edit.

Attributes: Numeric Equivalent or Enumerated Type

Specifies file attributes to edit.

0	Normal!

1	ReadOnly!

2	Hidden!

4	System!

32	Archive!


Route...

File, Open, File Options, Change Attributes.


For Example...

To specify Read-Only for a file named TEST, the command is:

FileChangeAttributes

(

Filename: "C:\WPWIN60\TEST";

Attributes: ReadOnly!

)


FileChangeDir

Purpose

FileChangeDir changes the Documents or Graphics Files directory.

Syntax

FileChangeDir (Directory: Character Expression)

Parameters

Directory: Character Expression

Specifies the path displayed in a dialog box.


Route...

Follow the menu path to any dialog box where the directory can be changed. For example, the following routes are valid: File, Open, select a directory; or Graphics, Figure, select a directory.


For Example...

To change the Documents directory to C:\WPWIN60\DOCS, the command is:

FileChangeDir

(

Directory: "C:\WPWIN60\DOCS"

)


FileCopy

Purpose

FileCopy copies a source file to a destination file.

Syntax

FileCopy(SourceFile: Character Expression; DestinationFile: Character Expression)

Parameters

SourceFile: Character Expression

Specifies the name of a file to copy.

DestinationFile: Character Expression

Specifies the filename the source file is copied to.

See Also

FileDelete

FileMove


Route...

File, Open, File Options, Copy, enter source and destination file names.


For Example...

To copy a file, the command is:

FileCopy

(

SourceFile: "HISDOC";

DestinationFile: "HERDOC"

)


FileDelete

Purpose

FileDelete deletes a specified file.

Syntax

FileDelete(Filename: Character Expression)

Parameters

Filename: Character Expression

Specifies a file to delete.

See Also

FileCopy

FileMove


Route...

File, Open, select file to delete, File Options, Delete, Delete.


For Example...

To delete the file MYDOC, the command is:

FileDelete

(

Filename: "MYDOC"

)


FileExists

Purpose

FileExists indicates whether a specified file exists.

This command is not recordable.  You must type it into a macro.

Syntax

FileExists (Variable: Variable; Filename: Character Expression)

Parameters

Variable: Variable

A value of True or False is assigned to this variable, indicating whether a specified file exists.

Filename: Character Expression

Specifies a filename.

See Also

DirectoryExists


For Example...

To have WordPerfect type True or False to specify whether a file named DOC1.WPD exists, the command sequence is:

FileExists (

Variable: XXX;

Filename: "DOC1.WPD")

Type (XXX)


FileInsert

Purpose

FileInsert retrieves a file into the current document at the insertion point.

Syntax

FileInsert (Filename: Character Expression; AutoDetect: Numeric Equivalent or Enumerated Type; InsertIntoDoc: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Specifies the file to insert.

AutoDetect:  Numeric Equivalent or Enumerated Type

Determines whether Auto Detect is on.

0	No!

1	Yes!

InsertIntoDoc: Numeric Equivalent or Enumerated Type (optional)

Specifies whether a display a prompt before a file is inserted. If no value is specified for this parameter, a prompt is displayed.

0	Prompt!

1	Insert!

See Also

FileOpen


Route...

Insert, File, select a file, Insert.


For Example...

To insert a file named DOC1.TXT into the current document, the command is:

FileInsert

(

Filename: "DOC1.TXT";

AutoDetect: No!;

InsertIntoDoc: Prompt!

)


FileInsertDlg

Purpose

FileInsertDlg displays the Insert File dialog box.

Syntax

FileInsertDlg ()


Route...

Insert, File.


FileMove

Purpose

FileMove renames or moves, or renames and moves a file.

Syntax

FileMove(SourceFile: Character Expression; DestinationFile: Character Expression)

Parameters

SourceFile: Character Expression

Specifies a file to move or rename.

DestinationFile: Character Expression

Specifies a new filename or location, or new filename and location for the source file.

See Also

FileDelete

FileCopy


Route...

File, Open, select a file, File Options, Move or Rename, enter path and filename, Move or Rename.


For Example...

To move and rename the file OLDDOC, the command is:

FileMove

(

SourceFile: "C:\WPWIN60\OLDDOC";

DestinationFile: "C:\DATA\NEWDOC"

)


FileNew

Purpose

FileNew opens a new document.  If the maximum nine documents are open, this command ends the macro or redirects it to the LABEL specified by ONERROR.

Syntax

FileNew ()


Route...

File, New.


FileOpen

Purpose

FileOpen retrieves a specified file into a new document window.

If the maximum nine document windows are open, this command ends the macro or redirects it to the LABEL specified by ONERROR.

Syntax

FileOpen(Filename: Character Expression; Format: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Specifies the name of a file to open.

Format:  Numeric Equivalent or Enumerated Type (optional)

Specifies the format of a file to open.

1	WordPerfect_42!

2	WordPerfect_50!

3	WordPerfect_51!

4	WordPerfect_60!

30	WordStar_33!

31	WordStar_331!

32	WordStar_34!

33	WordStar_40!

34	WordStar_50!

35	WordStar_55!

36	WordStar_60!

50	WordStar2000_10!

51	WordStar2000_20!

52	WordStar2000_30!

62	MicrosoftWord_40!

63	MicrosoftWord_50!

64	MicrosoftWord_55!

70	WordForWindows_10!

71	WordForWindows_11!

72	WordForWindows_1A!

73	WordForWindows_20!

74	WordForWindows_20a!

75	WordForWindows_20b!

80	RTF!

81	FFT!

82	DisplayWrite_40!

83	DisplayWrite_42!

84	DisplayWrite_50!

100	MultiMate_33!

101	MultiMateAdvantage_36!

102	MultiMateAdvantageII_10!

103	MultiMate_40!

120	OfficeWriter_60!

121	OfficeWriter_61!

122	OfficeWriter_611!

123	OfficeWriter_62!

150	RTF!

160	ASCIIStandard!

161	ANSIText_Windows!

163	DelimitedText!

165	ASCIIStripped!

173	Kermit_7bit_Transfer!

175	NavyDIF!

190	XyWriteIIIPlus_355!

191	XyWriteIIIPlus_356!

311	AmiPro_12!

312	AmiPro_12A!

313	AmiPro_12B!

314	AmiPro_20!

315	AmiPro_30!

656	ANSIDelimitedTextWindows!

657	ANSIGenericWordProcessor_Windows!

807	Excel_40!

See Also

Close

FileOpenDlg

LastOpenedAdd


Route...

File, Open, enter a filename.


For Example...

To open the file MYFILE, the command is:

FileOpen

(

Filename: "MYFILE"

)


FileOpenDlg

Purpose

FileOpenDlg displays the Open File dialog box.

Syntax

FileOpenDlg ()

See Also

FileOpen


Route...

File, Open.


FileRemoveDirectory

Purpose

FileRemoveDirectory removes a directory.

Syntax

FileRemoveDirectory (Directory: Character Expression)

Parameters

Directory: Character Expression

Specifies a directory to remove.


Route...

File, Open, select a directory, File Options, Remove Directory, Remove.


For Example...

To remove a directory named NEW, the command is:

FileRemoveDirectory

(

Directory: "C:\WPWIN60\NEW"

)


FileSave

Purpose

FileSave saves the current file.  If the document has not been saved, the Save As dialog box is displayed.

Syntax

FileSave(Filename: Character Expression; ExportType: Numeric Equivalent or Enumerated Type; Overwrite: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Specifies the name of a file.

ExportType: Numeric Equivalent or Enumerated Type

Specifies the file format to save a document in.

1	WordPerfect_42!

2	WordPerfect_50!

3	WordPerfect_51!

4	WordPerfect_60!

30	WordStar_33!

31	WordStar_331!

32	WordStar_34!

33	WordStar_40!

34	WordStar_50!

35	WordStar_55!

36	WordStar_60!

50	WordStar2000_10!

51	WordStar2000_20!

52	WordStar2000_30!

62	MicroSoftWord_40!

63	MicrosoftWord_50!

64	MicrosoftWord_55!

70	WordForWindows_10!

71	WordForWindows_11!

72	WordForWindows_1A!

73	WordForWindows_20!

74	WordForWindows_20a!

75	WordForWindows_20b!

80	RFT!

81	FFT!

82	DisplayWrite_40!

83	DisplayWrite_42!

84	DisplayWrite_50!

100	MultiMate_33!

101	MultiMateAdvantage_36!

102	MultiMateAdvantageII_10!

103	MultiMate_40!

120	OfficeWriter_60!

121	OfficeWriter_61!

122	OfficeWriter_611!

123	OfficeWriter_62!

150	RTF!

160	ASCIIStandard!

161	ANSIText_Windows!

163	DelimitedText!

165	ASCIIStripped!

173	Kermit_7bit_Transfer!

175	NavyDIF!

190	XyWriteIIIPlus_355!

191	XyWriteIIIPlus_356!

311	AmiPro_12!

312	AmiPro_12A!

313	AmiPro_12B!

314	AmiPro_20!

315	AmiPro_30!

656	ANSIDelimitedTextWindows!

657	ANSIGeneratedWordProcessor_Windows!

807	Excel_40!

Overwrite: Numeric Equivalent or Enumerated Type

Determines whether to automatically overwrite a file with the same name, or prompt the user to enter a new filename.

0	No!

1	Yes!

2	Prompt!

See Also

FileSaveAsDlg


Route...

File, Save.


For Example...

To save the file EXPORT.DOC in WordPerfect 4.2 format, the command is:

FileSave

(

Filename: "EXPORT.DOC";

ExportType: WordPerfect_42!;

Overwrite: Yes!

)


FileSaveAsDlg

Purpose

FileSaveAsDlg displays the Save As dialog box.

Syntax

FileSaveAsDlg ()

See Also

FileSave


Route...

File, Save As.


FillColors

Purpose

FillColors creates a background (or fill) for graphics boxes and tables.

This command must be preceded by a command which specifies a fill style, such as BoxFill, and followed by a closing command such as BoxUpdateDisplay.

Syntax

FillColors (ForeColorName: Character Expression; ForeRed: Numeric Expression; ForeGreen: Numeric Expression; ForeBlue: Numeric Expression; ForeShade: Numeric Expression; BackColorName: Character Expression; BackRed: Numeric Expression; BackGreen: Numeric Expression; BackBlue: Numeric Expression; BackShade: Numeric Expression)

Parameters

Fore/BackColorName (optional)

Specifies foreground and background colors.

Fore/BackRed: Numeric Expression (optional)

Represents the amount of red in the selected color.  Values range from 0 to 255.

Fore/BackGreen: Numeric Expression (optional)

Represents the amount of green in the selected color.  Values range from 0 to 255.

Fore/BackBlue: Numeric Expression (optional)

Represents the amount of blue in the selected color.  Values range from 0 to 255.

Fore/BackShade: Numeric Expression (optional)

Represents the amount of shading in the selected color.  Values range from 0 to 100.

See Also

BoxFill

BoxUpdateDisplay

FillSetWPG2

FillStyleCreate

FillSetGradient

FillStyleEnd


Route...

With a graphic displayed in the current document, choose Graphics, Edit Box, Border/Fill button, select a Fill style, Foreground, select a color, Background, select a color, OK.


For Example...

To specify a 40 percent grayscale background for a selected graphic, the command sequence is:

BoxEdit

(

BoxNumber: 1

)

BoxFill

(

FillStyleName: 0

)

FillColors

(

ForeColorName: "Black";

ForeRed: 0;

ForeGreen: 0;

ForeBlue: 0;

ForeShade: 40;

BackColorName: "White";

BackRed: 255;

BackGreen: 255;

BackBlue: 255;

BackShade: 100

)

BoxUpdateDisplay ()


FillSetGradient

Purpose

FillSetGradient customizes a gradient fill.

This command must be preceded by FillStyleCreate or FillStyleEdit and followed by FillStyleEnd.

Syntax

FillSetGradient (Gradient: Numeric Equivalent or Enumerated Type; Angle: Numeric Expression; XLocation: Numeric Expression; YLocation: Numeric Expression; Calculate: Numeric Equivalent or Enumerated Type; State: Numeric Equivalent or Enumerated Type)

Parameters

Gradient: Numeric Equivalent or Enumerated Type

Determines the type of gradient.

0	LinearGradient!

1	RadialGradient!

2	RectangularGradient!

Angle: Numeric Expression

Specifies the rotation angle applied to the style.

XLocation: Numeric Expression

Specifies the percentage of horizontal offset. A horizontal offset of 10% places the center of the gradient effect toward the left edge; a horizontal offset of 50% centers the effect horizontally.

YLocation: Numeric Expression

Specifies the percentage of vertical offset. A vertical offset of 10% places the center of the gradient effect toward the top edge; a horizontal offset of 50% centers the effect vertically.

Calculate: Numeric Equivalent or Enumerated Type

Specifies the number of steps or gradines used to create a gradient. The default is 30 steps, meaning the gradient effect is comprised of 30 increments. The maximum number of steps is 999, and the minimum is 1; both produce a solid appearance. The optimum number of steps is approximately 120.

State:  Numeric Equivalent or Enumerated Type

Determines whether the gradient fill is selected.

0	No!

1	Yes!

See Also

FillColors

FillStyleCreate

FillStyleDelete

FillStyleEdit

FillStyleEnd

?FillGradientType


Route...

Graphics, Graphics Styles, Fill, Create or Edit. Create: enter style name, select Gradient, select option from Gradient pop-up list, select pattern option.  Edit: select Gradient, edit selection from the Gradient pop-up list, select pattern option.


For Example...

To create a gradient fill style named Greenburst with a top left corner offset, using 50 lines, the command sequence is:

FillStyleCreate

(

TemplateName: "Greenburst";

StyleFile: PersonalLibrary!

)

FillSetGradient

(

Gradient: RectangularGradient!;

Angle: 0.0;

XLocation: 0.1;

YLocation: 0.1;

Calculate: 50;

State: Yes!

)

FillColors

(

ForeRed: 255;

ForeGreen: 255;

ForeBlue: 0;

ForeShade: 100;

BackRed: 0;

BackGreen: 127;

BackBlue: 0;

BackShade: 100

)

FillStyleEnd

(

CancelSave: Save!

)


FillSetWPG2

Purpose

FillSetWPG2 specifies both a pattern set and a pattern from the set.

Syntax

FillSetWPG2 (PatternSet: Numeric Expression; Index: Numeric Equivalent or Enumerated Type)

Parameters

PatternSet: Numeric Expression

Specifies a pattern set. Only pattern set 0 is available.

Index: Numeric Equivalent or Enumerated Type

Specifies a pattern.

0	WPG2_Solid!

1	WPG2_50Gray!

2	WPG2_25Gray!

3	WPG2_12Gray!

4	WPG2_Crosshatch1!

5	WPG2_Crosshatch2!

6	WPG2_Crosshatch3!

7	WPG2_Crosshatch4!

8	WPG2_Lines1!

9	WPG2_Lines2!

10	WPG2_Lines3!

11	WPG2_Lines4!

12	WPG2_Lines5!

13	WPG2_Lines6!

14	WPG2_Lines7!

15	WPG2_Lines8!

16	WPG2_Checkboard1!

17	WPG2_Checkboard2!

18	WPG2_Bricks1!

19	WPG2_Bricks2!

20	WPG2_Fishscale!

21	WPG2_Honeycomb!

22	WPG2_Patio!

23	WPG2_Chainlink!

24	WPG2_Weave!

25	WPG2_Plaid!

26	WPG2_Balls!

27	WPG2_Mesh!

28	WPG2_Crosses!

29	WPG2_Triangles!

30	WPG2_Waves!

31	WPG2_Arch!

See Also

FillStyleCreate

FillStyleEdit

FillColors

?FillWPG2Pattern


Route...

Graphics, Graphics Styles, Fill, Create or Edit. Create: enter style name, Pattern, select pattern option. Edit: Pattern, edit pattern option.


For Example...

To create a fill style named BrickWork, using pattern set 0 and the index pattern WPG2_Bricks2!, the command sequence is:

FillStyleCreate

(

TemplateName: "BrickWork";

StyleFile: PersonalLibrary!

)

FillSetWPG2

(

PatternSet: 0;

Index: WPG2_Bricks2!

)

FillColors

(

ForeRed: 192;

ForeGreen: 192;

ForeBlue: 192;

ForeShade: 100;

BackRed: 127;

BackGreen: 0;

BackBlue: 0;

BackShade: 100

)

FillStyleEnd

(

CancelSave: Save!

)


FillStyleCopy

Purpose

FillStyleCopy copies a fill style.

Syntax

FillStyleCopy (StyleName: Numeric Equivalent or Enumerated Type; FromLibrary: Numeric Equivalent or Enumerated Type; ToLibrary: Numeric Equivalent or Enumerated Type; DestName: Character Expression)

Parameters

StyleName: Numeric Equivalent or Enumerated Type

Specifies a fill style to copy.

0	Fill10!

1	Fill20!

2	Fill30!

3	Fill40!

4	Fill50!

5	Fill50!

6	Fill70!

7	Fill80!

8	Fill90!

9	Fill100!

10	FillButton!

127	NoFill!

FromLibrary: Numeric Equivalent or Enumerated Type

Specifies the location of a fill style to copy.

0	CurrentDocument!

1	PersonalLibrary!

2	SharedLibrary!

ToLibrary:  Numeric Equivalent or Enumerated Type

Specifies the destination of a copied fill style.

0	CurrentDocument!

1	PersonalLibrary!

2	SharedLibrary!

DestName: Character Expression

Renames a copied fill style if a style of the same name already exists in the target location.

See Also

FillStyleCreate

FillStyleDelete

FillStyleEdit


Route...

Graphics, Graphic Styles, Fill, select a style, Options, Copy, enter a new style name.


For Example...

To copy a fill style named 10% Fill from the current document to the Personal Library, and to rename the copied style My Style, the command is:

FillStyleCopy

(

StyleName: Fill10!;

FromLibrary: CurrentDocument!;

ToLibrary: PersonalLibrary!;

DestName: "My Style"

)

To copy a fill style named 50% Fill from the current document to the personal library, the command is:

FillStyleCopy

(

StyleName: Fill50!;

FromLibrary: CurrentDocument!;

ToLibrary: PersonalLibrary!

)


FillStyleCreate

Purpose

FillStyleCreate creates a new fill style.

Syntax

FillStyleCreate (TemplateName: Character Expression; Library: Numeric Equivalent or Enumerated Type)

Parameters

TemplateName: Character Expression

Specifies the name of a new style.

Library: Numeric Equivalent or Enumerated Type

Specifies the destination of a fill style to create.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

FillColors

FillSetGradient

FillSetWPG2

FillStyleCopy

FillStyleDelete

FillStyleEdit

FillStyleEnd


Route...

Graphics, Graphic Styles, Fill, Create, enter a new style.


For Example...

To create a style named Button Fill, the command is:

FillStyleCreate

(

TemplateName: "Button Fill";

Library: CurrentDoc!

)

FillStyleEnd

(

CancelSave: Save!

)


FillStyleDelete

Purpose

FillStyleDelete deletes a style.

Syntax

FillStyleDelete (StyleName: Character Expression; Library: Numeric Equivalent or Enumerated Type)

Parameters

StyleName: Character Expression

Specifies the name of a style to delete.

Library: Numeric Equivalent or Enumerated Type

Specifies the source of a style.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

FillStyleCopy

FillStyleCreate

FillStyleEdit


Route...

Graphics, Graphic Styles, Fill, select a style, Options button, Delete.


For Example...

To delete a style named My Style, the command is:

FillStyleDelete

(

StyleName: "My Style";

Library: CurrentDoc!

)


FillStyleEdit

Purpose

FillStyleEdit is the opening command of a FillStyleEdit-FillStyleEnd statement; this statement contains style commands.

Syntax

FillStyleEdit (Style: Numeric Equivalent or Enumerated Type or Character Expression; Library: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type or Character Expression

Specifies the name of the style to edit.

0	Fill10!

1	Fill20!

2	Fill30!

3	Fill40!

4	Fill50!

5	Fill60!

6	Fill70!

7	Fill80!

8	Fill90!

9	Fill100!

10	FillButton!

127	NoFill!

Library: Numeric Equivalent or Enumerated Type

Specifies the source of a style.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

FillStyleCreate

FillStyleEnd

?Fill


Route...

Graphics, Graphic Styles, Fill, select a style, Edit.


For Example...

To edit the fill style named Fill40, the command is:

FillStyleEdit

(

Style: Fill40!;

Library: CurrentDoc!

)


FillStyleEnd

Purpose

FillStyleEnd saves or cancels changes after creating or editing a style.

Syntax

FillStyleEnd (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to save changes after creating or editing a style.

0	Cancel!

1	Save!

See Also

FillStyleCreate

FillStyleEdit


Route...

Choose OK or Cancel from the Edit Fill Style or Create Fill Style dialog box.


For Example...

To save changes after creating a new style, the command is:

FillStyleEnd

(

State: Save!

)


FillStyleName

Purpose

FillStyleName names a user-created fill style.

This command must be preceded by FillStyleEdit and followed by FillStyleEnd.

Syntax

FillStyleName (FillName: Character Expression)

Parameters

FillName: Character Expression

Specifies a fill style name.


Route...

Graphics, Graphics Styles, Fill, select a fill style, Options, Rename, enter a name.


For Example...

To name a 10% grayscale fill NEW STYLE, the command sequence is:

FillStyleEdit

(

FillName: Fill10!;

Library: PersonalLibrary!

)

FillStyleName

(

FillName: "NEW STYLE"

)

FillStyleEnd

(

State: Save!

)


FillStyleRetrieve

Purpose

FillStyleRetrieve retrieves a fill style.

Syntax

FillStyleRetrieve (Filename: Character Expression; Library: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Specifies a fill style to retrieve.

Library: Numeric Equivalent or Enumerated Type (optional)

Specifies the location of a fill style.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

FillStyleSave


Route...

Graphics, Graphics Styles, Fill, Options, Retrieve, enter a style name.


For Example...

To retrieve a fill style named My Style from the current document, the command is:

FillStyleRetrieve

(

Filename: "My Style";

Library: CurrentDoc!

)


FillStyleSave

Purpose

FillStyleSave saves a fill style.

Syntax

FillStyleSave (Filename: Character Expression; Library: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Specifies a fill style to save.

Library: Numeric Equivalent or Enumerated Type (optional)

Specifies the location of a fill style to save.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

FillStyleRetrieve


Route...

Graphics, Graphics Styles, Fill, Options, Save As, enter a new path and name for the style.


For Example...

To save a fill style named My Style in the current document, the command is:

FillStyleSave

(

Filename: "My Style";

Library: CurrentDoc!

)


FindDlg

Purpose

FindDlg displays the Find Text dialog box.

Syntax

FindDlg ()


Route...

Edit, Find.


FindFiles

Purpose

FindFiles locates specified files.

Syntax

FindFiles: (Action: Numeric Equivalent or Enumerated Type; SearchWPDocsOnly: Numeric Equivalent or Enumerated Type; AddMatchesToResultsList: Numeric Equivalent or Enumerated Type; SearchIn: Numeric Equivalent or Enumerated Type; IndexName: Character Expression; SearchFor: Character Expression; FilePattern: Character Expression; DocumentSummary: Character Expression; SearchResultsTitle: Character Expression; ShowResultsDialog: Numeric Equivalent or Enumerated Type; FromDate: Character Expression; ToDate: Character Expression)

Parameters

 Action: Numeric Equivalent or Enumerated Type

Specifies whether to open or retrieve a file.

1	Open!

2	Retrieve!

SearchWPDocsOnly: Numeric Equivalent or Enumerated Type

Specifies whether to search only for WordPerfect documents.

0	No!

1	Yes!

AddMatchesToResultsList: Numeric Equivalent or Enumerated Type

Specifies whether to add matching files to search results.

0	No!

1	Yes!

SearchIn: Numeric Equivalent or Enumerated Type

Specifies whether to search a specified directory or the entire disk.

0	DirectoryOnly!

1	SubTree!

2	EntireDisk!

4	QuickFinderIndex!

IndexName: Character Expression

Specifies a search path.

SearchFor: Character Expression

Specifies a file pattern to search.

FilePattern: Character Expression

Specifies a template to search.

DocumentSummary: Character Expression

Specifies a document summary pattern to search.

SearchResultsTitle: Character Expression

Specifies the search results title.

ShowResultsDialog: Numeric Equivalent or Enumerated Type

Specifies whether to display the results of the search.

0	No!

1	Yes!

FromDate: Character Expression

Specifies the beginning date.

ToDate: Character Expression

Specifies the ending date.


Route...

File, QuickFinder, specify options, Options, More, enter search specifications and select options, Find.


For Example...

To find and open a file, the command is:

FindFiles

(

Action: Open!;

SearchWPDocsOnly: Yes!;

AddMatchesToResultsList: Yes!;

SearchIn: DirectoryOnly!;

IndexName: "\NO CASE";

SearchFor: "doc.*";

FilePattern: "standard";

DocumentSummary: "report";

SearchResultsTitle: "results";

ShowResultsDialog: Yes!;

FromDate: "01/01/92";

ToDate: "12/01/93"

)


FirstLineIndent

Purpose

FirstLineIndent indents the first line of a new paragraph relative to the left margin.

Syntax

FirstLineIndent (Width: Measurement Expression)

Parameters

Width: Measurement Expression

Specifies an amount to indent the first line of a new paragraph.


Route...

Layout, Paragraph, Format, enter a measurement in the First Line Indent box.


For Example...

To indent the first line of each new paragraph 1.5 inches, the command is:

FirstLineIndent

(

Width: 1.5"

)


FloatingCellBegin

Purpose

FloatingCellBegin moves the insertion point to the beginning of the current floating cell when the insertion point is in a floating cell.

You must type this command into a macro.  It is not recordable.

Syntax

FloatingCellBegin ()

See Also

FloatingCellEnd


FloatingCellCreate

Purpose

FloatingCellCreate creates a floating cell.

Syntax

FloatingCellCreate ()

See Also

FloatingCellEdit


Route...

Table, Create, Floating Cell.


FloatingCellEdit

Purpose

FloatingCellEdit searches backwards from the insertion point for a floating cell, then moves the insertion point to the first floating cell found. If no floating cell is found, the command searches forward from the insertion point.

You must type this command into a macro.  It is not recordable.

Syntax

FloatingCellEdit ()

See Also

FloatingCellCreate


FloatingCellEnd

Purpose

FloatingCellEnd moves the insertion point to the end of the current floating cell when the insertion point is in a floating cell.

You must type this command into a macro.  It is not recordable.

Syntax

FloatingCellEnd ()

See Also

FloatingCellBegin


FloatingCellFormula

Purpose

FloatingCellFormula specifies a formula used in the current floating cell.

This command must be preceded by FloatingCellCreate or FloatingCellEdit.

Syntax

FloatingCellFormula (Formula: Character Expression)

Parameters

Formula: Character Expression

Specifies a formula to place in a floating cell.

See Also

FloatingCellCreate

FloatingCellEdit


Route...

Table, Formula Bar, enter a formula.


For Example...

To create a floating cell containing a formula to add the values of two other floating cells, the command sequence is:

FloatingCellCreate ()

FloatingCellFormula

(

Formula: "Floating Cell A + Floating Cell B"

)


FloatingCellNumAlignCurrency

Purpose

FloatingCellNumAlignCurrency specifies whether to align currency symbols.

This command must be preceded by FloatingCellCreate or FloatingCellEdit.

Syntax

FloatingCellNumAlignCurrency (Align: Numeric Equivalent or Enumerated Type)

Parameters

Align: Numeric Equivalent or Enumerated Type

Designates whether to align currency symbols.

0	No!

1	Yes!

See Also

FloatingCellCreate

FloatingCellEdit

FloatingCellNumberFormat


Route...

Table, Number Type, Currency, Custom, Align Currency Symbol.


For Example...

To create a floating cell that formats numbers as currency and aligns the currency symbols, the command sequence is:

FloatingCellCreate ()

FloatingCellNumberFormat

(

CellNumType: Currency!

)

FloatingCellNumAlignCurrency

(

Align: Yes!

)


FloatingCellNumberDateFormat

Purpose

FloatingCellNumberDateFormat specifies a floating cell date format.

Syntax

FloatingCellNumberDateFormat (Format: Numeric Expression)

Parameters

Format: Numeric Expression

Specifies a date format. Use the number corresponding to one of the following formats:

1	March 5, 1993

2	3/5/93

3	Mar 5, 1993

4	5 March 1993

5	Friday, March 5, 1993

6	4:18 pm

7	05Mar93

8	March 5, 1993 (4:18pm)

9	1993-03-05

10	3/05

11	Mar 05

12	04:18:53 (hh:mm:ss)

See Also

FloatingCellCreate

FloatingCellEdit

FloatingCellNumberFormat


Route...

Table, Number Type, Date/Time, Custom, select a format.


For Example...

To create a floating cell and specify the date format mm/dd/yy, the command sequence is:

FloatingCellCreate ()

FloatingCellNumberFormat

(

CellNumType: DateFormat!

)

FloatingCellNumberDateFormat

(

Format: 2

)

TableFormulaCBar()

FloatingCellFormula

(

Formula: "Date()"

)


FloatingCellNumberDecDigits

Purpose

FloatingCellNumberDecDigits specifies the number of digits to display after the decimal point in a floating cell.

Syntax

FloatingCellNumberDecDigits (Number: Numeric Expression)

Parameters

Number: Numeric Expression

Specifies the number of digits to display after a decimal point.

See Also

FloatingCellCreate

FloatingCellEdit

FloatingCellNumberFormat


Route...

Table, Number Type, Fixed, Custom, specify a number of digits after decimal.


For Example...

To edit a floating cell and display two digits after the decimal point, the command sequence is:

FloatingCellNumberFormat

(

CellNumType: Fixed2!

)

FloatingCellNumberDecDigits

(

Number: 2

)


FloatingCellNumberFormat

Purpose

FloatingCellNumberFormat specifies a number type for floating cells.

This command must be preceded by FloatingCellCreate or FloatingCellEdit.

Syntax

FloatingCellNumberFormat (CellNumType: Numeric Equivalent or Enumerated Type)

Parameters

CellNumType: Numeric Equivalent or Enumerated Type

Specifies the format of a number in floating cells.

0	General!

1	Integer!

2	Fixed2!

3	Percent!

4	Currency!

5	Accounting!

6	Commas!

7	Scientific!

8	DateFormat!

9	TextOnly!

See Also

FloatingCellCreate

FloatingCellEdit


Route...

Table, Number Type, select a format from the Available Types group box.


For Example...

To create a floating cell in the scientific notation format, the command sequence is:

FloatingCellCreate ()

FloatingCellNumberFormat

(

CellNumType: Scientific!

)


FloatingCellNumberNegNumber

Purpose

FloatingCellNumberNegNumber specifies how to display negative numbers in a floating cell.

Syntax

FloatingCellNumberNegNumber (NegDisplay: Numeric Equivalent or Enumerated Type)

Parameters

NegDisplay: Numeric Equivalent or Enumerated Type

Specifies the display of negative numbers.

0	Minus!

1	Parentheses!

2	CRDR!

See Also

FloatingCellCreate

FloatingCellEdit

FloatingCellNumberFormat


Route...

Table, Number Type, Integer, Custom, select a negative number option.


For Example...

To edit a floating cell and display negative numbers in parentheses, the command sequence is:

FloatingCellNumberFormat

(

CellNumType: Integer!

)

FloatingCellNumberNegNumber

(

NegDisplay: Parentheses!

)


FloatingCellNumberRound

Purpose

FloatingCellNumberRound determines whether to round numbers for calculation in a floating cell.

Syntax

FloatingCellNumberRound (Round: Numeric Equivalent or Enumerated Type)

Parameters

Round: Numeric Equivalent or Enumerated Type

Designates whether to round numbers to calculate.

0	No!

1	Yes!

See Also

FloatingCellCreate

FloatingCellEdit

FloatingCellNumberFormat


Route...

Table, Number Type, Fixed, Custom, Round for Calculation.


For Example...

To edit a floating cell and round numbers for calculation, the command sequence is:

FloatingCellNumberFormat

(

CellNumType: Fixed2!

)

FloatingCellNumberRound

(

Round: Yes!

)


FloatingCellNumberUseCurrency

Purpose

FloatingCellNumberUseCurrency determines whether to use a currency symbol in a floating cell.

This command must be preceded by FloatingCellCreate or FloatingCellEdit.

Syntax

FloatingCellNumberUseCurrency (Currency: Numeric Equivalent or Enumerated Type)

Parameters

Currency: Numeric Equivalent or Enumerated Type

Specifies whether to use a currency symbol.

0	No!

1	Yes!

See Also

FloatingCellCreate

FloatingCellEdit

FloatingCellNumAlignCurrency

FloatingCellNumberFormat


Route...

Table, Number Type, Currency, Custom, Use Currency Symbol.


For Example...

To create a floating cell that does not display currency symbols, the command sequence is:

FloatingCellCreate ()

FloatingCellNumberFormat

(

CellNumType: Currency!

)

FloatingCellNumberUseCurrency

(

Currency: No!

)


FloatingCellNumberUseCommas

Purpose

FloatingCellNumberUseCommas determines whether to display commas in floating cell numbers.

This command must be preceded by FloatingCellCreate or FloatingCellEdit.

Syntax

FloatingCellNumberUseCommas (Commas: Numeric Equivalent or Enumerated Type)

Parameters

Commas: Numeric Equivalent or Enumerated Type

Designates whether to use commas in numbers.

0	No!

1	Yes!

See Also

FloatingCellCreate

FloatingCellEdit

FloatingCellNumberFormat


Route...

Table, Number Type, Commas, Custom, Use Commas.


For Example...

To create a floating cell that displays numbers without showing commas, the command sequence is:

FloatingCellCreate ()

FloatingCellNumberFormat

(

CellNumType: Commas!

)

FloatingCellNumberUseCommas

(

Commas: No!

)


FloatingCellNumSelectCurrency

Purpose

FloatingCellNumSelectCurrency specifies a currency symbol for floating cells.

This command must be preceded by FloatingCellCreate or FloatingCellEdit.

Syntax

FloatingCellNumSelectCurrency (IntlCurrency: Numeric Equivalent or Enumerated Type)

Parameters

IntlCurrency: Numeric Equivalent or Enumerated Type

Specifies a currency symbol or country where the currency is used.

0	DefaultCurrency!

1	Dollar!

2	Peso!

3	FrenchCanada!

4	Canada!

5	Brazil!

6	Denmark!

7	Peseta!

8	Croatia!

9	CzechRepublic!

10	SlovakRepublic!

11	Finland!

12	FinlandIntl!

13	France!

14	Germany!

15	Greece!

16	Hungary!

17	Iceland!

18	Italy!

19	Japan!

20	Netherlands!

21	Norway!

22	NorwayIntl!

23	Ruble!

24	RussianRuble!

25	SouthAfrica!

26	Sweden!

27	Turkey!

28	UnitedKingdom!

29	Switzerland!

30	Austria!

31	Belgium!

32	Ecuador!

33	ElSalvador!

34	Guatemala!

35	Honduras!

36	Paraguay!

37	Venezuela!

38	Poland!

39	Slovenia!

See Also

FloatingCellCreate

FloatingCellEdit

FloatingCellNumAlignCurrency

FloatingCellNumberFormat

FloatingCellNumberUseCurrency


Route...

Table, Number Type, Currency, Custom, Symbol, select a currency symbol.


For Example...

To edit a cell and specify the dollar sign ($) as the currency symbol, the command sequence is:

FloatingCellEdit ()

FloatingCellNumberFormat

(

CellNumType: Currency!

)

FloatingCellNumSelectCurrency

(

IntlCurrency: Dollar!

)


FlushRight

Purpose

FlushRight aligns text against the right margin.

Syntax

FlushRight ()


Route...

Layout, Line, Flush Right.


Font

Purpose

Font specifies a font.

Syntax

Font (Name: Character Expression; Family: Numeric Equivalent or Enumerated Type; Attributes: Numeric Equivalent or Enumerated Type; Weight: Numeric Equivalent or Enumerated Type; Width:  Numeric Equivalent or Enumerated Type; Source: Numeric Equivalent or Enumerated Type; Type: Numeric Equivalent or Enumerated Type; Character Set: Numeric Equivalent or Enumerated Type)

Parameters

Name: Character Expression

Specifies a font name.

Family: Numeric Equivalent or Enumerated Type

256	FamilyITCBenguiat!

2304	FamilyTimesRoman!

4352	FamilyITCGaramond!

6400	FamilyCenturySchoolbook!

8448	FamilyBodon!

10496	FamilyITCLubalinGraph!

12544	FamilyAlbertus!

14592	FamilyCourier!

16640	FamilyHelvetica!

18688	FamilyITCRonda!

20736	FamilyMicrostyle!

22784	FamilyOptima!

24832	FamilyLetterGothic!

26880	FamilyBrush!

28928	FamilyParkAvenue!

30976	FamilySignetRoundhand!

33024	FamilyTekton!

35072	FamilyUncial!

37120	FamilyOldEnglish!

39168	FamilyITCZapfDingbats!

41216	FamilyBroadway!

43264	FamilyComputer!

45312	FamilyPTBarnum!

47360	FamilyPonderosa!

49408	FamilyMadrone!

51456	FamilyHobo!

53504	FamilyRevue!

55552	FamilyAestheticOrnamented!

Attributes: Numeric Equivalent or Enumerated Type

0	FontMatchNormal!

1	FontMatchItalic!

2	FontMatchOutline!

4	FontMatchShadow!

8	FontMatchSmallCaps!

Weight: Numeric Equivalent or Enumerated Type

0	WeightUnknown!

1	WeightUltraThin!

8	WeightUltraLight!

16	WeightExtraThin!

24	WeightThin!

32	WeightExtraLight!

48	WeightLight!

64	WeightDemiLight!

80	WeightSemiLight!

88	WeightBook!

88	WeightRegular!

104	WeightRoman!

112	WeightMedium!

128	WeightDemiBold!

136	WeightSemiBold!

144	WeightBold!

160	WeightExtraBold!

176	WeightHeavy!

192	WeightExtraHeavy!

208	WeightBlack!

224	WeightExtraBlack!

240	WeightUltraHeavy!

248	WeightUltraBlack!

254	WeightMaximum!

Width: Numeric Equivalent or Enumerated Type

0	WidthUnknown!

16	WidthUltraCondensed!

32	WidthUltraCompressed!

48	WidthCompressed!

64	WidthExtraCondensed!

80	WidthCondensed!

96	WidthSemiCondensed!

112	WidthNormal!

128	WidthSemiExpanded!

144	WidthExpanded!

160	WidthExtraExpanded!

176	WidthUltraExpanded!

192	WidthDoubleWide!

224	WidthTripleWide!

Source: Numeric Equivalent or Enumerated Type

16	PRSFile!

20	DRSFile!

Type: Numeric Equivalent or Enumerated Type

134	Speedo!

135	Intellifont!

138	Type1!

139	TrueType!

CharacterSet: Numeric Equivalent or Enumerated Type

0	FontMatchASCII!

1	FontMatchMultinational1!

2	FontMatchMultinational2!

3	FontMatchBoxDrawing!

4	FontMatchTypographicSymbols!

5	FontMatchIconicSymbols!

6	FontMatchMath!

7	FontMatchMathExtension!

8	FontMatchGreek!

9	FontMatchHebrew!

10	FontMatchCyrillic!

11	FontMatchJapaneseKana!

12	FontMatchUserDefined!

13	FontMatchArabic!

14	FontMatchArabicScript!


Route...

Layout, Font, select a font.


For Example...

To select the font named Courier New Bold, the command is:

Font

(

Name: "Courier New Bold";

Family: FamilyCourier!;

Attributes: FontMatchNormal!;

Weight: WeightExtraBold!;

Width: WidthUnknown!;

Source: DRSFile!;

Type: TrueType!;

CharacterSet: FontMatchASCII!

)


FontDlg

Purpose

FontDlg displays the Font dialog box.

Syntax

FontDlg ()

See Also

Font


Route...

Layout, Font.


FontDoubleUnderlineToggle

Purpose

FontDoubleUnderlineToggle toggles Double Underline.

You must type this command into a macro.  It is not recordable. For a recordable command, use AttributeAppearanceToggle.

Syntax

FontDoubleUnderlineToggle ()

See Also

AttributeAppearanceToggle


*** DELETED TOPIC ***


FontExtraLargeToggle

Purpose

FontExtraLargeToggle toggles Extra Large.

You must type this command into a macro.  It is not recordable. For a recordable command, use AttributeRelativeSizeToggle.

Syntax

FontExtraLargeToggle ()

See Also

AttributeRelativeSizeToggle


*** DELETED TOPIC ***


FontFineToggle

Purpose

FontFineToggle toggles Fine.

You must type this command into a macro.  It is not recordable. For a recordable command, use AttributeRelativeSizeToggle.

Syntax

FontFineToggle ()

See Also

AttributeRelativeSizeToggle


*** DELETED TOPIC ***


FontHiddenToggle

Purpose

FontHiddenToggle toggles Hidden at the insertion point.

You must type this command into a macro.  It is not recordable.

Syntax

FontHiddenToggle ()

See Also

AttributeAppearanceToggle


*** DELETED TOPIC ***


FontItalicToggle

Purpose

FontItalicToggle toggles Italic.

You must type this command into a macro.  It is not recordable. For a recordable command, use AttributeAppearanceToggle.

Syntax

FontItalicToggle ()

See Also

AttributeAppearanceToggle


*** DELETED TOPIC ***


FontLargeToggle

Purpose

FontLargeToggle toggles Large.

You must type this command into a macro.  It is not recordable. For a recordable command, use AttributeRelativeSizeToggle.

Syntax

FontLargeToggle ()

See Also

AttributeRelativeSizeToggle


*** DELETED TOPIC ***


FontOutlineToggle

Purpose

FontOutlineToggle toggles the Outline font attribute.

You must type this command into a macro.  It is not recordable. For a recordable command, use AttributeAppearanceToggle.

Syntax

FontOutlineToggle ()

See Also

AttributeAppearanceToggle


*** DELETED TOPIC ***


FontRedlineToggle

Purpose

FontRedlineToggle toggles Redline.

You must type this command into a macro.  It is not recordable. For a recordable command, use AttributeAppearanceToggle.

Syntax

FontRedlineToggle ()

See Also

AttributeAppearanceToggle


*** DELETED TOPIC ***


FontShadowToggle

Purpose

FontShadowToggle toggles Shadow.

You must type this command into a macro.  It is not recordable. For a recordable command, use AttributeAppearanceToggle.

Syntax

FontShadowToggle ()

See Also

AttributeAppearanceToggle


*** DELETED TOPIC ***


FontSize

Purpose

FontSize specifies the size of a selected font.

Syntax

FontSize (FontSize: Measurement Expression)

Parameters

FontSize: Measurement Expression

Specifies a font size in points.

See Also

Font


Route...

Layout, Font, specify a size.


For Example...

To specify a font size of 14 points, the command is:

FontSize

(

FontSize: 14p

)


FontSmallCapsToggle

Purpose

FontSmallCapsToggle toggles Small Caps.

You must type this command into a macro.  It is not recordable. For a recordable command, use AttributeAppearanceToggle.

Syntax

FontSmallCapsToggle ()

See Also

AttributeAppearanceToggle


FontSmallToggle

Purpose

FontSmallToggle toggles Small.

You must type this command into a macro.  It is not recordable. For a recordable command, use AttributeRelativeSizeToggle.

Syntax

FontSmallToggle ()

See Also

AttributeRelativeSizeToggle


*** DELETED TOPIC ***


FontStrikeoutToggle

Purpose

FontStrikeoutToggle toggles Strikeout.

You must type this command into a macro.  It is not recordable. For a recordable command, use AttributeAppearanceToggle.

Syntax

FontStrikeoutToggle ()

See Also

AttributeAppearanceToggle


*** DELETED TOPIC ***


FontSubscriptToggle

Purpose

FontSubscriptToggle toggles Subscript.

You must type this command into a macro.  It is not recordable. For a recordable command, use AttributePositionToggle.

Syntax

FontSubscriptToggle ()

See Also

AttributePositionToggle


*** DELETED TOPIC ***


FontSuperscriptToggle

Purpose

FontSuperscriptToggle toggles Superscript.

You must type this command into a macro.  It is not recordable. For a recordable command, use AttributePositionToggle.

Syntax

FontSuperscriptToggle ()

See Also

AttributePositionToggle


*** DELETED TOPIC ***


FontUnderlineToggle

Purpose

FontUnderlineToggle toggles Underline.

You must type this command into a macro.  It is not recordable. For a recordable command, use AttributeAppearanceToggle.

Syntax

FontUnderlineToggle ()

See Also

AttributeAppearanceToggle


*** DELETED TOPIC ***


FontVeryLargeToggle

Purpose

FontVeryLargeToggle toggles Very Large.

You must type this command into a macro.  It is not recordable. For a recordable command, use AttributeRelativeSizeToggle.

Syntax

FontVeryLargeToggle ()

See Also

AttributeRelativeSizeToggle


*** DELETED TOPIC ***


FooterA

Purpose

FooterA determines whether to create, edit, or cancel Footer A.

Syntax

FooterA (Action: Numeric Equivalent or Enumerated Type; Occurrence:Numeric Equivalent or Enumerated Type)

Parameters

Action: Numeric Equivalent or Enumerated Type

Specifies whether to create, edit, or cancel Footer A.

0	Off!

1	Create!

2	Edit!

Occurrence: Numeric Equivalent or Enumerated Type (optional)

Specifies where to display footer A.

0	NoPages!

1	OddPages!

2	EvenPages!

3	AllPages!

See Also

NewHFWOccurrence

?FooterAOccur

SubstructureExit


Route...

Layout, Header/Footer, Footer A, Create.


For Example...

To create Footer A, containing the text "This is Footer A," the command sequence is:

FooterA

(

Action: Create!

)

Type

(

Text: "This is Footer A"

)

SubstructureExit ()


FooterB

Purpose

FooterB determines whether to create, edit, or cancel Footer B.

Syntax

FooterB (Action: Numeric Equivalent or Enumerated Type; Occurrence: Numeric Equivalent or Enumerated Type)

Parameters

Action: Numeric Equivalent or Enumerated Type

Specifies whether to create, edit, or cancel Footer B.

0	Off!

1	Create!

2	Edit!

Occurrence: Numeric Equivalent or Enumerated Type (optional)

Specifies where to display footer B.

0	NoPages!

1	OddPages!

2	EvenPages!

3	AllPages!

See Also

NewHFWOccurrence

?FooterBOccur

SubstructureExit


Route...

Layout, Header/Footer, Footer B, Create.


For Example...

To edit Footer B to contain the text "This is Footer B," the command sequence is:

FooterB

(

Action: Edit!

)

Type

(

Text: "This is Footer B"

)

SubstructureExit ()


FooterSeparationDistance

Purpose

FooterSeparationDistance specifies an amount of blank space above footers.

Syntax

FooterSeparationDistance (Distance: Measurement Expression)

Parameters

Distance: Measurement Expression)

Specifies an amount of blank space above a footer.  The default is .167".


Route...

Layout, Header/Footer, Footer A or Footer B, Create or Edit, Distance, specify a measurement.


For Example...

To specify .5" of blank space above Footer A, the command is:

FooterA

(

Action: Edit

)

FooterSeparationDistance

(

Distance: 0.5"

)

SubstructureExit ()


FootnoteContinuedMessage

Purpose

FootnoteContinuedMessage determines whether to print "(continued...)" when a footnote is split between two pages.

This command is not recordable.  You must type it into a macro.

Syntax

FootnoteContinuedMessage (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to print a continued message when a footnote is split between two pages.

0	No!

1	Yes!

See Also

FootnoteOptionsDlg


*** DELETED TOPIC ***


For Example...

To print a continued message, the command is:

FootnoteContinuedMessage

(

State: Yes!

)


FootnoteCreate

Purpose

FootnoteCreate opens a Footnote window, where subsequent commands insert text and codes.  The SubstructureExit command closes the Footnote window and places a reference to the footnote at the insertion point.

Syntax

FootnoteCreate ()

See Also

SubstructureExit


Route...

Insert, Footnote, Create.


FootnoteEdit

Purpose

FootnoteEdit opens a specified Footnote window.  Subsequent commands apply to the Footnote window until SubstructureExit.

Syntax

FootnoteEdit (FootnoteNumber: Character Expression)

Parameters

FootnoteNumber: Character Expression

Specifies the number of a footnote to edit.  Note that this parameter is a character expression.  Footnotes can be numbered with arabic numerals, roman numerals, or letters.

See Also

FootnoteEditDlg

SubstructureExit


Route...

Insert, Footnote, Edit.


For Example...

To edit footnote number 3, and enter text, the command is:

FootnoteEdit

(

FootnoteNumber: "3"

)

Type

(

Text: "The Cremation of Sam McGee"

)

SubstructureExit ()


FootnoteEditDlg

Purpose

FootnoteEditDlg displays the Edit Footnote dialog box.

Syntax

FootnoteEditDlg ()

See Also

FootnoteEdit


Route...

Insert, Footnote, Edit.


FootnoteMinimum

Purpose

FootnoteMinimum specifies the amount of footnote text to keep together on a page.

You must type this command into a macro.  It is not recordable.

Syntax

FootnoteMinimum (Width: Measurement Expression)

Parameters

Width: Measurement Expression

Specifies the amount of footnote text to keep together.

See Also

FootnoteOptions


*** DELETED TOPIC ***


For Example...

To keep 0.5" of footnote text together, the command is:

FootnoteMinimum

(

Width: 0.5"

)


FootnoteNewNumber

Purpose

FootnoteNewNumber increments subsequent footnotes from a specified number.

Syntax

FootnoteNewNumber (FootnoteNumber: Character Expression)

Parameters

FootnoteNumber: Character Expression

Specifies a new footnote number.  Note that this parameter is a character expression.  Footnotes can be numbered with arabic numerals, roman numerals, or letters.

See Also

FootnoteNewNumberDlg


Route...

Insert, Footnote, New Number, specify a number.


For Example...

To renumber footnotes beginning with "1", the command is:

FootnoteNewNumber

(

FootnoteNumber: "1"

)


FootnoteNewNumberDlg

Purpose

FootnoteNewNumberDlg displays the Footnote Number dialog box.

Syntax

FootnoteNewNumberDlg ()


Route...

Insert, Footnote, New Number.


FootnoteNumberDecrement

Purpose

FootnoteNumberDecrement decreases the last footnote number by one.

Syntax

FootnoteNumberDecrement ()

See Also

FootnoteNumberIncrement


Route...

Insert, Footnote, New Number, Decrease.


FootnoteNumberDisplay

Purpose

FootnoteNumberDisplay displays current footnote numbering.

You must type this command into a macro.  It is not recordable.

Syntax

FootnoteNumberDisplay ()

See Also

FootnoteNewNumber


FootnoteNumberIncrement

Purpose

FootnoteNumberIncrement increases the last footnote number by one.

Syntax

FootnoteNumberIncrement ()

See Also

FootnoteNumberDecrement


Route...

Insert, Footnote, New Number, Increase.


FootnoteNumberMethod

Purpose

FootnoteNumberMethod specifies a footnote numbering method.

This command is not recordable.  You must type it into a macro.  For a recordable command that serves the same function, use FootnoteOptions.

Syntax

FootnoteNumberMethod (NumberingMethod: Numeric Equivalent or Enumerated Type; Character: Character Expression)

Parameters

NumberingMethod: Numeric Equivalent or Enumerated Type

Specifies a footnote numbering method.

0	Numbers!

1	LowerLetters!

2	UpperLetters!

3	LowerRoman!

4	UpperRoman!

5	Characters!

Character: Character Expression (optional)

Specifies up to five characters to use as a numbering method when Characters! is specified in the first parameter.

See Also

FootnoteOptions


For Example...

To use an asterisk (*) to number footnotes, the command is:

FootnoteNumberMethod (

NumberingMethod: Characters!;

Character: "*")


FootnoteOptions

Purpose

FootnoteOptions specifies footnote options from the insertion point forward.

Syntax

FootnoteOptions(NumberingMethod: Numeric Equivalent or Enumerated Type; Characters: Character Expression; BetweenSpacing: Measurement Expression; MinimumHeight: Measurement Expression; Restart: Numeric Equivalent or Enumerated Type; PrintContinued: Numeric Equivalent or Enumerated Type; FootnotePosition: Numeric Equivalent or Enumerated Type; Separator: Numeric Equivalent or Enumerated Type)

Parameters

NumberingMethod: Numeric Equivalent or Enumerated Type

Specifies the footnote numbering method.

0	Numbers!

1	LowerLetters!

2	UpperLetters!

3	LowerRoman!

4	UpperRoman!

5	Characters!

Characters: Character Expression

Specifies up to five characters.  Used when the numbering method is Characters!.

BetweenSpacing: Measurement Expression

Specifies an amount of space between footnotes.

MinimumHeight: Measurement Expression

Specifies how much of a footnote must be kept together on a page.

Restart: Numeric Equivalent or Enumerated Type

Specifies whether the footnote number restarts with 1 on every page.

0	Off!

1	On!

PrintContinued: Numeric Equivalent or Enumerated Type

Specifies whether "(continued)..." is printed on the last footnote line of the first page and "...(continued)" on the first footnote line of the next page, according to Footnote Options.

0	No!

1	Yes!

FootnotePosition: Numeric Equivalent or Enumerated Type

Specifies where to display footnotes.

0	BottomOfPage!

1	AfterText!

Separator: Numeric Equivalent or Enumerated Type

Specifies a footnote separator.

0	NoLine!

1	ShortLine!

2	MarginToMargin!

See Also

FootnoteOptionsDlg


Route...

Insert, Footnote, Options, select options.


For Example...

To specify footnote options, the command is:

FootnoteOptions

(

NumberingMethod: Characters!;

Characters: "Note";

BetweenSpacing: .1";

MinimumHeight: .5";

Restart: On!;

PrintContinued: Yes!;

FootnotePosition: BottomOfPage!;

Separator: ShortLine!

)


FootnoteOptionsDlg

Purpose

FootnoteOptionsDlg displays the Footnote Options dialog box.

Syntax

FootnoteOptionsDlg ()

See Also

FootnoteOptions


Route...

Insert, Footnote, Options.


FootnotePosition

Purpose

FootnotePosition specifies whether footnotes are printed at the bottom of the page or just below the last line of text.

This command is not recordable.  You must type it into a macro.  For a recordable command that serves the same function, use FootnoteOptions.

Syntax

FootnotePosition (Position: Numeric Equivalent or Enumerated Type)

Parameters

Position: Numeric Equivalent or Enumerated Type

Specifies a footnote position.

0	BottomOfPage!

1	AfterText!

See Also

FootnoteOptions


For Example...

To position footnotes at the bottom of the page, the command is:

FootnotePosition (

Position: BottomOfPage!)


FootnoteRestartEachPage

Purpose

FootnoteRestartEachPage determines whether to restart footnote numbering on each page.

This command is not recordable.  You must type it into a macro.  For a recordable command that serves the same function, use FootnoteOptions.

Syntax

FootnoteRestartEachPage (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to restart footnote numbering on each page.

0	No!

1	Yes!

See Also

FootnoteOptions


For Example...

To restart footnote numbering on each page, the command is:

FootnoteRestartEachPage (

State: Yes!)


FootnoteSeparatorLine

Purpose

FootnoteSeparatorLine specifies the characteristics of a separator line between text and footnotes.

FootnoteSeparatorLine (Style: Numeric Equivalent or Enumerated Type; SpaceAboveLine: Measurement Expression; SpaceBelowLine: Measurement Expression; Alignment: Numeric Equivalent or Enumerated Type; Width: Measurement Expression; Position: Measurement Expression)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies the type of separator line.

0	SingleLine!

1	DoubleLine!

2	DashedLine!

3	DottedLine!

4	ThickLine!

5	ExtraThickLine!

6	ThinThickLine!

7	ThickThinLine!

8	ButtonTopLeftLine!

9	ButtonBottomRightLine!

126	TableDefaultLine!

127	NoLine!

SpaceAboveLine: Measurement Expression

Specifies the amount of space between the separator line and the last line of document text.

SpaceBelowLine: Measurement Expression

Specifies the amount of space between the separator line and the first footnote.

Alignment: Numeric Equivalent or Enumerated Type

Specifies how the separator line is justified.

0	Left!

1	Full!

2	Center!

3	Right!

4	SetPosition!

Width: Measurement Expression (optional)

Specifies the width of a separator line.

Position: Measurement Expression (optional)

Specifies the distance of a separator line from the left edge of the page.

See Also

FootnoteOptionsDlg


Route...

Insert, Footnote, Options, Separator, select options.


For Example...

To create a separator line with 0.5" of space above the line and 0.25" below, 2" from the left edge of the paper, and 3" in length, the command is:

FootnoteSeparatorLine

(

Style: DoubleLine!;

SpaceAboveLine: 0.5";

SpaceBelowLine: 0.25";

Alignment: SetPosition!;

Width: 3.0";

Position: 2.0"

)


FootnotesSpaceBetween

Purpose

FootnotesSpaceBetween specifies the amount of blank space between footnotes.

This command is not recordable.  You must type it into a macro.

Syntax

FootnotesSpaceBetween (Space: Measurement Expression)

Parameters

Space: Measurement Expression

Specifies the amount of blank space between footnotes.  The default is .167".

See Also

FootnoteOptionsDlg


*** DELETED TOPIC ***


For Example...

To specify .25" blank space between footnotes, the command is:

FootnotesSpaceBetween

(

Space: .25"

)


ForcePage

Purpose

ForcePage specifies that a certain page always has an odd or even number.

Syntax

ForcePage (EvenOddNew: Numeric Equivalent or Enumerated Type)

Parameters

EvenOddNew: Numeric Equivalent or Enumerated Type

Specifies whether a page number is odd or even.

0	Even!

1	Odd!

2	New!


Route...

Layout, Page, Force Page, select Current Page Odd or Current Page Even or New Page.


For Example...

To insert a blank page, forcing a page number to be odd, the command is:

ForcePage

(

EvenOddNew: Odd!

)


ForcePageDlg

Purpose

ForcePageDlg displays the Force Page dialog box.

Syntax

ForcePageDlg ()


Route...

Layout, Page, Force Page.


FormatMarginsDlg

Purpose

FormatMarginsDlg displays the Margins dialog box.

Syntax

FormatMarginsDlg ()


Route...

Layout, Margins.


GenerateDlg

Purpose

GenerateDlg displays the Generate dialog box.

Syntax

GenerateDlg ()


Route...

Tools, Generate.


GenerateDoc

Purpose

GenerateDoc generates Endnotes, Indexes, Tables of Contents, Lists, Cross References, Tables of Authorities, and Master Documents.

Syntax

GenerateDoc (SaveSubdocs: Numeric Equivalent or Enumerated Type; UndoAction: Numeric Equivalent or Enumerated Type; Hypertext: Numeric Equivalent or Enumerated Type)

Parameters

SaveSubDocs: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to save subdocuments in a master document.  Required only to generate a master document.

0	DontSave!

1	Save!

UndoAction: Numeric Equivalent or Enumerated Type (optional)

Required only to generate a master document.

0	NoUndo!

1	Undo!

Hypertext: Numeric Equivalent or Enumerated Type (optional)

65535	CreateHypertext!

See Also

GenerateDlg


Route...

Tools, Generate, Options, select or deselect Save SubDocuments or Build Hypertext Links.


For Example...

To generate a document, save subdocuments, and build hypertext links, the command is:

GenerateDoc

(

SaveSubDocs: Save!;

Hypertext: -1

)


GetAcceleratorText

Purpose

GetAcceleratorText assigns a macro command's accelerator text to a variable. When a command is mapped to a keystroke, the accelerator text represents the keystroke.

You must type this command into a macro.  It is not recordable.

Syntax

GetAcceleratorText (Variable: Variable; Token: Macro Command)

Parameters

Variable: Variable

Is assigned the accelerator text for the command specified by the Token parameter.  Any variable name is a valid value for this parameter.

Token: Macro Command

Specifies a macro command.

See Also

GetData


For Example...

To display the accelerator text for RulerBarShow, the command sequence is:

GetAcceleratorText

(

Variable: Ruler;

Token: RulerBarShow

)

Type

(

Ruler

)


GetData

Purpose

GetData assigns specific information to a variable about the state of WordPerfect or a WordPerfect document.  The macro then uses that variable in conjunction with other commands to retrieve information or to determine whether to perform specified actions.

This command is not recordable.  You must type it into a macro.

Syntax

GetData (Variable: Variable; Group: Numeric Equivalent or Enumerated Type; Item: Numeric Equivalent or Enumerated Type; Template: Numeric Equivalent or Enumerated Type; ItemNum: Numeric Expression)

Parameters

Variable: Variable

Is assigned the information specified by the other parameters.  Any variable name is a valid value for this parameter.

Group: Numeric Equivalent or Enumerated Type

Specifies the group a variable belongs to.  Summary! extracts data from the document summary by order of entry.  SummaryTag! extracts data from the document summary by field tab number.

0	Font!

1	Printer!

2	Abbreviation!

3	PaperSize!

4	BookMark!

5	Summary!

6	SummaryTag!

7	OutlineStyle!

8	Styles!

9	Table!

10	TableNames!

Item: Numeric Equivalent or Enumerated Type

Specifies an item type.  For example, Count! returns the number of available fields in the document summary.  Name!, Data!, Type!, and Tag! return information extracted from the document summary field specified by the ItemNum parameter.

0	Count!

1	Name!

2	Data!

3	Width!

4	Length!

5	Type!

6	Tag!

Template: Numeric Equivalent or Enumerated Type

Specifies the location of specified items.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

ItemNum: Numeric Expression (optional)

Specifies the number of the item from which the Item parameter extracts information.  For example, ItemNum can be used to specify a particular document summary field.


For Example...

The following macros illustrate some uses of GetData. The first two show different ways to list the current document summary field names and field contents. These macros are valid only if a document summary has been created for the current document. The first macro attempts to read every predefined summary field by tag number, while the second determines the number of summary fields in the current document summary, then reads them in order.  The third macro displays a list of fonts available in the current document.

Example 1:

Type

(

Text: "***SUMMARY TAGS***"

)

HardReturn ()

MacroStatusPrompt

(

State: On!;

Prompt: "Getting summary fields by tag number..."

)

ONERROR

(

Skipit@

)

FOR

(

Count;

1;

Count<=51;

Count+1

)

GetData

(

Variable: STName;

Group: SummaryTag!;

Item: Name!;

Template: CurrentDoc!;

ItemNum: Count

)

GetData

(

Variable: STData;

Group: SummaryTag!;

Item: Data!;

Template: CurrentDoc!;

ItemNum: Count

)

Type

(

STName+"  "+STData

)

HardReturn ()

LABEL

(

Skipit@

)

ENDFOR

Example 2:

Type

(

Text: "***SUMMARY***"

)

HardReturn ()

MacroStatusPrompt

(

State: On!;

Prompt: "Getting summary fields by ordinal..."

)

GetData

(

Variable: NrSummaryFields;

Group: Summary!;

Item: Count!;

Template: CurrentDoc!

)

ONERROR

(

Skipit@

)

FOR

(

Count;

1;

Count<=NrSummaryFields;

Count+1

)

GetData

(

Variable: STName;

Group: Summary!;

Item: Name!;

Template: CurrentDoc!

ItemNum: Count

)

GetData

(

Variable: STData;

Group: Summary!;

Item: Data!;

Template: CurrentDoc!

ItemNum: Count

)

Type

(

STName+"  "+STData

)

HardReturn ()

LABEL

(

Skipit@

)

ENDFOR

Example 3:

NumFonts:= 0

FontName:= " "

GetData

(

Variable: NumFonts;

Group: Font!;

Item: Count!;

Template: CurrentDoc!

)

FOR

(

FontNumber;

1;

FontNumber <= NumFonts;

FontNumber + 1

)

GetData

(

Variable: FontName;

Group: Font!;

Item: Name!;

Template: CurrentDoc!;

ItemNum: FontNumber

)

Type

(

FontName

)

HardReturn ()

ENDFOR

Type

(

Text: "Finished"

)

HardReturn ()


GraphicBoxStyleDlg

Purpose

GraphicBoxStyleDlg displays the Box Styles dialog box.

Syntax

GraphicBoxStyleDlg ()


Route...

Graphics, select a box style, Style.


GraphicCreateBox

Purpose

GraphicCreateBox displays the Insert Image dialog box.

You must type this command into a macro.  It is not recordable.

Syntax

GraphicCreateBox ()


*** DELETED TOPIC ***


GraphicCreateChart

Purpose

GraphicCreateChart creates a chart with Draw.

Syntax

GraphicCreateChart ()


Route...

Graphics, Chart.


GraphicCreateTextArt

Purpose

GraphicCreateTextArt opens a window for modifying the appearance of text.

Syntax

GraphicCreateTextArt ()


Route...

Graphics, TextArt.


GraphicCustomMenuDlg

Purpose

GraphicCustomMenuDlg displays the Edit Graphics Menu dialog box.

Syntax

GraphicCustomMenuDlg ()


Route...

Graphics, Graphics Styles, Menu.


GraphicsBoxCaptionDlg

Purpose

GraphicsBoxCaptionDlg displays the Box Caption dialog box.

Syntax

GraphicsBoxCaptionDlg ()


Route...

Graphics, select a box type, Caption.


GraphicsBoxContentDlg

Purpose

GraphicsBoxContentDlg displays the Box Content dialog box.

Syntax

GraphicsBoxContentDlg ()


Route...

Graphics, select box type, Content.  If you choose Figure in the second step: select a graphics file from the Insert File dialog box, OK, Content.


GraphicsBoxFindDlg

Purpose

GraphicsBoxFindDlg displays the Edit Box dialog box.

Syntax

GraphicsBoxFindDlg ()


Route...

Graphics, Edit Box.


GraphicsBoxSizeDlg

Purpose

GraphicsBoxSizeDlg displays the Box Size dialog box.

Syntax

GraphicsBoxSizeDlg ()


Route...

Graphics, select a box type, Size.


GraphicsFigureEditAllDlg

Purpose

GraphicsFigureEditAllDlg displays the Image Settings dialog box.

Syntax

GraphicsFigureEditAllDlg ()


Route...

Graphics, Edit Box, Tools, Image Settings.


GraphicsLineColor

Purpose

GraphicsLineColor specifies the color of a graphics line.

This command must be preceded by GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

Syntax

GraphicsLineColor (ColorName: Character Expression; Red: Numeric Expression; Green: Numeric Expression; Blue: Numeric Expression; Shade: Numeric Expression)

Parameters

ColorName: Character Expression (optional)

Specifies a graphics line color.

Red: Numeric Expression (optional)

Represents the amount of red in a color.  Values range from 0 to 255.

Green: Numeric Expression (optional)

Represents the amount of green in a color.  Values range from 0 to 255.

Blue: Numeric Expression (optional)

Represents the amount of blue in a color.  Values range from 0 to 255.

Shade: Numeric Expression (optional)

Represents the shading percentage of a color.  Values range from 0 to 100.

See Also

GraphicsLineCreate

GraphicsLineEnd

?GraphicsLineColorBlue

?GraphicsLineColorGreen

?GraphicsLineColorRed

?GraphicsLineColorShading


Route...

Graphics, Edit Line or Custom Line, specify a color.


For Example...

To specify the color of a graphics line, the command is:

GraphicsLineCreate ()

GraphicsLineColor

(

ColorName: "Red";

Red: 255;

Green: 0;

Blue: 0;

Shade: 100

)

GraphicsLineEnd

(

State: Save!

)


GraphicsLineCreate

Purpose

GraphicsLineCreate creates a graphics line.

Syntax

GraphicsLineCreate (LineType: Numeric Equivalent or Enumerated Type)

Parameters

LineType: Numeric Equivalent or Enumerated Type

Specifies the type of graphics line to create.

0	HorizontalLine!

1	VerticalLine!

See Also

GraphicsLineDelete

GraphicsLineEdit

GraphicsLineEnd

HLineCreate

VLineCreate


Route...

Graphics, Custom Line, select horizontal or vertical.


For Example...

To create a horizontal graphics line, the command is:

GraphicsLineCreate

(

LineType: HorizontalLine!

)


GraphicsLineDelete

Purpose

GraphicsLineDelete deletes a graphics line.

You must type this command into a macro.  It is not recordable.

Syntax

GraphicsLineDelete (Line: Numeric Expression)

Parameters

Line: Numeric Expression

Specifies a line to delete.

See Also

GraphicsLineCreate

GraphicsLineEdit

GraphicsLineEnd


*** DELETED TOPIC ***


For Example...

To delete the first graphics line, the command is:

GraphicsLineDelete

(

Line: 1

)


GraphicsLineEdit

Purpose

GraphicsLineEdit specifies a graphics line to edit.

Syntax

GraphicsLineEdit (Line: Numeric Expression)

Parameters

Line: Numeric Expression

Specifies a line to edit.

See Also

GraphicsLineCreate

GraphicsLineDelete

GraphicsLineEditNext

GraphicsLineEditPrevious

GraphicsLineEnd


Route...

Select a line, Graphics, Edit Line.


For Example...

To edit the third graphics line, the command is:

GraphicsLineEdit

(

Line: 3

)


GraphicsLineEditNext

Purpose

GraphicsLineEditNext edits the next graphics line.

You must type this command into a macro.  It is not recordable.

Syntax

GraphicsLineEditNext (LineType: Numeric Equivalent or Enumerated Type)

Parameters

LineType: Numeric Equivalent or Enumerated Type

Specifies a line type to edit.

0	HorizontalLine!

1	VerticalLine!

See Also

GraphicsLineEdit

GraphicsLineEditPrevious

GraphicsLineEnd


*** DELETED TOPIC ***


For Example...

To edit the next horizontal line, the command is:

GraphicsLineEditNext

(

LineType: HorizontalLine!

)


GraphicsLineEditPrevious

Purpose

GraphicsLineEditPrevious edits the previous graphics line.

You must type this command into a macro.  It is not recordable.

Syntax

GraphicsLineEditPrevious (LineType: Numeric Equivalent or Enumerated Type)

Parameters

LineType: Numeric Equivalent or Enumerated Type

Specifies a line type to edit.

0	HorizontalLine!

1	VerticalLine!

See Also

GraphicsLineEdit

GraphicsLineEditNext

GraphicsLineEnd


*** DELETED TOPIC ***


For Example...

To edit the previous vertical line, the command is:

GraphicsLineEditPrevious

(

LineType: VerticalLine!

)


GraphicsLineEnd

Purpose

GraphicsLineEnd specifies whether to save changes made to a graphics line.

Syntax

GraphicsLineEnd (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to save changes.

0	Cancel!

1	Save!

See Also

GraphicsLineCreate

GraphicsLineDelete

GraphicsLineEdit


Route...

Graphics, Custom Line or Edit Line, select options.


For Example...

To save changes after creating or editing a graphics line, the command is:

GraphicsLineEnd

(

State: Save!

)


GraphicsLineHorizontalPosition

Purpose

GraphicsLineHorizontalPosition positions a graphics line horizontally.

This command must be preceded by GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

Syntax

GraphicsLineHorizontalPosition (Position: Numeric Equivalent or Enumerated Type; AbsPos: Measurement Expression; LeftColNum: Numeric Expression)

Parameters

Position: Numeric Equivalent or Enumerated Type

Specifies the horizontal location of a graphics line.

0	Left!

2	Center!

3	Right!

7	FullAlign!

8	Set!

9	BetweenColumns!

AbsPos: Measurement Expression (optional)

Specifies the exact position on a page to place the graphics line.  Use this parameter if you specified Set as the Location parameter.

LeftColNum: Numeric Expression (optional)

Specifies which column to place the graphics line to the right of.  Use this parameter if you specified BetweenColumns! as the Location parameter.

See Also

GraphicsLineCreate

GraphicsLineEdit

?GraphicsLineHorizontalAlign

?GraphicsLineHorizontalColumn

?GraphicsLineHorizontalPosition


Route...

Graphics, Custom Line or Edit Line, Horizontal, select a horizontal position option.


For Example...

To center a graphic line horizontally on a page, the command is:

GraphicsLineHorizontalPosition

(

Position: Center!

)


GraphicsLineLength

Purpose

GraphicsLineLength speicifes the length of graphics lines.

This command must be preceded by GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

To use this command, the horizontal or vertical position of the graphics line may not be set to Full in the Create Graphics Line (or Edit Graphics Line) dialog box.

Syntax

GraphicsLineLength (Length: Measurement Expression)

Parameters

Length: Measurement Expression

Specifies the length of a graphics line.

See Also

GraphicsLineCreate

GraphicsLineEdit

GraphicsLineEnd

?GraphicslineLength


Route...

Graphics, Custom Line or Edit Line, Length, specify a length.


For Example...

To create a 2.5" graphics line, the command is:

GraphicsLineLength

(

Length: 2.5"

)


GraphicsLineSpacing

Purpose

GraphicsLineSpacing specifies the amount of white space between a graphics line and text.

This command must be preceded by GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

Syntax

GraphicsLineSpacing (TopSpace: Measurement Expression; BottomSpace: Measurement Expression)

Parameters

TopSpace: Measurement Expression

Specifies the amount of space above a horizontal graphics line or to the left of a vertical graphics line between the line and text.

BottomSpace: Measurement Expression (optional)

Specifies the amount of space below horizontal graphics line or to the right of a vertical graphics line between the line and text.  The default is the amount entered for the AmountAboveLine parameter.

See Also

GraphicsLineCreate

GraphicsLineEdit

GraphicsLineEnd

?GraphicsLineBottomSpacing

?GraphicsLineTopSpacing


Route...

Graphics, Custom Line or Edit Line, select spacing options from the Above Line and Below Line pop-up palettes.


For Example...

To specify .25" space above and below a graphics line, the command is:

GraphicsLineSpacing

(

TopSpace: 0.25";

BottomSpace: 0.25"

)


GraphicsLineStyle

Purpose

GraphicsLineStyle modifies the style of a graphics line.

This command must be preceded by GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

Syntax

GraphicsLineStyle (Style: Character Expression or Numeric Equivalent or Enumerated Type)

Parameters

Style: Character Expression or Numeric Equivalent or Enumerated Type

Specifies a graphics line style.  This command may be either a character expression specifying a user-defined graphics line style, or one of the predefined types listed below.  Select an enumerated type or its numeric equivalent to specify a pre-defined type.

0	SingleLine!

1	DoubleLine!

3	DashedLine!

4	DottedLine!

5	ThickLine!

5	ExtraThickLine!

6	ThinThickLine!

7	ThickThinLine!

8	ButtonTopLeftLine!

9	ButtonBottomRightLine!

126	TableDefaultLine!

127	NoLine!

See Also

GraphicsLineCreate

GraphicsLineEdit

GraphicsLineEnd

?GraphicsLineStyle


Route...

Graphics, Custom Line or Edit Line, select a line style from the Line Style pop-up palette.


For Example...

To create a dotted graphics line, the command is:

GraphicsLineStyle

(

Style: DottedLine!

)


GraphicsLineThickness

Purpose

GraphicsLineThickness specifies the width or thickness of a graphics line.

This command must be preceded by GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

Syntax

GraphicsLineThickness (Thickness: Measurement Expression)

Parameters

Thickness: Measurement Expression

Specifies the thickness of a graphics line.

See Also

GraphicsLineCreate

GraphicsLineEdit

GraphicsLineEnd

?GraphicsLineThickness


Route...

Graphics, Custom Line or Edit Line, select a line thickness from the Thickness pop-up palette or select Use Line Style Thickness.


For Example...

To make a graphics line .75" thick, the command is:

GraphicsLineThickness

(

Thickness: 0.75"

)


GraphicsLineType

Purpose

GraphicsLineType specifies whether a graphics line is horizontal or vertical.

This command must be preceded by GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

Syntax

GraphicsLineType (LineType: Numeric Equivalent or Enumerated Type)

Parameters

LineType: Numeric Equivalent or Enumerated Type

Specifies whether a graphics line is horizontal or vertical.

0	Horizontal!

1	Vertical!

See Also

GraphicsLineCreate

GraphicsLineEdit

GraphicsLineEnd

?GraphicsLineType


Route...

Graphics, Custom Line or Edit Line, Line Type, Horizontal or Vertical.


For Example...

To create a vertical graphics line, the command is:

GraphicsLineType

(

LineType: Vertical!

)


GraphicsLineUpdateDisplay

Purpose

GraphicsLineUpdateDisplay specifies whether to save or cancel changes made to a graphics line.

You must type this command into a macro.  It is not recordable.

Syntax

GraphicsLineUpdateDisplay (State: Numeric Equivalent or Enumerated Type)

Purpose

State: Numeric Equivalent or Enumerated Type

Specifies whether to save or cancel changes.

0	Cancel!

1	Save!


*** DELETED TOPIC ***


For Example...

To save changes to a graphics line, the command is:

GraphicsLineUpdateDisplay

(

State: Save!

)


GraphicsLineUseColor

Purpose

GraphicsLineUseColor specifies whether a graphics line uses the  predefined line style color.

This command must be preceded by GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

Syntax

GraphicsLineUseColor (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether a graphics line uses a predefined line style color.

0	No!

1	Yes!

See Also

GraphicsLineColor

GraphicsLineCreate

GraphicsLineEdit

GraphicsLineEnd

?GraphicsLineUseColor


Route...

Graphics, Custom Line or Edit Line, select a line color or Use Line Style Color.


For Example...

To format a graphics line with the predefined line style color, the command is:

GraphicsLineUseColor

(

State: Yes!

)


GraphicsLineVerticalPosition

Purpose

GraphicsLineVerticalPosition specifies the vertical position of a graphics line.

This command must be preceded by GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

Syntax

GraphicsLineVerticalPosition (Position: Numeric Equivalent or Enumerated Type; Where: Measurement Expression)

Parameters

Position: Numeric Equivalent or Enumerated Type

Specifies the vertical location of a graphics line.

1	Top!

2	Center!

4	Bottom!

6	Baseline!

7	FullAlign!

8	Set!

Where: Measurement Expression (optional)

Specifies the exact position of a graphics line.  Use this parameter if you specified Set! as the Location parameter.

See Also

GraphicsLineCreate

GraphicsLineEdit

GraphicsLineEnd

GraphicsLineHorizontalPosition

?GraphicsLineVerticalAlign

?GraphicsLineVerticalPosition


Route...

Graphics, Custom Line or Edit Line, specify vertical position.


For Example...

To position a vertical line at the top of a page, the command is:

GraphicsLineVerticalPosition

(

Position: Top!

)


GraphicsStylesDlg

Purpose

GraphicsStylesDlg displays the Graphics Styles dialog box.

Syntax

GraphicsStylesDlg ()


Route...

Graphics, Graphics Styles.


HardColumnBreak

Purpose

HardColumnBreak inserts a hard column break at the insertion point.

Syntax

HardColumnBreak ()

See Also

ColumnsOff


Route...

Layout, Columns, Column Break.


HardPageBreak

Purpose

HardPageBreak inserts a hard page break at the insertion point.

Syntax

HardPageBreak ()


Route...

Insert, Page Break.


HardPageBreakInsert

Purpose

HardPageBreakInsert inserts a page break in columns without positioning the insertion point in the next column.

You must type this command into a macro.  It is not recordable.

Syntax

HardPageBreakInsert ()

See Also

HardPageBreak


HardPageBreakKey

Purpose

HardPageBreakKey inserts a hard page break at the insertion point.

This command is not recordable.  You must type it into a macro.  For a recordable command that serves the same function, use HardPageBreak.

Syntax

HardPageBreakKey ()

See Also

HardPageBreak


HardReturn

Purpose

HardReturn begins a new line at the insertion point.

Syntax

HardReturn ()

See Also

HardReturnInsert


Route...

Press Enter.


HardReturnInsert

Purpose

HardReturnInsert inserts a hard return in Outline mode.

Syntax

HardReturnInsert ()

See Also

HardReturn


Route...

Press Shift+Enter


HardSpace

Purpose

HardSpace inserts a Hard Space [HSpace] at the insertion point.

Syntax

HardSpace ()


Route...

Layout, Line, Other Codes, Hard Space [HSPACE], Insert.


HeaderA

Purpose

HeaderA specifies whether to create, edit, or cancel Header A.

Syntax

HeaderA (Action: Numeric Equivalent or Enumerated Type)

Parameters

Action: Numeric Equivalent or Enumerated Type

Specifies whether to create, edit, or cancel Header A.

0	Off!

1	Create!

2	Edit!

Occurrence: Numeric Equivalent or Enumerated Type

Specifies where to place Header A.

0	NoPages!

1	OddPages!

2	EvenPages!

3	AllPages!

See Also

?HeaderAOccur

HeaderB


Route...

Layout, Header/Footer, Header A, Create or Edit or Discontinue.


For Example...

To edit Header A, the command is:

HeaderA

(

Action: Edit!

)


HeaderB

Purpose

HeaderB specifies whether to create, edit, or cancel Header B.

Syntax

HeaderB (Action: Numeric Equivalent or Enumerated Type; Action: Numeric Equivalent or Enumerated Type)

Parameters

Action: Numeric Equivalent or Enumerated Type

Specifies whether to create, edit, or cancel Header B.

0	Off!

1	Create!

2	Edit!

Occurrence: Numeric Equivalent or Enumerated Type

Specifies where to place header B

0	NoPages!

1	OddPages!

2	EvenPages!

3	AllPages!

See Also

?HeaderBOccur

HeaderA


Route...

Layout, Header/Footer, Header B, Create or Edit or Discontinue.


For Example...

To create Header B, the command is:

HeaderB

(

Action: Create!;

Occurrence: AllPages!

)


HeaderFooterDistanceDlg

Purpose

HeaderFooterDistanceDlg displays the Distance dialog box.

Syntax

HeaderFooterDistanceDlg ()


Route...

Layout, Header/Footer, Create or Edit, Distance button.


HeaderFooterDlg

Purpose

HeaderFooterDlg displays the Headers/Footers dialog box.

Syntax

HeaderFooterDlg ()


Route...

Layout, Header/Footer.


HeaderFooterPlacement

Purpose

HeaderFooterPlacement specifies where to place headers and footers.

Syntax

HeaderFooterPlacement (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies where to place headers and footers

0	NoPages!

1	OddPages!

2	EvenPages!

3	AllPages!


Route...

Layout, Header/Footer, select a header or footer, Create or Edit, Placement button, select a placement option.


For Example...

To place headers and footers on all pages, the command is:

HeaderFooterPlacement

(

State: AllPages!

)


HeaderFooterPlacementDlg

Purpose

HeaderFooterPlacementDlg displays the Placement dialog box.

Syntax

HeaderFooterPlacementDlg ()

See Also

NewHFWOccurrence


Route...

Layout, Header/Footer, Create or Edit, Placement button.


HeaderSeparationDistance

Purpose

HeaderSeparationDistance sets the amount of blank space below headers.

Syntax

HeaderSeparationDistance (Distance: Measurement Expression)

Parameters

Distance: Measurement Expression

Specifies the amount of blank space below a header.

If the amount specified in the Distance parameter is less than 1, a 0 must precede the decimal point.

See Also

?HeaderSeparator


Route...

Layout, Header/Footer, Create or Edit, Distance, enter an amount.


For Example...

To specify .5" blank space below headers, the command is:

HeaderSeparationDistance

(

Distance: 0.5"

)


HelpCoachDlg

Purpose

HelpCoachDlg displays the Coach dialog box.

Syntax

HelpCoachDlg ()

See Also

HelpTutorial


Route...

Help, Coach.


HelpContents

Purpose

HelpContents displays the contents of Help.

Syntax

HelpContents ()


Route...

Help, Contents.


HelpContextSensitive

Purpose

HelpContextSensitive displays Context-sensitive Help for an active item.  (Use PAUSE to pause a macro when it encounters HelpContextSensitive.)

Syntax

HelpContextSensitive ()

See Also

HelpHowDoI

HelpWhatIs


Route...

Press F1.


HelpHowDoI

Purpose

HelpHowDoI displays a list of features to click for explanations.  (Use PAUSE to pause a macro when it encounters HelpHowDoI.)

Syntax

HelpHowDoI ()

See Also

HelpContextSensitive

HelpWhatIs


Route...

Help, How Do I.


HelpHowToUseHelp

Purpose

HelpHowToUseHelp displays instructions for using Help.

This command is not recordable.  You must type it into a macro.

Syntax

HelpHowToUseHelp ()


*** DELETED TOPIC ***


HelpKeystrokes

Purpose

HelpKeystrokes opens Help information about keystrokes and templates.

This command is not recordable.  You must type it into a macro.

Syntax

HelpKeystrokes ()

See Also

HelpContents

HelpHowToUseHelp


HelpMacroManual

Purpose

HelpMacroManual opens Help information about macros.

Syntax

HelpMacroManual ()

See Also

HelpContents

HelpHowToUseHelp


Route...

Help, Macros.


HelpSearchForHelpOn

Purpose

HelpSearchForHelpOn displays the Search dialog box in Help.

Syntax

HelpSearchForHelpOn ()


Route...

Help, Search for Help On.


HelpTutorial

Purpose

HelpTutorial starts Tutorial in Help.

Syntax

HelpTutorial ()

See Also

HelpCoachDlg


Route...

Help, Tutorial.


HelpWhatIs

Purpose

HelpWhatIs uses a mouse or keystroke combinations to get information on an active item.  (Use PAUSE to pause a macro when it encounters HelpWhatIs.)

Syntax

HelpWhatIs ()

See Also

HelpContextSensitive

HelpHowDoI


Route...

Press Shift+F1.


HiddenText

Purpose

HiddenText specifies whether the Hidden Text option is on or off for selected text.

Syntax

HiddenText (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Toggles the Hidden Text option.

0	Off!

1	On!

See Also

HiddenTextShowAll


Route...

Layout, Font, Hidden.


For Example...

To create hidden text, the command is:

HiddenText

(

State: On!

)


HiddenTextShowAll

Purpose

HiddenTextShowAll shows or hides hidden text.

Syntax

HiddenTextShowAll (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Toggles Show All Hidden Text.

0	Off!

1	On!

See Also

HiddenText


Route...

View, Hidden Text.


For Example...

To show hidden text, the command is:

HiddenTextShowAll

(

State: On!

)


HideBars

Purpose

HideBars hides bars such as scroll bars, Button Bars, and ruler bars.

Syntax

HideBars (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type (optional)

Specifies whether bars are shown or hidden.  This command acts as a toggle if the State parameter is omitted.

0	Off!

1	On!


Route...

View, Hide Bars.


For Example...

To hide bars, the command is:

HideBars

(

State: On!

)


HLineCreate

Purpose

HLineCreate creates a horizontal line in the current document.

Syntax

HLineCreate ()


Route...

Graphics, Horizontal Line.


Hypertext

Purpose

Hypertext activates all hypertext links.

Syntax

Hypertext (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether hypertext is active.

0	Inactive!

1	Active!


Route...

Tools, Hypertext, Activate button.


For Example...

To activate hypertext, the command is:

Hypertext

(

State: Active!

)


HypertextControlBar

Purpose

HypertextControlBar displays the Hypertext control bar.

Syntax

HypertextControlBar ()


Route...

Tools, Hypertext.


HypertextCreate

Purpose

HypertextCreate identifies a hypertext link type, identifies the location of a bookmark, and specifies whether to identify the hypertext link as highlighted text or as a button.

Syntax

HypertextCreate (Action: Numeric Equivalent or Enumerated Type; Macro: Character Expression; Bookmark: Character Expression; Display: Numeric Equivalent or Enumerated Type)

Parameters

Action: Numeric Equivalent or Enumerated Type

Specifies whether to jump to a bookmark or run a macro.

0	GoToBookmark!

1	RunMacro!

Macro: Character Expression

Specifies the name of a macro or document where a bookmark is located if RunMacro! is specified (see Action parameter).

Bookmark: Character Expression

Specifies the name of a bookmark within a current document if GoToBookmark! is specified (see Action parameter).

Display: Numeric Equivalent or Enumerated Type

Specifies whether a hypertext link is displayed highlighted or as a button.

0	HighlightedText!

1	Button!

See Also

HypertextExecute


Route...

Tools, Hypertext, Create button, select options, enter a bookmark, document, or macro name.


For Example...

To create a hypertext link to a bookmark named TEST and display the link as a button, the command is:

HypertextCreate

(

Action: GoToBookmark!;

Bookmark: "TEST";

Display: Button!

)


HypertextCreateDlg

Purpose

HypertextCreateDlg displays the Create Hypertext Link dialog box.

Syntax

HypertextCreateDlg ()


Route...

Tools, Hypertext, Create button.


HypertextDelete

Purpose

HypertextDelete deletes a hypertext link containing the insertion point.

Syntax

HypertextDelete ()


Route...

Tools, Hypertext, Delete.


HypertextEdit

Purpose

HypertextEdit modifies a hypertext link.

Syntax

HypertextEdit (Action: Numeric Equivalent or Enumerated Type; Macro: Character Expression; Bookmark: Character Expression; Appearance: Numeric Equivalent or Enumerated Type)

Parameters

Action: Numeric Equivalent or Enumerated Type

Specifies whether a hypertext link jumps to a bookmark or runs a macro.

0	GoToBookmark!

1	RunMacro!

Macro: Character Expression (optional)

Specifies a macro to run.

Bookmark: Character Expression (optional)

Specifies a bookmark to jump to.

Appearance: Numeric Equivalent or Enumerated Type

Specifies whether a hypertext link will appear as highlighted text or as a button.

0	HighlightedText!

1	Button!

See Also

HypertextCreate

HypertextDelete


Route...

Tools, Hypertext, Edit, select options.


For Example...

To connect a hypertext link to a bookmark named Important, and to display the link as a button, the command is:

HypertextEdit

(

Action: GoToBookmark!;

Bookmark: "Important";

Appearance: Button!

)


HypertextEditDlg

Purpose

HypertextEditDlg displays the Edit Hypertext Link dialog box.

Syntax

HypertextEditDlg ()


Route...

Tools, Hypertext, Edit button.


HypertextExecute

Purpose

HypertextExecute performs a hypertext link.

Syntax

HypertextExecute ()

See Also

HypertextCreate

HypertextDelete


Route...

Tools, Hypertext, Perform button.


HypertextNext

Purpose

HypertextNext advances to the next hypertext link in a document.

Syntax

HypertextNext ()


Route...

Tools, Hypertext, Next button.


HypertextPrevious

Purpose

HypertextPrevious returns to the previous hypertext link in a document.

Syntax

HypertextPrevious ()


Route...

Tools, Hypertext, Previous button.


HypertextReturnFrom

Purpose

HypertextReturnFrom returns the insertion point from a bookmark to the bookmark's hypertext link.

Syntax

HypertextReturnFrom ()


Route...

Tools, Hypertext, Back button.


Hyphen

Purpose

Hyphen inserts a hyphen character at the insertion point.

This command is not recordable.  You must type it into a macro.

Syntax

Hyphen ()


*** DELETED TOPIC ***


Hyphenation

Purpose

Hyphenation specifies whether to turn on Hyphenation.

Syntax

Hyphenation (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to turn on Hyphenation.

0	Off!

1	On!

See Also

HyphenationIgnore

?Hyphenation


Route...

Layout, Line, Hyphenation, select or deselect Hyphenation On.


For Example...

To turn on Hyphenation, the command is:

Hyphenation

(

State: On!

)


HyphenationIgnore

Purpose

HyphenationIgnore specifies whether to cancel Hyphenation for a particular word.

Syntax

HyphenationIgnore ()


Route...

Layout, Line, Other Codes, Cancel Hyphenation of Word.


HyphenationSoftReturn

Purpose

HyphenationSoftReturn inserts a Hyphen Soft Return code to indicate where to hyphenate a word if necessary.

Syntax

HyphenationSoftReturn ()


Route...

Layout, Line, Other Codes, Hyphenation Soft Return.


HyphenationZoneLeft

Purpose

HyphenationZoneLeft sets the lower limit of a hyphenation zone.  The zone specifies where to hyphenate a word.

Syntax

HyphenationZoneLeft (HZone: Numeric Expression)

Parameters

HZone: Numeric Expression

Specifies the lower limit of a hyphenation zone.

See Also

HyphenationZoneRight

?LeftHyphZone


Route...

Layout, Line, Hyphenation, specify a percentage in the Percent Left entry field.


For Example...

To set the lower limit of a hyphenation zone to 10%, the command is:

HyphenationZoneLeft

(

HZone: 10

)


HyphenationZoneRight

Purpose

HyphenationZoneRight sets the upper limit of a hyphenation zone.  The zone specifies where to hyphenate a word.

Syntax

HyphenationZoneRight (HZone: Numeric Expression)

Parameters

HZone: Numeric Expression

Sets the upper limit of a hyphenation zone.

See Also

HyphenationZoneLeft

?RightHyphZone


Route...

Layout, Line, Hyphenation Zone, specify a percentage in the Percent Right entry field.


For Example...

To set the upper limit of a hyphenation zone to 4%, the command is:

HyphenationZoneRight

(

HZone: 4

)


ImportCreateDlg

Purpose

ImportCreateDlg displays the Create Data Link dialog box.

Syntax

ImportCreateDlg ()


Route...

Insert, Spreadsheet/Database, Create Link.


ImportDlg

Purpose

ImportDlg displays the Import Data dialog box.

Syntax

ImportDlg ()


Route...

Insert, Spreadsheet/Database, Import.


ImportDoEdit

Purpose

ImportDoEdit modifies and performs an existing link between a spreadsheet or database and the current document.

Syntax

ImportDoEdit ()

See Also

ImportDoImport

ImportDoLink

ImportDoUpdate


Route...

Import, Spreadsheet/Database, Edit Link.


ImportDoImport

Purpose

ImportDoImport retrieves information from a spreadsheet or database into the current document.

Syntax

ImportDoImport ()

See Also

ImportDoEdit

ImportDoLink

ImportDoUpdate


Route...

Insert, Spreadsheet/Database, Import, select options.


ImportDoLink

Purpose

ImportDoLink creates and performs a link between a spreadsheet or database and the current document.

Syntax

ImportDoLink ()

See Also

ImportDoEdit

ImportDoImport

ImportDoUpdate


Route...

Insert, Spreadsheet/Database, Create Link, select options.


ImportDoUpdate

Purpose

ImportDoUpdate revises linked data in the current document to match the current data in linked spreadsheet or database files.

Syntax

ImportDoUpdate ()

See Also

ImportDoEdit

ImportDoImport

ImportDoLink


Route...

Insert, Spreadsheet/Database, Update.


ImportEditDlg

Purpose

ImportEditDlg displays the Edit Data Link dialog box.

Syntax

ImportEditDlg ()


Route...

Insert, Spreadsheet/Database, Edit Link.


ImportOptionsDlg

Purpose

ImportOptionsDlg displays the Link Options dialog box.

Syntax

ImportOptionsDlg ()


Route...

Insert, Spreadsheet/Database, Option.


ImportSetAsciiEncap

Purpose

ImportSetAsciiEncap specifies an ASCII encapsulation character to use when importing spreadsheet or database data saved as ASCII delimited text.

Syntax

ImportSetAsciiEncap (EncapsulationChar: Character Expression)

Parameters

EncapsulationChar: Character Expression

Specifies an ASCII encapsulation character for ASCII delimited text.

See Also

ImportSetAsciiFieldDelimiter

ImportSetAsciiRecordDelimiter

ImportSetAsciiStrip


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, select ASCII Delimited Text from the Data Type pop-up list, enter encapsulation character.


For Example...

To use an asterisk (*) as an encapsulation character, the command is:

ImportSetAsciiEncap

(

EncapsulationChar: "*"

)


ImportSetAsciiFieldDelimiter

Purpose

ImportSetAsciiFieldDelimiter specifies characters to mark the beginning or end of a field when importing spreadsheet or database data saved as ASCII delimited text.

Syntax

ImportSetAsciiFieldDelimiter (FieldDelimiter: Character Expression)

Parameters

FieldDelimiter: Character Expression

Specifies characters to mark the beginning or end of an ASCII delimited text field.

See Also

ImportSetAsciiEncap

ImportSetAsciiRecordDelimiter

ImportSetAsciiStrip


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, select ASCII Delimited Text from the Data Type pop-up list, enter field delimiters.


For Example...

To use a dollar sign ($) and a percent sign (%) as a field delimiter, the command is:

ImportSetAsciiFieldDelimiter

(

FieldDelimiter: "$%"

)


ImportSetAsciiRecordDelimiter

Purpose

ImportSetAsciiRecordDelimiter specifies characters to mark the beginning or end of a record when importing spreadsheet or database data saved as ASCII delimited text.

Syntax

ImportSetAsciiRecordDelimiter (RecordDelimiter: Character Expression)

Parameters

RecordDelimiter: Character Expression

Specifies characters to mark the beginning or end of an import record.

See Also

ImportSetAsciiEncap

ImportSetAsciiFieldDelimiter

ImportSetAsciiStrip


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, select ASCII Delimited Text from the Data Type pop-up list, enter  record delimiter.


For Example...

To use an ampersand (&) as a record delimiter, the command is:

ImportSetAsciiRecordDelimiter

(

RecordDelimiter: "&"

)


ImportSetAsciiStrip

Purpose

ImportSetAsciiStrip removes extra characters when importing spreadsheet or database data saved as ASCII delimited text.

Syntax

ImportSetAsciiStrip (StripChar: Character Expression)

Parameters

StripChar: Character Expression

Specifies characters used to mark text to strip.

See Also

ImportSetAsciiEncap

ImportSetAsciiFieldDelimiter

ImportSetAsciiRecordDelimiter


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, select ASCII Delimited Text from the Data Type pop-up list, enter character(s) to mark text to strip.


For Example...

To strip characters marked with an asterisk (*), the command is:

ImportSetAsciiStrip

(

StripChars: "*"

)


ImportSetDestination

Purpose

ImportSetDestination specifies a format for imported spreadsheet or database data.

Syntax

ImportSetDestination (DestinationType: Numeric Equivalent or Enumerated Type)

Parameters

DestinationType: Numeric Equivalent or Enumerated Type

Specifies a format for imported data.

1	WPTable!

2	TabbedText!

3	MergeData!

See Also

ImportSetSource


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, select an option from the Import As or Link As pop-up list.


For Example...

To import data as a table, the command is:

ImportSetDestination

(

DestinationType: WPTable!

)


ImportSetDictPath

Purpose

ImportSetDictPath specifies the NetWare SQL dictionary path for imported spreadsheet or database data.

Syntax

ImportSetDictPath (DictionaryPath: Character Expression)

Parameters

DictionaryPath: Character Expression

Specifies a netware SQL dictionary path for imported data.

See Also

ImportSetFilePath

ImportSetPassword

ImportSetUserID


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, select NetWare SQL from the Data Type pop-up list, Logon, enter dictionary path.


For Example...

To set the dictionary path c:\wpwin\dict, the command is:

ImportSetDictPath

(

DictionaryPath: "c:\wpwin\dict"

)


ImportSetFields

Purpose

ImportSetFields specifies database fields to import.

Syntax

ImportSetFields (FieldNames: Character Expression)

Parameters

FieldNames: Character Expression

Specifies database fields to import. Separate fields with a comma, enclosed in one set of double quotation marks.

See Also

ImportSetFileName

ImportSetIncludeNames


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, select a database type from the Data Type pop-up list, enter field names.


For Example...

To import database field1 and field2, the command is:

ImportSetFields

(

FieldNames: "field1, field2, field3"

)


ImportSetFileName

Purpose

ImportSetFileName specifies the name of a file to import.

Syntax

ImportSetFileName (Filename: Character Expression)

Parameters

Filename: Character Expression

Specifies the name of a file to import

See Also

ImportSetFields


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, select an option from the Data Type pop-up list, enter a filename.


For Example...

To import a file named a:\data.str, the command is:

ImportSetFileName

(

Filename: "a:\data.str"

)


ImportSetFilePath

Purpose

ImportSetFilePath specifies a netware SQL file path.

Syntax

ImportSetFilePath (FilePath: Character Expression)

Parameters

FilePath: Character Expression

Specifies the path of a database file to import.

See Also

ImportSetDictPath

ImportSetPassword

ImportSetUserID


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, Logon, enter file path.


For Example...

To specify the file path W:\FILES, the command is:

ImportSetFilePath

(

FilePath: "W:\FILES"

)


ImportSetIncludeNames

Purpose

ImportSetIncludeNames specifies whether to use field names as headings for imported database data.

Syntax

ImportSetIncludeNames (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to use field names as headings for imported database data.

0	Off!

1	On!

See Also

ImportSetFields


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, select an option from the Data type pop-up list, Use field names as headings.


For Example...

To use field names as headings for imported database data, the command is:

ImportSetIncludeNames

(

State: On!

)


ImportSetPanel

Purpose

ImportSetPanel specifies a DataPerfect panel to retrieve into the current document.

Syntax

ImportSetPanel (PanelName: Character Expression)

Parameters

PanelName: Character Expression

Specifies a DataPerfect panel name.

See Also

ImportSetFileName

ImportSetFields


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, select DataPerfect from the Data Type pop-up list, enter a panel name.


For Example...

To specify DataPerfect "panel1" to import, the command is:

ImportSetPanel

(

PanelName: "panel1"

)


Measurement Expression

A number representing a measurement which can, but does not have to be followed by a unit of measurement character (", c, p, u).  If a unit of measurement character is not specified, the program's current unit of measurement will be used.  A measurement expression should not be enclosed in quotation marks.


Memory

The temporary data storage area for a computer or printer.


Numeric Equivalent

The ASCII value of a character.  Also, the number that can be used in place of an enumerated type.  For example, if you are using the FootnoteNumberMethod product command and want to set the numbering method parameter to Characters!, you can either use Characters! (the enumerated type) or 5 (its numeric equivalent).


Numeric Expression

A number on which mathematical operations may be performed.  A numeric expression should not be enclosed in quotation marks.


Operator

A symbol or word that performs a function on one or more expressions.  For  instance, operators compare expressions, link words together, and perform mathematical functions on numbers.


Parameter

Represents which aspect of a feature the macro command is manipulating.  For instance, if you use the BoxCreate command to create a graphics box, you can use a parameter value to specify which type of graphics box to create.


Relational Expression

An expression used to evaluate parameters that have only two possible states: TRUE and FALSE.  A relational expression should not be enclosed in quotation marks.


Toggle

A feature or option that is turned on or off with the same keystroke or command.  If the feature or option is turned on or off with a macro command, the command generally does not require parameters.


Variable

A variable represents a place in memory where information is stored.  Variables can store character, numeric, measurement and relational expressions.  The value contained in a variable is changeable.  Variables are often used to keep track of words, numbers, and measurements that change while the macro plays.


ImportSetPassword

Purpose

ImportSetPassword specifies a password for importing NetWare SQL data.

Syntax

ImportSetPassword (Password: Character Expression)

Parameters

Password: Character Expression

Specifies a password for importing NetWare SQL data.


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, Select NetWare SQL from the Data Type pop-up list, Logon, enter password.


For Example...

To use "bongo" as a password, the command is:

ImportSetPassword

(

Password: "bongo"

)


ImportSetQuery

Purpose

ImportSetQuery specifies field conditions for a database import query.

For examples of valid conditions, choose Example from the Define Selection Conditions dialog box.

Syntax

ImportSetQuery (FieldName1: Character Expression; FieldName2: Character Expression; FieldName3: Character Expression; Condition1Field1: Character Expression; Condition1Field2: Character Expression; Condition1Field3: Character Expression; Condition2Field1: Character Expression; Condition2Field2: Character Expression; Condition2Field3: Character Expression; Condition3Field1: Character Expression; Condition3Field2: Character Expression; Condition3Field3: Character Expression; Condition4Field1: Character Expression; Condition4Field2:  Character Expression; Condition4Field3: Character Expression)

Parameters

FieldName1: Character Expression (optional)

Specifies the first field name.

FieldName2: Character Expression (optional)

Specifies the second field name.

FieldName3: Character Expression (optional)

Specifies the third field name.

Condition1Field1: Character Expression (optional)

Defines the first condition for field 1.

Condition1Field2: Character Expression (optional)

Defines the first condition for field 2.

Condition1Field3: Character Expression (optional)

Defines the first condition for field 3.

Condition2Field1: Character Expression (optional)

Defines the second condition for field 1.

Condition2Field2: Character Expression (optional)

Defines the second condition for field 2.

Condition2Field3: Character Expression (optional)

Defines the second condition for field 3.

Condition3Field1: Character Expression (optional)

Defines the third condition for field 1.

Condition3Field2: Character Expression (optional)

Defines the third condition for field 2.

Condition3Field3: Character Expression (optional)

Defines the third condition for field 3.

Condition4Field1: Character Expression (optional)

Defines the fourth condition for field 1.

Condition4Field2: Character Expression (optional)

Defines the fourth condition for field 2.

Condition4Field3: Character Expression (optional)

Defines the fourth condition for field 3.


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, select an option from the Data Type pop-up list, enter field, Query, enter conditions.


For Example...

To specify all the names up to and including "Ling" in the field Last Name, the command is:

ImportSetQuery

(

FieldName1: "Last Name";

Condition1Field1: "-Ling"

)


ImportSetRange

Purpose

ImportSetRange specifies a range of spreadsheet cells to import.

Syntax

ImportSetRange (Range: Character Expression)

Parameters

Range: Character Expression

Specifies a range of spreadsheet cells to import.


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, select Spreadsheet from the Data Type pop-up list, enter a range of cells.


For Example...

To import cells A1-F1, the command is:

ImportSetRange

(

Range: "A1-F1"

)


ImportSetServer

Purpose

ImportSetServer specifies a server for a database import.

Syntax

ImportSetServer (ServerName: Character Expression)

Parameters

ServerName: Character Expression

Specifies a server name.


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, select SQL Server from the Data Type pop-up list, Log On, enter a network server name.


For Example...

To specify a server named Server 1, the command is:

ImportSetServer

(

ServerName: "Server 1"

)


ImportSetSource

Purpose

ImportSetSource specifies the format of spreadsheet or database data to import.

Syntax

ImportSetSource (SourceType: Numeric Equivalent or Enumerated Type)

Parameters

SourceType: Numeric Equivalent or Enumerated Type

Specifies the format of data to import.

1	Spreadsheet!

33	dBase!

34	Paradox!

65	DataPerfect!

97	ASCII!

129	NetWare!

130	Oracle!

131	DB2!

132	SQLServer!

133	Sybase!

134	SQLBase!

135	XDB!


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, select an option from the Data Type pop-up list.


For Example...

To import spreadsheet data, the command is:

ImportSetSource

(

SourceType: Spreadsheet!

)


ImportSetSQLQuery

Purpose

ImportSetSQLQuery specifies conditions for an SQL query.

For examples of valid conditions, choose Example from the Define Selection Conditions dialog box.

Syntax

ImportSetSQLQuery (SQLQuery: Character Expression)

Parameters

SQLQuery: Character Expression

Specifies conditions for an SQL query.


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, select a SQL data type from the Data Type pop-up list, Log On, Query, enter conditions.


For Example...

To select first and last names from the SALES where the Units number is greater than 400, the command is:

ImportSetSQLQuery

(

SQLQuery: "SELECT first_name, last_name FROM Sales WHERE units > 400"

)


ImportSetUserID

Purpose

ImportSetUserID specifies an SQL database user identification.

Syntax

ImportSetUserID (UserID: Character Expression)

Parameters

UserID: Character Expression

Specifies an SQL user identification.

See Also

ImportSetDictPath

ImportSetFilePath

ImportSetPassword


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, select NetWare SQL from the Data Type pop-up list, Log On, enter  user identification.


For Example...

To specify the user identification "Dana," the command is:

ImportSetUserID

(

UserID: "Dana"

)


ImportUpdateDlg

Purpose

ImportUpdateDlg displays the Update Import dialog box.

Syntax

ImportUpdateDlg ()


Route...

Insert, Spreadsheet/Database, Update.


Indent

Purpose

Indent indents all lines in a paragraph without changing the current margin settings.

Syntax

Indent ()

See Also

?Indent


Route...

Press Indent (F7).


IndentLeftRight

Purpose

IndentLeftRight indents equally both sides of a paragraph.  Tab specifies the amount of the indent.

Syntax

IndentLeftRight ()


Route...

Layout, Paragraph, Double Indent.


IndexDefineDlg

Purpose

IndexDefineDlg displays the Define Index dialog box.

Syntax

IndexDefineDlg ()


Route...

Tools, Index, Define.


IndexDefinition

Purpose

IndexDefinition specifies an index format.

Syntax

IndexDefinition (Heading: Numeric Equivalent or Enumerated Type; Subheading: Numeric Equivalent or Enumerated Type; NumMode: Numeric Equivalent or Enumerated Type; PGCombine: Numeric Equivalent or Enumerated Type; Concordance: Character Expression; Page NumberFormat: Character Expression)

Parameters

Heading: Numeric Equivalent or Enumerated Type

Specifies the style of an index heading.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

41	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

Subheading: Numeric Equivalent or Enumerated Type

Specifies an index subheading style.  See the table under the Heading parameter for a list of numeric equivalents and enumerated types.

NumMode: Numeric Equivalent or Enumerated Type

Specifies the method of displaying a page number after a heading.

0	DefNone!

1	DefFollows!

2	DefParentheses!

3	DefFlushRight!

4	DefLeader!

PGCombine: Numeric Equivalent or Enumerated Type

Specifies whether sequential page numbers are combined (for example, 51-53) or remain separate (for example, 51, 52, 53).

0	NoCombine!

1	Combine!

Concordance: Character Expression (optional)

Specifies the filename of a concordance file.

UserFormat: Character Expression (optional)

Specifies an index page number format.  If you leave this parameter blank, page numbers are formatted as they are in your document.

See Also

IndexMark

?IndexDefinition


Route...

Tools, Index, Define, select options.


For Example...

To define an index, the command is:

IndexDefinition

(

Heading: Index1Style!;

Subheading: Index2Style!;

NumMode: DefFlushRight!;

PGCombine: Combine!;

Concordance: "";

UserFormat: ""

)


IndexMark

Purpose

IndexMark marks text to index.

Syntax

IndexMark (Heading: Character Expression; Subheading: Character Expression)

Parameters

Heading: Character Expression (optional)

Specifies an index heading.

Subheading: Character Expression (optional)

Specifies an index subheading.

See Also

IndexDefinition


Route...

Tools, Index, Mark, enter a heading and subheading, Mark.


For Example...

To insert an index code for "Ham, baked," the command is:

IndexMark

(

Heading: "Ham";

Subheading: "baked"

)


InhibitInput

Purpose

InhibitInput specifies whether to allow keyboard and menu input during macro execution.

You must type this command into a macro.  It is not recordable.

Syntax

InhibitInput (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	Off!

1	On!

See Also

Display


*** DELETED TOPIC ***


For Example...

To allow keyboard and menu input during the execution of a macro, the command is:

InhibitInput

(

State: Off!

)


InitialCodesDoc

Purpose

InitialCodesDoc designates the beginning of initial codes for a document.  All codes between InitialCodesDoc and SubstructureExit are placed in the initial codes section of the document.

This command is not recordable.  You must type it into a macro.

Syntax

InitialCodesDoc ()


For Example...

To change the document paper size to A4 Landscape in Initial Codes, the command sequence is:

InitialCodesDoc ()

PaperSizeSelect (

Name: "A4 Landscape";

Width: 11.6933;

Height: 8.2683;

Type:  Other!)

SubstructureExit ()


InitialCodesStyleDlg

Purpose

InitialCodesStyleDlg displays the Styles Editor dialog box.

This command is not recordable.  You must type it into a macro.

Syntax

InitialCodesStyleDlg ()


InsertDefaultBullet

Purpose

InsertDefaultBullet inserts another bullet or number of the last type inserted.

Syntax

InsertDefaultBullet ()


Route...

Press Ctrl+Shift+B.


InsertFilename

Purpose

InsertFilename inserts the current filename at the insertion point.

Syntax

InsertFilename ()

See Also

InsertFilenameWithPath


Route...

Insert, Other, Filename.


InsertFilenameWithPath

Purpose

InsertFilenameWithPath inserts the current filename and path at the insertion point.

Syntax

InsertFilenameWithPath ()

See Also

InsertFilename


Route...

Insert, Other, Path and Filename.


InsertOtherCodesDlg

Purpose

InsertOtherCodesDlg displays the Other Codes dialog box.

Syntax

InsertOtherCodesDlg ()


Route...

Layout, Line, Other Codes.


InvokeDialog

Purpose

InvokeDialog displays a specified dialog box but does not pause the macro to allow information to be entered.

You must type this command into a macro.  It is not recordable.

Syntax

InvokeDialog (Dialog: Macro Command)

Parameters

Dialog: Macro Command

Specifies a macro command which displays a dialog box.


For Example...

To invoke the Advance dialog box, the command is:

InvokeDialog

(

Dialog: AdvanceDlg

)


Justification

Purpose

Justification aligns text on right or left margins, on both margins, or centered between margins.

Syntax

Justification (Justification: Numeric Equivalent or Enumerated Type)

Parameters

Justification: Numeric Equivalent or Enumerated Type

Specifies text justification.

0	Left!

1	Full!

2	Center!

3	Right!

4	FullAll!

5	DecAlign!

See Also

?Justification


Route...

Layout, Justification, select a type.


For Example...

To center all subsequent lines of text, the command is:

Justification

(

Justification: Center!

)


JustifyAll

Purpose

JustifyAll aligns all text to left and right margins.

You must type this command into a macro.  It is not recordable.

Syntax

JustifyAll ()


*** DELETED TOPIC ***


JustifyCenter

Purpose

JustifyCenter centers text between margins from the current paragraph forward.

This command is not recordable.  You must type it into a macro.

Syntax

JustifyCenter ()

See Also

JustifyFull

JustifyLeft

JustifyRight


*** DELETED TOPIC ***


JustifyFull

Purpose

JustifyFull aligns text along the left and right margins from the current paragraph forward.

You must type this command into a macro.  It is not recordable.

Syntax

JustifyFull ()

See Also

JustifyCenter

JustifyLeft

JustifyRight


*** DELETED TOPIC ***


JustifyLeft

Purpose

JustifyLeft aligns text along the left margin from the current paragraph forward.

You must type this command into a macro.  It is not recordable.

Syntax

JustifyLeft ()

See Also

JustifyCenter

JustifyFull

JustifyRight


*** DELETED TOPIC ***


JustifyRight

Purpose

JustifyRight aligns text along the right margin from the current paragraph forward.

You must type this command into a macro.  It is not recordable.

Syntax

JustifyRight ()

See Also

JustifyCenter

JustifyFull

JustifyLeft


*** DELETED TOPIC ***


KeepTextTogetherDlg

Purpose

KeepTextTogetherDlg displays the Keep Text Together dialog box.

Syntax

KeepTextTogetherDlg ()


Route...

Layout, Page, Keep Text Together.


Kerning

Purpose

Kerning selects or deselects Automatic Kerning in the Word Spacing and Letterspacing dialog box.

Syntax

Kerning (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to turn on or turn off Kerning.

0	Off!

1	On!

See Also

?Kerning


Route...

Layout, Typesetting, Word/Letterspacing, select or deselect Automatic Kerning.


For Example...

To turn on kerning, the command is:

Kerning

(

State: On!

)


KerningSpacing

Purpose

KerningSpacing moves the character to the right of the insertion point a specified amount of space left or right.

Syntax

KerningSpacing (KerningSpacingValue: Measurement Expression)

Parameters

KerningSpacingValue: Measurement Expression

Specifies the distance to move the character.  A negative value moves a character left.  A positive value moves a character right.

See Also

Advance


Route...

Layout, Typesetting, Manual Kerning.


For Example...

To move a character .005i to the right, the command is:

KerningSpacing

(

KerningSpacingValue: .005i

)


KeyboardSelect

Purpose

KeyboardSelect selects a keyboard, such as WPWin 6.0 Keyboard, Equation Editor Keyboard, or WPDOS 6.0 Compatible keyboard.

Syntax

KeyboardSelect(Keyboard: Character Expression)

Parameters

Keyboard: Character Expression

Specifies the name of a keyboard.

See Also

KeyboardSelectDlg


Route...

File, Preferences, Keyboard icon, select option.


For Example...

To specify the CUA keyboard, the command is:

KeyboardSelect

(

Keyboard: "<WPWIN 6.0 Keyboard>"

)


KeyboardSelectDlg

Purpose

KeyboardSelectDlg displays the Keyboard Preferences dialog box.

You must type this command into a macro.  It is not recordable.

Syntax

KeyboardSelectDlg ()

See Also

KeyboardSelect


LabelsDefine

Purpose

LabelsDefine creates a customized labels definition.

Syntax

LabelsDefine (Filename: Character Expression; LabelName:Character Expression; LabelFlags: Numeric Equivalent or Enumerated Type; SheetWidth: Measurement Expression; SheetLength: Measurement Expression; ColumnsPerPage: Numeric Expression; RowsPerPage: Numeric Expression; LabelWidth: Measurement Expression; LabelLength: Measurement Expression; LeftOffset: Measurement Expression; TopOffset: Measurement Expression; BetweenColumns: Measurement Expression; BetweenRows: Measurement Expression; MarginLeft: Measurement Expression; MarginRight: Measurement Expression; MarginTop: Measurement Expression; MarginBottom: Measurement Expression)

Parameters

Filename: Character Expression

Specifies the filename where customized labels are saved.

LabelName: Character Expression

Specifies a label name.

LabelFlags: Numeric Equivalent or Enumerated Type

Specifies whether the labels displayed in the Labels dialog box are for laser or tractor-fed printers, or both.

1	Laser!

2	TractorFed!

3	LaserAndTractorFed!

SheetWidth: Measurement Expression

Specifies the width of a page of labels.

SheetLength: Measurement Expression

Specifies the length of a page of labels.

ColumnsPerPage: Numeric Expression

Specifies the number of columns on a page.

RowsPerPage: Numeric Expression

Specifies the number of rows on a page.

LabelWidth: Measurement Expression

Specifies label width.

LabelLength: Measurement Expression

Specifies label length.

LeftOffset: Measurement Expression

Specifies the distance from the left edge of the page to the left edge of the first label column.

TopOffset: Measurement Expression

Specifies the distance from the top edge of the page to the top edge of the first label row.

BetweenColumns: Measurement Expression

Specifies the distance between label columns.

BetweenRows: Measurement Expression

Specifies the distance between label rows.

MarginLeft: Measurement Expression

Specifies the left margin of each label.

MarginRight: Measurement Expression

Specifies the right margin of each label.

MarginTop: Measurement Expression

Specifies the top margin of each label.

MarginBottom: Measurement Expression

Specifies the bottom margin of each label.

See Also

LabelsFileDescription

LabelsSelect


Route...

Layout, Page, Labels, Create, enter a label description, specify measurements, select label type.


For Example...

To create a labels paper size/type named My Labels with 3 columns and 10 rows on an 8.5" x 11" page, the command is:

LabelsDefine

(

Filename: "WP_WP_US.LAB";

LabelName: "My Labels";

LabelFlags: Laser!;

SheetWidth: 8.5";

SheetLength: 11";

ColumnsPerPage: 3;

RowsPerPage: 10;

LabelWidth: 2.63";

LabelLength: 1";

LeftOffset: 0.188";

TopOffset: 0.5";

BetweenColumns: 0.125";

BetweenRows: 0";

MarginLeft: 0";

MarginRight: 0";

MarginTop: 0";

MarginBottom: 0"

)


LabelsDelete

Purpose

LabelsDelete deletes a labels definition.

Syntax

LabelsDelete (Filename: Character Expression; LabelName: Character Expression)

Parameters

Filename: Character Expression

Specifies the name of a labels file to delete from.

LabelName: Character Expression

Specifies a label definition to delete.


Route...

Layout, Page, Labels, select a labels definition in the Labels list box, Delete.


For Example...

To delete a labels definition named My Labels, the command is:

LabelsDelete

(

Filename: "WP_WP_US.LAB";

LabelName: "My Labels"

)


LabelsDlg

Purpose

LabelsDlg displays the Labels dialog box.

Syntax

LabelsDlg ()


Route...

Layout, Labels.


LabelsFileCreate

Purpose

LabelsFileCreate creates a labels file.

Syntax

LabelsFileCreate (Filename: Character Expression)

Parameters

Filename: Character Expression

Specifies the path of a new labels file.

See Also

LabelsFileDescription

LabelsFileSelect


Route...

Layout, Labels, Change, Create, enter a filename.


For Example...

To create a labels file named CUSTOM.LAB in the C:\WPC20 directory, the command is:

LabelsFileCreate

(

Filename: "C:\WPC20\CUSTOM.LAB"

)


LabelsFileDescription

Purpose

LabelsFileDescription adds a description to an existing labels file.

Syntax

LabelsFileDescription (Filename: Character Expression; Description: Character Expression)

Parameters

Filename: Character Expression

Specifies the filename of a labels file.

Description: Character Expression

Specifies a labels file description.

See Also

LabelsFileCreate

LabelsFileSelect


Route...

Layout, Labels, Change, highlight a label file, Edit, enter a description.


For Example...

To add the description Label Library to a labels file named CUSTOM.LAB, the command is:

LabelsFileDescription

(

Filename: "C:\WPC20\CUSTOM.LAB";

Description: "Label Library"

)


LabelsFileSelect

Purpose

LabelsFileSelect selects a labels file.

This command is not recordable.  You must type it into a macro.

Syntax

LabelsFileSelect (Filename: Character Expression)

Parameters

Filename: Character Expression

Specifies the filename of a labels file.

See Also

LabelsFileDescription


*** DELETED TOPIC ***


For Example...

To select a labels file named CUSTOM.LAB, the command is:

LabelsFileSelect

(

Filename: "C:\WPC20\CUSTOM.LAB"

)


LabelsOff

Purpose

LabelsOff turns off labels mode.

Syntax

LabelsOff ()

See Also

LabelsFileSelect

LabelsSelect


Route...

Layout, Labels, Off.


LabelsSelect

Purpose

LabelsSelect selects a label definition.

Syntax

LabelsSelect (Filename: Character Expression; LabelName: Character Expression)

Parameters

Filename: Character Expression

Specifies a label filename.

LabelName: Character Expression

Specifies a label definition to select.


Route...

Layout, Labels, highlight a label definition in the Labels list box, Select.


For Example...

To select a label definition named My Labels from the default WordPerfect labels file named WP_WP_US.LAB, the command is:

LabelsSelect

(

Filename: "C:\WPC20\WP_WP_US.LAB";

LabelName: "My Labels"

)


Language

Purpose

Language specifies the language used for a document or section of text.

Syntax

Language (Language: Character Expression)

Parameters

Language: Character Expression

Two characters that specify the language of a document or section of text.


Route...

Tools, Language, select language.


For Example...

To specify Spanish as the language of a section of text, the command is:

Language

(

Language: "ES"

)


LanguageDlg

Purpose

LanguageDlg displays the Language dialog box.

Syntax

LanguageDlg ()


Route...

Tools, Language.


LastOpenedAdd

Purpose

LastOpenedAdd places a filename at the top of the last opened filenames list on the File menu.

This command is not recordable.  You must type it into a macro.

Syntax

LastOpenedAdd (Filename: Character Expression)

Parameters

Filename: Character Expression

Specifies a filename.


For Example...

To place TEST.DOC at the top of the last opened filenames list on the File menu, the command is:

LastOpenedAdd

(

Filename: "C:\WPWIN60\WPDOCS\TEST.DOC"

)


Leading

Purpose

Leading specifies leading adjustment.

Syntax

Leading (Adjustment: Measurement Expression)

Parameters

Adjustment: Measurement Expression

Specifies a leading adjustment.


Route...

Layout, Typesetting, Word/Letterspacing, select Adjust Leading, specify a measurement in the Between Lines edit box.


For Example...

To specify a leading adjustment of .1 inches, the command is:

Leading

(

Adjustment: .1"

)


LineCreateDlg

Purpose

LineCreateDlg displays the Create Graphics Line dialog box.

Syntax

LineCreateDlg ()


Route...

Graphics, Custom Line.


LineEditDlg

Purpose

LineEditDlg displays the Edit Graphics Line dialog box.

If there is no graphics line to edit, this command ends the macro or redirects it to the LABEL specified by ONERROR.

Syntax

LineEditDlg ()

See Also

LineCreateDlg


Route...

Graphics, Edit Line.


LineHeight

Purpose

LineHeight specifies line height.

Line height is measured from baseline to baseline in single-spaced text.  Auto line height configures line height as the point size of the current font, plus two points.

Syntax

LineHeight (Height: Measurement Expression or Numeric Equivalent or Enumerated Type)

Parameters

Height: Measurement Expression or Numeric Equivalent or Enumerated Type

Specifies a fixed line height.  To specify Auto Line Height, use the numeric equivalent or enumerated type.

0	Auto!


Route...

Layout, Line, Height, Auto or Fixed, enter a measurement.


For Example...

To specify a line height of .275 inches, the command is:

LineHeight

(

Height: .275"

)


LineHeightDlg

Purpose

LineHeightDlg displays the Line Height dialog box.

Syntax

LineHeightDlg ()

See Also

LineHeight


Route...

Layout, Line, Height.


LineHyphenationDlg

Purpose

LineHyphenationDlg displays the Line Hyphenation dialog box.

Syntax

LineHyphenationDlg ()


Route...

Layout, Line, Hyphenation.


LineNumbering

Purpose

LineNumbering turns on Line Numbering.

Syntax

LineNumbering (State: Numeric Equivalent or Enumerated Type; RestartAtNewPage: Numeric Equivalent or Enumerated Type; CountBlankLines: Numeric Equivalent or Enumerated Type; NumberColumns: Numeric Equivalent or Enumerated Type; PositionRelativeToLeftEdge: Numeric Equivalent or Enumerated Type; Position: Measurement Expression; FirstPrintingNumber: Numeric Expression; NumberInterval: Numeric Expression; Default: Numeric Equivalent or Enumerated Type; FontFace: Character Expression; FontSize: Numeric Expression; Red: Numeric Expression; Green: Numeric Expression; Blue: Numeric Expression; Shading: Numeric Expression; AttributesOn: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether Line Numbering is on or off.

0	Off!

1	On!

RestartAtNewPage: Numeric Equivalent or Enumerated Type

Specifies whether Line Numbering is continuous or restarted on each page.

0	DontRestartNumbersEachPage!

1	RestartNumbersEachPage!

CountBlankLines: Numeric Equivalent or Enumerated Type

Specifies whether blank lines are counted in Line Numbering.

0	DontCountBlankLines!

1	CountBlankLines!

NumberColumns: Numeric Equivalent or Enumerated Type

Specifies whether lines in newspaper columns are numbered.

0	DontNumberAllNewspaperColumns!

1	NumberAllNewspaperColumns!

PositionRelativeToLeftEdge: Numeric Equivalent or Enumerated Type

Specifies whether the measurement given in the Position parameter is measured from the left edge of a page or margin.

0	PosNumberFromLeftMargin!

1	PosNumberFromLeftEdgeOfPaper!

Position: Measurement Expression

Specifies where the line number prints.

FirstPrintingNumber: Numeric Expression

Specifies the first line number to print.

NumberInterval: Numeric Expression

Specifies the numbering interval.

Default: Numeric Equivalent or Enumerated Type

Specifies whether a line numbering font uses a document's initial font attributes.

0	UseDefaultValues!

1	DontUseDefaultValues!

FontFace: Character Expression (optional)

Specifies the line number font.  Used only when the Default parameter is set to DontUseDefaultValues! or 1.

FontSize: Numeric Expression (optional)

Specifies the point size of a line number font.  Used only when the Default parameter is set to DontUseDefaultValues! or 1.

Red: Numeric Expression (optional)

Represents the amount of red in a color.  Values range from 0 to 255. Used only when the Default parameter is set to DontUseDefaultValues! or 1.  The values of a selected color are available in the Define Color Printing Palette dialog box.

Green: Numeric Expression (optional)

Represents the amount of green in a color.  Values range from 0 to 255.  Used only when the Default parameter is set to DontUseDefaultValues! or 1.  The values of a selected color are available in the Define Color Printing Palette dialog box.

Blue: Numeric Expression (optional)

Represents the amount of blue in a color.  Values range from 0 to 255.  Used only when the Default parameter is set to DontUseDefaultValues! or 1.  The values of a selected color are available in the Define Color Printing Palette dialog box.

Shade: Numeric Expression (optional)

Represents the shading percentage of a color.  Values range from 0 to 100.  Used only when the Default parameter is set to DontUseDefaultValues! or 1.

AttributesOn:  Numeric Equivalent or Enumerated Type (optional)

Specifies attributes and relative size of a font.  Enclose multiple attributes in braces ({}) separated by semicolons.  Used only when the Default parameter is set to DontUseDefaultValues! or 1.

0	ExtraLarge!

1	VeryLarge!

2	Large!

3	Small!

4	Fine!

5	Superscript!

6	Subscript!

7	Outline!

8	Italics!

9	Shadow!

10	Redline!

11	DoubleUnderline!

12	Bold!

13	Strikeout!

14	Underline!

15	SmallCaps!

See Also

LineNumberSet

LineNumberingMethod

?LineNumbering

?LineNumCountBlankLines

?StartingLineNumber


Route...

Layout, Line, Numbering, select options in the Line Numbering dialog box.


For Example...

To number lines, the command is:

LineNumbering

(

State: On!;

RestartAtNewPage: RestartNumbersEachPage!;

CountBlankLines: DontCountBlankLines!;

NumberColumns: DontNumberAllNewspaperColumns!;

PositionRelativeToLeftEdge: PosNumberFromLeftMargin!;

Position: 1";

FirstPrintingNumber: 1;

NumberInterval: 5;

Default: DontUseDefaultValues!;

AttributesOn: {ExtraLarge!;Shadow!;DoubleUnderline!;Bold!}

)


LineNumberingDlg

Purpose

LineNumberingDlg displays the Line Numbering dialog box.

Syntax

LineNumberingDlg ()

See Also

LineNumbering


Route...

Layout, Line, Numbering.


LineNumberingMethod

Purpose

LineNumberingMethod specifies a method to number lines.

Syntax

LineNumberingMethod (NumberingMethod: Numeric Equivalent or Enumerated Type)

Parameters

NumberingMethod: Numeric Equivalent or Enumerated Type

Specifies a method for numbering lines.

0	Numbers!

1	LowerLetters!

2	UpperLetters!

3	LowerRoman!

4	UpperRoman!

See Also

LineNumberSet

LineNumbering

?LineNumberMethod


Route...

Layout, Line, Numbering, Numbering Method, select an option.


For Example...

To specify uppercase letters as the Line Numbering method, the command is:

LineNumberingMethod

(

NumberingMethod: UpperLetters!

)


LineNumberSet

Purpose

LineNumberSet specifies the first line number on a page.

Syntax

LineNumberSet (Number: Numeric Expression)

Parameters

Number: Numeric Expression

Specifies a first line number.

See Also

LineNumbering

LineNumberingMethod


Route...

Layout, Line, Numbering, Starting Line Number, enter a number.


For Example...

To specify the first line on a page as line 5, the command is:

LineNumberSet

(

Number: 5

)


LineSegmentColor

Purpose

LineSegmentColor specifies the color of a line segment.

This command must be used in conjunction with other commands, such as LineSegmentCreate and LineSegmentEnd.

Syntax

LineSegmentColor (ColorName: Character Expression; Red: Numeric Expression; Green: Numeric Expression; Blue: Numeric Expression; Shade: Numeric Expression)

Parameters

ColorName: Character Expression (optional)

Specifies a color name of your choice.

Red: Numeric Expression (optional)

Specifies the amount of red in a color.  Values range from 0 to 255.

Green: Numeric Expression (optional)

Specifies the amount of green in a color.  Values range from 0 to 255.

Blue: Numeric Expression (optional)

Specifies the amount of blue in a color.  Values range from 0 to 255.

Shade: Numeric Expression (optional)

Specifies the shading percentage of a color.  Values range from 0 to 100.

See Also

LineSegmentCreate

LineStyleEdit

LineSegmentEnd

LineStyleEnd

?LineSegmentBlue

?LineSegmentGreen

?LineSegmentRed

?LineSegmentShading


Route...

Graphics, Custom Line, Line Styles, select Line Style, Edit, Color, select a color.


For Example...

To specify a blue line segment, the command is:

LineSegmentColor

(

ColorName: "Blue";

Red: 0;

Green: 0;

Blue: 255;

Shade: 100

)


LineSegmentCreate

Purpose

LineSegmentCreate creates a line segment with multiple lines, or a stacked line style.

This command must be used in conjunction with other commands, such as LineStyleEdit.

Syntax

LineSegmentCreate(Position: Numeric Expression)

Parameters

Position: Numeric Expression

Specifies where a line segment is created or stacked.  The first (inside) position is 0.

See Also

LineSegmentDelete

LineSegmentEnd

LineStyleEdit

TableEdit


Route...

Graphics, Custom Line, Line Styles, Create, Name, Add.


For Example...

To stack a line in the first (inside) position, the command is:

LineSegmentCreate

(

Position: 0

)


LineSegmentDelete

Purpose

LineSegmentDelete deletes a stacked line segment.

This command must be used in conjunction with other commands, such as LineStyleEdit and LineSegmentEnd.

Syntax

LineSegmentDelete (Position: Numeric Expression)

Parameters

Position: Numeric Expression

Specifies where to delete a stacked line.  The first (inside) position is 0.

See Also

LineSegmentCreate

LineStyleEdit

LineStyleEnd


Route...

Graphics, Custom Line, Line Styles, select a line style, Edit, Del.


For Example...

To delete an inside stacked line of a border, the command is:

LineSegmentDelete

(

Position: 0

)


LineSegmentEdit

Purpose

LineSegmentEdit edits a line segment.

This command must be followed by LineSegmentEnd.

Syntax

LineSegmentEdit (Position: Numeric Expression)

Parameters

Position: Numeric Expression

Specifies a line to edit.  The first (inside) position is 0.

See Also

LineSegmentColor

LineSegmentEnd

LineSegmentSpacing

LineSegmentWidth


Route...

Graphics, Custom Line, Line Style, select a line style, Edit.


For Example...

To edit an inside stacked line, the command is:

LineSegmentEdit

(

Position: 0

)

LineSegmentEnd

(

State: Save!

)


LineSegmentEnd

Purpose

LineSegmentEnd ends a series of commands modifying a line segment.

This command must be preceded by LineSegmentCreate or LineSegmentEdit.

Syntax

LineSegmentEnd (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to save changes to a line segment.

0	Cancel!

1	Save!

See Also

LineSegmentCreate

LineSegmentEdit


Route...

OK or Cancel in the Edit Line Style (or Create Line Style) dialog box.


For Example...

To create and save a line segment, the command is:

LineSegmentCreate

(

Position: 0

)

LineSegmentEnd

(

State: Save!

)


LineSegmentSetUser

Purpose

LineSegmentSetUser specifies a number of dash/space lengths in a custom line segment.

This command must be followed by the number of LineSegmentSetUserData commands for the number of dash/space lengths specified, and by LineSegmentSetUserEnd.

Syntax

LineSegmentSetUser (OnOffs: Numeric Expression)

Parameters

OnOffs: Numeric Expression

Specifies a number of dash/space lengths in a custom line segment.

See Also

LineSegmentSetUserData

LineSegmentSetUserEnd

LineSegmentSetWPG2


Route...

Graphics, Custom Line, Line Styles, select a style, Edit, Custom, set spacing.


For Example...

To create a line segment with one dash length and one space length, the command sequence is:

LineSegmentSetUser

(

OnOffs: 2

)

LineSegmentSetUserData

(

SegSize: 0.2"

)

LineSegmentSetUserData

(

SegSize: 0.1"

)

LineSegmentSetUserEnd()


LineSegmentSetUserData

Purpose

LineSegmentSetUserData specifies a dash or space length in a custom line pattern.

This command must be preceded by LineSegmentUser and followed by LineSegmentEnd.

Syntax

LineSegmentSetUserData (SegSize: Measurement Expression)

Parameters

SegSize: Measurement Expression

Specifies a dash or space length in a custom line pattern.

See Also

LineSegmentSetUser

LineSegmentSetUserEnd

LineSegmentSetWPG2


Route...

Graphics, Custom Line, Line Styles, select a style, Edit, Custom, Set Spacing.


For Example...

To create a line segment with one dash length and one space length, the command sequence is:

LineSegmentSetUser

(

OnOffs: 2

)

LineSegmentSetUserData

(

SegSize: 0.2"

)

LineSegmentSetUserData

(

SetSize: 0.1"

)

LineSegmentSetUserEnd()


LineSegmentSetUserEnd

Purpose

LineSegmentSetUserEnd marks the end of a custom line pattern command sequence.

Syntax

LineSegmentSetUserEnd ()

See Also

LineSegmentSetUser

LineSegmentSetUserData

LineSegmentSetWPG2


Route...

Graphics, Custom Line, Line Styles, select a line style, Edit, Custom.


LineSegmentSetWPG2

Purpose

LineSegmentSetWPG2 sets a line segment pattern to a predefined WPG2 line pattern.

Syntax

LineSegmentSetWPG2 (Style: Numeric Expression; LineStyle: Numeric Equivalent or Enumerated Type

Parameters

Style: Numeric Expression

Specifies a pattern set.  The only valid entry is 0.

LineStyle: Numeric Equivalent or Enumerated Type

Specifies which line pattern to use for the selected set.

0	SingleLine!

1	DoubleLine!

2	DashedLine!

3	DottedLine!

4	ThickLine!

5	ExtraThickLine!

6	ThinThickLine!

7	ThickThinLine!

8	ButtonTopleftLine!

9	ButtonBottomRightLine!

126	TableDefaultLine!

127	Noline!

See Also

LineSegmentSetUser

LineSegmentSetUserData

LineSegmentSetUserEnd

?LineSegmentWPG2Pattern


Route...

Graphics, Custom Line, Line Styles, select a line style, Edit (or Create, enter a style name), Pattern, select a predefined pattern.


For Example...

To specify the single line pattern for a line segment, the command is,

LineSegmentSetWPG2

(

Style: 0;

LineStyle: SingleLine!

)


LineSegmentSpacing

Purpose

LineSegmentSpacing sets the distance between line segments.

Syntax

LineSegmentSpacing (Spacing: Measurement Expression)

Parameters

Spacing: Measurement Expression

Specifies a distance between line segments.

See Also

?LineSegmentSpacing


Route...

Graphics, Custom Line, Line Styles, select a line style, Edit (or Create, enter a style name), specify a measurement in the Spacing Below Line text box.


For Example...

To set the distance between line segments at 0.5 inches, the command is:

LineSegmentSpacing

(

Spacing: 0.5"

)


LineSegmentWidth

Purpose

LineSegmentWidth specifies the width or thickness of a graphics line segment.

This command must be preceded by LineSegmentCreate or LineSegmentEdit and followed by LineSegmentEnd.

Syntax

LineSegmentWidth (Width: Measurement Expression)

Parameters

Width: Measurement Expression

Specifies the width or thickness of a graphics line segment.

See Also

LineSegmentCreate

LineSegmentEdit

LineSegmentEnd

?LineSegmentWidth


Route...

Graphics, Custom Line, Line Styles, select a line style, Edit (or Create, enter a style name), specify a measurement in the Width text box.


For Example...

To set the width of a line segment at 0.2 inches, the command is:

LineSegmentEdit

(

Position: 0

)

LineSegmentWidth

(

Width: 0.2"

)

LineSegmentEnd

(

State: Save!

)


LineSpacing

Purpose

LineSpacing specifies the vertical spacing between lines.

When this command is recorded, the tenths position is used; when entering this command in a macro, tenths is optional.

Syntax

LineSpacing (Spacing: Numeric Expression)

Parameters

Spacing: Numeric Expression

Specifies line spacing.

See Also

?LineSpacing


Route...

Layout, Line, Spacing, specify a line spacing.


For Example...

To specify single-spaced line spacing, the command is:

LineSpacing

(

Spacing: 1.0

)


LineSpacingDlg

Purpose

LineSpacingDlg displays the Line Spacing dialog box.

Syntax

LineSpacingDlg ()

See Also

LineSpacing


Route...

Layout, Line, Spacing.


LineStyleCopy

Purpose

LineStyleCopy copies attributes from one line to another.

Syntax

LineStyleCopy (Style: Numeric Equivalent or Enumerated Type; FromLibrary: Numeric Equivalent or Enumerated Type; ToLibrary: Numeric Equivalent or Enumerated Type; DestName: Character Expression)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies a line to copy.

0	SingleLine!

1	DoubleLine!

2	DashedLine!

3	DottedLine!

4	ThickLine!

5	ExtraThickLine!

6	ThinThickLine!

7	ThickThinLine!

8	ButtonTopLeftLine!

9 	ButtonBottomRightLine!

126	TableDefaultLine!

127	NoLine!

FromLibrary: Numeric Equivalent or Enumerated Type

Specifies a library from which to copy a line.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

ToLibrary: Numeric Equivalent or Enumerated Type

Specifies a library to which a line is copied.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

DestName: Character Expression (optional)

Specifies a new line name.

See Also

GraphicsLineCreate

GraphicsLineEdit

GraphicsLineEnd


Route...

Graphics, Custom Line, Line Styles, select a style, Options, Copy, enter a new style name.


For Example...

To copy the attributes of a line named Single Line in a Personal Library to a newly created line named New Line in the current document, the command is:

LineStyleCopy

(

Style: SingleLine!;

FromLibrary: PersonalLibrary!;

ToLibrary: CurrentDoc!;

DestName: "New Line"

)


LineStyleCreate

Purpose

LineStyleCreate creates a line style.

This command must be used in conjunction with other commands, such as LineStyleEnd.

Syntax

LineStyleCreate (Name: Character Expression; Library: Numeric Equivalent or Enumerated Type)

Parameters

Name: Character Expression

Specifies a new line style name.

Library: Numeric Equivalent or Enumerated Type

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

LineStyleEnd


Route...

Graphics, Custom Lines, Line Styles, Create, enter a style name.  Line Style is also available in Tables and Graphics Boxes.


For Example...

To create a line style named Custom, the command is:

LineStyleCreate

(

Name: "Custom";

Library: CurrentDoc!

)


LineStyleDelete

Purpose

LineStyleDelete deletes a user-defined line style.

WordPerfect line styles cannot be deleted.

Syntax

LineStyleDelete (Name: Character Expression)

Parameters

Name: Character Expression

Specifies a line style to delete.


Route...

Graphics, Graphics Styles, Line, select a line, Options, Delete.


For Example...

To delete a line style named Custom, the command is:

LineStyleDelete

(

Name: "Custom"

)


LineStyleEdit

Purpose

LineStyleEdit edits a line style.

This command is used in conjunction with other commands, such as LineStyleEnd.

Syntax

LineStyleEdit (Style: Numeric Equivalent or Enumerated Type; Library: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies a line style to edit.

0	SingleLine!

1	DoubleLine!

2	DashedLine!

3	DottedLine!

4	ThickLine!

5	ExtraThickLine!

6	ThinThickLine!

7	ThickThinLine!

8	ButtonTopLeftLine!

9	ButtonBottomRightLine!

126	TableDefaultLine!

127	NoLine!

Library: Numeric Equivalent or Enumerated Type

Specifies the library where a line style is stored.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

LineStyleEnd


Route...

Graphics, Graphics Styles, Line, select a line style, Edit.


For Example...

To edit the Thick Line line style, the command is:

LineStyleEdit

(

Style: ThickLine!;

Library: CurrentDoc!

)


LineStyleEnd

Purpose

LineStyleEnd ends a series of commands that change a line style.

This command must be preceded by commands which change a line style, such as LineStyleCreate or LineStyleEdit.

Syntax

LineStyleEnd (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to save line style changes.

0	Cancel!

1	Save!

See Also

LineStyleCreate

LineStyleEdit


Route...

Graphics, Graphics Styles, Line, Edit or Create, select options.


For Example...

To save line style changes, the command is:

LineStyleEnd

(

State: Save!

)


LineStyleName

Purpose

LineStyleName renames a line style.

Line styles shipped with the program cannot be renamed.  This command must be preceded by LineStyleCreate or LineStyleEdit and followed by LineStyleEnd.

Syntax

LineStyleName (Style: Character Expression)

Parameters

Style: Character Expression

Specifies a line style.

See Also

LineStyleCreate

LineStyleEdit

LineStyleEnd


Route...

Graphics, Graphics Styles, Line, select a line style, Options, Rename, enter a new style name.


For Example...

To rename a line style named Custom, the command is:

LineStyleName

(

Style: "Custom"

)


LineStyleRetrieve

Purpose

LineStyleRetrieve retrieves a line style into a library.

Syntax

LineStyleRetrieve (Filename: Character Expression; Style: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Specifies a filename containing a line style to retrieve.

Style: Numeric Equivalent or Enumerated Type

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!


Route...

This feature is available in Tables, Graphics Boxes, and Graphics Lines.  Choose Graphics, Graphics Styles, select a style type and style, Options, Retrieve.


For Example...

To retrieve a line style named CUSTOMLN into a Personal Library, the command is:

LineStyleRetrieve

(

Filename: "CUSTOMLN";

Style: PersonalLibrary!

)


LineStyleSave

Purpose

LineStyleSave saves a line style library.

Syntax

LineStyleSave (Filename: Character Expression; Style: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Specifies the name of a file in which to save the line style library.

Style: Numeric Equivalent or Enumerated Type

Specifies a line style library.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!


Route...

This feature is available in Table, Graphics Boxes, and Graphics Lines.  Choose Graphics, Graphics Styles, select a style type and style, Options, Save As.


For Example...

To save a current document line style library with the filename current, the command is:

LineStyleSave

(

Filename: "CURRENT";

Style: CurrentDoc!

)


LinkUpdate

Purpose

LinkUpdate updates a linked object.

Syntax

LinkUpdate ()


Route...

Edit, Links, Update Now.


ListDefineDlg

Purpose

ListDefineDlg displays the Define List dialog box.

Syntax

ListDefineDlg ()


Route...

Tools, List, Define button.


ListDefinition

Purpose

ListDefinition selects a list definition and defines the page where the list is generated.  The item must exist in the defined lists or be created by ListDefinitionCreate before it can be selected.

Syntax

ListDefinition (ListName: Character Expression; Style: Numeric Equivalent or Enumerated Type; Numbering: Numeric Equivalent or Enumerated Type; Counter: Numeric Equivalent or Enumerated Type; NumberingFormat: Numeric Equivalent or Enumerated Type)

Parameters

ListName: Character Expression

Names or renames a selected list definition.

Style: Numeric Equivalent or Enumerated Type (optional)

Specifies a list style.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

Numbering: Numeric Equivalent or Enumerated Type (optional)

Specifies a numbering mode when a list is generated.

0	DefNone!

1	DefFollows!

2	DefParentheses!

3	DefFlushRight!

4	DefLeader!

Counter: Numeric Equivalent or Enumerated Type (optional)

Specifies a counter type.

0	FigureBox!

1	TableBox!

2	TextBox!

3	UserBox!

4	EquationBox!

5	ButtonBox!

6	WatermarkImageBox!

7	InlineEquationBox!

127	NoBox!

NumberingFormat: Character Expression (optional)

Specifies characters used to number a list.

See Also

ListDefinitionCreate

?ListDefinition


Route...

Tools, List, Define, select a list definition, Insert.


For Example...

To select a list definition named Subject List, the command is:

ListDefinition

(

ListName: "Subject List"

)


ListDefinitionCreate

Purpose

ListDefinitionCreate creates a list definition.

This command is followed by other commands such as ListDefinitionMode and ListDefinitionStyle.

Syntax

ListDefinitionCreate (ListName: Character Expression)

Parameters

ListName: Character Expression

Names a new list definition.

See Also

ListDefinition


Route...

Tools, List, Define, Create, select options in the Create List dialog box.


For Example...

To create a list definition named Subject List which specifies a list style and numbering with dot leaders following entries, includes figure boxes, and specifies the document page numbering method, the command is:

MarkList()

ListDefinitionCreate

(

ListName: "Subject List"

)

ListDefinitionMode

(

ListName: "Subject List";

Numbering: DefLeader!

)

ListEditPageFormat

(

ListName: "Subject List";

NumberFormat: DocFormat!

)

ListDefinitionStyle

(

ListName: "Subject List";

Style: ListStyle!

)

ListDefinitionEditBox

(

ListName: "Subject LIst";

BoxName: FigureBox!;

)

MarkListUpdateList

(

ListName: "Subject List"

)

ListDefinition

(

ListName: "Subject List"

)


ListDefinitionDelete

Purpose

ListDefinitionDelete deletes a list definition in the Define List dialog box.

Syntax

ListDefinitionDelete (ListName: Character Expression)

Parameters

ListName: Character Expression

Names a list definition to delete.


Route...

Tools, List, Define, select a list definition, Delete.


For Example...

To delete a list definition named Old List, the command is:

ListDefinitionDelete

(

ListName: "Old List"

)


ListDefinitionEditBox

Purpose

ListDefinitionEditBox changes the type of graphics box the specified list includes when generated.

Syntax

ListDefinitionEditBox (Name: Character Expression; BoxName: Numeric Equivalent or Enumerated Type)

Parameters

Name: Character Expression

Names a list definition to edit.

BoxName: Numeric Equivalent or Enumerated Type

Specifies which type of graphics box to include in the list definition.

0	FigureBox!

1	TableBox!

2	TextBox!

3	UserBox!

4	EquationBox!

5	ButtonBox!

6	WatermarkImageBox!

7	InlineEquationBox!

127	NoBox!


Route...

Tools, List, Define, select a list definition, Edit, Auto Reference Box Captions, select a graphics box type.


For Example...

To change a list definition named List 1 to include figure boxes, the command is:

ListDefinitionEditBox

(

Name: "List 1";

BoxName: FigureBox!

)


ListDefinitionMode

Purpose

ListDefinitionMode changes the numbering format in a list definition.

Syntax

ListDefinitionMode (ListName: Character Expression; Numbering: Numeric Equivalent or Enumerated Type)

Parameters

ListName: Character Expression

Names a list definition to edit.

Numbering: Numeric Equivalent or Enumerated Type

Specifies which numbering format a list definition uses.

0	DefNone!

1	DefFollows!

2	DefParentheses!

3	DefFlushRight!

4	DefLeader!


Route...

Tools, List, Define, select a list definition, Edit, select an option from the Text.....# pop-up list.


For Example...

To set the numbering format to flush right in a list definition named List 2, the command is:

ListDefinitionMode

(

ListName: "List 2";

Numbering: DefFlushRight!

)


ListDefinitionRename

Purpose

ListDefinitionRename renames a list definition.

Syntax

ListDefinitionRename (OldName: Character Expression; NewName: Character Expression)

Parameters

OldName: Character Expression

Specifies a list definition to rename.

NewName: Character Expression

Specifies the new name of a list definition.


Route...

Tools, List, Define, select a list definition, Edit, type a new name.


For Example...

To rename a list definition named List 1 to List One, the command is:

ListDefinitionRename

(

OldName: "List 1";

NewName: "List One"

)


ListDefinitionRetrieve

Purpose

ListDefinitionRetrieve retrieves one list definition from a document.

Syntax

ListDefinitionRetrieve (Filename: Character Expression; ListName: Character Expression)

Parameters

Filename: Character Expression

Names the document which contains a list to retrieve.

ListName: Character Expression

Specifies the list definition to retrieve.


Route...

Tools, List, Define, Retrieve, specify a document name, mark a list to retrieve.


For Example...

To retrieve a list definition named List One from a file named MYFILE, the command is:

ListDefinitionRetrieve

(

Filename: "MYFILE";

ListName: "List One"

)


ListDefinitionStyle

Purpose

ListDefinitionStyle edits a list definition and changes the list style that definition uses.

Syntax

ListDefinitionStyle (ListName: Character Expression; Style: Numeric Equivalent or Enumerated Type)

Parameters

ListName: Character Expression

Specifies a list definition to edit.

Style: Numeric Equivalent or Enumerated Type

Specifies which list style to include in the list definition.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

See Also

ListEditPageFormat


Route...

Tools, List, Define, select a list definition, Edit, Change Current Style, select a style, Select.


For Example...

To change the list style to Index 2 of a list definition named List One, the command is:

ListDefinitionStyle

(

ListName: "List One";

Style: Index2Style!

)


ListEditPageFormat

Purpose

ListEditPageFormat edits the page numbering format of a list definition.

Syntax

ListEditPageFormat (ListName: Character Expression; NumberFormat: Character Expression)

Parameters

ListName: Character Expression

Specifies a list definition to edit.

NumberFormat: Character Expression

Specifies a page numbering style. If there is nothing between the quotation marks in this parameter, the generated list uses same page numbering style as the main document.

See Also

ListDefinitionStyle


Route...

Tools, List, Define, select a list definition, Edit, Page Numbering, specify a page number format.


For Example...

To specify a page numbering format to be the same as the main document format in a definition named List One, the command is:

ListEditPageFormat

(

ListName: "List One";

NumberFormat: ""

)


ListMark

Purpose

ListMark marks selected text to add to a list when a document is generated.

If no text is selected, this command terminates the macro or redirects execution to the LABEL specified by ONERROR.

Syntax

ListMark (ListName: Character Expression)

Parameters

ListName: Character Expression

Names a new list.


Route...

Tools, List, Define, specify a list name, Mark.


For Example...

To mark selected text to add to a list named List One, the command is:

ListMark

(

ListName: "List One"

)


MacroAssignDlg

Purpose

MacroAssignDlg displays the Assign Macro to Menu dialog box.

Syntax

MacroAssignDlg ()


Route...

Tools, Macro, Menu.


MacroCommandInserter

Purpose

MacroCommandInserter opens or closes the WordPerfect Macro Command Inserter.

Syntax

MacroCommandInserter (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Turns the WordPerfect Macro Command Inserter on or off.

0	Off!

1	On!


Route...

To turn on the WordPerfect Macro Command Inserter: Tools, Macro, Macro Bar, Command Inserter.  To turn it off: click Close.


For Example...

To turn on the WordPerfect Macro Command Inserter, the command is:

MacroCommandInserter

(

State: On!

)


MacroEditControlBar

Purpose

MacroEditControlBar displays the Macros feature bar.

This command is not recordable.  You must type it into a macro.

Syntax

MacroEditControlBar ()


*** DELETED TOPIC ***


MacroExecuteQuick

Purpose

MacroExecuteQuick plays a temporary macro.

Syntax

MacroExecuteQuick ()

See Also

MacroFilePlay

MacroTemplatePlay


Route...

Tools, Macro, Play, Play.


MacroFilePlay

Purpose

MacroFilePlay plays a specified macro.

Syntax

MacroFilePlay (Filename: Character Expression)

Parameters

Filename: Character Expression

Specifies a macro to play.

See Also

MacroExecuteQuick

MacroTemplatePlay


Route...

Tools, Macro, Play, specify a macro name, Play.


For Example...

To play a macro named C:\WPWIN60\DEMO.WCM, the command is:

MacroFilePlay

(

Filename: "C:\WPWIN60\DEMO.WCM"

)


MacroMenuAdd

Purpose

MacroMenuAdd adds a macro to the macro submenu.

Syntax

MacroMenuAdd (UpdateBIF: Numeric Equivalent or Enumerated Type; MenuPos: Numeric Expression; Location: Numeric Equivalent or Enumerated Type; Filename: Character Expression; TemplateName: Character Expression)

Purpose

UpdateBIF: Numeric Equivalent or Enumerated Type

Specifies whether to save a macro submenu addition.

0	No!

1	Yes!

MenuPos: Numeric Expression

Specifies a menu position for an added macro.

Location: Numeric Equivalent or Enumerated Type

Specifies the location of an added macro.

1	FileOnDisk!

4	CurrentTemplate!

5	StandardTemplate!

Filename: Character Expression (optional)

Specifies a file containing a macro to add.

TemplateName: Character Expression (optional)

Specifies the template containing a macro to add.


Route...

Tools, Macro, Menu, Insert, specify a macro name, Select.


For Example...

To add a macro named CHAIN.WCM, in the standard template, to the first position in macro menu, the command is:

MacroMenuAdd

(

UpdateBIF: Yes!;

MenuPos: 1;

Location: FileOnDisk!;

Filename: "C:\WPWIN60\CHAIN.WCM"

)


MacroMenuDelete

Purpose

MacroMenuDelete deletes a macro from a menu.

This command is not recordable.  You must type it into a macro.

Syntax

MacroMenuDelete (UpdateBIF: Numeric Equivalent or Enumerated Type; MenuPos: Numeric Expression)

Parameters

UpdateBIF: Numeric Expression

Specifies whether to update BIF.

0	No!

1	Yes!

MenuPos: Numeric Expression

Specifies a macro's menu position.


For Example...

To delete a macro from the third position on a menu, the command is:

MacroMenuDelete

(

UpdateBIF: No!;

MenuPos: 3

)


MacroMenuDlg

Purpose

MacroMenuDlg displays the Assign Macro to Menu dialog box.

Syntax

MacroMenuDlg ()


Route...

Tools, Macro, Menu.


MacroPause

Purpose

MacroPause stops a macro until the user presses Enter or selects Pause on the Macro menu.

This command is not recordable.  You must type it into a macro.

Syntax

MacroPause ()


*** DELETED TOPIC ***


MacroPlayDlg

Purpose

MacroPlayDlg displays the Play Macro dialog box.

Syntax

MacroPlayDlg ()


Route...

Tools, Macro, Play.


MacroStatusPrompt

Purpose

MacroStatusPrompt specifies whether to display the macro status prompt line.

This command is not recordable.  You must type it into a macro.

Syntax

MacroStatusPrompt(State: Numeric Equivalent or Enumerated Type; Prompt: Character Expression)

Parameters

State: Numeric Equivalent or Enumerated Type

0	Off!

1	On!

Prompt: Character Expression

Specifies a prompt message.


For Example...

To display the prompt Please Wait..., the command is:

MacroStatusPrompt

(

State: On!;

Prompt: "Please Wait..."

)


MacroTemplatePlay

Purpose

MacroTemplatePlay plays a macro located on a template.

Syntax

MacroTemplatePlay (Location: Numeric Equivalent or Enumerated Type; MacroName: Character Expression)

Parameters

Location: Numeric Equivalent or Enumerated Type

Specifies the location of a macro to play.

0	DefaultTemplate!

1	CurrentTemplate!

MacroName: Character Expression

Specifies a macro to play.

See Also

MacroFilePlay

MacroExecuteQuick


Route...

Tools, Macro, Play, Location, specify Current Template or Default Template, OK, specify a macro name, Play.


For Example...

To play a macro named C:\WPWIN60\DEMO.WCM, located on the default template, the command is:

MacroTemplatePlay (

Location: DefaultTemplate!;

MacroName: "C:\WPWIN60\DEMO.WCM")


MailDlg

Purpose

MailDlg determines if WP Office is running; loads WP Office if it is not; displays the WP Office Mail view; attaches a copy of the active WordPerfect document to Mail; and writes "<WP Attachment Enclosed>" in the Message text box.

Syntax

MailDlg ()


Route...

File, WP Mail.


MarginAdjustLeft

Purpose

MarginAdjustLeft moves the left margin relative to the current margin setting.

Syntax

MarginAdjustLeft (AmtToAdjust: Measurement Expression)

Parameters

AmtToAdjust: Measurement Expression

Specifies a positive or negative value to increase or decrease the left margin.

See Also

MarginLeft

?LeftMarginAdj


Route...

Layout, Paragraph, Format, specify a measurement in the Left Margin Adjustment entry box.


For Example...

To move the left margin .5 inches to the right, the command is:

MarginAdjustLeft

(

AmtToAdjust: .5"

)


MarginAdjustRight

Purpose

MarginAdjustRight moves the right margin relative to the current margin setting.

Syntax

MarginAdjustRight (AmtToAdjust: Measurement Expression)

Parameters

AmtToAdjust: Measurement Expression

Specifies a positive or negative value to increase or decrease the right margin.

See Also

MarginRight

?RightMarginAdj


Route...

Layout, Paragraph, Format, Right Margin Adjustment, type a value.


For Example...

To move the right margin .5 inches to the left, the command is:

MarginAdjustRight

(

AmtToAdjust: -.5"

)


MarginBottom

Purpose

MarginBottom sets the bottom margin.

Syntax

MarginBottom (MarginWidth: Measurement Expression)

Parameters

MarginWidth: Measurement Expression

Specifies a bottom margin.

See Also

?MarginBottom


Route...

Layout, Margins, Bottom Margin, specify a measurement.


For Example...

To set the bottom margin 1 inch from the bottom edge of the page, the command is:

MarginBottom

(

MarginWidth: 1"

)


MarginLeft

Purpose

MarginLeft sets the left margin.

Syntax

MarginLeft (MarginWidth: Measurement Expression)

Parameters

MarginWidth: Measurement Expression

Specifies a left margin.

See Also

MarginAdjustLeft

?MarginLeft


Route...

Layout, Margins, Left Margin, specify a measurement.


For Example...

To set the left margin 1 inch from the left edge of the page, the command is:

MarginLeft

(

MarginWidth: 1"

)


MarginReleaseInsert

Purpose

MarginReleaseInsert moves the insertion point one tab stop to the left.

Syntax

MarginReleaseInsert ()


Route...

Press Ctrl+Shift+Tab.


MarginRight

Purpose

MarginRight sets the right margin.

Syntax

MarginRight (MarginWidth: Measurement Expression)

Parameters

MarginWidth: Measurement Expression

Specifies a right margin.

See Also

MarginAdjustRight

?MarginRight


Route...

Layout, Margins, Right Margin, specify a measurement.


For Example...

To set the right margin 1 inch from the right edge of the page, the command is:

MarginRight

(

MarginWidth: 1"

)


MarginTop

Purpose

MarginTop sets the top margin.

Syntax

MarginTop (MarginWidth: Measurement Expression)

Parameters

MarginWidth: Measurement Expression

Specifies a top margin.

See Also

?MarginTop


Route...

Layout, Margins, Top Margin, specify a measurement.


For Example...

To set the top margin 1.5 inch from the top edge of the page, the command is:

MarginTop

(

MarginWidth: 1.5"

)


MarkCrossRef

Purpose

MarkCrossRef marks a cross reference.

Syntax

MarkCrossRef ()

See Also

MarkCrossRefUpdateList


Route...

Tools, Cross Reference.


MarkCrossRefUpdateList

Purpose

MarkCrossRefUpdateList creates a cross reference to a specified target name.

Syntax

MarkCrossRefUpdateList (Target: Character Expression)

Parameters

Target: Character Expression

Specifies a target name.

See Also

MarkCrossRef


Route...

Tools, Cross Reference, Mark Target, Mark Reference.


For Example...

To mark the target name Archaeology, the command is:

MarkCrossRefUpdateList

(

Target: "Archaeology"

)


MarkIndex

Purpose

MarkIndex marks a word for the index.

Syntax

MarkIndex ()

See Also

MarkIndexUpdateList


Route...

Tools, Index.


MarkIndexUpdateList

Purpose

MarkIndexUpdateList creates a reference to a specified heading and subheading in the index.

Syntax

MarkIndexUpdateList (Heading: Character Expression; SubHeading:Character Expression)

Parameters

Heading: Character Expression

Specifies an index heading.

SubHeading: Character Expression (optional)

Specifies a subheading.

See Also

MarkIndex


Route...

Tools, Index, specify a heading and subheading, Mark.


For Example...

To mark a page for the index under the heading Middle East and subheading Lebanon, the command is:

MarkIndexUpdateList

(

Heading: "Middle East";

SubHeading: "Lebanon"

)


MarkList

Purpose

MarkList marks an item for a list.

Syntax

MarkList ()

See Also

MarkListUpdateList


Route...

Tools, List.


MarkListUpdateList

Purpose

MarkListUpdateList creates a reference to a specified list name.

Syntax

MarkListUpdateList (ListName: Character Expression)

Parameters

ListName: Character Expression

Specifies a list name.

See Also

MarkList


Route...

Tools, List, select a list from the List pop-up list name, Mark.


For Example...

To mark the list name Cocker Spaniels, the command is:

MarkListUpdateList

(

ListName: "Cocker Spaniels"

)


MarkTableOfAuthorities

Purpose

MarkTableOfAuthorities marks an item for a table of authorities.

Syntax

MarkTableOfAuthorities ()


Route...

Tools, Table of Authorities.


MarkTableOfContents

Purpose

MarkTableOfContents marks an item for a table of contents.

Syntax

MarkTableOfContents ()


Route...

Tools, Table of Contents.


MarkToAUpdateList

Purpose

MarkToAUpdateList creates a reference to a specified citation in a table of authorities.

Syntax

MarkToAUpdateList (ListName: Character Expression)

Parameters

ShortForm: Character Expression

Specifies a list name in a table of authorities.


Route...

Tools, Table of Authorities, select a name from the List pop-up list.  Mark.


For Example...

To specify the list name Barclay v. Florida, the command is:

MarkToAUpdateList

(

ShortForm: "Barclay v. Florida"

)


MasterDocCondense

Purpose

MasterDocCondense specifies subdocuments to condense and specifies whether to save changes.

Syntax

MasterDocCondense (Filename: Character Expression; Action: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression (optional)

Specifies a subdocument to condense.

Action: Numeric Equivalent or Enumerated Type

Specifies whether to save changes to a subdocument when the subdocument is condensed.

0	SkipSub!

2	SaveSub!


Route...

File, Master Document, Condense Master, select a subdocument.


For Example...

To condense and not save changes in a subdocument named C:\WPWIN60\SUB1.DOC, the command is:

MasterDocCondense

(

Filename: "C:\WPWIN60\SUB1.DOC";

Action: SkipSub!

)


MasterDocCondenseDlg

Purpose

MasterDocCondenseDlg displays the Condense/Save Subdocuments dialog box.

Syntax

MasterDocCondenseDlg ()

See Also

MasterDocCondense


Route...

File, Master Document, Condense Master.


MasterDocExpand

Purpose

MasterDocExpand starts the expansion of a subdocument.

This command is used in combination with SubDocInclude, which specifies a subdocument to expand.

Syntax

MasterDocExpand ()


Route...

File, Master Document, Expand Master, select a subdocument.


For Example...

To expand a subdocument named SUB1.DOC, the command sequence is:

MasterDocExpand ()

SubDocInclude

(

Filename: "SUB1.DOC"

)


MasterDocSubdocDlg

Purpose

MasterDocSubdocDlg displays the Include Subdocument dialog box.

Syntax

MasterDocSubdocDlg ()


Route...

File, Master Document, Subdocument.


MatchExtendSelection

Purpose

MatchExtendSelection specifies whether Find selects the text between the insertion point and the matched text.

Syntax

MatchExtendSelection ()


Route...

Edit, Find, Action, Extend Selection.


MatchLimit

Purpose

MatchLimit limits a find and replace search to a specified number.

Syntax

MatchLimit (State: Numeric Equivalent or Enumerated Type; LimitValue: Numeric Expression)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to limit a find and replace search.

0	No!

1	Yes!

LimitValue: Numeric Expression

Specifies the number of find and replace searches.


Route...

Edit, Replace, type Find and Replace With strings, Options, Limit Number of Changes, enter a value, Replace All.


For Example...

To limit find and replace to 2 matches, the command is:

MatchLimit

(

State: Yes!;

LimitValue: 2

)


MatchPositionAfter

Purpose

MatchPositionAfter places the insertion point after a search string when using Find.

Syntax

MatchPositionAfter ()


Route...

Edit, Find, Action, Position After, enter search string.


MatchPositionBefore

Purpose

MatchPositionBefore places the insertion point before the search string when using Find.

Syntax

MatchPositionBefore ()


Route...

Edit, Find, Action, Position Before, enter search string.


MatchSelection

Purpose

MatchSelection specifies whether Find selects the matched text.

Syntax

MatchSelection ()


Route...

Edit, Find, Action, Select Match.


MatchWithAttributes

Purpose

MatchWithAttributes specifies whether Find matches only text with selected attributes.

Syntax

MatchWithAttributes (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	No!

1	Yes!

See Also

MatchWithFont

MatchWithFontSize


Route...

No! = Edit, Find, Match, Font, select Text Only.  Yes! = Edit, Find, Match, Font, select one or more attributes.


For Example...

To find text with selected attributes, the command is:

MatchWithAttributes

(

State: Yes!

)


MatchWithFont

Purpose

MatchWithFont specifies whether Find matches only text with selected font attributes.

Syntax

MatchWithFont (State: Numeric Equivalent or Enumerated Type; Typeface: Character Expression; Family: Numeric Expression; Attributes: Numeric Expression; Weight: Numeric Expression; Width: Numeric Expression; Source: Numeric Expression; Type: Numeric Expression; CharacterSet: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	No!

1	Yes!

Typeface: Character Expression (optional)

Specifies a typeface name.

Family: Numeric Equivalent or Enumerated Type

256	FamilyITCBenguiat!

2304	FamilyTimesRoman!

4352	FamilyITCGaramond!

6400	FamilyCenturySchoolbook!

8448	FamilyBodon!

10496	FamilyITCLubalinGraph!

12544	FamilyAlbertus!

14592	FamilyCourier!

16640	FamilyHelvetica!

18688	FamilyITCRonda!

20736	FamilyMicrostyle!

22784	FamilyOptima!

24832	FamilyLetterGothic!

26880	FamilyBrush!

28928	FamilyParkAvenue!

30976	FamilySignetRoundhand!

33024	FamilyTekton!

35072	FamilyUncial!

37120	FamilyOldEnglish!

39168	FamilyITCZapfDingbats!

41216	FamilyBroadway!

43264	FamilyComputer!

45312	FamilyPTBarnum!

47360	FamilyPonderosa!

49408	FamilyMadrone!

51456	FamilyHobo!

53504	FamilyRevue!

55552	FamilyAestheticOrnamented!

Attributes: Numeric Equivalent or Enumerated Type

0	FontMatchNormal!

1	FontMatchItalic!

2	FontMatchOutline!

4	FontMatchShadow!

8	FontMatchSmallCaps!

Weight: Numeric Equivalent or Enumerated Type

0	WeightUnknown!

1	WeightUltraThin!

8	WeightUltraLight!

16	WeightExtraThin!

24	WeightThin!

32	WeightExtraLight!

48	WeightLight!

64	WeightDemiLight!

80	WeightSemiLight!

88	WeightBook!

88	WeightRegular!

104	WeightRoman!

112	WeightMedium!

128	WeightDemiBold!

136	WeightSemiBold!

144	WeightBold!

160	WeightExtraBold!

176	WeightHeavy!

192	WeightExtraHeavy!

208	WeightBlack!

224	WeightExtraBlack!

240	WeightUltraHeavy!

248	WeightUltraBlack!

254	WeightMaximum!

Width: Numeric Equivalent or Enumerated Type

0	WidthUnknown!

16	WidthUltraCondensed!

32	WidthUltraCompressed!

48	WidthCompressed!

64	WidthExtraCondensed!

80	WidthCondensed!

96	WidthSemiCondensed!

112	WidthNormal!

128	WidthSemiExpanded!

144	WidthExpanded!

160	WidthExtraExpanded!

176	WidthUltraExpanded!

192	WidthDoubleWide!

224	WidthTripleWide!

Source: Numeric Equivalent or Enumerated Type

16	PRSFile!

20	DRSFile!

Type: Numeric Equivalent or Enumerated Type

134	Speedo!

135	Intellifont!

138	Type1!

139	TrueType!

CharacterSet: Numeric Equivalent or Enumerated Type

0	FontMatchASCII!

1	FontMatchMultinational1!

2	FontMatchMultinational2!

3	FontMatchBoxDrawing!

4	FontMatchTypographicSymbols!

5	FontMatchIconicSymbols!

6	FontMatchMath!

7	FontMatchMathExtension!

8	FontMatchGreek!

9	FontMatchHebrew!

10	FontMatchCyrillic!

11	FontMatchJapaneseKana!

12	FontMatchUserDefined!

13	FontMatchArabic!

14	FontMatchArabicScript!

See Also

MatchWithAttributes

MatchWithFontSize


Route...

Edit, Find, Match, Font, select a font from the font pop-up list, select options.


For Example...

To find text with selected font attributes, the command is:

MatchWithFont

(

State: Yes!

Name: "Courier New Bold";

Family: FamilyCourier!;

Attributes: FontMatchNormal!;

Weight: WeightExtraBold!;

Width: WidthUnknown!;

Source: DRSFile!;

Type: TrueType!;

CharacterSet: FontMatchASCII!

)


MatchWithFontSize

Purpose

MatchWithFontSize specifies whether Find matches only text with the selected font size.

Syntax

MatchWithFontSize (State: Numeric Equivalent or Enumerated Type; FontSize: Numeric Expression)

Parameters

State: Numeric Equivalent or Enumerated Type

0	No!

1	Yes!

FontSize: Numeric Expression (optional)

Specifies a font height in points (72 points per inch).

See Also

MatchWithAttributes

MatchWithFont


Route...

No! = Edit, Find, Match, Font, select Text Only.  Yes! = Edit, Find, Match, Font, select attributes.


For Example...

To find text with a 14 point font size, the command is:

MatchWithFontSize

(

State: Yes!;

FontSize: 14p

)


MenuAddItem

Purpose

MenuAddItem adds an item to a WordPerfect menu or personalized submenus.

You must type this command into a macro.  It is not recordable.

Syntax

MenuAddItem (MenuBarName: Character Expression; Template: Numeric Equivalent or Enumerated Type; MenuName: Character Expression; ItemName: Character Expression; Offset: Numeric Expression; Type: Numeric Equivalent or Enumerated Type; MacroName: Character Expression; ItemText: Character Expression; Prompt: Character Expression; HelpFile: Character Expression; HelpId: Numeric Expression; Script: Character Expression)

Parameters

MenuBarName: Character Expression

Specifies the menu bar name.

Template: Numeric Expression or Enumerated Type

Specifies the location of the template to which the menu is saved.

0	CurrentDoc!

1	PersonalLibarary!

2	SharedLibrary!

MenuName: Character Expression

Specifies the menu to add an item to.

ItemName: Character Expression

Specifies a descriptive name of a menu item to add.

Offset: Numeric Expression

Specifies the location of a menu item in a list of items.  Values range from 1 to 255.

Type: Numeric Equivalent or Enumerated Type

Specifies the type of menu item to create.

0	Macro!

1	Separator!

2	Submenu!

3	Feature!

4	Script!

5	Launch!

6	Dyna!

MacroName: Character Expression

Specifies the name of a macro that plays when the corresponding menu item is chosen.

ItemText: Character Expression

Specifies menu text for the created menu item.

Prompt: Character Expression (optional)

Specifies text to display on the status line when the corresponding menu item is selected.

HelpFile: Character Expression (optional)

Specifies the name of a Help file to use if Help is the menu item.

HelpId: Numeric Expression (optional)

Specifies the ID number of the Help file in the HelpFile parameter.

Script: Character Expression (optional)

Specifies the text to type when the script menu item is chosen.

See Also

MenuDeleteItem


For Example...

To add an macro named C:\WPWIN60\MACROS\BOLD.WCM to the Tools menu on the WPWIN 6.0 menu bar, the command is:

MenuAddItem

(

MenuBarName: "<WPWIN 6.0 Menu>";

Template: CurrentDoc!;

MenuName: "ToolsMenu";

ItemName: "";

Offset: 0;

Type: Macro!;

MacroName: "C:\WPWIN60\MACROS\BOLD.WCM";

ItemText: "Bold Macro";

Prompt: "Apply bold attribute to the current word"

)


MenuDeleteItem

Purpose

MenuDeleteItem deletes an item from a specified menu.

You must type this command into a macro.  It is not recordable.

Syntax

MenuDeleteItem (MenuName: Character Expression; ItemName: Character Expression)

Parameters

MenuName: Character Expression

Specifies the name of the menu from which to delete an item.

ItemName: Character Expression

Specifies the name of a menu item to delete.

See Also

MenuAddItem


For Example...

To delete a macro from the Macro menu, the command is:

MenuDeleteItem

(

MenuName: "Macro";

ItemText: "Test Macro"

)


MenuSelect

Purpose

MenuSelect selects a menu.

Syntax

MenuSelect (MenuName: Character Expression)

Parameters

MenuName: Character Expression

Specifies a menu name.

See Also

MenuSelectDlg


Route...

File, Preferences, Menu Bar Icon, select a menu.


For Example...

To select the menu Macros, the command is:

MenuSelect

(

MenuName: "Macros"

)


MenuSelectDlg

Purpose

MenuSelectDlg displays the Menu Bar Preferences dialog box.

This command is not recordable.  You must type it into a macro.

Syntax

MenuSelectDlg ()

See Also

MenuSelect


*** DELETED TOPIC ***


MergeBlankField

Purpose

MergeBlankField specifies whether to remove a blank field.  If blank fields are removed, this command shifts remaining fields up one line.

Syntax

MergeBlankField (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to remove a blank field.

0	Leave!

1	Remove!


Route...

Tools, Merge, Merge, Options, select an option from the If Empty Field in Data File pop-up list.


For Example...

To remove a blank field, the command is:

MergeBlankField

(

State: Remove!

)


MergeCode

Purpose

MergeCode inserts a merge code into the current document.

Syntax

MergeCode (Codes: Numeric Equivalent or Enumerated Type; String: Character Expression)

Parameters

Codes: Numeric Equivalent or Enumerated Type

Specifies a merge code to insert.

0	Beep!

1	Break!

2	CancelOff!

3	CancelOn!

4	Continue!

5	Date!

6	Default!

7	DisplayStop!

8	Else!

9	EndSwitch!

10	EndField!

11	EndFor!

12	EndIf!

13	EndRecord!

14	EndWhile!

15	Next!

16	NextRecord!

17	PageOff!

18	PageOn!

19	Print!

20	Quit!

21	ProcessOn!

22	Return!

23	ReturnCancel!

24	ReturnError!

25	Rewrite!

26	StepOff!

27	StepOn!

28	Stop!

29	ProcessOff!

48	Assign!

50	Call!

52	Caps!

54	Switch!

56	CaseOf!

58	ChainMacro!

60	ChainData!

62	ChainForm!

64	Char!

66	Codes!

68	Comment!

70	CtoN!

72	Document!

74	EmbedMacro!

76	Field!

78	FieldNames!

80	FirstCap!

82	For!

84	ForEach!

86	GetString!

88	Go!

90	If!

92	IfBlank!

94	IfExists!

96	IfNotBlank!

98	Insert!

100	Keyboard!

102	Label!

104	AssignLocal!

106	Look!

108	MrgCmnd!

110	NestData!

112	NestForm!

114	NestMacro!

116	NtoC!

118	OnCancel!

120	OnError!

122	Prompt!

124	StatusPrompt!

126	StrLen!

128	StrPos!

130	SubstData!

132	SubstForm!

134	SubStr!

136	System!

138	ToLower!

140	ToUpper!

142	Variable!

144	Wait!

146	While!

148	PostNet!

String: Character Expression (optional)

Specifies field parameters if needed.


Route...

Select the Merge Codes button on the Merge Feature Bar.  The Merge Feature Bar is activated when a merge form file or data file is opened.


For Example...

To insert a FieldNames! code with name, address and telephone fields, the command is:

MergeCode

(

Codes: FieldNames!;

String: "name; address; city/state/zip; phone"

)


MergeCodesDisplayEdit

Purpose

MergeCodesDisplayEdit hides or shows merge codes, or displays them as markers.

Syntax

MergeCodesDisplayEdit (Display: Numeric Equivalent or Enumerated Type)

Parameters

Display: Numeric Equivalent or Enumerated Type

Specifies whether to show merge codes or display them as markers.

0	Hide!

1	Show!

2	Marker!

See Also

MergeCodesDisplayRun


Route...

Select the Options button on the Merge feature bar.  The Merge feature bar is activated when a merge form file or data file is opened.


For Example...

To hide merge codes, the command is:

MergeCodesDisplayEdit

(

Display: Hide!

)


MergeCodesDisplayRun

Purpose

MergeCodesDisplayRun hides or shows merge codes, or displays them as markers in a merged document.

Syntax

MergeCodesDisplayRun (Display: Numeric Equivalent or Enumerated Type)

Parameters

Display: Numeric Equivalent or Enumerated Type

Specifies whether to show merge codes or display them as markers.

0	Hide!

1	Show!

2	Marker!

See Also

MergeCodesDisplayEdit


Route...

Tools, Merge, Merge, Options, select an option from the Display Options pop-up list.


For Example...

To show merge codes, the command is:

MergeCodesDisplayRun

(

Display: Show!

)


MergeCodesDlg

Purpose

MergeCodesDlg displays the Insert Merge Codes dialog box.

This command is not recordable.  You must type it into a macro.

Syntax

MergeCodesDlg ()


MergeCondition

Purpose

MergeCondition defines a condition for selecting records from a data file.

Syntax

MergeCondition (Condition1: Character Expression; Condition2: Character Expression; ... Condition15: Character Expression)

Parameters

Condition1, Condition2, ... Condition15: Character Expression

Specifies a condition for record selection.


Route...

Tools, Merge, Merge, specify a form file and a data file, Select Records, Specify Conditions, specify fields and conditions.


For Example...

To select all records that match the following condition set: 1) COMPANY = WordPerfect; (2) TITLE = Regional Manager; (3) STATE = CA, the command is:

MergeCondition

(

Condition1: "COMPANY";

Condition2: "TITLE";

Condition3: "STATE";

Condition4: "WordPerfect";

Condition5: "Regional Manager";

Condition6: "CA"

)


MergeDataFile

Purpose

MergeDataFile specifies the data file to associate with a specified form file.

Syntax

MergeDataFile (DataFile: Character Expression)

Parameters

DataFile: Character Expression (optional)

Specifies a data file.


Route...

Tools, Merge, Form, specify a data file.


For Example...

To associate a data file named MYLIST, the command is:

MergeDataFile

(

DataFile: "MYLIST"

)


MergeDlg

Purpose

MergeDlg displays the Merge dialog box.

This command is not recordable.  You must type it into a macro.

Syntax

MergeDlg ()


*** DELETED TOPIC ***


MergeEndField

Purpose

MergeEndField inserts an End Field merge code (ENDFIELD) at the insertion point.

This command is not recordable.  You must type it into a macro.  For a recordable command that serves the same function, use MergeCode.

Syntax

MergeEndField ()

See Also

MergeCode


MergeEndRecord

Purpose

MergeEndRecord inserts an End Record merge code (ENDRECORD) at the insertion point.

This command is not recordable.  You must type it into a macro.  For a recordable command that serves the same function, use MergeCode.

Syntax

MergeEndRecord ()

See Also

MergeCode


MergeEnvelope

Purpose

MergeEnvelope specifies whether to create an envelope for merged records.

Syntax

MergeEnvelope (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to create an envelope for merged records.

0	Off!

1	On!


Route...

Tools, Merge, Merge, Envelopes.


For Example...

To create a merge envelope, the command is:

MergeEnvelope

(

State: On!

)


MergeEnvelopeDefinitionBegin

Purpose

MergeEnvelopeDefinitionBegin is the opening command of the MergeEnvelopeDefinitionBegin-MergeEnvelopeDefinitionEnd statement; this statement contains address information.

This command is not recordable.  You must type it into a macro.

Syntax

MergeEnvelopeDefinitionBegin ()

See Also

MergeEnvelope


*** DELETED TOPIC ***


MergeEnvelopeDefinitionEnd

Purpose

MergeEnvelopeDefinitionEnd is the closing command of a MergeEnvelopeDefinitionBegin-MergeEnvelopeDefinitionEnd statement; this statement contains address information.

This command is not recordable.  You must type it into a macro.

Syntax

MergeEnvelopeDefinitionEnd ()

See Also

MergeEnvelope


*** DELETED TOPIC ***


MergeFileAssociate

Purpose

MergeFileAssociate associates primary and secondary files.

Syntax

MergeFileAssociate (FormFile: Character Expression; DataFile: Character Expression)

Parameters

FormFile: Character Expression

Specifies a form file.

DataFile: Character Expression (optional)

Specifies a data file.


Route...

Tools, Merge, Merge, specify a form file and a data file.


For Example...

To associate DOC1 and DOC2, the command is:

MergeFileAssociate

(

FormFile: "C:\WP60\DOC1";

DataFile: "C:\WP60\DOC2"

)


MergeFilesDlg

Purpose

MergeFilesDlg displays the Perform Merge dialog box.

This command is not recordable.  You must type it into a macro.

Syntax

MergeFilesDlg()


*** DELETED TOPIC ***


MergeFileType

Purpose

MergeFileType specifies file type to merge.

Syntax

MergeFileType (FileType: Numeric Equivalent or Enumerated Type)

Parameters

FileType: Numeric Equivalent or Enumerated Type

0	None!

1	Form!

2	TableData!

4	TextData!


Route...

Tools, Merge, Form or Data.


For Example...

To merge a form file, the command is:

MergeFileType

(

FileType: Form!

)


MergeFormDlg

Purpose

MergeFormDlg displays the Create Merge File dialog box.

This command is not recordable.  You must type it into a macro.

Syntax

MergeFormDlg ()


*** DELETED TOPIC ***


MergeMark

Purpose

MergeMark marks a record to include in a merge.

Syntax

MergeMark (RecordNum: Numeric Expression)

Parameters

RecordNum: Numeric Expression

Specifies a record number to mark for merging.


Route...

Tools, Merge, Merge, Select Records, Mark Records, mark records.


For Example...

To mark record 5 in a merge, the command is:

MergeMark

(

RecordNum: 5

)


MergePageBreak

Purpose

MergePageBreak specifies whether to separate merged documents with a page break.

Syntax

MergePageBreak (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type)

0	Off!

1	On!


Route...

Tools, Merge, Merge button, Options button, Separate Each Merged Document with a Page Break.


For Example...

To separate merged documents with a page break, the command is:

MergePageBreak

(

State: On!

)


MergePrintText

Purpose

MergePrintText sends a secondary merge file form to a printer.

Syntax

MergePrintText ()

See Also

MergeFileType


Route...

From the Merge feature bar: Options, Print.  The Merge feature bar is activated when a merge form file or data file is opened.


MergeRepeat

Purpose

MergeRepeat sets the number of times to merge each record.

Syntax

MergeRepeat (NumberToRepeat: Numeric Expression)

Parameters

NumberToRepeat: Numeric Expression

Specifies how many times to merge each data record.


Route...

Tools, Merge, Merge, Options, specify a number.


For Example...

To merge a data record 3 times, the command is:

MergeRepeat

(

NumberToRepeat: 3

)


MergeRun

Purpose

MergeRun merges a form file and a data file.

Syntax

MergeRun (FormFileType: Numeric Equivalent or Enumerated Type; FormFile: Character Expression; DataFileType: Numeric Equivalent or Enumerated Type; DataFile: Character Expression; OutputFileType: Numeric Equivalent or Enumerated Type; OutputFile: Character Expression)

Parameters

FormFileType: Numeric Equivalent or Enumerated Type

Specifies a form file type.

0	Current!

1	Clipboard!

2	FormFile!

FormFile: Character Expression

Specifies a form file.

DataFileType: Numeric Equivalent or Enumerated Type

Specifies a data file type.

0	NoData!

1	Clipboard!

2	DataFile!

DataFile: Character Expression

Specifies a data file.

OutputFileType: Numeric Equivalent or Enumerated Type

Specifies where to send merged output.

0	ToCurrentDoc!

1	ToNewDoc!

2	ToFile!

3	ToPrinter!

OutputFile: Character Expression (optional)

Specifies the file where to send merge output when ToFile! is specified in the OutputFileType parameter.


Route...

Tools, Merge, Merge, specify a form filename, and a data filename, select an option from the Output File pop-up list.


For Example...

To merge a form file named C:\WPWIN60\FORM and a data file named C:\WPWIN60\DATA, and to create a new document to contain the output, the command is:

MergeRun

(

FormFileType: FormFile!;

FormFile: "C:\WPWIN60\FORM";

DataFileType: DataFile!;

DataFile: "C:\WPWIN60\DATA";

OutputFileType: ToNewDoc!

)


MergeSelect

Purpose

MergeSelect identifies records to merge.

Syntax

MergeSelect (SelectType: Numeric Equivalent or Enumerated Type; Begin: Numeric Expression; End: Numeric Expression)

Parameters

SelectType: Numeric Equivalent or Enumerated Type

Specifies records to merge.

0	All!

1	Marked!

2	Range!

Begin: Numeric Expression

Specifies the low end of a range.

End: Numeric Expression

Specifies the high end of a range.

See Also

MergeMark


Route...

Tools, Merge, Merge, specify files, Select Records, select options.


For Example...

To merge records 10 through 50, the command is:

MergeSelect

(

SelectType: Range!;

Begin: 10;

End: 50

)


MergeTableDataDlg

Purpose

MergeTableDataDlg displays the Create Data File dialog box.

This command is not recordable.  You must type it into a macro.

Syntax

MergeTableDataDlg ()


*** DELETED TOPIC ***


MergeTextDataDlg

Purpose

MergeTextDataDlg displays the Create Merge File dialog box.

This command is not recordable.  You must type it into a macro.

Syntax

MergeTextDataDlg ()


*** DELETED TOPIC ***


MinusSign

Purpose

MinusSign is the same as pressing the minus sign or hyphen.

Syntax

MinusSign ()


Route...

Press the minus sign or hyphen key.


MoveModeEnd

Purpose

MoveModeEnd is the closing command for moving text.

This command is not recordable.  You must type it into a macro.

Syntax

MoveModeEnd ()


NewHFWOccurrence

Purpose

NewHFWOccurrence specifies where to display headers, footers, and watermarks.

Syntax

NewHFWOccurrence (Occurrence: Numeric Equivalent or Enumerated Type)

Parameters

Occurrence: Numeric Equivalent or Enumerated Type

0	NoPages!

1	OddPages!

2	EvenPages!

3	AllPages!


Route...

Layout, Header/Footer or Watermark, Create or Edit, Placement button, select an option.


For Example...

To display a header on every page, the command is:

NewHFWOccurrence

(

Occurrence: AllPages!

)


NumberingOptionDlg

Purpose

NumberingOptionDlg displays the Page Numbering Options dialog box.

You must type this command into a macro.  It is not recordable.

Syntax

NumberingOptionDlg ()


*** DELETED TOPIC ***


OLEAcceptLinks

Purpose

OLEAcceptLinks accepts a link updated or initialized between server and client applications.

Syntax

OLEAcceptLinks ()

See Also

OLEInitializeLinks

OLEUpdateLink


Route...

Edit, Links, select a link, Update Now.


OLECancelLink

Purpose

OLECancelLink cancels a link to an object.

Syntax

OLECancelLink (LinkName: Character Expression)

Parameters

LinkName: Character Expression

Specifies the link name.


Route...

Edit, Links, select a link, Cancel Link.


For Example...

To delete the link to object PBRUSH.BMP, the command is:

OLECancelLink

(

LinkName: "PBRUSH.BMP"

)


OLECancelLinks

Purpose

OLECancelLinks cancels a link updated or initialized between server and client applications.

Syntax

OLECancelLinks ()


Route...

Edit, Links, Cancel.


OLEChangeLink

Purpose

OLEChangeLink changes the file in a link.

Syntax

OLEChangeLink (ObjectName: Character Expression; Filename: Character Expression)

Parameters

ObjectName: Character Expression

Specifies an object name.

Filename: Character Expression

Specifies the name of the replacement file.


Route...

Edit, Links, select a link, Change Link, select a new object.


For Example...

To specify a new linked file, the command is:

OLEChangeLink

(

ObjectName: "WPWIN60[0]";

Filename: "C:\WINDOWS\PBRUSH.BMP"

)


OLEInitializeLinks

Purpose

OLEInitializeLinks reinitializes a link with its server application.

This command records when you create, update, change, or perform any function on a link.

Syntax

OLEInitializeLinks ()

See Also

OLEAcceptLinks

OLEChangeLink

OLEUpdateLink


Route...

Edit, Links, select option.


OLEInsertDlg

Purpose

OLEInsertDlg displays the Insert Object dialog box.

Syntax

OLEInsertDlg ()


Route...

Insert, Object.


OLEInsertObject

Purpose

OLEInsertObject specifies the name of a program to insert an object into.

Syntax

OLEInsertObject (ObjectType: Character Expression)

Parameters

ObjectType: Character Expression

Specifies the name of a program.


Route...

Insert, Object.


For Example...

To specify the Paintbrush program, the command is:

OLEInsertObject

(

ObjectType: "Paintbrush Picture"

)


OLELinksDlg

Purpose

OLELinksDlg displays the OLELinks dialog box.

Syntax

OLELinksDlg ()


Route...

Edit, Links.


OLEPasteDlg

Purpose

OLEPasteDlg displays the Paste Special dialog box.

Syntax

OLEPasteDlg ()


Route...

Edit, Paste Special.


OLESetLinkUpdate

Purpose

OLESetLinkUpdate specifies how to update a linked object.

Syntax

OLESetLinkUpdate (ObjectName: Character Expression; UpdateType: Numeric Equivalent or Enumerated Type)

Parameters

ObjectName: Character Expression

Specifies a link name.

UpdateType: Numeric Equivalent or Enumerated Type

1	UpdateAlways!

2	UpdateManually!


Route...

Edit, Links, Automatic or Manual, OK.


For Example...

To automatically update a link named Project, command is:

OLESetLinkUpdate

(

ObjectName: "Project";

UpdateType: UpdateAlways!

)


OLEUpdateLink

Purpose

OLEUpdateLink updates a specified link.

Syntax

OLEUpdateLink (LinkName: Character Expression)

Parameters

LinkName: Character Expression

Specifies the name of a link to update.


Route...

Edit, Links, Update Now.


For Example...

To update the link WPWin60[0] the command is:

OLEUpdateLink

(

LinkName: "WPWin60[0]"

)


OutlineBarDisplay

Purpose

OutlineBarDisplay shows or hides the Outline feature bar.

This command is not recordable.  You must type it into a macro.  For a recordable command that serves the same function, use ViewOutline or OutlineOff.

Syntax

OutlineBarDisplay (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether Outline Bar display is on or off.\

0	Off!

1	On!

See Also

OutlineOff

ViewOutline


For Example...

To turn on the Outline feature bar, the command is:

OutlineBarDisplay

(

State: On!

)


OutlineBarSetup

Purpose

OutlineBarSetup specifies whether to turn on the outline bar.

This command is not recordable.  You must type it into a macro.

Syntax

OutlineBarSetup (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to display the outline bar.

0	Off!

1	On!


For Example...

To turn on the Outline bar, the command is:

OutlineBarSetup

(

State: On!

)


OutlineBeginNew

Purpose

OutlineBeginNew begins a new outline in a specified style.

Syntax

OutlineBeginNew (Style: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies a style for a new outline.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

See Also

OutlineEnd


Route...

Tools, Outline, Options, Define Outline, Start New Outline.


For Example...

To create a bullets style outline, the command is:

OutlineBeginNew

(

Style: BulletsOutlnStyle!

)


OutlineBodyText

Purpose

OutlineBodyText hides or shows outline body text.  When no parameter is specified, the command is a toggle.

This command is not recordable.  You must type it into a macro.

Syntax

OutlineBodyText (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to show outline body text.

0	ShowBodyText!

1	HideBodyText!

See Also

OutlineHideShowingBodyText


For Example...

To hide outline body text, the command is:

OutlineBodyText

(

State: HideBodyText!

)


OutlineBodyTextToggle

Purpose

OutlineBodyTextToggle toggles selected text between an outline and body text.

Syntax

OutlineBodyTextToggle ()

See Also

OutlineChangeToBodyText


Route...

Tools, Outline, click the Body Text icon on the Outline feature bar.


OutlineChangeToBodyText

Purpose

OutlineChangeToBodyText changes selected text from an outline to body text.

This command is not recordable.  You must type it into a macro.  For a recordable command, use OutlineBodyTextToggle.

Syntax

OutlineChangeToBodyText ()

See Also

OutlineBodyText

OutlineParagraphNumber


*** DELETED TOPIC ***


OutlineDefineDlg

Purpose

OutlineDefineDlg displays the Outline Define dialog box.

Syntax

OutlineDefineDlg ()


Route...

Tools, Outline, Options button, Define Outline.


OutlineDown

Purpose

OutlineDown blocks the next outline paragraph.  After blocking each paragraph of an outline family, OutlineDown blocks the entire family.

This command is not recordable.  You must type it into a macro.

Syntax

OutlineDown ()

See Also

OutlineUp


OutlineEnd

Purpose

OutlineEnd turns off outline.

Syntax

OutlineEnd ()

See Also

OutlineBeginNew


Route...

Tools, Outline, Options, End Outline.


OutlineFamilyCopy

Purpose

OutlineFamilyCopy copies an outline family and adjusts the numbering in the outline when the family is retrieved.

This command is not recordable.  You must type it into a macro.

Syntax

OutlineFamilyCopy ()

See Also

MoveModeEnd

OutlineFamilyCut

OutlineFamilyMove

OutlineFamilySelect


OutlineFamilyCut

Purpose

OutlineFamilyCut deletes an outline family and adjusts the numbering in the outline.

This command is not recordable.  You must type it into a macro.

Syntax

OutlineFamilyCut ()

See Also

OutlineFamilyCopy

OutlineFamilyMove

OutlineFamilySelect


OutlineFamilyDemote

Purpose

OutlineFamilyDemote adjusts an outline family to the next level.

This command is not recordable.  You must type it into a macro.

Syntax

OutlineFamilyDemote ()


OutlineFamilyDown

Purpose

OutlineFamilyDown moves the insertion point to the end of the next outline family.  In Edit Outline Mode, this command blocks the next outline family.

This command is not recordable.  You must type it into a macro.

Syntax

OutlineFamilyDown ()

See Also

OutlineFamilyUp


OutlineFamilyDragDown

Purpose

OutlineFamilyDragDown positions a selected outline family below the next family and adjusts the numbering in Edit in Outline Mode.

You must type this command into a macro.  It is not recordable. For a recordable equivalent, use OutlineParagraphDragDown.

Syntax

OutlineFamilyDragDown ()

See Also

OutlineFamilySelect

OutlineFamilyUp

OutlineParagraphDragDown


Route...

Tools, Outline, Down Arrow button.


OutlineFamilyDragUp

Purpose

OutlineFamilyDragUp moves a selected outline family above the previous family.

You must type this command into a macro.  It is not recordable. For a recordable equivalent, use OutlineParagraphDragUp.

Syntax

OutlineFamilyDragUp ()

See Also

OutlineFamilyDragDown

OutlineFamilySelect

OutlineParagraphDragUp


Route...

Tools, Outline, Up Arrow button.


OutlineFamilyHide

Purpose

OutlineFamilyHide hides the current outline family.

Syntax

OutlineFamilyHide (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to display an outline family.

0	ShowBodyText!

1	HideBodyText!

See Also

OutlineFamilySelect

OutlineFamilyShow


Route...

Tools, Outline, Hide Family button (-).


For Example...

To hide an outline family, the command is:

OutlineFamilyHide

(

State: HideBodyText!

)


OutlineFamilyLeft

Purpose

OutlineFamilyLeft moves the insertion point from one outline paragraph to the previous outline paragraph.

This command is not recordable.  You must type it into a macro.

Syntax

OutlineFamilyLeft ()

See Also

OutlineFamilyRight


OutlineFamilyMove

Purpose

OutlineFamilyMove moves an outline family.

This command is not recordable.  You must type it into a macro.

Syntax

OutlineFamilyMove ()

See Also

MoveModeEnd

OutlineFamilyCopy

OutlineFamilyCut

OutlineFamilySelect


OutlineFamilyPromote

Purpose

OutlineFamilyPromote adjusts an outline family to the previous level in Edit in Outline Mode.

This command is not recordable.  You must type it into a macro.

Syntax

OutlineFamilyPromote ()

See Also

OutlineFamilyDemote

OutlineFamilySelect


OutlineFamilyRight

Purpose

OutlineFamilyRight moves the insertion point from one outline paragraph to the next outline paragraph.

This command is not recordable.  You must type it into a macro.

Syntax

OutlineFamilyRight ()

See Also

OutlineFamilyLeft


OutlineFamilySelect

Purpose

OutlineFamilySelect selects an outline family.

This command is not recordable.  You must type it into a macro.

Syntax

OutlineFamilySelect ()

See Also

OutlineParagraphSelect


OutlineFamilyShow

Purpose

OutlineFamilyShow displays a hidden outline family.

Syntax

OutlineFamilyShow (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to display a hidden outline family.

0	ShowBodyText!

1	HideBodyText!

See Also

OutlineFamilyHide


Route...

Tools, Outline, Show Family button (+) on Feature Bar.


For Example...

To show a hidden outline family, the command is:

OutlineFamilyShow

(

State: ShowBodyText!

)


OutlineFamilyUp

Purpose

OutlineFamilyUp moves the insertion point to the beginning of the previous outline family.  With Select Mode on, this command blocks the previous outline family.

This command is not recordable.  You must type it into a macro.

Syntax

OutlineFamilyUp ()

See Also

OutlineFamilyDown


OutlineHideShowingBodyText

Purpose

OutlineHideShowingBodyText hides an outline but displays body text.

This command is not recordable.  You must type it into a macro.

Syntax

OutlineHideShowingBodyText ()

See Also

OutlineBodyText


OutlineNumberDlg

Purpose

OutlineNumberDlg displays the Set Paragraph Number dialog box.

Syntax

OutlineNumberDlg ()


Route...

Tools, Outline, Options button, Set Number.


OutlineOff

Purpose

OutlineOff closes the Outline feature bar.

Syntax

OutlineOff ()


Route...

Tools, Outline, Close button.


OutlineParagraphCopy

Purpose

OutlineParagraphCopy copies an outline paragraph.

This command is not recordable.  You must type it into a macro.

Syntax

OutlineParagraphCopy ()

See Also

MoveModeEnd

OutlineParagraphDelete

OutlineParagraphMove

OutlineParagraphSelect


OutlineParagraphDelete

Purpose

OutlineParagraphDelete deletes an outline paragraph.

This command is not recordable.  You must type it into a macro.

Syntax

OutlineParagraphDelete ()

See Also

MoveModeEnd

OutlineParagraphCopy

OutlineParagraphMove

OutlineParagraphSelect


OutlineParagraphDemote

Purpose

OutlineParagraphDemote adjusts an outline paragraph to the next level.

Syntax

OutlineParagraphDemote ()

See Also

OutlineParagraphPromote

OutlineParagraphSelect


Route...

Tools, Outline, Right Arrow button.


OutlineParagraphDragUp

Purpose

OutlineParagraphDragUp positions an outline paragraph above the previous paragraph and adjusts the numbering.

Syntax

OutlineParagraphDragUp ()

See Also

OutlineParagraphDragDown

OutlineParagraphSelect


Route...

Tools, Outline, Up Arrow button.


OutlineParagraphDragDown

Purpose

OutlineParagraphDragDown positions an outline paragraph below the next paragraph and adjusts the numbering.

Syntax

OutlineParagraphDragDown ()

See Also

OutlineFamilyDragDown

OutlineParagraphDragUp

OutlineParagraphSelect


Route...

Tools, Outline, Down Arrow button.


OutlineParagraphMove

Purpose

OutlineParagraphMove moves an outline paragraph.

This command is not recordable.  You must type it into a macro.

Syntax

OutlineParagraphMove ()

See Also

MoveModeEnd

OutlineParagraphCopy

OutlineParagraphDelete

OutlineParagraphSelect


OutlineParagraphNumber

Purpose

OutlineParagraphNumber specifies an outline paragraph level.  If the Level parameter is not specified, the current number is inserted.

Syntax

OutlineParagraphNumber (Level: Numeric Expression)

Parameters

Level: Numeric Expression

Specifies an outline paragraph level.  Values range from 1 to 8.


Route...

Tools, Outline, Options button, Change Level, specify level.


For Example...

To adjust an outline paragraph to level 3, the command is:

OutlineParagraphNumber

(

Level: 3

)


OutlineParagraphPromote

Purpose

OutlineParagraphPromote adjusts an outline paragraph to the previous level.

Syntax

OutlineParagraphPromote ()

See Also

OutlineParagraphDemote

OutlineParagraphSelect


Route...

Tools, Outline, Right Arrow button.


OutlineParagraphSelect

Purpose

OutlineParagraphSelect selects an outline paragraph.

This command is not recordable.  You must type it into a macro.

Syntax

OutlineParagraphSelect ()

See Also

OutlineFamilySelect


OutlineRight

Purpose

OutlineRight blocks the next outline family, with Select on in Outline mode.  When repeated, the command unblocks the family and, with each repetition, blocks successive outline paragraphs until reaching the next family.

This command is not recordable.  You must type it into a macro.

Syntax

OutlineRight ()

See Also

OutlineUp


OutlineSetParagraphNumber

Purpose

OutlineSetParagraphNumber sets the number for an outline paragraph.

Syntax

OutlineSetParagraphNumber (WordString: Character Expression)

Parameters

WordString: Character Expression

Specifies an outline paragraph setting number.


Route...

Tools, Outline, Options button, Set Number, enter a number or character.


For Example...

To set an outline paragraph number as 5, the command is:

OutlineSetParagraphNumber

(

WordString: "5"

)


OutlineShow

Purpose

OutlineShow specifies the lowest outline level to show and whether to show body text.

Syntax

OutlineShow (Level: Numeric Expression; State: Numeric Equivalent or Enumerated Type)

Parameters

Level: Numeric Expression

Specifies the lowest outline level to show.  Values range from 1 to 8.

State: Numeric Equivalent or Enumerated Type

 	Specifies whether to display outline body text.

0	ShowBodyText!

1	HideBodyText!

See Also

OutlineBodyText

OutlineHideShowingBodyText


Route...

Tools, Outline, select Show button (1-8 or all).


For Example...

To show outline levels 1 through 3 and hide the body text, the command is:

OutlineShow

(

Level: 3;

State: HideBodyText!

)


OutlineStyleCopy

Purpose

OutlineStyleCopy copies an outline style.

Syntax

OutlineStyleCopy (Style: Numeric Equivalent or Enumerated Type; Source: Numeric Equivalent or Enumerated Type; Destination: Numeric Equivalent or Enumerated Type; NewName: Character Expression)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies a style to copy.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_20utlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

Source: Numeric Equivalent or Enumerated Type

Specifies the source of a specified style.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

Destination: Numeric Equivalent or Enumerated Type

Specifies a destination to copy a style to.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

NewName: Character Expression (optional)

Specifies a new style name.

See Also

OutlineStyleDelete

OutlineStyleRetrieve

OutlineStyleSave

OutlineStyleSelect


Route...

Tools, Outline, Options, Define Outline, select an outline, Options, Copy, select option.


For Example...

To copy NormalStyle! from the current document to a Personal Library, the command is:

OutlineStyleCopy

(

Style: NormalStyle!;

Source: CurrentDoc!;

Destination: PersonalLibrary!;

NewName: "My Style"

)


OutlineStyleCreate

Purpose

OutlineStyleCreate creates, names, and saves an outline style.

Syntax

OutlineStyleCreate (Style: Character Expression; Library: Numeric Equivalent or Enumerated Type)

Parameters

Style: Character Expression

Specifies a new outline style.

Library: Numeric Equivalent or Enumerated Type (Optional)

Specifies the library of a new outline style.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

OutlineBeginNew

OutlineStyleDelete

OutlineStyleEditEnd


Route...

Tools, Outline, Options button, Define Outline, Create.


For Example...

To create an outline style named My Style and save it in the Shared Library, the command is:

OutlineStyleCreate

(

Style: "My Style";

Library: SharedLibrary!

)


OutlineStyleDelete

Purpose

OutlineStyleDelete deletes an outline style.

Syntax

OutlineStyleDelete (Style: Numeric Equivalent or Enumerated Type; Library: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies a style to delete.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_20utlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

Library: Numeric Equivalent or Enumerated Type

Specifies where to delete an outline style.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

OutlineStyleCopy

OutlineStyleRetrieve

OutlineStyleSave

OutlineStyleSelect


Route...

Tools, Outline, Options, select an Outline style, Options, Delete.


For Example...

To delete Newstyle from the current document, the command is:

OutlineStyleDelete

(

Style: "Newstyle";

Library: CurrentDoc!

)


OutlineStyleDescription

Purpose

OutlineStyleDescription describes an outline style.

Syntax

OutlineStyleDescription (Description: Character Expression)

Parameters

Description: Character Expression

Specifies a description for an outline style.

See Also

OutlineStyleEditBegin

OutlineStyleEditEnd


Route...

Tools, Outline, Options button, Define Outline, select an outline, Edit, Description, type description.


For Example...

To describe an outline style as Table of Contents Format, the command is:

OutlineStyleDescription

(

Description: "Table of Contents Format"

)


OutlineStyleEditBegin

Purpose

OutlineStyleEditBegin is the opening command of an OutlineStyleEditBegin-OutlineStyleEditEnd statement.

Syntax

OutlineStyleEditBegin (Style: Numeric Equivalent or Enumerated Type; Library: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies an outline style to edit.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	InitialCodesStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

Library: Numeric Equivalent or Enumerated Type

Specifies the library of an outline style.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

OutlineStyleEditEnd


Route...

Tools, Outline, Options button, Define Outline, select a style, Edit.


For Example...

To edit an outline style named Bullets in the current document, the command is:

OutlineStyleEditBegin

(

Style: BulletsOutInStyle!;

Library: CurrentDoc!

)


OutlineStyleEditEnd

Purpose

OutlineStyleEditEnd is the closing command of an OutlineStyleEditBegin-OutlineStyleEditEnd statement.

Syntax

OutlineStyleEditEnd (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to save outline style changes.

0	Cancel!

1	Save!

See Also

OutlineStyleEditBegin


Route...

Tools, Outline, Options button, Define Outline, select a style, Edit.


For Example...

To save outline style changes, the command is:

OutlineStyleEditEnd

(

State: Save!

)


OutlineStyleLevel

Purpose

OutlineStyleLevel specifies an outline level and a style for that level.

Syntax

OutlineStyleLevel (Level: Numeric Expression; Style: Numeric Equivalent or Enumerated Type)

Parameters

Level: Numeric Expression

Specifies an outline level. Values range from 1 to 8.

Style: Numeric Equivalent or Enumerated Type

Specifies an outline style for a selected level.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	InitialCodesStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!


Route...

Tools, Outline, Options button, Define Outline, select a style, Edit, select a level, select an associated style.


For Example...

To apply a style named Heading 1 to outline level 3, the command is:

OutlineStyleLevel

(

Level: 3;

Style: Heading1Style!

)


OutlineStyleNumberFormat

Purpose

OutlineStyleNumberFormat specifies the numbering format for each level of a selected outline style.

Syntax

OutlineStyleNumberFormat (Level: Numeric Expression; Format: Character Expression)

Parameters

Level: Numeric Expression

Specifies an outline level. Values range from 1 to 8.

Format: Character Expression

Specifies the numbering format for each outline level.  Select a system format or enter a character expression specifying the format.

See Also

OutlineStyleNumbersOnly


Route...

Tools, Outline, Options button, Define Outline, select a style, Edit, select a level, Custom Number, enter or choose a number format from the pop-up list.


For Example...

To specify paragraph numbering style for level 1, the command is:

OutlineStyleNumberFormat

(

Level: 1;

Format: "1."

)


OutlineStyleNumbersOnly

Purpose

OutlineStyleNumbersOnly specifies whether to apply the Numbers Only format to a selected outline.

Syntax

OutlineStyleNumbersOnly (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to define level styles or use the Numbers Only format.

0	No!

1	Yes!

See Also

OutlineStyleEditBegin

OutlineStyleEditEnd

OutlineStyleNumberFormat


Route...

Tools, Outline, Options button, Define Outline, select a style, Edit, Options, Numbers Only.


For Example...

To specify the Numbers Only format, the command is:

OutlineStyleNumbersOnly

(

State: Yes!

)


OutlineStyleRename

Purpose

OutlineStyleRename renames a user-defined outline style.

Syntax

OutlineStyleRename (Name: Character Expression)

Parameters

Name: Character Expression

Specifies a new name for a user-defined outline style.

See Also

OutlineStyleEditBegin

OutlineStyleEditEnd


Route...

Tools, Outline, Options, Define Outline, select a user-defined style, Edit, Name, type a new name.


For Example...

After selecting a user-defined outline style, to rename the style My Style, the command is:

OutlineStyleRename

(

Name: "My Style"

)


OutlineStyleRetrieve

Purpose

OutlineStyleRetrieve retrieves outline styles from the current document or a specified file.

Syntax

OutlineStyleRetrieve (Filename: Character Expression; Type: Numeric Equivalent or Enumerated Type; Library: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Specifies the name of a file to retrieve outline styles from.

Type: Numeric Equivalent or Enumerated Type

Specifies which outline styles to retrieve.

1	UserStyles!

2	SystemStyles!

3	AllStyles!

Library: Numeric Equivalent or Enumerated Type

Specifies where to retrieve outline styles.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

OutlineStyleCopy

OutlineStyleDelete

OutlineStyleSave

OutlineStyleSelect


Route...

Tools, Outline, Options, select an outline style, Options, Retrieve, type a filename.


For Example...

To retrieve outline styles from the file MYSTYLE into the current document, the command is:

OutlineStyleRetrieve

(

Filename: "MYSTYLE";

Type: AllStyles!;

Library: CurrentDoc!

)


OutlineStyleSave

Purpose

OutlineStyleSave saves an outline style.

Syntax

OutlineStyleSave (Filename: Character Expression; Type: Numeric Equivalent or Enumerated Type; Library: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Specifies the name of a file to save outline styles to.

Type: Numeric Equivalent or Enumerated Type

Specifies which styles to save.

1	UserStyles!

2	SystemStyles!

3	AllStyles!

Library: Numeric Equivalent or Enumerated Type

Specifies the location of the outline styles to save.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

OutlineStyleCopy

OutlineStyleDelete

OutlineStyleRetrieve

OutlineStyleSelect


Route...

Tools, Outline, Options, select an outline style, Options, Save As, enter a filename.


For Example...

To save all outline styles in the current document to the file NEWSTYLE.WPT, the command is:

OutlineStyleSave

(

Filename: "NEWSTYLE.WPT";

Type: AllStyles!;

Library: CurrentDoc!

)


OutlineStyleSelect

Purpose

OutlineStyleSelect selects a specified outline style.

Syntax

OutlineStyleSelect (Style: Numeric Equivalent or Enumerated Type or Character Expression)

Parameters

Style: Numeric Equivalent or Enumerated Type or Character Expression

Specify a style, or a user-defined style as a character expression.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_20utlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

See Also

OutlineStyleCopy

OutlineStyleDelete

OutlineStyleRetrieve

OutlineStyleSave


Route...

Tools, Outline, Options button, Define Outline, select style.


For Example...

To select HeadingsOutlnStyle!, the command is:

OutlineStyleSelect

(

Style: HeadingsOutlnStyle!

)


OutlineUp

Purpose

OutlineUp blocks the previous outline paragraph.  After blocking each paragraph of an outline family, OutlineUp blocks the entire family.

This command is not recordable.  You must type it into a macro.

Syntax

OutlineUp ()

See Also

OutlineDown


OutputOption

Purpose

OutputOption specifies a printer output type.

Syntax

OutputOption (OutputType: Numeric Equivalent or Enumerated Type; BinsToMark: Numeric Expression)

Parameters

OutputType: Numeric Equivalent or Enumerated Type

Specifies the type of output from a printer.

1	OutputToSort!

2	OutputToPutGroup!

16	OutputToBins!

64	OutputPutNone!

BinsToMark: Numeric Expression (Optional)

Specifies output bins to mark.

See Also

OutputOptionsSetOffsetJogger


Route...

File, Print, Options, select options.


For Example...

To sort output into bins 1 and 2, the command is:

OutputOption

(

OutputType: OutputToSort!;

BinsToMark: 1, 2

)


OutputOptionsSetOffsetJogger

Purpose

OutputOptionsSetOffsetJogger specifies whether Jogger is selected in the Output Bin Options dialog box.

Syntax

OutputOptionsSetOffsetJogger (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether Jogger is active.

8	JoggerOn!

10	JoggerOff!


Route...

File, Print, Options, Output Bin Options, select or deselect Jogger.


For Example...

To turn on Offset Jogger, the command is:

OutputOptionsSetOffsetJogger

(

State: JoggerOn!

)


OverstrikeCreate

Purpose

OverstrikeCreate creates an overstrike.

Syntax

OverstrikeCreate (OvrStrkStrg: Character Expression)

Parameters

OvrStrkStrg: Character Expression

Specifies two or more characters to create an overstrike character.

See Also

OverstrikeCreateDlg

OverstrikeEdit

?Overstrike


Route...

Layout, Typesetting, Overstrike, enter overstrike characters.


For Example...

To overstrike characters = and \, the command is:

OverstrikeCreate

(

OvrStrkStrg: "=\"

)


OverstrikeCreateDlg

Purpose

OverstrikeCreateDlg displays the Overstrike dialog box.

Syntax

OverstrikeCreateDlg ()

See Also

OverstrikeCreate

OverstrikeEdit


Route...

Layout, Typesetting, Overstrike.


OverstrikeEdit

Purpose

OverstrikeEdit edits the first overstrike to the right of the insertion point.  The edited overstrike is replaced by the text in the OvrStrkStrg parameter.

Syntax

OverstrikeEdit (OvrStrkStrg: Character Expression)

Parameters

OvrStrkStrg: Character Expression

Specifies new overstrike characters.

See Also

OverstrikeCreate

OverstrikeCreateDlg


Route...

Layout, Typesetting, Overstrike, Next, edit overstrike characters.


For Example...

To replace an existing overstrike with characters x, y, and z, the command is:

OverstrikeEdit

(

OvrStrkStrg: "xyz"

)


PageBorderDlg

Purpose

PageBorderDlg displays the Page Border dialog box.

Syntax

PageBorderDlg ()

See Also

?PageBorder


Route...

Layout, Page, Border/Fill.


PageNumber

Purpose

PageNumber specifies a new page number for the current page.

Syntax

PageNumber (Page: Numeric Expression)

Parameters

Page: Numeric Expression

Specifies a new number for the current page.


Route...

Layout, Page, Numbering, Value, specify a new page number.


For Example...

To change the number of a page to 5, the command is:

PageNumber

(

Page: 5

)


PageNumberDecrement

Purpose

PageNumberDecrement decreases the current page number by one.

Syntax

PageNumberDecrement ()

See Also

PageNumberIncrement


Route...

Layout, Page, Numbering, Value, specify a negative number in the Increase/Decrease Existing Page Number entry box.


PageNumberDisplay

Purpose

PageNumberDisplay displays a page number in the current document window at the insertion point.

Syntax

PageNumberDisplay ()


Route...

Layout, Page, Numbering, Value, select Insert and Display at Insertion Point in the group box.


PageNumberDisplayFormat

Purpose

PageNumberDisplayFormat displays a formatted page number in the current document window.

Syntax

PageNumberDisplayFormat ()

See Also

PageNumberFormat


Route...

Layout, Page, Numbering, Options, select Insert Format and Accompanying Text at Insertion Point.


PageNumberFormat

Purpose

PageNumberFormat specifies a page number format including text, volume or chapter numbers, or secondary page numbers.

Syntax

PageNumberFormat (Format: Character Expression)

Parameters

Format: Character Expression

Specifies a page number format.

See Also

PageNumberDisplayFormat


Route...

Layout, Page, Numbering, Options, select an option from the Insert pop-up list.


For Example...

To format page numbers as Page n (n being the number), the command is:

PageNumberFormat

(

Format: "Page [page #]"

)


PageNumberIncrement

Purpose

PageNumberIncrement increases the current page number by one.

Syntax

PageNumberIncrement ()

See Also

PageNumberDecrement


Route...

Layout, Page, Numbering, Value, specify a positive number in the Increase/Decrease Existing Page Number entry box.


PageNumberingDlg

Purpose

PageNumberingDlg displays the Page Numbering dialog box.

Syntax

PageNumberingDlg ()


Route...

Layout, Page, Numbering.


PageNumberMethod

Purpose

PageNumberMethod specifies a page numbering method.

Syntax

PageNumberMethod (Method: Numeric Equivalent or Enumerated Type)

Parameters

Method: Numeric Equivalent or Enumerated Type

Specifies a page numbering method.

0	Numbers!

1	LowerLetters!

2	UpperLetters!

3	LowerRoman!

4	UpperRoman!

See Also

?PageNumberMethod

?ParagraphNumberMethod


Route...

Layout, Page, Numbering, Options, select an option from the Page: Numbers pop-up list.


For Example...

To specify uppercase roman numerals as the page numbering method, the command is:

PageNumberMethod

(

Method: UpperRoman!

)


PageNumberPosition

Purpose

PageNumberPosition specifies the position and appearance of page numbering.

Syntax

PageNumberPosition (Position: Numeric Equivalent or Enumerated Type; Default: Numeric Equivalent or Enumerated Type; Font: Character Expression; FontSize: Numeric Expression; Red: Numeric Expression; Green: Numeric Expression; Blue: Numeric Expression; Shade: Numeric Expression; {Attributes: Numeric Equivalent or Enumerated Type})

Parameters

Position: Numeric Equivalent or Enumerated Type

Specifies where to print a page number.

0	None!

1	TopLeft!

2	TopCenter!

3	TopRight!

4	TopAlternating!

5	BottomLeft!

6	BottomCenter!

7	BottomRight!

8	BottomAlternating!

Default: Numeric Equivalent or Enumerated Type

Specifies whether the page numbering font uses the initial document font.

0	UseDefaultValues!

1	DontUseDefaultValues!

Font: Character Expression (optional)

Specifies a page numbering font. Use this parameter only if the Default parameter is set to DontUseDefaultValues! or 1.

FontSize: Measurement Expression (optional)

Specifies the point size of the page numbering font.  Use this parameter if the Default parameter is set to DontUseDefaultValues! or 1.

Red: Numeric Expression (optional)

Specifies the amount of red in a color.  Values range from 0 to 255.  Use this parameter only if the Default parameter is set to DontUseDefaultValues! or 1.

Green: Numeric Expression (optional)

Specifies the amount of green in a color.  Values range from 0 to 255.  Use this parameter only if the Default parameter is set to DontUseDefaultValues! or 1.

Blue: Numeric Expression (optional)

Specifies the amount of blue in a color.  Values range from 0 to 255.  Use this parameter only if the Default parameter is set to DontUseDefaultValues! or 1.

Shade: Numeric Expression (optional)

Specifies the shading percentage of a color.  Values range from 0 to 100. Use this parameter only if the Default parameter is set to DontUseDefaultValues! or 1.

Attributes: Numeric Equivalent or Enumerated Type (optional)

Specifies font attributes and relative size.  Enclose multiple attributes in braces ({}) separated by semicolons.

0	ExtraLarge!

1	VeryLarge!

2	Large!

3	Small!

4	Fine!

5	Superscript!

6	Subscript!

7	Outline!

8	Italics!

9	Shadow!

10	Redline!

11	DoubleUnderline!

12	Bold!

13	Strikeout!

14	Underline!

15	SmallCaps!

16	Every!

See Also

?PageNumberPosition


Route...

Layout, Page, Numbering, select an option from the Position pop-up list, Font, select options.


For Example...

To position page numbers at the bottom center of each page in a small, italicized, bold font, the command is:

PageNumberPosition

(

Position: BottomCenter!;

Default: DontUseDefaultValues!;

Font: "Courier";

FontSize: 12;

Red: 0;

Green: 0;

Blue: 255;

Shade: 0;

Attributes: {Small!; Italics!; Bold!}

)


PageNumberSettingsDlg

Purpose

PageNumberSettingsDlg displays the Numbering Value dialog box.

This command is not recordable.  You must type it into a macro.

Syntax

PageNumberSettingsDlg ()


*** DELETED TOPIC ***


PageSuppressDlg

Purpose

PageSuppressDlg displays the Suppress dialog box.

Syntax

PageSuppressDlg ()

See Also

?PageSuppress


Route...

Layout, Page, Suppress.


PageZoomFull

Purpose

PageZoomFull displays a full view of the current page.

This command is not recordable.  You must type it into a macro.

Syntax

PageZoomFull ()

See Also

DisplayZoom


*** DELETED TOPIC ***


PaneNext

Purpose

PaneNext moves focus to the next pane in the equation editor.

This command is not recordable.  You must type it into a macro.

Syntax

PaneNext ()


PanePrevious

Purpose

PanePrevious moves focus to the previous pane in the equation editor.

This command is not recordable.  You must type it into a macro.

Syntax

PanePrevious ()


PaperSizeAdd

Purpose

PaperSizeAdd creates a Paper Size/Type definition for the Paper Size dialog box.

Syntax

PaperSizeAdd (Name: Character Expression; Width: Measurement Expression; Length: Measurement Expression; WidthAdjust: Measurement Expression; LengthAdjust: Measurement Expression; Flags: Numeric Equivalent or Enumerated Type; Location: Numeric Equivalent or Enumerated Type; Type: Numeric Equivalent or Enumerated Type; Use: Numeric Equivalent or Enumerated Type; ReturnAddressHoriz: Numeric Expression; ReturnAddressVert: Numeric Expression; MailingAddressHoriz: Numeric Expression; MailingAddressVert: Numeric Expression)

Parameters

Name: Character Expression

Specifies a paper type name if the Type parameter is Other!.

Width: Measurement Expression

Specifies page width.

Length: Measurement Expression

Specifies page length.

WidthAdjust: Measurement Expression

Adjusts page contents left or right with a positive or negative value.

LengthAdjust: Measurement Expression

Adjust page contents to up or down with a positive or negative value.

Flags: Numeric Equivalent or Enumerated Type

Specifies orientation.

1	Portrait!

2	Landscape!

4	PrimaryForm!

8	FormCurrentlyLoaded!

9	PortraitLoaded!

10	LandscapeLoaded!

13	PortraitPrimaryLoaded!

14	LandscapePrimaryLoaded!

Location: Numeric Equivalent or Enumerated Type

Specifies how paper is fed to a printer.

0	Continuous!

32	Manual!

Type: Numeric Equivalent or Enumerated Type

Specifies a paper type.

0	AllOthers!

1	Standard!

2	Bond!

3	Letterhead!

4	Labels!

5	Envelope!

6	Transparency!

7	Cardstock!

8	Glossy!

9	ClayBased!

255	Other!

Use: Numeric Equivalent or Enumerated Type

0	None!

1	US!

2	Europe!

4	Latin_America!

8	Japan!

ReturnAddressHoriz: Numeric Expression

Specifies the return address horizontal position if the Type parameter is Envelope!.

ReturnAddressVert: Numeric Expression

Specifies the return address vertical position if the Type parameter is Envelope!.

MailingAddressHoriz: Numeric Expression

Specifies the mailing address horizontal position if the Type parameter is Envelope!.

MailingAddressVert: Numeric Expression

Specifies the mailing address vertical position if the Type parameter is Envelope!.

See Also

PaperSizeDelete

PaperSizeResave

?PaperSizeType


Route...

Layout, Page, Paper Size, Create, type a Paper Name and specify Size, Paper Location, Orientation, and Text Adjustment options.


For Example...

To add a paper size/type named New Size, the command is:

PaperSizeAdd

(

Name: "New Size";

Width: 8.5";

Length: 11";

WidthAdjust: .25";

LengthAdjust: .2";

Flags: Portrait!;

Location: Continuous!;

Type: Standard!;

Use: None!;

ReturnAddressHoriz: 0.0";

ReturnAddressVert: 0.0";

MailingAddressHoriz: 0.0";

MailingAddressVert: 0.0"

)


PaperSizeDelete

Purpose

PaperSizeDelete deletes a specified Paper Size/Type definition.

Syntax

PaperSizeDelete (Name: Character Expression)

Parameters

Name: Character Expression

Specifies a paper size to delete.

See Also

PaperSizeAdd

PaperSizeDlg


Route...

Layout, Page, Paper Size, select a paper definition, Delete.


For Example...

To delete a paper size named Newsize, the command is:

PaperSizeDelete

(

Name: "Newsize"

)


PaperSizeDlg

Purpose

PaperSizeDlg displays the Paper Size dialog box.

Syntax

PaperSizeDlg ()

See Also

PaperSizeAdd

PaperSizeDelete

?PaperSizeType


Route...

Layout, Page, Paper Size.


PaperSizeResave

Purpose

PaperSizeResave edits and saves a Paper Size/Type definition for the Paper Size dialog box.

Syntax

PaperSizeResave (OldName: Character Expression; NewName: Character Expression; Width: Measurement Expression; Length: Measurement Expression; WidthAdjust: Measurement Expression; LengthAdjust: Measurement Expression; Flags: Numeric Equivalent or Enumerated Type; Location: Numeric Equivalent or Enumerated Type; Type: Numeric Equivalent or Enumerated Type; Use: Numeric Equivalent or Enumerated Type; ReturnAddressHoriz: Numeric Expression; ReturnAddressVert: Numeric Expression; MailingAddressHoriz: Numeric Expression; MailingAddressVert: Numeric Expression)

Parameters

OldName: Character Expression

Specifies the old paper type name.

NewName: Character Expression

Specifies the new paper type name.

Width: Measurement Expression

Specifies page width.

Length: Measurement Expression

Specifies page length.

WidthAdjust: Measurement Expression

Adjusts page contents left or right with a positive or negative value to this parameter.

LengthAdjust: Measurement Expression

Adjust page contents to up or down with a positive or negative value to this parameter.

Flags: Numeric Equivalent or Enumerated Type

Specifies orientation.

1	Portrait!

2	Landscape!

4	PrimaryForm!

8	FormCurrentlyLoaded!

9	PortraitLoaded!

10	LandscapeLoaded!

13	PortraitPrimaryLoaded!

14	LandscapePrimaryLoaded!

Location: Numeric Equivalent or Enumerated Type

Specifies how paper is fed to a printer.

0	Continuous!

32	Manual!

Type: Numeric Equivalent or Enumerated Type

Specifies a paper type.

0	AllOthers!

1	Standard!

2	Bond!

3	Letterhead!

4	Labels!

5	Envelope!

6	Transparency!

7	Cardstock!

8	Glossy!

9	ClayBased!

255	Other!

Use: Numeric Equivalent or Enumerated Type

0	None!

1	US!

2	Europe!

4	Latin_America!

8	Japan!

ReturnAddressHoriz: Numeric Expression

Specifies the return address horizontal position if the Type parameter is Envelope!.

ReturnAddressVert: Numeric Expression

Specifies the return address vertical position if the Type parameter is Envelope!.

MailingAddressHoriz: Numeric Expression

Specifies the mailing address horizontal position if the Type parameter is Envelope!.

MailingAddressVert: Numeric Expression

Specifies the mailing address vertical position if the Type parameter is Envelope!.

See Also

PaperSizeAdd

PaperSizeDelete


Route...

Layout, Page, PaperSize, select a paper definition, Edit, specify changes.


For Example...

To resave a paper size, the command is:

PaperSizeResave

(

OldName: "Letter";

NewName: "Letter Special";

Width: 8.5";

Length: 11";

WidthAdjust: 0.0";

LengthAdjust: 0.0";

Flags: PortraitPrimaryLoaded!;

Location: Continuous!;

Type: Letterhead!;

Use: None!

ReturnAddressHoriz: 0.0";

ReturnAddressVert: 0.0";

MailingAddressHoriz: 0.0";

MailingAddressVert: 0.0"

)


PaperSizeSelect

Purpose

PaperSizeSelect specifies a paper size for the current document.

Syntax

PaperSizeSelect (Name: Character Expression; Width: Numeric Expression; Height: Numeric Expression; Type: Numeric Equivalent or Enumerated Type)

Parameters

Name: Character Expression

Specifies the name of a paper definition.

Width: Numeric Expression

Specifies a paper width.

Height: Numeric Expression

Specifies a paper height.

Type: Numeric Equivalent or Enumerated Type

Specifies a paper type.

1	Standard!

2	Bond!

3	Letterhead!

4	Labels!

5	Envelope!

6	Transparency!

7	Cardstock!

8	Glossy!

9	ClayBased!

255	Other!

See Also

PaperSizeAdd

PaperSizeDelete


Route...

Layout, Page, Paper Size, select a paper definition, Select.


For Example...

To select B5 Landscape paper, the command is:

PaperSizeSelect

(

Name: "B5 Landscape";

Width: 7.1658";

Height: 10.1183";

Type: Other!

)


ParagraphBorderDlg

Purpose

ParagraphBorderDlg displays the Paragraph Border dialog box.

Syntax

ParagraphBorderDlg ()

See Also

?ParagraphBorder


Route...

Layout, Paragraph, Border\Fill.


ParagraphDown

Purpose

ParagraphDown moves the insertion point to the beginning of the next paragraph (marked by a hard return [HRt] or a hard page break [HPg]).

This command is not recordable.  You must type it into a macro.  For a recordable command that serves the same function, use PosParagraphNext.

Syntax

ParagraphDown ()

See Also

PosParagraphNext

PosParagraphPrevious

ParagraphUp


ParagraphFormatDlg

Purpose

ParagraphFormatDlg displays the Paragraph Format dialog box.

Syntax

ParagraphFormatDlg ()


Route...

Layout, Paragraph, Format.


ParagraphHangingIndent

Purpose

ParagraphHangingIndent aligns the first line of a paragraph with the left margin and indents the remaining lines to the next tab stop.

Syntax

ParagraphHangingIndent ()


Route...

Layout, Paragraph, Hanging Indent.


ParagraphNumberDefDlg

Purpose

ParagraphNumberDefDlg displays the Change Outline Level dialog box.

Syntax

ParagraphNumberDefDlg ()


Route...

Tools, Outline, Options, Change Level.


ParagraphSpacing

Purpose

ParagraphSpacing specifies the spacing of a Hard Return [Hrt], or the spacing between paragraphs.  The default spacing is equal to the font point size plus 2 points.

Syntax

ParagraphSpacing (AmtSpc: Numeric Expression)

Parameters

AmtSpc: Numeric Expression

Specifies spacing between paragraphs.  The default is 1.0.

See Also

?SpacingBelowPar


Route...

Layout, Paragraph, Format, specify a number in the Spacing Between Paragraphs entry box.


For Example...

To specify a spacing of 1.2 between paragraphs, the command is:

ParagraphSpacing

(

AmtSpc: AmtSpc: 1.2

)


ParagraphUp

Purpose

ParagraphUp moves the insertion point to the beginning of the previous paragraph (marked by a hard return [HRt] or a hard page break [HPg]).

This command is not recordable.  You must type it into a macro.  For a recordable command that serves the same function, use PosParagraphPrevious.

Syntax

ParagraphUp ()

See Also

PosParagraphPrevious

PosParagraphNext

ParagraphDown


PasteLink

Purpose

PasteLink inserts an object from the Clipboard into the current document, creating a link with the server application used to create the object.

Syntax

PasteLink (FormatName: Character Expression; FormatId: Numeric Expression; LinkType: Numeric Equivalent or Enumerated Type)

Parameters

FormatName: Character Expression

Specifies the format of the linked object.

FormatId: Numeric Expression

Specifies an identification number for the format of the linked object.  This number will vary according to the state of WordPerfect.

LinkType: Numeric Equivalent or Enumerated Type

Specifies whether to create a DDE link or an OLE link.

1	Dde!

2	Ole!


Route...

When the Clipboard contains an object created in another application, choose Edit, Paste Special, Paste Link.


For Example...

When the Clipboard contains a Paintbrush object, to link the object to the current WordPerfect document the command is:

PasteLink

(

FormatName: "P";

FormatId: 50585;

LinkType: Ole!

)


PasteSpecial

Purpose

PasteSpecial specifies a data type when copying Clipboard contents into a document.

This command must be followed by EditPaste.

Syntax

PasteSpecial (PasteType: Numeric Equivalent or Enumerated Type)

Parameters

PasteType: Numeric Equivalent or Enumerated Type

Specifies a data type.

0	OnlySelection!

1	OnlyText!

2	OnlyFunctions!

See Also

EditPaste


Route...

When the Clipboard is not empty, choose Edit, Paste Special, select a data type Paste.


For Example...

To paste Clipboard contents when the Clipboard contains unformatted text, the command is:

PasteSpecial

(

PasteType: OnlyText!

)

EditPaste

(

ClipboardFormat: "U";

FormatId: 1;

LinkType: DDE!

)	)


PauseCommand

Purpose

PauseCommand pauses macro execution until a specified command is encountered.

You must type this command into a macro.  It is not recordable.

Syntax

PauseCommand (Token: Macro Command)

Parameters

Token: Macro Command

Specifies a macro command which pauses macro execution.


For Example...

To pause macro execution until Enter is pressed,  the command is:

PauseCommand

(

Token: HardReturn

)


PauseKey

Purpose

PauseKey pauses a macro until a specified key or character is pressed.

Syntax

PauseKey (Key: Numeric Equivalent or Enumerated Type; Character: Character Expression)

Parameters

Key: Numeric Equivalent or Enumerated Type

Specifies a key to resuem macro execution.  The default is Enter!.

0	Enter!

1	Cancel!

2	Close!

3	Character!

4	Any!

Character: Character Expression

Specifies a case-sensitive character that resumes macro execution when pressed.  The Key parameter must be Character!.


Route...

While recording a macro, choose Tools, Macro, Pause.


For Example...

To resume macro execution when Enter is pressed, the command is:

PauseKey

(

Key: Enter!

)


PauseSet

Purpose

PauseSet specifies a macro command to resume a paused macro.

This command is not recordable.  You must type it into a macro.

Syntax

PauseSet (Token: Macro Token)

Parameters

Token: Macro Token

Specifies a macro token (command) to resume a paused macro.  The macro token usually represents a keystroke.


For Example...

To pause a macro until the Page Up key is pressed, the command is:

PauseSet

(

Token: PosScreenUp

)


PosCellDown

Purpose

PosCellDown moves the insertion point down one row in the current table.

This command is not recordable.  You must type it into a macro.  For a recordable command with the same function, use PosTableCellDown.

Syntax

PosCellDown ()

See Also

PosCellNext

PosCellPrevious

PosCellUp

PosTableCellDown


PosCellNext

Purpose

PosCellNext moves the insertion point one character to the right in the current table.

This command is not recordable.  You must type it into a macro.  For a recordable command with the same function, use PosCharNext.

Syntax

PosCellNext ()

See Also

PosCellDown

PosCellPrevious

PosCellUp

PosCharNext


PosCellPrevious

Purpose

PosCellPrevious moves the insertion point one character to the left in the current table.

This command is not recordable.  You must type it into a macro.  For a recordable command with the same function, use PosCharPrevious.

Syntax

PosCellPrevious ()

See Also

PosCellDown

PosCellNext

PosCellUp

PosCharPrevious


PosCellUp

Purpose

PosCellUp moves the insertion point up one row in the current table.

This command is not recordable.  You must type it into a macro.  For a recordable command with the same function, use PosTableCellUp.

Syntax

PosCellUp ()

See Also

PosCellDown

PosCellNext

PosCellPrevious


PosCharacter

Purpose

PosCharacter searches forward and moves the insertion point after a specified character.  This command is case sensitive.

This command is not recordable.  You must type it into a macro.

This command only searches forward 2000 characters.

Syntax

PosCharacter (CharToMoveTo: Character Expression)

Parameters

CharToMoveTo: Character Expression

Specifies a single search character.


For Example...

To position the insertion point after the first C to the right of the insertion point, the command is:

PosCharacter

(

CharToMoveTo: "C"

)


PosCharNext

Purpose

PosCharNext moves the insertion point one character to the right.

Syntax

PosCharNext ()


Route...

Press Right Arrow.


PosCharPrevious

Purpose

PosCharPrevious moves the insertion point one character to the left.

Syntax

PosCharPrevious ()


Route...

Press Left Arrow.


PosColBottom

Purpose

PosColBottom moves the insertion point to the beginning of the last line of a current column.  If the insertion point is not in columns, this command moves the insertion point to the beginning of the last line of the current page.

Syntax

PosColBottom ()


Route...

Edit, Go To, Bottom of Column.


PosColFirst

Purpose

PosColFirst moves the insertion point to the left margin in the first column.  If the insertion point is not in columns, this command moves the insertion point to the beginning of the current line.

Syntax

PosColFirst ()


Route...

Edit, Go To, First Column.


PosColLast

Purpose

PosColLast moves the insertion point to the last column of the current row.  If the insertion point is not in columns, this command moves the insertion point to the beginning of the current line.

Syntax

PosColLast ()


Route...

Edit, Go To, Last Column.


PosColNext

Purpose

PosColNext moves the insertion point one column to the right.  This command has no effect if the insertion point is not in columns.

Syntax

PosColNext ()


Route...

Edit, Go To, Next Column.


PosColPrevious

Purpose

PosColPrevious moves the insertion point one column to the left. If the insertion point is not in columns, this command has no effect.

Syntax

PosColPrevious ()


Route...

Edit, Go To, Previous Column.


PosColTop

Purpose

PosColTop moves the insertion point to the top of the current column.  If the insertion point is not in columns, this command moves the insertion point to the beginning of the previous line.

Syntax

PosColTop ()


Route...

Edit, Go To, Top of Column.


PosDocBottom

Purpose

PosDocBottom moves the insertion point to the end of the current document.

Syntax

PosDocBottom ()


Route...

Press Ctrl+End.


PosDocTop

Purpose

PosDocTop moves the insertion point to the beginning of document text.

Syntax

PosDocTop ()


Route...

Press Ctrl+Home.


PosDocVeryTop

Purpose

PosDocVeryTop moves the insertion point to the beginning of a document before codes.

Syntax

PosDocVeryTop ()


Route...

Press Ctrl+Home, Ctrl+Home.


PosFunction

Purpose

PosFunction moves the insertion point to the right of the next occurrence of the code specified in the Function parameter.

This command is not recordable.  You must type it into a macro.

Syntax

PosFunction (Function: Numeric Equivalent or Enumerated Type)

Parameters

Function: Numeric Equivalent or Enumerated Type

Specifies a code.

129	HardSpace!

132	HardHyphen!

144	CancelHyphenation!

204	HardEndOfLine!

207	SoftEndOfLine!

224	Tab!

See Also

PosCharacter


For Example...

To move the insertion point to the right of a Hard Space, the command is:

PosFunction

(

Function: HardSpace!

)


PosGoPrevious

Purpose

PosGoPrevious moves the insertion point to its previous position.

Syntax

PosGoPrevious ()


Route...

Edit, Go To, Last Position.


PosGoToDlg

Purpose

PosGoToDlg displays the Go To dialog box.

Syntax

PosGoToDlg ()


Route...

Edit, Go To.


PosLineBeg

Purpose

PosLineBeg moves the insertion point to the beginning of the current line of text.

Syntax

PosLineBeg ()


Route...

Press Home.


PosLineDown

Purpose

PosLineDown moves the insertion point down one line.

Syntax

PosLineDown ()


Route...

Press Down Arrow.


PosLineEnd

Purpose

PosLineEnd moves the insertion point to the end of the current line of text.

Syntax

PosLineEnd ()


Route...

Press End.


PosLineUp

Purpose

PosLineUp moves the insertion point up one line.

Syntax

PosLineUp ()


Route...

Press Up Arrow.


PosLineVeryBeg

Purpose

PosLineVeryBeg moves the insertion point to the beginning of a line before codes.

Syntax

PosLineVeryBeg ()


Route...

Press Home, Home.


PosLineVeryEnd

Purpose

PosLineVeryEnd mover the insertion point to the end of a line after codes (with the exception of end of line codes).

Syntax

PosLineVeryEnd ()


Route...

Press End, End.


PosPage

Purpose

PosPage moves the insertion point to a specified page.

Syntax

PosPage (Volume: Numeric Expression or Numeric Equivalent or Enumerated Type; Chapter: Numeric Expression or Numeric Equivalent or Enumerated Type; Page: Numeric Expression; Direction: Numeric Equivalent or Enumerated Type)

Parameters

Volume: Numeric Expression or Numeric Equivalent or Enumerated Type

Specifies a volume number.  Use the numeric equivalent or enumerated type if no volume number is needed.

0	NoneSpecified!

Chapter: Numeric Expression or Numeric Equivalent or Enumerated Type

Specifies a chapter number.  Use the numeric equivalent or enumerated type if no chapter number is needed.

0	NoneSpecified!

Page: Numeric Expression

Specifies a page number.

Direction: Numeric Equivalent or Enumerated Type (optional)

Specifies whether the page is up or down.

0	Down!

1	Up!


Route...

Edit, Go To, specify a page number.


For Example...

To position the insertion point at page three of chapter two in volume one, the command is:

PosPage

(

Volume: 1;

Chapter: 2;

Page: 3;

Direction: Up!

)


PosPageBottom

Purpose

PosPageBottom moves the insertion point to the bottom of the current page.

Syntax

PosPageBottom ()


Route...

Edit, Go To, Bottom of Current Page.


PosPageNext

Purpose

PosPageNext moves the insertion point to the beginning of the next page.  If the insertion point is on the last page of the document, this command moves the insertion point to the end of the page.

Syntax

PosPageNext ()


Route...

Press Alt+Page Down.


PosPagePrevious

Purpose

PosPagePrevious moves the insertion point to the beginning of the previous page.  If the insertion point is on the first page of the document, this command moves the insertion point to the top of that page.

Syntax

PosPagePrevious ()


Route...

Press Alt+Page Up.


PosPageTop

Purpose

PosPageTop moves the insertion point to the top of the current page.

Syntax

PosPageTop ()


Route...

Press Alt+Home.


PosParagraphNext

Purpose

PosParagraphNext moves the insertion point to the beginning of the next paragraph.

Syntax

PosParagraphNext ()

See Also

PosParagraphPrevious


Route...

Press Ctrl+Down Arrow.


PosParagraphPrevious

Purpose

PosParagraphPrevious moves the insertion point to the beginning of the current paragraph.  If the insertion point is at the beginning of a paragraph, this command moves the insertion point to the beginning of the previous paragraph.

Syntax

PosParagraphPrevious ()

See Also

PosParagraphNext


Route...

Press Ctrl+Up Arrow.


PosScreenDown

Purpose

PosScreenDown moves the insertion point to the bottom of the screen, then moves the insertion point down one screen at a time with each repetition of the command.

Syntax

PosScreenDown ()


Route...

Press Page Down.


PosScreenLeft

Purpose

PosScreenLeft moves the insertion point to the left edge of the screen, then moves the insertion point to the left one screen at a time with each repetition of the command.

This command is not recordable.  You must type it into a macro.

Syntax

PosScreenLeft ()

See Also

SelectScreenLeft


PosScreenRight

Purpose

PosScreenRight moves the insertion point to the right edge of the screen, then moves the insertion point to the right one screen at a time with each repetition of the command.

This command is not recordable.  You must type it into a macro.

Syntax

PosScreenRight ()

See Also

SelectScreenRight


PosScreenUp

Purpose

PosScreenUp moves the insertion point to the top of the screen, then moves the insertion point up one screen at a time with each repetition of the command.

Syntax

PosScreenUp ()


Route...

Press Page Up.


PosSelectBottom

Purpose

PosSelectBottom moves the insertion point to the end (bottom) of the selected text.

Syntax

PosSelectBottom ()


Route...

Edit, Go To, End of Selection.


PosSelectTop

Purpose

PosSelectTop moves the insertion point to the beginning of the selected text.

Syntax

PosSelectTop ()


Route...

Edit, Go To, Beginning of Selection.


PosTableBegin

Purpose

PosTableBegin moves the insertion point to the first cell of a table.

If the insertion point is not in a table, this command ends the macro or redirects it to the LABEL specified by ONERROR.

Syntax

PosTableBegin ()

See Also

PosTableEnd


Route...

Edit, Go To, Position, First Cell.


PosTableBlockBeg

Purpose

PosTableBlockBeg moves the insertion point to the first cell of a selection in a table.

If the insertion point is not in a table, this command ends the macro or redirects it to the LABEL specified by ONERROR.

Syntax

PosTableBlockBeg ()


Route...

Edit, Go To, Position, Beginning of Selection.


PosTableCell

Purpose

PosTableCell moves the insertion point to the cell specified in the Cell parameter.

Syntax

PosTableCell (Cell: Character Expression)

Parameters

Cell: Character Expression

Specifies a table and table cell to move the insertion point to.


Route...

Edit, Go To, Table, specify a table, Cell/Range, specify a cell.


For Example...

To position the insertion point in cell B3 of Table A, the command is:

PosTableCell

(

Cell: "Table A.B3"

)


PosTableCellBottom

Purpose

PosTableCellBottom moves the insertion point to the beginning of the last line in a table cell.

If the insertion point is not in a table, this command ends the macro or redirects it to the LABEL specified by ONERROR.

Syntax

PosTableCellBottom ()


Route...

Edit, Go To, Position, select Bottom of Cell.


PosTableCellDown

Purpose

PosTableCellDown moves the insertion point down one cell in a table.

If the insertion point is not in a table, this command ends the macro or redirects it to the LABEL specified by ONERROR.

Syntax

PosTableCellDown ()


Route...

Edit, Go To, Position, Next Row.


PosTableCellNext

Purpose

PosTableCellNext moves the insertion point one cell to the right.

If the insertion point is in the far-right cell, the insertion point moves to the first cell in the next row.  If the insertion point is not in a table, this command ends the macro or redirects it to the LABEL specified by ONERROR.

Syntax

PosTableCellNext ()


Route...

Edit, Go To, Position, Next Column.


PosTableCellPrevious

Purpose

PosTableCellPrevious moves the insertion point one cell to the left.

If the insertion point is in the far-left cell, the insertion point moves to the last cell on the previous row.  If the insertion point is not in a table, this command ends the macro or redirects it to the LABEL specified by ONERROR.

Syntax

PosTableCellPrevious ()


Route...

Edit, Go To, Position, Previous Column.


PosTableCellTop

Purpose

PosTableCellTop moves the insertion point to the top of the current table cell.

If the insertion point is not in a table, this command ends the macro or redirects it to the LABEL specified by ONERROR.

Syntax

PosTableCellTop ()


Route...

Edit, Go To, Position, Top of Cell.


PosTableCellUp

Purpose

PosTableCellUp moves the insertion point up one table cell.

If the insertion point is not in a table, this command ends the macro or redirects it to the LABEL specified by ONERROR.

Syntax

PosTableCellUp ()


Route...

Edit, Go To, Position, Previous Row.


PosTableColBottom

Purpose

PosTableColBottom moves the insertion point to the bottom of the current column.

If the insertion point is not in a table, this command ends the macro or redirects it to the LABEL specified by ONERROR.

Syntax

PosTableColBottom ()


Route...

Edit, Go To, Position, Bottom of Column


PosTableColumnTop

Purpose

PosTableColumnTop moves the insertion point to the top of the current column.

If the insertion point is not in a table, this command ends the macro or redirects it to the LABEL specified by ONERROR.

Syntax

PosTableColumnTop ()


Route...

Edit, Go To, Position, Top of Column.


PosTableEnd

Purpose

PosTableEnd moves the insertion point to the last cell of the current table.

Syntax

PosTableEnd ()

See Also

PosTableBegin

PosTableRowBegin

PosTableRowEnd


Route...

Edit, Go To, Position, Last Cell.


PosTableGoPrevious

Purpose

PosTableGoPrevious returns the insertion point to its previous position in a table.

This command is not recordable.  You must type it into a macro.

If the insertion point is not in a table, this command ends the macro or redirects it to the LABEL specified by ONERROR.

Syntax

PosTableGoPrevious ()


PosTableRowBegin

Purpose

PosTableRowBegin moves the insertion point to the first cell of a current row.

If the insertion point is not in a table, this command ends the macro or redirects it to the LABEL specified by ONERROR.

Syntax

PosTableRowBegin ()

See Also

PosTableEnd


Route...

Edit, Go To, Position, First Column.


PosTableRowEnd

Purpose

PosTableRowEnd moves the insertion point to the last cell of the current row.

If the insertion point is not in a table, this command ends the macro or redirects it to the LABEL specified by ONERROR.

Syntax

PosTableRowEnd ()

See Also

PosTableEnd


Route...

Edit, Go To, Position, Last Column.


PosTableScreenDown

Purpose

PosTableScreenDown moves the insertion point to the bottom edge of the screen in the current table, and one screen down with each repetition of the command.

This command is not recordable.  You must type it into a macro.

If the insertion point is not in a table, this command terminates the macro or redirects its execution to the LABEL specified by ONERROR.

Syntax

PosTableScreenDown ()

See Also

PosTableScreenLeft

PosTableScreenRight

PosTableScreenUp


PosTableScreenLeft

Purpose

PosTableScreenLeft moves the insertion point to the left edge of the screen in the current table, and left one screen at a time with each repetition of the command.

This command is not recordable.  You must type it into a macro.

If the insertion point is not in a table, this command terminates the macro or redirects its execution to the LABEL specified by ONERROR.

Syntax

PosTableScreenLeft ()

See Also

PosTableScreenDown

PosTableScreenRight

PosTableScreenUp


PosTableScreenRight

Purpose

PosTableScreenRight moves the insertion point to the right edge of the screen in the current table, and right one screen at a time with each repetition of the command.

This command is not recordable.  You must type it into a macro.

If the insertion point is not in a table, this command terminates the macro or redirects its execution to the LABEL specified by ONERROR.

Syntax

PosTableScreenRight ()

See Also

PosTableScreenLeft

PosTableScreenUp

PosTableScreenDown


PosTableScreenUp

Purpose

PosTableScreenUp moves the insertion point to the top of the screen in the current table, and up one screen with each repetition of the command.

This command is not recordable.  You must type it into a macro.

If the insertion point is not in a table, this command terminates the macro or redirects its execution to the LABEL specified by ONERROR.

Syntax

PosTableScreenUp ()

See Also

PosTableScreenDown

PosTableScreenLeft

PosTableScreenRight


PosTableTopCellNext

Purpose

PosTableTopCellNext moves the insertion point one cell to the right.

If the insertion point is in the last cell of a table, this command creates a new table row at the bottom of the table.  If the insertion point is not in a table, this command ends the macro or redirects it to the LABEL specified by ONERROR.

Syntax

PosTableTopCellNext ()


Route...

Press Tab while the insertion point is in a table.


PosTableTopCellPrevious

Purpose

PosTableTopCellPrevious moves the insertion point one cell to the left.

If the insertion point is not in a table, this command ends the macro or redirects it to the LABEL specified by ONERROR.

Syntax

PosTableTopCellPrevious ()


Route...

Press Shift+Tab while the insertion point is in a table.


PosWordNext

Purpose

PosWordNext moves the insertion point to the beginning of the next word.

Syntax

PosWordNext ()


Route...

Press Ctrl+Right Arrow.


PosWordPrevious

Purpose

PosWordPrevious moves the insertion point to the beginning of the previous word.

Syntax

PosWordPrevious ()


Route...

Press Ctrl+Left Arrow.


PowerBarShow

Purpose

PowerBarShow specifies whether to hide or show the Power Bar. If no parameter is specified, this command acts as a toggle.

Syntax

PowerBarShow (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether Power Bar display is on or off.

0	Off!

1	On!


Route...

View, Power Bar.


For Example...

To display the Power Bar, the command is:

PowerBarShow

(

State: On!

)


PrefBackupDlg

Purpose

PrefBackupDlg displays the File Preferences dialog box with the Documents/Backup radio button selected.

You must type this command into a macro.  It is not recordable.

Syntax

PrefBackupDlg ()


*** DELETED TOPIC ***


PrefBackupPath

Purpose

PrefBackupPath specifies the document backup directory and whether to update the QuickList.

Syntax

PrefBackupPath (BackupDir: Character Expression; UpdateQuickList: Numeric Equivalent or Enumerated Type)

Parameters

BackupDir: Character Expression

Specifies the document backup directory.

UpdateQuickList: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to update the QuickList.

0	No!

1	Yes!


Route...

File, Preferences, File, Documents/Backup, specify a backup directory, select or deselect Update QuickList with Changes.


For Example...

To specify C:\WPWIN60\FILES\ as the backup directory and to update the QuickList, the command is:

PrefBackupPath

(

BackupDir: "C:\WPWIN60\FILES\";

UpdateQuickList: Yes!

)


PrefBeep

Purpose

PrefBeep specifies when the computer beeps.

Syntax

PrefBeep (Error: Numeric Equivalent or Enumerated Type; Hyphenation: Numeric Equivalent or Enumerated Type; SearchFailure: Numeric Equivalent or Enumerated Type)

Parameters

Error: Numeric Equivalent or Enumerated Type

Specifies whether a beep occurs on errors.

0	Off!

1	On!

Hyphenation: Numeric Equivalent or Enumerated Type

Specifies whether a beep occurs when the user is required to position a hyphen.

0	Off!

1	On!

SearchFailure: Numeric Equivalent or Enumerated Type

Specifies whether a beep occurs when a search fails.

0	Off!

1	On!

See Also

PrefEnvSettingsDlg

PrefSave


Route...

File, Preferences, Environment, Beep On, select options.


For Example...

To set beep options, the command is:

PrefBeep

(

Error: On!;

Hyphenation: On!;

SearchFailure: Off!

)


PrefButtonBar

Purpose

PrefButtonBar displays the Button Bar Preferences dialog box.

You must type this command into a macro.  It is not recordable.

Syntax

PrefButtonBar ()


*** DELETED TOPIC ***


PrefDisplayDlg

Purpose

PrefDisplayDlg displays the Display Preferences dialog box.

You must type this command into a macro.  It is not recordable.

Syntax

PrefDisplayDlg ()


*** DELETED TOPIC ***


PrefDisplaySet

Purpose

PrefDisplaySet changes the way features display.

Syntax

PrefDisplaySet (DefaultView: Numeric Equivalent or Enumerated Type; ShowTableGridLines: Numeric Equivalent or Enumerated Type; ShowComments: Numeric Equivalent or Enumerated Type; ShowGraphics: Numeric Equivalent or Enumerated Type; TextInSystemColors: Numeric Equivalent or Enumerated Type; ShowHiddenText: Numeric Equivalent or Enumerated Type; SculpturedDialogs: Numeric Equivalent or Enumerated Type; VerticalScrollBar: Numeric Equivalent or Enumerated Type; HorizontalScrollBar: Numeric Equivalent or Enumerated Type)

Parameters

DefaultView: Numeric Equivalent or Enumerated Type (optional)

Specifies a default view.

0	ViewDraft!

1	ViewPage!

2	ViewTwoPage!

ShowTableGridLines: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to display table grid lines.

0	No!

1	Yes!

ShowComments: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to display comments.

0	No!

1	Yes!

ShowGraphics: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to display graphics.

0	No!

1	Yes!

TextInSystemColors: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to display text with system colors.

0	No!

1	Yes!

ShowHiddenText: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to display hidden text.

0	No!

1	Yes!

SculpturedDialogs: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to display sculptured dialog boxes.

0	No!

1	Yes!

VerticalScrollBar: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to display the vertical scroll bar.

0	No!

1	Yes!

HorizontalScrollBar: Numeric Equivalent or Enumerated Type (optional)

Specifies how to display the horizontal scroll bar.

0	Hide!

1	Show!

2	WhenRequired!


Route...

File, Preferences, Display, View/Zoom, select a default view, Document, select options.


For Example...

To set display options, the command is:

PrefDisplaySet

(

DefaultView: ViewPage!;

ShowTableGridLines: No!;

ShowComments: No!;

ShowGraphics: No!;

TextInSystemColors: Yes!;

ShowHiddenText: No!;

SculpturedDialogs: Yes!;

VerticalScrollBar: No!;

HorizontalScrollBar: Show!

)


PrefDocSummary

Purpose

PrefDocSummary specifies a subject search text and default descriptive type for a document.

Syntax

PrefDocSummary (SubjectSearchText: Character Expression; DefaultDescriptiveType: Character Expression; CreateOnExit: Numeric Equivalent or Enumerated Type)

Parameters

SubjectSearchText: Character Expression (optional)

Specifies text that precedes a document's the subject line.

DefaultDescriptiveType: Character Expression (optional)

Specifies default text in the Descriptive Type entry box.

CreateOnExit: Numeric Equivalent or Enumerated Type (optional)

Specifies whether a document summary is created when documents are saved or closed.

0	No!

1	Yes!

See Also

PrefDocSummaryDlg

PrefSave


Route...

File, Preferences, Summary, specify options.


For Example...

To create Document Summary subject search text and a default description, the command is:

PrefDocSummary

(

SubjectSearchText: "Research Paper";

DefaultDescriptiveType: "WordPerfect 6.0";

CreateOnExit: Yes!

)


PrefDocSummaryDlg

Purpose

PrefDocSummaryDlg displays the Document Summary Preferences dialog box.

You must type this command into a macro.  It is not recordable.

Syntax

PrefDocSummaryDlg ()

See Also

PrefDocSummary


*** DELETED TOPIC ***


PrefEnvironment

Purpose

PrefEnvironment specifies the default environment settings.

Syntax

PrefEnvironment (UserName: Character Expression; UserInitials: Character Expression; UserColorRed: Numeric Expression; UserColorGreen: Numeric Expression; UserColorBlue: Numeric Expression; ConfirmCodeDeletion: Numeric Equivalent or Enumerated Type; ConfirmTableFormulaDeletion: Numeric Equivalent or Enumerated Type; SetQuickMarkOnSave: Numeric Equivalent or Enumerated Type; ActivateHypertext: Numeric Equivalent or Enumerated Type; FormatForDefaultPrinter: Numeric Equivalent or Enumerated Type; SaveWorkSpace: Numeric Equivalent or Enumerated Type)

Parameters

UserName: Character Expression (optional)

Specifies a user name.

UserInitials: Character Expression (optional)

Specifies a user ID.

UserColorRed: Numeric Expression (optional)

Specifies the amount of red in a user color.  Values range from 0 to 255.

UserColorGreen: Numeric Expression (optional)

Specifies the amount of green in a user color.  Values range from 0 to 255.

UserColorBlue: Numeric Expression (optional)

Specifies the amount of blue in a user color.  Values range from 0 to 255.

ConfirmCodeDeletion: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to confirm code deletion.

0	No!

1	Yes!

ConfirmTableFormulaDeletion: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to confirm table formula deletion.

0	No!

1	Yes!

SetQuickMarkOnSave: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to set a QuickMark when saving a document.

0	No!

1	Yes!

ActivateHypertext: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to activate Fast Save.

0	Off!

1	On!

FormatForDefaultPrinter: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to format documents for the default printer on retrieval.

0	No!

1	Yes!

SaveWorkSpace: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to save the current WorkSpace on exit.

0	Always!

1	Never!

2	PromptOnExit!


Route...

File, Preferences, Environment, specify options.


For Example...

To specify environment settings, the command is:

PrefEnvironment

(

UserName: "John Doe";

UserInitials: "JZD";

UserColorRed: 255;

UserColorGreen: 0;

UserColorBlue: 0;

ConfirmCodeDeletion: Yes!;

ConfirmFormulaDeletion: No!;

SetQuickMarkOnSave: No!;

ActivateHypertext: Off!;

FormatForDefaultPrinter: Yes!;

SaveWorkSpace: PromptOnExit!

)


PrefEnvSettingsDlg

Purpose

PrefEnvSettingsDlg displays the Environment Preferences dialog box.

This command is not recordable.  You must type it into a macro.

Syntax

PrefEnvSettingsDlg ()


*** DELETED TOPIC ***


PrefHyphenation

Purpose

PrefHyphenation specifies whether Hyphenation is on, and how it performs.

Syntax

PrefHyphenation (Prompt: Numeric Equivalent or Enumerated Type)

Parameters

Prompt: Numeric Equivalent or Enumerated Type

Specifies if and when to prompt for hyphen placement.

0	Always!

1	Never!

2	WhenRequired!

See Also

PrefEnvSettingsDlg

PrefSave


Route...

File, Preferences, Environment, Formatting, select a hyphenation prompt.


For Example...

To set hyphenation options, the command is:

PrefHyphenation

(

Prompt: Always!

)


PrefImportDlg

Purpose

PrefImportDlg displays the Import Preferences dialog box.

You must type this command into a macro.  It is not recordable.

Syntax

PrefImportDlg ()


*** DELETED TOPIC ***


PrefImportOptions

Purpose

PrefImportOptions specifies merge delimiters.

Syntax

PrefImportOptions (FieldDelimiters: Character Expression; RecordDelimiters: Character Expression; StripCharacter: Character Expression; EncapsulationCharacter: Character Expression)

Parameters

FieldDelimiters: Character Expression (optional)

Specifies a delimiter to separate fields.

RecordDelimiters: Character Expression (optional)

Specifies a delimiter to separate records.

StripCharacter: Character Expression (optional)

Specifies a character to strip during conversion.

EncapsulationCharacter: Character Expression (optional)

Specifies a delimiter to protect information during conversion.


Route...

File, Preferences, Import, specify delimiters.


For Example...

To set import options, the command is:

PrefImportOptions

(

FieldDelimiters: "%";

RecordDelimiters: "@";

StripCharacter: "|";

EncapsulationCharacter: "/"

)


PrefLiteCodes

Purpose

PrefLiteCodes specifies whether to display specified page formatting codes.

Syntax

PrefLiteCodes (Show: Numeric Equivalent or Enumerated Type; Space: Numeric Equivalent or Enumerated Type; HardReturn: Numeric Equivalent or Enumerated Type; Tab: Numeric Equivalent or Enumerated Type; Indent: Numeric Equivalent or Enumerated Type; SoftHyphen: Numeric Equivalent or Enumerated Type; Advance: Numeric Equivalent or Enumerated Type; Center: Numeric Equivalent or Enumerated Type; CenterPage: Numeric Equivalent or Enumerated Type; FlushRight: Numeric Equivalent or Enumerated Type)

Parameters

Show: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to display symbols on new and current documents.

0	No!

1	Yes!

Space: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to display the space symbol.

0	No!

1	Yes!

HardReturn: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to display the hard return symbol.

0	No!

1	Yes!

Tab: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to display the tab symbol.

0	No!

1	Yes!

Indent: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to display the indent symbol.

0	No!

1	Yes!

SoftHyphen: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to display the soft hyphen symbol.

0	No!

1	Yes!

Advance: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to display the advance symbol.

0	No!

1	Yes!

Center: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to display the center symbol.

0	No!

1	Yes!

CenterPage: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to display the center page symbol.

0	No!

1	Yes!

FlushRight: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to display the flush right symbol.

0	No!

1	Yes!


Route...

File, Preferences, Display, Show, select options.


For Example...

To display hard return codes in new and current documents, the command is:

PrefLiteCodes

(

Show: Yes!;

Space: No!;

HardReturn: Yes!;

Tab: No!;

Indent: No!;

SoftHyphen: No!;

Advance: No!;

Center: No!;

CenterPage: No!;

FlushRight: No!

)


PrefLocationDlg

Purpose

PrefLocationDlg displays the File Preferences dialog box.

You must type this command into a macro.  It is not recordable.

Syntax

PrefLocationDlg ()


*** DELETED TOPIC ***


PrefLocationOfDocuments

Purpose

PrefLocationOfDocuments specifies the location of document and backup files.

Syntax

PrefLocationOfDocuments (Path: Character Expression; UseDefExt: Numeric Equivalent or Enumerated Type; DefExt: Character Expression; UpdateQuickList: Numeric Equivalent or Enumerated Type)

Parameters

Path: Character Expression (optional)

Specifies the default document and backup directory.

UseDefExt: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to use the default extension on Open and Save.

0	No!

1	Yes!

DefExt: Character Expression (optional)

Specifies a default filename extension.

UpdateQuickList: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to update QuickList with changes.

0	No!

1	Yes!


Route...

File, Preferences, File, Documents/Backup, specify options.


For Example...

To specify the location of document and backup files, the command is:

PrefLocationOfDocuments

(

Path: "C:\WPWIN60\DOCS\";

UseDefExt: Yes!;

DefExt: ".DOC";

UpdateQuickList: Yes!

)


PrefLocationOfGraphicsFiles

Purpose

PrefLocationOfGraphicsFiles specifies the location of graphics files.

Syntax

PrefLocationOfGraphicsFiles (GraphicsDir: Character Expression; GraphicsSupplDir: Character Expression; UpdateQuickList: Numeric Equivalent or Enumerated Type)

Parameters

GraphicsDir: Character Expression (optional)

Specifies the graphics default directory.

GraphicsSupplDir: Character Expression (optional)

Specifies the graphics supplemental directory.

UpdateQuickList: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to update QuickList with changes.

0	No!

1	Yes!


Route...

File, Preferences, File, Graphics, specify options.


For Example...

To specify the location of graphics files, the command is:

PrefLocationOfGraphicsFiles

(

GraphicsDir: "C:\WPWIN60\GRAPHICS\";

GraphicsSupplDir: "C:\WPWIN60\GRAPHICS\SUPP\";

UpdateQuickList: Yes!

)


PrefLocationOfHyphenationFiles

Purpose

PrefLocationOfHyphenationFiles specifies the location of hyphenation files.

Syntax

PrefLocationOfHyphenationFiles (HyphenationDir: Character Expression; UpdateQuickList: Numeric Equivalent or Enumerated Type)

Parameters

HyphenationDir: Character Expression (optional)

Specifies the default hyphenation directory.

UpdateQuickList: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to update QuickList with changes.

0	No!

1	Yes!


Route...

File, Preferences, File, Hyphenation, specify options.


For Example...

To specify the location of hyphenation files, the command is:

PrefLocationOfHyphenationFiles

(

HyphenationDir: "C:\WPWIN60\HYPHEN\";

UpdateQuickList: Yes!

)


PrefLocationOfMacroFiles

Purpose

PrefLocationOfMacroFiles specifies the location of macro files.

Syntax

PrefLocationOfMacroFiles (MacroDir: Character Expression; MacroSupplDir: Character Expression; UpdateQuickList: Numeric Equivalent or Enumerated Type)

Parameters

MacroDir: Character Expression (optional)

Specifies the default macro directory.

MacroSupplDir: Character Expression (optional)

Specifies the default macro supplemental directory.

UpdateQuickList: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to update QuickList with changes.

0	No!

1	Yes!


Route...

File, Preferences, File, Macros, specify options.


For Example...

To specify the location of macro files, the command is:

PrefLocationOfMacroFiles

(

MacroDir: "C:\WPWIN60\MACROS\";

MacroSupplDir: "C:\WPWIN60\MACROS\SUPP\";

UpdateQuickList: Yes!

)


PrefLocationOfPrinterFiles

Purpose

PrefLocationOfPrinterFiles specifies the location of printer files.

Syntax

PrefLocationOfPrinterFiles (PrinterDir: Character Expression; PrinterSupplDir: Character Expression; LabelFile: Character Expression; LabelsDisplay: Numeric Equivalent or Enumerated Type; UpdateQuickList: Numeric Equivalent or Enumerated Type)

Parameters

PrinterDir: Character Expression (optional)

Specifies the default printer directory.

PrinterSupplDir: Character Expression (optional)

Specifies the default printer supplemental directory.

LabelFile: Character Expression (optional)

Specifies the default label file directory.

LabelsDisplay: Numeric Equivalent or Enumerated Type (optional)

Specifies default labels to display.

0	DisplayLaser!

1	DisplayTract!

2	DisplayBoth!

UpdateQuickList: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to update QuickList with changes.

0	No!

1	Yes!


Route...

File, Preferences, File, Printers/Labels, specify options.


For Example...

To specify the location of printer and label files, the command is:

PrefLocationOfPrinterFiles

(

PrinterDir: "C:\WPC20\PRINTER\";

PrinterSupplDir: "C:\WPC20\PRINTER\SUPP\";

LabelFile: "C:\WPC20\LABEL\";

LabelsDisplay: Display Both!;

UpdateQuickList: Yes!

)


PrefLocationOfSpreadsheetFiles

Purpose

PrefLocationOfSpreadsheetFiles specifies the location of spreadsheet files.

Syntax

PrefLocationOfSpreadsheetFiles (SpreadsheetDir: Character Expression; SpreadsheetSupplDir: Character Expression; DatabaseDir: Character Expression; DatabaseSupplDir: Character Expression; UpdateQuickList: Numeric Equivalent or Enumerated Type)

Parameters

SpreadsheetDir: Character Expression (optional)

Specifies the default spreadsheet directory.

SpreadsheetSupplDir: Character Expression (optional)

Specifies the default supplemental spreadsheet directory.

DatabaseDir: Character Expression (optional)

Specifies the default database directory.

DatabaseSupplDir: Character Expression (optional)

Specifies the default supplemental database directory.

UpdateQuickList: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to update QuickList with changes.

0	No!

1	Yes!


Route...

File, Preferences, File, Spreadsheets, specify options.


For Example...

To specify the location of spreadsheet files, the command is:

PrefLocationOfSpreadsheetFiles

(

SpreadsheetDir: "C:\WPWIN60\SPREAD\";

SpreadsheetSupplDir: "C:\WPWIN60\SPREAD\SUPP\";

DatabaseDir: "C:\WPWIN60\DATABASE\";

DatabaseSupplDir: "C:\WPWIN60\DATABASE\SUPP\";

UpdateQuickList: Yes!

)


PrefLocationOfTemplates

Purpose

PrefLocationOfTemplates specifies the location of template files.

Syntax

PrefLocationOfTemplates (TemplateDir: Character Expression; TemplateSupplPath: Character Expression; File: Character Expression; SupplFile: Character Expression; DefExt: Character Expression; UpdateQuickList: Numeric Equivalent or Enumerated Type)

Parameters

TemplateDir: Character Expression (optional)

Specifies the default templates directory.

TemplateSupplPath: Character Expression (optional)

Specifies the default templates supplemental directory.

File: Character Expression (optional)

Specifies the default templates filename.

SupplFile: Character Expression (optional)

Specifies the default supplemental filename.

DefExt: Character Expression (optional)

Specifies the default filename extension.

UpdateQuickList: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to update QuickList with changes.

0	No!

1	Yes!


Route...

File, Preferences, File, Templates, specify options.


For Example...

To specify template names and the location of template files, the command is:

PrefLocationOfTemplates

(

TemplateDir: "C:\WPWIN60\TEMPLATE\";

TemplateSupplPath: "C:\WPWIN60\TEMPLATE\SUPP\";

File: "TEMPLATE";

SupplFile: "TEMPSUPP";

DefExt: "EXT";

UpdateQuickList: Yes!

)


PrefMenu

Purpose

PrefMenu specifies whether to display help prompts, shortcut keys next to menu items, and the four most recently opened documents at the bottom of the File menu.

Syntax

PrefMenu (DisplayShortcuts: Numeric Equivalent or Enumerated Type; DisplayLastOpened: Numeric Equivalent or Enumerated Type; DisplayHelpPrompts: Numeric Equivalent or Enumerated Type)

Parameters

DisplayShortcuts: Numeric Equivalent or Enumerated Type

0	No!

1	Yes!

DisplayLastOpened: Numeric Equivalent or Enumerated Type

0	No!

1	Yes!

DisplayHelpPrompts: Numeric Equivalent or Enumerated Type

0	No!

1	Yes!

See Also

PrefEnvSettingsDlg

PrefSave


Route...

File, Preferences, Environment, Menu, select options.


For Example...

To set menu options, the command is:

PrefMenu

(

DisplayShortcuts: Yes!;

DisplayLastOpened: Yes!;

DisplayHelpPrompts: Yes!

)


PrefMergeCodes

Purpose

PrefMergeCodes specifies whether to display merge codes.

Syntax

PrefMergeCodes (Show: Numeric Equivalent or Enumerated Type)

Parameters

Show: Numeric Equivalent or Enumerated Type

Specifies whether to hide merge codes, display merge codes, or display merge codes as markers.

0	Hide!

1	Show!

2	ShowAsBars!


Route...

File, Preferences, Display, Merge, select an option.


For Example...

To display merge codes, the command is:

PrefMergeCodes

(

Show: Show!

)


PrefMetafileOptions

Purpose

PrefMetafileOptions specifies how to import graphics files.

Syntax

PrefMetafileOptions (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to convert to WordPerfect (.WPG) format, retain both formats, or retain Metafile (.WMF) format.

0	ConvertToWPG!

1	RetainWindowsAndWPG!

2	RetainWindowsFormat!


Route...

File, Preferences, Import, select an option.


For Example...

To convert graphics to .WPG format, the command is:

PrefMetafileOptions

(

State: ConvertToWPG!

)


PrefPowerBar

Purpose

PrefPowerBar specifies buttons to display on the Power Bar.

Syntax

PrefPowerBar ({Button: Numeric Expression; Position: Numeric Expression})

Description

Use the Button parameter followed by the Position parameter to define each button on the Power Bar.  Enclose repeated parameters in braces ({}) separated by semicolons.

Parameters

Button: Numeric Expression

Specifies a button number.

Position: Numeric Expression

Specifies a button position on the Power Bar.


Route...

File, Preferences, Power Bar, select Items, drag buttons to specify position.


For Example...

To define a Power Bar with button 3 in position 4 and button 6 in position 7, the command is:

PrefPowerBar

({

Button: 3;

Position: 4;

Button: 6;

Position: 7

})


PrefPowerBarEdit

Purpose

PrefPowerBarEdit opens and closes the Power Bar Preferences dialog box.

You must type this command into a macro.  It is not recordable.

Syntax

PrefPowerBarEdit (Action: Numeric Equivalent or Enumerated Type)

Parameters

Action: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to enter or exit the Power Bar Preferences dialog box.

0	Exit!

1	Enter!


*** DELETED TOPIC ***


For Example...

To close the Power Bar Preferences dialog box, the command is:

PrefPowerBarEdit

(

Action: Exit!

)


PrefPowerBarFontFaceList

Purpose

PrefPowerBarFontFaceList specifies fonts to add to the Power Bar Font Face list.

Syntax

PrefPowerBarFontFaceList ({FontName: Character Expression})

Parameters

FontName: Character Expression

Specifies a font to add to the power bar Font Face list.  Repeat this parameter for each font added.  Enclose repeated parameters in braces ({}) separated by semicolons.


Route...

File, Preferences, Power Bar, Fonts, select options in the Fonts list box, or choose a font category in the Select pop-up list.


For Example...

To add Helvetica and Arial to the power bar Font Face list, the command is:

PrefPowerBarFontFaceList

(

{FontName: "Helvetica";

FontName: "Arial"}

)


PrefPowerBarFontSizeList

Purpose

PrefPowerBarFontSizeList specifies a font size to add to the Power Bar Font Size list.

Syntax

PrefPowerBarFontSizeList ({Size: Numeric Expression})

Parameters

Size: Numeric Expression

Specifies a font size to add to the Power Bar Font Size list.  Repeat this parameter for each font size added.  Parameters that can be repeated are enclosed in braces ({}).


Route...

File, Preferences, Power Bar, Fonts, select options in the Sizes list box, or click Select and choose a size category.


For Example...

To add font sizes to the Power Bar, the command is:

PrefPowerBarFontSizeList

(

{Size: 8;

Size: 10;

Size: 12}

)


PrefPrintCopies

Purpose

PrefPrintCopies specifies the default number of copies to print and how to generate multiple copies.

Syntax

PrefPrintCopies (NumberOfCopies: Numeric Expression; GeneratedBy: Numeric Equivalent or Enumerated Type)

Parameters

NumberOfCopies: Numeric Expression (optional)

Specifies the default number of copies to print.

GeneratedBy: Numeric Equivalent or Enumerated Type (optional)

Specifies if WordPerfect or the printer generates multiple copies.

0	WordPerfect!

1	Printer!

See Also

PrefPrintSettingsDlg

PrefSave


Route...

File, Preferences, Print, Copies, specify options.


For Example...

To set print options, the command is:

PrefPrintCopies

(

NumberOfCopies: 1;

GeneratedBy: WordPerfect!

)


PrefPrintDoc

Purpose

PrefPrintDoc specifies the default binding offset, graphics quality, and text quality for printed documents.

Syntax

PrefPrintDoc (GraphicsQuality: Numeric Equivalent or Enumerated Type; TextQuality: Numeric Equivalent or Enumerated Type; PrintColor: Numeric Equivalent or Enumerated Type)

Parameters

GraphicsQuality: Numeric Equivalent or Enumerated Type

Specifies graphics print quality.

0	DoNotPrint!

1	Draft!

2	Medium!

3	High!

TextQuality: Numeric Equivalent or Enumerated Type

Specifies text print quality.

0	DoNotPrint!

1	Draft!

2	Medium!

3	High!

PrintColor: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to print color.

0	Black!

1	FullColor!

See Also

PrefSave


Route...

File, Preferences, Print, Document Settings, select options.


For Example...

To set print options, the command is:

PrefPrintDoc

(

GraphicsQuality: High!;

TextQuality: High!;

PrintColor: Black!

)


PrefPrintRedline

Purpose

PrefPrintRedline specifies how and where redlined text is displayed.

Syntax

PrefPrintRedline (Method: Numeric Equivalent or Enumerated Type; Character: Character Expression)

Parameters

Method: Numeric Equivalent or Enumerated Type

Specifies how redlined text is printed.  You can accept the printer setting, or specify a column of characters down the left or alternating sides of redlined text.

0	PrinterDependent!

1	Left!

2	Alternating!

3	Right!

Character: Character Expression

Specifies a character to display down the left or alternating sides of redlined text.  Omit this parameter if the Method parameter is PrinterDependent!.

See Also

PrefSave


Route...

Layout, Document, Redline Method, select a method, specify Redline Character if available, Use as Default.


For Example...

To set print redline options, the command is:

PrefPrintRedline

(

Method: Left!;

Character: "|"

)


PrefPrintSettingsDlg

Purpose

PrefPrintSettingsDlg displays the Print Preferences dialog box.

You must type this command into a macro.  It is not recordable.

Syntax

PrefPrintSettingsDlg ()


PrefPrintSizeRatio

Purpose

PrefPrintSizeRatio specifies size for each font attribute, as a percentage of the selected font.  The value range for each font attribute is 1 to 999.

Syntax

PrefPrintSizeRatio (Fine: Numeric Expression; Small: Numeric Expression; Large: Numeric Expression; VeryLarge: Numeric Expression; ExtraLarge: Numeric Expression; SuperSubscript: Numeric Expression)

Parameters

Fine: Numeric Expression

Values range from 1 to 100.

Small: Numeric Expression

Values range from 1 to 100.

Large: Numeric Expression

Values range from 1 to 100.

VeryLarge: Numeric Expression

Values range from 1 to 100.

ExtraLarge: Numeric Expression

Values range from 1 to 100.

SuperSubscript: Numeric Expression

Values range from 1 to 100.

See Also

PrefSave


Route...

File, Preferences, Print, Size Attribute Ratio, specify options.


For Example...

To set print size ratio options, the command is:

PrefPrintSizeRatio

(

Fine: 25;

Small: 50;

Large: 125;

VeryLarge: 150;

ExtraLarge: 200;

SuperSubscript: 15

)


PrefRevealCodes

Purpose

PrefRevealCodes specifies the default Reveal Code settings.

Syntax

PrefRevealCodes (FontFace: Character Expression; FontSize: Numeric Expression; WindowSize: Numeric Expression; ShowOnNew: Numeric Equivalent or Enumerated Type; ShowSpacesAsBullets: Numeric Equivalent or Enumerated Type; WrapAtWindow: Numeric Equivalent or Enumerated Type; ShowInDetail: Numeric Equivalent or Enumerated Type; Sculptured: Numeric Equivalent or Enumerated Type; ForeColorRed: Numeric Expression; ForeColorGreen: Numeric Expression; ForeColorBlue: Numeric Expression; BackColorRed: Numeric Expression; BackColorGreen: Numeric Expression; BackColorBlue: Numeric Expression; ShowHelpPrompts: Numeric Equivalent or Enumerated Type)

Parameters

FontFace: Character Expression (optional)

Specifies a font face name.

FontSize: Numeric Expression (optional)

Specifies a font height in points, where 72 points equals one inch.

WindowSize: Numeric Expression (optional)

Specifies window size as a percentage of the screen.

ShowOnNew: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to turn on Reveal Codes in current and new documents.

0	No!

1	Yes!

ShowSpacesAsBullets: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to show spaces as bullets.

0	No!

1	Yes!

WrapAtWindow: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to wrap lines at the window edge.

0	No!

1	Yes!

ShowInDetail: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to show codes in detail.

0	No!

1	Yes!

Sculptured: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to display codes sculptured.

0	No!

1	Yes!

ForeColorRed: Numeric Expression (optional)

Specifies the amount of red (0-255) in a foreground color.

ForeColorGreen: Numeric Expression (optional)

Specifies the amount of green (0-255) in a foreground color.

ForeColorBlue: Numeric Expression (optional)

Specifies the amount of blue (0-255) in a foreground color.

BackColorRed: Numeric Expression (optional)

Specifies the amount of red (0-255) in a background color.

BackColorGreen: Numeric Expression (optional)

Specifies the amount of green (0-255) in a background color.

BackColorBlue: Numeric Expression (optional)

Specifies the amount of blue (0-255) in a background color.

ShowHelpPrompts: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to show help prompts.

0	No!

1	Yes!


Route...

File, Preferences, Display, Reveal Codes, select options.


For Example...

To specify Reveal Code settings, the command is:

PrefRevealCodes

(

FontFace: "Arial";

FontSize: 15;

WindowSize: 25;

ShowOnNew: No!;

ShowSpacesAsBullets: Yes!;

WrapAtWindow: Yes!;

ShowInDetail: No!;

Sculptured: Yes!;

ForeColorRed: 0;

ForeColorGreen: 0;

ForeColorBlue: 0;

BackColorRed: 192;

BackColorGreen: 192;

BackColorBlue: 192;

ShowHelpPrompts: Yes!

)


PrefRevealCodesDlg

Purpose

PrefRevealCodesDlg displays the Display Preferences dialog box with Reveal Codes selected.

You must type this command into a macro.  It is not recordable.

Syntax

PrefRevealCodesDlg ()

See Also

PrefRevealCodes


PrefRuler

Purpose

PrefRuler specifies default Ruler Bar settings.

Syntax

PrefRuler (RulerOnNew: Numeric Equivalent or Enumerated Type; TabsToGrid: Numeric Equivalent or Enumerated Type; ShowRulerGuides: Numeric Equivalent or Enumerated Type; SculpturedRuler: Numeric Equivalent or Enumerated Type)

Parameters

RulerOnNew: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to display the Ruler Bar when you open a new document.

0	No!

1	Yes!

TabsToGrid: Numeric Equivalent or Enumerated Type (optional)

Specifies whether tabs "snap to" invisible grid lines every 1/16th of an inch or 1/5th of a centimeter.

0	No!

1	Yes!

ShowRuler: Numeric Equivalent or Enumerated Type (optional)

Specifies whether a Ruler Bar guide displays when tab stops move.

0	No!

1	Yes!

SculpturedRuler: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to display a sculptured ruler.

0	No!

1	Yes!

See Also

PrefEnvSettingsDlg

PrefSave


Route...

File, Preferences, Display, Ruler Bar, select options.


For Example...

To set Ruler Bar options, the command is:

PrefRuler

(

RulerOnNew: Yes!;

TabsToGrid: No!;

ShowRulerGuides: No!;

SculpturedRuler: Yes!

)


PrefSave

Purpose

PrefSave saves preference command changes, to apply each time you run WordPerfect.

Syntax

PrefSave ()


Route...

Choose OK in any Preferences dialog box.


PrefStatusBar

Purpose

PrefStatusBar specifies default Status Bar settings.

This command must be preceded by and followed by PrefStatusBarEdit.

Syntax

PrefStatusBar ({Box: Numeric Equivalent or Enumerated Type; Position: Numeric Expression; Width: Numeric Expression})

Parameters

Box: Numeric Equivalent or Enumerated Type

Specifies an item to display or hide on the Status Bar.  Repeat Box, Position, and Width parameters for each Status Bar item.  Enclose repeated parameters in braces ({}) separated by semicolons.

0	Font!

1	Select!

2	InsertMode!

3	Date!

4	Time12!

5	GeneralStatus!

6	AlignChar!

7	Outline!

8	Zoom!

9	CapsLockState!

10	NumLockState!

11	ScrollLockState!

12	Printer!

13	Keyboard!

14	Page!

15	Line!

16	Position!

17	CombinedPosition!

18	Time24!

Position: Numeric Expression

Specifies a position on the Status Bar.

Width: Numeric Expression

Specifies an item's width.


Route...

File, Preferences, Status Bar, select Status Bar items.


For Example...

To specify Status Bar settings, the command is:

PrefStatusBarEdit

(

State: On!

)

PrefStatusBar

(

{Box: Date!;

Position: -1;

Width: -1;

Box: Font!

Position: -1;

Width: -1}

)

PrefSave ()

PrefStatusBarEdit

(

State: Off!

)


PrefStatusBarEdit

Purpose

PrefStatusBarEdit must precede and follow the PrefStatusBar command.  If no parameter is specified, the command acts as a toggle.

Syntax

PrefStatusBarEdit (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type (optional)

0	Off!

1	On!


Route...

File, Preferences, Status Bar.


For Example...

To edit the Status Bar, the command is:

PrefStatusBarEdit

(

State: On!

)


PrefStatusBarOptions

Purpose

PrefStatusBarOptions specifies Status Bar settings.

Syntax

PrefStatusBarOptions (FontFace: Character Expression; FontSize: Numeric Expression; Bold: Numeric Equivalent or Enumerated Type; BoxStyle: Numeric Equivalent or Enumerated Type; EvenSpaced: Numeric Equivalent or Enumerated Type)

Parameters

FontFace: Character Expression (optional)

Specifies the name of a font face.

FontSize: Numeric Expression (optional)

Specifies a font height in points, where 72 points equals one inch.

Bold: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to bold the Status Bar font.

0	No!

1	Yes!

BoxStyle: Numeric Equivalent or Enumerated Type (optional)

Specifies how the Status Bar is displayed.

0	Flat!

1	Inset!

2	Raised!

EvenSpaced: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to space items evenly.

0	No!

1	Yes!

See Also

PrefStatusBarEdit


Route...

File, Preferences, Status Bar, Options, select options.


For Example...

To specify Status Bar options, the command is:

PrefStatusBarOptions

(

FontFace: "Courier";

FontSize: 12p;

Bold: Yes!;

BoxStyle: Raised!;

EvenSpaced: No!

)


PrefStatusBarOptionsDlg

Purpose

PrefStatusBarOptionsDlg displays the Status Bar Options dialog box.

You must type this command into a macro.  It is not recordable.

Syntax

PrefStatusBarOptionsDlg ()


*** DELETED TOPIC ***


PrefToA

Purpose

PrefToA specifies a table of authorities format.

This command is not recordable.  You must type it into a macro.

Syntax

PrefToA (Underlining: Numeric Equivalent or Enumerated Type; Runs: Numeric Equivalent or Enumerated Type)

Parameters

Underlining: Numeric Equivalent or Enumerated Type

Specifies whether to allow underlining in the full form.

0	NotAllowed!

1	Allowed!

Runs: Numeric Equivalent or Enumerated Type

0	NotAllowed!

1	Allowed!


For Example...

To set table of authorities options, the command is:

PrefToA

(

Underlining: Allowed!

Runs: NotAllowed!

)


PrefUnitsOfMeasure

Purpose

PrefUnitsOfMeasure specifies units of measure settings.

Syntax

PrefUnitsOfMeasure (DisplayUnits: Numeric Equivalent or Enumerated Type; StatusBarUnits: Numeric Equivalent or Enumerated Type)

Parameters

DisplayUnits: Numeric Equivalent or Enumerated Type (optional)

Specifies default units of measure and how to display them.

0	InchesQuote!

1	Inches!

2	Centimeters!

3	Millimeters!

4	Point!

5	WPU!

StatusBarUnits: Numeric Equivalent or Enumerated Type (optional)

Specifies how units of measure are displayed on the Status Bar and ruler.

0	InchesQuote!

1	Inches!

2	Centimeters!

3	Millimeters!

4	Point!

5	WPU!


Route...

File, Preferences, Display, Document, Measurement, select options.


For Example...

To specify units of measure, the command is:

PrefUnitsOfMeasure

(

DisplayUnits: InchesQuote!;

StatusBarUnits: InchesQuote!

)


PrefZoom

Purpose

PrefZoom enlarges or reduces the size of text and graphics.

Syntax

PrefZoom (Type: Numeric Equivalent or Enumerated Type; Percent: Numeric Expression)

Parameters

Type: Numeric Equivalent or Enumerated Type

Specifies a type of zoom.

0	FixedPercent!

1	MarginWidth!

2	PageWidth!

3	FullPage!

Percent: Numeric Expression

Specifies a percentage of normal, which is 100 percent.

See Also

DraftZoom100


Route...

File, Preferences, Display, View/Zoom, select a Default Zoom.


For Example...

To set zoom options, the command is:

PrefZoom

(

Type: FixedPercent!;

Percent: 150

)


PrintCopies

Purpose

PrintCopies specifies the number of copies to print.

Syntax

PrintCopies (NumberOfCopies: Numeric Expression)

Parameters

NumberOfCopies: Numeric Expression

Specifies the number of copies to print.

See Also

PrintCopiesBy


Route...

File, Print, Number of Copies, enter a number.


For Example...

To print two copies of a document, the command is:

PrintCopies

(

NumberOfCopies: 2

)


PrintCopiesBy

Purpose

PrintCopiesBy specifies whether WordPerfect or a printer generates multiple copies.

Syntax

PrintCopiesBy (CopiesBy: Numeric Equivalent or Enumerated Type)

Parameters

CopiesBy: Numeric Equivalent or Enumerated Type

Specifies whether WordPerfect or a printer generates multiple copies.

0	WordPerfect!

1	Printer!

2	Network!

See Also

PrintCopies


Route...

File, Print, Generated By, select an option.


For Example...

To specify WordPerfect to generate multiple copies, the command is:

PrintCopiesBy

(

CopiesBy: WordPerfect!

)


PrintDlg

Purpose

PrintDlg displays the Print dialog box.

Syntax

PrintDlg ()


Route...

File, Print.


PrintDocOnDisk

Purpose

PrintDocOnDisk prints a document saved to disk.

Syntax

PrintDocOnDisk (Filename: Character Expression; PageRange: Character Expression; SecondaryRange: Character Expression; ChapterRange: Character Expression; VolumeRange: Character Expression; OddEvenPages: Numeric Equivalent or Enumerated Type; PrintSummary: Numeric Equivalent or Enumerated Type; PrintBooklet: Numeric Equivalent or Enumerated Type; Direction: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Specifies the name of a file to print.

PageRange: Character Expression (optional)

Specifies a range of pages to print.

SecondaryRange: Character Expression

Specifies the name of an output file.

ChapterRange: Character Expression

Specifies a range of chapters to print.

VolumeRange: Character Expression

Specifies a volume range to print.

OddEvenPages: Numeric Equivalent or Enumerated Type

Determines pages to print.

0	PrintAll!

2	PrintOdd!

4	PrintEven!

PrintSummary: Numeric Equivalent or Enumerated Type

Specifies whether to print an existing document summary.

0	NoDocSummary!

1	DocSummary!

PrintBooklet: Numeric Equivalent or Enumerated Type

Specifies whether to print the document as a booklet.

0	NoBooklet!

1	Booklet!

Direction: Numeric Equivalent or Enumerated Type

Specifies whether to print pages in ascending or descending order.

0	Forward!

1	Backward!


Route...

File, Print, Document on Disk, Print, specify a filename, specify a range of pages, Print.


For Example...

To print all pages of a document on disk named TEST with a document summary, the command is:

PrintDocOnDisk

(

Filename: "TEST";

PageRange: "1-10";

SecondaryRange: "";

ChapterRange: "";

VolumeRange: "";

OddEvenPages: PrintAll!;

PrintSummary: DocSummary!;

PrintBooklet: NoBooklet!;

Direction: Forward!

)


PrinterCommand

Purpose

PrinterCommand inserts a printer command [Ptr Cmnd].

Syntax

PrinterCommand (Flag: Numeric Equivalent or Enumerated Type; Command: Character Expression)

Parameters

Flag: Numeric Equivalent or Enumerated Type

Specifies whether the Command parameter contains a printer command or the name of a file with one or more printer commands.

0	File!

1	Command!

Command: Character Expression

Specifies a printer command or the name of a file containing one or more printer commands.


Route...

Layout, Typesetting, Printer Command, select Command and enter a printer command, or select Printer Command Filename and specify a filename.


For Example...

To insert printer commands into the current document using a filename PTRCMD, the command is:

PrinterCommand

(

Flag: File!;

Command: "C:\WPWIN60\PTRCMD"

)


PrinterCommandDlg

Purpose

PrinterCommandDlg displays the Printer Command dialog box.

Syntax

PrinterCommandDlg ()

See Also

PrinterCommand


Route...

Layout, Typesetting, Printer Command.


PrinterControlDlg

Purpose

PrinterControlDlg displays the WP Print Process dialog box.

Syntax

PrinterControlDlg ()


Route...

File, Print, Control.


PrinterInitialize

Purpose

PrinterInitialize downloads soft fonts to the printer.

Syntax

PrinterInitialize ()


Route...

File, Print, Initialize.


PrinterPause

Purpose

PrinterPause pauses the current print job.

Syntax

PrinterPause ()


Route...

Layout, Typesetting, Printer Command, Pause Printer.


PrinterSelect

Purpose

PrinterSelect specifies a printer type, name, and port.

Syntax

PrinterSelect (PrinterType: Numeric Equivalent or Enumerated Type; PrinterName: Character Expression; PrinterPort: Character Expression)

Parameters

PrinterType: Numeric Equivalent or Enumerated Type

Specifies whether to send to a WordPerfect or Windows print driver.

0	WPPrinter!

1	WindowsPrint!

PrinterName: Character Expression

Specifies a printer name.

PrinterPort: Character Expression

Specifies a printer port.


Route...

File, Select Printer, select a printer, Select.


For Example...

To select the Apple LaserWriter II NTX windows printer driver, the command is:

PrinterSelect

(

PrinterType: WindowsPrinter!;

PrinterName: "Apple LaserWriter II NTX";

PrinterPort: "LPT1:"

)


PrinterSelectDlg

Purpose

PrinterSelectDlg displays the Select Printer dialog box.

Syntax

PrinterSelectDlg ()


Route...

File, Select Printer.


PrintFullDoc

Purpose

PrintFullDoc prints the current document.

Syntax

PrintFullDoc ()


Route...

File, Print, Full Document, Print.


PrintGraphicsQuality

Purpose

PrintGraphicsQuality specifies graphics print quality for the current document.

Syntax

PrintGraphicsQuality (Quality: Numeric Equivalent or Enumerated Type)

Parameters

Quality: Numeric Equivalent or Enumerated Type

Specifies graphics resolution.

0	DoNotPrint!

1	Draft!

2	Medium!

3	High!

See Also

PrintTextQuality


Route...

File, Print, Print Quality, select a print quality.


For Example...

To print graphics with high resolution, the command is:

PrintGraphicsQuality

(

Quality: High!

)


PrintInkColor

Purpose

PrintInkColor specifies whether to print black, full color, or solid color (non-dithered).

Syntax

PrintInkColor (ColorType: Numeric Equivalent or Enumerated Type)

Parameters

ColorType: Numeric Equivalent or Enumerated Type

Specifies a color to print.  SolidColor! is printer-specific and may not be available on all color printers.

0	Black!

1	FullColor!

2	SolidColor!


Route...

File, Print, Print Color, select a color.


For Example...

To print a document with solid color, the command is:

PrintInkColor

(

ColorType: SolidColor!

)


PrintMultiplePages

Purpose

PrintMultiplePages prints specified pages.

Syntax

PrintMultiplePages (PageRange: Character Expression; SecondaryPageRange: Character Expression; ChapterRange: Character Expression; VolumeRange: Character Expression; OddEvenPages: Numeric Equivalent or Enumerated Type; PrintSummary: Numeric Equivalent or Enumerated Type; PrintBooklet: Numeric Equivalent or Enumerated Type; Direction: Numeric Equivalent or Enumerated Type)

Parameters

PageRange: Character Expression

Specifies a range of pages to print.

SecondaryPageRange: Character Expression (optional)

Specifies the name of an output file.

ChapterRange: Character Expression (optional)

Specifies a range of chapters to print.

VolumeRange: Character Expression (optional)

Specifies a range of volumes to print.

OddEvenPages: Numeric Equivalent or Enumerated Type (optional)

Specifies pages to print.

0	PrintAll!

2	PrintOdd!

4	PrintEven!

PrintSummary: Numeric Equivalent or Enumerated Type

Specifies whether to print an existing document summary.

0	NoDocSummary!

1	DocSummary!

PrintBooklet: Numeric Equivalent or Enumerated Type

Specifies whether to print the document as a booklet.

0	NoBooklet!

1	Booklet!

Direction: Numeric Equivalent or Enumerated Type

Specifies whether to print pages in ascending or descending order.

0	Forward!

1	Backward!


Route...

File, Print, Multiple Pages, Print, specify a range, Print.


For Example...

To set print options, the command is:

PrintMultiplePages

(

PageRange: "1-10";

SecondaryPageRange: "PrtFile";

ChapterRange: "1-2";

VolumeRange: "1";

OddEvenPages: PrintAll!;

PrintSummary: NoDocSummary!;

PrintBooklet: NoBooklet!;

Direction: Forward!

)


PrintPage

Purpose

PrintPage prints the current page.

Syntax

PrintPage ()


Route...

File, Print, Current Page, Print.


PrintSelection

Purpose

PrintSelection prints selected text.

If no text is selected, this command ends the macro or redirects it to the LABEL specified by ONERROR.

Syntax

PrintSelection ()


Route...

With text selected, File, Print, Print.


PrintTextQuality

Purpose

PrintTextQuality specifies text print quality.

Syntax

PrintTextQuality (Quality: Numeric Equivalent or Enumerated Type)

Parameters

Quality: Numeric Equivalent or Enumerated Type

Specifies printed text resolution.

0	DoNotPrint!

1	Draft!

2	Medium!

3	High!

See Also

PrintGraphicsQuality


Route...

File, Print, Print Quality, select an option.


For Example...

To print the current document text with high resolution, the command is:

PrintTextQuality

(

Quality: High!

)


QuickFinderDlg

Purpose

QuickFinderDlg displays the QuickFinder dialog box.

You must type this command into a macro.  It is not recordable.

Syntax

QuickFinderDlg ()


*** DELETED TOPIC ***


QuickFormat

Purpose

QuickFormat formats text based on fonts and attributes, or paragraph styles, current at the insertion point.

Syntax

QuickFormat (Format: Numeric Equivalent or Enumerated Type)

Parameters

Format: Numeric Equivalent or Enumerated Type

Specifies whether to format text based on current fonts and attributes, paragraph styles, or both.

0	Off!

1	Attributes!

2	Styles!

3	StylesAndAttributes!


Route...

Layout, QuickFormat, select an option.


For Example...

To format text based on current paragraph styles, the command is:

QuickFormat

(

Format: Styles!

)


QuickFormatDlg

Purpose

QuickFormatDlg displays the QuickFormat dialog box.

Syntax

QuickFormatDlg ()


Route...

Layout, QuickFormat.


QuickFormatToggle

Purpose

QuickFormatToggle displays the QuickFormat dialog box.

You must type this command into a macro.  It is not recordable.

Syntax

QuickFormatToggle ()


*** DELETED TOPIC ***


QuickmarkFind

Purpose

QuickmarkFind moves the insertion point to the first character after a QuickMark.

Syntax

QuickmarkFind ()


Route...

Insert, Bookmark, Find QuickMark.


QuickmarkSet

Purpose

QuickmarkSet places a unique bookmark in a document.

If Set QuickMark in Document on Save is selected, any QuickMark added by the macro moves to the current insertion point when the document is saved.

Syntax

QuickmarkSet ()


Route...

Insert, Bookmark, Set QuickMark.


Redisplay

Purpose

Redisplay rewrites screen contents without moving the insertion point.

Syntax

Redisplay ()


Route...

Press Ctrl+F3.


RedlineCharacter

Purpose

RedlineCharacter specifies a character to redline text.

Syntax

RedlineCharacter (Character: Character Expression)

Parameters

Character: Character Expression

Specifies a character.

See Also

RedlineMethod

?RedlineCharacter


Route...

Layout, Document, Redline Method, Mark Left Margin or Mark Alternating Margins or Mark Right Margin, Redline Character, type character, Use as Default.


For Example...

To select | as the redline character, the command is:

RedlineCharacter

(

Character: "|"

)


RedlineMethod

Purpose

RedlineMethod specifies a redline method.

Syntax

RedlineMethod (RedlineMethod: Numeric Equivalent or Enumerated Type)

Parameters

RedlineMethod: Numeric Equivalent or Enumerated Type

Specifies a redline method.

0	PrinterDependent!

1	LeftMargin!

2	Alternating!

3	RightMargin!

See Also

RedlineCharacter

?RedlineMethod


Route...

Layout, Document, Redline Method, select a method.


For Example...

To specify redline markings on the right side, the command is:

RedlineMethod

(

RedlineMethod: RightMargin!

)


RepeatDlg

Purpose

RepeatDlg displays the Repeat dialog box.

Syntax

RepeatDlg ()

See Also

RepeatValue


Route...

Edit, Repeat.


RepeatSet

Purpose

RepeatSet specifies the Repeat default number.

Syntax

RepeatSet (Value: Numeric Expression)

Parameters

Value: Numeric Expression

Specifies the number of times to repeat an action.

See Also

RepeatValue


Route...

Edit, Repeat, enter a number, Use as Default.


For Example...

To set the Repeat default at 5, the command is:

RepeatSet

(

Value: 5

)


RepeatValue

Purpose

RepeatValue specifies the number of times to repeat an action.

Syntax

RepeatValue (Value: Numeric Expression)

Parameters

Value: Numeric Expression

See Also

RepeatDlg


Route...

Edit, Repeat, specify a number.


For Example...

To repeat an action 50 times, the command is:

RepeatValue

(

Value: 50

)


ReplaceAll

Purpose

ReplaceAll replaces all occurrences of a matched word, code, or phrase.

This command must be preceded by other commands which define a search, such as SearchString, ReplaceString, and SearchNext.

Syntax

ReplaceAll (SearchMode: Numeric Equivalent or Enumerated Type)

Parameters

SearchMode: Numeric Equivalent or Enumerated Type

Specifies the scope of a search.  An extended search includes substructures such as headers or footnotes.

0	Regular!

1	Extended!

See Also

SearchString

ReplaceString

SearchNext


Route...

Edit, Replace, enter search text or codes in Find, enter replacement text or codes in Replace With, Replace All.


For Example...

To replace all occurrences of the word "do" with "do not", starting from the insertion point and excluding substructures, the command sequence is:

SearchString

(

StrgToLookFor: "do"

)

ReplaceString

(

RplcStrg: "do not"

)

ReplaceAll

(

SearchMode: Regular!

)


ReplaceBackward

Purpose

ReplaceBackward replaces specified text or codes from the current insertion point to the beginning of the document.

This command must be preceded by other commands which define a search, such as SearchString and ReplaceString.

Syntax

ReplaceBackward (SearchMode: Numeric Equivalent or Enumerated Type)

Parameters

SearchMode: Numeric Equivalent or Enumerated Type

Specifies the scope of a backward search.  An extended search includes substructures such as headers or footnotes.

0	Regular!

1	Extended!

See Also

ReplaceCurrent

ReplaceForward

ReplaceString

SearchPrevious

SearchString


Route...

Edit, Replace, enter search text or codes in Find, enter replacement text or codes in Replace With, Direction, Backward, Replace All.


For Example...

To replace "No" with "Yes" from the insertion point backward and including substructures, the command sequence is:

SearchString

(

StrgToLookFor: "No"

)

ReplaceString

(

RplcStrg: "Yes"

)

ReplaceBackward

(

SearchMode: Extended!

)


ReplaceConfirm

Purpose

ReplaceConfirm specifies whether Find and Replace Text prompts you to confirm when replacing text in WordPerfect for DOS.

This command is included for compatibility with the WordPerfect for DOS macro language and has no effect in WordPerfect for Windows.  Use ReplaceAll or ReplaceCurrent to specify whether to confirm text replacement.

Syntax

ReplaceConfirm (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to prompt for confirmation before replacing text.

0	No!

1	Yes!

See Also

ReplaceAll

ReplaceCurrent


ReplaceCurrent

Purpose

ReplaceCurrent replaces a matched word, code, or phrase.

This command must be preceded by other commands which define a search, such as SearchString, SearchReplace, and SearchNext.

Syntax

ReplaceCurrent ()

See Also

ReplaceString

SearchNext

SearchString

ReplaceWithAttributes


Route...

Edit, Replace, enter search text or codes in Find, enter replacement text or codes in Replace With, Find, Replace.


ReplaceDlg

Purpose

ReplaceDlg displays the Find and Replace Text dialog box.

This command is not recordable.  You must type it into a macro.

Syntax

ReplaceDlg ()


ReplaceForward

Purpose

ReplaceForward replaces specified text or codes from the insertion point to the end of the document.

This command must be preceded by other commands which define a search, such as SearchString or ReplaceString.

Syntax

ReplaceForward (SearchMode: Numeric Equivalent or Enumerated Type)

Parameters

SearchMode: Numeric Equivalent or Enumerated Type

Specifies the scope of a forward search and replace.  An extended search includes substructures such as headers or footnotes.

0	Regular!

1	Extended!

See Also

ReplaceBackward

ReplaceString

SearchString


Route...

Edit, Replace, enter search text or codes in Find, enter replacement text or codes in Replace With, Replace All.  To deselect a backward search, the route is: Edit, Replace, enter text or codes in Find, enter text or codes in Replace With, Direction, Backward, Replace All.


For Example...

To replace "No" with "Yes" from the insertion point forward including substructures, the command sequence is:

SearchString

(

StrgToLookFor: "No"

)

ReplaceString

(

RplcStrg: "Yes"

)

ReplaceForward

(

SearchMode: Extended!

)


ReplaceString

Purpose

ReplaceString specifies search text or codes.

Syntax

ReplaceString (RplcStrg: Character Expression)

Parameters

RplcStrg: Character Expression

Specifies replacement text or codes.

See Also

SearchString


Route...

Edit, Replace, enter search text or codes in Find, enter replacement text or codes in Replace With, Replace or Replace All.


For Example...

To specify replacement text as Jonathan, the command is:

ReplaceString

(

RplcStrg: "Jonathan"

)


ReplaceWithAttributes

Purpose

ReplaceWithAttributes specifies attributes for replacement text.

Syntax

ReplaceWithAttributes (State: Numeric Equivalent or Enumerated Type; Attribute: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	No!

1	Yes!

Attribute: Numeric Equivalent or Enumerated Type

Enlcose multiple attributes in braces ({}) separated by semicolons.

0	ExtraLarge!

1	VeryLarge!

2	Large!

3	Small!

4	Fine!

5	Superscript!

6	Subscript!

7	Outline!

8	Italics!

9	Shadow!

10	Redline!

11	DoubleUnderline!

12	Bold!

13	Strikeout!

14	Underline!

15	SmallCaps!

16	Every!

See Also

ReplaceCurrent

ReplaceString

SearchNext

SearchString


Route...

Edit, Replace, enter search text in Find, enter replacement text in Replace With, choose Font from Replace, select Attributes, OK, Replace or Replace All.


For Example...

To underline replacement text, the command is:

ReplaceWithAttributes

(

State: Yes!

Attribute: Underline!

)


ReplaceWithCase

Purpose

ReplaceWithCase specifies whether text replacement is case-sensitive.

Syntax

ReplaceWithCase (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	No!

1	Yes!


Route...

Edit, Replace, enter search text in Find, enter replacement text in Replace With, choose Case from the Replace menu, Replace or Replace All.


For Example...

To replace a word or phrase with uppercase or mixed case text, depending on the case of the search text, the command is:

ReplaceWithCase

(

State: Yes!

)


ReplaceWithFont

Purpose

ReplaceWithFont specifies the font and attributes of replacement text.

Syntax

ReplaceWithFont (State: Numeric Equivalent or Enumerated Type; Name: Character Expression; Family: Numeric Expression; Attributes: Numeric Expression; Weight: Numeric Expression; Width: Numeric Expression; Source: Numeric Expression; Type: Numeric Expression; CharacterSet: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	No!

1	Yes!

Name: Character Expression

Specifies a font name.

Family: Numeric Equivalent or Enumerated Type

256	FamilyITCBenguiat!

2304	FamilyTimesRoman!

4352	FamilyITCGaramond!

6400	FamilyCenturySchoolbook!

8448	FamilyBodon!

10496	FamilyITCLubalinGraph!

12544	FamilyAlbertus!

14592	FamilyCourier!

16640	FamilyHelvetica!

18688	FamilyITCRonda!

20736	FamilyMicrostyle!

22784	FamilyOptima!

24832	FamilyLetterGothic!

26880	FamilyBrush!

28928	FamilyParkAvenue!

30976	FamilySignetRoundhand!

33024	FamilyTekton!

35072	FamilyUncial!

37120	FamilyOldEnglish!

39168	FamilyITCZapfDingbats!

41216	FamilyBroadway!

43264	FamilyComputer!

45312	FamilyPTBarnum!

47360	FamilyPonderosa!

49408	FamilyMadrone!

51456	FamilyHobo!

53504	FamilyRevue!

55552	FamilyAestheticOrnamented!

Attributes: Numeric Equivalent or Enumerated Type

0	FontMatchNormal!

1	FontMatchItalic!

2	FontMatchOutline!

4	FontMatchShadow!

8	FontMatchSmallCaps!

Weight: Numeric Equivalent or Enumerated Type

0	WeightUnknown!

1	WeightUltraThin!

8	WeightUltraLight!

16	WeightExtraThin!

24	WeightThin!

32	WeightExtraLight!

48	WeightLight!

64	WeightDemiLight!

80	WeightSemiLight!

88	WeightBook!

96	WeightRegular!

104	WeightRoman!

112	WeightMedium!

128	WeightDemiBold!

136	WeightSemiBold!

144	WeightBold!

160	WeightExtraBold!

176	WeightHeavy!

192	WeightExtraHeavy!

208	WeightBlack!

224	WeightExtraBlack!

240	WeightUltraHeavy!

248	WeightUltraBlack!

254	WeightMaximum!

Width: Numeric Equivalent or Enumerated Type

0	WidthUnknown!

16	WidthUltraCondensed!

32	WidthUltraCompressed!

48	WidthCompressed!

64	WidthExtraCondensed!

80	WidthCondensed!

96	WidthSemiCondensed!

112	WidthNormal!

128	WidthSemiExpanded!

144	WidthExpanded!

160	WidthExtraExpanded!

176	WidthUltraExpanded!

192	WidthDoubleWide!

224	WidthTripleWide!

Source: Numeric Equivalent or Enumerated Type

16	PRSFile!

20	DRSFile!

Type: Numeric Equivalent or Enumerated Type

134	Speedo!

135	Intellifont!

138	Type1!

139	TrueType!

CharacterSet: Numeric Equivalent or Enumerated Type

3	FontMatchBoxDrawing!

4	FontMatchTypographicSymbols!

5	FontMatchIconicSymbols!

6	FontMatchMath!

7	FontMatchMathExtension!

8	FontMatchGreek!

9	FontMatchHebrew!

10	FontMatchCyrillic!

11	FontMatchJapaneseKana!

12	FontMatchUserDefined!

13	FontMatchArabic!

14	FontMatchArabicScript!


Route...

Edit, Replace, enter search text in Find entry box, enter replacement text in Replace With, choose Font from Replace, specify a font, OK, Replace or Replace All.


For Example...

To specify the font and attributes for Replace With text, the command is:

ReplaceWithFont

(

State: Yes!

Name: "Courier New Bold";

Family: FamilyCourier!;

Attributes: FontMatchNormal!;

Weight: WeightExtraBold!;

Width: WidthUnknown!;

Source: DRSFile!;

Type: TrueType!;

CharacterSet: FontMatchASCII!

)


ReplaceWithFontSize

Purpose

ReplaceWithFontSize specifies the font size of replacement text.

Syntax

ReplaceWithFontSize (State: Numeric Equivalent or Enumerated Type; FontSize: Numeric Expression)

Parameters

State: Numeric Equivalent or Enumerated Type

0	No!

1	Yes!

FontSize: Numeric Expression

Specifies a font height in points, where 72 points equals one inch.


Route...

Edit, Replace, enter search text in Find, enter replacement text in Replace With, choose Font from Replace, Point Size, specify a point size.


For Example...

To specify 12 point replacement text, the command is:

ReplaceWithFontSize

(

State: Yes!

FontSize: 12

)


ReselectLastBlock

Purpose

ReselectLastBlock selects the last selected text.

This command is not recordable.  You must type it into a macro.  For a recordable command that serves the same function, use ReselectLastSelection.

Syntax

ReselectLastBlock ()

See Also

ReselectLastSelection


ReselectLastSelection

Purpose

ReselectLastSelection selects the last selected text.

Syntax

ReselectLastSelection ()


Route...

Edit, Go To, Reselect Last Selection.


ResetKeyboardMenu

Purpose

ResetKeyboardMenu resets the keyboard and menus to default settings.

This command is not recordable.  You must type it into a macro.

Syntax

ResetKeyboardMenu ()


For Example...

Since this command does not require parameters, the command name is all that is needed to perform the task.


RevealCodes

Purpose

RevealCodes specifies whether Reveal Codes is on.

Syntax

RevealCodes (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to turn on Reveal Codes.  If you omit the parameter, this command acts as a toggle.

0	Off!

1	On!


Route...

View, Reveal Codes.


For Example...

To turn off Reveal Codes, the command is:

RevealCodes

(

State: Off!

)


RulerBarShow

Purpose

RulerBarShow specifies whether to display the Ruler Bar.

Syntax

RulerBarShow (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to display the Ruler Bar.  If you omit the parameter, this command acts as a toggle.

0	Off!

1	On!


Route...

View, Ruler Bar.


For Example...

To display the Ruler Bar, the command is:

RulerBarShow

(

State: Yes!

)


SaveAll

Purpose

SaveAll saves all unsaved documents.

This command is not recordable.  You must type it into a macro.

Syntax

SaveAll ()


ScrollScreenLeft

Purpose

ScrollScreenLeft displays the hidden left side of a document window.

You must type this command into a macro.  It is not recordable.

Syntax

ScrollScreenLeft ()

See Also

ScrollScreenRight


ScrollScreenRight

Purpose

ScrollScreenRight displays the hidden right side of a document window.

You must type this command into a macro.  It is not recordable.

Syntax

ScrollScreenRight ()

See Also

ScrollScreenLeft


SearchCaseSensitive

Purpose

SearchCaseSensitive specifies whether Find is case sensitive.

Syntax

SearchCaseSensitive (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	No!

1	Yes!

See Also

SearchString


Route...

Edit, Find, enter search text, Match, Case, Find Next or Find Prev.


For Example...

To specify a case-sensitive search, the command is:

SearchCaseSensitive

(

State: Yes!

)


SearchFindWholeWordsOnly

Purpose

SearchFindWholeWordsOnly specifies whether Find matches a whole word, or if match includes only part of a word.

Syntax

SearchFindWholeWordsOnly (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	No!

1	Yes!


Route...

Edit, Find or Replace, Match, Whole Word.


For Example...

To find whole words only, the command is:

SearchFindWholeWordsOnly

(

State: Yes!

)


SearchInSelection

Purpose

SearchInSelection specifies whether search is restricted to selected text.

Syntax

SearchInSelection (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	No!

1	Yes!


Route...

Edit, Find or Replace, Options, Limit Find Within Selection.


For Example...

To restrict the search to a block of text, the command is:

SearchInSelection

(

State: Yes!

)


SearchNext

Purpose

SearchNext executes a forward search.

Syntax

SearchNext (SearchMode: Numeric Equivalent or Enumerated Type)

Parameters

SearchMode: Numeric Equivalent or Enumerated Type

Specifies the scope of a search.

0	Regular!

1	Extended!

See Also

SearchPrevious


Route...

Edit, Find, enter search text, Find Next.


For Example...

To execute a forward extended search, the command is:

SearchNext

(

SearchMode: Extended!

)


SearchPrevious

Purpose

SearchPrevious executes a backward search.

Syntax

SearchPrevious (SearchMode: Numeric Equivalent or Enumerated Type)

Parameters

SearchMode: Numeric Equivalent or Enumerated Type

Specifies the scope of a search.

0	Regular!

1	Extended!

See Also

SearchNext


Route...

Edit, Find, enter search text, Find Prev.

Edit, Replace, enter search text, Direction, Backward, Find.


For Example...

To execute a backward extended search, the command is:

SearchPrevious

(

SearchMode: Extended!

)


SearchString

Purpose

SearchString specifies a string to search for.

This command must be followed by either SearchNext or SearchPrevious.

Syntax

SearchString (StrgToLookFor: Character Expression)

Parameters

StrgToLookFor: Character Expression

Specifies search text and/or codes.


Route...

Edit, Find or Replace, enter search text.


For Example...

To search for the next occurrence of NOTE, the command is:

SearchString

(

StrgToLookFor: "NOTE"

)

SearchNext

(

SearchMode: Extended!

)


SearchWrap

Purpose

SearchWrap specifies whether Find searches from the beginning of a document after it reaches the end of a document.

Syntax

SearchWrap (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	No!

1	Yes!


Route...

Edit, Find or Replace, Options, Wrap at Beg./End of Document.


For Example...

To turn on SearchWrap, the command is:

SearchWrap

(

State: Yes!

)


SecondaryPageNumber

Purpose

SecondaryPageNumber specifies a secondary page number and inserts the code into a document.

Syntax

SecondaryPageNumber (Page: Numeric Expression)

Parameters

Page: Numeric Expression

Specifies a new secondary page number.

See Also

PageNumber

?SecondaryPageNumber


Route...

Layout, Page, Numbering, Value, New Secondary Number.


For Example...

To define a secondary page number as 10, the command is:

SecondaryPageNumber

(

Page: 10

)


SecondaryPageNumberDecrement

Purpose

SecondaryPageNumberDecrement decreases the value of the current secondary page number.

Syntax

SecondaryPageNumberDecrement ()


Route...

Layout, Page, Numbering, Value, Increase/Decrease Existing Secondary Number.


SecondaryPageNumberDisplay

Purpose

SecondaryPageNumberDisplay displays the current secondary page number, which is entered as a code and updated as the document is modified.

Syntax

SecondaryPageNumberDisplay ()


Route...

Layout, Page, Numbering, Value, Insert and Display at Insertion Point.


SecondaryPageNumberIncrement

Purpose

SecondaryPageNumberIncrement increases the value of the current secondary page number.

Syntax

SecondaryPageNumberIncrement ()


Route...

Layout, Page, Numbering, Value, Increase/Decrease Existing Secondary Number.


SecondaryPageNumberMethod

Purpose

SecondaryPageNumberMethod specifies a numbering method for secondary page numbers.

Syntax

SecondaryPageNumberMethod (NumberingMethod: Numeric Equivalent or Enumerated Type)

Parameters

NumberingMethod: Numeric Equivalent or Enumerated Type

Specifies a numbering method for secondary page numbers.

0	Numbers!

1	LowerLetters!

2	UpperLetters!

3	LowerRoman!

4	UpperRoman!

See Also

?SecondaryPageNumberMethod


Route...

Layout, Page, Numbering, Options button, Secondary, select option.


For Example...

To display secondary page numbers in uppercase roman numerals, the command is:

SecondaryPageNumberMethod

(

NumberingMethod: UpperRoman!

)


SelectAll

Purpose

SelectAll selects all text and graphics in the current window.

Syntax

SelectAll ()


Route...

Edit, Select, All.


SelectCell

Purpose

SelectCell selects the cell with the insertion point, including text and attributes.

This command is not recordable.  You must type it into a macro.

Syntax

SelectCell ()

See Also

TableSelectOn


SelectCellDown

Purpose

SelectCellDown moves the insertion point down one row, selecting text and codes from the previous position to the new position.

This command does not move the insertion point below a table when the insertion point is in the bottom row.  If the insertion point is not in a table, this command ends the macro or redirects it to the LABEL command specified by ONERROR.

Syntax

SelectCellDown ()

See Also

SelectCellUp

SelectCellDownArrow


Route...

Press Alt+Shift+Down Arrow.


SelectCellDownArrow

Purpose

SelectCellDownArrow moves the insertion point, selecting text and codes between the old and new insertion points.

This command moves the insertion point below a table when the insertion point is in the bottom row.

This command is not recordable.  You must type it into a macro.

Syntax

SelectCellDownArrow ()

See Also

SelectCellUp

SelectCellDown


SelectCellLeft

Purpose

SelectCellLeft moves the insertion point left one column, selecting text and codes from the previous position to the new position.

If the insertion point is already in the farthest left column, this command moves the insertion point up one row to the farthest left column.  If the insertion point is outside a table, this command ends the macro or redirects it to the LABEL specified by ONERROR.

You must type this command into a macro.  It is not recordable.

Syntax

SelectCellLeft ()

See Also

SelectCellRight


*** DELETED TOPIC ***


SelectCellRight

Purpose

SelectCellRight moves the insertion point right one column, selecting text and codes from the previous position to the new position.

If the insertion point is already in the farthest right column, this command moves the insertion point down one row to the farthest left column.  If the insertion point is outside a table, this command ends the macro or redirects it to the LABEL specified by ONERROR.

You must type this command into a macro.  It is not recordable.

Syntax

SelectCellRight ()

See Also

SelectCellLeft


*** DELETED TOPIC ***


SelectCellUp

Purpose

SelectCellUp moves the insertion point up one row, selecting text and codes from the previous position to the new position.

This command does not move the insertion point above a table when the insertion point is in the top row of a table.  If the insertion point is not in a table, this command ends the macro or redirects it to the LABEL specified by ONERROR.

Syntax

SelectCellUp ()

See Also

SelectCellDown

SelectCellUpArrow


Route...

Press Alt+Shift+Up Arrow.


SelectCellUpArrow

Purpose

SelectCellUpArrow moves the insertion point up one row, selecting text and codes from the previous position to the new position.

This command moves the insertion point above a table when the insertion point is in the top row of a table.

This command is not recordable.  You must type it into a macro.

Syntax

SelectCellUpArrow ()

See Also

SelectCellDownArrow

SelectCellUp


SelectCharNext

Purpose

SelectCharNext selects text or code one character position to the right.

Syntax

SelectCharNext ()

See Also

SelectCharPrevious


Route...

Press Shift+Right Arrow.


SelectCharPrevious

Purpose

SelectCharPrevious selects text and codes one character position to the left.

Syntax

SelectCharPrevious ()

See Also

SelectCharNext


Route...

Press Shift+Left Arrow.


SelectColumnBottom

Purpose

SelectColumnBottom moves the insertion point to the bottom of the current column, selecting text and codes from the previous position to the new position.

Syntax

SelectColumnBottom ()

See Also

SelectColumnTop


Route...

Press Shift+Alt+End.


SelectColumnNext

Purpose

SelectColumnNext moves the insertion point right one column, selecting text and codes from the previous position to the new position.

If the insertion point is in the farthest right column, this command moves the insertion point to the beginning of the current line, and selects text and codes from the previous position to the new position.

Syntax

SelectColumnNext ()

See Also

SelectColumnPrevious


Route...

Press Shift+Alt+Right Arrow.


SelectColumnPrevious

Purpose

SelectColumnPrevious moves the insertion point left one column, selecting text and codes from the previous position to the new position.

If the insertion point is in the farthest left column, this command moves the insertion point to the beginning of the current line, and selects text and codes from the previous position to the new position.

Syntax

SelectColumnPrevious ()

See Also

SelectColumnNext


Route...

Press Shift+Alt+Left Arrow.


SelectColumnTop

Purpose

SelectColumnTop moves the insertion point to the top of the current column, selecting text and codes from the previous position to the new position.

Syntax

SelectColumnTop ()

See Also

SelectColumnBottom


Route...

Press Shift+Alt+Home.


SelectDelete

Purpose

SelectDelete deletes selected text.

This command is not recordable.  You must type it into a macro.

Syntax

SelectDelete ()


SelectDocBottom

Purpose

SelectDocBottom moves the insertion point to the end of the document, selecting text and codes from the previous position to the new position.

Syntax

SelectDocBottom ()

See Also

SelectDocTop


Route...

Press Shift+Ctrl+End.


SelectDocTop

Purpose

SelectDocTop moves the insertion point to the beginning of the document, selecting text and codes from the previous position to the new position.

Syntax

SelectDocTop ()

See Also

SelectDocBottom

SelectDocVeryTop


Route...

Press Shift+Ctrl+Home.


SelectDocVeryTop

Purpose

SelectDocVeryTop moves the insertion point to the very beginning of the document (before all codes), selecting text and codes from the previous position to the new position.

Syntax

SelectDocVeryTop ()

See Also

SelectDocBottom

SelectDocTop


Route...

Press Ctrl+Shift+Home Home.


SelectLineBegin

Purpose

SelectLineBegin moves the insertion point to the beginning of the current line, selecting text and codes from the previous position to the new position.

Syntax

SelectLineBegin ()

See Also

SelectLineEnd


Route...

Press Shift+Home.


SelectLineDown

Purpose

SelectLineDown moves the insertion point down one line, selecting text and codes from the previous position to the new position.

Syntax

SelectLineDown ()

See Also

SelectLineUp


Route...

Press Shift+Down Arrow.


SelectLineEnd

Purpose

SelectLineEnd moves the insertion point to the end of the current line, selecting text and codes from the previous position to the new position.

Syntax

SelectLineEnd ()

See Also

SelectLineBegin


Route...

Press Shift+End.


SelectLineUp

Purpose

SelectLineUp moves the insertion point up one line, selecting text and codes from the previous position to the new position.

Syntax

SelectLineUp ()

See Also

SelectLineDown


Route...

Press Shift+Up Arrow.


SelectLineVeryBegin

Purpose

SelectLineVeryBegin moves the insertion point to the beginning of the current line, selecting text and codes from the previous position to the new position.

Syntax

SelectLineVeryBegin ()

See Also

PosLineVeryBeg

SelectLineBegin

SelectLineVeryEnd


Route...

Press Shift+Home Home.


SelectLineVeryEnd

Purpose

SelectLineVeryEnd moves the insertion point to the end of the current line, selecting text and codes from the previous position to the new position.

Syntax

SelectLineVeryEnd ()

See Also

PosLineVeryEnd

SelectLineEnd

SelectLineBegin

SelectLineVeryBegin


Route...

Press Shift+End.


SelectMode

Purpose

SelectMode specifies whether to turn on Select.  If no parameter is specified, this command toggles Select mode.  Position keys extend a selection.

Syntax

SelectMode (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	Off!

1	On!


Route...

Press F8.


For Example...

To turn on Select, the command is:

SelectMode

(

State: On!

)


SelectOff

Purpose

SelectOff turns off Select.

You must type this command into a macro.  It is not recordable.

Syntax

SelectOff ()


*** DELETED TOPIC ***


SelectOn

Purpose

SelectOn turns on Select.

You must type this command into a macro.  It is not recordable.

Syntax

SelectOn (SelectMode: Numeric Equivalent or Enumerated Type)

Parameters

SelectMode: Numeric Equivalent or Enumerated Type

Specifies a selection type.

1	CharMode!

2	WordMode!

4	SentenceMode!

8	ParagraphMode!

16	PageMode!

32	RectangleMode!

64	TabularColumnMode!

128	DocMode!

256	CharNoCellMode!


*** DELETED TOPIC ***


For Example...

To select the current sentence, the command is:

SelectOn

(

SelectMode: SentenceMode!

)


SelectPage

Purpose

SelectPage selects the current page.

Syntax

SelectPage ()


Route...

Edit, Select, Page.


SelectPageNext

Purpose

SelectPageNext moves the insertion point to the beginning of the next page, selecting text and codes from the previous position to the new position.  If the insertion point is already on the last page, this command moves the insertion point to the end of the document, selecting text and codes from the previous position to the new position.

Syntax

SelectPageNext ()

See Also

SelectPagePrevious


Route...

Press Shift+Alt+PgDn.


SelectPagePrevious

Purpose

SelectPagePrevious moves the insertion point to the beginning of the previous page, selecting text and codes from the previous position to the new position.  If the insertion point is already on the first page, this command moves the insertion point to the beginning of the document, selecting text and codes from the previous position to the new position.

Syntax

SelectPagePrevious ()

See Also

SelectPageNext


Route...

Press Shift+Alt+PgUp.


SelectParagraph

Purpose

SelectParagraph selects the current paragraph.

Syntax

SelectParagraph ()


Route...

Edit, Select, Paragraph.


SelectParagraphNext

Purpose

SelectParagraphNext moves the insertion point to the beginning of the next paragraph, selecting text and codes from the previous position to the new position.  If the insertion point is in the last paragraph of a document, this command moves the insertion point to the end of the document, selecting text and codes from the previous position to the new position.

Syntax

SelectParagraphNext ()

See Also

SelectParagraphPrevious


Route...

Press Shift+Ctrl+Down Arrow.


SelectParagraphPrevious

Purpose

SelectParagraphPrevious moves the insertion point to the beginning of the current paragraph, selecting text and codes from the previous position to the new position.

If the insertion point is at the beginning of a paragraph, this command moves the insertion point to the beginning of the preceding paragraph, and selects text and codes from the previous position to the new position.

Syntax

SelectParagraphPrevious ()

See Also

SelectParagraphNext


Route...

Press Shift+Ctrl+Up Arrow.


SelectRectangle

Purpose

SelectRectangle selects a blocked rectangle.

SelectMode must be on (press F8) for this option to record.  You can then use regular positioning keys to extend a selection.

Syntax

SelectRectangle ()


Route...

Edit, Select, Rectangle.


SelectSave

Purpose

SelectSave saves selected text as a new file.

Syntax

SelectSave (Filename: Character Expression)

Parameters

Filename: Character Expression

Specifies a name for the new file containing the selection.


Route...

Select text, File, Save or Save As, Selected Text, OK, enter a filename.


For Example...

To save selected text as a file named DOC1.WPD, the command is:

SelectSave

(

Filename: "DOC1.WPD"

)


SelectScreenDown

Purpose

SelectScreenDown selects text and codes from the insertion point to the bottom of the screen.

If the insertion point is already at the bottom of the screen, this command moves the insertion point to the bottom of the next screen, and selects text and codes from the previous position to the new position.

Syntax

SelectScreenDown ()

See Also

SelectScreenUp


Route...

Press Shift+PgDn.


SelectScreenLeft

Purpose

SelectScreenLeft moves the insertion point to the left side of the screen, and selects text and codes from the previous position to the new position.

If the insertion point is already on the left side of the screen, this command moves the insertion point to the left side of the next screen, or at the left margin of a document.

You must type this command into a macro.  It is not recordable.

Syntax

SelectScreenLeft ()

See Also

PosScreenLeft

SelectScreenRight


*** DELETED TOPIC ***


SelectScreenRight

Purpose

SelectScreenRight moves the insertion point to the right side of the screen, and selects text and codes from the previous position to the new position.

If the insertion point is already on the right side of the screen, this command moves the insertion point to the right side of the next screen, or at the right margin of a document.

This command is not recordable.  You must type it into a macro.

Syntax

SelectScreenRight ()

See Also

PosScreenRight

SelectScreenLeft


SelectScreenUp

Purpose

SelectScreenUp selects text and codes from the insertion point to the top of the screen.

If the insertion point is already at the top of the screen, this command moves the insertion point to the top of the next screen, and selects text and codes from the previous position to the new position.

Syntax

SelectScreenUp ()

See Also

SelectScreenDown


Route...

Press Shift+PgUp.


SelectSentence

Purpose

SelectSentence selects the current sentence.

Syntax

SelectSentence ()


Route...

Edit, Select, Sentence.


SelectSentenceNext

Purpose

SelectSentenceNext selects everything from the insertion point to the beginning of the next sentence.

This command is not recordable.  You must type it into a macro.

Syntax

SelectSentenceNext ()

See Also

SelectSentencePrevious


SelectSentencePrevious

Purpose

SelectSentencePrevious selects everything from the insertion point to the end of the previous sentence.

This command is not recordable.  You must type it into a macro.

Syntax

SelectSentencePrevious ()

See Also

SelectSentenceNext


SelectTable

Purpose

SelectTable selects all cells in the current table.

You must type this command into a macro.  It is not recordable.

If the insertion point is not in a table, this command terminates the macro or redirects the macro to the LABEL specified by ONERROR.

Syntax

SelectTable ()

See Also

SelectTableColumn

SelectTableRow


SelectTableColumn

Purpose

SelectTableColumn selects all cells in the current column.

You must type this command into a macro.  It is not recordable.

Syntax

SelectTableColumn ()

See Also

SelectTable

SelectTableRow


SelectTableColumnExtendLeft

Purpose

SelectTableColumnExtendLeft selects cells from the insertion point to the farthest left cell.

You must type this command into a macro.  It is not recordable.

Syntax

SelectTableColumnExtendLeft ()

See Also

SelectTableColumnExtendRight


SelectTableColumnExtendRight

Purpose

SelectTableColumnExtendRight selects all cells from the insertion point to the beginning of the farthest right cell.

You must type this command into a macro.  It is not recordable.

Syntax

SelectTableColumnExtendRight ()

See Also

SelectTableColumnExtendLeft


SelectTableRow

Purpose

SelectTableRow selects the cells in the current row.

You must type this command into a macro.  It is not recordable.

Syntax

SelectTableRow ()

See Also

SelectTable

SelectTableColumn


SelectTabularColumn

Purpose

SelectTabularColumn selects one or more blocked tabular columns.

SelectMode must be on (press F8) for this option to be recordable.  You can then use regular positioning keys to extend a selection.

Syntax

SelectTabularColumn ()


Route...

Edit, Select, Tabular Column.


SelectToggle

Purpose

SelectToggle toggles Select mode.

You must type this command into a macro.  It is not recordable.

Syntax

SelectToggle ()


SelectWord

Purpose

SelectWord selects the word containing the insertion point.

You must type this command into a macro.  It is not recordable.

Syntax

SelectWord ()


SelectWordNext

Purpose

SelectWordNext selects everything from the insertion point to the beginning of the next word.

Syntax

SelectWordNext ()


Route...

Press Shift+Ctrl+Right Arrow.


SelectWordPrevious

Purpose

SelectWordPrevious selects everything from the insertion point to the end of the previous word.

Syntax

SelectWordPrevious ()


Route...

Press Shift+Ctrl+Left Arrow.


SetDefaultFileFormat

Purpose

SetDefaultFileFormat specifies the default file format.

Syntax

SetDefaultFileFormat (DefaultType: Numeric Equivalent or Enumerated Type)

Parameters

DefaultType: Numeric Equivalent or Enumerated Type

1	WordPerfect_42!

2	WordPerfect_50!

3	WordPerfect_51!

4	WordPerfect_60!

30	WordStar_33!

31	WordStar_331!

32	WordStar_34!

33	WordStar_40!

34	WordStar_50!

35	WordStar_55!

36	WordStar_60!

50	WordStar2000_10!

51	WordStar2000_20!

52	WordStar2000_30!

62	MicroSoftWord_40!

63	MicroSoftWord_50!

64	MicroSoftWord_55!

70	WordForWindows_10!

71	WordForWindows_11!

72	WordForWindows_1A!

73	WordForWindows_20!

74	WordForWindows_20a!

75	WordForWindows_20b!

80	RFT!

81	FFT!

82	DisplayWrite_40!

83	DisplayWrite_42!

84	DisplayWrite_50!

100	MultiMate_33!

101	MultiMateAdvantage_36!

102	MultiMateAdvantageII_10!

103	MultiMate_40!

120	OfficeWriter_60!

121	OfficeWriter_61!

122	OfficeWriter_611!

123	OfficeWriter_62!

150	RTF!

160	ASCIIStandard!

161	ANSIText_Windows!

163	DelimitedText!

165	ASCIIStripped!

173	Kermit_7bit_Transfer!

175	NavyDIF!

190	XyWriteIIIPlus_355!

191	XyWriteIIIPlus_356!

311	AmiPro_12!

312	AmiPro_12A!

313	AmiPro_12B!

314	AmiPro_20!

315	AmiPro_30!

656	ANSIDelimitedTextWindows!

657	ANSIGenericWordProcessor_Windows!

807	Excel_40!

See Also

PrefSave


Route...

File, Save As, Setup button, select a file format from the Default Save File Format list box.


For Example...

To set the default file format to WordPerfect 6.0 for Windows, the command is:

SetDefaultFileFormat

(

DefaultType: WordPerfect_60!

)


SetDocumentMapping

Purpose

SetDocumentMapping specifies which character map contains one-byte characters, as opposed to extended characters, when additional character maps are installed.

Syntax

SetDocumentMapping (MapName: Character Expression; Location: Numeric Equivalent or Enumerated Type; Filename: Character Expression)

Parameters

MapName: Character Expression

Specifies a character map name.

Location: Numeric Equivalent or Enumerated Type

Specifies whether a character map is internal or external.

0	MapInternal!

1	MapExternal!

Filename: Character Expression (optional)

Specifies a file containing a character map.


Route...

Layout, Document, Character Mapping, select a character map from the Document Character Map list box, Apply.


For Example...

To specify an internal Greek character map as the map containing one-byte characters, the command is:

SetDocumentMapping

(

MapName: "Greek";

Location: MapInternal!

)


SettingsDlg

Purpose

SettingsDlg displays the Preferences dialog box.

You must type this command into a macro.  It is not recordable.

Syntax

SettingsDlg ()


SetupWritingToolsDlg

Purpose

SetupWritingToolsDlg displays the Writing Tools dialog box.

You must type this command into a macro.  It is not recordable.

Syntax

SetupWritingToolsDlg ()


ShiftTabKey

Purpose

ShiftTabKey inserts [Hd Back Tab] at the insertion point.

Syntax

ShiftTabKey ()


Route...

Press Shift+Tab.


ShowBoxes

Purpose

ShowBoxes specifies whether to display graphics boxes.

You must type this command into a macro.  It is not recordable.

Syntax

ShowBoxes (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	Off!

1	On!

See Also

?ShowBoxes


For Example...

To display graphics boxes, the command is:

ShowBoxes

(

State: On!

)


ShowGraphics

Purpose

ShowGraphics toggles Graphics.

Syntax

ShowGraphics ()


Route...

View, Graphics.


ShowHiddenText

Purpose

ShowHiddenText toggles Hidden Text.

You must type this command into a macro.  It is not recordable.

Syntax

ShowHiddenText ()


ShowSymbols

Purpose

ShowSymbols toggles show symbols for features such as Space, Hard Return, and Tab.

Syntax

ShowSymbols ()


Route...

View, Show.


SoftHyphen

Purpose

SoftHyphen inserts a soft hyphen at the insertion point.

Syntax

SoftHyphen ()


Route...

Layout, Line, Other Codes, Soft Hyphen [-Soft Hyphen].


SoftSpace

Purpose

SoftSpace inserts a space at the insertion point.

You must type this command into a macro.  It is not recordable.

Syntax

SoftSpace ()

See Also

HardSpace


Sort

Purpose

Sort specifies a file to sort and a file to which the changes are written.  The current document is the default.

Syntax

Sort (InFile: Character Expression; OutFile: Character Expression)

Parameters

InFile: Character Expression (optional)

Specifies a file to sort.  If this parameter is omitted, the current document is sorted.

OutFile: Character Expression (optional)

Specifies a file a sort writes to.  If this parameter is omitted, the sort updates the current document.


Route...

Tools, Sort.


For Example...

To sort the current document and save it as a file named RESULT, the command is:

Sort

(

OutFile: "RESULT"

)


SortAction

Purpose

SortAction specifies whether to sort a file or select only certain records.

Syntax

SortAction (SortAction: Numeric Equivalent or Enumerated Type)

Parameters

SortAction: Numeric Equivalent or Enumerated Type

Specifies a sort type.

0	Sort!

1	SelectOnly!

See Also

?SortGetAction


Route...

Tools, Sort, Select Without Sorting.


For Example...

To select only certain records without changing their order, the command is:

SortAction

(

SortAction: SelectOnly!

)


SortCaseOrder

Purpose

SortCaseOrder specifies case priority.

Syntax

SortCaseOrder (Case: Numeric Equivalent or Enumerated Type)

Parameters

Case: Numeric Equivalent or Enumerated Type

Specifies which case has sort priority.

0	LowercaseFirst!

1	UppercaseFirst!

See Also

?SortGetCase


Route...

Tools, Sort, Uppercase First.


For Example...

To prioritize uppercase entries, the command is:

SortCaseOrder

(

Case: UppercaseFirst!

)


SortDlg

Purpose

SortDlg displays the Sort (Source and Destination) dialog box.

Syntax

SortDlg ()


Route...

Tools, Sort.


SortKeys

Purpose

SortKeys specifies sort key options.

Syntax

SortKeys ({Field: Numeric Expression; Line: Numeric Expression; Word: Numeric Expression; SortType: Numeric Equivalent or Enumerated Type; SortOrder: Numeric Equivalent or Enumerated Type})

Parameters

Field: Numeric Expression

Specifies a field to sort.

Line: Numeric Expression

Specifies a line to sort within a specified field.  This parameter is always one (1) if the sort type is Line.

Word: Numeric Expression

Specifies a word to sort within a specified line and field.

SortType: Numeric Equivalent or Enumerated Type

Perform a numeric or alphanumeric sort.

0	Alphanumeric!

1	Numeric!

SortOrder: Numeric Equivalent or Enumerated Type

Perform an ascending (a-z and 0-9) or descending (z-a and 9-0) sort.

0	Ascending!

1	Descending!


Route...

Tools, Sort, specify key definitions.


For Example...

To sort ZIP Codes that are the only word on the only line in the sixth field of a data file, the command is:

SortKeys

({

Field: 6;

Line: 1;

Word: 1;

SortType: Numeric!;

SortOrder: Ascending!

})


SortSelectString

Purpose

SortSelectString inserts a character string into the Select Records text box of the Sort dialog box.

Syntax

SortSelectString (SelectString: Character Expression)

Parameters

SelectString: Character Expression

Specifies text to select.


Route...

Tools, Sort, Select Records, type character string.


For Example...

To sort and select only records that contain the ZIP Code 84057 in the field defined by Key1, the command is:

SortSelectString

(

SelectString: "Key1=84057"

)


SortType

Purpose

SortType specifies a source file format.

ParagraphSort! sorts the file leaving paragraphs intact; LineSort! sorts each line of the file individually; ColumnSort! sorts parallel columns; TableSort! sorts a table where rows act as lines and cells act as fields; and MergeSort! sorts a data file.

Syntax

SortType (SortType: Numeric Equivalent or Enumerated Type)

Parameters

SortType: Numeric Equivalent or Enumerated Type

Specifies a sort type reflecting a source file format.

0	ParagraphSort!

1	LineSort!

2	ColumnSort!

3	TableSort!

4	MergeSort!


Route...

Tools, Sort, select a record type.


For Example...

To specify the source file as a data file, the command is:

SortType

(

SortType: MergeSort!

)


SoundClipAddInstance

Purpose

SoundClipAddInstance adds another reference to a sound clip that is already in a document.

Syntax

SoundClipAddInstance (Description: Character Expression)

Parameters

Description: Character Expression

Specifies a sound clip name.

See Also

SoundClipCreate


Route...

Insert, Sound, Insert, specify the name of a sound clip already in the document, OK.


For Example...

To add another reference to a sound clip named Clip #1 to the current document, the command is:

SoundClipAddInstance (

Description: "Clip #1")


SoundClipCreate

Purpose

SoundClipCreate inserts a sound clip from a file into Sound Clips in the Document dialog box.

Syntax

SoundClipCreate (Description: Character Expression; Filename: Character Expression; SoundFileType: Numeric Equivalent or Enumerated Type; ClipType: Numeric Equivalent or Enumerated Type; LeftVolume: Numeric Expression; RightVolume: Numeric Expression)

Parameters

Description: Character Expression

Specifies a sound clip description.

Filename: Character Expression

Specifies a sound clip filename.

SoundFileType: Numeric Equivalent or Enumerated Type

Specifies a sound clip location.

0	OnDisk!

1	InDoc!

ClipType: Numeric Equivalent or Enumerated Type

Specifies a sound clip type.

0	MIDI!

1	DigitalAudio!

LeftVolume: Numeric Expression

Specifies the left speaker volume.

RightVolume: Numeric Expression

Specifies the right speaker volume.


Route...

Insert, Sound, Insert, enter a filename.


For Example...

To give a sound clip on disk the description Duplicate of Exit and to insert it into the document, the command is:

SoundClipCreate

(

Description: "Duplicate of Exit";

Filename: "c:\wp60\exit.snd";

SoundFileType: OnDisk!;

ClipType: DigitalAudio!;

LeftVolume: 10;

RightVolume: 10

)


SoundClipDelete

Purpose

SoundClipDelete deletes a sound clip.

Syntax

SoundClipDelete (Description: Character Expression)

Parameters

Description: Character Expression

Specifies a sound clip description to delete.


Route...

Insert, Sound, select a sound clip, Delete.


For Example...

To delete a sound clip named OPEN.SND, the command is:

SoundClipDelete

(

Description: "OPEN.SND"

)


SoundClipDlg

Purpose

SoundClipDlg displays the Sound Clips dialog box.

Syntax

SoundClipDlg ()


Route...

Insert, Sound.


SoundClipPlayNext

Purpose

SoundClipPlayNext plays a specified sound clip.

You must type this command into a macro.  It is not recordable.

Syntax

SoundClipPlayNext (Description: Character Expression; StartPos: Numeric Expression; EndPos: Numeric Expression)

Parameters

Description: Character Expression

Specifies the description of a sound clip to play.

StartPos: Numeric Expression

Specifies in seconds a sound clip starting point.

EndPos: Numeric Expression

Specifies in seconds a sound clip ending point.


For Example...

To play a sound clip with the description Close, the command is:

SoundClipPlayNext

(

Description: "Close"

StartPos: 1;

EndPos: 5

)


SoundClipSetAttributes

Purpose

SoundClipSetAttributes specifies sound clip attributes.

You must type this command into a macro.  It is not recordable.

Syntax

SoundClipSetAttributes (Description: Character Expression; Type: Numeric Equivalent or Enumerated Type; LeftVolume: Numeric Expression; RightVolume: Numeric Expression)

Parameters

Description: Character Expression

Specifies a sound clip description.

Type: Numeric Equivalent or Enumerated Type

0	MIDI!

1	DigitalAudio!

LeftVolume: Numeric Expression

Specifies left speaker volume.

RightVolume: Numeric Expression

Specifies right speaker volume.


For Example...

To specify sound clip attributes of a sound clip named Close, the command is:

SoundClipSetAttributes

(

Description: "Close";

Type: DigitalAudio!;

LeftVolume: 10;

RightVolume: 10

)


SoundClipSetDescription

Purpose

SoundClipSetDescription renames a sound clip.

Syntax

SoundClipSetDescription (OldDescription: Character Expression; NewDesription: Character Expression)

Parameters

OldDescription: Character Expression

Specifies the old sound clip description name.

NewDesription: Character Expression

Specifies the new sound clip description name.


Route...

Insert, Sound, select a sound clip, Edit Desc, enter a new description.


For Example...

To rename a sound clip, the command is:

SoundClipSetDescription

(

OldDescription: "CloseOld";

NewDescription: "CloseNew"

)


SoundClipSetFilename

Purpose

SoundClipSetFilename assigns a new filename to a sound clip.

You must type this command into a macro.  It is not recordable.

Syntax

SoundClipSetFilename (Description: Character Expression; Filename: Character Expression; Location: Numeric Equivalent or Enumerated Type)

Parameters

Description: Character Expression

Specifies a sound clip description.

Filename: Character Expression

Specifies a sound clip name.

Location: Numeric Equivalent or Enumerated Type

Specifies a sound clip location.

0	OnDisk!

1	InDoc!


For Example...

To select a sound clip file from disk, the command is:

SoundClipSetFilename

(

Description: "Clip";

Filename: "C:\WPWIN60\CLIP.WAV";

Location: OnDisk!

)


SpecificDeleteStringBegin

Purpose

SpecificDeleteStringBegin deletes specific codes.

SpecificDeleteStringBegin must be followed by a macro command corresponding to a specific code to delete.  This command must be used in conjunction with other commands, such as ReplaceBackward, ReplaceForward, and SpecificStringEnd.

Syntax

SpecificDeleteStringBegin ()

See Also

ReplaceBackward

ReplaceForward

SpecificReplaceStringBegin

SpecificSearchStringBegin

SpecificStringEnd

MatchSelection


Route...

Edit, Replace, Type, Specific Codes, select a code type, specify a specific code, Replace with Nothing, Replace or Replace All.


SpecificReplaceStringBegin

Purpose

SpecificReplaceStringBegin replaces a specific code with another specific code.

A macro command corresponding to a specific replacement code must follow SpecificReplaceStringBegin.  The code being replaced is specified using SpecificSearchStringBegin.  SpecificReplaceStringBegin must be used in conjunction with other commands, such as ReplaceBackward, ReplaceForward, SpecificSearchStringBegin, and SpecificStringEnd.

Syntax

SpecificReplaceStringBegin ()

See Also

ReplaceBackward

ReplaceForward

SpecificSearchStringBegin

SpecificStringEnd


Route...

Edit, Replace, Type, Specific Codes, select a code type, specify a code, Replace or Replace All.


SpecificSearchStringBegin

Purpose

SpecificSearchStringBegin finds a specific code.

A macro command corresponding to a specific code to find must follow SpecificSearchStringBegin.  This command must be used in conjunction with SpecificStringEnd.

Syntax

SpecificSearchStringBegin ()

See Also

SearchNext

SearchPrevious

SpecificDeleteStringBegin

SpecificReplaceStringBegin

SpecificStringEnd


Route...

Edit, Find, Type, Specific Codes, select a code type, specify a code, Find Next.

Edit, Replace, Type Specific Codes, select a code type, specify a code, Replace or Replace All.


SpecificStringEnd

Purpose

SpecificStringEnd is the closing command for a specific code search. This command must be preceded by SpecificSearchStringBegin, SpecificReplaceStringBegin, or SpecificDeleteStringBegin, and a command which specifies the specific code to search.

Syntax

SpecificStringEnd ()

See Also

SpecificDeleteStringBegin

SpecificReplaceStringBegin

SpecificSearchStringBegin


Route...

Edit, Find, Type, Specific Codes, select a code type, specify a code, Find or Find Next.

Edit, Replace, Type, Specific Codes, select a code type, specify a code, Replace or Replace All.


For Example...

To search for a 12 point font size code, the command sequence is:

SpecificSearchStringBegin ()

FontSize

(

FontSize: 12p

)

SpecificStringEnd ()


SpreadsheetShowLinkCode

Purpose

SpreadsheetShowLinkCode specifies whether to display spreadsheet link codes.

Syntax

SpreadsheetShowLinkCode (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to display spreadsheet link codes.

0	No!

1	Yes!

See Also

ImportOptionsDlg


Route...

Insert, Spreadsheet/Database, Options, Show Link Icons.


For Example...

To display spreadsheet link codes, the command is:

SpreadsheetShowLinkCode

(

State: Yes!

)


SpreadsheetUpdateOnRetrieve

Purpose

SpreadsheetUpdateOnRetrieve specifies whether to update spreadsheet links every time the document containing them is retrieved.

Syntax

SpreadsheetUpdateOnRetrieve (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to update spreadsheet links when retrieved with a document.

0	No!

1	Yes!

See Also

ImportOptionsDlg


Route...

Insert, Spreadsheet/Database, Options, Update on Retrieve.


For Example...

To update all spreadsheet links when the document they are in is retrieved, the command is:

SpreadsheetUpdateOnRetrieve

(

State: Yes!

)


StatusBarShow

Purpose

StatusBarShow specifies whether to display the Status Bar. If the parameter is omitted, this command acts as a toggle.

Syntax

StatusBarShow (State:  Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to display the Status Bar.

0	Off!

1	On!


Route...

View, Status Bar.


For Example...

To display the status bar, the command is:

StatusBarShow

(

State: On!

)


StyleCodes

Purpose

StyleCodes edits style codes.

This command must be used in conjunction with other commands, such as StyleEditBegin, StyleEditEnd, and SubstructureExit.

Syntax

StyleCodes (State: Numeric Equivalent or Enumerated Type; Library: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to include codes that take effect when the style is turned off.

0	WithoutOffCodes!

1	WithOffCodes!

Library: Numeric Equivalent or Enumerated Type

Specifies the styles codes location.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

StyleEditBegin

StyleEditEnd


Route...

Layout, Styles, select a style, Edit, Content.


For Example...

To add a Times font code to a style named Heading, the command sequence is:

StyleEditBegin

(

Style: "Heading";

Library: CurrentDoc!

)

StyleCodes

(

State: WithOffCodes!;

Library: CurrentDoc!

)

Font

(

Name: "Times"

)

SubstructureExit ()

StyleEditEnd

(

State: Save!

)


StyleCopy

Purpose

StyleCopy copies a style between the current document, the Personal Library, and the shared library.

Syntax

StyleCopy (Style: Numeric Equivalent or Enumerated Type; FromLibrary: Numeric Equivalent or Enumerated Type; ToLibrary: Numeric Equivalent or Enumerated Type; NewName: Character Expression)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies the name of a style to copy.  This parameter accepts a character expression to specify a user-defined style.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

FromLibrary: Numeric Equivalent or Enumerated Type

Specifies a style library source.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

ToLibrary: Numeric Equivalent or Enumerated Type

Specifies a destination style library.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

NewName: Character Expression (optional)

Specifies a new style name.

See Also

StyleCreate

StyleDelete


Route...

Layout, Styles, select a style, Options, Copy, select a destination, OK, enter a style name (if applicable).


For Example...

To copy a style named Heading from the current document to the Personal Library, the command is:

StyleCopy

(

Style: "Heading";

FromLibrary: CurrentDoc!;

ToLibrary: PersonalLibrary!;

NewName: "MyStyle"

)


StyleCreate

Purpose

StyleCreate creates a style.

Syntax

StyleCreate (Name: Character Expression; Type: Numeric Equivalent or Enumerated Type; CreateFlag: Numeric Equivalent or Enumerated Type; Library: Numeric Equivalent or Enumerated Type)

Parameters

Name: Character Expression

Specifies a style name.

Type: Numeric Equivalent or Enumerated Type

Specifies a style type.

1	OpenStyle!

2	CharacterStyle!

3	ParagraphStyle!

CreateFlag: Numeric Equivalent or Enumerated Type

Specifies a pattern to base a style on.

1	CreateFromCurrent!

2	CreateBulletStyle!

3	CreateNumberStyle!

Library: Numeric Equivalent or Enumerated Type

Specifies where to save a style.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

StyleEditBegin

StyleEditEnd


Route...

Layout, Styles, Create, enter a style name, select a style type.


For Example...

To create a paragraph style named Heading and save it in the Personal Library, the command is:

StyleCreate

(

Name: "Heading";

Type: ParagraphStyle!;

CreateFlag: CreateFromCurrent!;

Library: PersonalLibrary!

)


StyleDelete

Purpose

StyleDelete deletes a style.

Syntax

StyleDelete (Style: Numeric Equivalent or Enumerated Type; Codes: Numeric Equivalent or Enumerated Type; Library: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies the name of a style to delete.  This parameter accepts a character expression to specify a user-defined style.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

Codes: Numeric Equivalent or Enumerated Type

Specifies whether to delete document style codes with the style.

4	IncludingCodes!

5	LeavingCodes!

Library: Numeric Equivalent or Enumerated Type

Specifies the library containing a style to delete.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

StyleCopy

StyleCreate


Route...

Layout, Styles, select a style, Options, Delete, select Include Codes or Leave Codes.


For Example...

To delete a style named Heading from the default Personal Library, leaving the codes that are part of the style in the document, the command is:

StyleDelete

(

Style: "Heading";

Codes: LeavingCodes!;

Library: PersonalLibrary!

)


StyleDescription

Purpose

StyleDescription changes a style description.

This command must be used in conjunction with other commands, such as StyleEditBegin and StyleEditEnd.

Syntax

StyleDescription (Description: Character Expression)

Parameters

Description: Character Expression

Specifies a style description.

See Also

StyleCreate

StyleEditBegin

StyleEditEnd


Route...

Layout, Style, select a style, Edit, Description, enter a description.


For Example...

To change the description of a style named Heading in the current document, the command sequence is:

StyleEditBegin

(

Style: "Heading";

Library: CurrentDoc!

)

StyleDescription

(

Description: "1st level heading style"

)

StyleEditEnd

(

State: Save!

)


StyleEditBegin

Purpose

StyleEditBegin marks the start of changes to a style.

Any changes must appear between StyleEditBegin and StyleEditEnd.

Syntax

StyleEditBegin (Style: Numeric Equivalent or Enumerated Type; Library: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies the name of a style to edit.  This parameter accepts a character expression to specify a user-defined style.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

Library: Numeric Equivalent or Enumerated Type

Specifies a style library to edit.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

StyleEditEnd


Route...

Layout, Styles, select a style, Edit.


For Example...

To begin editing a style named Heading saved in the current document, the command is:

StyleEditBegin

(

Style: "Heading";

Library: CurrentDoc!

)


StyleEditEnd

Purpose

StyleEditEnd marks the end of changes to a style and specifies whether to save the changes.

This command must be used in conjunction with StyleEditBegin.

Syntax

StyleEditEnd (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to save changes made to a style.

0	Cancel!

1	Save!

See Also

StyleEditBegin


Route...

Layout, Styles, select a style, Edit, make editing changes.


For Example...

To end style editing and save changes, the command is:

StyleEditEnd

(

State: Save!

)


StyleEnterKeySetting

Purpose

StyleEnterKeySetting specifies the effect of pressing Enter when a style is on.

This command must be used in conjunction with other commands, such as StyleEditBegin and StyleEditEnd.

Syntax

StyleEnterKeySetting (Action: Numeric Equivalent or Enumerated Type)

Parameters

Action: Numeric Equivalent or Enumerated Type

Specifies the effect of pressing Enter.

0	HardReturn!

4	StyleOff!

12	StyleOffOn!

See Also

StyleEditBegin

StyleEditEnd

StyleLinkTo


Route...

Layout, Styles, select a style, Edit, Enter Key will Chain to, select an option.


For Example...

To specify that Enter turns off a style named Heading, the command sequence is:

StyleEditBegin

(

Style: "Heading"

)

StyleEnterKeySetting

(

Action: StyleOff!

)

StyleEditEnd

(

State: Save!

)


StyleLinkTo

Purpose

StyleLinkTo specifies a style to turn on when Enter is pressed.

This command must be used in conjunction with other commands, such as StyleEditBegin and StyleEditEnd.

Syntax

StyleLinkTo (Style: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies the name of a style to link to another style.  This parameter accepts a character expression to specify a user-defined style.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

See Also

StyleEditBegin

StyleEditEnd

StyleEnterKeySetting


Route...

Layout, Styles, select a style, Edit, Enter Key will Chain to, specify a style.


For Example...

To link a style named Body Text to a style named Heading, the command sequence is:

StyleEditBegin

(

Style: "Heading"

)

StyleLinkTo

(

Style: "Body Text"

)

StyleEditEnd

(

State: Save!

)


StyleOff

Purpose

StyleOff turns off a character style.

You must type this command into a macro.  It is not recordable.

This command must be used in conjunction with other commands, such as StyleOn.

Syntax

StyleOff (Style: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies the name of a style to turn off.  This parameter accepts a character expression to specify a user-defined style.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!


For Example...

To turn off a style named Description, the command is:

StyleOff

(

Style: "Description"

)


StyleOn

Purpose

StyleOn turns on a system style.

You must type this command into a macro.  It is not recordable. For a recordable command with similar functionality, use StyleSystemOn.

Syntax

StyleOn (Style: Numeric Equivalent or Enumerated Type or Character Expression; Action: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type or Character Expression

Specifies a style. Select a numeric equivalent or enumerated type to specify a pre-defined style, or use a character expression to specify a user-created style.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

Action: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to skip empty paragraphs.

1	SkipEmptyParagraphs!

See Also

StyleSystemOn

StyleOff


For Example...

To turn on the Heading 1 system style and skip empty paragraphs, the command is:

StyleOn

(

Style: Heading1Style!

Action: SkipEmptyParagraphs!

)


StylePersonalLibrary

Purpose

StylePersonalLibrary is used in WordPerfect for DOS to specify a Personal Library style file for the current document.

This command is included for compatibility with the WordPerfect for DOS macro language and does not function in WordPerfect for Windows.  Use StyleSave or StyleCopy to place a style in a specified style file.

Syntax

StylePersonalLibrary (Filename: Character Expression)

Parameters

Filename: Character Expression

Specifies the name of a Personal Library file.

See Also

StyleSave

StyleCopy


StyleRename

Purpose

StyleRename renames a style.

This command must be used in conjunction with other commands, such StyleEditBegin and StyleEditEnd.

Syntax

StyleRename (Name: Character Expression)

Parameters

Name: Character Expression

Specifies a new style name.

See Also

StyleEditBegin

StyleEditEnd


Route...

Layout, Styles, select a style, Edit, Style Name, enter a name.


For Example...

To rename a style from Heading to Level1, the command sequence is:

StyleEditBegin

(

Style: "Heading"

)

StyleRename

(

Name: "Level1"

)

StyleEditEnd

(

State: Save!

)


StyleRetrieve

Purpose

StyleRetrieve retrieves the styles in a specified style file.

Syntax

StyleRetrieve (File: Character Expression; Styles: Numeric Equivalent or Enumerated Type; Library: Numeric Equivalent or Enumerated Type)

Parameters

File: Character Expression

Specifies the name of a style file to retrieve.

Styles: Numeric Equivalent or Enumerated Type

Specifies the type of style to retrieve.

1	UserStyles!

2	SystemStyles!

3	AllStyles!

Library: Numeric Equivalent or Enumerated Type

Specifies a destination library for the retrieved styles.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

StyleSave


Route...

Layout, Styles, Options, Retrieve, enter the name of a style file.


For Example...

To retrieve a style file named SCRIPT.STY into the current document, the command is:

StyleRetrieve

(

File: "SCRIPT.STY";

Styles: AllStyles!;

Library: CurrentDoc!

)


StyleSave

Purpose

StyleSave saves styles from a library to a style file.

Syntax

StyleSave (Filename: Character Expression; StyleType: Numeric Equivalent or Enumerated Type; Library: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Specifies the name of a style file to save.

StyleType: Numeric Equivalent or Enumerated Type

Specifies style types to save.

1	UserStyles!

2	SystemStyles!

3	AllStyles!

Library: Numeric Equivalent or Enumerated Type

Specifies the source library of styles to save.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

StyleRetrieve


Route...

Layout, Styles, Options, Save As, enter a style file name.


For Example...

To save the styles in the Personal Library in a style file named SCRIPT.STY, the command is:

StyleSave

(

Filename: "SCRIPT.STY";

StyleType: UserStyles!;

Library: PersonalLibrary!

)


StyleSharedLibrary

Purpose

StyleSharedLibrary is used in WordPerfect for DOS to specify a shared library style file for the current document.

This command is included for compatibility with the WordPerfect for DOS macro language and does not function in WordPerfect for Windows.  Use StyleSave or StyleCopy to place a style in a specified style file.

Syntax

StyleSharedLibrary (Filename: Character Expression)

Parameters

Filename: Character Expression

Specifies the name of a shared library file.

See Also

StyleSave

StyleCopy


StylesListDlg

Purpose

StylesListDlg displays the Style List dialog box.

Syntax

StylesListDlg ()


Route...

Layout, Styles.


StyleSystemOn

Purpose

StyleSystemOn turns on a system style or user-defined style.

Syntax

StyleSystemOn (Style: Numeric Equivalent or Enumerated Type or Character Expression; Action: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type or Character Expression

Specifies the name of a system style to turn on.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

Action: Numeric Equivalent or Enumerated Type

Specifies whether to skip empty paragraphs.

1	SkipEmptyParagraphs!


Route...

Layout, Styles, select a system style, Apply.


For Example...

To turn on the Heading 1 system style, the command is:

StyleSystemOn

(

Style: Heading1Style!;

Action: SkipEmptyParagraphs!

)


StyleType

Purpose

StyleType specifies a style type.

This command must be used in conjunction with other commands, such as StyleEditBegin and StyleEditEnd.

Syntax

StyleType (Type: Numeric Equivalent or Enumerated Type)

Parameters

Type: Numeric Equivalent or Enumerated Type

Specifies a style type.

1	OpenStyle!

2	CharacterStyle!

3	ParagraphStyle!

See Also

StyleEditBegin

StyleEditEnd


Route...

Layout, Styles, select a style, Edit, Type, select a type.


For Example...

To specify a paragraph style type for a style named Heading, the command sequence is:

StyleEditBegin

(

Style: "Heading"

)

StyleType

(

Type: ParagraphStyle!

)

StyleEditEnd

(

State: Save!

)


SubdividePage

Purpose

SubdividePage divides a physical page into two or more logical pages.

Syntax

SubdividePage (Columns: Numeric Expression; Rows: Numeric Expression)

Parameters

Columns: Numeric Expression

Specifies the number of logical page columns on a physical page.

Rows: Numeric Expression

Specifies the number of logical page rows on a physical page.


Route...

Layout, Page, Subdivide Page, enter the number of columns and rows.


For Example...

To subdivide a physical page into four logical pages (two columns and two rows), the command is:

SubdividePage

(

Columns: 2;

Rows: 2

)


SubdividePageDlg

Purpose

SubdividePageDlg displays the Subdivide Page dialog box.

Syntax

SubdividePageDlg ()


Route...

Layout, Page, Subdivide Page.


SubdividePageOff

Purpose

SubdividePageOff turns off the Layout option Subdivide Page.

Syntax

SubdividePageOff ()

See Also

SubdividePage


Route...

Layout, Page, Subdivide Page, Off.


SubdocInclude

Purpose

SubdocInclude inserts a document into the current document as a subdocument.

Syntax

SubdocInclude (DocumentName: Character Expression)

Parameters

DocumentName: Character Expression

Specifies the name of a file to insert as a subdocument.


Route...

File, Master Document, Subdocument, enter a filename, Include.


For Example...

To insert a document named CHAPTER3 as a subdocument, the command is:

SubdocInclude

(

DocumentName: "CHAPTER3"

)


SubstructureExit

Purpose

SubstructureExit closes the current substructure.

Syntax

SubstructureExit (Action: Numeric Equivalent or Enumerated Type)

Parameters

Action:  Numeric Equivalent or Enumerated Type (optional)

Specifies whether to open the previous or the next substructure of the same type.

1	Previous!

15	Next!


Route...

From a feature bar, choose Next, Previous, or Close.


For Example...

To exit the current substructure and enter the next, the command is:

SubstructureExit

(

Action: Next!

)


Suppress

Purpose

Suppress turns off specified page formatting item(s) for the current page.

Syntax

Suppress (Item: Numeric Equivalent or Enumerated Type)

Parameters

Item: Numeric Equivalent or Enumerated Type

Specifies page format items to suppress.

0	PageNumbering!

1	PageNumberBottomCenter!

2	HeaderA!

3	HeaderB!

4	FooterA!

5	FooterB!

6	WatermarkA!

7	WatermarkB!


Route...

Layout, Page, Suppress, select items.


For Example...

To turn off Page Numbering and Header A on the current page, the command is:

Suppress

(

Item: PageNumbering!;

Item: HeaderA!

)


SwitchDoc

Purpose

SwitchDoc specifies a document to switch to.

Syntax

SwitchDoc (DocNum: Numeric Expression)

Parameters

DocNum: Numeric Expression


Route...

Window, select document.


For Example...

To switch to document 3, the command is:

SwitchDoc

(

DocNum: 3

)


Tab

Purpose

Tab inserts a tab.

Syntax

Tab ()

See Also

TabKey

TabSet


Route...

Press Tab.


TabAdd

Purpose

TabAdd adds one or more tab sets to the current setting. If the parameter SpaceBetweenTabs is included, all tabs following an added tab reset to the new type and spacing.

This command is not recordable.  You must type it into a macro.

Syntax

TabAdd (Position: Numeric Expression; Type: Numeric Equivalent or Enumerated Type; SpaceBetweenTabs: Numeric Expression)

Parameters

Position: Numeric Expression

Specifies a tab position relative to the left edge of the page.

Type: Numeric Equivalent or Enumerated Type

Specifies a tab type.

0	TabLeft!

1	TabCenter!

2	TabRight!

3	TabDecimal!

16	TabLeftDot!

17	TabCenterDot!

18	TabRightDot!

19	TabDecimalDot!

SpaceBetweenTabs: Measurement Expression

Specifies the distance between tabs.

See Also

Tab

TabSet


For Example...

To add a center tab 3.2 inches from the left edge of the page, the command is:

TabAdd

(

Position: 3.2";

Type: TabCenter!;

SpaceBetweenTabs: .5"

)


TabCenter

Purpose

TabCenter inserts a Hard Centered Tab code at the insertion point.

Syntax

TabCenter (Type: Numeric Equivalent or Enumerated Type)

Parameters

Type: Numeric Equivalent or Enumerated Type

Specifies whether the Hard Centered Tab code includes a dot leader.

0	Normal!

1	DotLeader!

See Also

TabDecimal

TabLeft

TabRight


Route...

Layout, Line, Other Codes, select Center under Hard Tab Codes or Center under Hard Tab Codes with Dot Leaders, Insert.


For Example...

To insert a Hard Centered Tab code with a dot leader, the command is:

TabCenter

(

Type: DotLeader!

)


TabCenterDot

Purpose

TabCenterDot inserts a Hard Centered Tab code with a dot leader at the insertion point.

This command is not recordable.  You must type it into a macro.  For a recordable command that serves the same function, use TabCenter.

Syntax

TabCenterDot ()

See Also

TabCenter

TabDecimalDot

TabLeftDot

TabRightDot


Route...

Layout, Line, Other Codes, select Center from Hard Tab Codes with Dot Leaders options.


TabDecimal

Purpose

TabDecimal inserts a decimal align tab.

Syntax

TabDecimal (Type: Numeric Equivalent or Enumerated Type)

Parameters

Type: Numeric Equivalent or Enumerated Type

Specifies whether to include a dot leader.

0	Normal!

1	DotLeader!

See Also

TabCenter

TabLeft

TabRight


Route...

Layout, Line, Other Codes, select Decimal under Hard Tab Codes or Center under Hard Tab Codes with Dot Leaders, Insert.


For Example...

To insert a decimal tab with a dot leader, the command is:

TabDecimal

(

Type: DotLeader!

)


TabDecimalDot

Purpose

TabDecimalDot inserts a Hard Decimal Tab code with a dot leader at the insertion point.

This command is not recordable.  You must type it into a macro.  For a recordable command that serves the same function, use TabDecimal.

Syntax

TabDecimalDot ()

See Also

TabDecimal

TabCenterDot

TabLeftDot

TabRightDot


Route...

Layout, Line, Other Codes, select Decimal from Hard Tab Codes with Dot Leaders options.


TabDelete

Purpose

TabDelete deletes one tab setting without affecting any other tab settings.

This command is not recordable.  You must type it into a macro.

Syntax

TabDelete (Position: Measurement Expression)

Parameters

Position: Measurement Expression

Specifies a tab setting position to remove.

See Also

Tab

TabAdd

TabSet


For Example...

To remove a tab setting at 3 inches, the command is:

TabDelete

(

Position: 3"

)


TabInsert

Purpose

TabInsert inserts a tab at the insertion point in the current document or table.

Syntax

TabInsert ()


Route...

Press Ctrl+Tab.


TabKey

Purpose

TabKey performs the functions of Tab.

This command is not recordable.  You must type it into a macro.

Syntax

TabKey ()

See Also

Tab


TableAdjustBegin

Purpose

TableAdjustBegin is the opening command of the TableAdjustBegin-TableAdjustEnd statement.  These commands are entered when adjusting or positioning the table from the Ruler Bar.

Between these commands may come other commands, such as TableAdjustColumnWidth and TableAdjustPosition.

Syntax

TableAdjustBegin ()


Route...

With the insertion point in a table, View, Ruler Bar, drag column or margin markers to a new position.


TableAdjustColumnWidth

Purpose

TableAdjustColumnWidth specifies a column width in WordPerfect units (100 units equals one inch).  This command is entered when adjusting columns from the Ruler Bar.

This command must be used with the TableAdjustBegin and the TableAdjustEnd commands.

Syntax

TableAdjustColumnWidth (Column: Numeric Expression; Width: Numeric Expression)

Parameters

Column: Numeric Expression

Specifies a column number.  The farthest column to the left is 0.

Width: Numeric Expression

Specifies column width.


Route...

With the insertion point in a table, View, Ruler Bar, drag a column marker to a new position.


For Example...

To specify a column width of 2 inches, the command is:

TableAdjustColumnWidth

(

Column: 1

Width: 200

)


TableAdjustEnd

Purpose

TableAdjustEnd is the closing command of the TableAdjustBegin-TableAdjustEnd statement.  These commands are entered when adjusting or positioning the table from the Ruler Bar.

Between these commands may come other commands, such as TableAdjustColumnWidth and TableAdjustPosition.

Syntax

TableAdjustEnd ()


Route...

With the insertion point in a table, View, Ruler Bar, drag column or margin markers to a new position.


TableAdjustPosition

Purpose

TableAdjustPosition specifies in WordPerfect units the horizontal position of a table relative to the left margin.  This command is entered when adjusting the table position from the Ruler Bar.

Syntax

TableAdjustPosition (Position: Numeric Expression)

Parameters

Position: Numeric Expression

Specifies table position relative to the left margin.


Route...

With the insertion point in a table, View, Ruler Bar, press Ctrl and drag margin markers to move the table.


For Example...

To position a table one inch to the right of the left margin, the command is:

TableAdjustPosition

(

Position: 100

)


TableAppendRow

Purpose

TableAppendRow inserts a new row below the current row.

Syntax

TableAppendRow ()

See Also

TableInsertRow


Route...

Press Alt+Shift+Insert.


TableAttributeOff

Purpose

TableAttributeOff turns off one or more character attributes in a table.

Syntax

TableAttributeOff (Attribute: Numeric Equivalent or Enumerated Type)

Parameters

Attribute: Numeric Equivalent or Enumerated Type

Specifies an attribute to turn off.

0	ExtraLarge!

1	VeryLarge!

2	Large!

3	Small!

4	Fine!

5	Superscript!

6	Subscript!

7	Outline!

8	Italics!

9	Shadow!

10	Redline!

11	DoubleUnderline!

12	Bold!

13	Strikeout!

14	Underline!

15	SmallCaps!

16	Every!

See Also

TableAttributeOn


Route...

Table, Format, Table, deselect options.


For Example...

To turn off all attributes in a table, the command is:

TableAttributeOff

(

Attribute: Every!

)


TableAttributeOn

Purpose

TableAttributeOn turns on one or more character attributes in a table.

Syntax

TableAttributeOn (Attribute: Numeric Equivalent or Enumerated Type)

Parameters

Attribute: Numeric Equivalent or Enumerated Type

Specifies an attribute to turn on.

0	ExtraLarge!

1	VeryLarge!

2	Large!

3	Small!

4	Fine!

5	Superscript!

6	Subscript!

7	Outline!

8	Italics!

9	Shadow!

10	Redline!

11	DoubleUnderline!

12	Bold!

13	Strikeout!

14	Underline!

15	SmallCaps!

See Also

TableAttributeOff


Route...

Table, Format, Table, select options.


For Example...

To turn on Bold and Underline in a table, the command is:

TableAttributeOn

(

Attribute: Bold!;

Attribute: Underline!

)


TableAutoCalc

Purpose

TableAutoCalc specifies automatic calculation for tables.

Syntax

TableAutoCalc (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies automatic calculation for tables.

0	Off!

1	AutoTbl!

2	AutoDoc!

See Also

TableCalculate

TableCalculateAll

TableCalculateDlg


Route...

Table, Calculate, select an option.


For Example...

To automatically calculate a document, the command is:

TableAutoCalc

(

State: AutoDoc!

)


TableAutoFill

Purpose

TableAutoFill uses TableDataFill to increment values across a row or down a column.

This command is not recordable.  You must type it into a macro.

Syntax

TableAutoFill ()


TableAutoFormulaEntry

Purpose

TableAutoFormulaEntry specifies whether formulas can be entered in tables at the document level or only in table editing mode.

Syntax

TableAutoFormulaEntry (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether formula entry is on.

0	No!

1	Yes!

See Also

TableFormula

TableTextToFormula


Route...

Table, Cell Formula Entry.


For Example...

To allow formula entry at the document level, the command is:

TableAutoFormulaEntry

(

State: On!

)


TableBlockOff

Purpose

TableBlockOff turns off Select in a table.

You must type this command into a macro.  It is not recordable.

Syntax

TableBlockOff ()


*** DELETED TOPIC ***


TableBlockOn

Purpose

TableBlockOn turns on Select in a table.

You must type this command into a macro.  It is not recordable.

Syntax

TableBlockOn ()


*** DELETED TOPIC ***


TableBorder

Purpose

TableBorder specifies a border type for a table.

This command must be used in conjunction with other commands, such as TableBorderEditBegin and TableBorderEditEnd.

Syntax

TableBorder (Style: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies a border type.

0	SpacingOnly!

1	SingleBorder!

2	DoubleBorder!

3	DashedBorder!

4	DottedBorder!

5	ThickBorder!

6	ExtraThickBorder!

7	ThinThickBorder!

8	ThickThinBorder!

9	ThickTopBottomBorder!

10	ButtonBorder!

11	ColumnBorderBetween!

12	ColumnBorderAll!

127	NoBorder!

See Also

TableBorderEditBegin

TableBorderEditEnd


Route...

Table, Lines/Fill, Table, Border Lines.


For Example...

To specify an extra thick table border, the command sequence is:

TableBorderEditBegin ()

TableBorder

(

Style: ExtraThickBorder!

)

TableBorderEditEnd

(

State: Save!

)


TableBorderEditBegin

Purpose

TableBorderEditBegin initiates table border editing.

Border commands must appear between this command and TableBorderEditEnd.

Syntax

TableBorderEditBegin ()

See Also

TableBorderEditEnd


Route...

Table, Lines/Fill, Table, Border Lines.


TableBorderEditEnd

Purpose

TableBorderEditEnd marks the end of table border editing.

This command must be used in conjunction with TableBorderEditBegin.

Syntax

TableBorderEditEnd (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to save changes.

0	Cancel!

1	Save!

See Also

TableBorderEditBegin


Route...

Table, Lines/Fill, Table, Border Lines.


For Example...

To specify no table border, the command sequence is:

TableBorderEditBegin ()

TableBorder

(

State: NoBorder!

)

TableBorderEditEnd

(

State: Save!

)


TableCalculate

Purpose

TableCalculate calculates formula values in the current table.

Syntax

TableCalculate ()

See Also

TableCalculateAll

TableFormula


Route...

Table, Calculate, Calc Table.


TableCalculateAll

Purpose

TableCalculateAll calculates formula values for all tables and floating cells in the current document.

Syntax

TableCalculateAll ()

See Also

TableCalculate


Route...

Table, Calculate, Calc Document.


TableCalculateDlg

Purpose

TableCalculateDlg displays the Calculate dialog box.

Syntax

TableCalculateDlg ()


Route...

Table, Calculate.


TableCellAttributeOff

Purpose

TableCellAttributeOff turns off one or more character attributes in a table cell.

Syntax

TableCellAttributeOff ({Attribute: Numeric Equivalent or Enumerated Type})

Parameters

Attribute: Numeric Equivalent or Enumerated Type

Specifies an attribute to turn off.  Enclose multiple attributes in braces ({}) separated by semicolons.

0	ExtraLarge!

1	VeryLarge!

2	Large!

3	Small!

4	Fine!

5	Superscript!

6	Subscript!

7	Outline!

8	Italics!

9	Shadow!

10	Redline!

11	DoubleUnderline!

12	Bold!

13	Strikeout!

14	Underline!

15	SmallCaps!

16	Every!

See Also

TableCellAttributeOn


Route...

Table, Format, Cell, deselect options.


For Example...

To turn off Bold and Underline in a table cell, the command is:

TableCellAttributeOff

({

Attribute: Bold!;

Attribute: Underline!

})


TableCellAttributeOn

Purpose

TableCellAttributeOn turns on one or more character attributes in a table cell.

Syntax

TableCellAttributeOn (Attribute: Numeric Equivalent or Enumerated Type)

Parameters

Attribute: Numeric Equivalent or Enumerated Type

Specifies an attribute to turn on.  Enclose multiple attributes in braces ({}) separated by semicolons.

0	ExtraLarge!

1	VeryLarge!

2	Large!

3	Small!

4	Fine!

5	Superscript!

6	Subscript!

7	Outline!

8	Italics!

9	Shadow!

10	Redline!

11	DoubleUnderline!

12	Bold!

13	Strikeout!

14	Underline!

15	SmallCaps!

See Also

TableCellAttributeOff


Route...

Table, Format, Cell, select options.


For Example...

To turn on Italics and Large in a table cell, the command is:

TableCellAttributeOn

({

Attribute: Italics!;

Attribute: Large!

})


TableCellCopy

Purpose

TableCellCopy specifies where in a table to copy the contents of a cell.

Syntax

TableCellCopy (CopyType: Numeric Equivalent or Enumerated Type; Count: Numeric Expression)

Parameters

CopyType: Numeric Equivalent or Enumerated Type

Specifies whether to copy the contents of the current cell down, to the right, or to a specific cell.

0	Down!

3	Right!

4	Cell!

Count: Numeric Expression (optional)

Specifies the number of cells to copy down or to the right.  This parameter is used only when Down! or Right! is selected as the destination parameter.

See Also

EditCopy

EditPaste


For Example...

To copy the contents of a selected cell four times to the right, the command is:

TableCellCopy

(

CopyType: Right!;

Count: 4

)


TableCellFillColors

Purpose

TableCellFillColors specifies foreground and background colors for a cell or blocked cells.

Syntax

TableCellFillColors (ForeColorName: Character Expression; ForeColorRed: Numeric Expression; ForeColorGreen: Numeric Expression; ForeColorBlue: Numeric Expression; ForeColorShade: Numeric Expression; BackColorName: Character Expression; BackColorRed: Numeric Expression; BackColorGreen: Numeric Expression; BackColorBlue: Numeric Expression; BackColorShade: Numeric Expression)

Parameters

ForeColorName: Character Expression (optional)

Specifies a predefined color name.

ForeColorRed: Numeric Expression (optional)

Specifies the amount of red in a custom color.  Values range from 0 to 255.

ForeColorGreen: Numeric Expression (optional)

Specifies the amount of green in a custom color.  Values range from 0 to 255.

ForeColorBlue: Numeric Expression (optional)

Specifies the amount of blue in a custom color.  Values range from 0 to 255.

ForeColorShade: Numeric Expression (optional)

Specifies the shading percentage in a custom color.

BackColorName: Character Expression (optional)

Specifies a predefined color name.

BackColorRed: Numeric Expression (optional)

Specifies the amount of red in a custom color.  Values range from 0 to 255.

BackColorGreen: Numeric Expression (optional)

Specifies the amount of green in a custom color.  Values range from 0 to 255.

BackColorBlue: Numeric Expression (optional)

Specifies the amount of blue in a custom color.  Values range from 0 to 255.

BackColorShade: Numeric Expression (optional)

Specifies the shading percentage in a custom color.

See Also

TableCellFillStyle


Route...

Table, Lines/Fill, Current Cell or Selection, select a fill style, foreground color, and background color.


For Example...

To specify a cyan foreground and a magenta background, the command is:

TableCellFillColors

(

ForeColorName: "Magenta";

ForeColorRed: 255;

ForeColorGreen: 0;

ForeColorBlue: 255;

ForeColorShade: 100

BackColorName: "Cyan";

BackColorRed: 0;

BackColorGreen: 255;

BackColorBlue: 255;

BackColorShade: 100;

)


TableCellFillStyle

Purpose

TableCellFillStyle specifies a shading style for a cell or blocked cells.

Syntax

TableCellFillStyle (FillPattern: Numeric Equivalent or Enumerated Type)

Parameters

FillPattern: Numeric Equivalent or Enumerated Type

Specifies a fill style.

0	Fill10!

1	Fill20!

2	Fill30!

3	Fill40!

4	Fill50!

5	Fill60!

6	Fill70!

7	Fill80!

8	Fill90!

9	Fill100!

10	FillButton!

127	NoFill!

See Also

TableCellFillColors


Route...

Table, Lines/Fill, Current Cell or Selection, select a fill style.


For Example...

To fill a table cell with 20% shading, the command is:

TableCellFillStyle

(

FillPattern: Fill20!

)


TableCellIgnoreCalculation

Purpose

TableCellIgnoreCalculation specifies one or more selected cells to ignore when table calculations are performed.

Syntax

TableCellIgnoreCalculation (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to ignore one or more selected cells when calculating formulas.

0	No!

1	Yes!

See Also

TableCalculate


Route...

Table, Format, Ignore Cell When Calculating.


For Example...

To ignore the current cell when calculating, the command is:

TableCellIgnoreCalculation

(

State: Yes!

)


TableCellsJoin

Purpose

TableCellsJoin joins selected table cells to form one cell.

This command is not recordable.  You must type it into a macro.  For a recordable command that serves the same function, use TableJoinCells.

Syntax

TableCellsJoin ()

See Also

TableJoinCells


TableCellJustification

Purpose

TableCellJustification specifies the justification for a cell or selected cells.

Syntax

TableCellJustification (Mode: Numeric Equivalent or Enumerated Type)

Parameters

Mode: Numeric Equivalent or Enumerated Type

Specifies the justification for a cell or blocked cells.

0	Left!

1	Full!

2	Center!

3	Right!

4	FullAll!

5	DecAlign!

See Also

TableColumnJustification

TableFormatJustification


Route...

Table, Format, Justification, select option.


For Example...

To specify right justification for a cell, the command is:

TableCellJustification

(

Mode: Right!

)


TableCellLine

Purpose

TableCellLine changes specified lines around a cell or selected cells, or between selected cells.

Syntax

TableCellLine (Position: Numeric Equivalent or Enumerated Type; Style: Numeric Equivalent or Enumerated Type)

Parameters

Position: Numeric Equivalent or Enumerated Type

Specifies a line or lines to change.

0	Left!

1	Top!

2	Inside!

3	Right!

4	Bottom!

5	Outside!

Style: Numeric Equivalent or Enumerated Type

Specifies a line style.

0	SingleLine!

1	DoubleLine!

2	DashedLine!

3	DottedLine!

4	ThickLine!

5	ExtraThickLine!

6	ThinThickLine!

7	ThickThinLine!

8	ButtonTopLeftLine!

9	ButtonBottomRightLine!

126	TableDefaultLine!

127	NoLine!

See Also

TableCellLineColor


Route...

Table, Lines/Fill, Current Cell or Selection, select options from the Line Styles group box.


For Example...

To create a thick line around one or more selected cells, the command is:

TableCellLine

(

Position: Outside!;

Style: ThickLine!

)


TableCellLineColor

Purpose

TableCellLineColor specifies the line color of one or more selected cells.

Syntax

TableCellLineColor (ColorName: Character Expression; Red: Numeric Expression; Green: Numeric Expression; Blue: Numeric Expression; Shade: Numeric Expression)

Parameters

ColorName: Character Expression (optional)

Specifies a predefined color name.

Red: Numeric Expression (optional)

Specifies the amount of red in a custom color.  Values range from 0 to 255.

Green: Numeric Expression (optional)

Specifies the amount of green in a custom color.  Values range from 0 to 255.

Blue: Numeric Expression (optional)

Specifies the amount of blue in a custom color.  Values range from 0 to 255.

Shade: Numeric Expression (optional)

Specifies the shading percentage in a custom color.

See Also

TableCellLine


Route...

Table, Lines/Fill, Current Cell or Selection, select a color from the Line Color group box.


For Example...

To specify magenta cell lines, the command is:

TableCellLineColor

(

ColorName: "Magenta";

Red: 255;

Green: 0;

Blue: 255;

Shade: 100

)


TableCellLock

Purpose

TableCellLock specifies whether to lock a cell or selected cells to prevent editing.

Syntax

TableCellLock (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to lock a cell or selected cells.

0	No!

1	Yes!


Route...

Table, Format, Cell, Lock.


For Example...

To lock a cell, the command is:

TableCellLock

(

State: Yes!

)


TableCellNumberAlignCurrency

Purpose

TableCellNumberAlignCurrency aligns currency symbols in one or more selected cells.

Syntax

TableCellNumberAlignCurrency (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to align currency symbols.

0	No!

1	Yes!

See Also

TableCellNumberSelectCurrency


Route...

Table, Number Type, Accounting or Currency, Custom, Align Currency Symbol.


For Example...

To align currency symbols, the command is:

TableCellNumberAlignCurrency

(

State: Yes!

)


TableCellNumberDateFormat

Purpose

TableCellNumberDateFormat specifies a date format for one or more selected cells.

Syntax

TableCellNumberDateFormat (DateFormatNumber: Numeric Expression)

Parameters

DateFormatNumber: Numeric Expression

Specifies a date format.

1	July 5, 1959

2	7/5/59

3	Jul 5, 1959

4	5 July 1959

5	Sunday, July 5, 1959

6	12:00 pm

7	05Jul59

8	July 5, 1959 (12:00pm)

9	1959-07-05

10	7/5

11	Jul 5

12	12:00:00

See Also

TableCellNumberFormat


Route...

Table, Number Type, Date/Time, Custom, select a Date/Time type.


For Example...

To display the date in the format Sunday, July 5, 1959, the command is:

TableCellNumberDateFormat

(

DateFormatNumber: 5

)


TableCellNumberDecimalDigits

Purpose

TableCellNumberDecimalDigits specifies how many digits appear after the decimal point.

Use with the Fixed2! option of TableCellNumberFormat.

Syntax

TableCellNumberDecimalDigits (NumDigits: Numeric Expression)

Parameters

NumDigits: Numeric Expression

Specifies how many digits appear after the decimal point.

See Also

TableCellNumberFormat


Route...

Table, Number Type, Cell, Fixed, Custom, specify the number of digits after the decimal point.


For Example...

To specify three digits after the decimal point, the command sequence is:

TableCellNumberDecimalDigits

(

NumDigits: 3

)


TableCellNumberFormat

Purpose

TableCellNumberFormat specifies a number format for one or more selected cells.

Syntax

TableCellNumberFormat (FormatType: Numeric Equivalent or Enumerated Type)

Parameters

FormatType: Numeric Equivalent or Enumerated Type

Specifies a number format.

0	General!

1	Integer!

2	Fixed2!

3	Percent!

4	Currency!

5	Accounting!

6	Commas!

7	Scientific!

8	DateFormat!

9	TextOnly!

See Also

TableCellNumberAlignCurrency

TableCellNumberDateFormat

TableCellNumberDecimalDigits

TableCellNumberRound

TableCellNumberSelectCurrency


Route...

Table, Number Type, Cell, select a type.


For Example...

To specify currency as the number type, the command is:

TableCellNumberFormat

(

FormatType: Currency!

)


TableCellNumberNegativeNumber

Purpose

TableCellNumberNegativeNumber specifies how to display negative numbers in one or more selected cells.

Syntax

TableCellNumberNegativeNumber  (NegDisplayType: Numeric Equivalent or Enumerated Type)

Parameters

NegDisplayType: Numeric Equivalent or Enumerated Type

Specifies a display style for negative numbers.

0	Minus!

1	Parentheses!

2	CRDR!


Route...

Table, Number Type, Cell, Custom, select a negative number option.


For Example...

To display numbers using the Credit/Debit method, the command is:

TableCellNumberNegativeNumber

(

NegDisplayType: CRDR!

)


TableCellNumberRound

Purpose

TableCellNumberRound specifies a method for converting numbers entered as decimals to integers.

Use with the Integer! option of TableCellNumberFormat.

Syntax

TableCellNumberRound (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to round off numbers or truncate them when converting to integers.

0	No!

1	Yes!

See Also

TableCellNumberFormat


Route...

Table, Number Type, Cell, Custom, Round for Calculation.


For Example...

To round off numbers after the decimal point when converting them to integers, the command is:

TableCellNumberRound

(

State: Yes!

)


TableCellNumberSelectCurrency

Purpose

TableCellNumberSelectCurrency specifies a currency type for one or more selected cells.

Syntax

TableCellNumberSelectCurrency (IntlCurrency: Numeric Equivalent or Enumerated Type)

Parameters

IntlCurrency: Numeric Equivalent or Enumerated Type

Specifies a currency type.

0	DefaultCurrency!

1	Dollar!

2	Peso!

3	FrenchCanada!

4	Canada!

5	Brazil!

6	Denmark!

7	Peseta!

8	Croatia!

9	CzechRepublic!

10	SlovakRepublic!

11	Finland!

12	FinlandIntl!

13	France!

14	Germany!

15	Greece!

16	Hungary!

17	Iceland!

18	Italy!

19	Japan!

20	Netherlands!

21	Norway!

22	NorwayIntl!

23	Ruble!

24	RussianRuble!

25	SouthAfrica!

26	Sweden!

27	Turkey!

28	UnitedKingdom!

29	Switzerland!

30	Austria!

31	Belgium!

32	Ecuador!

33	ElSalvador!

34	Guatemala!

35	Honduras!

36	Paraguay!

37	Venezuela!

38	Poland!

39	Slovenia!

See Also

TableCellNumberAlignCurrency

TableCellNumberFormat


Route...

Table, Number Type, Cell, Accounting or Currency, Custom, select a symbol.


For Example...

To specify pesos as the currency type, the command is:

TableCellNumberSelectCurrency

(

IntlCurrency: Peso!

)


TableCellNumberUseCommas

Purpose

TableCellNumberUseCommas displays commas in numbers with more than three digits to the left of the decimal point.

Syntax

TableCellNumberUseCommas  (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to display commas in numbers with more than three digits to the left of the decimal point.

0	No!

1	Yes!

See Also

TableCellNumberFormat


Route...

Table, Number Type, Cell, Custom, select Use Commas.


For Example...

To display commas in numbers, the command is:

TableCellNumberUseCommas

(

State: Yes!

)


TableCellNumberUseCurrency

Purpose

TableCellNumberUseCurrency displays a currency symbol with numbers.

Syntax

TableCellNumberUseCurrency  (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to display numbers with a currency symbol.

0	No!

1	Yes!

See Also

TableCellNumberFormat


Route...

Table, Number Type, Cell, Custom, select Use Currency Symbol.


For Example...

To display a currency symbol with numbers, the command is:

TableCellNumberUseCurrency

(

State: Yes!

)


TableCellUseColumnAttribute

Purpose

TableCellUseColumnAttribute specifies whether to use the specified column attribute in one or more selected cells.

Syntax

TableCellUseColumnAttribute  (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to use the specified column attribute in the current cell(s).

0	No!

1	Yes!

See Also

TableCellUseColumnJust


Route...

Table, Format, Cell, Use Column Appearance and Text Size.


For Example...

To use the specified column attribute in the current cell, the command is:

TableCellUseColumnAttribute

(

State: Yes!

)


TableCellUseColumnJust

Purpose

TableCellUseColumnJust specifies whether to use the current column justification in the current cell.

Syntax

TableCellUseColumnJust (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to use the current column justification in the current cell(s).

0	No!

1	Yes!

See Also

TableCellUseColumnAttribute

TableCellUseColumnNumberType


Route...

Table, Format, Cell, Use Column Justification.


For Example...

To use the current column justification in the current cell, the command is:

TableCellUseColumnJust

(

State: Yes!

)


TableCellUseColumnNumberType

Purpose

TableCellUseColumnNumberType specifies whether to use the current column number type in one or more selected cells.

Syntax

TableCellUseColumnNumberType  (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to use the current column number type in the current cell(s).

0	No!

1	Yes!

See Also

TableCellUseColumnAttribute

TableCellUseColumnJust


Route...

Table, Number Type, Use Column Type.


For Example...

To use the current column number type in the current cell, the command is:

TableCellUseColumnNumberType

(

State: Yes!

)


TableCellUseLineColor

Purpose

TableCellUseLineColor specifies a default line color for lines around one or more selected cells.

Syntax

TableCellUseLineColor ()

See Also

LineStyleEdit

TableCellLineColor


Route...

Table, Lines/Fill, Current Cell or Selection, deselect Custom Color.


TableCellVerticalAlignment

Purpose

TableCellVerticalAlignment specifies vertical alignment for one or more selected cells.

Syntax

TableCellVerticalAlignment  (Alignment: Numeric Equivalent or Enumerated Type)

Parameters

Alignment: Numeric Equivalent or Enumerated Type

Specifies vertical alignment for one or more selected cells.

1	Top!

2	Center!

4	Bottom!

See Also

TableCellJustification


Route...

Table, Format, Cell, select a Vertical Alignment.


For Example...

To align text at the bottom, the command is:

TableCellVerticalAlignment

(

Alignment: Bottom!

)


TableColumnAttributeOff

Purpose

TableColumnAttributeOff turns off one or more character attributes in a table column.

Syntax

TableColumnAttributeOff  ({Attributes: Numeric Equivalent or Enumerated Type})

Parameters

Attributes: Numeric Equivalent or Enumerated Type

Specifies an attribute to turn off.  Enclose multiple attributes in braces ({}) separated by semicolons.

1	VeryLarge!

2	Large!

3	Small!

4	Fine!

5	Superscript!

6	Subscript!

7	Outline!

8	Italics!

9	Shadow!

10	Redline!

11	DoubleUnderline!

12	Bold!

13	Strikeout!

14	Underline!

15	SmallCaps!

16	Every!

See Also

TableColumnAttributeOn


Route...

Table, Format, Column, deselect appearance attributes.


For Example...

To turn off Bold and Italics in a table column, the command is:

TableColumnAttributeOff

({

Attribute: Bold!;

Attribute: Italics!

})


TableColumnAttributeOn

Purpose

TableColumnAttributeOn turns on one or more character attributes in a table column.

Syntax

TableColumnAttributeOn  ({Attribute: Numeric Equivalent or Enumerated Type})

Parameters

Attribute: Numeric Equivalent or Enumerated Type

Specifies an attribute to turn on.  Enclose multiple attributes in braces ({}) separated by semicolons.

0	ExtraLarge!

1	VeryLarge!

2	Large!

3	Small!

4	Fine!

5	Superscript!

6	Subscript!

7	Outline!

8	Italics!

9	Shadow!

10	Redline!

11	DoubleUnderline!

12	Bold!

13	Strikeout!

14	Underline!

15	SmallCaps!

See Also

TableColumnAttributeOff


Route...

Table, Format, Column, select attributes.


For Example...

To turn on Bold and Italics in a table column, the command is:

TableColumnAttributeOn

({

Attribute: Bold!;

Attribute: Italics!

})


TableColumnDecimalAlignDist

Purpose

TableColumnDecimalAlignDist specifies the distance between the decimal point and the right edge of cells in the current column.

This command applies only to cells with decimal align justification.

Syntax

TableColumnDecimalAlignDist  (Distance: Measurement Expression)

Parameters

Distance: Measurement Expression

Specifies the distance between the decimal point and the right edge of cells in the current column.

See Also

TableCellJustification

TableColumnDecimalAlignDigits

TableColumnJustification

TableFormatJustification


Route...

Table, Format, Column, Justification, Decimal Align, Position from Right, specify a distance.


For Example...

To specify 0.2 inches between the decimal point and the right edge of the cells in the current column, the command is:

TableColumnDecimalAlignDist

(

Distance: 0.2"

)


TableColumnDecimalAlignDigits

Purpose

TableColumnDecimalAlignDigits specifies the number of digit places that appear between the decimal point and the right edge of cells in the current column.

This command applies only to cells with decimal align justification.

Syntax

TableColumnDecimalAlignDigits  (Digits: Numeric Expression)

Parameters

Digits: Numeric Expression

Specifies the number of digits between the decimal point and the right edge of the cells in the current column.

See Also

TableCellJustification

TableColumnDecimalAlignDist

TableColumnJustification

TableFormatJustification


Route...

Table, Format, Column, Justification, Decimal Align, Digits after Decimal, specify a number of digits.


For Example...

To specify three digit places between the decimal point and the right edge of the cells in the current column, the command is:

TableColumnDecimalAlignDigits

(

Digits: 3

)


TableColumnFixedWidth

Purpose

TableColumnFixedWidth designates a column width as fixed.

Syntax

TableColumnFixedWidth  (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether a column has a fixed width.

0	No!

1	Yes!

See Also

TableColumnWidth


Route...

Table, Format, Column, Fixed Width from Column Width group box.


For Example...

To designate a column width as fixed, the command is:

TableColumnFixedWidth

(

State: Yes!

)


TableColumnJustification

Purpose

TableColumnJustification specifies the justification for a column.

Syntax

TableColumnJustification  (Mode: Numeric Equivalent or Enumerated Type)

Parameters

Mode: Numeric Equivalent or Enumerated Type

Specifies column justification.

0	Left!

1	Full!

2	Center!

3	Right!

4	FullAll!

5	DecAlign!

See Also

TableCellJustification

TableFormatJustification


Route...

Table, Format, Column, choose an option from the Justification pop-up list.


For Example...

To specify right justification for a column, the command is:

TableColumnJustification

(

Mode: Right!

)


TableColumnMarginLeft

Purpose

TableColumnMarginLeft specifies the distance between the left edge of a column and the text in the column.

Syntax

TableColumnMarginLeft  (Margin: Measurement Expression)

Parameters

Margin: Measurement Expression

Specifies the distance between the left edge of a table column and the text in the column.

See Also

TableColumnMarginRight

TableMarginLeft

TableMarginRight


Route...

Table, Format, Column, specify a left margin.


For Example...

To specify a left column margin of 0.2 inches, the command is:

TableColumnMarginLeft

(

Margin: 0.2"

)


TableColumnMarginRight

Purpose

TableColumnMarginRight specifies the distance between the right edge of a column and the text in the column.

Syntax

TableColumnMarginRight  (Margin: Measurement Expression)

Parameters

Margin: Measurement Expression

Specifies the distance between the right edge of a table column and the text in the column.

See Also

TableColumnMarginLeft

TableMarginLeft

TableMarginRight


Route...

Table, Format, Column, specify a right margin.


For Example...

To specify a right column margin of 0.5 inches, the command is:

TableColumnMarginRight

(

Margin: 0.5"

)


TableColumnNumberAlignCurrency

Purpose

TableColumnNumberAlignCurrency aligns currency symbols in a column.

Syntax

TableColumnNumberAlignCurrency  (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to align currency symbols in the current column.

0	No!

1	Yes!

See Also

TableColumnNumberSelCurrency


Route...

Table, Number Type, Column, Currency, Custom, Align Currency Symbol.


For Example...

To align currency symbols in the current column, the command is:

TableColumnNumberAlignCurrency

(

State: Yes!

)


TableColumnNumberDateFormat

Purpose

TableColumnNumberDateFormat specifies a date format to display dates in the current column.

Syntax

TableColumnNumberDateFormat  (DateFmtNum: Numeric Expression)

Parameters

DateFmtNum: Numeric Expression

Specifies a date format.

1	July 5, 1959

2	7/5/59

3	Jul 5, 1959

4	5 July 1959

5	Sunday, July 5, 1959

6	12:00 pm

7	5Jul59

8	July 5, 1959 (12:00pm)

9	1959-07-05

10	7/5

11	Jul 5

12	15:02:02

See Also

TableColumnNumberFormat


Route...

Table, Number Type, Column, Date/Time, Custom, select a Date/Time type.


For Example...

To display the date in the format Sunday, July 5, 1959, the command is:

TableColumnNumberDateFormat

(

DateFmtNum: 5

)


TableColumnNumberDecimalDigits

Purpose

TableColumnNumberDecimalDigits specifies how many digits appear after the decimal point.

This command must be preceded by TableColumnNumberFormat.  It is used with the Fixed2! option of TableColumnNumberFormat.

Syntax

TableColumnNumberDecimalDigits  (NumDigits: Numeric Expression)

Parameters

NumDigits: Numeric Expression

Specifies how many digits appear after the decimal point.

See Also

TableColumnNumberFormat


Route...

Table, Number Type, Column, Fixed, Custom, specify a number of digits in the Digits after Decimal entry box.


For Example...

To specify three digits after the decimal point, the command sequence is:

TableColumnNumberFormat

(

FormatType: Fixed2!

)

TableColumnNumberDecimalDigits

(

NumDigits: 3

)


TableColumnNumberFormat

Purpose

TableColumnNumberFormat specifies a number format for the current column.

Syntax

TableColumnNumberFormat  (FormatType: Numeric Equivalent or Enumerated Type)

Parameters

FormatType: Numeric Equivalent or Enumerated Type

Specifies a number format.

0	General!

1	Integer!

2	Fixed2!

3	Percent!

4	Currency!

5	Accounting!

6	Commas!

7	Scientific!

8	DateFormat!

9	TextOnly!

See Also

TableColumnNumberAlignCurrency

TableColumnNumberDateFormat

TableColumnNumberDecimalDigits

TableColumnNumberRound

TableColumnNumberSelCurrency


Route...

Table, Number Type, Column, select an available type.


For Example...

To specify currency as the number type, the command is:

TableColumnNumberFormat

(

FormatType: Currency!

)


TableColumnNumberNegNumber

Purpose

TableColumnNumberNegNumber specifies how to display negative numbers in the current column.

Syntax

TableColumnNumberNegNumber  (NegDisplayType: Numeric Equivalent or Enumerated Type)

Parameters

NegDisplayType: Numeric Equivalent or Enumerated Type

Specifies a negative numbers display style.

0	Minus!

1	Parentheses!

2	CRDR!


Route...

Table, Number Type, Column, Custom, select an option from the Negative Numbers group box.


For Example...

To display numbers in the Credit/Debit style, the command is:

TableColumnNumberNegNumber

(

NegDisplayType: CRDR!

)


TableColumnNumberRound

Purpose

TableColumnNumberRound specifies how to convert numbers entered as decimals to integers in the current column.

Use this command with the Integer! option of TableColumnNumberFormat.

Syntax

TableColumnNumberRound  (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to round off numbers or truncate them when converting to integers.

0	No!

1	Yes!

See Also

TableColumnNumberFormat


Route...

Table, Number Type, Column, Integer, Custom, Round for Calculation.


For Example...

To round off numbers after the decimal point when converting them to integers, the command sequence is:

TableColumnNumberFormat

(

FormatType: Integer!

)

TableColumnNumberRound

(

State: Yes!

)


TableColumnNumberSelCurrency

Purpose

TableColumnNumberSelCurrency specifies a currency type for the current column.

Syntax

TableColumnNumberSelCurrency  (IntlCurrency: Numeric Equivalent or Enumerated Type)

Parameters

IntlCurrency: Numeric Equivalent or Enumerated Type

Specifies a currency type.

0	DefaultCurrency!

1	Dollar!

2	Peso!

3	FrenchCanada!

4	Canada!

5	Brazil!

6	Denmark!

7	Peseta!

8	Croatia!

9	CzechRepublic!

10	SlovakRepublic!

11	Finland!

12	FinlandIntl!

13	France!

14	Germany!

15	Greece!

16	Hungary!

17	Iceland!

18	Italy!

19	Japan!

20	Netherlands!

21	Norway!

22	NorwayIntl!

23	Ruble!

24	RussianRuble!

25	SouthAfrica!

26	Sweden!

27	Turkey!

28	UnitedKingdom!

29	Switzerland!

30	Austria!

31	Belgium!

32	Ecuador!

33	ElSalvador!

34	Guatemala!

35	Honduras!

36	Paraguay!

37	Venezuela!

38	Poland!

39	Slovenia!

See Also

TableColumnNumberAlignCurrency

TableColumnNumberFormat


Route...

Table, Number Type, Column, Currency, Custom, select a currency type from the Symbol pop-up list.


For Example...

To specify pesos as the currency type, the command is:

TableColumnNumberSelCurrency

(

IntlCurrency: Peso!

)


TableColumnNumberUseCommas

Purpose

TableColumnNumberUseCommas displays commas in numbers with more than three digits to the left of the decimal point.

Syntax

TableColumnNumberUseCommas  (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to display commas in numbers with more than three digits to the left of the decimal point.

0	No!

1	Yes!

See Also

TableColumnNumberFormat


Route...

Table, Number Type, Column, select an available type, Custom, Use Commas.


For Example...

To display commas in numbers, the command is:

TableColumnNumberUseCommas

(

State: Yes!

)


TableColumnNumberUseCurrency

Purpose

TableColumnNumberUseCurrency displays a currency symbol with numbers.

Syntax

TableColumnNumberUseCurrency  (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to display numbers with a currency symbol.

0	No!

1	Yes!

See Also

TableColumnNumberFormat


Route...

Table, Number Type, Column, select an available type, Custom, Use Currency Symbol.


For Example...

To display a currency symbol with numbers, the command is:

TableColumnNumberUseCurrency

(

State: Yes!

)


TableColumnWidth

Purpose

TableColumnWidth specifies the width of the current column.

Syntax

TableColumnWidth  (ColumnWidth: Measurement Expression)

Parameters

ColumnWidth: Measurement Expression

Specifies a column width.

See Also

TableColumnFixedWidth

TableFormatWidths


Route...

Table, Format, Column, specify a column width.


For Example...

To specify a column width of 1.5 inches, the command is:

TableColumnWidth

(

ColumnWidth: 1.5"

)


TableColumnWidthGrow

Purpose

TableColumnWidthGrow widens a table column.

Syntax

TableColumnWidthGrow ()


Route...

Ctrl + . (period).


TableColumnWidthShrink

Purpose

TableColumnWidthShrink narrows the size of a table column.

Syntax

TableColumnWidthShrink ()


Route...

Ctrl + , (comma).


TableConvertDlg

Purpose

TableConvertDlg displays the Convert Table dialog box.

If no text is selected, this command ends the macro or redirects it to the LABEL specified by ONERROR.

Syntax

TableConvertDlg ()


Route...

After selecting text contained in either tabular or parallel columns, Table, Create, either Tabular Columns or Parallel Columns.


TableConvertFrom

Purpose

TableConvertFrom converts selected text in tabular or parallel columns to a table.

Syntax

TableConvertFrom  (Type: Numeric Equivalent or Enumerated Type)

Parameters

Type: Numeric Equivalent or Enumerated Type

Specifies whether text to convert is in tabular columns (the text in each column is separated by tabs or indents) or parallel columns.

0	TabularColumns!

1	ParallelColumns!

See Also

TableCreate


Route...

Table, Create, select an option.


For Example...

To convert text from tabular columns to a table, the command is:

TableConvertFrom

(

Type: TabularColumns!

)


TableCopy

Purpose

TableCopy copies the contents of selected cells, the current column, or the current row.

This command must be followed by TableMoveModeCancel or TableMoveModeEnd.  Selected cells can be inserted into the table using TableMoveModeEnd.

To record this command, you must first select two or more cells.

Syntax

TableCopy  (Copy: Numeric Equivalent or Enumerated Type)

Parameters

Copy: Numeric Equivalent or Enumerated Type

Specifies whether to copy selected cells, the current row, or the current column.

1	Block!

2	Row!

3	Column!

See Also

TableMove


Route...

Select two or more cells, Edit, Copy, select an option.


For Example...

To copy the contents of the current column, the command is:

TableCopy

(

Copy: Column!

)


TableCopyFormula

Purpose

TableCopyFormula copies a formula from the current cell to another cell.

Syntax

TableCopyFormula (CellIDCntToCell: Numeric Equivalent or Enumerated Type; Where: Character Expression)

Parameters

CellIDCntToCell: Numeric Equivalent or Enumerated Type

Specifies where to move the insertion point.

0	Down!

3	Right!

4	Cell!

Where: Character Expression

Specifies the cell address if Cell! is used, or the number of times to copy the formula if Down! or Right! are used (see CellIDCntToCell parameter).


Route...

Table, Copy Formula.


For Example...

To copy the formula from the current cell down one cell, the command is:

TableCopyFormula

(

CellIDCntToCell: Down!

Where: 1

)


TableCreate

Purpose

TableCreate creates a table.

Syntax

TableCreate  (Columns: Numeric Expression; Rows: Numeric Expression)

Parameters

Columns: Numeric Expression

Specifies the number of columns to create.

Rows: Numeric Expression

Specifies the number of rows to create.

See Also

TableConvertFrom

TableJoin

TableSplit


Route...

Table, Create, specify number of columns and rows.


For Example...

To create a table with three columns and five rows, the command is:

TableCreate

(

Columns: 3;

Rows: 5

)


TableCreateDlg

Purpose

TableCreateDlg opens the Create Table dialog box.

Syntax

TableCreateDlg ()

See Also

TableCreate


Route...

Table, Create.


TableCreateNewDlg

Purpose

TableCreateNewDlg displays the Create Table dialog box.

This command is not recordable.  You must type it into a macro.

Syntax

TableCreateNewDlg ()

See Also

TableCreate


TableDataFill

Purpose

TableDataFill fills a cell with a formula or data.

Select at least two cells.  The first selected cell must contain data or a formula, and at least one selected cell must be empty.

Syntax

TableDataFill ()


Route...

Table, Data Fill.


TableDecimalAlignmentDigits

Purpose

TableDecimalAlignmentDigits specifies the number of digits between the decimal point and the right edge of cells in the current table.

This command applies only to cells with decimal align justification.

Syntax

TableDecimalAlignmentDigits  (Number: Numeric Expression)

Parameters

Number: Numeric Expression

Specifies the number of digit places between the decimal point and the right edge of cells.

See Also

TableDecimalAlignmentDistance

TableFormatJustification


Route...

Table, Format, Table, Justification, Decimal Align, specify a number of digits after the decimal pop-up list.


For Example...

To specify three digit places between the decimal point and the right edge of cells in the current table, the command is:

TableDecimalAlignmentDigits

(

Number: 3

)


TableDecimalAlignmentDistance

Purpose

TableDecimalAlignmentDistance specifies the distance between the decimal point and the right edge of cells in the current table.

This command applies only to cells with decimal align justification.

Syntax

TableDecimalAlignmentDistance  (Position: Measurement Expression)

Parameters

Position: Measurement Expression

Specifies the distance between the decimal point and the right edge of cells in the current table.

See Also

TableDecimalAlignmentDigits

TableFormatJustification


Route...

Table, Format, Table, Justification, Decimal Align, Position from Right, specify a distance.


For Example...

To specify 0.2 inches between the decimal point and the right edge of cells in the current table, the command is:

TableDecimalAlignmentDistance

(

Position: 0.2"

)


TableDefaultLine

Purpose

TableDefaultLine changes the default line style for a table.

Syntax

TableDefaultLine  (Style: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies the line style.  This parameter also accepts a user defined graphic line style, enclosed in double quotation marks.

0	SingleLine!

1	DoubleLine!

2	DashedLine!

3	DottedLine!

4	ThickLine!

5	ExtraThickLine!

6	ThinThickLine!

7	ThickThinLine!

8	ButtonTopLeftLine!

9	ButtonBottomRightLine!

126	TableDefaultLine!

127	NoLine!

See Also

TableCellLine


Route...

Table, Lines/Fill, Table, select a style from the Default Line Style palette or pop-up list.


For Example...

To specify a dotted line as the default table line style, the command is:

TableDefaultLine

(

Style: DottedLine!

)


TableDefaultLineColor

Purpose

TableDefaultLineColor specifies the default line color for a table.

Syntax

TableDefaultLineColor  (ColorName: Character Expression; Red: Numeric Expression; Green: Numeric Expression; Blue: Numeric Expression; Shade: Numeric Expression)

Parameters

ColorName: Character Expression (optional)

Specifies a predefined color name.

Red: Numeric Expression (optional)

Specifies the amount of red in a custom color.  Values range from 0 to 255.

Green: Numeric Expression (optional)

Specifies the amount of green in a custom color.  Values range from 0 to 255.

Blue: Numeric Expression (optional)

Specifies the amount of blue in a custom color.  Values range from 0 to 255.

Shade: Numeric Expression (optional)

Specifies the shading percentage in a custom color.  Values range from 1 to 100.

See Also

TableCellLineColor


Route...

Table, Lines/Fill, Table, Custom Color, choose a color from the pop-up palette.


For Example...

To specify magenta default table lines, the command is:

TableDefaultLineColor

(

ColorName: "Magenta";

Red: 255;

Green: 0;

Blue: 255;

Shade: 100

)


TableDeleteBlock

Purpose

TableDeleteBlock deletes the contents of selected cells.

This command is not recordable.  You must type it into a macro.

Syntax

TableDeleteBlock ()

See Also

TableDeleteColumn

TableDeleteRow

TableUndelete


TableDeleteColumn

Purpose

TableDeleteColumn deletes one or more table columns.

Syntax

TableDeleteColumn  (Number: Numeric Expression)

Parameters

Number: Numeric Expression

Specifies the number of columns to delete, beginning with the current column and moving left.  If you omit this parameter, this command deletes the current column or selected columns.

See Also

TableDeleteBlock

TableDeleteRow

TableUndelete


Route...

Table, Delete, Columns, specify a number of columns to delete.


For Example...

To delete one column, the command is:

TableDeleteColumn

(

Number: 1

)


TableDeleteDlg

Purpose

TableDeleteDlg displays the Delete dialog box.

Syntax

TableDeleteDlg ()

See Also

TableDeleteColumn

TableDeleteRow


Route...

Table, Delete.


TableDeleteRow

Purpose

TableDeleteRow deletes one or more table rows.

Syntax

TableDeleteRow (Number: Numeric Expression)

Parameters

Number: Numeric Expression

Specifies the number of rows to delete, beginning with the current row and moving down.

See Also

TableDeleteColumn

TableDeleteDlg


Route...

Table, Delete, Rows, specify the number of rows to delete.


For Example...

To delete five table rows, the command is:

TableDeleteRow

(

Number: 5

)


TableDeleteTable

Purpose

TableDeleteTable deletes a table or its contents, or it converts a table's cells to tabs or merge codes.

Syntax

TableDeleteTable (DelWhat: Numeric Equivalent or Enumerated Type)

Parameters

DelWhat: Numeric Equivalent or Enumerated Type

Performs according to parameter options: EntireTable! deletes a table; ConvertOnly! deletes only cell contents; ConvertToTabs! converts cells to tabs; ConvertToMerge! converts the cells of each row to ENDFIELD codes; ConvertToMergeNames! converts the cells in the first row to FIELDNAMES, and the cells in the remaining rows to ENDFIELD codes.

0	EntireTable!

1	ConvertOnly!

2	ConvertToTabs!

3	ConvertToMerge!

4	ConvertToMergeNames!


Route...

With a table selected, Table, Delete.


For Example...

To convert cells to tabs, the command is:

TableDeleteTable

(

DelWhat: ConvertToTabs!

)


TableDisableCellLocks

Purpose

TableDisableCellLocks specifies whether to turn off cell locks.

Syntax

TableDisableCellLocks (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	No!

1	Yes!


Route...

Table, Format, Table, Disable Cell Locks.


For Example...

To disable cell locks, the command is:

TableDisableCellLocks

(

State: Yes!

)


TableEdit

Purpose

TableEdit initiates editing changes to a table.

If the insertion point is not in a table, this command searches backward for a table to edit.  If no table is found, it then searches forward for a table to edit.  If no table is found, a NOT FOUND error is returned.

Syntax

TableEdit ()

See Also

TableCreate


TableFill

Purpose

TableFill fills a table with the specified fill style.

Syntax

TableFill  (Pattern: Numeric Equivalent or Enumerated Type)

Parameters

Pattern: Numeric Equivalent or Enumerated Type

Specifies a fill style for a table.

0	Fill10!

1	Fill20!

2	Fill30!

3	Fill40!

4	Fill50!

5	Fill60!

6	Fill70!

7	Fill80!

8	Fill90!

9	Fill100!

10	FillButton!

127	NoFill!

See Also

TableCellFillStyle


Route...

Table, Lines/Fill, Table, select a style from the Fill Options group box.


For Example...

To specify 20% shading as the fill style for a table, the command is:

TableFill

(

Pattern: Fill20!

)


TableFormatDlg

Purpose

TableFormatDlg opens the Format dialog box.

Syntax

TableFormatDlg ()


Route...

Table, Format.


TableFormatJustification

Purpose

TableFormatJustification specifies justification for a table.

Syntax

TableFormatJustification (Justification: Numeric Equivalent or Enumerated Type)

Parameters

Justification: Numeric Equivalent or Enumerated Type

Specifies justification for a table.

0	Left!

1	Full!

2	Center!

3	Right!

4	FullAll!

5	DecAlign!

See Also

TableCellJustification

TableColumnJustification


Route...

Table, Format, Table, Justification, select a justification option.


For Example...

To specify center justification for a table, the command is:

TableFormatJustification

(

Justification: Center!

)


TableFormatWidths

Purpose

TableFormatWidths specifies table column width.

Syntax

TableFormatWidths (Width: Numeric Expression)

Parameters

Width: Numeric Expression

Specifies column width.


Route...

Table, Format, Table, specify a column width.


For Example...

To set column width to 1 inch, the command is:

TableFormatWidths

(

Width: 1"

)


TableFormula

Purpose

TableFormula specifies a formula to insert in the current cell.

Syntax

TableFormula  (Formula: Character Expression)

Parameters

Formula: Character Expression

Specifies a table formula.

See Also

TableNameAdd


Route...

Table, Formula Bar, Functions, select a function.


For Example...

To calculate the average of a group of cells named Sales, the command is:

TableFormula

(

Formula: "AVE(Sales)"

)


TableFormulaCBar

Purpose

TableFormulaCBar displays the Table Formula Control Bar.

Syntax

TableFormulaCBar ()


Route...

Table, Formula Bar.


TabLeft

Purpose

TabLeft inserts a Hard Left Tab at the insertion point.

Syntax

TabLeft (Type: Numeric Equivalent or Enumerated Type)

Parameters

Type: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to include a dot leader.

0	Normal!

1	DotLeader!

See Also

TabCenter

TabDecimal

TabRight


Route...

Layout, Line, Other Codes, select Left under Hard Tab Codes or Hard Tab Codes with Dot Leaders.


For Example...

To insert a left tab with a dot leader, the command is:

TabLeft

(

Type: DotLeader!

)


TabLeftDot

Purpose

TabLeftDot inserts a Hard Left Tab code with a dot leader at the insertion point.

This command is not recordable.  You must type it into a macro.  For a recordable command that serves the same function, use TabLeft.

Syntax

TabLeftDot ()

See Also

TabLeft

TabCenterDot

TabDecimalDot

TabRightDot


TableGridLinesToggle

Purpose

TableGridLinesToggle specifies whether grid lines are on.

Syntax

TableGridLinesToggle ()


Route...

View, Table Gridlines.


TableGuides

Purpose

TableGuides specifies whether Table Guides are on.

This command is not recordable.  You must type it into a macro.

Syntax

TableGuides (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	Off!

1	On!

See Also

?TableGuides


For Example...

To turn on Table Guides, the command is:

TableGuides

(

State: On!

)


TableHardColumnBreak

Purpose

TableHardColumnBreak inserts a column break and continues the table in the next column.  If the insertion point is in the last column, the table continues on the next page.

The insertion point cannot be in the first row.

Syntax

TableHardColumnBreak ()

See Also

PosTableRowBegin

TableHardRow


Route...

With a column and table defined, and the insertion point not in the first table row, Choose Layout, Columns, Column Break.


TableHardRow

Purpose

TableHardRow inserts a page break and continues the table on the next page.

Syntax

TableHardRow ()

See Also

PosTableRowBegin

TableHardColumnBreak


Route...

Press Ctrl+Enter while the insertion point is in a table.


TableHeader

Purpose

TableHeader specfies the current row as a header row.

Syntax

TableHeader (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to use the current row as a header row.

0	No!

1	Yes!


Route...

Table, Format, Row, Header Row.


For Example...

To make the current row a header row, the command is:

TableHeader

(

State: Yes!

)


TableInsertColumn

Purpose

TableInsertColumn inserts a table column before or after the insertion point.

Syntax

TableInsertColumn (Number: Numeric Expression; InsertPos: Numeric Equivalent or Enumerated Type)

Parameters

Number: Numeric Expression

Specifies how many columns to insert.

InsertPos: Numeric Equivalent or Enumerated Type

Determines where to insert the column(s).

0	Before!

1	After!

See Also

TableInsertRow


Route...

Table, Insert, Columns, specify the number of columns and where to insert them.


For Example...

To insert two columns after the current column, the command is:

TableInsertColumn

(

Number: 2;

InsertPos: After!

)


TableInsertDlg

Purpose

TableInsertDlg displays the Insert Columns/Rows dialog box.

Syntax

TableInsertDlg ()

See Also

TableInsertColumn

TableInsertRow


Route...

Table, Insert.


TableInsertOneRow

Purpose

TableInsertOneRow inserts a new row above the row containing the insertion point.

This command is not recordable.  You must type it into a macro.

Syntax

TableInsertOneRow ()


TableInsertRow

Purpose

TableInsertRow inserts a specified number of rows.

Syntax

TableInsertRow (NumberOfRows: Numeric Expression; InsertPosition: Numeric Equivalent or Enumerated Type)

Parameters

NumberOfRows: Numeric Expression

Specifies the number of rows to insert.

InsertPosition: Numeric Equivalent or Enumerated Type

Specifies where to insert the row(s).

0	Before!

1	After!

See Also

TableAppendRow

TableInsertColumn

TableInsertDlg


Route...

Table, Insert, Rows, specify the number of rows and where to add them.


For Example...

To insert a specified number of table rows above the insertion point, the command is:

TableInsertRow

(

NumberOfRows: 3;

InsertPosition: Before!

)


TableJoin

Purpose

TableJoin joins the current table and the table immediately following it into one table.

The tables must have the same number of columns.

Syntax

TableJoin ()

See Also

TableSplit


Route...

Table, Join, Table.


TableJoinCells

Purpose

TableJoinCells joins selected table cells to form one cell.

Syntax

TableJoinCells ()


Route...

Select cells, Table, Join, Cell.


TableLineFillDlg

Purpose

TableLineFillDlg displays the Table Lines/Fill dialog box.

The insertion point must be in a table.

Syntax

TableLineFillDlg ()


Route...

Table, Lines/Fill.


TableMarginLeft

Purpose

TableMarginLeft specifies the distance from the left edge of each cell to the text in the cell for the current table.

Syntax

TableMarginLeft (Margin: Measurement Expression)

Parameters

Margin: Measurement Expression

Specifies the distance from the left edge of each cell and the text in the cell.

See Also

TableColumnMarginLeft

TableColumnMarginRight

TableMarginRight


Route...

Table, Format, Table, Column Margins, Left, specify a measurement.


For Example...

To specify a left margin of 0.1 inches for the current table, the command is:

TableMarginLeft

(

Margin: 0.1"

)


TableMarginRight

Purpose

TableMarginRight specifies the distance from the right edge of each cell to the text in the cell for the current table.

Syntax

TableMarginRight (Margin: Measurement Expression)

Parameters

Margin: Measurement Expression

Specifies the distance from the right edge of each cell to the text in the cell.

See Also

TableColumnMarginLeft

TableColumnMarginRight

TableMarginLeft


Route...

Table, Format, Table, Column Margins, Right, specify a measurement.


For Example...

To specify a right cell margin of 0.1 inches for the current table, the command is:

TableMarginRight

(

Margin: 0.1"

)


TableMove

Purpose

TableMove moves the contents of a cell, blocked cells, current column, or current row.

To record this command, you must first select two or more cells.

After TableMove is executed, the contents of the cell(s) can be inserted into the table with TableMoveModeEnd.  TableMove must be used in conjunction with other commands, such as TableMoveModeCancel and TableMoveModeEnd.

Syntax

TableMove (Move: Numeric Equivalent or Enumerated Type)

Parameters

Move: Numeric Equivalent or Enumerated Type

Specifies the source of the contents to move.

1	Block!

2	Row!

3	Column!

4	Cell!

See Also

TableCopy


Route...

Select two or more cells, Edit, Cut, select an option.


For Example...

To move the contents of the current column, the command is:

TableMove

(

Move: Column!

)


TableMoveCopyDlg

Purpose

TableMoveCopyDlg opens the Move dialog box.

Syntax

TableMoveCopyDlg ()

See Also

TableCopy

TableMove


Route...

Layout, Tables, Edit, Move/Copy.


TableMoveModeCancel

Purpose

TableMoveModeCancel cancels TableMove or TableCopy.

This command is not recordable.  You must type it into a macro.

Syntax

TableMoveModeCancel ()

See Also

TableMoveModeEnd

TableMove

TableCopy


TableMoveModeEnd

Purpose

TableMoveModeEnd inserts data cut or copied using TableMove or TableCopy into a table at the insertion point.  This command must be preceded by TableMove or TableCopy.

This command is not recordable.  You must type it into a macro.

Syntax

TableMoveModeEnd ()

See Also

TableMove

TableCopy


TableNameAdd

Purpose

TableNameAdd names a cell, block of cells, row, column, or table.

Syntax

TableNameAdd (RefType: Numeric Equivalent or Enumerated Type; Name: Character Expression)

Parameters

RefType: Numeric Equivalent or Enumerated Type

Specifies cells to name.

1	Block!

2	Row!

3	Column!

4	Cell!

5	Table!

6	FloatingCell!

7	CellsDown!

8	CellsRight!

Name: Character Expression

Specifies a name.

See Also

TableNameDelete


Route...

Table, Names, Create, enter a name and select a range of cells.


For Example...

To name a block of cells Sales Figures, the command is:

TableNameAdd

(

RefType: Block!;

Name: "Sales Figures"

)


TableNameChange

Purpose

TableNameChange renames an existing table.

Syntax

TableNameChange (OldName: Character Expression; NewName: Character Expression; NewRef: Character Expression)

Parameters

OldName: Character Expression (optional)

Specifies a table name to change.

NewName: Character Expression (optional)

Specifies a new name for a table.

NewRef: Character Expression (optional)

Specifies a new reference.


Route...

Table, Names, Edit, enter a name.


For Example...

To specify a table named "Old Table" and rename it "New Table," the command is:

TableNameChange

(

OldName: "Old Table";

NewName: "New Table";

)


TableNameCreateDlg

Purpose

TableNameCreateDlg displays the Create Name dialog box.

This command is not recordable.  You must type it into a macro.

Syntax

TableNameCreateDlg ()


TableNameDelete

Purpose

TableNameDelete deletes a table name.

Syntax

TableNameDelete (TableName: Character Expression)

Parameters

TableName: Character Expression

Specifies the name of a table to delete.  The name can be preceded by the name of a table and a period.

See Also

TableNameAdd


Route...

Table, Names, select a name, Delete.


For Example...

To delete the table name Sales in a table named Table_C, the command is:

TableNameDelete

(

TableName: "Table_C.Sales"

)


TableNameListDlg

Purpose

TableNameListDlg opens the Table Names in Current Document dialog box.

Syntax

TableNameListDlg ()

See Also

TableNameAdd


Route...

Table, Names.


TableNumberAlignCurrency

Purpose

TableNumberAlignCurrency aligns currency symbols in a table.

Syntax

TableNumberAlignCurrency (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to align currency symbols in the current table.

0	No!

1	Yes!

See Also

TableNumberSelectCurrency


Route...

Table, Number Type, Table, Currency, Custom, Align Currency Symbol.


For Example...

To align currency symbols in the current table, the command is:

TableNumberAlignCurrency

(

State: Yes!

)


TableNumberDateFormat

Purpose

TableNumberDateFormat specifies a date format to display dates in the current table.

Syntax

TableNumberDateFormat (DateFmtNum: Numeric Expression)

Parameters

DateFmtNum: Numeric Expression

Specifies a date format.

1	July 5, 1959

2	7/5/59

3	Jul 5, 1959

4	5 July 1959

5	Sunday, July 5, 1959

6	12:00 pm

7	05Jul59

8	July 5, 1959 (12:00pm)

See Also

TableNumberFormat


Route...

Table, Number Type, Table, Date/Time, Custom, select a type.


For Example...

To display the date in the format Sunday, July 5, 1959, the command is:

TableNumberDateFormat

(

DateFmtNum: 5

)


TableNumberDecimalDigits

Purpose

TableNumberDecimalDigits specifies how many digits appear after the decimal point.

Use with the Fixed2! option of TableNumberFormat.

Syntax

TableNumberDecimalDigits (NumDigits: Numeric Expression)

Parameters

NumDigits: Numeric Expression

Specifies the number of digits that appear after the decimal point.

See Also

TableNumberFormat


Route...

Table, Number Type, Table, Integer, Custom, specify a number in the Decimal Amounts text box.


For Example...

To specify that three digits appear after the decimal point, the command sequence is:

TableNumberFormat

(

FormatType: Fixed2!

)

TableNumberDecimalDigits

(

NumDigits: 3

)


TableNumberFormat

Purpose

TableNumberFormat specifies a number format for the current table.

Syntax

TableNumberFormat (FormatType: Numeric Equivalent or Enumerated Type)

Parameters

FormatType: Numeric Equivalent or Enumerated Type

Specifies a number format for the current table.

0	General!

1	Integer!

2	Fixed2!

3	Percent!

4	Currency!

5	Accounting!

6	Commas!

7	Scientific!

8	DateFormat!

9	TextOnly!

See Also

TableColumnNumberAlignCurrency

TableColumnNumberDateFormat

TableColumnNumberDecimalDigits

TableColumnNumberRound

TableColumnNumberSelCurrency


Route...

Table, Number Type, Table, select a format.


For Example...

To specify currency as the number type, the command is:

TableNumberFormat

(

FormatType: Currency!

)


TableNumberNegativeNumber

Purpose

TableNumberNegativeNumber specifies how to display negative numbers in the current table.

Syntax

TableNumberNegativeNumber (NegDisplay: Numeric Equivalent or Enumerated Type)

Parameters

NegDisplay: Numeric Equivalent or Enumerated Type

Specifies a display style for negative numbers.

0	Minus!

1	Parentheses!

2	CRDR!


Route...

Table, Number Type, Table, select a type, Custom, select an option from the Negative Numbers group box.


For Example...

To display numbers using the Credit/Debit method, the command is:

TableNumberNegativeNumber

(

NegDisplay: CRDR!

)


TableNumberRound

Purpose

TableNumberRound specifies how to convert decimal numbers to integers.

Use with the Integer! option of TableNumberFormat.

Syntax

TableNumberRound (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to round off or truncate numbers when converting them to integers.

0	No!

1	Yes!

See Also

TableNumberFormat


Route...

Table, Number Type, Table, Integer, Custom, Round for Calculation.


For Example...

To round off numbers after the decimal point when converting to integers, the command is:

TableNumberFormat

(

FormatType: Integer!

)

TableNumberRound

(

State: Yes!

)


TableNumberSelectCurrency

Purpose

TableNumberSelectCurrency specifies a currency type for the current table.

Syntax

TableNumberSelectCurrency (IntlCurrency: Numeric Equivalent or Enumerated Type)

Parameters

IntlCurrency: Numeric Equivalent or Enumerated Type

Specifies a currency type.

0	Default Currency!

1	Dollar!

2	Peso!

3	FrenchCanada!

4	Canada!

5	Brazil!

6	Denmark!

7	Peseta!

8	Croatia!

9	CzechRepublic!

10	SlovakRepublic!

11	Finland!

12	FinlandIntl!

13	France!

14	Germany!

15	Greece!

16	Hungary!

17	Iceland!

18	Italy!

19	Japan!

20	Netherlands!

21	Norway!

22	NorwayIntl!

23	Ruble!

24	RussianRuble!

25	SouthAfrica!

26	Sweden!

27	Turkey!

28	UnitedKingdom!

29	Switzerland!

30	Austria!

31	Belgium!

32	Ecuador!

33	ElSalvador!

34	Guatemala!

35	Honduras!

36	Paraguay!

37	Venezuela!

38	Poland!

39	Slovenia!

See Also

TableNumberAlignCurrency


Route...

Table, Number Type, Table, Currency, Custom, select an option in the Symbol pop-up list.


For Example...

To specify pesos as the currency type, the command is:

TableNumberSelectCurrency

(

IntlCurrency: Peso!

)


TableNumberTypeDlg

Purpose

TableNumberTypeDlg displays the Number Type dialog box.

Syntax

TableNumberTypeDlg ()


Route...

Table, Number Type.


TableNumberUseCommas

Purpose

TableNumberUseCommas displays commas in numbers with more than three digits to the left of the decimal point.

Syntax

TableNumberUseCommas (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to display commas in numbers with more than three digits to the left of the decimal point.

0	No!

1	Yes!

See Also

TableNumberFormat


Route...

Table, Number Type, Table, select an available type, Custom, Use Commas.


For Example...

To display commas in numbers, the command is:

TableNumberUseCommas

(

State: Yes!

)


TableNumberUseCurrency

Purpose

TableNumberUseCurrency displays a currency symbol with numbers.

Syntax

TableNumberUseCurrency (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to display numbers with a currency symbol.

0	No!

1	Yes!

See Also

TableNumberFormat


Route...

Table, Number Type, Table, select an available type, Custom, Use Currency Symbol.


For Example...

To display a currency symbol with numbers, the command is:

TableNumberUseCurrency

(

State: Yes!

)


TablePointMode

Purpose

TablePointMode turns Formula Edit mode on or off in a table.

Syntax

TablePointMode (State: Numeric Equivalent or Enumerated Type)


Route...

In a table with the Formula Bar displayed, click in the formula area to turn on Formula Edit mode.  To turn off, press Enter.  To cancel, click the red X icon.


For Example...

To turn off Formula Edit mode, the command is:

TablePointMode (

State: Off!)


TablePosition

Purpose

TablePosition specifies the position of a table.

Syntax

TablePosition (PositionVal: Numeric Equivalent or Enumerated Type; SetAbsPos: Measurement Expression)

Parameters

PositionVal: Numeric Equivalent or Enumerated Type

Specifies the current table position on the page.

0	AlignLeft!

1	AlignRight!

2	AlignCenter!

3	AlignFull!

4	AlignAbsolute!

SetAbsPos: Measurement Expression (optional)

Specifies an absolute position for a table from the left edge of the paper when AlignAbsolute is specified as the PositionVal parameter.


Route...

Table, Format, Table, select a table position.


For Example...

To position a table 1.4 inches from the left edge of the paper, the command is:

TablePosition

(

PositionVal: AlignAbsolute!;

SetAbsPos: 1.4"

)


TableQuickSum

Purpose

TableQuickSum calculates the sum of cells above the current cell in the current column.  If the cell immediately above the current cell is blank, TableQuickSum calculates the sum of cells to the immediate left of the current cell.  Cells above or to the left of a blank cell are not included in the calculation.

Syntax

TableQuickSum ()


Route...

Table, Sum.


TableRetrieve

Purpose

TableRetrieve retrieves the last item moved or copied.

This command is not recordable.  You must type it into a macro.

Syntax

TableRetrieve (Reference: Numeric Equivalent or Enumerated Type)

Parameters

Reference: Numeric Equivalent or Enumerated Type

Specifies whether to retrieve a cell, block, row, or column and specifies how to insert it.

1	Block!

2	Row!

3	Column!

4	Cell!

See Also

TableCopy

TableMove


For Example...

To add a row and retrieve a copied row into it, the command is:

TableRetrieve

(

Reference: Row!

)


TableRowHeight

Purpose

TableRowHeight specifies whether row height is automatic or fixed, and if fixed, specifies the height.

Syntax

TableRowHeight (RowHeight: Numeric Equivalent or Enumerated Type; Amount: Measurement Expression)

Parameters

RowHeight: Numeric Equivalent or Enumerated Type

Specifies row height as automatic (based on font size) or fixed.

0	Auto!

1	Fixed!

Amount: Measurement Expression

Specifies row height when Fixed! is specified as the Type parameter.

See Also

TableColumnWidth


Route...

Table, Format, Row, select Auto or Fixed.


For Example...

To specify a fixed row height of 0.25 inches, the command is:

TableRowHeight

(

RowHeight: Fixed!;

Amount: 0.25"

)


TableRowMarginBottom

Purpose

TableRowMarginBottom specifies the amount of space between the bottom of each cell and text in the cell.

Syntax

TableRowMarginBottom (Margin: Measurement Expression)

Parameters

Margin: Measurement Expression

Specifies an amount of space between the bottom of each cell and text in the cell.

See Also

TableRowMarginTop


Route...

Table, Format, Row, Bottom, specify a measurement.


For Example...

To specify a bottom margin of 0.05 inches, the command is:

TableRowMarginBottom

(

Margin: 0.05"

)


TableRowMarginTop

Purpose

TableRowMarginTop specifies an amount of space between the top of each cell and text in the cell.

Syntax

TableRowMarginTop (Margin: Measurement Expression)

Parameters

Margin: Measurement Expression

Specifies an amount of space between the top of each cell and text in the cell.

See Also

TableRowMarginBottom


Route...

Table, Format, Row, Top, specify a measurement.


For Example...

To specify a top margin of 0.05 inches, the command is:

TableRowMarginTop

(

Margin: 0.05"

)


TableRowNumberOfLines

Purpose

TableRowNumberOfLines specifies whether multiple lines are allowed in the cells in a row.

Syntax

TableRowNumberOfLines (RowLines: Numeric Equivalent or Enumerated Type)

Parameters

RowLines: Numeric Equivalent or Enumerated Type

Specifies whether to allow multiple lines or only one line.

0	Multiple!

1	Single!


Route...

Table, Format, Row, select Single Line or Multi Line.


For Example...

To allow multiple lines in a cell, the command is:

TableRowNumberOfLines

(

RowLines: Multiple!

)


TableSelectOff

Purpose

TableSelectOff turns off Select.

This command is not recordable.  You must type it into a macro.

Syntax

TableSelectOff ()


TableSelectOn

Purpose

TableSelectOn selects a row, column, cell, or table.

This command is not recordable.  You must type it into a macro.

The insertion point must be in a table.

Syntax

TableSelectOn (SelectionMode: Numeric Equivalent or Enumerated Type)

Parameters

SelectionMode: Numeric Equivalent or Enumerated Type

2	Row!

3	Column!

4	Cell!

5	Table!


For Example...

To select a row, the command is:

TableSelectOn

(

SelectionMode: Row!

)


TableSplit

Purpose

TableSplit splits a table into two tables.  The second table begins with the current row.

Syntax

TableSplit ()

See Also

TableJoin


Route...

Table, Split, Table.


TableSplitCellsDlg

Purpose

TableSplitCellsDlg displays the Split Cell dialog box.

Syntax

TableSplitCellsDlg ()


Route...

Table, Split, Cell.


TableSplitColumn

Purpose

TableSplitColumn splits the current cell into multiple columns.

Syntax

TableSplitColumn (ColumnCount: Numeric Expression)

Parameters

ColumnCount: Numeric Expression

Specifies the number of columns to split a cell into.

See Also

TableSplitRow


Route...

Table, Split, Cell, Columns, specify the number of columns.


For Example...

To split a cell into two columns, the command is:

TableSplitColumn

(

ColumnCount: 2

)


TableSplitRow

Purpose

TableSplitRow splits the current cell into multiple rows.

Syntax

TableSplitRow (RowCount: Numeric Expression)

Parameters

RowCount: Numeric Expression

Specifies the number of rows to split a cell into.

See Also

TableSplitColumn


Route...

Table, Split, Cell, Rows, specify the number of rows.


For Example...

To split a cell into two rows, the command is:

TableSplitRow

(

RowCount: 2

)


TableTextToFormula

Purpose

TableTextToFormula converts the contents of the current cell into a formula.

This command is not recordable.  You must type it into a macro.

Syntax

TableTextToFormula ()

See Also

TableFormula


TableUndelete

Purpose

TableUndelete inserts the last deleted item at the insertion point.  The item must have been deleted in table editing mode.

You must type this command into a macro.  It is not recordable.

Syntax

TableUndelete ()

See Also

TableDeleteBlock

TableDeleteColumn

TableDeleteRow


TableUseDefaultLinesColor

Purpose

TableUseDefaultLinesColor specifies the Line Style line color as the default line color for a table.

This command is not recordable.  You must type it into a macro.

Syntax

TableUseDefaultLinesColor ()

See Also

TableDefaultLineColor


TabRight

Purpose

TabRight inserts a right aligned tab.

Syntax

TabRight (Type: Numeric Equivalent or Enumerated Type)

Parameters

Type: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to include a dot leader.

0	Normal!

1	DotLeader!

See Also

TabCenter

TabDecimal

TabLeft


Route...

Layout, Line, Other Codes, select Right under Hard Tab Codes or under Hard Tab Codes with Dot Leaders.


For Example...

To insert a right tab with a dot leader, the command is:

TabRight

(

Type: DotLeader!

)


TabRightDot

Purpose

TabRightDot inserts a Hard Right Tab code with a dot leader at the insertion point.

This command is not recordable.  You must type it into a macro.  For a recordable command that serves the same function, use TabRight.

Syntax

TabRightDot ()

See Also

TabRight

TabCenterDot

TabDecimalDot

TabLeftDot


TabSet

Purpose

TabSet specifies tab settings.

Syntax

TabSet (Origin: Numeric Equivalent or Enumerated Type; {Position: Measurement Expression; TabType: Numeric Equivalent or Enumerated Type})

Parameters

Origin: Numeric Equivalent or Enumerated Type

Specifies whether to set tabs relative to the left edge of the paper (absolute) or the left margin setting (relative).

0	Absolute!

1	Relative!

Position: Measurement Expression

Specifies a tab position.

TabType: Numeric Equivalent or Enumerated Type

Specifies a tab type.

0	TabLeft!

1	TabCenter!

2	TabRight!

3	TabDecimal!

16	TabLeftDot!

17	TabCenterDot!

18	TabRightDot!

19	TabDecimalDot!

See Also

TabAdd

?TabSettings


Route...

Layout, Line, Tab Set, Absolute or Relative, specify tab settings.


For Example...

To set an absolute left tab at 3 inches, the command is:

TabSet

(

Origin: Absolute!;

{Position: 3";

TabType: TabLeft!}

)


TabSetDlg

Purpose

TabSetDlg displays the Tab Set dialog box.

Syntax

TabSetDlg ()

See Also

TabSet


Route...

Layout, Line, Tab Set.


TeamLinkEnable

Purpose

TeamLinkEnable turns TeamLinks electronic mail service on or off.  A TeamLinks Integration module must be installed before this command can function.

This command is not recordable.  You must type it into a macro.

Syntax

TeamLinkEnable (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether team links are on or off.

0	Off!

1	On!


For Example...

To turn on TeamLinks, the command is:

TeamLinkEnable (

State: On!)


TemplateCopyObject

Purpose

TemplateCopyObject copies a template item, such as a style or a macro, from one template to another.

Syntax

TemplateCopyObject (CopyFrom: Character Expression; ObjectType: Numeric Equivalent or Enumerated Type; ObjectName: Character Expression)

Parameters

CopyFrom: Character Expression

Specifies a template from which to copy an item.

ObjectType: Numeric Equivalent or Enumerated Type

Specifies a type of object to copy.

0	Abbreviation!

1	ButtonBar!

2	Keyboard!

3	Macro!

4	Menu!

ObjectName: Character Expression

Specifies the name of the object to copy.


Route...

File, Template, select a template, Options, Edit Template, Copy/Remove Object, specify options, Copy or Copy All.


For Example...

To copy the Layout Button Bar from a template named C:\WPWIN60\TEMPLATE\TEMP1.WPT to the current template, the command is:

TemplateCopyObject (

CopyFrom: "C:\WPWIN60\TEMPLATE\TEMP1.WPT";

ObjectType: ButtonBar!;

ObjectName: "Layout")


TemplateCopyObjectDlg

Purpose

TemplateCopyObjectDlg displays the Copy/Remove Template Objects dialog box.

Syntax

TemplateCopyObjectDlg ()


Route...

File, Template, Options button, Edit Template, Copy/Remove Object.


TemplateCreate

Purpose

TemplateCreate creates a new template.

Syntax

TemplateCreate (Filename: Character Expression; BasedOn: Character Expression)

Parameters

Filename: Character Expression

Specifies a new template filename.

BasedOn: Character Expression (optional)

Specifies the template filename on which a new template is based.


Route...

File, Template, Options button, Create Template, select options.


For Example...

To create a new template file named NEWTEMP.WPT, based on the template file STANDARD.WPT, the command is:

TemplateCreate

(

Filename: "NEWTEMP.WPT";

BasedOn: "STANDARD.WPT"

)


TemplateCreateDlg

Purpose

TemplateCreateDlg displays the Create Document Template dialog box.

You must type this command into a macro.  It is not recordable.

Syntax

TemplateCreateDlg ()


TemplateDescriptionDlg

Purpose

TemplateDescriptionDlg displays the Template Description dialog box.

Syntax

TemplateDescriptionDlg ()


Route...

File, Template, Options button, Edit Template, Description.


TemplateDlg

Purpose

TemplateDlg displays the Templates dialog box.

Syntax

TemplateDlg ()


Route...

File, Template.


TemplateEdit

Purpose

TemplateEdit edits a selected template file.

Syntax

TemplateEdit (Filename: Character Expression)

Parameters

Filename: Character Expression

Specifies the name of a file to edit.


Route...

File, Template, select Template, Options button, Edit Template.


For Example...

To edit a template file named NEWTEMP.WPT, the command is:

TemplateEdit

(

Filename: "NEWTEMP.WPT"

)


TemplateSelect

Purpose

TemplateSelect selects a document template to use.

Syntax

TemplateSelect (Filename: Character Expression)

Parameters

Filename: Character Expression

Specifies a template filename.


Route...

File, Template, select template.


For Example...

To select the standard template file, the command is:

TemplateSelect

(

Filename: "STANDARD.WPT"

)


TemplateSetAssociation

Purpose

TemplateSetAssociation assigns menus, keyboards, and Button Bars to selected WordPerfect features or triggers in the current template.

Syntax

TemplateSetAssociation (FeatureTrigger: Numeric Equivalent or Enumerated Type; Object: Numeric Equivalent or Enumerated Type; ObjectName: Character Expression)

Parameters

FeatureTrigger: Numeric Equivalent or Enumerated Type

Specifies a feature with which to associate template items.

0	Main!

1	EquationEditor!

2	Tables!

3	BoxSelected!

4	Headers!

5	Footers!

6	Footnote!

7	Endnote!

8	Outline!

9	Watermark!

10	Comment!

257	PostStartup!

258	PreTables!

259	PostTables!

260	PreNew!

261	PostNew!

262	PreOpen!

263	PostOpen!

264	PreClose!

265	PostClose!

266	PrePrint!

267	PostPrint!

268	PreDocument!

269	PostDocument!

Object: Numeric Equivalent or Enumerated Type

Specifies a type of object to associate.

0	ButtonBar!

1	Keyboard!

2	Macro!

3	Menu!

ObjectName: Character Expression

Specifies the name of the object to associate.


Route...

File, Template, select a template, Options, Edit Template, Associate, specify options, OK.


For Example...

To associate the Comments feature with the Layout Button Bar, the command is:

TemplateSetAssociation (

FeatureTrigger: Comment!;

Object: ButtonBar!;

ObjectName: "Layout!")


TextBorderCreate

Purpose

TextBorderCreate creates a text border.

This command must be used in conjunction with TextBorderEnd.

Syntax

TextBorderCreate (Style: Numeric Equivalent or Enumerated Type; FillName: Numeric Equivalent or Enumerated Type; BorderFunction: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies a border style.

0	SpacingOnly!

1	SingleBorder!

2	DoubleBorder!

3	DashedBorder!

4	DottedBorder!

5	ThickBorder!

6	ExtraThickBorder!

7	ThinThickBorder!

8	ThickThinBorder!

9	ThickTopBottomBorder!

10	ButtonBorder!

11	ColumnBorderBetween!

12	ColumnBorderAll!

127	NoBorder!

FillName: Numeric Equivalent or Enumerated Type

Specifies a fill type.

0	Fill10!

1	Fill20!

2	Fill30!

3	Fill40!

4	Fill50!

5	Fill60!

6	Fill70!

7	Fill80!

8	Fill90!

9	Fill100!

10	FillButton!

127	NoFill!

BorderFunction: Numeric Equivalent or Enumerated Type

Specifies a border type.

0	PageBorder!

1	ParagraphBorder!

2	ColumnBorder!

See Also

TextBorderEdit

TextBorderEnd


Route...

Layout, select Page, Paragraph, or Columns, Border/Fill.


For Example...

To create a paragraph border with a single line and a 10% fill, the command sequence is:

TextBorderCreate

(

Style: SingleBorder!;

FillName: Fill10!;

BorderFunction: ParagraphBorder!

)

TextBorderEnd

(

State: Save!

)


TextBorderEdit

Purpose

TextBorderEdit initiates editing changes to the current border.

If the insertion point is not in text that has the specified border, an error is returned.  This command must be used in conjunction with TextBorderEnd.

Syntax

TextBorderEdit (BorderType: Numeric Equivalent or Enumerated Type)

Parameters

BorderType: Numeric Equivalent or Enumerated Type

Specifies a border type to edit.

0	Page!

1	Paragraph!

2	Column!

See Also

TextBorderCreate

TextBorderEnd


Route...

Layout, select Page, Paragraph, or Columns, Border/Fill.


For Example...

To change the fill style of the current page border to 10%, the command sequence is:

TextBorderEdit

(

BorderType: Page!

)

TextBorderFillStyle

(

FillName: Fill10!

)

TextBorderEnd

(

State: Save!

)


TextBorderEnd

Purpose

TextBorderEnd ends border creation or editing and specifies whether to save changes.

This command must be preceded by TextBorderCreate or TextBorderEdit.

Syntax

TextBorderEnd (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to save changes to a border.

0	Cancel!

1	Save!

See Also

TextBorderCreate

TextBorderEdit


Route...

Layout, select Page, Paragraph, or Columns, Border/Fill.


For Example...

To create a paragraph border with a single line and a 10% fill, the command sequence is:

TextBorderCreate

(

Style: SingleBorder!;

FillName: Fill10!;

BorderFunction: ParagraphBorder!

)

TextBorderEnd

(

State: Save!

)


TextBorderFillStyle

Purpose

TextBorderFillStyle specifies a fill style for the current border.

This command is not recordable.  You must type it into a macro.

If the insertion point is not in text with a border, an error is returned.  This command must be used in conjunction with TextBorderEdit and TextBorderEnd.

Syntax

TextBorderFillStyle (FillName: Numeric Equivalent or Enumerated Type)

Parameters

FillName: Numeric Equivalent or Enumerated Type

Specifies a fill style.

0	Fill10!

1	Fill20!

2	Fill30!

3	Fill40!

4	Fill50!

5	Fill60!

6	Fill70!

7	Fill80!

8	Fill90!

9	Fill100!

10	FillButton!

127	NoFill!

See Also

TextBorderEdit


For Example...

To change the fill style of the current page border to 10%, the command sequence is:

TextBorderEdit

(

BorderType: Page!

)

TextBorderFillStyle

(

FillName: Fill10!

)

TextBorderEnd

(

State: Save!

)


TextBorderStyle

Purpose

TextBorderStyle specifies a border style for the current border.

This command is not recordable.  You must type it into a macro.

If the insertion point is not in text with a border, an error is returned.  This command must be used in conjunction with TextBorderEdit and TextBorderEnd.

Syntax

TextBorderStyle (Style: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies a border style.

0	SpacingOnly!

1	SingleBorder!

2	DoubleBorder!

3	DashedBorder!

4	DottedBorder!

5	ThickBorder!

6	ExtraThickBorder!

7	ThinThickBorder!

8	ThickThinBorder!

9	ThickTopBottomBorder!

10	ButtonBorder!

11	ColumnBorderBetween!

12	ColumnBorderAll!

127	NoBorder!

See Also

TextBorderEdit

TextBorderEnd


For Example...

To change the border style of the current page border to thick, the command sequence is:

TextBorderEdit

(

BorderType: Page!

)

TextBorderStyle

(

Style: Thick!

)

TextBorderEnd

(

State: Save!

)


TextBoxCreate

Purpose

TextBoxCreate creates a text box and opens the Text Box Editor.

Syntax

TextBoxCreate ()

See Also

SubstructureExit


Route...

Graphics, Text Box.


TextColor

Purpose

TextColor specifies a text color.

Syntax

TextColor (ColorName: Character Expression; Red: Numeric Expression; Green: Numeric Expression; Blue: Numeric Expression)

Parameters

ColorName: Character Expression

Specifies a predefined color name.

Red: Numeric Expression

Specifies the amount of red in a color.  Values range from 0 to 255.

Green: Numeric Expression

Specifies the amount of green in a color.  Values range from 0 to 255.

Blue: Numeric Expression

Specifies the amount of blue in a color.  Values range from 0 to 255.

See Also

TextShade

?TextColorBlue

?TextColorGreen

?TextColorRed

?TextShade


Route...

Layout, Font, Color button, select a color.


For Example...

To specify red text, the command is:

TextColor

(

ColorName: "Red";

Red: 255;

Green: 0;

Blue: 0

)


TextShade

Purpose

TextShade specifies the intensity of a text color, where 100% is full intensity.

Syntax

TextShade (ShadingValue: Numeric Expression)

Parameters

ShadingValue: Numeric Expression

Specifies a shading percentage for a text color.

See Also

TextColor


Route...

Layout, Font, specify a shading percentage under Color Options.


For Example...

To specify a blue text with half intensity, the command sequence is:

TextColor

(

ColorName: "Blue";

Red: 0;

Green: 0;

Blue: 255

)

TextShade

(

ShadingValue: 50

)


ThousandsSeparator

Purpose

ThousandsSeparator specifies a character that appears in numbers greater than or equal to 1000 to separate each three digits.

Use with the Comma! number type specified in TableCellNumberFormat, TableColumnNumberFormat, or TableNumberFormat, or use with TableCellNumberUseCommas, TableColumnNumberUseCommas, or TableNumberUseCommas.

Syntax

ThousandsSeparator (Character: Character Expression)

Parameters

Character: Character Expression

Specifies a character that separates every three digits.

See Also

TableCellNumberFormat

TableCellNumberUseCommas

TableColumnNumberFormat

TableColumnNumberUseCommas

TableNumberFormat

TableNumberUseCommas

?ThousandsSeparatorChar


Route...

Layout, Line, Other Codes, Thousands Separator.


For Example...

To specify a period (.) as the thousands separator, the command is:

ThousandsSeparator

(

Character:"."

)


ToACreateFullFormDlg

Purpose

ToACreateFullFormDlg displays the Create Full Form dialog box.

Syntax

ToACreateFullFormDlg ()


Route...

Tools, Table of Authorities, Create Full Form.


ToADefineDlg

Purpose

ToADefineDlg displays the Define Table of Authorities dialog box.

Syntax

ToADefineDlg ()


Route...

Tools, Table of Authorities, Define.


ToADefinition

Purpose

ToADefinition specifies a section and inserts a table of authorities definition.

Syntax

ToADefinition (SectionName: Character Expression; Style: Numeric Equivalent or Enumerated Type; Numbering: Numeric Equivalent or Enumerated Type; Underline: Numeric Equivalent or Enumerated Type; PageCombine: Numeric Equivalent or Enumerated Type; NumberingFormat: Character Expression)

Parameters

SectionName: Character Expression

Specifies a section name.

Style: Numeric Equivalent or Enumerated Type

Specifies a style for the current section.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

Numbering: Numeric Equivalent or Enumerated Type

Specifies how to display page references.

0	DefNone!

1	DefFollows!

2	DefParentheses!

3	DefFlushRight!

4	DefLeader!

Underline: Numeric Equivalent or Enumerated Type

Specifies whether to allow underlining.

0	NoToAUnderline!

1	ToAUnderline!

PageCombine: Numeric Equivalent or Enumerated Type

Specifies whether to combine sequential page numbers.

0	NoCombine!

1	Combine!

NumberingFormat: Character Expression

Specifies how page numbers appear in references.

See Also

ToADefinitionCreate

?ToADefinition


Route...

Tools, Table of Authorities, Define, select a section, Insert.


For Example...

To specify a section named SWITCHS and insert a definition, the command is:

ToADefinition

(

SectionName: "SWITCHS";

Style: NormalStyle!;

Numbering: DefLeader!;

Underline: NoToAUnderline!;

PageCombine: NoCombine!;

NumberingFormat: "page #"

)


ToADefinitionCombine

Purpose

ToADefinitionCombine specifies whether to combine sequential page numbers in a section.

Syntax

ToADefinitionCombine (SectionName: Character Expression; Combine: Numeric Equivalent or Enumerated Type)

Parameters

SectionName: Character Expression

Specifies a section name.

Combine: Numeric Equivalent or Enumerated Type

Specifies whether to combine sequential page numbers.

0	NoCombine!

1	Combine!


Route...

Tools, Table of Authorities, Define, Create or Edit, Use Dash to Show Consecutive Pages.


For Example...

To combine sequential page numbers in a section named SWITCHS, the command is:

ToADefinitionCombine

(

SectionName: "SWITCHS";

Combine: Combine!

)


ToADefinitionCreate

Purpose

ToADefinitionCreate creates a table of authorities definition.

Syntax

ToADefinitionCreate (SectionName: Character Expression; Style: Numeric Equivalent or Enumerated Type; Numbering: Numeric Equivalent or Enumerated Type; Underline: Numeric Equivalent or Enumerated Type; PageCombine: Numeric Equivalent or Enumerated Type; NumberingFormat: Character Expression)

Parameters

SectionName: Character Expression

Specifies a section name.

Style: Numeric Equivalent or Enumerated Type

Specifies a style for the current section.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

Numbering: Numeric Equivalent or Enumerated Type

Specifies how to display page references.

0	DefNone!

1	DefFollows!

2	DefParentheses!

3	DefFlushRight!

4	DefLeader!

Underline: Numeric Equivalent or Enumerated Type

Specifies whether to allow underlining.

0	NoToAUnderline!

1	ToAUnderline!

PageCombine: Numeric Equivalent or Enumerated Type

Specifies whether to combine sequential page numbers.

0	NoCombine!

1	Combine!

NumberingFormat: Character Expression

Specifies how page numbers appear in references.

See Also

ToADefinitionDelete


Route...

Tools, Table of Authorities, Define, Create, enter a name, specify numbering format and current style options.


For Example...

To create a definition for a section named SWITCHS with flush right page numbers and dot leaders, the command is:

ToADefinitionCreate

(

SectionName: "SWITCHS";

Style: ToAStyle!;

Numbering: DefLeader!;

Underline: ToAUnderline!;

PageCombine: Combine!;

NumberingFormat: "One"

)


ToADefinitionDelete

Purpose

ToADefinitionDelete deletes a table of authorities section definition.

Syntax

ToADefinitionDelete (SectionName: Character Expression)

Parameters

SectionName: Character Expression

Specifies a section name.

See Also

ToADefinitionCreate


Route...

Tools, Table of Authorities, Define, select a section, Delete.


For Example...

To delete a section definition named SWITCHS, the command is:

ToADefinitionDelete

(

SectionName: "SWITCHS"

)


ToADefinitionMode

Purpose

ToADefinitionMode changes the display of page references in a section.

Syntax

ToADefinitionMode (SectionName: Character Expression; Numbering: Numeric Equivalent or Enumerated Type)

Parameters

SectionName: Character Expression

Specifies a section name.

Numbering: Numeric Equivalent or Enumerated Type

Specifies how to display page references.

0	DefNone!

1	DefFollows!

2	DefFollowsParenthesis!

3	DefFlushRight!

4	DefLeader!

See Also

ToADefinitionCreate


Route...

Tools, Table of Authorities, Define, select a section, Edit, select a Position option.


For Example...

To change the display of page references in a section called SWITCHS to flush right with no dot leader, the command is:

ToADefinitionMode

(

SectionName: "SWITCHS";

Numbering: DefFlushRight!

)


ToADefinitionRename

Purpose

ToADefinitionRename renames a section.

Syntax

ToADefinitionRename (OldSection: Character Expression; NewSection: Character Expression)

Parameters

OldSection: Character Expression

Specifies a section name.

NewSection: Character Expression

Specifies a new name for a section.

See Also

ToADefinitionCreate


Route...

Tools, Table of Authorities, Define, select a section, Edit, Name, enter a name.


For Example...

To rename a section from SWITCHS to UTAH SWITCHS, the command is:

ToADefinitionRename

(

OldSection: "SWITCHS";

NewSection: "UTAH SWITCHS"

)


ToADefinitionRetrieve

Purpose

ToADefinitionRetrieve retrieves a section from another document into the current document.

Syntax

ToADefinitionRetrieve (Filename: Character Expression; SectionName: Character Expression)

Parameters

Filename: Character Expression

Specifies a filename.

SectionName: Character Expression

Specifies a section name.

See Also

ToADefinitionCreate


Route...

Tools, Table of Authorities, Define, Retrieve, enter a filename, mark sections to retrieve.


For Example...

To retrieve a section named SWITCHS in a file named PROBATE, the command is:

ToADefinitionRetrieve

(

Filename: "PROBATE";

SectionName: "SWITCHS"

)


ToADefinitionStyle

Purpose

ToADefinitionStyle changes the style for a section.

Syntax

ToADefinitionStyle (SectionName: Character Expression; Style: Numeric Equivalent or Enumerated Type)

Parameters

SectionName: Character Expression

Specifies a section name.

Style: Numeric Equivalent or Enumerated Type

Specifies a style for the current section.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

See Also

ToADefinitionCreate


Route...

Tools, Table of Authorities, Define, select a section, Edit, Change, select a style, Select.


For Example...

To specify the TableofCont1 style for a section named SWITCHS, the command is:

ToADefinitionStyle

(

SectionName: "SWITCHS";

Style: ToC1Style!

)


ToADefinitionUnderline

Purpose

ToADefinitionUnderline specifies whether underlining is allowed in a table of authorities section.

Syntax

ToADefinitionUnderline (Section: Character Expression; Action: Numeric Equivalent or Enumerated Type)

Parameters

Section: Character Expression

Specifies a table of authorities section name.

Action: Numeric Equivalent or Enumerated Type

Specifies whether to allow underlining in the specified section.

0	NoToAUnderline!

1	ToAUnderline!


Route...

Tools, Table of Authorities, Define, Create or Edit, select Underlining Allowed.


For Example...

To allow underlining in a table of authorities section named First Section, the command is:

ToADefinitionUnderline

(

Section: "First Section";

Action: ToAUnderline!

)


ToAEditFullForm

Purpose

ToAEditFullForm initiates editing changes to a full form.  Use SubstructureExit to end editing and save changes.

Syntax

ToAEditFullForm (ShortForm: Character Expression)

Parameters

ShortForm: Character Expression

Specifies the short form of a full form to edit.

See Also

ToAMark


Route...

Tools, Table of Authorities, Edit Full Form, select a form.


For Example...

To edit a full form with the short form Brown v. Board of Education, the command sequence is:

ToAEditFullForm

(

ShortForm: "Brown v. Board of Education"

)

Type

(

Text: "385 U.S."

)

SubstructureExit ()


ToAEditFullFormCBar

Purpose

ToAEditFullFormCBar displays the Table of Authorities feature bar.

Syntax

ToAEditFullFormCBar ()


Route...

Tools, Table of Authorities.


ToAEditFullFormDlg

Purpose

ToAEditFullFormDlg displays the Edit Full Form dialog box.

Syntax

ToAEditFullFormDlg ()

See Also

ToAEditFullForm


Route...

Tools, Table of Authorities, Edit Full Form.


ToAEditPageFormat

Purpose

ToAEditPageFormat changes the page format for a section.

Syntax

ToAEditPageFormat (Listname: Character Expression; NumberFormat: Numeric Equivalent or Enumerated Type)

Parameters

Listname: Character Expression

Specifies a section name.

NumberFormat: Numeric Equivalent or Enumerated Type

Specifies a page format.  This parameter also accepts a character expression to specify a custom format.

0	DocFormat!

See Also

ToADefinitionCreate


Route...

Tools, Table of Authorities, Define, select a section, Edit, Page Numbering, select options.


For Example...

To include a chapter number and a period in front of the page number for a section named SWITCHS, the command is:

ToAEditPageFormat

(

Listname: "SWITCHS";

NumberFormat: "[chpt #].[page #]"

)


ToAEditSection

Purpose

ToAEditSection specifies a table of authorities section to edit.

Syntax

ToAEditSection (OldName: Character Expression; NewName: Character Expression)

Parameters

OldName: Character Expression

Specifies the current section.

NewName: Character Expression

Specifies the section to edit.


Route...

Tools, Table of Authorities, Edit Full Form, select a section.


For Example...

To switch from a section named First Section to edit a section named Second Section, the command is:

ToAEditSection

(

OldName: "First Section";

NewName: "Second Section"

)


ToAEditShortForm

Purpose

ToAEditShortForm renames a short form.

Syntax

ToAEditShortForm (OldName: Character Expression; NewName: Character Expression)

Parameters

OldName: Character Expression

Specifies a short form.

NewName: Character Expression

Specifies a new short form.

See Also

ToAMark


Route...

Tools, Table of Authorities, Edit Full Form, select a section, OK, enter a short form.


For Example...

To rename a short form Brown v. Board of Education to Brown v. United States, the command is:

ToAEditShortForm

(

OldName: "Brown v. Board of Education";

NewName: "Brown v. United States"

)


ToAMark

Purpose

ToAMark marks selected text as a table of authorities reference.

Syntax

ToAMark (SectionName: Character Expression; ShortForm: Character Expression)

Parameters

SectionName: Character Expression (optional)

Specifies a section name.

ShortForm: Character Expression

Specifies a short form.

See Also

ToADefinitionCreate


Route...

Tools, Table of Authorities, Create Full Form, specify a section name and enter a short form.


For Example...

To mark a reference with the short form Brown v. Board of Education and include it in a section named SWITCHS, the command is:

ToAMark

(

SectionName: "SWITCHS";

ShortForm: "Brown v. Board of Education"

)


ToAMarkShortForm

Purpose

ToAMarkShortForm marks a short form.

Syntax

ToAMarkShortForm (ShortForm: Character Expression)

Parameters

ShortForm: Character Expression

Specifies a short form.

See Also

ToAMark


Route...

Tools, Table of Authorities, Mark.


For Example...

To mark the short form Brown v. Board of Education, the command is:

ToAMarkShortForm

(

ShortForm: "Brown v. Board of Education"

)


ToCDefine

Purpose

ToCDefine defines a table of contents and inserts the definition.

Syntax

ToCDefine (WrapLastLevel: Numeric Equivalent or Enumerated Type; NumberingFormat: Character Expression; Style: Numeric Equivalent or Enumerated Type; Numbering: Numeric Equivalent or Enumerated Type)

Parameters

WrapLastLevel: Numeric Equivalent or Enumerated Type

Specifies whether to wrap the last level.

0	No!

1	Yes!

NumberingFormat: Character Expression

Specifies a page format.

Style: Numeric Equivalent or Enumerated Type

Specifies a style for each table of contents level.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

Numbering: Numeric Equivalent or Enumerated Type

Specifies the format for references.

0	DefNone!

1	DefFollows!

2	DefParentheses!

3	DefFlushRight!

4	DefLeader!

See Also

ToCMark

?ToCDefinition


Route...

Tools, Table of Contents, Define, specify a number of levels, specify and select options.


For Example...

To create a single-level table of contents with flush right dot leader page numbers, the command is:

ToCDefine

(

WrapLastLevel: LevelWrap!

NumberingFormat: "Page #"

{Style: NormalStyle!

Numbering: DefLeader!}

)


ToCDefineDlg

Purpose

ToCDefineDlg displays the Define Table of Contents dialog box.

Syntax

ToCDefineDlg ()

See Also

ToCMark


Route...

Tools, Table of Contents, Define.


ToCMark

Purpose

ToCMark marks blocked text for inclusion in a table of contents.

Syntax

ToCMark (Level: Numeric Expression)

Parameters

Level: Numeric Expression

Specifies a table of contents level.

See Also

ToCDefine


Route...

Tools, Table of Contents, Mark, specify a level.


For Example...

To mark text for level 1 of a table of contents, the command is:

ToCMark

(

Level: 1

)


TransitionAdvisorTable of Contentsblocked text, mark TOCMark

TransitionAdvisor

Purpose

TransitionAdvisor opens the Transition Advisor.

Syntax

TransitionAdvisor ()


Route...

Tools, Table of Contents, Mark, specify a level.


Type

Purpose

Type inserts text at the insertion point.

Syntax

Type (Text: Character Expression)

Parameters

Text: Character Expression

Specifies text to enter at the insertion point.

See Also

TypeChar


Route...

Use the keyboard to type in a document window.


For Example...

To type "WordPerfect 6.0 for Windows" in a document, the command is:

Type

(

Text: "WordPerfect 6.0 for Windows"

)


TypeChar

Purpose

TypeChar inserts a character from the WordPerfect character sets.

This command is not recordable.  You must type it into a macro.

Syntax

TypeChar (CharacterSet: Numeric Expression; Offset: Numeric Expression)

Parameters

CharacterSet: Numeric Expression

Specifies a WordPerfect character set.

Offset: Numeric Expression

Specifies a character in a WordPerfect character set.

See Also

Type


For Example...

To insert the section symbol (§), which is character 6 of set 4, the command is:

TypeChar

(

CharacterSet: 4;

Offset: 6

)


Typeover

Purpose

Typeover specifies whether Typeover is on.

Syntax

Typeover (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether Typeover is on.

0	Off!

1	On!

See Also

?TypeoverActive


Route...

Press Insert.


For Example...

To turn on Typeover, the command is:

Typeover

(

State: On!

)


TypeoverKey

Purpose

TypeoverKey toggles Typeover.

This command is not recordable.  You must type it into a macro.  For a recordable command with similar functionality, use Typeover.

Syntax

TypeoverKey ()

See Also

Typeover


TypesetManualKerningDlg

Purpose

TypesetManualKerningDlg displays the Manual Kerning dialog box.

This command is not recordable.  You must type it into a macro.

Syntax

TypesetManualKerningDlg ()

See Also

KerningSpacing


Undelete

Purpose

Undelete restores up to the last three deletions.

Syntax

Undelete (Which: Numeric Expression)

Parameters

Which: Numeric Expression

Specifies a level to undelete.  Values range from 1 to 3.

See Also

Undo


Route...

Edit, Undelete, Restore.


For Example...

To cancel the last deletion, the command is:

Undelete

(

Which: 1

)


UndeleteDlg

Purpose

UndeleteDlg displays the Undelete dialog box.

Syntax

UndeleteDlg ()


Route...

Edit, Undelete.


UnderlineSpaces

Purpose

UnderlineSpaces specifies whether to underline spaces.

Syntax

UnderlineSpaces (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to underline spaces.

0	No!

1	Yes!

See Also

UnderlineTabs

?UnderlineSpaces


Route...

Layout, Font, Spaces.


For Example...

To underline spaces in a document, the command is:

UnderlineSpaces

(

State: Yes!

)


UnderlineTabs

Purpose

UnderlineTabs specifies whether to underline tabs.

Syntax

UnderlineTabs (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to underline tabs.

0	No!

1	Yes!

See Also

UnderlineSpaces

?UnderlineTabs


Route...

Layout, Font, Tabs in the Underline Options group box.


For Example...

To underline tabs, the command is:

UnderlineTabs

(

State: Yes!

)


Undo

Purpose

Undo restores the last document change.  Choosing Undo a second time restores the last undo.

Syntax

Undo ()

See Also

Undelete


Route...

Edit, Undo.


UserFunction

Purpose

UserFunction executes a third-party execution command.

Syntax

UserFunction (Action: Character Expression; Data: Character Expression)

Parameters

Action: Character Expression

Specifies an action a third-party program is to perform, and has the following form: <signature>:<action>.  The <signature> has four characters and identifies a third-party application.  The <action> specifies a third-party command.

Data: Character Expression

Specifies data necessary for Action.


VarAssign

Purpose

VarAssign assigns a specified value to a variable.

Syntax

VarAssign (VarName: Character Expression; VarValue: Character Expression)

This command is not recordable.  You must type it into a macro.

Parameters

VarName: Character Expression

Specifies the name of a variable.

VarValue: Character Expression

Specifies a value to assign to the variable.

See Also

VarDiscard


For Example...

To assign the value ABC to a variable named LETTERS, the command is:

VarAssign (

VarName: "LETTERS";

VarValue: "ABC")


VarDiscard

Purpose

VarDiscard deletes a specified variable.

This command is not recordable.  You must type it into a macro.

Syntax

VarDiscard (VarName: Character Expression)

Parameters

VarName: Character Expression

Specifies a variable to delete.

See Also

VarAssign


For Example...

To discard a variable named DEMO, the command is:

VarDiscard (

VarName: "DEMO")


ViewDraft

Purpose

ViewDraft displays a document without features, such as Headers, Footers, and Footnotes.

Syntax

ViewDraft ()

See Also

ViewPage

ViewTwoPage


Route...

View, Draft.


ViewOutline

Purpose

ViewOutline displays the Outline feature bar.

Syntax

ViewOutline ()


Route...

Tools, Outline.


ViewPage

Purpose

ViewPage displays a document as it prints with features such as Headers, Footers, and Footnotes.

Syntax

ViewPage ()

See Also

ViewDraft

ViewTwoPage


Route...

View, Page.


ViewTwoPage

Purpose

ViewTwoPage displays two document pages.

Syntax

ViewTwoPage ()

See Also

ViewDraft

ViewPage


Route...

View, Two Page.


VLineCreate

Purpose

VLineCreate creates a vertical line at the insertion point between the top and bottom margin.

Syntax

VLineCreate ()


Route...

Graphics, Vertical Line.


VolumeNumber

Purpose

VolumeNumber specifies the current volume number.

Syntax

VolumeNumber (Volume: Numeric Expression)

Parameters

Volume: Numeric Expression

Specifies a volume number.

See Also

?VolumeNumber


Route...

Layout, Page, Numbering, Value, New Volume Number.


For Example...

To specify a current page as volume 5, the command is:

VolumeNumber

(

Volume: 5

)


VolumeNumberDecrement

Purpose

VolumeNumberDecrement decreases the current volume number by one.

Syntax

VolumeNumberDecrement ()


Route...

Layout, Page, Numbering, Value, lower setting in Increase/Decrease Existing Volume Number.


VolumeNumberDisplay

Purpose

VolumeNumberDisplay displays a current volume number.

Syntax

VolumeNumberDisplay ()


Route...

Layout, Page, Numbering, Value, select Insert and Display at Insertion Point in the Volume Settings group box.


VolumeNumberIncrement

Purpose

VolumeNumberIncrement increases a current volume number by one.

Syntax

VolumeNumberIncrement ()


Route...

Layout, Page, Numbering, Value, increase Existing Voume Number by one.


VolumeNumberMethod

Purpose

VolumeNumberMethod specifies a numbering type to display volume numbers.

Syntax

VolumeNumberMethod (NumberingMethod: Numeric Equivalent or Enumerated Type)

Parameters

NumberingMethod: Numeric Equivalent or Enumerated Type

Specifies a numbering type to display volume numbers.

0	Numbers!

1	LowerLetters!

2	UpperLetters!

3	LowerRoman!

4	UpperRoman!

See Also

?VolumeNumberMethod


Route...

Layout, Page, Numbering, Options, Volume, select a type.


For Example...

To display volume numbers as uppercase roman numerals, the command is:

VolumeNumberMethod

(

NumberingMethod: UpperRoman!

)


WatermarkA

Purpose

WatermarkA creates, edits, or turns off Watermark A.

Syntax

WatermarkA (Action: Numeric Equivalent or Enumerated Type; Occurrence: Numeric Equivalent or Enumerated Type)

Parameters

Action: Numeric Equivalent or Enumerated Type

Specifies the state of Watermark A.

0	Off!

1	Create!

2	Edit!

Occurrence: Numeric Equivalent or Enumerated Type (optional)

Specifies Watermark pages.

0	NoPages!

1	OddPages!

2	EvenPages!

3	AllPages!

See Also

WatermarkB

?WatermarkAOccur


Route...

Layout, Watermark, Watermark A, Create or Edit or Discontinue.


For Example...

To create Watermark A on all pages, the command is:

WatermarkA

(

Action: Create!;

Occurrence: AllPages!

)


WatermarkB

Purpose

WatermarkB creates, edits, or turns off Watermark B.

Syntax

WatermarkB (Action: Numeric Equivalent or Enumerated Type; Occurrence: Numeric Equivalent or Enumerated Type)

Parameters

Action: Numeric Equivalent or Enumerated Type

Specifies the state of Watermark B.

0	Off!

1	Create!

2	Edit!

Occurrence: Numeric Equivalent or Enumerated Type

Specifies Watermark pages.

0	NoPages!

1	OddPages!

2	EvenPages!

3	AllPages!

See Also

WatermarkA

?WatermarkBOccur


Route...

Layout, Watermark, Watermark B, Create or Edit or Discontinue.


For Example...

To create Watermark B on all pages, the command is:

WatermarkB

(

Action: Create!;

Occurrence: AllPages!

)


WatermarkDlg

Purpose

WatermarkDlg displays the Watermark dialog box.

Syntax

WatermarkDlg ()


Route...

Layout, Watermark.


WatermarkPlacementDlg

Purpose

WatermarkPlacementDlg displays the Placement dialog box.

Syntax

WatermarkPlacementDlg ()


Route...

Layout, Watermark, Create, Placement.


WidowOrphan

Purpose

WidowOrphan specifies whether Widow/Orphan is on.

Syntax

WidowOrphan (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether Widow/Orphan is on.

0	Off!

1	On!

See Also

?WidowOrphan


Route...

Layout, Page, Keep Text Together, select option in Widow/Orphan box.


For Example...

To turn on Widow/Orphan, the command is:

WidowOrphan

(

State: On!

)


WindowCascade

Purpose

WindowCascade overlaps document windows so the title bar of each window displays.

Syntax

WindowCascade ()


Route...

Window, Cascade.


WindowNext

Purpose

WindowNext moves the insertion point to the next open dialog box or document window.

This command is not recordable.  You must type it into a macro.

Syntax

WindowNext ()


*** DELETED TOPIC ***


WindowPrevious

Purpose

WindowPrevious moves the insertion point to the previous open dialog box or document window.

This command is not recordable.  You must type it into a macro.

Syntax

WindowPrevious ()


*** DELETED TOPIC ***


WindowTile

Purpose

WindowTile reduces open document windows and displays them side by side with no overlapping.

Syntax

WindowTile ()


Route...

Window, Tile.


WordCountDlg

Purpose

WordCountDlg displays the Document Information dialog box.

Syntax

WordCountDlg ()


Route...

File, Document Info.


WordLetterspaceDlg

Purpose

WordLetterspaceDlg displays the Word Spacing and Letterspacing dialog box.

Syntax

WordLetterspaceDlg ()


Route...

Layout, Typesetting, Word/Letterspacing.


WordLetterSpacing

Purpose

WordLetterSpacing specifies the display spacing between words and letters.

Normal is the specification suggested by the font manufacturer; Optimal is the specification suggested by WordPerfect Corporation.

Syntax

WordLetterSpacing (CharacterWidth: Numeric Equivalent or Enumerated Type; SpaceWidth: Numeric Equivalent or Enumerated Type)

Parameters

CharacterWidth: Numeric Equivalent or Enumerated Type

Specifies spacing between words.  This parameter also accepts a numeric expression to specify a percentage of the WordPerfect default Optimal.

0	Normal!

100	Optimal!

251	Maximum!

SpaceWidth: Numeric Equivalent or Enumerated Type

Specifies spacing between letters.  This parameter also accepts a numeric expression to specify a percentage of the WordPerfect default Optimal.

0	Normal!

100	Optimal!

251	Maximum!

See Also

?CharSpaceWidth


Route...

Layout, Typesetting, Word/Letterspacing, specify options.


For Example...

To specify normal word spacing with letter spacing 80 percent of Optimal, the command is:

WordLetterSpacing

(

CharacterWidth: Normal!;

SpaceWidth: 80

)


WordSpacingJustificationLimits

Purpose

WordSpacingJustificationLimits applies when Full justification is on, adjusting spaces between words to justify text on a line.  When a word spacing limit is reached, character spacing begins.

Syntax

WordSpacingJustificationLimits (Compression: Numeric Expression; Expansion: Numeric Expression)

Parameters

Compression: Numeric Expression

Specifies a minimum percentage.

Expansion: Numeric Expression

Specifies a maximum percentage.

See Also

?SpaceExpansion


Route...

Layout, Typesetting, Word/Letterspacing, specify settings in the Compressed To and Expanded To text boxes.


For Example...

To specify minimum and maximum justification limits of 40% and 300% respectively, the command is:

WordSpacingJustificationLimits

(

Compression: 40;

Expansion: 300

)


WP51CursorMovement

Purpose

WP51CursorMovement turns WordPerfect 5.1 for DOS cursor movement on or off.  When WordPerfect 5.1 cursor movement is on, the insertion point moves through codes as if Reveal Codes were on, regardless of the state of Reveal Codes.

This command is not recordable.  You must type it into a macro.

Syntax

WP51CursorMovement (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether WordPerfect 5.1 cursor movement is on or off.

0	Off!

1	On!


For Example...

To turn on WordPerfect 5.1 cursor movement, the command is:

WP51CursorMovement

(

State: On!

)


WPActivate

Purpose

WPActivate makes WordPerfect the active application.  This command is used in conjunction with DDE links to another application.

This command is not recordable.  You must type it into a macro.

Syntax

WPActivate ()


WPCharactersDlg

Purpose

WPCharactersDlg displays the WordPerfect Characters dialog box.

Syntax

WPCharactersDlg ()


Route...

Insert, Character.


WPDraw

Purpose

WPDraw opens Draw.

Syntax

WPDraw ()

See Also

GraphicCreateChart


Route...

Graphics, Draw.


WPGrammatik

Purpose

WPGrammatik opens Grammatik.

Syntax

WPGrammatik ()

See Also

WPSpeller

WPThesaurus


Route...

Tools, Grammatik.


WPSpeller

Purpose

WPSpeller displays the Speller dialog box.

Syntax

WPSpeller ()

See Also

WPGrammatik

WPThesaurus


Route...

Tools, Speller.


WPThesaurus

Purpose

WPThesaurus displays the Thesaurus dialog box.

Syntax

WPThesaurus ()

See Also

WPGrammatik

WPSpeller


Route...

Tools, Thesaurus.


WritingToolsDisable

Purpose

WritingToolsDisable specifies whether to disable Writing Tools.

Syntax

WritingToolsDisable ()

See Also

?WritingToolsDisabledState


Route...

File, Preferences, Writing Tools icon, select or deselect writing tools.


ZoomDlg

Purpose

ZoomDlg displays the Zoom dialog box.

Syntax

ZoomDlg ()

See Also

ZoomToPageWidth

?Zoom


Route...

View, Zoom.


ZoomToFullPage

Purpose

ZoomToFullPage displays a document as a full page.

Syntax

ZoomToFullPage ()


Route...

View, Zoom, select Full Page.


ZoomToMarginWidth

Purpose

ZoomToMarginWidth displays a document between margin settings.

Syntax

ZoomToMarginWidth ()


Route...

View, Zoom, select Margin Width.


ZoomToPageWidth

Purpose

ZoomToPageWidth displays the current document between the left and right margins.

Syntax

ZoomToPageWidth ()

See Also

ZoomDlg


Route...

View, Zoom, select Page Width.


// (Comment)

Purpose

The compiler ignores all text between // and the next hard return [HRt].

Syntax

// ...comments... [HRt]

Description

Comment text does not affect macro execution.  The comment line, including spaces, has a maximum length of 512 characters.


APPACTIVATE

Purpose

Activates and displays a window.

Syntax

APPACTIVATE (WindowHandle)

Description

Use APPLOCATE to return the window handle in a variable.

ASSIGN(hWnd; APPLOCATE("Program Manager"))

IF(hWnd)  // if hWnd not equal to 0

    APPACTIVATE(hWnd)

ELSE

    QUIT

ENDIF

Parameters

WindowHandle: Numeric Expression

The window handle of the window to activate (see APPLOCATE).

See Also

APPEXECUTE

APPLOCATE


APPEXECUTE

Purpose

Starts an application and displays it.

Syntax

APPEXECUTE (CommandLine)

Description

The macro terminates if the application is not successfully started.  APPEXECUTE is the equivalent of the Windows Program Manager Run command.

Parameters

CommandLine: Character Expression

The path and name of a program file.

See Also

APPACTIVATE

APPLOCATE

APPEXECUTEEXT


APPEXECUTEEXT

Purpose

Starts an application and specifies how its window is displayed.

Syntax

ReturnValue := APPEXECUTEEXT (CommandLine; ShowWindow)

Returns

The application handle (unique number) if the application is successfully started, or an error value less than 32 if not.  For the list of error values, see Windows 3.1 WinExec documentation (Programmer's Reference, Volume 2: Functions).  A partial list follows:

0	System out of memory or program file is corrupt.

2	File not found.

3	Path not found.

8	Insufficient memory to start application.

10	Incorrect Windows version.

11	Non-windows application.

Check error values with code similar to the following:

vError := APPEXECUTEEXT(CommandLine; ShowWindow)

SWITCH(vError)

    CASEOF 0: ...statement block...

    CASEOF 2: ...statement block...

ENDSWITCH

Parameters

CommandLine: Character Expression

The path and name of a program file.

ShowWindow: Numeric Expression

Specifies how an application's window is displayed.  The values are:

0	Hide window.  APPLOCATE and DDEINITIATE return the window handle of a hidden window.  DDEEXECUTE sends a command string to a hidden window.  APPACTIVATE activates a hidden window.  Accelerator keys choose a hidden window's menu options.

1	Show window at normal size.

2	Minimize window to an icon.

3	Maximize window to full screen size.

See Also

APPACTIVATE

APPLOCATE

APPEXECUTE

DDEEXECUTE


APPLICATION

Purpose

Identifies, for the compiler, an application to use in a macro.

Syntax

APPLICATION (ProductPrefix; ApplicationName; Default!; Language)

Description

APPLICATION is a non-executable statement that can occur anywhere in a macro, but must precede product commands to the application it identifies.

Applications used in the macro automatically start unless already active.  The user cannot terminate an application used in a macro can until the macro ends.

Parameters

ProductPrefix: Character Expression

A two-character identifier that begins with a letter.  The second character can be a letter or number.  ProductPrefix directs product commands to non-default applications.  It is also used in NEWDEFAULT and ENDAPP statements.

Use a period to attach ProductPrefix to a product command.  If WordPerfect is the application and WP the product prefix, WP.AboutDlg is a valid command statement.  A recorded macro returns a product prefix of A1, A2, A3, and so forth, depending on the number of applications involved.

ApplicationName: Character Expression

The name of an application.  For example, "WordPerfect" for WordPerfect 6.0 for Windows.

Default!

An enumeration that identifies a default application.  Product commands to the default application do not require a product prefix.  There can be only one default application.

Language: Character Expression

The application's language code.  For example, "US" is the language code for United States English.

See Also

ENDAPP

NEWDEFAULT


APPLOCATE

Purpose

Returns a window handle.

Syntax

ReturnValue := APPLOCATE (WindowTitle)

Returns

The window handle of the window found in the search, or 0 if no window is found.

Description

APPLOCATE compares a name to the title bar text of all open windows.  If a match is found, the window handle of the matching window is returned.  If the search criteria matches more than one window, the window handle of the most recently opened window is returned.  If no match is found, zero is returned.

You can use an asterisk (*) as a wildcard character at any position in the APPLOCATE parameter.  If the parameter contains only an asterisk, APPLOCATE returns the window handle of the active window.

Parameters

WindowTitle: Character Expression

The window title to find.  The match between this parameter and the title must be exact unless you use an asterisk as a wildcard character.  Titles are case sensitive.

See Also

APPACTIVATE

APPEXECUTE


ASSERT

Purpose

Creates a Cancel, Error, or Not Found condition.

Syntax

ASSERT (Condition)

Description

A Cancel, Error, or Not Found condition stops a macro unless preceded by ONCANCEL, ONERROR, or ONNOTFOUND, which direct macro execution to a specified LABEL.  ASSERT has no effect when preceded by CANCEL(Off!), ERROR(Off!), or NOTFOUND(Off!).

An error value is assigned to variable ErrorNumber when one of the three conditions occurs.  The values are:

1	Cancel condition.

2	Error condition.

7	Not found condition.

You cannot assign a value to ErrorNumber.

Use code similar to the following to check all three conditions with one subroutine (see Subroutine).

ONERROR(Condition)

ONCANCEL(Condition)

ONNOTFOUND(Condition)

...other statements...

LABEL(Condition)

SWITCH(ErrorNumber)

CASEOF 1: ...statement block...

CASEOF 2: ...statement block...

CASEOF 7: ...statement block...

ENDSWITCH

Parameters

Condition: Enumeration

A condition to assert.  The enumerations are:

CancelCondition!	Stops a macro unless preceded by ONCANCEL.

ErrorCondition!	Stops a macro unless preceded by ONERROR.

NotFoundCondition!	Stops a macro unless preceded by ONNOTFOUND.

See Also

CANCEL

ERROR

LABEL

NOTFOUND

ONCANCEL

ONERROR

ONNOTFOUND

RETURN

SWITCH


ASSIGN

Purpose

Assigns a value to a variable.

Syntax

ASSIGN (VariableName; Value)

Description

ASSIGN is equivalent to the assignment operator (:=).  Consider the following four statements and their equivalents:

ASSIGN(A; B) // assign the contents of B to A

ASSIGN(A; 487) // assign 487 to A

ASSIGN(A; B + 487) // assign the contents of B + 487 to A

ASSIGN(A; "John Doe") // assign the name John Doe to A

A := B // assign the contents of B to A

A := 487 // assign 487 to A

A := B + 487 // assign the contents of B + 487 to A

A := "John Doe" // assign the name John Doe to A

Parameters

VariableName: Variable

Contains the contents of Value.

Value: Any

A variable, constant, character string, or expression.  The source line has a maximum length of 512 characters.

See Also

DISCARD

GLOBAL

INDIRECT

LOCAL

PERSIST

PERSISTALL


BEEP

Purpose

Causes a computer speaker or installed sound board to beep.

Syntax

BEEP

Description

BEEP is commonly used with warning messages, or to signal when a macro pauses or finishes a task.


BIFFILEPATH

Purpose

Retrieves the path and filename of a Binary Initialization File (BIF).

Syntax

BIFFILEPATH (BIFFilePath; BIFFileType)

Description

See WordPerfect 6.0 for Windows Software Developer's Kit for more information about the BIF approach to initialization files.

Parameters

BIFFilePath: Character Expression

The BIF path and filename is returned in this variable.

BIFFileType: Enumeration

The BIF type that is returned in BIFFilePath.  A user can have only two active BIF files.  The enumerations are:

Private!	A BIF file containing settings that apply to a single user.

Public!	A BIF file containing settings that are shared by many, possibly concurrent, users.

See Also

BIFINFO

BIFREAD

BIFWRITE


BIFINFO

Purpose

Retrieves information from a Binary Initialization File (BIF).

Syntax

BIFINFO (Status; Group; Section; Item; DateTime; ItemFlags; ItemLength; ItemType; UseCount; ItemInfoType; BIFFile).

Description

See WordPerfect 6.0 for Windows Software Developer's Kit for more information about the BIF approach to initialization files.

Parameters

Status: Numeric Expression

The status of a BIF call is returned in this variable.  The values are:

 0	Call was successful.

-2	Length of Group, Section, or Item exceeds buffer size.

-3	Requested Group, Section, or Item not found.

-4	Unknown error.

Group: Character Expression

The name of a Group.  If this parameter is not used, the number of Group names is returned in the UseCount parameter.

Section: Character Expression

The name of a Section.  If this parameter is not used, the number of Section names in the specified Group is returned in the UseCount parameter.

Item: Character Expression

The name of an Item.  If this parameter is not used, the number of Item names in the specified Group and Section is returned in the UseCount parameter.

DateTime: Variable

The date and time the item was created is returned in this variable.  If Group, Section, and Item are not used, the current date and time is returned.

ItemFlags: Variable

The flags associated with an item are returned in this variable.  If Group, Section, and Item are not used, 0 is returned.

ItemLength: Variable

The length of an item entry is returned in this variable.  If Group, Section, and Item are not used, 0 is returned.

ItemType: Variable

The item type is returned in this variable.  If Group, Section, and Item are not used, 0 is returned.

UseCount: Variable

If Group, Section, or Item is not used, the number of Groups, Sections, or Items in a BIF is returned in this variable (see Group, Section, and Item parameters).  Otherwise, 0 is returned.

ItemInfoType: Enumeration

The standard BIF types to examine.  The enumerations and descriptions are:

Both!	Look in both standard BIFs.  Only valid when counting Groups, Sections, or Items.

Private!	Look in Private BIF only.

Public!	Look in Public BIF only.

BIFFile: Character Expression

The name of a non-standard BIF.

See Also

BIFFILEPATH

BIFREAD

BIFWRITE


BIFREAD

Purpose

Reads a Binary Initialization File (BIF), and returns Group, Section, or Item names, or item value.

Syntax

BIFREAD (Status, Group; Section; Item; Value; ItemType; NameSeparator; NameListType; BIFFile)

Description

Group, the highest BIF level.  For example, in the standard BIF, Group is associated with a WordPerfect product such as WP Macros, WP Shared Code, and WordPerfect.

Section, the next BIF level after Group, is associated with Group subdivisions.  For example, WordPerfect Sections include features such as Ruler, Power Bar, Table of Authorities, Repeat Value, and Files.

Item, the lowest BIF level, is associated with a Section entry.  For example, in the WordPerfect Section named Files, Items include Hyphenation Directory, Timed Document Backup, Macros Directory, and Template File.

Items contain values.  For example, the value of Macros Directory may be C:\WPWIN60\MACROS.

Group, Section, and Item names are subject to change.  See an application's documentation for more information.

Parameters

Status: Variable

The status of a BIF call is returned in this variable.  The values are:

 0	(or positive integer) Number of bytes read from the BIF.

-1	ItemType does not match returned item type (see ItemType parameter).

-2	Length of Group, Section, or Item exceeds buffer size.

-3	Requested Group, Section, or Item was not found.

-4	Unknown error.

Group: Character Expression

Contains a Group name.  If Group is not used, the BIF Group names are returned in a variable (see Value parameter).

Section: Character Expression

Contains a Section name.  If Group is used and Section is not, the BIF Section names for the specified Group are returned in a variable (see Value parameter).

Item: Character Expression

Contains an Item name.  If Group and Section are used and Item is not, the BIF Item names for the specified Group and Section are returned in a variable (see Value parameter).

Value: Variable

The Group, Section, or Item names are returned in this variable, depending on which one is not used.  If Group, Section, and Item are used, the Item value is returned.  For example, given that "c:\wpwin60\macros\" is the default macros directory in a standard BIF,

BIFREAD(vStatus; "WordPerfect"; "Files"; "Macro Directory"; vEntry; AnsiString!; ; ;)

returns 18 to vStatus (the number of bytes returned in Value) and "C:\WPWIN60\MACROS\" to the Value parameter, vEntry.

ItemType: Variable

The expected item type to return in a variable (see Value parameter).  ItemType is not used if Group, Section, or Item is not used.  The values and enumerations are:

0	Any!

1	Boolean!

2	SignedByte!

3	UnsignedByte!

4	SignedWord!

5	UnsignedWord!

6	SignedDWord!

7	UnsignedDWord!

8	Float4!

9	Float8!

10	AnsiString!

11	WPWordString!

12	BagOfbits!

NameSeparator: Character Expression (optional)

A delimiter string that separates Group, Section, or Item names.  The delimiter is not limited to a single character.  If not used, the default is a semicolon.  NameSeparator is not used when returning an item value (Group, Section, and Item are used).

NameListType: Enumeration (optional)

A standard BIF to read.  Standard BIFs are associated with WordPerfect products (see BIFFile parameter).  The values are:

Both!	Look in both standard BIFs.

Private!	Look in Private BIF only.

Public!	Look in Public BIF only.

BIFFile: Character Expression (optional)

The name of a non-standard BIF (a user-defined or non-WordPerfect product BIF).  If both parameters are used, BifFile overrrides NameListType.  If neither parameter is used, the default is NameListType.

See Also

BIFFILEPATH

BIFINFO

BIFWRITE


BIFWRITE

Purpose

Writes data to a Binary Initialization File (BIF).

To write data to a BIF, you must use the Group, Section, Item, and Value parameters.  If you do not specify a value for each parameter, you will delete a level or item from the BIF.  See parameter descriptions below.

Syntax

BIFWRITE (Status, Group; Section; Item; Value; ItemType; ItemFlags, BIFFile)

Description

See BIFREAD Comments for a description of BIF Groups, Sections, Items, and Values.

Parameters

Status: Variable

The status of a BIF call is returned in this variable.  The values are:

 0	(or positive integer) Number of bytes written to the BIF.

-1	Unknown Group, Section, or Item type.

-2	Requested Group, Section, or Item not found.

-3	Unknown error.

Group: Character Expression (optional)

A Group name.  To delete a Group, specify the Group name and do not use the Section parameter.  To delete all Groups, Sections, and Items, do not use the Group parameter.

Section: Character Expression (optional)

A Section name.  The Group name must be used.  To delete a Section, specify the Section name and do not use the Item parameter.

Item: Character Expression (optional)

An Item name.  The Group and Section names must be used.  To delete an Item, specify the Item name and do not use the Value parameter.

Value: Character Expression (optional)

The Item value to write to the BIF.  For example,

BIFWRITE(vStatus; "WordPerfect"; "Files"; "Macro Directory"; "C:\WPWIN60\MACROS"; AnsiString!; 0; )

writes "C:\WPWIN60\MACROS" to a private BIF.  It is the value of the "Macro Directory" item in the "Files" section of the "WordPerfect" group.

Do not write to a standard BIF while the associated WordPerfect application is running.  Standard BIFs remain open while Shared Code is running.  Play the previous example from Macro Facility.

ItemType: Enumeration

The Value data type to write to the BIF.  The values and enumerations are:

0	Any!

1	Boolean!

2	SignedByte!

3	UnsignedByte!

4	SignedWord!

5	UnsignedWord!

6	SignedDWord!

7	UnsignedDWord!

8	Float4! (32-bit float)

9	Float8! (64-bit float)

10	AnsiString!

11	WPWordString!

12	BagOfbits!

If you write a new value to a BIF item, you must specifiy the same type as the previous item.  If not specified, ItemType is determined by the default value for each data type.

If ItemType does not match the current value type, it is converted if possible.  If not converted properly, you may not be able to read the value back later (see BIFFILEREAD).

ItemFlags: Enumeration

Flags (attributes) only affect the public BIF.  Value 4 is processed when an item is read from a BIF.  All other values are processed when Shared Code starts.  The values and enumerations are:

0	None!	No flags.

1	DeletePrivate!	Removes an item in a private BIF that has the same name as an item in the public BIF.

2	OverridePrivate!	The public BIF item has precedence over an item with the same name in a private BIF.  Normally, the opposite is true.

4	DistributeToPrivate!	An item is copied to the private BIF when opened.

BIFFile: Character Expression

Contains the name of a non-standard BIF to write to.  If the BIF does not exist, it is created with specified Group, Section, and Item names, and Item value.  To write to a private BIF, do not use this parameter (see BIFREAD, NameListType parameter).

See Also

BIFFILEPATH

BIFINFO

BIFREAD


BREAK

Purpose

Ends a loop, and directs macro execution to the first statement after the ending loop statement (see Loop Statements).  In a SWITCH statement, BREAK directs macro execution to the first statement after ENDSWITCH.

Syntax

BREAK

Description

BREAK bypasses the normal test expression of a loop or conditional statement.  Statements after BREAK are ignored.

See Also

FOR

FOREACH

FORNEXT

NEXT

REPEAT

WHILE

SWITCH


CALL

Purpose

Calls a subroutine that ends with RETURN (see Subroutines).

Syntax

CALL (Label)

Description

RETURN directs macro execution to the statement that follows the subroutine's caller.

Parameters

Label: Label

A LABEL, PROCEDURE, or FUNCTION name that begins with a letter and consists of one or more letters or numbers.  The format for calling LABEL is,

CALL(LabelSub)

...other statements...

LABEL(LabelSub)

    ...statement block...

    RETURN

The formats for callng PROCEDURE and FUNCTION are,

CALL ProcSub(Parameter; Parameter)

...other statements...

PROCEDURE ProcSub(Parameter; Parameter)

    ...statementblock...

ENDPROC

CALL FuncSub(Parameter; Parameter)

...other statements...

FUNCTION FuncSub(Parameter; Parameter)

    ...statementblock...

ENDFUNC

See Also

CASE

CASE CALL

GO

LABEL

RETURN


CANCEL

Purpose

Determines how a macro responds to a Cancel condition.

Syntax

CANCEL (State)

Description

Create a Cancel condition by pressing Esc, or with ASSERT(CancelCondition!).

Parameters

State: Enumeration

Specifies the Cancel state.  The default is CANCEL(On!).  The enumerations are:

Off!	Overrides a Cancel condition.

On!	Stops a macro unless preceded by ONCANCEL, which directs macro execution to a specified LABEL.

See Also

ASSERT

ERROR

LABEL

NOTFOUND

ONCANCEL


CASE

Purpose

A conditional statement that tests for matching expressions.  If a match is found, a LABEL is executed.  See Conditional Statements.

Syntax

The general form of a CASE statement is,

CASE (Test; {Case; Label; Case; Label...}; DefaultLabel)

Description

CASE compares Test to a set of Cases (values).  If the first comparison is true (if Test and Case match), the Label following Case is executed.  If the comparison is false, the next Case is evaluated and so forth.  If no comparison is true, DefaultLabel is executed.

Parameters

Test: Any

The control expression.  Variables are assigned values by commands such as GETSTRING, GETNUMBER, or MENU.

Case: Any

An expression (variable, constant, character) with a value that is usually assigned before the macro is compiled.  It is possible to assign the value at run-time.

Label: Label

The LABEL to execute if Case matches Test.

DefaultLabel: Label

The LABEL to execute if no Case matches Test.

See Also

CASE CALL

IF

LABEL

SWITCH


CASE CALL

Purpose

A conditional statement that tests for matching expressions.  If a match is found, a LABEL is called.  See Conditional Statements.

Syntax

The general form of a CASE CALL statement is,

CASE CALL (Test; {Case; Label; Case; Label...}; DefaultLabel)

Description

CASE CALL compares Test to a set of Cases (values).  If the first comparison is true (if Test and Case match), the Label following Case is executed.  If the comparison is false, the next Case is evaluated and so forth.  If no comparison is true, DefaultLabel is executed.

CASE is different from CASE CALL, in that a RETURN statement after LABEL directs macro execution to the statement that follows CASE CALL.

Parameters

Test: Any

The control expression.  Variables are assigned values by commands such as GETSTRING, GETNUMBER, or MENU.

Case: Any

An expression (variable, constant, character) with a value that is usually assigned before the macro is compiled.  It is possible to assign the value at run-time.

Label: Label

The LABEL to execute if Case matches Test.

DefaultLabel: Label

The LABEL to execute if no Case matches Test.

See Also

CASE

IF

LABEL

RETURN

SWITCH


CHAIN

Purpose

Calls (starts) another macro when the parent macro ends.

Syntax

CHAIN (MacroFilename)

Description

A CHAIN macro does not return to its caller (see RUN).  A macro must be compiled before it is called by CHAIN.

Although CHAIN can occur anywhere in a macro, it is the last statement to execute.  You can cancel CHAIN (macro is not executed) with a QUIT statement.  For example,

CHAIN(?Pathmacros + "Test4.wcm")

...other statements...

SWITCH(Test)

    CASEOF 1: CHAIN(?Pathmacros + "Test1.wcm")

    CASEOF 2: CHAIN(?Pathmacros + "Test2.wcm")

    CASEOF 3: CHAIN(?Pathmacros + "Test3.wcm")

    CASEOF 4: CALL(DoSomethingElse)

    DEFAULT: QUIT

ENDSWITCH

Explanation: If Test equals 1, 2, or 3, the corresponding macro plays when the parent macro ends.  If Test equals 4, the DoSomethingElse subroutine is called and Test4.wcm plays when the parent macro ends.  If Test does not equal 1, 2, 3, or 4, the macro quits and a CHAIN statement does not execute.

Parameters

MacroFilename: Character Expression

The path and name of a compiled macro.

See Also

RUN


CHARLEN

Purpose

Returns the number of characters in a string, including codes.

Syntax

ReturnValue := CHARLEN (String)

Returns

The number of characters, including codes, in a string.

Description

The string can be a variable, constant, character string, or result of an expression.  See STRLEN for examples.

Parameters

String: Character Expression

A variable, constant, character string, or result of an expression.

See Also

CHARPOS

STRLEN

SUBCHAR


CHARPOS

Purpose

Determines whether a character string is also a substring.

Syntax

ReturnValue := CHARPOS (String; SubString)

Returns

The beginning position of a substring, or zero if a substring is not found.

vPos := CHARPOS("WordPerfect"; "Perfect") // vPos = 5

vPos := CHARPOS("WordPerfect"; "Scott") // vPos = 0

Parameters

String: Character Expression

A character string to evaluate.

Substring: Character Expression

A substring to locate in String.

See Also

CHARLEN

STRPOS

SUBCHAR


Coach Overview

A Coach takes the user through some of the product's most common tasks step-by-step, providing instructions and prompts as needed.  The Coach can either show the user how to perform the desired task or it can tell the user what to do and then monitor the user's actions to make sure no mistakes are made.

The Coach Support Routines allow Coaches to be written with macros for products that use Shared Code 2.x.

The support routines provide three types of functions:

Prompting

CoachMessageBox displays options for the user to select.  CoachPrompt displays helps and hints.

Animating

CoachAnimate shows the user how to perform certain actions.  The Coach can: 1) move the mouse pointer, 2) send mouse clicks, and 3) send keystrokes to the application.

Filtering

CoachFilterAdd defines a filter to monitor mouse movements, keystrokes, and tokens.  CoachFilterEnable activates the filter to compare defined events with current events.  For example, a filter may wait for a left mouse click in the OK button of a particular dialog, then move to the next step.  If the user makes a mistake, the Coach might display a message box or prompt.

CoachFilterDisable deactivates a filter and CoachFilterDestroy destroys a filter.

There are three types of filters 1) mouse, 2) keyboard, and 3) command.  Mouse and keyboard filters are interface filters.

Named Region

A named region is a specific window or item on the screen, such as "WordPerfect.EditWindow" and "WordPerfect.OpenDlg.OpenBttn".  See Named Region in MOUSE STRING.

Writing the Coach

A Coach generally follows these steps:

1	Pause keyboard and mouse input until a Coach enables it.

2	Define filter.

3	Instruct the user how to perform a task with prompts, message boxes, and animation.

4	Enable filter.

5	Wait for user input.

6	Respond to user input with a callback procedure.

7	Disable filter.

8	Destroy filter.

9	Turn on keyboard and mouse input.

Define all filters at the beginning of a Coach macro, then enable each one as it is needed.  Repeat steps 2 through 8 as many times as necessary.

Quitting the Coach

Press Alt+Esc to quit the Coach.

Coach Dialog Box

Coaches have a .WCH extension and are stored in the macro directory.

When the user chooses Coach from the Help menu, the descriptive names of all .WCH files in the macros directory are displayed in the Coach dialog box.  When a Coach name is selected, the information from the Abstract field of the document summary is displayed at the bottom of the Coach dialog box.  If the Coach does not have a descriptive name, the filename is displayed.


COACHSETDIALOGFILTER

Purpose

Defines a filter for a dialog box.  The filter definition remains in memory until removed by CoachRemoveDialogFilter or until the macro ends.  When the dialog box is initialized, macro execution moves to the dialog filter callback.  (Not available in Shared Code 2.0.)

Syntax

COACHSETDIALOGFILTER (DialogRegionName; Label; DefaultAction)

Example:  COACHSETDIALOGFILTER ("WordPerfect.Tabs"; Tabsetcb@)

Parameters

DialogRegionName

Specifies a dialog to filter.

Label

Specifies the name of a callback label to go to when the dialog box is displayed.

DefaultAction (optional)

Specifies whether the default allows an event or throws it away.  If a default action is not specified, all events are allowed.

Allow!	Allow the event.

ThrowAway!	Do not allow the event.

Returns

When the dialog is invoked or a control on the dialog is activated, a variable array is created indicating the actions the user is taking.  The dialog callback procedure can test each item in the array and perform appropriate operations.

The variable array's name is the same as the callback label.  For example, the variable array of TabSetCB@ is TabSetCB[array item].

The variable array contains the following information depending on the message sent in Callback[5].

Element	Description

Callback[1]	Callback type (always 3 for a dialog callback)

Callback[2]	Dialog name

Callback[4]	Dialog window handle

Callback[5]	Message sent to the callback

The following messages are valid and require the additional information shown.

272 = WM_INITDIALOG.  Sent when the dialog is first displayed.  This message is for notification only and cannot be altered or prevented by the callback.  If Callback[5] is 272, the following information is contained in the callback array:

Callback[6]  =  Window handle of the control that will receive the focus.

2 = WM_DESTROY.  Sent when the dialog goes down.  This message is for notification only and cannot be altered or prevented by the callback.  No additional information is contained in the callback array.

6 = WM_ACTIVATE.  Sent when the dialog is activated or inactivated.  This message is for notification only and cannot be altered or prevented by the callback.  If Callback[5] is 6, the following information is contained in the callback array:

Callback[6]  =  Activation state of the dialog

0  =  WA_INACTIVE (dialog becomes inactive)

1  =  WA_ACTIVE (dialog becomes active)

2  =  WA_CLICKACTIVE (dialog becomes active from a mouse click in the window)

Callback[8]  =  Minimized flag (A nonzero value means that the dialog is minimized.)

Callback[9]  =  Window handle of the window being activated or deactivated

3 = WM_MOVE.  Sent when the dialog is moved to a new location on screen.  This message is for notification only and cannot be altered or prevented by the callback.  If Callback[5] is 3, the following information is contained in the callback array:

Callback[8]  =  New X position of the window

Callback[9]  =  New Y position of the window

273 = WM_COMMAND.  Sent when the user interacts with a control or menu item owned by the dialog.  WM_COMMAND events can be altered by the callback.  To prevent the dialog from acting on the control or menu item, set the return variable to 1.  To enable the dialog to act on the menu item, set the return variable to 0.  The default is 0.  The information in the callback array depends on the menu or control type.  If Callback[5] is 273, the following information is contained in the array:

Callback[3]  =  Control name (blank if the notification is from a menu item).

Callback[6]  =  Control or menu item ID.

Callback[9]  =  Control window handle (blank if the notification is from a menu item).

Menu Items

No additional information in the array.

ListBoxes

Callback[8]  =  LBN_DBLCLK (2).  List box item was double-clicked.

ComboBoxes

Callback[8]  =  CBN_DBLCLK (2).  Combo box item was double-clicked.

Button

Callback[8]  =  BN_CLICKED (0).  Button was clicked

Callback[8]  =  BN_DOUBLECLICKED (5).  Button was double-clicked.

FileNameEntry

Callback[8]  =  FNEN_DLGDISMISS (0).  Open dialog was dismissed.

Callback[8]  =  FNEN_DLGRAISE (1).  Open dialog was displayed.

HotSpot

Callback[8]  =  BMPN_CLICKED (0).  Bitmap was clicked.

Callback[8]  =  BMPN_DOUBLECLICKED (1).  Bitmap was double-clicked.

See Also

COACHREMOVEDIALOGFILTER


COACHREMOVEDIALOGFILTER

Purpose

Removes a dialog box filter from memory.  (Not available in Shared Code 2.0.)

Syntax

COACHREMOVEDIALOGFILTER (Dialog Name)

Example:  COACHREMOVEDIALOGFILTER ("WordPerfect.Tabs")

Parameters

Dialog Name

Specifies a dialog filter to remove.

See Also

COACHSETDIALOGFILTER


COACHANIMATE

Purpose

Specifies mouse actions or key strokes to execute without user intervention.  This allows a Coach macro to demonstrate how to perform a function.  You cannot use COACHANIMATE when a filter is enabled.

Syntax

COACHANIMATE (Type; Specification)

Parameters

Type

Specifies whether COACHANIMATE animates the mouse or the keyboard.  The values, enumerations, and descriptions are:

1	Mouse!	Mouse movements are animated.

2	Keyboard!	Keystrokes are animated.

Specification

Wpstring: specifies actions to animate.  It contains a keystring or a mouse string, depending on the value of Type.  See KEYSTRING and MOUSE STRING.


COACHFILTERADD

Purpose

Defines a filter.  COACHFILTERENABLE enables defined filters.

Filters monitor: 1) mouse clicks in a specified area of the screen, 2) a single keystroke, 3) a combination of keystrokes (keystring), and 4) commands (tokens).

Syntax

COACHFILTERADD (Name; Label; LabelCondition; Type; Filter; AppName; Command; RepeatingGroup)

Description

Compound Filters

To monitor more than one type of event, create a compound filter by using COACHFILTERADD several times, each time with the same filter name but with different filter specifications.  A compound filter can monitor single keystrokes and mouse events, but cannot also monitor keystrings or commands.  A compound filter can monitor several different commands, but cannot also monitor mouse events or keystrokes.  A filter that monitors keystrings cannot be a compound filter.

For example, to create a compound filter that waits for either 1) a left mouse click in the OK button of a specified dialog, or 2) an Enter keystroke, use COACHFILTERADD twice with the same name each time.  Specify a mouse string for the first command and a keystroke for the second.

You can enable one interface filter and one command filter at the same time (See COACHFILTERENABLE).

Filter Callback Procedure

Each filter can call at least one associated callback procedure which may give additional help when the user makes a mistake.  A callback procedure begins with a label name and ends with RETURN.

After an enabled filter compares the user's actions with those defined in the filter, it determines whether to execute the filter callback procedure.  LabelCondition in COACHFILTERADD determines when to call the callback:  1) the user's actions match the filter definition, 2) the user's actions do not match the filter definition, and 3) all cases.

When the macro executes a callback, return and array variables are created by the macro system and are accessible to the callback.

Filter Array Variable

Contains information about the user's actions while a filter is enabled.  The callback can access the array values for information about the event.  The name of the array is formed from the label name.  For example, if the label is LABEL1@, the array elements are LABEL1[1], LABEL1[2] and so on.

The information in the array depends on the type of callback receiving the array.  There are three callback types:  1) mouse, 2) key (key and keystring), and 3) command.

Mouse Filter Callbacks

The array element values are:

[1]	CBTYPE_MOUSE (0).  Mouse callback type.

[2]	Result of comparison between user's action and defined action.  The possible values are:

-1	Error.  The macro system did not complete the array.

0	Match.  The user's actions exactly match the defined actions.

1	No match.  The user's actions do not match the defined actions.

2	Partial Match.  The user's actions partially match the defined actions.  Possible only for a keyboard callback.

3	Regression.  The event undoes previous events (for example, the Backspace key is pressed).  A regression is not a match.  A callback receives this value only if LabelType is All! or NonMatch!.

4	Quit Filter.  The callback is not called.

[3]	Handle (hWnd) of the window in which the event occurs.

[4]	Horizontal coordinate of the mouse position.

[5]	Vertical coordinate of the mouse position.

[6]	Windows flags for the message.  Specific to the event message.  (See the Microsoft Windows Software Development Kit.)

[7]	Windows event message, such as WM_LBUTTONDOWN or WM_LBUTTONUP.

Key Filter Callbacks

The array element values are:

[1]	CBTYPE_KEY (1).  Key type.

[2]	Filter Compare result (see Mouse Filter Callback above).

[3]	Key code.

[4]	Windows flags for the event message.  Specific to the event message.  (See the Microsoft Windows Software Development Kit.)

[5]	Windows event message, such as WM_KEYDOWN or WM_KEYUP.

Command Callbacks

The array element values are:

[1]	CBTYPE_TOKEN (2).  Command type.

[2]	Filter compare result (see Mouse Filter Callback above).

[3]	Application that sent the command.

[4]	Command MacroID.  If a macro sent the command, this contains the macro ID.

[5]	Unique command ID.

[6]	Number of parameters for this command.

[7]	Command Flags.  MAC_REQUIRED, MAC_REPEATING, and/or MAC_NODATA (see Command Flags below).

[8]	Value of first parameter.

[9]	Value of second parameter (command flags):

MAC_REQUIRED	0x0100	Required parameter.

MAC_REPEATING	0x0400	Parameter is part of a repeating group.

MAC_NODATA	0x8000	No parameters.

Filter Return Variable

Specifies whether to ignore an event or send it to the application.  Return variables have the same name as the callback label.

When a macro executes a callback's RETURN, the macro system checks the return variable, then passes the event to the application or throws it away.  If the variable is undefined the macro system performs the default action.

Callback Type	Default Action

Mouse	Throw away the event.

Key	Throw away the event.

Command	Pass the event to the application.

If the return variable is defined, the callback overrides the default action:

Value	Action

0	Pass the event to the application.

1	Throw away the event.

Compound Filters and Callbacks

A compound filter may have several associated callback procedures, such as a different callback procedure for each filter specification (for example, one callback to handle mouse clicks and a second callback to handle key presses).  An enabled compound filter checks its specifications in the order defined in the macro.  After the filter determines that a callback procedure should be called, the remaining filter specifications are not checked.

Performance

While the macro system processes a filter callback, all mouse movements, mouse clicks, and keystrokes are disabled until the callback returns.

Parameters

Name: Wpstring

The name of the filter to define.  If a filter with this name already exists, the new filter definition is appended to the existing definition to create a compound filter (see Compound Filters above).

Mouse! and Key! filters can be combined.  KeyString! filters cannot be added to other filters.  Command! filters can be appended to other Command! filters.

Label: Wpstring

The macro label which is the name of a callback.  Macro execution moves to this label as determined by LabelCondition (see Filter Callback Procedure above).

LabelCondition: Enumeration

Specifies when to call the callback procedure marked by the Label label.  The values, enumerations, and descriptions are:

1	All!	All user actions call the callback.

2	Match!	All user actions that match the filter call the callback.

3	Nonmatch!	Only user actions that do not match the filter call the callback.

Type: Enumeration

Specifies the type of user action to filter (mouse movements, keystrokes, or generated product commands) and what values to assign to some of the remaining parameters.  The values, enumerations, and descriptions are:

1	Mouse!	Filter mouse actions.

2	Key!	Filter single keystrokes.

3	KeyString!	Filter a series of keystrokes (keystring).

4	Command!	Filter a product command.

Filter: WPstring (optional)

Specifies the actions to filter.  For example, a mouse filter can specify that the user should click in the OK button of a particular dialog.  A keystring filter can specify that the user should press Ctrl+B.

If Type is Mouse!, this parameter is a mouse string (see MOUSE STRING below).  If Type is Key!, this parameter is a single keystroke specification (see KEYSTRING).  If Type is KeyString!, this parameter is a keystring (see KEYSTRING).  If Type is Command!, this parameter is ignored.

AppName: Ansistring (optional)

Non-translatable application name, such as "WordPerfect".

Command: Unsigned word (optional)

Name of a product command to filter.  Required if Type is Command!.

RepeatingGroup (optional)

Filters parameter information for the product command specified in Command.  Required only if Type is Command!.

If any parameter in a repeating group is assigned a value, all parameters of the repeating group must be assigned a value.  You can specify more than one repeating group in the same COACHFILTERADD command.

Parameter: Unsigned word (First parameter of repeating group)

The parameter number to filter.  The Value command evaluates a parameter to a number.  For example, the Filename parameter of FileOpenDlg is "Value(FileOpenDlg.Filename)".

Compare: Enumeration (Second parameter of repeating group)

Specifies how to compare Parameter and Value.  The values, enumerations, and descriptions are:

1	Equal!	Parameter is equal to Value.

2	NotEqual!	Parameter is not equal to Value.

3	Less!	Parameter is less than Value.

4	Greater!	Parameter is greater than Value.

5	NotGreater!	Parameter is less than or equal to Value.

6	Exist!	Parameter exists but can be any value.

7	NotExist!	Parameter does not exist.

8	DontCare!	Parameter may or may not exist.  If it exists, it can be any value.

Value: Any (Third parameter of repeating group)

Contains any value type to compare with Parameter.

See Also

COACHFILTERENABLE


COACHFILTERDESTROY

Purpose

Removes a filter definition.

Syntax

COACHFILTERDESTROY (Name)

Parameters

Name: Wpstring

The name of a filter to destroy.

See Also

COACHFILTERDISABLE


COACHFILTERENABLE

Purpose

Enables (activates) specified filters.

Description

Only one interface filter and one command filter can be enabled at a time.

When a filter is enabled, it compares a mouse movement, keystroke, or token to actions defined in the filter,  then calls a callback procedure or passes the event unchanged.

When several filters are enabled, the filters are chained together.  When an event occurs, the first filter filters the event.  If that filter does not call a callback, the second filter filters the event, and so on.  As soon as a filter calls a callback, no other filters can filter the event.

A filter must be defined by COACHFILTERADD before it can be enabled.  An enabled filter remains enabled until it is disabled by COACHFILTERDISABLE or destroyed by COACHFILTERDESTROY.

Syntax

COACHFILTERENABLE (Command; Interface)

Parameters

Command: WPstring (optional)

The name of a command filter to enable.

Interface: WPstring (optional)

The name of an interface filter to enable.  Only one interface filter can be enabled at a time.

See Also

COACHFILTERADD

COACHFILTERDESTROY

COACHFILTERDISABLE


COACHFILTERDISABLE

Purpose

Disables an active filter.  A filter definition remains in memory until COACHFILTERDESTROY destroys it, or until the macro ends.

Syntax

COACHFILTERDISABLE (Command; Interface)

Parameters

Command: WPstring (optional)

The name of a command filter to disable.

Interface: WPstring (optional)

The name of an interface filter to disable.

See Also

COACHFILTERDESTROY


COACHGETREGIONINFO

Purpose

Returns information about a named region, such as a window handle, rectangle, existence of the window, and control ID.

Syntax

COACHGETREGIONINFO ("Region"; Existvar:exist; Hwndvar:hwnd; Leftvar:left; Topvar:top; RightVar:right; Bottomvar:bottom)

Parameters

Region

Name of the region to test.  For example:

"WordPerfect.Bookmark.GoToBttn"

Existvar

Returns 0 if the region does not exist, and 1 if it does exist.

Hwndvar

Windows handle value of a specified region.

Leftvar

Screen coordinates for the left edge of a specified region.

Topvar

Screen coordinates for the top edge of a specified region.

Rightvar

Screen coordinates for the right edge of a specified region.

Bottomvar

Screen coordinates for the bottom edge of a specified region.


COACHMESSAGEBOX

Purpose

Displays a message box.

Syntax

COACHMESSAGEBOX (MessageBoxName; Title; Text; Library; IdBitmap1; IdBitmap2; Bmp2RedMask; Bmp2GreenMask; Bmp2BlueMask; BorderType; Bitmap1Position; Bitmap2Position; Top; Left; TitleFont; TitleFontSize; TextFont; TextFontSize; Modality; Label; ResultVariable; RepeatingGroup)

Description

Message boxes display available options, such as a list of Coaches.  Message boxes can include title, text, two bitmap images, radio buttons, check boxes, and pushbuttons.

Users can display more than one message box at a time and drag them to different postions on the screen.

Message Box Callback Procedure

Message boxes can have associated callback procedures. The callback procedure responds to events such as radio button, check box, and push button.  For example, if the user clicks a message box Close button, the callback procedure calls COACHMESSAGEBOXCLOSE to dismiss the message box.

When macro execution moves to a callback, the macro system creates an array variable that the callback can access.  The array name is formed from the label name. For example, the array elements of LABEL1@ are LABEL1[1], LABEL1[2], and so on.  The array variable contains information about the message box and identifies the selected control.  The element values are:

[1]	CBTYPE_MESSAGEBOX (4).  Message Box callback.

[2]	Name of the message box specified in MessageBoxName of COACHMESSAGEBOX.

[3]	Name of the control specified in ControlName of COACHMESSAGEBOX.

[4]	A value that specifies whether a control is checked/pressed (1) or unchecked (0).

Parameters

MessageBoxName: Ansistring

Unique name of a message box.  Passed to COACHMESSAGEBOXCLOSE to close the message box.  COACHMESSAGEBOXCLOSE is required only if the message box modality is Modal! or Modeless! (see Modality below).

The same name can be used for more than one message.  All messages with the same name close at the same time.

Title: WPstring (optional)

Message box title.  The title is displayed at the top of the message box, below the bitmap specified in Bitmap1.  TitleFont and to specify font and font size.

Text: Wpstring (optional)

Formatted text:

Character	Result

\n	Insert hard return.

\b	Toggle bold.

\u	Toggle underline.

\i	Toggle italic.

Bitmap2Position specifies text position.  TextFont and TextFontSize specify font and font size.

Library: Dword (optional)

The Windows handle of the DLL that contains the bitmaps specified in IdBitmap1 and IdBitmap2.  DLLOAD retrieves the handle.  DLLFREE removes the DLL from memory.

IdBitmap1: Word (optional)

Specifies a bitmap image, such as the Coach graphic, to display at the top of the message box.

Each bitmap specified in IdBitmap1 must be followed by a monochrome version of the bitmap (transparency bitmap) in the DLL library.  White areas in a transparency bitmap are transparent, black areas are not.

IdBitmap2: Word (optional)

Specifies a bitmap image to display in the message box.  Bitmap2Position specifies bitmap location.

Bitmaps specified by IdBitmap2 do not require a transparency bitmap.  Bmp2RedMask, Bmp2GreenMask, and Bmp2BlueMask specify a transparency color for IdBitmap2 bitmaps to conserve disk space.  Areas filled with the transparency color are transparent.

Bmp2RedMask: Byte  (optional)

Bmp2RedMask, Bmp2GreenMask and Bmp2BlueMask set red, green, and blue values (RGB) for the Bitmap2 transparency color.

The transparency color is the fill color that is transparent when the bitmap is displayed.

Bmp2GreenMask: Byte (optional)

See Bmp2RedMask above.

Bmp2BlueMask: Byte (optional)

See Bmp2RedMask above.

Bitmap1Position: Enumeration (optional)

Bitmap1 position in the message box.  The values, enumerations, and descriptions are:

1	Left!	Display bitmap in the top left corner.  The top of the message box is flat.

2	Top!	Display bitmap in a semicircle at the top.

Bitmap2Position: Enumeration (optional)

Bitmap2 position in the message box.  The values, enumerations, and descriptions are:

1	Left!	Align the left edge of the bitmap with the left edge of the message box. If the message box is longer than the bitmap, position the bitmap at the top of the message box.  Text and controls will wrap to the right.

2	Top!	Align the top edge of the bitmap directly under the message box title.  If the message box is wider than the bitmap, display the bitmap at the left of the message box.  Text and controls appear below the bitmap.

3	Right!	Align the right edge of the bitmap with the right edge of the message box.  If the message box is longer than the bitmap, display the bitmap at the top of the message box.  Text and controls wrap to the left.

4	Bottom!	Position the bottom edge of the bitmap above button controls, and below text and all other controls.  Pushbuttons always appear at the bottom of the box.  If the message box is wider than the bitmap, display the bitmap at the left of the message box.

5	LeftCenter!	Center bitmap vertically.

6	TopCenter!	Center bitmap horizontally.

7	RightCenter!	Center bitmap vertically.

8	BottomCenter!	Center bitmap horizontally.

Top: Word (optional)

Specifies the percentage of the document window's vertical space above the center of the message box.

Left: Word (optional)

Specifies the percentage of the document window's horizontal space left of the center of the message box.

TitleFont: Ansistring (optional)

The name of the Windows font to use to display the title.  If no titlefont is specified, the default dialog font is used.

TitleFontSize: Word (optional)

The point size of the message box title.

TextFont: Ansistring (optional)

The name of the Windows font to display text.  If no font is specified, the default font (MS Sans Serif 8pt) is used.

TextFontSize: Word (optional)

The point size of the message box text.

Modality: Enumeration

The modality of the message box:  1) whether to dismiss the message box when a control is selected,  2) whether to call a callback procedure while a message box is displayed, and  3) whether the user can perform actions in the document window while the message box is displayed.  The values, enumerations, and descriptions are:

1	Simple!	Dismiss the message box when the user clicks a control.  No callback procedure.  User cannot perform actions in the document window while the message box is displayed.

2	Modal!	Do not dismiss the message box until COACHMESSAGEBOXCLOSE is called.  The callback procedure specified in Label is called when the user selects a control.  The user cannot perform actions in the document window while the message box is displayed.

3	Modeless!	Do not dismiss the message box until COACHMESSAGEBOXCLOSE is called.  The callback procedure specified in Label is called when the user selects a control.  The user can perform actions in the document window while the message box is displayed.

Label: Wpstring (optional)

The label name of a message box callback procedure.  Set this parameter only if the message box modality is Modal! or Modeless!.  If Modality is Simple!, this parameter is ignored.

The message box calls this label when the user selects a control (radio button, check box, or pushbutton) on the message box.  Also see Message Box Callback Procedure above.

ResultVariable: Variable (optional)

Used only if Modality is set to Simple!.  When a message box's modalityis simple, the message box is automatically dismissed when the user selects a control.  The result variable specified in this parameter holds the name of the control (ControlName) that was selected.

RepeatingGroup (optional)

Specifies the controls (such as radio buttons, check boxes, and pushbuttons) to display in the message box.  Each repeating group contains three parameters which hold the information for one control.  You can specify multiple controls.

Controls always appear beneath the message box text (see Text).  Regardless of the order in which the controls are specified, they appear in the message box in this order:  radio buttons, check boxes, and pushbuttons.  If Bitmap2Position is Bottom!, bitmap2 displays below radio buttons and check boxes, and above pushbuttons (pushbuttons always display at the bottom of the message box).

If one parameter of a repeating group is specified, all three must be specified.

ControlName: Ansistring (First Parameter of Repeating Group)

A control name.  The name does not appear on the message box.  If thiscontrol is selected in the message box, the control name is displayed in Array[3].  If the message box modality is Simple!, the control name is copied to ResultVariable.

ControlType: Enumeration (Second Parameter of Repeating Group)

Indicates a control type.  The values and enumerations are:

1	RadioButton!

2	CheckBox!

3	Button!

ControlText: Ansistring (Third Parameter of Repeating Group)

Control text.  Text is displayed to the right of radio buttons and checkboxes, and inside push buttons.

See Also

COACHMESSAGEBOXCLOSE


COACHMESSAGEBOXCLOSE

Purpose

Closes a message box.  Required only for Modeless! or Modal! message boxes (see Modality in COACHMESSAGEBOX).

Syntax

COACHMESSAGEBOXCLOSE (MessageBoxName)

Parameters

MessageBoxName: Ansistring

Name of a message box to close.  This should be the same name as in MessageBoxName of COACHMESSAGEBOX.

See Also

COACHMESSAGEBOX


COACHPROMPT

Purpose

Displays a prompt.

Syntax

COACHPROMPT (PromptName; Message; Font; FontSize; Library; IdBitmap; Location; Top; Left; Region)

Description

The prompt can display a message and a bitmap image that points to an item, such as a prompt that points to the File menu with the text "Click the File menu item."

The prompt location is set relative to a region (see Location and Region), or set to a fixed position in the document window.

When you set a location relative to a region, you can have a prompt display to the right, left, upper right, upper left, lower right, or lower left of the region.  The system adjusts the size of the prompt box to fit in the display area.  If the prompt is too large, the system checks for a suitable location by rotating the prompt clockwise.  For example, if the prompt is to display to the right of a region, but there isn't room, the system checks to the lower right.  If it will not fit there, the system checks the lower left, and so on.

COACHPROMPT points to items with bitmap images.  The bitmap image is displayed between the prompt box and the item.

IdBitmap specifies the bitmap image ID.  For example, if the prompt is displayed at the upper left, and the bitmap is a pointing hand, the fingers point down and to the right.

Bitmaps for all 6 prompt locations must be defined in order, starting with the upper left bitmap and proceding clockwise.  The transparency bitmap must immediately follow each bitmap.  IdBitmap should always contain the first bitmap ID (upper left).

Parameters

PromptName: Ansistring

A unique name for the prompt.

Message: Wpstring (optional)

Message to display in the prompt.  Formatting codes are optional:

Character	Result

\n	Insert Hard Return

\b	Toggle Bold

\u	Toggle Underline

\i	Toggle Italic

Font: Ansistring (optional)

Name of the Windows font for prompt text.  If no font is specified, the default dialog font is used.

FontSize: Word (optional)

Point size of the prompt text.  If no font is specified, the default font (MS Sans Serif 8pt) is used.

Library: Dword (optional)

The Windows handle of the DLL that contains the bitmap to display outside the prompt.  DLLOAD retrieves the handle.  DLLFREE removes the DLL from memory.

IdBitmap: Word (optional)

The identifier of the first bitmap image defined for COACHPROMPT.

In the bitmap DLL library each bitmap specified by IdBitmap must be immediately followed by a transparency bitmap.  A transparency bitmap is a monochrome version of a bitmap.  White areas in the transparency bitmap are transparent, black areas are not.

Location: Enumeration (optional)

Specifies where to display the prompt in relation to the region (see Region).  The values, enumerations, and descriptions are:

1	UpperLeft!	Display prompt upper left.

2	UpperRight!	Display prompt upper right.

3	Right!	Display prompt right.

4	LowerRight!	Display prompt lower right.

5	LowerLeft!	Display prompt lower left.

6	Left!	Display prompt left.

7	Specify!	Display prompt as specified by Top and Left.

Top: Word (optional)

Specifies the percentage of the document window's vertical space above the center of the message box.  Required only if Location is Specify!.

Left: Word (optional)

Specifies the percentage of the document window's horizontal space left of the center of the message box.  Required only if Location is Specify!.

Region: WPstring (optional)

The named region the prompt points to.  Not required if Top and Left are specified.

See Also

COACHPROMPTCLOSE

DLLLOAD

DLLFREE


COACHPROMPTCLOSE

Purpose

Closes a prompt.

Syntax

COACHPROMPTCLOSE (PromptName)

Parameters

PromptName: Ansistring

Name of the prompt to close.  This is the same name specified in PromptName of COACHPROMPT.

See Also

COACHPROMPT


CTON

Purpose

Converts a keyboard character to its decimal equivalent.

Syntax

ReturnValue := CTON (Character)

Returns

The decimal equivalent of a keyboard character.

Parameters

Character: Character Expression

A keyboard character to convert.  If a string is used, the decimal equivalent of the first character is returned.

See Also

NTOC


DDEEXECUTE

Purpose

Sends a command string to a client application.

Syntax

DDEEXECUTE (ConversationID; Command)

Description

See the client application's documentation for command names and syntax.

Parameters

ConversationID: Numeric Expression

A number that links the server and client applications.  DDEINITIATE returns the number in a variable.

Command: Character Expression

A command to execute.

See Also

DDEINITIATE

DDEEXECUTEEXT


DDEEXECUTEEXT

Purpose

Sends a command to a client application, and returns a value that indicates if the command was successfully processed.

Syntax

ReturnValue := DDEEXECUTEEXT (ConversationID; Command; TimeOut; Label)

Returns

A number greater than 0 if successful, or 0 if not.

Description

See the client application's documentation for command names and syntax.

Parameters

ConversationID: Numeric Expression

A number that links the server and client applications.  DDEINITIATE returns the number in a variable.

Command: Character Expression

A command to execute.

TimeOut: Numeric Expression

Asychronous DDE: Set TimeOut to 0 or a negative value.  DDE returns immediately, and notifies the macro that the command was delivered.  When the client application acknowledges receiving the command, DDE notifies the macro and the macro calls Label.  The return value is invalid for asychronous DDE, because the client application has not yet processed the command.

Synchronous DDE: Set TimeOut to a positive integer, which specifies the maximum number of milliseconds to wait while the client application processes the command.  The result is returned when the command is processed or DDE times out (command is not processed within the specified time).  See Return above.

Label: Label

The LABEL to call when the client application acknowledges receiving the command (see TimeOut parameter).  If the LABEL statement does not include RETURN, macro behavior is unpredictable.

See Also

DDEEXECUTE

DDEINITIATE

LABEL


DDEINITIATE

Purpose

Starts a DDE conversation with a client application.

Syntax

DDEINITIATE (ConversationID; ServiceName; TopicName)

Description

A conversation must be started between server and client applications before you can use commands such as DDEPOKE, DDEREQUEST, and DDEEXECUTE.

Parameters

ConversationID: Variable

A number that links the server and client applications is returned in this variable, or zero if the conversation is not started.

ServiceName: Character Expression

A DDE service name.  See a client application's documentation.

TopicName: Character Expression

A Topic name.  For example, WordPerfect Office 4.0a for Windows has three topics names, depending on the type of action to initiate: COMMAND, GETOFFICEDATA and GETADDRESSBOOKDATA.  See the client application's documentation.

See Also

DDEEXECUTE

DDEPOKE

DDEREQUEST

DDETERMINATE

DDETERMINATEALL


DDEPOKE

Purpose

Assigns data to an item in a client application.

Syntax

DDEPOKE (ConversationID; ItemName; ItemData)

Parameters

ConversationID: Numeric Expression

A number that links the server and client applications.  DDEINITIATE returns the number in a variable.

ItemName: Character Expression

A client application item.  See the client application's documentation for item names.

ItemData: Character Expression

The data to assign to a client application item.

See Also

DDEINITIATE

DDEREQUEST


DDEREQUEST

Purpose

Assigns the contents of a client application item to a macro variable.

Syntax

ReturnValue := DDEREQUEST (ConversationID; ItemName)

Returns

The contents of the client application item specified by ItemName.

Parameters

ConversationID: Numeric Expression

A number that links the server and client applications.  DDEINITIATE returns the number in a variable.

ItemName: Character Expression

The name of a client application item.

See Also

DDEINITIATE

DDEPOKE

ONDDEADVISE CALL


DDETERMINATE

Purpose

Ends a DDE conversation with a client application.

Syntax

DDETERMINATE (ConversationID)

Parameters

ConversationID: Numeric Expression

A number that links the server and client applications.  DDEINITIATE returns the number in a variable.

See Also

DDEINITIATE

DDETERMINATEALL


DDETERMINATEALL

Purpose

Ends all DDE conversations.

Syntax

DDETERMINATEALL

See Also

DDEINITIATE

DDETERMINATE


DECLARE

Purpose

Creates a local variable or array, which stores as many variables, constants, or expressions as memory allows.

Syntax

DECLARE (VariableName[Elements]; ...)

Description

An array can have up to 10 dimensions, and up to 32,767 elements per dimension depending on the amount of available memory.  In the following example, DECLARE creates ArrayA with ten elements and ArrayB with five elements.  An element in each array is assigned a value.  Parentheses are optional.

DECLARE(ArrayA[10]; ArrayB[5])

ArrayA[3] := "John"

Explanation: Assigns "John" to the third element in ArrayA

ArrayB[5] := ArrayA[3]

Explanation: Assigns "John" to the fifth element in ArrayB.

In the next example, DECLARE creates a two-dimensional array (ArrayC) with 100 elements (ten rows and ten columns).  One element is assigned a value.

DECLARE ArrayC[10;10]

ArrayC[2;3] := 3+6

Explanation: Assigns 9 to the element at row 2, column 3.

Parameters

VariableName: Variable

The name of a local variable or array.  Use a semicolon to separate names when declaring more than one variable or array.

Elements: Numeric Expression

The number of elements in an array, enclosed in brackets.  Use a semicolon to separate elements in a multi-dimensional array.

See Also

GLOBAL

LOCAL

PERSIST

PERSISTALL


DEFAULTUNITS

Purpose

DEFAULTUNITS specifies the default unit of measure.

Syntax

DEFAULTUNITS (Units)

Description

In the first example, Advance uses the default unit of measure (WP Units).  In the second, Advance overrides the default unit of measure and uses inches.  In the third, DEFAULTUNITS specifies centimeters as the default unit of measure.

Advance(AdvanceFromTop!; 4)

Explanation: Advance insertion point 4 WP Units.

Advance(AdvanceFromTop!; 4")

Explanation: Advance insertion point 4 inches.

DEFAULTUNITS(Centimeters!)

Advance(AdvanceFromTop!; 4)

Explanation: Advance insertion point 4 centimeters.

The default unit of measure is effective until changed by another DEFAULTUNITS command.  If not specified by DEFAULTUNITS, the default unit of measure is WP Units.

Parameters

Units: Enumeration

A unit of measure.  The enumerations are:

Inches!

Centimeters!

Millimeters!

Points!	(One Point equals 1/72 of an inch)

WPUnits!	(One WordPerfect unit equals 1/1200 of an inch)

WP1200ths!	(Synonym for WPUnits!)


DIALOGADDCHECKBOX

Purpose

Adds a check box control to a dialog box.

Syntax

DIALOGADDCHECKBOX (Dialog; Control; Left; Top; Width; Height; Text; MacroVar)

Parameters

Dialog: Character Expression

The name or number of the dialog box to contain the check box control (see DIALOGDEFINE).

Control: Character Expression

A name or number that identifes the check box control (see DIALOGDISPLAY).

Left: Numeric Expression

Number of dialog units from the left side of the dialog box to the left side of the check box.

Top: Numeric Expression

Number of dialog units from the top of the dialog box to the top of the check box.

Width: Numeric Expression

Width of the check box control in dialog units.

Height: Numeric Expression

Height of the check box control in dialog units.

Text: Character Expression

Text displayed to the right of the check box.

MacroVar: Variable

1 is returned in this variable when check box is checked, and 0 when not checked.  The default value is 0.  If MacroVar is assigned a value greater than 0 before the macro compiles, the check box is checked when the dialog box is displayed.

See Also

DIALOGDEFINE

DIALOGDISPLAY


DIALOGADDCOLORWHEEL

Purpose

Adds a color wheel control to a dialog box, and returns a number that represents the selected color.

Syntax

DIALOGADDCOLORWHEEL (Dialog; Control; Left; Top; Width; Height; MacroVar)

Description

The color selection consists of three color elements (red, green, and blue), separated into color values by the formula given below (see MacroVar parameter).  These values are used in Windows programming to specify the color of a pen or brush.

Parameters

Dialog: Character Expression

The name or number of the dialog box to contain the color wheel control (see DIALOGDEFINE).

Control: Character Expression

A name or number that identifes the color wheel control (see DIALOGDISPLAY).

Left: Numeric Expression

Number of dialog units from the left side of the dialog box to the left side of the color wheel control.

Top: Numeric Expression

Number of dialog units from the top of the dialog box to the top of the color wheel control.

Width: Numeric Expression

Width of the color wheel control in dialog units.

Height: Numeric Expression

Height of the color wheel control in dialog units.

MacroVar: Variable

A number corresponding to a color selection is returned in this variable.  This number can be divided into three other numbers which correspond to red, green, and blue.  The formulas are:

vRed := MacroVar % 256

(vRed contains the red component, which is the remainder of MacroVar divided by 256)

vGreen := MacroVar / 256 % 256

(vGreen contains the green component, which is the remainder of MacroVar divided by 256 divided by 256)

vBlue := MacroVar / 256 / 256

(vBlue contains the blue component, which is the result of MacroVar divided by 256 divided by 256)

See Also

DIALOGDEFINE

DIALOGDISPLAY


DIALOGADDCOMBOBOX

Purpose

Adds a combo box control to a dialog box.

Syntax

DIALOGADDCOMBOBOX (Dialog; Control; Left; Top; Width; Height; Style; MacroVar; LimitText)

Description

Displays an edit box and a list box.  You enter text in the edit box, or double-click a list item to insert.  Use DIALOGADDLISTITEM to create list box items.

Parameters

Dialog: Character Expression

The name or number of the dialog box to contain the combo box control (see DIALOGDEFINE).

Control: Character Expression

A name or number that identifes the combo box control (see DIALOGDISPLAY).

Left: Numeric Expression

Number of dialog units from the left side of the dialog box to the left side of the combo box.

Top: Numeric Expression

Number of dialog units from the top of the dialog box to the top of the combo box.

Width: Numeric Expression

Width of the combo box control in dialog units.

Height: Numeric Expression

Height of the combo box control in dialog units.

Style: Enumeration

Combo box styles.  Type | between enumerations to combine styles.  The values, enumerations, and descriptions are:

0	Simple!	Displays an edit control and an opened drop-down list box.

1	Sort!	Items are sorted alphabetically.  If Sort! is used by itself, Simple! is the default combo box style.  See DIALOGADDLISTITEM.

8	Dropdown!	Displays an edit control.  Clicking the arrow to the right of the edit control displays a drop-down list box.

16	Droplist!	Displays a read-only edit control.  Clicking the arrow to the right of the edit control displays a drop-down list box.

32	WPChars!	Non-keyboard characters allowed in a list item.  See DIALOGADDLISTITEM.

Style combination examples

Sort! | Simple!

Explanation: Name search allowed on a sorted list box.  A vertical scrollbar automatically appears when needed.

MacroVar: Variable

The selected combo box item is returned in this variable.  An item can be assigned to MacroVar before the macro compiles.

LimitText: Numeric Expression

Maximum number of characters the edit control accepts, up to the number of characters that fit in the edit box.  This number has no effect if you choose style 16 (DropDown3D!).

See Also

DIALOGDEFINE

DIALOGDISPLAY

DIALOGADDLISTBOX

DIALOGADDLISTITEM

DIALOGADDPOPUPBUTTON


DIALOGADDCONTROL

Purpose

Adds a custom control to a dialog box.

Syntax

DIALOGADDCONTROL (Dialog; Control; Left; Top; Width; Height; Class; Style; WindowName; MacroVar; Instance)

Parameters

Dialog: Character Expression

The name or number of the dialog box to contain the custom control (see DIALOGDEFINE).

Control: Character Expression

A name or number that identifes the custom control (see DIALOGDISPLAY).

Left: Numeric Expression

Number of dialog units from the left side of the dialog box to the left side of the custom control.

Top: Numeric Expression

Number of dialog units from the top of the dialog box to the top of the custom control.

Width: Numeric Expression

Width of the custom control in dialog units.

Height: Numeric Expression

Height of the custom control in dialog units.

Class: Character Expression

The name of the control class.  Standard Windows classes include Button, ComboBox, Edit, ListBox, ScrollBar, and Static.  Other controls such as Meters and Spin buttons must be defined in a DLL (see Instance parameter).  Class names for WordPerfect custom controls are in the TKSHWIN.H file on the diskette that comes with WordPerfect 6.0 for Windows Software Developer's Kit.

Style: Numeric Expression

A number that defines a class style.  For exampe, an edit control includes styles such as left, multiline, and password.  The values for standard Windows styles are in the WINDOWS.H file.

WindowName: Character Expression

Control text.  For example, the text that appears on a button control.  Set this value to "" if the control does not accept text.

MacroVar: Variable

The value returned by a control.  For example, a check box returns 1 if checked, and 0 if not checked.

Instance: Numeric Expression

The handle of the DLL that contains the custom control.  DLLLOAD returns the handle of a custom DLL in a variable.  The Shared Code default is 0 (see WordPerfect 6.0 for Windows Software Developer's Kit for information about custom controls).

See Also

DIALOGDEFINE

DIALOGDISPLAY


DIALOGADDCOUNTER

Purpose

Adds a counter control to a dialog box.

Syntax

DIALOGADDCOUNTER (Dialog; Control; Left; Top; Width; Height; Format; MacroVar; CountMin; CountMax; CountStep)

Description

Click the counter button to insert a number in the edit box that is within a specified range (see CountMin and CountMax parameters).

Parameters

Dialog: Character Expression

The name or number of the dialog box to contain the counter control (see DIALOGDEFINE).

Control: Character Expression

A name or number that identifes the counter control (see DIALOGDISPLAY).

Left: Numeric Expression

Number of dialog units from the left side of the dialog box to the left side of the counter control.

Top: Numeric Expression

Number of dialog units from the top of the dialog box to the top of the counter control.

Width: Numeric Expression

Width of the counter control in dialog units.

Height: Numeric Expression

Height of the counter control in dialog units.

Format: Numeric Expression

Reserved for future use.  Set parameter to 0.

MacroVar: Variable

The selected counter number is returned in this variable.  A number can be assigned to MacroVar before the macro compiles.

CountMin: Numeric Expression

The minimum number that you can insert by clicking the counter button.  You can enter a number in the edit control beyond the minimum and maximum range.

CountMax: Numeric Expression

The maximum number that you can insert by clicking the counter button.  You can enter a number in the edit control beyond the minimum and maximum range.

CountStep: Numeric Expression

The increment and decrement step value.

See Also

DEFAULTUNITS

DIALOGDEFINE


DIALOGADDEDITBOX

Purpose

Adds an edit control to a dialog box.

Syntax

DIALOGADDEDITBOX (Dialog; Control; Left; Top; Width; Height; Style; MacroVar; LimitText)

Description

The text entered in the edit box is returned in MacroVar (see MacroVar parameter).

Parameters

Dialog: Character Expression

The name or number of the dialog box to contain the edit control (see DIALOGDEFINE).

Control: Character Expression

A name or number that identifes the edit control (see DIALOGDISPLAY).

Left: Numeric Expression

Number of dialog units from the left side of the dialog box to the left side of the edit control.

Top: Numeric Expression

Number of dialog units from the top of the dialog box to the top of the edit control.

Width: Numeric Expression

Width of the edit control in dialog units.

Height: Numeric Expression

Height of the edit control in dialog units.

Style: Enumeration

Edit control styles.  Type | between enumerations to combine styles.  Not all combinations are possible.  The values, enumerations, and descriptions are:

1	Left!	Text is left justified.

2	Right!	Text is right justified if Multiline! style is set and WPChars! style is not set.

4	Center!	Text is centered if Multiline! style is set and WPChars! style is not set.

8	VScroll!	Edit control with a vertical scroll bar.

16	HScroll!	Edit control with a horizontal scroll bar.

32	WPChars!	Can display WP Character box (press Ctrl+W).  Non-keyboard characters allowed.

64	Multiline!	Multiple lines of input automatically wrap to the next line.  Press Enter to cause the default button action (see DIALOGADDPUSHBUTTON).  If Enter2Hrtn! style is set in DIALOGDEFINE, press enter to move the insertion point to the next line.

128	Uppercase!	Text automatically converted to uppercase.

256	Lowercase!	Text automatically converted to lowercase.

512	Password!	Text automatically displayed with astersik (*) characters.  The actual characters are stored by the edit control.

1024	WordWrap!	Text wraps if Multiline! style is set.

2048	SoftReturn!	Text contains Soft Return codes [SRt].

4096	Attributes!	Underline (press Ctrl+U) and italics (press Ctrl+I) allowed if WPChars! style is set.

8192	NoTabs!	Tab codes not exported with output.

16384	NoWPChar!	Cannot display WP Character dialog box.  Non-keyboard characters not allowed.

MacroVar: Variable

The text entered in the edit box is returned in this variable.  Text can be assigned to MacroVar before the macro compiles.

LimitText: Numeric Expression

The maximum number of characters the edit control accepts.

See Also

DIALOGDEFINE

DIALOGDISPLAY


DIALOGADDFILENAMEBOX

Purpose

Adds a filename edit control to a dialog box.

Syntax

DIALOGADDFILENAMEBOX (Dialog; Control; Left; Top; Width; Height; Style; MacroVar; DefaultDir; Template)

Description

The filename edit control consists of an edit control and a button control.  Clicking the button displays the Select Directory or Select File dialog box depending on the control style (see Style parameter).

Parameters

Dialog: Character Expression

The name or number of the dialog box to contain the filename edit control (see DIALOGDEFINE).

Control: Character Expression

A unique expression) or number that identifes the filename edit control (see DIALOGDISPLAY).

Left: Numeric Expression

Number of dialog units from the left side of the dialog box to the left side of the filename edit control.

Top: Numeric Expression

Number of dialog units from the top of the dialog box to the top of the filename edit control.

Width: Numeric Expression

Width of the filename edit control in dialog units.

Height: Numeric Expression

Height of the filename edit control in dialog units.

Style: Enumeration

Filename edit control styles.  Type | between enumerations to combine styles.  The values, enumerations, and descriptions are:

0	FilesAndDirs!	Directories and filenames allowed.

1	DirOnly!	Only directories allowed.

2	NoValidate!	No verification that a directory exists.

MacroVar: Variable

The directory or filename entered in the edit box is returned in this variable.  A name can be assigned to MacroVar before the macro compiles.

DefaultDir: Character Expression (optional)

The default directory when the Select File dialog box is displayed.

Template: Character Expression (optional)

The filenames to display in the Select File dialog box.  For example, "*.*" (all files) and "*.bat" (all batch files).

See Also

DIALOGDEFINE

DIALOGDISPLAY


DIALOGADDFRAME

Purpose

Adds a frame to a dialog box.

Syntax

DIALOGADDFRAME (Dialog; Control; Left; Top; Width; Height; Style)

Description

You can combine frame styles by creating two frames the same size and at the same position.  For example, a black frame and a white-filled frame (see Control and Style parameters).  You can also create custom controls by combining frames and hot spots (see DIALOGADDHOTSPOT and DIALOGDISPLAY.

Parameters

Dialog: Character Expression

The name or number of the dialog box to contain the frame control (see DIALOGDEFINE).

Control: Character Expression

A name or number that identifes the frame control (see DIALOGDISPLAY).

Left: Numeric Expression

Number of dialog units from the left side of the dialog box to the left side of the frame control.

Top: Numeric Expression

Number of dialog units from the top of the dialog box to the top of the frame control.

Width: Numeric Expression

Width of the frame control in dialog units.

Height: Numeric Expression

Height of the frame control in dialog units.

Style: Enumeration

Frame styles.  Type | between enumerations to combine styles.  Not all combinations are possible.  The values, enumerations, and descriptions are:

0	Frame!	Frame only.

0	Black!	Black frame.

1	Gray!	Gray frame.  Gray is the default DeskTop color of the Windows Default color scheme.  To select a different color, choose Colors in the Windows Control Panel.

2	White!	White frame.

4	Filled!	Filled frame.

Style combination examples

Frame! | White!

Explanation: White frame displayed.

Filled! | White!

Explanation: White-filled frame displayed.

See Also

DIALOGADDGROUPBOX

DIALOGDEFINE

DIALOGDISPLAY


DIALOGADDGROUPBOX

Purpose

Draws a rectangle around related dialog controls such as buttons.

Syntax

DIALOGADDGROUPBOX (Dialog; Control; Left; Top; Width; Height; Title)

Description

Grouping related controls helps narrow user options.

Parameters

Dialog: Character Expression

The name or number of the dialog box to contain the group box control (see DIALOGDEFINE).

Control: Character Expression

A name or number that identifes the group box control (see DIALOGDISPLAY).

Left: Numeric Expression

Number of dialog units from the left side of the dialog box to the left side of the group box control

Top: Numeric Expression

Number of dialog units from the top of the dialog box to the top of the group box control.

Width: Numeric Expression

Width of the group box control in dialog units.

Height: Numeric Expression

Height of the group box control in dialog units.

Title: Character Expression

The title displayed at the top left corner.

See Also

DIALOGADDFRAME

DIALOGADDHLINE

DIALOGADDVLINE

DIALOGDEFINE

DIALOGDISPLAY


DIALOGADDHLINE

Purpose

Adds a horizontal line to a dialog box.

Syntax

DIALOGADDHLINE (Dialog; Control; Left; Top; Length)

Parameters

Dialog: Character Expression

The name or number of the dialog box to contain the horizontal line control (see DIALOGDEFINE).

Control: Character Expression

A name or number that identifes the horizontal line control.

Left: Numeric Expression

Number of dialog units from the left side of the dialog box to the left side of the horizontal line control.

Top: Numeric Expression

Number of dialog units from the top of the dialog box to the top of the horizontal line control.

Length: Numeric Expression

Length of the horizontal line control in dialog units.

See Also

DIALOGADDGROUPBOX

DIALOGADDFRAME

DIALOGADDVLINE

DIALOGDEFINE

DIALOGDISPLAY


DIALOGADDHOTSPOT

Purpose

Creates an invisible area (hot spot) in a dialog box that closes the dialog box when clicked.  Other responses are possible when you use DIALOGADDHOTSPOT with a callback function (see DIALOGDISPLAY).

Syntax

DIALOGADDHOTSPOT (Dialog; Control; Left; Top; Width; Height; Style)

Description

To create a hot spot within a frame (see DIALOGADDFRAME), overlap size and position parameters.

Parameters

Dialog: Character Expression

The name or number of the dialog box to contain the hot spot control (see DIALOGDEFINE).

Control: Character Expression

A name or number that identifes the hot spot control (see DIALOGDISPLAY).  The Control value is returned in the implicit variable MacroDialogResult (see DIALOGADDPUSHBUTTON or DIALOGDEFINE) if the user chooses the hot spot to dismiss the dialog box.

Left: Numeric Expression

Number of dialog units from the left side of the dialog box to the left side of the hot spot control.

Top: Numeric Expression

Number of dialog units from the top of the dialog box to the top of the hot spot control.

Width: Numeric Expression

Width of the hot spot control in dialog units.

Height: Numeric Expression

Height of the hot spot control in dialog units.

Style: Enumeration

Hot spot styles.  The values, enumerations, and descriptions are:

1	Click!	Single click closes dialog box.

2	DblClick!	Double click closes dialog box.

See Also

DIALOGDEFINE


DIALOGADDICON

Purpose

Adds an icon to a dialog box.

Syntax

DIALOGADDICON (Dialog; Control; Left; Top; Width; Height; IconName; Instance)

Parameters

Dialog: Character Expression

The name or number of the dialog box to contain the icon control (see DIALOGDEFINE).

Control: Character Expression

A name or number that identifes the icon control (see DIALOGDISPLAY).

Left: Numeric Expression

Number of dialog units from the left side of the dialog box to the left side of the icon control.

Top: Numeric Expression

Number of dialog units from the top of the dialog box to the top of the icon control.

Width: Numeric Expression

Width of the icon control in dialog units.

Height: Numeric Expression

Height of the icon control in dialog units.

IconName: Character Expression

The name of an icon in a DLL.  If an icon is identified by a number, precede the number with a pound sign (#).  For example, "#160".

ModuleInstance: Numeric Expression

The handle of the DLL that contains the icon.  The Shared Code default is 0.  DLLLOAD returns the handle in a variable.

See Also

DIALOGDEFINE

DIALOGDISPLAY

DLLLOAD


DIALOGADDLISTBOX

Purpose

Adds a list box control to a dialog box.

Syntax

DIALOGADDLISTBOX (Dialog; Control; Left; Top; Width; Height; Style; MacroVar)

Description

Displays a list of options to choose from.  The option you choose is returned in MacroVar (see MacroVar parameter).  Use DIALOGADDLISTITEM to create list box items.

Parameters

Dialog: Character Expression

The name or number of the dialog box to contain the list box control (see DIALOGDEFINE).

Control: Character Expression

A name or number that identifes the list box control (see DIALOGDISPLAY).

Left: Numeric Expression

Number of dialog units from the left side of the dialog box to the left side of the list box control.

Top: Numeric Expression

Number of dialog units from the top of the dialog box to the top of the list box control.

Width: Numeric Expression

Width of the list box control in dialog units.

Height: Numeric Expression

Height of the list box control in dialog units.

Style: Enumeration

List box control styles.  Type | between enumerations to combine styles.  The values, enumerations, and descriptions are:

0	Unsorted!	Items listed in order defined.  Type a keyboard character to give the input focus to the first item that begins with that character.  A vertical scrollbar automatically appears when needed.  See DIALOGADDLISTITEM.

1	Sorted!	Default.  Items sorted alphabetically.  Type a keyboard character to give the input focus to the first item that begins with that character.  See DIALOGADDLISTITEM.

2	NameSearch!	Item search allowed.  Begin typing the name of an item to select.  An edit control is displayed above the list box, and the input focus is given to the item that most closely matches the characters you type.

4	MultiColumn!	Items automatically roll into other columns as needed.  A horizontal scrollbar automatically appears when needed.  Column width is set by Windows.

32	WPChars!	Non-keyboard characters allowed in a list item.  See DIALOGADDLISTITEM.

Style combination examples

Sort! | NameSearch!

Explanation: Name search allowed on a sorted list box.  A vertical scrollbar automatically appears when needed.

Sort! | NameSearch! | MultiColumn!

Explanation: Name search allowed on a sorted list box.  Items automatically roll in other columns as needed.  A horizontal scrollbar automatically appears when needed.

MacroVar: Variable

The selected list box item is returned in this variable.  An item can be assigned to MacroVar before the macro compiles.

See Also

DIALOGDEFINE

DIALOGDISPLAY

DIALOGADDCOMBOBOX

DIALOGADDLISTITEM


DIALOGADDLISTITEM

Purpose

Creates a list item for DIALOGADDCOMBOBOX, DIALOGADDLISTBOX, or DIALOGADDPOPUPBUTTON.

Syntax

DIALOGADDLISTITEM (Dialog; Control; Item)

Parameters

Dialog: Character Expression

The name or number of the dialog box to contain the list item (see DIALOGDEFINE).

Control: Character Expression

The name or number of the control to contain the list item.

Item: Character Expression

A list box item.  Use NTOC programming command to include non-keyboard characters in a list item for DIALOGADDCOMBOBOX and DIALOGADDLISTBOX, when the WPChars! style is set.  For example,

DIALOGADDLISTITEM(1000; 100; "Sample" + NTOC(5;10))

See Also

DIALOGDEFINE

DIALOGDISPLAY

DIALOGADDCOMBOBOX

DIALOGADDLISTBOX

DIALOGADDPOPUPBUTTON


DIALOGADDPOPUPBUTTON

Purpose

Adds a popup button control to a dialog box.

Syntax

DIALOGADDPOPUPBUTTON (Dialog; Control; Left; Top; Width; Height; MacroVar)

Description

Use DIALOGADDLISTITEM to create items for a popup button control.  Unless MacroVar is assigned a default item, the item displayed on the popup button is the first item created by DIALOGADDLISTITEM.

Parameters

Dialog: Character Expression

The name or number of the dialog box to contain the popup button control (see DIALOGDEFINE).

Control: Character Expression

A name or number that identifes the popup button control (see DIALOGDISPLAY).

Left: Numeric Expression

Number of dialog units from the left side of the dialog box to the left side of the popup button control.

Top: Numeric Expression

Number of dialog units from the top of the dialog box to the top of the popup button control.

Width: Numeric Expression

Width of the popup button control in dialog units.

Height: Numeric Expression

Height of the popup button control in dialog units.

MacroVar: Variable

The item displayed on the popup button is returned in this variable.  An item can be assigned to MacroVar before the macro compiles.

See Also

DIALOGDEFINE

DIALOGDISPLAY

DIALOGADDCOMBOBOX

DIALOGADDLISTBOX

DIALOGADDLISTITEM


DIALOGADDPUSHBUTTON

Purpose

Adds a push button to a dialog box.

Syntax

DIALOGADDPUSHBUTTON (Dialog; Control; Left; Top; Width; Height; Style; ButtonText)

Description

When you choose this button, the Control parameter value is returned in the implicit variable MacroDialogResult (see DIALOGDEFINE).  If you choose another push button, its Control parameter value is returned: 1 for OK, 2 for Cancel, 2 for Close (system menu box), 2 if you double-click the system menu box, 2 if you press Alt+F4, the Control parameter value of another user-defined push button, or the Control parameter value of a hot spot.

Parameters

Dialog: Character Expression

A name or number that matches the Dialog parameter of the dialog box to contain the push button control (see DIALOGDEFINE).

Control: Character Expression

A unique string or number that identifes the push button control.  DIALOGDISPLAY uses the Control parameter to give this control, or another control, the initial input focus.

Left: Numeric Expression

Number of dialog units from the left side of the dialog box to the left side of the push button control.

Top: Numeric Expression

Number of dialog units from the top of the dialog box to the top of the push button control.

Width: Numeric Expression

Width of the push button control in dialog units.

Height: Numeric Expression

Height of the push button control in dialog units.

Style: Enumeration

Push button styles.  The values, enumerations, and descriptions are:

0	NonDefaultBttn!	Creates a push button that dismisses the dialog box.

1	DefaultBttn!	Creates a default push button, with a heavy black border, that dismisses the dialog box.  Press Enter to choose the default button.  If Enter2HRtn! style is specified in DIALOGDEFINE, pressing Enter in a multiline edit control produces a hard return rather than the default button action.  DIALOGDISPLAY overrides DefaultBttn! if it gives the input focus to another push button.

ButtonText: Character Expression

The text displayed on the push button.

See Also

DIALOGDEFINE

DIALOGDISPLAY

DIALOGDESTROY


DIALOGADDRADIOBUTTON

Purpose

Adds a radio button to a dialog box.

Syntax

DIALOGADDRADIOBUTTON (Dialog; Control; Left; Top; Width; Height; ButtonText; MacroVar)

Description

Radio buttons represent mutually exclusive choices.  Selecting one radio button deselects another.  For multiple selections, see DIALOGADDCHECKBOX.

Parameters

Dialog: Character Expression

The name or number of the dialog box to contain the radio button control (see DIALOGDEFINE).

Control: Character Expression

A name or number that identifes the radio button control (see DIALOGDISPLAY).

Left: Numeric Expression

Number of dialog units from the left side of the dialog box to the left side of the radio button control.

Top: Numeric Expression

Number of dialog units from the top of the dialog box to the top of the radio button control.

Width: Numeric Expression

Width of the radio button control in dialog units.

Height: Numeric Expression

Height of the radio button control in dialog units.

ButtonText: Character Expression

The text displayed to the right of the radio button.

MacroVar: Variable

1 is returned in this variable if the radio button is selected, and 0 if not.  The default value is 0.  If MacroVar is assigned a value greater than 0 before the macro compiles, the radio button is automatically selected unless DIALOGDISPLAY gives the input focus to another radio button.

See Also

DIALOGADDCHECKBOX

DIALOGDEFINE

DIALOGDISPLAY


DIALOGADDSCROLLBAR

Purpose

Adds a horizontal or vertical scroll bar to a dialog box.

Syntax

DIALOGADDSCROLLBAR (Dialog; Control; Left; Top; Width; Height; Style; MacroVar; Minimum; Maximum)

Description

A callback function (see DIALOGDISPLAY) can receive Windows WM_HSCROLL and WM_VSCROLL messages from DIALOGADDSCROLLBAR.  The wParam parameter of both messages indicates the mouse location when the scroll bar is clicked, or the thumb position when the thumb is dragged.  The values are:

0	Right arrow clicked.

1	Left arrow clicked.

2	Area between the right arrow and thumb clicked.

3	Area between the left arrow and thumb clicked.

4	Position of thumb after it is dragged, passed as the low-order word of lParam.

5	The current position of thumb as it is dragged, passed as the low-order word of lParam.

6	Home key pressed while scroll bar has the input focus.

7	End key pressed while scroll bar has the input focus.

8	Scroll bar activity has ended.

See WM_HSCROLL and WM_VSCROLL in Programmer's Reference, Volume 3: Messages, Structures, and Macros (Windows 3.1 documentation).

Parameters

Dialog: Character Expression

The name or number of the dialog box to contain the scroll bar control (see DIALOGDEFINE).

Control: Character Expression

A name or number that identifes the scroll bar control (see DIALOGDISPLAY).

Left: Numeric Expression

Number of dialog units from the left side of the dialog box to the left side of the scroll bar control.

Top: Numeric Expression

Number of dialog units from the top of the dialog box to the top of the scroll bar control.

Width: Numeric Expression

Width of the scroll bar control in dialog units (0 for vertical scroll bar).

Height: Numeric Expression

Height of the scroll bar control in dialog units (0 for horizontal scroll bar).

Style: Enumeration

Scroll bar thumb position and type styles.  Type | between enumerations to combine styles.  Not all combinations are possible.  The values, enumerations, and descriptions are:

1	Left!	Position the thumb at the left end of a horizontal scroll bar.  Initializing MacroVar parameter overrides this parameter.

1	Top!	Position the thumb at the top end of a vertical scroll bar.  Initializing MacroVar parameter overrides this parameter.

2	Right!	Position the thumb at the right end of a horizontal scroll bar.  Initializing MacroVar parameter overrides this parameter.

2	Bottom!	Position the thumb at the bottom end of a vertical scroll bar.  Initializing MacroVar parameter overrides this parameter.

8	VScroll!	Create a vertical scroll bar.  The Width parameter does not apply to this style.

16	HScroll!	Create a horizontal scroll bar.  The Height parameter does not apply to this style.

Style combination examples

Left! | HScroll!

Explanation: Creates a horizontal scroll bar with the thumb at the left end.

Top! | VScroll!

Explanation: Creates a vertical scroll bar with the thumb at the top.

MacroVar: Variable

The position of the thumb is returned in this variable.  To pre-select a thumb position, initialize MacroVar to the desired position.

Minimum: Numeric Expression

The minimum thumb position.  If the maximum position is 6 and the minimum position is 1, there are six positions on the scroll bar.  If the maximum position is 6 and the minimum position is 2, there are five positions on the scroll bar.

Maximum: Numeric Expression

The maximum thumb position.  See Minimum parameter.

See Also

DIALOGDEFINE

DIALOGDESTROY

DIALOGDISPLAY


DIALOGADDTEXT

Purpose

Displays a line of text in a dialog box.

Syntax

DIALOGADDTEXT (Dialog; Control; Left; Top; Width; Height; Style; Text)

Parameters

Dialog: Character Expression

The name or number of the dialog box to contain the text control (see DIALOGDEFINE).

Control: Character Expression

A name or number that identifes the text control (see DIALOGDISPLAY).

Left: Numeric Expression

Number of dialog units from the left side of the dialog box to the left side of the text control.

Top: Numeric Expression

Number of dialog units from the top of the dialog box to the top of the text control.

Width: Numeric Expression

Width of the text control in dialog units.  This parameter determines how much horizontal space the control occupies, not the text width which is fixed by the system.

Height: Numeric Expression

Height of the text control in dialog units.  This parameter determines how much vertical space the control occupies, not the text height which is fixed by the system.

Style: Enumeration

Text control styles.  Type | between enumerations to combine styles.  Not all combinations are possible.  The values, enumerations, and descriptions are:

1	Left!	Left justified.

2	Right!	Right justified unless WPChars! style is set.

4	Center!	Centered inside Width parameter value unless WPChars! style is set.

8	RecessBox!	Recessed background.

16	ShadowBox!	Shadowed background.

32	WPChars!	Non-keyboard characters allowed.  See Text parameter.

64	Multiline!	Text wraps if WPChars! is set.

128	Filename!	Ellipsis truncate path and filename to length of Width parameter.

Style combination examples

Left! | RecessBox!

Explanation: Text is left justified in a recess box.

Center! | ShadowBox!

Explanation: Text is centered in a shadow box.

Text: Character Expression

Text to display on the dialog box.  Use NTOC programming command to display a non-keyboard charcter.  For example,

Text: "A bullet character " + NTOC(4; 0)

See Also

DIALOGDEFINE

DIALOGDISPLAY

DIALOGDESTROY


DIALOGADDVIEWER

Purpose

Adds a read-only edit control to a dialog box.  The edit control displays a file.

Syntax

DIALOGADDVIEWER (Dialog; Control; Left; Top; Width; Height; Filename)

Description

The edit control has horizontal and vertical scroll bars.  The horizontal scroll bar contains text that identifies the text file format and indicates whether text wraps.

Parameters

Dialog: Character Expression

The name or number of the dialog box to contain the viewer control (see DIALOGDEFINE).

Control: Character Expression

A name or number that identifes the viewer control (see DIALOGDISPLAY).

Left: Numeric Expression

Number of dialog units from the left side of the dialog box to the left side of the viewer control.

Top: Numeric Expression

Number of dialog units from the top of the dialog box to the top of the viewer control.

Width: Numeric Expression

Width of the viewer control in dialog units.

Height: Numeric Expression

Height of the viewer control in dialog units.

Filename: Character Expression

The path and name of a file to view.

See Also

DIALOGDEFINE


DIALOGADDVLINE

Purpose

Adds a vertical line to a dialog box.

Syntax

DIALOGADDVLINE (Dialog; Control; Left; Top; Length)

Parameters

Dialog: Character Expression

The name or number of the dialog box to contain the vertical line control (see DIALOGDEFINE).

Control: Character Expression

A name or number that identifes the vertical line control.

Left: Numeric Expression

Number of dialog units from the left side of the dialog box to the left side of the vertical line control.

Top: Numeric Expression

Number of dialog units from the top of the dialog box to the top of the vertical line control.

Length: Numeric Expression

Length of the vertical line in dialog units.

See Also

DIALOGADDGROUPBOX

DIALOGADDFRAME

DIALOGADDHLINE

DIALOGDEFINE

DIALOGDISPLAY


DIALOGDEFINE

Purpose

Creates a dialog box in memory.

Syntax

DIALOGDEFINE (Dialog; Left; Top; Width; Height; Style; Caption)

Description

Use DIALOGDISPLAY to display a dialog box created by DIALOGDEFINE.

The value of the control that dismisses a dialog box is returned in an implicit variable named MacroDialogResult: 1 for OK, 2 for Cancel, 2 for Close (system menu box), 2 if you double-click the system menu box, 2 if you press Alt+F4, or the value of the Control parameter of a user-defined push button or hot spot (see DIALOGADDPUSHBUTTON, DIALOGADDHOTSPOT).

MacroDialogResult is replaced or destroyed when you close a dialog box or call DIALOGDESTROY.  To save its value, assign it to a variable.  For example, vResult := MacroDialogResult.

Dialog boxes are positioned and sized in dialog units.  A vertical unit equals 1/8 of the font height, and a horizontal unit equals 1/4 of the font width.

Parameters

Dialog: Character Expression

A name or number that identifies the dialog box.  This name or number is used by DIALOGDISPLAY and by DIALOGADD commands.

Left: Numeric Expression

Number of dialog units from the left side of the screen to the left side of the dialog box.  When used with Percent! (see Style parameter), this number is a percentage of the screen width minus the width of the dialog box.

Top: Numeric Expression

Number of dialog units from the top of the screen to the top of the dialog box.  When used with Percent! (see Style parameter), this number is a percentage of the screen height minus the height of the dialog box.

Width: Numeric Expression

Width of the dialog box in dialog units.

Height: Numeric Expression

Height of the dialog box in dialog units.

Style: Enumeration

Dialog box styles.  Type | between enumerations to combine styles.  Not all combinations are possible.  The values, enumerations, and descriptions are:

1	OK!	Create an OK button.

2	Cancel!	Create a Cancel button.

8	Modeless!	Dialog box can lose input focus without closing.  The WordPerfect command, InhibitInput, must be Off!.  Default is modal dialog box.

16	Percent!	Sets Top and Left parameters to a percentage of the screen width or height minus the width or height of the dialog box.  Use 50 to display the dialog box in the center of the screen.

32	NoFrame!	Create dialog box without a frame.

128	Sizeable!	Resizing of dialog box allowed.

256	NoTitle!	Remove the caption (title) bar.  Prevents moving the dialog box.

512	Enter2HRtn!	Press Enter in a multiline edit control (see DIALOGADDEDITBOX) to move the insertion point to the next line.  This does not cause the default button action (see DIALOGADDPUSHBUTTON).

Style combination example

OK! | Percent! | NoFrame!

Explanation: Creates a modal dialog box without a frame, and positions it in the center of the screen.

Caption: Character Expression

The text displayed in the caption (title) bar.

See Also

DIALOGDISPLAY

DIALOGDESTROY

DIALOGUNDISPLAY


DIALOGDESTROY

Purpose

Destroys (removes from memory) a dialog box.

Syntax

DIALOGDESTROY (Dialog)

Parameters

Dialog: Character Expression

The name or number of a dialog box to destroy (see DIALOGDEFINE).

See Also

DIALOGDEFINE

DIALOGDISPLAY

DIALOGUNDISPLAY


DIALOGDISPLAY

Purpose

Displays a dialog box, which can have a callback function.

Syntax

DIALOGDISPLAY (Dialog; Control; Label)

Description

A callback function enables a macro to respond immediately and in specific ways to events such as selecting a radio button or check box, without waiting until the dialog box is dismissed.  Without a callback function, user input is acted upon only after the dialog box is dismissed and the macro resumes execution.

To create a callback function, use the Label parameter of DIALOGDISPLAY, and a loop statement after DIALOGDISPLAY.  For example,

DIALOGDISPLAY(1000; 1; Messages)

WHILE(x = 0)

ENDWHILE

LABEL(Messages)

... other statements ...

RETURN

Parameters

Dialog: Character Expression

The name or number of the dialog box to display (see DIALOGDEFINE).

Control: Character Expression

The name or number of the control to receive the initial input focus.

Label: Label (optional)

Identifies a callback function (LABEL to call) when the dialog box becomes active, or the user

-Chooses Close from the system menu.

-Presses Alt+F4.

-Double-clicks the system menu box.

-Chooses a push button, radio button, check box, hot spot, or scroll bar control.

The Windows messages are:

-WM_ACTIVATE

-WM_COMMAND

-WM_HSCROLL

-WM_SYSCOMMAND

-WM_VSCROLL

An array is automatically created for callback functions that contains Windows message information.  The array is given the same name as the Label parameter.

If Label is named DoItNow, array elements are defined as DoItNow[1], DoItNow[2], DoItNow[3], and so forth.  The element values are:

[1]	CallbackType  Dialog box (type 3).

[2]	Dialog  Name (character string) or number that matches the Dialog parameter of the dialog box that contains the callback function.

[3]	Control  Name (character string) or number that matches the Control parameter of the control that causes the callback function to be called.  The value is "OKBttn" if OK is pressed; or, "CancelBttn" if Cancel is pressed.

[4]	DialogHandle  Handle of the dialog box that starts the callback function.

[5]	Message  The Windows message received from the dialog box.  The values are:

6  The dialog box becomes active (WM_ACTIVATE).

273  The user chooses a window control, such as a hot spot, push button, or radio button (WM_COMMAND).

276  The user clicks a scroll bar (WM_HSCROLL).  See DIALOGADDSCROLLBAR.

274  The user chooses Close from the system menu, presses Alt+F4, or double-clicks the system menu box (WM_SYSCOMMAND).

277  The user clicks a scroll bar (WM_VSCROLL).  See DIALOGADDSCROLLBAR.

[6]	wParam  Contains a WORD (16-bit unsigned integer) value that is passed with Message.  For example, if element 5 equals 273 (WM_COMMAND), the value of element 6 is 1 if you choose OK, or 2 if you choose Cancel.  If element 5 equals 274 (WM_SYSCOMMAND), the value of element 6 is 61536 if you choose Close from the system menu, press Alt+F4, or double-click the system menu box.

[7]	lParam  Contains a DWORD (32-bit unsigned integer) value that is passed with Message.  This value contains a high-order value and a low-order value, which you calculate with bitwise operators.  The low-order value equals x := x & 65535 (mask hi-order value).  The high-order value equals x := x >> 16 (shift right 16 bits).

Elements 6 (wParam) and 7 (lParam) have different meanings for every Windows message.  See specified messages in Programmer's Reference, Volume 3: Messages, Structures, and Macros (Windows 3.1 documentation) for more information.

See Also

DIALOGDEFINE

DIALOGDESTROY

DIALOGUNDISPLAY


DIALOGHANDLE

Purpose

Returns the handle of a dialog box or dialog box control.

Syntax

DIALOGHANDLE (MacroVar; Dialog; Control)

Returns

The handle of a dialog box or dialog box control (see MacroVar parameter).

Parameters

MacroVar: Variable

The handle of a dialog box or dialog box control is returned in this variable (see Dialog and Control parameters).

Dialog: Character Expression

The name or number of a dialog box (see DIALOGDEFINE).

Control: Character Expression (optional)

The name or number of a dialog box control (see Control parameter of any dialog control).  If you omit this parameter, the handle of the dialog box is returned in MacroVar.

See Also

DIALOGADDCONTROL

DIALOGDEFINE


DIALOGUNDISPLAY

Purpose

Hides a dialog box.

Syntax

DIALOGUNDISPLAY (Dialog; Control)

Description

DIALOGUNDISPLAY only hides a dialog box.  Use DIALOGDESTROY to remove a dialog box from memory.  Use DIALOGDISPLAY to display a hidden dialog box.

Parameters

Dialog: Character Expression

The name or number of the dialog box to hide (see DIALOGDEFINE).

Control: Character Expression

OKBttn or 1 for OK, CancelBttn or 2 for Cancel, or the control value of a user-defined push button or hot spot.  CancelBttn cancels value assignments to control return variables.  For example, an edit control does not return to MacroVar the text entered in the edit box (see DIALOGADDEDITBOX).  The value of Control is returned in MacroDialogResult (see DIALOGDEFINE) as OKBttn, CancelBttn, or the control value of another push button or hot spot.

See Also

DIALOGDEFINE

DIALOGDISPLAY

DIALOGDESTROY


DISCARD

Purpose

Removes LOCAL, GLOBAL, and PERSIST variables from memory, in that order.

Syntax

DISCARD (VariableName; VariableName; ... VariableName)

Description

DISCARD does not specify a variable table.  If a variable by the same name exists in all three tables, call DISCARD three times.

WHILE(EXISTS(VariableName))

    DISCARD(VariableName)

ENDWHILE

Parameters

VariableName: Variable

Begins with a letter and can include any other combination of letters or numbers.  Separate multiple variables with a semicolon.

See Also

EXISTS

GLOBAL

LOCAL

PERSIST

PERSISTALL


DLLCALL

Purpose

Calls a function in a Dynamic Link Library (DLL).

Do not use this command unless you are familiar with Windows programming.  Incorrect DLL calls can damage files and/or reset your computer.

Syntax

DLLCALL (ModuleInstance; FunctionName; ReturnVariable; ReturnType; {Parameter; Parameter; ...})

Parameters

ModuleInstance: Numeric Expression

A DLL handle.  DLLLOAD returns the handle in a variable.

FunctionName: Character Expression

A function name.  See DLL documentation for function names.

ReturnVariable: Variable

The DLL function may return a value in this variable.  The ReturnType parameter defines the expected data type.

ReturnType: Enumeration

The data type to return (see ReturnVariable parameter).

Data Type	Description

WPString	WordPerfect 6.0 wordstring

AnsiString	Windows type LPSTR

OemString	Windows type LPSTR

String	Windows type LPSTR

Bool	Windows type BOOL

DWord	Windows type DWORD

Integer	Windows type LONG

Word	Windows type WORD

Real	Microsoft C type double

Void	Nothing

ReturnType must match the data type returned in ReturnVariable (see DLL function documentation for return types).  If it does not, an Unrecoverable Application Errror or system crash may result.

Parameter: Any

Parameter information passed to a DLL function, enclosed in braces and separated by a semicolon.  The type of information depends on the function being called (see DLL function documentation for parameter values to pass).

Data Types	Description

Integer	LONG or DWORD

String	FAR pointer to an ANSI string

Boolean	BOOL

Real	Microsoft c-type double

ANSISTRING(String)	FAR pointer to an ANSI string

OEMSTRING(String)	FAR pointer to an OEM string

WPString(String)	FAR pointer to a WP 6.0 word string

LOWORD(Integer)	int, short, or WORD (low order bits passed to DLL function)

HIWORD(Integer)	int, short, or WORD (high order bits passed to DLL function)

ADDRESS(Integer)	LPDWORD

ADDRESS(WORD(Integer))

ADDRESS(DWORD(Integer))

ADDRESS(Boolean)	BOOL FAR*

ADDRESS(BOOLEAN(Boolean))	BOOL FAR*

ADDRESS(String)	FAR pointer to an ANSI string

ADDRESS(ANSISTRING(String))	FAR pointer to an ANSI string

ADDRESS(OEMSTRING(String))	FAR pointer to OEM string

ADDRESS(WPSTRING(String))	FAR pointer to a WP 6.0 word string.

ADDRESS(Real)	FAR pointer to a MicroSoft C-type double

ADDRESS(REAL(Real))	FAR pointer to a MicroSoft C-type double

See Also

DLLFREE

DLLLOAD


DLLFREE

Purpose

Removes a dynamic link library (DLL) from memory.

If you use DLL commands incorrectly, they can damage files and/or reset your computer.

Syntax

DLLFREE (ModuleInstance)

Parameters

ModuleInstance: Numeric Expression

A DLL handle.  DLLLOAD returns the handle in a variable.

See Also

DLLCALL

DLLLOAD


DLLLOAD

Purpose

Loads a dynamic link library (DLL) into memory.

If you use DLL commands incorrectly, they can damage files and/or reset your computer.

Syntax

DLLLOAD (ModuleInstance; Filename)

Description

You should respond to error values with code similar to the following (see ModuleInstance parameter):

DLLLOAD(vResult; Filename)

SWITCH(vResult)

    CASEOF 0: ...statement block...

    CASEOF 2: ...statement block...

ENDSWITCH

Parameters

ModuleInstance: Numeric Expression

A DLL handle if the DLL successfully loads, or an error value less than 32 if not.  Partial list of error values:

0	Not enough system memory.

2	File not found.

3	Path not found.

10	Incorrect Windows version.

20	DLL is invalid.

See LoadLibrary function in Programmer's Reference, Volume 2: Functions (Windows 3.1 documentation) for the complete list of error values.

Filename: Character Expression

A DLL path and filename.

See Also

DLLFREE

DLLCALL


ENDAPP

Purpose

Identifies, for the compiler, an application that is no longer used in a macro (see APPLICATION).

Syntax

ENDAPP (ProductPrefix)

Description

ENDAPP is a non-executable statement that can occur anywhere in a macro.  After ENDAPP, a product command to the application specified by ENDAPP creates a compile-time syntax error.

Parameters

ProductPrefix: Character Expression

A unique identifier that matches the ProductPrefix parameter of an APPLICATION statement.

See Also

APPLICATION

NEWDEFAULT


ERROR

Description

Determines how a macro responds to an Error condition.

Syntax

ERROR (State)

Description

Create an Error condition with ASSERT(ErrorCondition!).

Parameters

State: Enumeration

Specifies the Error state.  The default is ERROR(On!).  The enumerations are:

Off!	Overrides an Error condition.

On!	Stop a macro unless preceded by ONERROR, which directs macro execution to a specified LABEL.

See Also

ASSERT

CANCEL

LABEL

NOTFOUND

ONERROR


EXISTS

Description

Determines if a variable exists.

Syntax

ReturnValue := EXISTS (VariableName)

Returns

An integer.  The values are:

0	Does not exist

1	Local variable

2	Global variable

3	Persist variable

Description

To exist, a variable must be declared and initialized.  Given that variable w is declared and not initialized, and that LOCAL x is initialized to 5, GLOBAL y to 10, and PERSIST z to 15, the following statements are valid:

vNoInit := EXISTS(w)

Result: vNoInit equals 0

vLocal := EXISTS(x)

Result: vLocal equals 1

vGlobal := EXISTS(y)

Result: vGlobal equals 2

vPersist := EXISTS(z)

Result: vPersist = 3

Examples in shorthand notation

IF(EXISTS(vLocal))

BEEP

ENDIF

Explanation: Computer beeps because EXISTS returns a value greater than 0.

IF(EXISTS(vLocal) = 3)

BEEP

ENDIF

Explanation: The computer does not beep because EXISTS returns 1.  (vLocal is a Local variable, not a Persist variable).

Parameters

VariableName: Variable

A variable declared as LOCAL, GLOBAL, or PERSIST.  Variables begin with a letter and can include any other combination of letters or numbers.

See Also

DISCARD

LOCAL

GLOBAL

PERSIST

PERSISTALL


FOR-ENDFOR

Purpose

A loop statement that executes a specified number of times (see Loop Statements).

Syntax

The general form of a FOR statement is,

FOR (ControlVariable; InitialValue; TerminateExp; IncrementExp)

...statement block...

ENDFOR

For example, the following statement initializes vTest to one, repeats the statement block while vTest is less than ten, and increments vTest by two after each loop.

FOR(vTest; 1; vTest < 10; vTest + 2)

...statement block...

ENDFOR

Description

The loop executes only if TerminateExp is true, and continues to execute until ControlVariable's value makes TerminateExp false.

ENDFOR closes a FOR statement.

Parameters

ControlVariable: Variable

Control variable.

InitialValue: Any

Value assigned to ControlVariable at the start of a loop.

TerminateExp: Relational Expression

The loop executes while TerminateExp is true.

IncrementExp: Any

The value to increment ControlVariable after each loop.

See Also

FORNEXT

FOREACH

REPEAT

WHILE


FOREACH-ENDFOR

Purpose

A loop statement that executes a number of times equal to the number of specified expressions (see Loop Statements).

Syntax

The general form of a FOREACH statement is,

FOREACH (ControlVariable; {ValueList; ...})

...statement block...

ENDFOR

For example, the following statement repeats three times.  The variable vTest is initialized to "Apples" before the first loop, to "Oranges" before the second, and to "Bananas" before the third.

FOREACH(vTest; {"Apples"; "Oranges"; "Bananas"})

... statement block ...

ENDFOR

Description

ControlVariable is assigned the first value before the first loop; the second value before the second loop; the third value before the third loop, and so forth.  The statement block uses the value of ControlVariable to direct macro execution.

ENDFOR closes a FOREACH statement.

Parameters

ControlVariable: Variable

Control variable.

ValueList: Any

Variables, constants, or expressions, enclosed in braces and separated by a semicolon.

See Also

FOR

FORNEXT

REPEAT

WHILE


FORNEXT-ENDFOR

Purpose

A loop statement that executes a specified number of times (see Loop Statements).

Syntax

The general form of a FORNEXT statement is,

FORNEXT (ControlVariable; InitialValue; FinalValue; IncrementValue)

...statement block...

ENDFOR

The following statement initializes vTest to one, repeats the statement block while vTest is less than or equal to five, and increments vTest by two after each loop.

FORNEXT(vTest; 1; 5; 2)

...statement block...

ENDFOR

Description

The loop executes if ControlVariable is less than or equal to FinalValue, and executes until ControlVariable is greater than FinalValue.  If you use a negative value in IncrementValue, the loop executes until ControlVariable is less than FinalValue.

ENDFOR closes a FORNEXT statement.

Parameters

ControlVariable: Variable

Control variable.

InitialValue: Any

The value assigned to ControlVariable at the start of a loop.

FinalValue: Any

A variable, constant, or expression.  The loop executes while FinalValue is greater than ControlVariable, or less than if IncrementValue is a negative value.

IncrementValue: Any (optional)

The value to increment ControlVariable after each loop.  Default is 1.

See Also

FOR

FOREACH

REPEAT

WHILE


FRACTION

Purpose

Returns the fractional portion of a real number.

Syntax

ReturnValue := FRACTION (Value)

Returns

A fraction.

vFraction := FRACTION(1.5)

Result: vFraction equals 0.5

vResult := FRACTION(1.77 * 2)

Result: vResult = 0.54

Parameters

Value: Numeric Expression

A real number.

See Also

INTEGER


FUNCTION

Purpose

Identifies a macro subroutine that can receive one or more values from a calling statement (see Calling Statements).  FUNCTION also returns a value to the calling statement (caller).

Syntax

The general form of a FUNCTION statement is,

FUNCTION Name (Parameter; Parameter; ... Parameter)

    ...statement block...

ENDFUNC

Description

Functions contain one or more statements that execute when the function is called.  Unlike LABEL statements, functions do not execute unless called.  A calling statement consists of the function's name, and can have one or more parameters that pass values to the function.  RETURN or ENDFUNC direct macro execution to the statement that follows the function's caller.  RETURN also returns the result of a function operation, or 0 if no result is specified.  For example,

y := 5

x := Add(y) // calling statement

FUNCTION Add(z)

z := z + 5

RETURN(z)

ENDFUNC

assigns the value 10 to variable x.   Add is the name of the function, and y contains a value to pass.  Variable z has no value until the function is called, when the value of z is 5 (the value of variable y).  The first function statement assigns 10 to variable z.  The next statement returns the value of z to the calling statement, which is then assigned to variable x.  If the function did not contain a RETURN statement, or if RETURN did not return a value, x would be equal to 0.

Address Mode

In the above example, the value of y does not change.  The function returns the value of z in variable x.  To change the value of a variable passed to a function, precede the calling statement parameter and its corresponding function parameter with an ampersand (&).  For example,

y := 5

x := Add(&y)

FUNCTION Add(&z)

ASSIGN(z; z + 5)

RETURN(z)

ENDFUNC

assigns the value 10 to both x and y.  The ampersand before variable x means the variable's address (location in memory) is passed to the function, not the variable's value.  Changes made at the address of x are made to the contents of x.

Arrays

You pass arrays to functions the same way you pass variables.  If you are passing the entire array, every array element must be assigned a value.  If not, a run-time error identifies a reference to the undefined element.  For example,

DECLARE w[10]

FORNEXT(x; 1; 9; 1) // assign only 9 elements

w[x] = x

ENDFOR

FUNCTION Test(z[])

FORNEXT(x; 1; 10; 1)

x[z] = x * 10

ENDFOR

RETURN(z[]) // the value of 10 elements returned

ENDFUNC

y[] = Test(w[]) // 10 elements returned in array y[]

Type(y[10]) // y[10] equals 100

Type(w[10]) // Run-time error: Undefined variable "W[10]"

In the previous example, if you preceed the calling statement parameter and the corresponding function parameter with an ampersand (&), 100 is returned in w[10].  No run-time error occurs.  You are passing the address of array w[], not its value.  The value is assigned inside the function (see Address Mode above).  The two statements look like this:

FUNCTION Test(&z[])

and

y[] = Test(&w[])

Pass the value of an array element, the same way you pass a variable.  For example,

DECLARE w[10]

FORNEXT(x; 1; 10; 1)

w[x] = x

ENDFOR

FUNCTION Test(z)

z := z * 10

RETURN(z)

ENDFUNC

y = Test(w[1])

Type(y + " - ")

Type(w[1])

The value of y equals 10.  The value of w[1] equals 1.  If you preceed the calling statement parameter and the corresponding function parameter with an ampersand (&), the value of y equals 10 and the value of w[1] equals 10.  Passing the address of w[1] causes its value to change inside the function.  The two statements look like this:

FUNCTION Test(&z)

and

y = Test(&w[1])

Parameters

Name: Label

The name of a function.  It begins with a letter and consists of one or more letters or numbers.

Parameter: Variable

Receives a value from a calling statement (see Calling Statements).  If an ampersand precedes the calling statement variable, an ampersand must precede the corresponding function variable (see Address Mode above).  Multiple variables are separated by a semicolon.

See Also

CALL

LABEL

PROCEDURE

RETURN

USE


GETNUMBER

Purpose

Displays a dialog box that contains an edit control to enter an integer or real number.

Syntax

GETNUMBER (MacroVar; Prompt; Title)

Parameters

MacroVar: Variable

The number entered in the edit box is returned in this variable.

Prompt: Character Expression (optional)

Text displayed above the edit control.  Use NTOC(0F90Ah) to insert a hard return code in the prompt string.  For example,

GETNUMBER(vAns; "First line" + NTOC(0F90Ah) + "Second line"; "Title")

creates two lines above the edit box.  The next example creates three lines, including one blank line:

ASSIGN(HdReturn; NTOC(0F90Ah))

GETNUMBER(vAns; "First line" + HdReturn + HdReturn + "Second line"; "Title")

Title: Character Expression (optional)

Text displayed in the title bar.

See Also

GETSTRING

GETUNITS


GETSTRING

Purpose

Displays a dialog box that contains an edit control to enter a character string.

Syntax

GETSTRING (MacroVar; Prompt; Title; Length)

Parameters

MacroVar: Variable

The character string entered in the edit box is returned in this variable.

Prompt: Character Expression (optional)

The text displayed above the edit control.  Use NTOC(0F90Ah) to insert a hard return code in the prompt string.  For example,

GETSTRING(vAns; "First line" + NTOC(0F90Ah) + "Second line"; "Title")

creates two lines above the edit box.  The next example creates three lines, including one blank line:

ASSIGN(HdReturn; NTOC(0F90Ah))

GETSTRING(vAns; "First line" + HdReturn + HdReturn + "Second line"; "Title")

Title: Character Expression (optional)

The text displayed in the title bar.

Length: Numeric Expression (optional)

The maximum number of characters the edit control accepts.  Default is unlimited.

See Also

GETNUMBER

GETUNITS


GETUNITS

Purpose

Displays a dialog box that contains an edit control to enter a number and unit of measure.

Syntax

GETUNITS (MacroVar; Prompt; Title)

Description

The units of measure are " (inches); i (inches); c (centimeters); m (millimeters); p (points—72 per inch); and w (WordPerfect units—1200 per inch).  If a unit of measure is not specified, the default is WordPerfect units.  To change the default use DEFAULTUNITS.

Parameters

MacroVar: Variable

The number and unit of measure entered in the edit box is returned in this variable.  If no unit of measure is specified, the default is returned.

Prompt: Character Expression (optional)

The text displayed above the edit control.  Use NTOC(0F90Ah) to insert a hard return code in the prompt string.  For example,

GETUNITS(vAns; "First line" + NTOC(0F90Ah) + "Second line"; "Title")

creates two lines above the edit box.  The next example creates three lines, including one blank line:

ASSIGN(HdReturn; NTOC(0F90Ah))

GETUNITS(vAns; "First line" + HdReturn + HdReturn + "Second line"; "Title")

Title: Character Expression (optional)

The text displayed in the title bar.

See Also

DEFAULTUNITS

GETSTRING

GETNUMBER

UNITSTR


GLOBAL

Purpose

Declares global variables and arrays, and assigns them to the global variable table.

Syntax

GLOBAL (VariableName; VariableName; ... VariableName)

Description

Global variables can be used in RUN or CHAIN macros.

Parameters

VariableName: Variable

One or more user-defined variables separated by a semicolon.  Variables must begin with a letter and can include any other combination of letters or numbers.  Parentheses are optional.  For example,

GLOBAL VariableName; VariableName

GLOBAL(VariableName; VariableName)

are both valid statements.  The next example declares global arrays with 10 elements and 20 elements,

GLOBAL FirstArray[10]; NextArray[20]

See Also

CHAIN

DECLARE

DISCARD

EXISTS

LOCAL

PERSIST

PERSISTALL

RUN


GO

Purpose

Jumps to a LABEL statement and does not return.

Syntax

Go (Label)

Description

Go is generally used to exit multiple layers of nested statements, or to create a loop.

Parameters

Label: Label

The name of a label.  It begins with a letter and consists of one or more letters or numbers.

See Also

CALL

LABEL


IF-ELSE-ENDIF

Purpose

A conditional statement that determines whether a statement (or statement block) is executed.  See Conditional Statements.

Syntax

The general form of an IF statement is,

IF (Test)

...statement block...

ELSE

...statement block...

ENDIF

Description

If Test is true, the statements between IF and ELSE are executed.  If false, the statements between ELSE and ENDIF are executed.

ELSE is optional.  If Test is false and ELSE is not used, the macro skips the statements between IF and ENDIF, and executes the first statement after ENDIF.

ENDIF closes an IF statement.

Parameters

Test: Relational Expression

Evaluates to true or false.

See Also

CASE

CASE CALL

SWITCH


IFPLATFORM-ENDIFPLATFORM

Purpose

A conditional statement that specifies a platform or platforms for which subsequent statements are compiled.

Syntax

The general form of an IFPLATFORM statement is,

IFPLATFORM (PlatformID; PlatformID; ... PlatformID)

...statement block...

ENDIFPLATFORM

Description

If the current platform matches one of the specified platforms, the statements between IFPLATFORM and ENDIFPLATFORM are compiled and executed.

ENDIFPLATFORM closes an IFPLATFORM statement.

Parameters

PlatformID: Enumeration

One or more platform identifiers.  Separate multiple platforms with a semicolon.  The identifiers for DOS and Windows are DOS and WIN.  See platform documentation for other identifiers.


INDIRECT

Purpose

Creates variable and label names out of a combination of character strings and/or numbers.

Syntax

ReturnValue := INDIRECT (VariableName)

Returns

The contents of VariableName.

Description

You can use INDIRECT wherever you use a variable.  The actual variable must be declared and initialized before INDIRECT.  You can use INDIRECT to call a LABEL, but not to create one.

State1 := "Utah"

x := INDIRECT("State" + 1) // x equals Utah

Variable example in shorthand notation

State1 := "Utah"

State2 := "Idaho"

State3 := "Arizona"

FORNEXT(Nmbr; 1; 3; 1)

    Type("State of " + INDIRECT("State" + Nmbr))

    HardReturn

ENDFOR

Explanation: Types three lines, State of Utah, State of Idaho, and State of Arizona.

LABEL example

FORNEXT(x; 1; 3; 1)

CALL(INDIRECT("Lab" + x))

ENDFOR

QUIT

LABEL(Lab1)

...statement block...

RETURN

LABEL(Lab2)

...statement block...

RETURN

LABEL(Lab3)

...statement block...

RETURN

Explanation: Call three Labels with a single CALL statement in a FORNEXT loop.

Parameters

VariableName: Character Expression

Character strings and/or numbers are concatenated to form variable and Label names.  You cannot use INDIRECT to create a subroutine name.

See Also

ASSIGN


INTEGER

Purpose

Returns the integer portion of a real number.

Syntax

ReturnValue := INTEGER (Value)

Description

If Value does not contain an integer, 0 is returned.  A negative real number is rounded up to the next integer value, and a positive real number is rounded down.

Returns

An integer.

vInteger := INTEGER(1.5)

Result: vInteger equals 1

vResult := INTEGER(1.77 * 2)

Result: vResult equals 3

vZero := INTEGER(.7)

Result: vZero equals 0

vNegative := INTEGER(-1.77)

Result: vNegative equals -2

Parameters

Value: Numeric Expression

A real number.

See Also

FRACTION


KEYSTRING

Purpose

Specifies one or more keystrokes in COACHANIMATE and COACHFILTERADD.  In COACHANIMATE, a keystring specifies keys to press during animation.  In COACHFILTERADD, a keystring specifies keystrokes to filter.

Description

The following metasymbols specify a key or keystring in COACHFILTERADD and COACHANIMATE.

{VKnnn}	//  nnn = ANSI character number

{Alt}

{Ctrl}

{Control}

{Shift}

{0} — {9}	// Digits

{A} — {Z}	// Alphabet

{F1} — {F16}	// Function keys

{NumLock}

{NumAdd}

{NumSubtract}

{NumMultiply}

{NumDivide}

{NumDecimal}

{NumEnter}

{Num0} — {Num9}	// Numpad numbers

{Left}

{Right}

{Up}

{Dn}

{Down}

{PgDn}

{PageDown}

{PgUp}

{PageUp}

{Bksp}

{Backspace}

{Break}	// Cancel

{CapsLock}

{Clear}

{Del}

{Delete}

{End}

{Enter}

{Esc}

{Escape}

{Help}	// VK Help key

{Home}

{Ins}

{Insert}

{Minus}

{Pause}

{ScrLock}

{ScrollLock}

{PrintScrn}

{PrintScreen}

{Space}

{Tab}

{LeftBrace}	//  "{"

{RightBrace}	//  "}"

{LeftButton}	// Mouse clicks

{MiddleButton}

{RightButton}

Metasymbols are translated into keydown messages (WM_KEYDOWN or WM_SYSKEYDOWN) and keyup messages (WM_KEYUP or WM_SYSKEYUP).

Metasymbols are not case-sensitive.  Spaces, plus (+) and minus (—) symbols are delimiters.  For example, "A B C Enter" in COACHANIMATE sends "ABC[Enter]" to the application.  A filter that specifies this keystring waits for the user to press "ABC[Enter]".

Plus (+) and minus (—) operators combine metasymbols.  The + delays the keyup message of the first keystroke until the second keystroke is processed.  For example, {Shift + Tab} presses and holds Shift while Tab is pressed and released.  The Shift key is then released.

If a metasymbol does not follow +, then keys previously combined with + remain down until released.  For example, {Shift+Control+} leaves Shift and Control down.

The — releases keys.  For example, {—Control—Shift} releases Control, then Shift.

The + and — can be combined.  For example, {Shift+Del—Del+Ins} cuts selected text to the Clipboard (Shift+Del), then pastes it at the insertion point (Shift+Ins).

{Home Shift+End}{Control+B End}{Enter}{Alt+F O} *.doc {Enter}{Escape}{Ctrl+Home}{Shift+}{Ctrl+End Del}{—Shift}

Result:

1	Move to the beginning of the line and select the entire line.

2 	Bold the line and move to the end of the line (cancelling the selection).

3	Create a new line.

4	Call the File Open dialog, list all *.DOC files, and then exit the dialog.

5	Go to the top of the document.

6	Hold down Shift.

7	Go to the end of the text and copy the selection to the Clipboard.

8	Release Shift.


LABEL

Purpose

Identifies a macro subroutine, which generally includes a statement block followed by RETURN or QUIT.  See Subroutines.

Syntax

LABEL (Label)

Description

LABEL is used by CALL, CASE, CASE CALL, GO, ONCANCEL, ONCANCEL CALL, ONERROR, ONERROR CALL, ONNOTFOUND, ONNOTFOUND CALL, ONDDEADVISE CALL, DDEEXECUTEEXT.

Parameters

Label: Label

The name of a label.  It begins with a letter and consists of one or more letters or numbers.

See Also

CALL

CASE

CASE CALL

DDEEXECUTEEXT

GO

ONCANCEL

ONCANCEL CALL

ONDDEADVISE CALL

ONERROR

ONERROR CALL

ONNOTFOUND

ONNOTFOUND CALL


LOCAL

Purpose

Declares local variables and arrays, and assigns them to the local variable table.

Syntax

LOCAL (VariableName; VariableName; ... VariableName)

Description

Variables are LOCAL by default.  The Local variable table is removed from memory when the macro ends.

Parameters

VariableName: Variable

One or more user-defined variables separated by a semicolon.  Variables must begin with a letter and can include any other combination of letters or numbers.  Separate multiple variables with a semicolon.  Parentheses are optional.  For example,

LOCAL VariableName; VariableName

LOCAL(VariableName; VariableName)

are both valid statements.  The next example declares local arrays with 10 elements and 20 elements:

LOCAL FirstArray[10]; NextArray[20]

See Also

DECLARE

DISCARD

EXISTS

GLOBAL

PERSIST

PERSISTALL


MENU

Purpose

Displays a menu of user-defined items.

Syntax

MENU (MacroVar; MenuType; HorizPosition; VertiPosition; {MenuText; MenuText; ...})

Description

MENU is used with statements such as CASE, CASE CALL, and IF to execute a statement that corresponds to a selected menu item.  To dismiss a menu, press Alt or Esc.

Parameters

MacroVar: Variable

A number is returned in this variable, whether numbers or letters are used to reference menu items (see MenuType parameter).   For numbers, the range is 1 to 9.  For letters, the range is 1 to 26.  A returns 1, B returns 2, and so forth.  0 is returned if Alt or Esc is pressed.

MenuType: Enumeration

Determines whether a letter or number is displayed to the left of a menu item.  The enumerations are:

Digit!	Numbers (1-9)

Letter!	Alphabetic characters (A-Z)

HorizPosition: Numeric Expression (optional)

The number of pixels from the left side of the main window to the left side of the menu.  To center the menu horizontally, leave this parameter blank.

VertiPosition: Numeric Expression (optional)

The number of pixels from the top of the main window to the top of the menu.  To center the menu vertically, leave this parameter blank.

MenuText: Character Expression

The menu item text.  You may list up to nine menu items referenced by numbers, or up to twenty-six referenced by letters.  Enclose menu items in braces ({}) separated by a semicolon.

MENU(vSelection; Letter!; 50; 50; {"Option 1"; "Option 2"; "Option 3"})

To select an item: click it, select it with Tab and press Enter, or press the corresponding letter or number.

See Also

CASE

CASE CALL

IF


MENULIST

Purpose

Displays a menu of user-defined items.

Syntax

MENULIST (VariableName; {MenuChoice; MenuChoice; ...}; Title; HorizPosition; VertiPosition)

Description

This command is included for DOS compatibility.  The Windows equivalent is MENU.

MENULIST is used with statements such as CASE, CASE CALL, and IF to execute a statement that corresponds to a selected menu item.  To dismiss a menu, press Alt or Esc.

Parameters

VariableName: Variable

A number is returned in this variable, whether numbers or letters are used to reference menu items (see MenuChoice parameter).   For numbers, the range is 1 to 9.  For letters, the range is 1 to 26.  A returns 1, B returns 2, and so forth.  0 is returned if Alt or Esc is pressed.

MenuChoice: Character Expression

The menu item text, enclosed in braces ({}) and separated by a semicolon.

MENULIST(vSelection; ; ; {"Option 1"; "Option 2"; "Option 3"})

To select an item: click it, select it with Tab and press Enter, or press the corresponding letter or number.  Nine items or less are displayed with a number to the left of the menu item.  More than nine are displayed with a letter.  The range is 1 to 26.

Title: Character Expression

The text displayed in the title bar.

See Also

CASE

CASE CALL

IF

MENU


MESSAGEBOX

Purpose

Displays a message box.

Syntax

MESSAGEBOX (MacroVar; Title; Message; Style; ParameterData)

Description

Provides a limited set of buttons and icons, and an option to include up to ten different parameter strings in the message.

Parameters

MacroVar: Variable

The control value of the button that dismisses the message box is returned in this variable.  The return button values are:

1	OK

2	Cancel

3	Abort

4	Retry

5	Ignore

6	Yes

7	No

If there is not enough memory to create the message box, 0 is returned.

Title: Character Expression

The title bar text.

Message: Character Expression

The message box text.  Icons appear to the left of the message.  Control buttons are centered below the message.  If HasParameters! style is used, a caret (^) followed by a number inserts the corresponding ParameterData message in its place (see ParameterData parameter below).  Use two carets (^^) to insert a caret as part of the message string.  Use NTOC(0F90Ah) to insert a hard return code in the message string.  For example,

MESSAGEBOX(vAns; "Title"; "First line" + NTOC(0F90Ah) + "Second line"; IconInformation!)

creates two lines above the control button.  The next example creates three lines, including one blank line:

ASSIGN(HdReturn; NTOC(0F90Ah))

MESSAGEBOX(vAns; "Title"; "First line" + HdReturn + HdReturn + "Second line"; IconInformation!)

Style: Enumeration

Message box styles.  Type | between enumerations to combine styles.  Select only one style from each group.  Button enumerations are:

AbortRetryIgnore!	Abort, Retry, and Ignore

OK!	OK (default if no button is specified)

OKCancel!	OK and Cancel

RetryCancel!	Retry and Cancel

YesNo!	Yes and No

YesNoCancel!	Yes, No, and Cancel

Icon enumerations are:

IconNone!	No icon (default if no icon is specified)

IconExclamation!	Exclamation point in a yellow circle

IconInformation!	Lowercase "i" in a blue circle

IconAsterisk!	Lowercase "i" in a blue circle

IconQuestion!	Question mark in a green circle

IconStop!	Stop sign in a red circle

IconHand!	Stop sign in a red circle

Modality enumerations are:

ApplicationModal!	You can switch to another application, but you must dismiss the message box (click a control button) before the macro resumes.  ApplicationModal! is the default if either SystemModal! or TaskModal! is not specified.

SystemModal!	You must dismiss the message box before the macro resumes, and before you can switch to another application.

TaskModal!	You can switch to another application, but you must dismiss the message box (click a control button) before the macro resumes.

Miscellaneous enumerations are:

Beep!	Beep when the message box is displayed.

HasParameters!	Notifies MessageBox box that a caret (^) followed by a number in the Message parameter is to be replaced by the corresponding character string in the ParameterData parameter.

ParameterData: Character Expression

The text for the Message parameter (numbering begins with 0).  Up to ten parameters separated by semicolons are allowed.  For example,

v0 := "Yes to continue, or"

v1 := "No to quit."

MessageBox(x; "Title"; "Select ^0 ^1"; YesNo! | IconStop! | HasParameters!; {v0; v1})

fills the Message parameter with "Select Yes to continue, or No to quit.".  If HasParameters! is not used, Message contains "Select ^0 ^1".

See Also

PROMPT


MMPLAY

Purpose

Plays a sound file.

Syntax

MMPLAY (Filename)

Description

Plays a wave audio file, an Audio-Visual Interleave (AVI) movie file, or a Musical Instrument Digitial Interface (MIDI) file, or speaks an ASCII text file (see MMSPEAK).  Microsoft Video drivers must be installed to play AVI files.  For WAV files, install Windows Audio drivers.  MIDI files require Windows MIDI drivers.  Speech requires text-to-speech drivers like those shipped with some sound boards.

Parameters

Filename: Character Expression

The path and name of a sound file.  The appropriate driver for each file type must be installed.

See Also

MMSPEAK

MMSTOPSPEECH

MMSPEAKCLIPBOARD


MMSPEAK

Purpose

Speaks an ASCII file.

Syntax

MMSPEAK (Filename)

Parameters

Filename: Character Expression

The path and name of an ASCII file.  A text-to-speech driver must be installed.

See Also

MMPLAY

MMSTOPSPEECH

MMSPEAKCLIPBOARD


MMSPEAKCLIPBOARD

Purpose

Speaks an ASCII file saved to the Clipboard.

Syntax

MMSPEAKCLIPBOARD ()

Description

A text-to-speech driver must be installed.

See Also

MMPLAY

MMSPEAK

MMSTOPSPEECH


MMSTOPSPEECH

Purpose

Stops a speech (text) file started with MMPLAY (ASCII file), MMSPEAK, or MMSPEAKCLIPBOARD.

Syntax

MMSTOPSPEECH ()

Description

After a text file begins to speak, control immediately returns to the macro.  Use MMSTOPSPEECH to stop speaking a text file.

See Also

MMPLAY

MMSPEAK

MMSPEAKCLIPBOARD


MOUSE STRING

Purpose

Represents a mouse event or action.  COACHANIMATE specifies the animated mouse actions. COACHFILTERADD specifies the filtered mouse actions.

Syntax

The syntax for mouse events for COACHANIMATE is:

[Ctrl|Control]  [Shift]  [Alt]

[Left|Middle|Right]

Click|DoubleClick|Press|Release|Move

[To|In|Inside|On NamedRegion]

[At (x,x)|(x,x,x,x)]

"Outside," "OutOf," and "Off" are supported in COACHFILTERADD and "Move" is not supported.

[Ctrl|Control]  [Shift]  [Alt]

[Left|Middle|Right]

Click|DoubleClick|Press|Release

[To|In|Inside|On|Outside|OutOf|Off NamedRegion]

[At (x,x)|(x,x,x,x)]

Arguments are not case-sensitive.  Brackets ([]) enclose optional values.  A vertical bar | separates values when only one can be chosen.  A space separates arguments.

MOUSE STRING Arguments

Keys (optional)  ([Ctrl|Control]  [Shift]  [Alt])

Specifies keys to press with the mouse event, such as holding down Shift and Control when the mouse is clicked.  These values can occur in any order.

Button (optional)  ([Left|Middle|Right])

Indicates whether to use the left, middle, or right button.  Left is the default.

Action (Click|DoubleClick|Press|Release|Move)

Indicates how to click or press the mouse button, or whether to move the mouse pointer.

Argument	Meaning

Click	One click.

DoubleClick	Double-click.

Press	Press and hold button down.

Release	Release button after it is pressed.  Use Press with	Release for drag (use two mouse strings).

Move	Move pointer to specified location.  Valid only in COACHANIMATE.

Relative Location ([To|In|Inside|On|Outside|OutOf|Off])

Specifies a screen position for a mouse event.

Argument	Meaning

To	If the Action argument is Move, To moves the pointer to the named region.  Otherwise, To means In.

In	Mouse action occurs within the specified named region (see Named Region, below).

Inside	Same as In.

On	Same as In.

Outside	Mouse action occurs outside the specified named region.  Supported only in COACHFILTERADD.

OutOf	Same as Outside.  Supported only in COACHFILTERADD.

Off	Same as Outside.  Supported only in COACHFILTERADD.

Named Region ([NamedRegion])

Specifies a window or location where the mouse action occurs.  Required only if a relative location is specified.  For example, you may want to specify a mouse click in the Open button of the Open Dialog.  The named region specifies a name for the Open button.

Named regions are defined by the application.  The region consists of the application name, followed by a period (.), followed by additional words that narrow the named region to the appropriate window.  For example, the named region of the Open button on the Open dialog of WordPerfect is: WordPerfect.FileOpenDlg.Open.

Use the WordPerfect Help system to find a region name.  First edit your BIF file to enable Help Information.  The BIF editor, BIFED20.EXE, should be in the WPC20 directory.

1	Exit WordPerfect and go to Program Manager.

2	Choose File, then Run.

3	In the BIF Edit dialog box, choose File, then Open.

4	Select the desired file.

5	Select WP Shared Code.

6	Choose Insert to add a new section.

7	Type Help in the Section Name entry box.

8	Type Help Information in the Item entry box.  The Item Type is Boolean.

9	Select True for the Value.

10	Choose File, then Save.

11	Choose File, then Exit.

12	Start WordPerfect.

To find a named region:

1	Press Shift+F1.

2	Click the desired menu item or dialog box.

A Help Information screen is displayed.  The Application and Keyword items display the named region.

Help Information for dialog boxes returns application and dialog box names, but not named regions for controls on the dialog.  See the list of dialog box named regions in the Appendix for control named regions.

Buttons are named for the text on them, plus Bttn.  For example, the Help button in the HeadersFooters dialog box is WordPerfect.HeadersFooters.HelpBttn.  Named region names are case-sensitive.

Narrowed Location (optional)  ([At (x,x)|(x,x,x,x)])

Specifies an exact point (x,x), or rectangle (x,x,x,x) where a mouse event occurs.  Point and rectangle positions are relative to the window specified in Named Region.  Pixels are the default unit of measure.  For example, in COACHANIMATE,

Move To WordPerfect.FileOpenDlg.Open At (10,5)

moves the pointer to a point 10 pixels right and 5 pixels down from the upper left corner of the Open button.

You can specify the percentage from the upper left corner of the window by placing a percent sign % after values.  For example,

Move To WordPerfect.FileOpenDlg.Open At (50%, 50%)

moves the pointer to the center of the Open button.

To specify dialog units, place the letter d after values.

Examples

Three mouse string examples follow.  Named regions do not represent actual WordPerfect names.

Shift Right DblClick

Result: Shift is held down while the right mouse button is double-clicked (the mouse pointer may be anywhere on the screen).

Move at (50%, 50%)

Result: This mouse string is invalid in COACHFILTERADD.  When this string is specified in COACHANIMATE, the mouse pointer moves to the center of the display.

Press on WordPerfect.Ruler.Tab1

Release on WordPerfect.EditWindow

Result: These mouse strings must be specified in two consecutive commands.  The first tab setting on the ruler is dragged off the ruler (deleted).


NEST

Purpose

Calls (starts) a nested macro.

Syntax

NEST (MacroFileName)

Description

This command is included for DOS compatibility.  The Windows equivalent is RUN.

A nested macro starts immediately when called.  When a nested macro ends, the first statement following NEST is executed.  A macro must be compiled before it is called by NEST.

Parameters

MacroFileName: Character Expression

The path and name of a compiled macro.

See Also

CHAIN

RUN


NEWDEFAULT

Purpose

Specifies a macro's new default application.

Syntax

NEWDEFAULT (ProductPrefix)

Description

The compiler verifies that each product command is valid for the default application.  Invalid product commands produce a syntax error during compilation.

Product commands to the default application do not require a product prefix.  A product command to a non-default application, without a product prefix, creates a compile-time syntax error.

Parameters

ProductPrefix: Character Expression

A unique identifier that matches the ProductPrefix parameter of an APPLICATION statement.

See Also

APPLICATION

ENDAPP


NEXT

Purpose

Advances a loop iteration before the end of the loop.

Syntax

NEXT

Description

Use NEXT inside a conditional statement such as IF or SWITCH in a loop to advance a loop iteration when a specified condition is met.  Statements after NEXT are ignored.

See Also

BREAK

FOR

FOREACH

FORNEXT

REPEAT

WHILE


NOTFOUND

Description

Determines how a macro responds to a Not Found condition.

Syntax

NOTFOUND (State)

Description

A Not Found condition is generally the result of a failed search.  Create a Not Found condition with ASSERT(NotFoundCondition!).

Parameters

State: Enumeration

Specifies the Not Found state.  The default is NOTFOUND(On!).  The enumerations are:

Off!	Overrides a Not Found condition.

On!	Stops a macro unless preceded by ONNOTFOUND, which directs macro execution to a specified LABEL.

See Also

ASSERT

CANCEL

ERROR

LABEL

ONNOTFOUND


NTOC

Purpose

Converts a decimal value to its character equivalent.

Syntax

ReturnValue := NTOC (CharSet; CharValue)

Returns

The character equivalent of a decimal value.

Parameters

CharSet: Numeric Expression (optional)

The number of a WordPerfect character set.  If this parameter is not used, the default is 0 (ASCII set).

CharValue: Numeric Expression

The number of a character in a WordPerfect character set.

See Also

CTON


NUMSTR

Purpose

Converts a number to a character string of numbers.

Syntax

ReturnValue := NUMSTR (Value; RightDigits; LeftDigits)

Returns

A character string of numbers.

vText := NUMSTR(999; 0) // vText = "999"

vText := NUMSTR(3+7; 0) // vText = "10"

Parameters

Value: Numeric Expression

A number or expression that results in a number.

RightDigits: Numeric Expression (optional)

The number of digits to the right of the decimal returned as a character string.  The range is 0-16.  The default is 6.  If the value of this parameter is greater than the number of decimal places, NUMSTR rounds up the entire expression.  The decimal point returned by NUMSTR is defined by the sDecimal setting in the [intl] section of the Windows WIN.INI file.

LeftDigits: Numeric Expression (optional)

The number of digits to the left of the decimal returned as a character string.  Larger numbers are expressed in exponential notation.

See Also

STRNUM


ONCANCEL

Purpose

Executes a LABEL statement when a Cancel condition occurs.

A Cancel condition stops a macro unless preceded by ONCANCEL.

Syntax

ONCANCEL (Label)

Description

A macro with more than one ONCANCEL executes the last ONCANCEL before a Cancel condition occurs.

Parameters

Label: Label

A LABEL to execute when a Cancel condition occurs.

See Also

ASSERT

LABEL

ONCANCEL CALL

ONERROR

ONNOTFOUND


ONCANCEL CALL

Purpose

Calls a LABEL-RETURN statement when a Cancel condition occurs.  RETURN directs macro execution to the first statement after the Cancel condition.

A Cancel condition stops a macro unless preceded by ONCANCEL CALL.

Syntax

ONCANCEL CALL (Label)

Description

A macro with more than one ONCANCEL CALL executes the last ONCANCEL CALL before a Cancel condition occurs.

Parameters

Label: Label

A LABEL to call when a Cancel condition occurs.

See Also

ASSERT

LABEL

ONCANCEL

ONCANCEL CALL

ONDDEADVISE CALL

ONERROR

ONERROR CALL

ONNOTFOUND

ONNOTFOUND CALL

RETURN


ONDDEADVISE CALL

Purpose

Establishes a link with an application and tests for changes in the value of the DDEREQUEST ItemName parameter.

Syntax

ONDDEADVISE CALL (MacroVar; ConversationID; ItemName; Label)

Parameters

MacroVar: Variable

0 is returned in this variable if the ONDDEADVISE CALL link is successfully established, or a number greater than 0 if a link is not established.

ConversationID: Numeric Expression

The value of the DDEREQUEST ConversationID parameter.

ItemName: Character Expression

The value of the DDEREQUEST ItemName parameter.

Label: Label

The LABEL to call when the value of ItemName changes.

See Also

DDEINITIATE

DDEREQUEST

ONCANCEL CALL

ONERROR CALL

ONNOTFOUND CALL


ONERROR

Purpose

Executes a LABEL statement when an Error condition occurs.

An Error condition stops a macro unless preceded by ONERROR.

Syntax

ONERROR (Label)

Description

A macro with more than one ONERROR statement executes the last ONERROR before an Error condition occurs.

Parameters

Label: Label

A LABEL to execute when an Error condition occurs.

See Also

ASSERT

LABEL

ONCANCEL

ONERROR CALL

ONNOTFOUND


ONERROR CALL

Purpose

Calls a LABEL-RETURN statement when an Error condition occurs.  RETURN directs macro execution to the first statement after the Error condition.

An Error condition stops a macro unless preceded by ONERROR CALL.

Syntax

ONERROR CALL (Label)

Description

A macro with more than one ONERROR CALL statement executes the last ONERROR CALL before an Error condition occurs.

Parameters

Label: Label

A LABEL to call when an Error condition occurs.

See Also

ASSERT

LABEL

ONCANCEL

ONCANCEL CALL

ONERROR

ONNOTFOUND

ONNOTFOUND CALL

RETURN


ONNOTFOUND

Purpose

Executes a LABEL statement when a Not Found condition occurs.

A Not Found condition stops a macro unless preceded by ONNOTFOUND.

Syntax

ONNOTFOUND (Label)

Description

A macro with more than one ONNOTFOUND statement executes the last ONNOTFOUND before a Not Found condition occurs.

Parameters

Label: Label

A LABEL to execute when a Not Found condition occurs.

See Also

ASSERT

LABEL

ONCANCEL

ONERROR

ONNOTFOUND CALL


ONNOTFOUND CALL

Purpose

Calls a LABEL-RETURN statement when a Not Found condition occurs.  RETURN directs macro execution to the first statement after the Not Found condition.

A Not Found condition stops a macro unless preceded by ONNOTFOUND CALL.

Syntax

ONNOTFOUND CALL (Label)

Description

A macro with more than one ONNOTFOUND CALL statement executes the last ONNOTFOUND CALL before a Not Found condition occurs.

Parameters

Label: Label

A LABEL to call when a Not Found condition occurs.

See Also

ASSERT

LABEL

ONCANCEL

ONCANCEL CALL

ONERROR

ONERROR CALL

ONNOTFOUND

RETURN


PAUSE

Purpose

Pauses a macro, returning computer control to the user.

Syntax

PAUSE

Description

To resume macro execution, press Enter, or choose Tools, Macro, Pause.  To stop a macro, choose Tools, Macro, Stop.  When PAUSE follows a PROMPT statement, choose OK to resume macro execution or Cancel to create a Cancel condition.

See Also

CANCEL

ONCANCEL

PROMPT

PauseSet


PERSIST

Purpose

Declares Shared Code variables and arrays, and assigns them to the persist variable table.

Syntax

PERSIST (VariableName; VariableName; ... VariableName)

Description

PERSIST variables are available to any Shared Code application while Shared Code is running.

Parameters

VariableName: Variable

One or more user-defined variables separated by a semicolon.  Variables must begin with a letter and can include any other combination of letters or numbers.  Separate multiple variables with a semicolon.  Parentheses are optional.  For example,

PERSIST VariableName; VariableName

PERSIST(VariableName; VariableName)

are both valid statements.  The next example declares persist arrays with 5 elements and 15 elements:

PERSIST FirstArray[5]; NextArray[15]

See Also

DECLARE

DISCARD

EXISTS

GLOBAL

LOCAL

PERSISTALL


PERSISTALL

Purpose

Assigns a macro's variables and arrays to the Persist variable table.

Syntax

PERSISTALL

Description

PERSIST variables are available to any Shared Code application while Shared Code is running.

Only variables assigned values after PERSISTALL are Persist variables.  Variables assigned values before PERSISTALL, and variables declared LOCAL or GLOBAL, are not Persist variables.  For example, only var6 and var7 are Persist variables:

APPLICATION(A1; "WordPerfect"; Default; "US")

LOCAL var1; var2

ASSIGN(var3; 0)

GLOBAL var4

PERSIST var7

ASSIGN(var7; "Persist Variable")

PERSISTALL

LOCAL var5

ASSIGN(var4; 2)

ASSIGN(var6; "Persist Variable")

See Also

DISCARD

GLOBAL

LOCAL

PERSIST


PROCEDURE

Purpose

Identifies a macro subroutine that can receive one or more values from a calling statement (see Calling Statements).

Syntax

The general form of a PROCEDURE statement is,

PROCEDURE Name (Parameter; Parameter; ... Parameter)

...statement block...

ENDPROC

Description

Procedures contain one or more statements that execute when the procedure is called.  Unlike LABEL subroutines, procedures do not execute unless called.  A calling statement consists of the procedure's name, and can have one or more parameters that contain values passed to the procedure.  RETURN or ENDPROC direct macro execution to the statement that follows the procedure's caller.

Address Mode

To change the value of a variable passed to a procedure, precede the calling statement parameter and its corresponding procedure parameter with an ampersand (&).  In the following example, the value of x is 5 after calling Test:

x := 5

Test(x) // calling statement

PROCEDURE Test(z)

    z := z + 5

ENDPROC

In the next example, the value of x is 10 after calling Test:

x := 5

Test(&x) // calling statement

PROCEDURE Test(&z)

    z := z + 5

ENDPROC

The ampersand before variable x means the variable's address (location in memory) is passed to the procedure, not the variable's value.  Changes made at the address of x are made to the contents of x.

Parameters

Name: Label

The name of the procedure.  It begins with a letter and consists of one or more letters or numbers.

Parameter: Variable

Receives a value from a calling statement (see Calling Statements).  If an ampersand precedes the calling statement variable, an ampersand must precede the corresponding procedure variable (see Address Mode above).  Multiple variables are separated by a semicolon.

See Also

CALL

FUNCTION

LABEL

RETURN

USE


PROMPT

Purpose

Displays a message box with OK and Cancel button controls.

You can display only one message box at a time.  Calling a second message box replaces the first.

Syntax

The general form of a PROMPT statement is,

PROMPT (Title; Prompt; Icon; HorizPosition; VertiPosition)

PAUSE

A PROMPT statement can have another form,

PROMPT (Title; Prompt; Icon; HorizPosition; VertiPosition)

    ...other statements...

ENDPROMPT

Description

PAUSE following PROMPT displays a PROMPT message box until the user selects OK or Cancel.  OK removes the prompt and resumes macro execution.  Cancel removes the prompt and creates a Cancel condition (see ONCANCEL).

If PROMPT is not followed by PAUSE, the message box is displayed until an ENDPROMPT occurs or the macro ends.

Parameters

Title: Character Expression

The text displayed in the title bar.

Prompt: Character Expression (optional)

The text displayed in the prompt box.  If not used, the title is displayed as the prompt and "WordPerfect Macro Facility" as the title.

Icon: Numeric Expression (optional)

The number of an icon displayed to the left of Prompt.  The default value is zero.  The values are:

0 (no icon)

1 (stop sign)

2 (question mark)

3 (exclamation point)

4 (information icon)

HorizPosition: Numeric Expression (optional)

The number of pixels from the left side of the main window to the left side of the message box.  If you omit this parameter, the prompt is centered horizontally in the main window.

VertiPosition: Numeric Expression (optional)

The number of pixels from the top of the main window to the top of the message box.  If you omit this parameter, the prompt is centered vertically in the main window.

See Also

CANCEL

MESSAGEBOX

ONCANCEL

PAUSE


QUIT

Purpose

Ends a macro.

Syntax

QUIT

Description

CHAIN does not execute if QUIT occurs before CHAIN.

See Also

CHAIN


REPEAT-UNTIL

Purpose

A loop statement that executes until the expression at the bottom of the loop is true (see Loop Statements).

Syntax

The general form of a REPEAT statement is,

REPEAT

...statement block...

UNTIL (Test)

Description

The loop executes at least once, because it is not tested until the bottom of the loop.  When Test is true, the first statement after UNTIL is executed.

Parameters

Test: Relational Expression

Evaluates to true or false.

See Also

FOR

FOREACH

FORNEXT

WHILE


RETURN

Purpose

Ends LABEL, FUNCTION, and PROCEDURE subroutines, or a macro (see RUN), and then directs macro execution to the statement that follows the subroutine or macro's caller, or creates a Cancel, Error, or Not Found condition.

Syntax

RETURN (Condition; Value)

Description

RETURN generally ends a LABEL statement called by statements such as CALL or CASE CALL.

CALL(StartMacro)

CALL(QuitMacro)

LABEL(StartMacro)

... statement block...

RETURN // directs macro execution to CALL(QuitMacro)

LABEL(QuitMacro)

QUIT

If there is no caller to return to, and the macro containing RETURN is nested (called by another macro), RETURN directs macro execution to the statement that follows the macro's caller (see RUN).  RETURN ends a macro if there is no caller to return to, and the macro containing the RETURN statement is not nested.

Parameters

Condition: Enumeration (optional)

Creates a Cancel, Error, or Not Found condition (see ASSERT).  Condition stops a macro unless preceded by ONCANCEL, ONERROR, or ONNOTFOUND, which direct macro execution to a specified LABEL.  Condition has no effect when preceded by CANCEL(Off!), ERROR(Off!), or NOTFOUND(Off!)

The enumerations (return types) are:

CancelCondition!	Stops a macro unless preceded by ONCANCEL.

ErrorCondition!	Stops a macro unless preceded by ONERROR.

NotFoundCondition!	Stops a macro unless preceded by ONNOTFOUND.

Value: Any (optional)

Returns the result of a function operation (see FUNCTION).

See Also

ASSERT

CALL

CASE CALL

FUNCTION

LABEL

PROCEDURE

ONCANCEL

ONERROR

ONNOTFOUND

RUN


RUN

Purpose

Calls (starts) a nested macro.

Syntax

RUN (MacroFile)

Description

A nested macro starts immediately when it is called.  When a nested macro ends, control returns to the calling macro.  If QUIT ends a nested macro, control does not return to the calling macro.  A macro must be compiled before it is called by RUN.

Parameters

MacroFile: Character Expression

The path and name of a compiled macro.

See Also

CHAIN


SENDKEYS WAIT

Purpose

Sends keystrokes to the current application.  WAIT is optional (see Description below)

Set InhibitInput(Off!) for SENDKEYS to operate correctly.

Syntax

SENDKEYS WAIT (KeyCode; MarkupLanguage)

Description

Keys such as Alt or F1 must be enclosed in braces to specify a single keystroke.  For example,

SENDKEYS("{Alt}LLH")

sends four keystrokes (Alt, L, L, and H) which opens the Line Height dialog box.  The following commands are equivalent to the previous example:

SENDKEYS("{Alt + L + L + H}")

SENDKEYS("{Alt}{L}{L}{H}")

If you combine keystrokes in a single set of braces, you must separate them with a plus operator.  Otherwise, the result is unpredictable.  Enclosing single character keystrokes in braces is optional.

Assign frequently used keystrokes to a variable.  For example,

ASSIGN(KS_MarginsDlg; "{Alt}LM")

SENDKEYS(KS_MarginsDlg)

opens the Margins dialog box, and is equivalent to the programming command FormatMarginsDlg.  Do not use variable names that are identical to a macro command name.

A minus operator releases a keystroke.  For example,

SENDKEYS("{Shift+Del-Del+Ins}")

cuts selected text to the clipboard (Shift+Del), then pastes it at the insertion point (Shift+Ins).

With the WAIT modifier, SENDKEYS is processed before the next macro statement.  Otherwise, SENDKEYS is processed after the next macro statement.  For example,

APPLICATION(A1; "WordPerfect"; Default; "US")

Display(On!)

InhibitInput(Off!)

SENDKEYS("C:\WPWIN60\MACROS\*.WCM {Enter}")

FileOpenDlg

displays the Open File dialog box, enters C:\WPWIN60\MACROS\*.WCM in the Filename edit box, and presses Enter.  The directory changes to C:\WPWIN60\MACROS, and files with a .WCM extension appear in the Filename list box.  The same example with the WAIT modifier enters C:\WPWIN60\MACROS\*.WCM in the document before the Open File dialog box is displayed.

Parameters

KeyCode: Character Expression

Keystrokes to send.

{VKnnn}	nnn = ANSI character number

{Alt}

{Ctrl}

{Control}

{Shift}

{0} - {9}	Digits

{A} - {Z}	Alphabet

{F1} - {F16}	Function keys

{NumLock}

{NumAdd}

{NumSubtract}

{NumMultiply}

{NumDivide}

{NumDecimal}

{Num0} - {Num9}	Numpad numbers

{Left}

{Right}

{Up}

{Dn}

{Down}

{PgDn}

{PageDown}

{PgUp}

{PageUp}

{Bksp}

{Backspace}

{Break}	Cancel

{CapsLock}

{Clear}

{Del}

{Delete}

{End}

{Enter}

{Esc}

{Escape}

{Help}	VK Help key

{Home}

{Ins}

{Insert}

{Minus}

{Pause}

{ScrLock}

{ScrollLock}

{PrintScrn}

{PrintScreen}

{Space}

{Tab}

{LeftBrace}	 {

{RightBrace}	 }

MarkupLanguage: Numeric Expression

Specifies which language interprets the key codes.  The values are,

1	WPWin 6.0 keystring language.


SPEED

Purpose

Slows macro execution.

Syntax

SPEED (TenthsOfSeconds)

Description

Time is measured in tenths of a second.  SPEED(0) runs at maximum speed.  SPEED(5) delays a macro one-half second between statements.  The maximum delay is one minute, or SPEED(600).

SPEED(10) // delay one second between beeps

BEEP

BEEP

BEEP

Parameters

TenthsOfSeconds: Numeric Expression

A number from zero to 600.  Divide the number by 10 to calculate the number of seconds.

See Also

WAIT


STRLEN

Purpose

Determines the number of characters in a string.

Syntax

ReturnValue := STRLEN (String)

Returns

The number of characters in a string.

Description

The string can be a variable, constant, character string, or result of an expression.

vWord := "WordPerfect"

vNumber := STRLEN(vWord)

Result: vNumber equals 11

vNumber := STRLEN(45899)

Result: vNumber equals 5

vNumber := STRLEN("WordPerfect")

Result: vNumber equals 11

vNumber := STRLEN(9 + 9)

Result: vNumber equals 2

Parameters

String: Character Expression

A variable, constant, character string, or result of an expression.

See Also

CHARLEN

NUMSTR

STRNUM

STRPOS

STRUNIT

SUBSTR


STRNUM

Purpose

Converts a character string of numbers to a numeric equivalent.

Syntax

ReturnValue := STRNUM (String)

Returns

A number.

vNum := STRNUM("123")

Result: vNum = 123

vNum := STRNUM("123.5")

Result: vNum = 123.5

vNum := STRNUM("9 + 9")

Result: vNum = 9

Parameters

String: Character Expression

Contains a character string of numbers.  STRNUM recognizes the decimal point defined by the sDecimal setting in the [intl] section of the Windows WIN.INI file.  Alphabetic characters, operators, and punctuation marks, and everything that follows them are ignored.

See Also

NUMSTR

STRLEN

STRPOS

STRUNIT

SUBSTR


STRPOS

Purpose

Determines whether a character string is also a substring.

Syntax

ReturnValue := STRPOS (String; SubString)

Returns

The beginning position of a substring, or zero if a substring is not found.

vPos := STRPOS("WordPerfect"; "Perfect")

Result: vPos = 5

vPos := STRPOS("WordPerfect"; "Scott")

Result: vPos = 0

Parameters

String: Character Expression

A character string to evaluate.

Substring: Character Expression

A substring to locate in String.

See Also

NUMSTR

STRLEN

STRNUM

STRUNIT

SUBSTR


STRUNIT

Purpose

Converts a string of numbers to a measurement.

Syntax

ReturnValue := STRUNIT (String)

Returns

A unit of measure.

Description

The string may contain a number, an arithmetic expression that results in a number, or a character string of numbers.  If a character string is used, alphabetic characters (except units of measure), operators, and punctuation marks are ignored.  The default unit of measure is WordPerfect units.  You can change the default with DEFAULTUNITS, or by specifying a unit of measure as part of the character string.

DEFAULTUNITS(Centimeters)

vUnit := STRUNIT(9)

Result: vUnit equals 9.C

vUnit :equals STRUNIT(4+3)

Result: vUnit equals 7.C

vUnit :equals STRUNIT("10")

Result: vUnit equals 10.C

vUnit :equals STRUNIT("10abc")

Result: vUnit equals 10.C

vUnit :equals STRUNIT("10i")

Result: vUnit equals 10I

The units of measure are:

"	inches

i	inches

c	centimeters

m	millimeters

p	points (72 per inch)

w	WP units (1200 per inch)

Parameters

String: Character Expression

A number or character string of numbers.

See Also

NUMSTR

STRLEN

STRNUM

STRPOS

SUBSTR

UNITSTR


SUBCHAR

Purpose

Extracts a substring from a character string.

Syntax

ReturnValue := SUBCHAR (String; Beginning; NumberOfChars)

Returns

A character string.

vSub := SUBCHAR("WordPerfect"; 1; 4) // vSub = "Word"

Description

Use CHARPOS to locate a substring.

Parameters

String: Character Expression

A character string to evaluate.

Beginning: Numeric Expression

The starting position of a substring.

NumberOfChars: Numeric Expression

The number of characters to extract.

See Also

CHARLEN

CHARPOS

SUBSTR


SUBSTR

Purpose

Extracts a substring from a character string.

Syntax

ReturnValue := SUBSTR (String; Beginning; NumberOfChars)

Returns

A character string.

vSub := SUBSTR("WordPerfect"; 1; 4) // vSub = "Word"

Description

Use STRPOS to locate a substring.

Parameters

String: Character Expression

A character string to evaluate.

Beginning: Numeric Expression

The starting position of a substring.

NumberOfChars: Numeric Expression

The number of characters to extract.

See Also

NUMSTR

STRLEN

STRNUM

STRPOS

STRUNIT

SUBCHAR


SWITCH-ENDSWITCH

Purpose

A conditional statement that tests for matching expressions.  If a match is found, a statement (or statement block) is executed.  See Conditional Statements.

Syntax

The general form of a SWITCH statement is,

SWITCH (Test)

CASEOF Selector1:

...statement block...

CONTINUE

CASEOF Selector2; Selector3:

...statement block...

DEFAULT:

...statement block...

ENDSWITCH

Description

If Test matches Selector, the statement block that follows Selector is executed and no other evaluation is made.  Test and Selector are case sensitive and must match exactly.

If CONTINUE follows an executed statement block, the next statement block is automatically executed.  CONTINUE is optional.

The DEFAULT statement block is executed if no Selector matches Test.  DEFAULT is optional.  If no match is found and DEFAULT is not used, the macro continues to the first statement after ENDSWITCH.

If BREAK occurs in a state block, the macro continues to the first statement after ENDSWITCH.

ENDSWITCH closes a SWITCH statement.

Parameters

Test: Any

The control expression.  Variables are assigned values by commands such as GETSTRING, GETNUMBER, or MENU.

Selector: Any

An expression (variable, constant, character) with a value that is usually assigned before the macro is compiled.  It is possible to assign the value at run-time. Selector always follows a CASEOF statement.

See Also

BREAK

CASE

CASE CALL

IF


TOLOWER

Purpose

Converts uppercase letters to lowercase.

Syntax

ReturnValue := TOLOWER (String)

Returns

The lowercase equivalent of uppercase letters.

Description

The value returned by TOLOWER can be assigned to a variable or used directly by a statement such as IF.

vAnswer := "YES"

vAnswer := TOLOWER(vAnswer)

Result: vAnswer equals lowercase yes

Shorthand notation example

IF(TOLOWER(vAnswer) = "yes")

BEEP

ELSE

QUIT

ENDIF

Explanation: Beep if vAnswer equals lowercase yes.

Parameters

String: Character Expression

A string to convert.

See Also

TOUPPER


TOUPPER

Purpose

Converts lowercase letters to uppercase.

Syntax

ReturnValue := TOUPPER (String)

Returns

The uppercase equivalent of lowercase letters.

Description

The value returned by TOUPPER can be assigned to a variable or used directly by a statement such as IF.

vAnswer := "yes"

vAnswer := TOUPPER(vAnswer)

Result: vAnswer equals uppercase YES

Shorthand notation example

IF(TOUPPER(vAnswer) = "YES")

BEEP

ELSE

QUIT

ENDIF

Explanation: Beep if vAnswer equals uppercase YES.

Parameters

String: Character Expression

A string to convert.

See Also

TOLOWER


UNITSTR

Purpose

Converts a measurement to a character string.

Syntax

ReturnValue := UNITSTR (Value; Units)

Returns

A measurement expressed as a string.

Description

If a unit of measure is not specified, the default is WordPerfect units.  To change the default use DEFAULTUNITS.  The following example converts WP units to centimeters and returns the result as a string:

vUnits := UNITSTR(1200; Centimeters!)

Result: vUnits equals "2.540000C"

The next example converts centimeters to millimeters and returns the result as a string:

DEFAULTUNITS(Centimeters!)

vUnits := UNITSTR(1.0; Millimeters!)

Result: vUnits equals "10.000000M"

The next example converts inches to centimeters and returns the result as a string:

vUnits := UNITSTR(2.0i; Centimeters!)

Result: vUnits equals "5.080000C"

See STRUNIT to convert a string of numbers to a measurement expression.

Parameters

Value: Measurement Expression

A real number measurement.  Unless you specifiy a unit of measure, the default is WP Units.  To change the default use DEFAULTUNITS.

Units: Enumeration

The unit of measure that Value converts to.

Inches!

Centimeters!

Millimeters!

Points!	(72 per inch)

WPUnits!	(1200 per inch)

WP1200ths!	(1200 per inch)

See Also

GETUNITS

NUMSTR

STRLEN

STRNUM

STRPOS

SUBSTR

STRUNIT


USE

Purpose

Enables macros to share functions and procedures.

Syntax

USE (MacroFile)

Description

USE is a non-executable statement that can occur anywhere in a macro.  USE identifies a macro file with functions and/or procedures that can be called from another macro.  A macro with a calling statement to a function or procedure in another macro file must include a USE statement that identifies the file.  A macro that includes only function and/or procedure statements must be compiled like any macro file (see Macro File Library).

Parameters

MacroFile: Character Expression

The path and name of a macro file.  You cannot substitute Character Expression with a variable.

See Also

FUNCTION

PROCEDURE


VARERRCHK

Purpose

Determines how a macro responds to unitialized variables (variables not assigned a value).

Syntax

VARERRCHK (State)

Parameters

State: Enumeration

Specifies the state of variable checking.  The default is VARERRCHK(On!).  The enumerations are:

Off!	Ignore unitialized variables by temporarily assigning a value of 0.

On!	Display a run-time Error message when a macro attempts to use an unitialized variable, and end the macro.

See Also

GLOBAL

LOCAL

PERSIST

PERSISTALL


WAIT

Purpose

Pauses macro execution.

Syntax

WAIT (TenthsOfSeconds)

Description

Time is measured in tenths of a second.  The maximum pause is one minute, or WAIT(600).

Parameters

TenthsOfSeconds: Numeric Expression

A number from zero to 600.  Divide the number by 10 to calculate the number of seconds.

See Also

SPEED


WHILE-ENDWHILE

Purpose

A loop statement that executes while the expression at the top of the loop is true (see Loop Statements).

Syntax

The general form of a WHILE statement is,

WHILE (Test)

...statement block...

ENDWHILE

Description

The loop does not execute the first time unless Test is true.  When Test is false, the first statement after ENDWHILE is executed.

Parameters

Test: Relational Expression

Evaluates to true or false.

See Also

FOR

FOREACH

FORNEXT

REPEAT


?Align

Purpose

?Align contains a value representing the current character justification.

Value	Description

0	Left, Full, or All

64	Center

128	Right


?AutoUpdate

Purpose

?AutoUpdate contains a value representing whether Update on Retrieve is on or off for spreadsheet/database links.

Value	Description

0	Off

1	On


?BaselineMode

Purpose

?BaselineMode contains a value representing whether Baseline Placement for Typesetting is on or off.

Value	Description

0	Baseline Placement is off

1	Baseline Placement is on

See Also

BaselinePlacement


?BetweenTableCodes

Purpose

?BetweenTableCodes contains a value representing whether the insertion point is in a table.

Value	Description

False	Insertion point is not in a table

True	Insertion point is in a table


?Binding

Purpose

?Binding contains a value representing the binding edge for the current page. The value of this variable is one of the numeric equivalents or enumerated types listed for the Edge parameter of Binding.

For example, the following macro causes the computer to beep if the binding edge is set as the left edge:

IF

(

?Binding=0

)

BEEP

ENDIF

See Also

Binding


?BlockActive

Purpose

?BlockActive contains a value representing whether block is on.

Value	Description

0	Block not on

1	CharMode

2	WordMode

4	SentenceMode

8	ParagraphMode

32	RectangleMode

64	TabularColumn

128	DocMode

256	CharNoCellMode


?BlockProtect

Purpose

?BlockProtect contains a value representing whether Block Protect is on or off.

Value	Description

False	Block Protect is off

True	Block Protect is on

See Also

BlockProtect


?BookmarkList

Purpose

?BookmarkList contains the name of the first bookmark in a document.


?Border

Purpose

?Border contains a value representing the current border style. The value of this variable is one of the numeric equivalents or enumerated types listed for the Style parameter of BorderStyleEdit. This variable must be preceded by a command which specifies a border or border style, such as TextBorderEdit, and followed by a closing command such as TextBorderEnd.

For example, the following macro causes the computer to beep if the current border style is Dashed Border:

TextBorderEdit

(

BorderType: Paragraph!

)

IF

(

?Border=3

)

BEEP

ENDIF

TextBorderEnd

(

State: Save!

)

See Also

BorderStyleEdit


?BorderBottomLine

Purpose

?BorderBottomLine contains a value representing the bottom line style of a border.  The value of this variable is either one of the numeric equivalents or enumerated types listed for BorderBottomLine, or the name of a custom-made line style.  This variable must be preceded by either TextBorderCreate or TextBorderEdit and followed by TextBorderEnd.

For example, the following macro types a value representing the bottom line style specified for a paragraph border:

TextBorderEdit

(

BorderType: ParagraphBorder!

)

Type

(

?BorderBottomLine

)

TextBorderEnd

(

State: Save!

)

See Also

BorderBottomLine


?BorderColorBlue

Purpose

?BorderColorBlue contains a value representing the amount of blue in a border color.  Values range from 0-255, with 0 indicating no blue and 255 indicating solid blue.  This variable must be preceded by either TextBorderCreate or TextBorderEdit and followed by TextBorderEnd.

For example, the following macro types a value representing the amount of blue specified for a paragraph border:

TextBorderEdit

(

BorderType: Paragraph!

)

Type

(

?BorderColorBlue

)

TextBorderEnd

(

State: Save!

)

See Also

BorderColor


?BorderColorGreen

Purpose

?BorderColorGreen contains a value representing the amount of green in a border color.  Values range from 0-255, with 0 indicating no green and 255 indicating solid green.  This variable must be preceded by either TextBorderCreate or TextBorderEdit and followed by TextBorderEnd.

For example, the following macro types a value representing the amount of green specified for a paragraph border:

TextBorderEdit

(

BorderType: Paragraph!

)

Type

(

?BorderColorGreen

)

TextBorderEnd

(

State: Save!

)

See Also

BorderColor


?BorderColorRed

Purpose

?BorderColorRed contains a value representing the amount of red in a border color.  Values range from 0-255, with 0 indicating no red and 255 indicating solid red.  This variable must be preceded by either TextBorderCreate or TextBorderEdit and followed by TextBorderEnd.

For example, the following macro types a value representing the amount of red specified for a paragraph border:

TextBorderEdit

(

BorderType: Paragraph!

)

Type

(

?BorderColorRed

)

TextBorderEnd

(

State: Save!

)

See Also

BorderColor


?BorderColorShading

Purpose

?BorderColorShading contains a numeric expression representing the shading percentage of a border color.  This variable must be preceded by either TextBorderCreate or TextBorderEdit and followed by TextBorderEnd.

For example, the following macro types a value representing the shading of a paragraph border:

TextBorderEdit

(

BorderType: Paragraph!

)

Type

(

?BorderColorShading

)

TextBorderEnd

(

State: Save!

)

See Also

BorderColor


?BorderCornerRadius

Purpose

?BorderCornerRadius contains a measurement expression representing the corner radius of a border.  This variable must be preceded by either TextBorderCreate or TextBorderEdit and followed by TextBorderEnd.

For example, the following macro types a value representing the corner radius specified for a paragraph border:

TextBorderEdit

(

BorderType: Paragraph!

)

Type

(

?BorderCornerRadius

)

TextBorderEnd

(

State: Save!

)

See Also

BorderCornerRadius


?BorderInsideSpacingBottom

Purpose

?BorderInsideSpacingBottom contains a measurement expression representing the bottom spacing inside a border.  This variable must be preceded by either TextBorderCreate or TextBorderEdit and followed by TextBorderEnd.

For example, the following macro types a measurement of the bottom inside spacing specified for a paragraph border:

TextBorderEdit

(

BorderType: Paragraph!

)

Type

(

?BorderInsideSpacingBottom

)

TextBorderEnd

(

State: Save!

)

See Also

BorderInsideSpacing


?BorderInsideSpacingTop

Purpose

?BorderInsideSpacingTop contains a measurement expression representing the top spacing inside a border.  This variable must be preceded by either TextBorderCreate or TextBorderEdit and followed by TextBorderEnd.

For example, the following macro types a measurement of the top inside spacing specified for a paragraph border:

TextBorderEdit

(

BorderType: Paragraph!

)

Type

(

?BorderInsideSpacingTop

)

TextBorderEnd

(

State: Save!

)

See Also

BorderInsideSpacing


?BorderLeftLine

Purpose

?BorderLeftLine contains a value representing the left line style of a border.  The value of this variable is either one of the numeric equivalents or enumerated types listed for BorderLeftLine, or the name of a custom-made line style.  This variable must be preceded by either TextBorderCreate or TextBorderEdit and followed by TextBorderEnd.

For example, the following macro types a value representing the left line style specified for a paragraph border:

TextBorderEdit

(

BorderType: Paragraph!

)

Type

(

?BorderLeftLine

)

TextBorderEnd

(

State: Save!

)

See Also

BorderLeftLine


?BorderRightLine

Purpose

?BorderRightLine contains a value representing the right line style of a border.  The value of this variable is either one of the numeric equivalents or enumerated types listed for BorderRightLine, or the name of a custom-made line style.  This variable must be preceded by either TextBorderCreate or TextBorderEdit and followed by TextBorderEnd.

For example, the following macro types a value representing the right line style specified for a paragraph border:

TextBorderEdit

(

BorderType: Paragraph!

)

Type

(

?BorderRightLine

)

TextBorderEnd

(

State: Save!

)

See Also

BorderRightLine


?BorderSeparatorLine

Purpose

?BorderSeparatorLine contains a value representing the separator line style of a border.  The value of this variable is either one of the numeric equivalents or enumerated types listed for BorderSeparatorLine, or the name of a custom-made line style.  This variable must be preceded by either TextBorderCreate or TextBorderEdit and followed by TextBorderEnd.

For example, the following macro types a value representing the separator line style specified for a paragraph border:

TextBorderEdit

(

BorderType: Paragraph!

)

Type

(

?BorderSeparatorLine

)

TextBorderEnd

(

State: Save!

)

See Also

BorderSeparatorLine


?BorderSetSpacing

Purpose

?BorderSetSpacing contains a value representing whether Auto Spacing is on or off for the current border.

Value	Description

0	Auto Spacing is off

1	Auto Spacing is on

See Also

BorderSetSpacing


?BorderTopLine

Purpose

?BorderTopLine contains a value representing the top line style of a border.  The value of this variable is either one of the numeric equivalents or enumerated types listed for BorderTopLine, or the name of a custom-made line style.  This variable must be preceded by either TextBorderCreate or TextBorderEdit and followed by TextBorderEnd.

For example, the following macro types a value representing the top line style specified for a paragraph border:

TextBorderEdit

(

BorderType: Paragraph!

)

Type

(

?BorderTopLine

)

TextBorderEnd

(

State: Save!

)

See Also

BorderTopLine


?BorderUseBorderColor

Purpose

?BorderUseBorderColor contains a value representing whether the border color option is used for a border. This variable must be preceded by either TextBorderCreate or TextBorderEdit and followed by TextBorderEnd.

Value	Description

0	Do not use color

1	Use color

See Also

BorderUseBorderColor


?BoxAttachTo

Purpose

?BoxAttachTo contains a value representing whether a graphics box is attached to a page, a paragraph, or a character.  The value of this variable is one of the numeric equivalents or enumerated types listed for BoxAttachTo.  This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro causes the computer to beep if box 1 is attached to a page:

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxAttachTo=2

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)

See Also

BoxAttachTo


?BoxCaptionDefaultInitialStyle

Purpose

?BoxCaptionDefaultInitialStyle contains a value representing the current box caption initial style. The value of this variable is one of the numeric equivalents or enumerated types listed for BoxCaptionInitialStyle. This variable must be preceded by a command which identifies a box or box style, such as BoxEdit, and followed by a closing command such as BoxEnd.

For example, the following macro types a value representing the initial caption style specified for box 1:

BoxEdit

(

BoxNumber: 1

)

Type

(

?BoxCaptionDefaultInitialStyle

)

BoxEnd

(

State: Save!

)

See Also

BoxCaptionInitialStyle


?BoxCaptionDefaultNumberStyle

Purpose

?BoxCaptionDefaultNumberStyle contains a value representing the current box caption number style. The value of this variable is one of the numeric equivalents or enumerated types listed for BoxCaptionNumberStyle. This variable must be preceded by a command which identifies a box or box style, such as BoxEdit, and followed by a closing command such as BoxEnd.

For example, the following macro types a value representing the caption number style specified for box 1:

BoxEdit

(

BoxNumber: 1

)

Type

(

?BoxCaptionDefaultNumberStyle

)

BoxEnd

(

State: Save!

)

See Also

BoxCaptionNumberStyle


?BoxCaptionFormatting

Purpose

?BoxCaptionFormatting contains a value representing the width of a graphics box caption. If the width is set to Auto, the value of this variable is 2. Otherwise, the value is either a measurement expression in the current unit of measure or a percentage of the box width or height. This command must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro types a value representing the caption width specified for box 1:

BoxEdit

(

BoxNumber: 1

)

Type

(

?BoxCaptionFormatting

)

 BoxEnd

(

State: Save!

)


?BoxCaptionPositionAlignment

Purpose

?BoxCaptionPositionAlignment contains a value representing the alignment of a graphics box caption. The value of this variable is one of the numeric equivalents or enumerated types listed for the Alignment parameter of BoxCaptionPosition.  This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro causes the computer to beep if top alignment is specified for the caption of box 1 :

BoxEdit

(

BoxNumber:1

)

IF

(

?BoxCaptionPositionAlignment=1

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)

See Also

BoxCaptionPosition


?BoxCaptionPositionBorder

Purpose

?BoxCaptionPositionBorder contains a value representing the position of a graphics box caption relative to the border. The value of this variable is one of the numeric equivalents or enumerated types listed for the Border parameter of BoxCaptionPosition.  This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro causes the computer to beep if the caption for box 1 is inside the border:

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxCaptionPositionBorder=1

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)

See Also

BoxCaptionPosition


?BoxCaptionPositionOffset

Purpose

?BoxCaptionPositionOffset contains a value representing the offset position of a graphics box caption. The value of this variable is either a measurement expression in the current unit of measure or a percentage of the box width or height. This variable must be preceded by BoxCreate or BoxEdit and followed by BoxEnd.

For Example:

BoxEdit

(

BoxNum: 1

)

Type

(

?BoxCaptionPositionOffset

)

BoxEnd

(

State: Save!

)


?BoxCaptionPositionSide

Purpose

?BoxCaptionPositionSide contains a value representing the side of a box where a caption is located. This command must be preceded by BoxCreate or BoxEdit and followed by BoxEnd, or be played from a box edit screen with a box selected. The value of this variable is one of the numeric equivalents or enumerated types listed for the Side parameter of BoxCaptionPosition.

For Example:

BoxEdit

(

BoxNum:1

)

IF

(

?BoxCaptionPosition=4

)

BEEP

ENDIF


?BoxCaptionRotation

Purpose

?BoxCaptionRotation contains a value representing the rotation of a box caption. This command must be preceded by BoxCreate or BoxEdit and followed by BoxEnd, or be played from a box edit screen with a box selected. The value of this variable is one of the numeric equivalents or enumerated types listed for BoxCaptionRotation.

For Example:

BoxEdit

(

BoxNum:1

)

IF

(

?BoxCaptionRotation=0

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)


?BoxChangeLineHeight

Purpose

?BoxChangeLineHeight determines whether a graphics box attached to a character position automatically changes the text line height. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

Value	Description

0	No change

1	Change

See Also

BoxChangeLineHeight


?BoxContentFilename

Purpose

?BoxContentFilename contains the name of a text file or image file contained in a graphics box. The value of this variable is a filename. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro types the name of the file contained in box 1:

BoxEdit

(

BoxNumber: 1

)

Type

(

?BoxContentFilename

)

BoxEnd

(

State: Save!

)


?BoxContentHorizontalPosition

Purpose

?BoxContentHorizontalPosition contains a value representing the horizontal position of graphics box contents. The value of this variable is one of the numeric equivalents or enumerated types listed for the Horizontal parameter of BoxContentPosition.  This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro causes the computer to beep if the horizontal position specified for the contents of box 1 is left:

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxContentHorizontalPosition=0

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)

See Also

BoxContentPosition


?BoxContentInternal

Purpose

?BoxContentInternal contains a value representing whether an image is stored in the current document or on a disk.

Value	Description

0	In document

1	On disk


?BoxContentPreserveAspectRatio

Purpose

?BoxContentPreserveAspectRatio contains a value representing whether the image width/height ratio is preserved when the position of a box changes. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

Value	Description

0	Not preserved

1	Preserved

See Also

BoxContentPreserveAspectRatio


?BoxContentType

Purpose

?BoxContentType contains a value representing the type of content in a graphics box. The value of this variable is one of the numeric equivalents or enumerated types listed for BoxContentType.  This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro causes the computer to beep if box 1 contains text:

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxContentType=1

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)

See Also

BoxContentType


?BoxContentVerticalPosition

Purpose

?BoxContentVerticalPosition contains a value representing the vertical position of graphics box content. The value of this variable is one of the numeric equivalents or enumerated types listed for the Vertical parameter of BoxContentPosition.  This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro causes the computer to beep if the vertical position specified for the contents of box 1 is specified as bottom:

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxContentVerticalPosition=4

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)

See Also

BoxContentPosition


?BoxCount

Purpose

?BoxCount contains the number of boxes in the current document.


?BoxCounter

Purpose

?BoxCounter contains a value representing the counter type of a graphics box or graphics box style. The value of this variable is one of the numeric equivalents or enumerated types listed for BoxCounter.  This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd, or be preceded by either BoxStyleCreate or BoxStyleEdit and followed by BoxStyleEnd.

For example, the following macro causes the computer to beep if the counter for box 1 is a figure counter:

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxCounter=1

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)

See Also

BoxCounter


?BoxEquationColorBlue

Purpose

?BoxEquationColorBlue contains a value representing whether an equation color contains blue. Values range from 0 to 255, with 0 indicating no blue and 255 indicating solid blue. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd, or be preceded by either BoxStyleCreate or BoxStyleEdit and followed by BoxStyleEnd.

For example, the following macro types a value representing the amount of blue in the equation color specified for box 1:

BoxEdit

(

BoxNumber: 1

)

Type

(

?BoxEquationColorBlue

)

BoxEnd

(

State: Save!

)

See Also

BoxEquationColor


?BoxEquationColorGreen

Purpose

?BoxEquationColorGreen contains a value representing whether an equation color contains green. Values range from 0 to 255, with 0 indicating no green and 255 indicating solid green. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd, or be preceded by either BoxStyleCreate or BoxStyleEdit and followed by BoxStyleEnd.

For example, the following macro types a value representing the amount of green in the equation color specified for box 1:

BoxEdit

(

BoxNumber: 1

)

Type

(

?BoxEquationColorGreen

)

BoxEnd

(

State: Save!

)

See Also

BoxEquationColor


?BoxEquationColorRed

Purpose

?BoxEquationColorRed contains a value representing whether an equation color contains red. Values range from 0 to 255, with 0 indicating no red and 255 indicating solid red. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd, or be preceded by either BoxStyleCreate or BoxStyleEdit and followed by BoxStyleEnd.

For example, the following macro types a value representing the amount of red in the equation color specified for box 1:

BoxEdit

(

BoxNumber: 1

)

Type

(

?BoxEquationColorRed

)

BoxEnd

(

State: Save!

)

See Also

BoxEquationColor


?BoxEquationColorShading

Purpose

?BoxEquationColorShading contains a value representing the shade of an equation color. The value of this variable is a percentage, with 100 indicating the darkest shade of a color. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd, or be preceded by BoxStyleCreate or BoxStyleEdit and followed by BoxStyleEnd.

For example, the following macro types a value representing the shading of the equation color specified for box 1:

BoxEdit

(

BoxNumber: 1

)

Type

(

?BoxEquationColorShading

)

BoxEnd

(

State: Save!

)

See Also

BoxEquationColor


?BoxEquationFont

Purpose

?BoxEquationFont contains a specified font for an equation box. The value of this variable is the name of a font. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd, or be preceded by BoxStyleCreate or BoxStyleEdit and followed by BoxStyleEnd.

For example, the following macro types the name of the equation font specified for box 1:

BoxEdit

(

BoxNumber: 1

)

Var:=?BoxEquationFont

BoxEnd

(

State: Save!

)

Type

(

Var

)

See Also

BoxEquationDefaultFont


?BoxEquationFontSize

Purpose

?BoxEquationFontSize contains a value representing an equation box font size. The value of this variable is a measurement expression in the current unit of measure. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd, or be preceded by either BoxStyleCreate or BoxStyleEdit and followed by BoxStyleEnd.

For example, the following macro types a value representing the equation font size specified for box 1:

BoxEdit

(

BoxNumber: 1

)

Var:=?BoxEquationFontSize

BoxEnd

(

State: Save!

)

Type

(

Var

)

See Also

BoxEquationFontSize


?BoxHeight

Purpose

?BoxHeight contains a value representing the height of a graphics box. If the height is set to Auto, the value of this variable is 2. Otherwise, the value is a measurement expression in WordPerfect units (1200ths of an inch). This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro types the height of box 1:

BoxEdit

(

BoxNumber: 1

)

Var:=?BoxHeight

BoxEnd

(

State: Save!

)

Type

(

Var

)

See Also

BoxHeight


?BoxHorizontalAlignment

Purpose

?BoxHorizontalAlignment contains a value representing the horizontal position of a graphics box attached to a page or a paragraph. The value of this variable is one of the numeric equivalents or enumerated types listed for the Position parameter of BoxHorizontalAlignment.  This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro causes the computer to beep if full horizontal alignment is specified for box 1:

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxHorizontalAlignment=7

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)

See Also

BoxHorizontalAlignment


?BoxHorizontalAlignTo

Purpose

?BoxHorizontalAlignTo contains a value representing whether a graphics box attached to a page is aligned to the margins or to a column or columns. The value of this variable is one of the numeric equivalents or enumerated types listed for the Alignment parameter of BoxHorizontalAlignment.  This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro causes the computer to beep if box 1 is aligned to the margins:

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxHorizontalAlignTo=1

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)

See Also

BoxHorizontalAlignment


?BoxHorizontalOffset

Purpose

?BoxHorizontalOffset contains a value representing the right or left position of a graphics box relative to an alignment point. The value of this variable is a measurement expression in WordPerfect units (1200ths of an inch). This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro types the offset measurement specified for box 1:

BoxEdit

(

BoxNumber: 1

)

Var:=?BoxHorizontalOffset

BoxEnd

(

State: Save!

)

Type

(

Var

)

See Also

BoxHorizontalAlignment


?BoxImageBlackWhiteThreshold

Purpose

?BoxImageBlackWhiteThreshold contains a value representing a threshold where colors and/or grays convert to black or white. Colors or grays below the threshold are converted to black; those above are converted to white. Values range from 1 to 255, with 127 as the default. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro types a value representing the black/white threshold specified for box 1:

BoxEdit

(

BoxNumber: 1

)

Var:=?BoxImageBlackWhiteThreshold

BoxEnd

(

State: Save!

)

Type

(

Var

)

See Also

BoxImageBlackWhiteThreshold


?BoxImageBrightness

Purpose

?BoxImageBrightness contains a value representing the brightness of an image color. Values range from -1.0 (all black) to 1.0 (all white). This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro types a value representing the brightness specified for the image contained in box 1:

BoxEdit

(

BoxNumber: 1

)

Var:=?BoxImageBrightness

BoxEnd

(

State: Save!

)

Type

(

Var

)

See Also

BoxImageBrightness


?BoxImageContrast

Purpose

?BoxImageContrast contains a value representing image contrast. Values range from -1.0 (slight contrast) to 1.0 (substantial contrast). This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro types a value representing the contrast specified for box 1:

BoxEdit

(

BoxNumber: 1

)

Var:=?BoxImageContrast

BoxEnd

(

State: Save!

)

Type

(

Var

)

See Also

BoxImageContrast


?BoxImageDitherMethod

Purpose

?BoxImageDitherMethod contains a value representing a dither method. The value of this variable is one of the numeric equivalents or enumerated types listed for the Method parameter of BoxImageDitherMethod.  This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro causes the computer to beep if the dither method specified for box 1 is halftoning:

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxImageDitherMethod=1

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)


?BoxImageDitherSource

Purpose

?BoxImageDitherSource contains a value representing a dither source. The value of this variable is one of the numeric equivalents or enumerated types listed for the Source parameter of BoxImageDitherMethod.  This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For Example:

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxImageDitherSource=1

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)


?BoxImageFill

Purpose

?BoxImageFill contains a value representing an image fill type. The value of this variable is one of the numeric equivalents or enumerated types listed for BoxImageFill.  This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro causes the computer to beep if a transparent fill type is specified for box 1:

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxImageFill=1

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)

See Also

BoxImageFill


?BoxImageFlipX

Purpose

?BoxImageFlipX contains a value representing whether the horizontal axis of an image is reversed. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

Value	Description

0	Not reversed

1	Reversed

See Also

BoxImageFlipX


?BoxImageFlipY

Purpose

?BoxImageFlipY contains a value representing whether the vertical axis of an image is reversed. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

Value	Description

0	Not reversed

1	Reversed

See Also

BoxImageFlipY


?BoxImageHalftoneAngle0

Purpose

?BoxImageHalftoneAngle0 contains the image halftone angle. The default is generally 45, but is dependent upon the selected printer.


?BoxImageHalftoneAngle1

Purpose

?BoxImageHalftoneAngle1 contains the image halftone angle 1.


?BoxImageHalftoneAngle2

Purpose

?BoxImageHalftoneAngle2 contains the image halftone angle 2.


?BoxImageHalftoneAngle3

Purpose

?BoxImageHalftoneAngle3 contains the image halftone angle 3.


?BoxImageHalftoneScreenLPI

Purpose

?BoxImageHalftoneScreenLPI contains the halftone lines per inch (LPI).  The default is 60.


?BoxImageInvertColors

Purpose

?BoxImageInvertColors contains a value representing whether image colors have been inverted to their respective complementary colors. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

Value	Description

0	Not inverted

1	Inverted

See Also

BoxImageInvertColors


?BoxImageMonochrome

Purpose

?BoxImageMonochrome contains a value representing whether a color image converts to black and white. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

Value	Description

0	Not monochrome

1	Monochrome

See Also

BoxImageMonochrome


?BoxImagePageBackground

Purpose

?BoxImagePageBackground contains a value representing whether any background colors or gradients saved with an image are visible.

Value	Description

0	Background not visible

1	Background visible

See Also

BoxImageShowBackground


?BoxImageRotation

Purpose

?BoxImageRotation contains a value representing a rotation degree. Values range from 0.0 to 359.0. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro types the rotation degree specified for the image contained in box 1:

BoxEdit

(

BoxNumber: 1

)

Var:=?BoxImageRotation

BoxEnd

(

State: Save!

)

Type

(

Var

)

See Also

BoxImageRotate


?BoxImageScalingX

Purpose

?BoxImageScalingX contains a value representing a scaling width. The value of this variable ranges from 0.01 to 9.99. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro types a value representing the scaling width specified for the image contained in box 1:

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxImageScalingX=1

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)

See Also

BoxImageScaling


?BoxImageScalingY

Purpose

?BoxImageScalingY contains a value representing a scaling height. The value of this variable ranges from 0.01 to 9.99. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro types a value representing the scaling height specified for the image contained in box 1:

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxImageScaling=1

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)

See Also

BoxImageScaling


?BoxImageTranslationX

Purpose

?BoxImageTranslationX contains a value representing the horizontal position of an image within a box. Values range from -5.0 to 5.0, with the default at 0.0. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro types a value representing the horizontal position of the contents of box 1:

BoxEdit

(

BoxNumber: 1

)

Var:=?BoxImageTranslationX

BoxEnd

(

State: Save!

)

Type

(

Var

)

See Also

BoxImageMove


?BoxImageTranslationY

Purpose

?BoxImageTranslationY contains a value representing the vertical position of an image within a box. Values range from -5.0 to 5.0, with the default at 0.0. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro types a value representing the vertical position of the contents of box 1:

BoxEdit

(

BoxNumber: 1

)

Var:=?BoxImageTranslationY

BoxEnd

(

State: Save!

)

Type

(

Var

)

See Also

BoxImageMove


?BoxLeftColumn

Purpose

?BoxLeftColumn contains a value representing the left column to which a graphics box aligns. The value of this variable is the number of a column. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro types the number of the left column to box 1 is aligned to:

BoxEdit

(

BoxNumber: 1

)

Var:=?BoxLeftColumn

BoxEnd

(

State: Save!

)

Type

(

Var

)


?BoxNumber

Purpose

?BoxNumber contains the current graphics box number. The value of this variable is the number of the box following the insertion point.


?BoxOverlap

Purpose

?BoxOverlap contains a value representing whether a graphics box may overlap other boxes. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

Value	Description

0	No overlap

1	Overlap

See Also

BoxOverlap


?BoxPageOffset

Purpose

?BoxPageOffset contains a value representing whether a box stays on the page to which it was attached or moves with text. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

Value	Description

0	Does not stay on page

1	Stays on page


?BoxRightColumn

Purpose

?BoxRightColumn contains a value representing the right column to which a graphics box aligns. The value of this variable is the number of a column. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro types the number of the right column box 1 is aligned to:

BoxEdit

(

BoxNumber: 1

)

Var:=?BoxRightColumn

BoxEnd

(

State: Save!

)

Type

(

Var

)


?BoxStyleName

Purpose

?BoxStyleName contains the name of a box style. The value of this variable is either one of the numeric equivalents or enumerated types listed for BoxStyleEdit, or the name of a user-created style. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd, or be preceded by either BoxStyleCreate or BoxStyleEdit and followed by BoxStyleEnd.

For example, the following macro types the name of the box style specified for box 1:

BoxEdit

(

BoxNumber: 1

)

Var=?BoxStyleName

BoxEnd

(

State: Save!

)

Type

(

Var

)


?BoxTextAngle

Purpose

?BoxTextAngle contains a value representing the degree of rotation for text in a box. The value of this variable is one of the numeric equivalents or enumerated types listed for BoxTextAngle.  This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro causes the computer to beep if the text in box 1 is rotated 90 degrees:

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxTextAngle=1

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)

See Also

BoxTextAngle


?BoxTextDefaultStyle

Purpose

?BoxTextDefaultStyle contains the default style of box text. The value of this variable is one of the numeric equivalents or enumerated types listed for BoxTextDefaultStyle.  This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro causes the computer to beep if the default text style specified for box 1 is Doc Style.

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxTextDefaultStyle=33

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)

See Also

BoxTextDefaultStyle


?BoxVerticalAlignment

Purpose

?BoxVerticalAlignment contains a value representing the vertical position of a graphics box attached to a page or character. The value of this variable is one of the numeric equivalents or enumerated types listed for the Alignment parameter of BoxVerticalAlignment.  This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For Example:

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxVerticalAlignment=1

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)

See Also

BoxVerticalAlignment


?BoxVerticalAlignTo

Purpose

?BoxVerticalAlignTo contains a value representing whether a box is aligned to margins.

Value	Description

1	Aligned to margins

2	Fixed position


?BoxVerticalOffset

Purpose

?BoxVerticalOffset contains a value representing the vertical position of a graphics box relative to an alignment point. The value of this variable is a measurement expression in WordPerfect units (1200th of an inch). This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro types a value representing the vertical offset specified for box 1:

BoxEdit

(

BoxNumber: 1

)

Var:=?BoxVerticalOffset

BoxEnd

(

State: Save!

)

Type

(

Var

)

See Also

BoxVerticalAlignment


?BoxWidth

Purpose

?BoxWidth contains a value representing the width of a graphics box. If the width is set to Auto, the value of this variable is one of the numeric equivalents or enumerated types listed for BoxWidth.  Otherwise, the value is a measurement expression in WordPerfect units (1200ths of an inch). This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example:, the following macro types a value representing the width of box 1:

BoxEdit

(

BoxNumber: 1

)

Var:=?BoxWidth

BoxEnd

(

State: Save!

)

Type

(

Var

)

See Also

BoxWidth


?BoxWrapping

Purpose

?BoxWrapping contains a value representing the direction of text flow around a graphics box. The value of this variable is one of the numeric equivalents or enumerated types of BoxTextFlow.  This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro causes the computer to beep if text flows to the left of box 1:

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxWrapping=1

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)

See Also

BoxTextFlow


?BoxWrappingType

Purpose

?BoxWrappingType contains a value representing whether the text outside a graphics box flows around an image. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

Value	Description

0	Text is not contoured

1	Text is contoured


?ButtonBarActive

Purpose

?ButtonBarActive contains a value representing whether the Button Bar is active in the current document.

Value	Description

False	Not active

True	Active


?Cell

Purpose

?Cell contains a value representing the current table cell. For example, if the insertion point is in the first cell of a table, this variable contains the value A1.


?CellAlignment

Purpose

?CellAlignment contains a value representing the vertical alignment of the current cell.

Value	Description

1	Top

2	Center

4	Bottom


?CellBold

Purpose

?CellBold indicates whether the cell font attribute is Bold.

Value	Description

False	Not Bold

True	Bold


?CellDoubleUnderline

Purpose

?CellDoubleUnderline indicates whether the cell font attribute is Double Underline.

Value	Description

False	Not Double Underline

True	Double Underline


?CellExtraLarge

Purpose

?CellExtraLarge indicates whether the cell font attribute is Extra Large.

Value	Description

False	Not Extra Large

True	Extra Large


?CellFill

Purpose

?CellFill contains a value representing the current cell's fill style. The value of this variable is one of the numeric equivalents or enumerated types listed for the Style parameter of FillStyleEdit.

For example, the following macro causes the computer to beep if the current cell contains a 20% shaded fill:

IF

(

?CellFill=1

)

BEEP

ENDIF

See Also

FillStyleEdit


?CellFine

Purpose

?CellFine indicates whether the cell font attribute is Fine.

Value	Description

False	Not Fine

True	Fine


?CellFormula

Purpose

?CellFormula indicates whether the cell contains a formula.

Value	Description

False	Does not contain a formula

True	Contains a formula


?CellIgnoreWhenCalculating

Purpose

?CellIgnoreWhenCalculating contains a value representing whether the option to ignore the current cell or blocked cells when calculating formulas is active.

Value	Description

False	Do not ignore

True	Ignore


?CellItalics

Purpose

?CellItalics indicates whether the cell font attribute is Italics.

Value	Description

False	Not Italics

True	Italics


?CellJustification

Purpose

?CellJustification contains a value representing the justification of the current cell. The value of this variable is one of the numeric equivalents or enumerated types listed for the TableCellJustification command.

See Also

TableCellJustification


?CellLarge

Purpose

?CellLarge indicates whether the cell font attribute is Large.

Value	Description

False	Not Large

True	Large


?CellLocked

Purpose

?CellLocked indicates whether the current cell is locked.

Value	Description

False	Not locked

True	Locked


?CellNormal

Purpose

?CellNormal indicates whether the cell font attribute is Normal (no specified attributes).

Value	Description

False	Not Normal

True	Normal


?CellOutline

Purpose

?CellOutline indicates whether the cell font attribute is Outline.

Value	Description

False	Not Outline

True	Outline


?CellRedline

Purpose

?CellRedline indicates whether the cell font attribute is Redline.

Value	Description

False	Not Redline

True	Redline


?CellShadow

Purpose

?CellShadow indicates whether the cell font attribute is Shadow.

Value	Description

False	Not Shadow

True	Shadow


?CellSmall

Purpose

?CellSmall indicates whether the cell font attribute is Small.

Value	Description

False	Not Small

True	Small


?CellSmallCaps

Purpose

?CellSmallCaps indicates whether the cell font attribute is Small Caps.

Value	Description

False	Not Small Caps

True	Small Caps


?CellSpecificAttribute

Purpose

?CellSpecificAttribute indicates whether the current cell contains cell-specific attributes.

Value	Description

0	Does not contain cell-specific attributes

1	Contains cell-specific attributes


?CellSpecificJustification

Purpose

?CellSpecificJustification contains a value representing whether cell justification is active in the current cell.

Value	Description

0	No cell justification

1	Cell justification


?CellStrikeout

Purpose

?CellStrikeout indicates whether the cell font attribute is Strikeout.

Value	Description

False	Not Strikeout

True	Strikeout


?CellSubscript

Purpose

?CellSubscript indicates whether the cell font attribute is Subscript.

Value	Description

False	Not Subscript

True	Subscript


?CellSuperscript

Purpose

?CellSuperscript indicates whether the cell font attribute is Superscript.

Value	Description

False	Not Superscript

True	Superscript


?CellUnderline

Purpose

?CellUnderline indicates whether the cell font attribute is Underline.

Value	Description

False	Not Underline

True	Underline


?CellVeryLarge

Purpose

?CellVeryLarge indicates whether the cell font attribute is Very Large.

Value	Description

False	Not Very Large

True	Very Large


?CenterCurrentPage

Purpose

?CenterCurrentPage indicates whether the contents of the current page only are set to be centered vertically.

Value	Description

False	Not centered

True	Centered

See Also

CenterCurrentPage


?CenterPages

Purpose

?CenterPages indicates whether the contents of the current page are centered vertically by means of the Current and Subsequent Pages setting in the Center Page(s) dialog box.

Value	Description

False	Not centered

True	Centered

See Also

CenterPages


?ChapterNumber

Purpose

?ChapterNumber contains the current chapter number.

See Also

ChapterNumber


?ChapterNumberMethod

Purpose

?ChapterNumberMethod contains a value representing the current chapter numbering method. The value of this variable is one of the numeric equivalents or enumerated types listed for ChapterNumberMethod.

For example, the following macro causes the computer to beep if the current chapter numbering method is uppercase roman numerals:

IF

(

?ChapterNumberMethod=4

)

BEEP

ENDIF

See Also

ChapterNumberMethod


?CharSpaceWidth

Purpose

?CharSpaceWidth contains a value representing the amount of space between letters. The value of this variable is one of the numeric equivalents or enumerated types listed for the CharacterWidth parameter of WordLetterSpacing, or a percentage of WordPerfect Optimal.

Value	Description

0	Normal spacing

100	WordPerfect optimal spacing

See Also

WordLetterSpacing


?Column

Purpose

?Column contains the number of the current text column or table column.


?ColumnBorder

Purpose

?ColumnBorder contains a value representing whether the current column setting includes a border.

Value	Description

0	No border

1	Border


?ColumnDefine

Purpose

?ColumnDefine contains a value representing the current column type. The value of this variable is one of the numeric equivalents or enumerated types listed for the ColumnsType parameter of ColumnsDefinition.

For example, the following macro causes the computer to beep if the current column type is Parallel:

IF

(

?ColumnDefine=2

)

BEEP

ENDIF

See Also

ColumnsDefinition


?ConfirmCodesDelete

Purpose

?ConfirmCodesDelete indicates whether the environment preference Confirm Deletion of Codes, Stop Insertion Point at Hidden Codes is on or off.

Value	Description

False	Off

True	On


?ConfirmFormulaDelete

Purpose

?ConfirmFormulaDelete indicates whether the environment preference Confirm Deletion of Table Formulas is on or off.

Value	Description

False	Off

True	On


?CurrentParagraphLevel

?CurrentLabel

Purpose

?CurrentLabel contains the name of the current label selection.


?CurrentPaperName

Purpose

?CurrentPaperName contains the paper definition currently selected in the Paper Size dialog box.


?CurrentParagraphLevel

Purpose

?CurrentParagraphLevel contains a value representing the level of the current outline paragraph.


?CurrentPrinter

Purpose

?CurrentPrinter contains the name of the current printer.


?CurrentPrinterPort

Purpose

?CurrentPrinterPort contains the name of the current printer port.

Value	Description

0	LPT1

1	LPT2

2	LPT3

3	COM1

4	COM2

5	COM3

6	COM4

7	FILE


?CurrentPrinterType

Purpose

?CurrentPrinterType contains a value representing whether the current printer driver is WordPerfect or Windows.

Value	Description

0	WordPerfect

4	Windows


?CurrentSubdoc

Purpose

?CurrentSubdoc contains a value representing which substructure is active.

Value	Description

0	None

1	Footnote

2	Endnote

3	Header A

4	Header B

5	Footer A

6	Footer B

7	Watermark A

8	Watermark B

9	ToA Full Form

10	Window Caption

11	Text Box

12	Equation Editor

13	Comment

14	Endnote (for placement)

15	Envelope

16	Style

17	Equation Display

18	Delay Codes

19	Summary Abstract


?CurrentTableName

Purpose

?CurrentTableName contains the current table name, or the previous table name if the insertion point is not in a table, or 0 if there is no previous table.


?CurrentTemplate

Purpose

?CurrentTemplate contains the current template's path and filename.


?CurrentWord

Purpose

?CurrentWord contains the word at the insertion point.


?DateDay

Purpose

?DateDay contains a numeric value representing the current day of the month.


?DateMonth

Purpose

?DateMonth contains a numeric value representing the current month.


?DateWeekday

Purpose

?DateWeekday contains the current day of the week.


?DateYear

Purpose

?DateYear contains a numeric value representing the current year.


?DecimalAlignmentCharacter

Purpose

?DecimalAlignmentCharacter the current decimal alignment character.

See Also

DecimalAlignmentCharacter


?DefaultDocumentExtension

Purpose

?DefaultDocumentExtension contains the default extension for document filenames.


?DefaultTemplateExtension

Purpose

?DefaultTemplateExtension contains the default extension for template filenames.


?DefaultView

Purpose

?DefaultView contains a value representing the default view preference. The value of this variable is one of the numeric equivalents or enumerated types listed for the DefaultView parameter of PrefDisplaySet.

For Example:

IF

(

?DefaultView=1

)

BEEP

ENDIF


?DisplayMode

Purpose

?DisplayMode contains a value representing the current display mode. The value of this variable is one of the numeric equivalents or enumerated types listed for DisplayMode.

For example, the following macro causes the computer to beep if the current display mode is Graphics mode:

IF

(

?DisplayMode=2

)

BEEP

ENDIF


?DisplayPitch

Purpose

?DisplayPitch contains a value representing whether display pitch is set to auto or manual.

Value	Description

0	Automatic

1	Manual


?DocBlank

Purpose

?DocBlank contains a value representing whether the current document is blank.

Value	Description

False	Not blank

True	Blank


?DocChanged

Purpose

?DocChanged contains a value representing whether the current document has been modified since the last time it was saved.

Value	Description

False	Not changed

True	Changed


?DocNumber

Purpose

?DocNumber contains the current document number. Values range from 1 to 9.


?DocReadOnly

Purpose

?DocReadOnly contains a value representing whether the current document is read-only.

Value	Description

False	Not read-only

True	Read-only


?DocumentFont

Purpose

?DocumentFont contains the current font name.


?DocumentInformation

Purpose

?DocumentInformation contains the number of characters in the current document.


?DotLeader

Purpose

?DotLeader contains the current dot leader character.

See Also

DotLeader


?EditScreen

Purpose

?EditScreen contains a value representing whether the current screen is an editing screen.

Value	Description

False	Not an editing screen

True	Editing screen


?Endnote

Purpose

?Endnote contains the number of the endnote to the left of the insertion point.


?EndnoteMinimum

Purpose

?EndnoteMinimum contains a measurement expression indicating the amount of endnote text to keep together.

See Also

EndnoteMinimum


?EndnoteSpace

Purpose

?EndnoteSpace contains a measurement expression indicating the amount of blank space between endnotes.


?FeatureBar

Purpose

?FeatureBar contains a value representing which feature bar is displayed.

Value	Description

0	No feature bar displayed

35	Comment

91	Footnote/Endnote

92	Header/Footer

94	Hypertext

109	Graphics Box

124	Mark List

125	Mark Table of Contents

127	Keyboard Merge

137	Mark Table of Authorities

138	Mark Index

143	Outline

167	Mark Cross Reference

243	Watermark

265	Merge Form

270	Merge Table

271	Merge Text

275	Figure Edit

280	Transcribe

290	Table Formula

309	ToA Full Form

327	Delay Codes

337	Template

340	Box Caption Edit

341	Box Text Edit

342	Macro


?Fill

Purpose

?Fill contains a value representing the current fill style. The value of this variable is one of the numeric equivalents or enumerated types listed for FillStyleEdit. This variable must be preceded by a command which specifies a fill style, such as FillStyleEdit, and followed by a closing command such as FillStyleEnd.

For example, the following macro types the name of the style specified by FillStyleEdit:

FillStyleEdit

(

Style: Fill10!

)

Type

(

?Fill

)

FillStyleEnd

(

State: Save!

)

See Also

FillStyleEdit


?FillGradientSteps

Purpose

?FillGradientSteps contains a value representing whether steps in a gradient are calculated automatically. This variable must be preceded by a command which specifies a fill style, such as FillStyleEdit, and followed by a closing command such as FillStyleEnd.

Value	Description

0	Not calculated automatically

1	Calculated automatically


?FillGradientType

Purpose

?FillGradientType contains a value representing whether the current gradient fill is a linear, radial, or rectangular gradient. The value of this variable is one of the numeric equivalents or enumerated types listed for the Gradient parameter of FillSetGradient. This variable must be preceded by a command which specifies a fill style, such as FillStyleEdit, and followed by a closing command such as FillStyleEnd.

For example, the following macro causes the computer to beep if the fill style specified is a radial gradient:

FillStyleEdit

(

Style: Fill10!

)

IF

(

?FillGradientType=1

)

BEEP

ENDIF

FillStyleEnd

(

State: Save!

)

See Also

FillSetGradient


?FillType

Purpose

?FillType contains a value representing whether the fill is a pattern or a gradient. This variable must be preceded by either FillStyleCreate or FillStyleEdit and followed by FillStyleEnd, or be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

Value	Description

0	Pattern

1	Gradient


?FillWPG2Pattern

Purpose

?FillWPG2Pattern contains a value representing a predefined fill pattern. The value of this variable is one of the numeric equivalents or enumerated types listed for the Index parameter of FillSetWPG2.  This variable must be preceded by either FillStyleCreate or FillStyleEdit and followed by FillStyleEnd, or be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro types a value representing the pattern specified for Button Fill:

FillStyleEdit

(

FillName: "Button Fill"

)

Type

(

?FillWPG2Pattern

)

FillStyleEnd

(

State: Save!

)

See Also

FillSetWPG2


?FirstLineIndent

Purpose

?FirstLineIndent contains a measurement expression indicating the amount the first line of a new paragraph is indented.


?FirstPrintLineNum

Purpose

?FirstPrintLineNum contains the first line number to print.


?Font

Purpose

?Font contains the current font name.


?FontBold

Purpose

?FontBold contains a value representing whether the current font attribute is Bold.

Value	Description

False	Not Bold

True	Bold


?FontDoubleUnderline

Purpose

?FontDoubleUnderline contains a value representing whether the current font attribute is Double Underline.

Value	Description

False	Not Double Underline

True	Double Underline


?FontExtraLarge

Purpose

?FontExtraLarge contains a value representing whether the current font attribute is Extra Large.

Value	Description

False	Not Extra Large

True	Extra Large


?FontFine

Purpose

?FontFine contains a value representing whether the current font attribute is Fine.

Value	Description

False	Not Fine

True	Fine


?FontItalics

Purpose

?FontItalics contains a value representing whether the current font attribute is Italics.

Value	Description

False	Not Italics

True	Italics


?FontLarge

Purpose

?FontLarge contains a value representing whether the current font attribute is Large.

Value	Description

False	Not Large

True	Large


?FontOutline

Purpose

?FontOutline contains a value representing whether the current font attribute is Outline.

Value	Description

False	Not Outline

True	Outline


?FontRedline

Purpose

?FontRedline contains a value representing whether the current font attribute is Redline.

Value	Description

False	Not Redline

True	Redline


?FontShadow

Purpose

?FontShadow contains a value representing whether the current font attribute is Shadow.

Value	Description

False	Not Shadow

True	Shadow


?FontSize

Purpose

?FontSize contains a value representing the current font size.


?FontSmall

Purpose

?FontSmall contains a value representing whether the current font attribute is Small.

Value	Description

False	Not Small

True	Small


?FontSmallCaps

Purpose

?FontSmallCaps contains a value representing whether the current font attribute is Small Caps.

Value	Description

False	Not Small Caps

True	Small Caps


?FontStrikeout

Purpose

?FontStrikeout contains a value representing whether the current font attribute is Strikeout.

Value	Description

False	Not Strikeout

True	Strikeout


?FontSubscript

Purpose

?FontSubscript contains a value representing whether the current font attribute is Subscript.

Value	Description

False	Not Subscript

True	Subscript


?FontSuperscript

Purpose

?FontSuperscript contains a value representing whether the current font attribute is Superscript.

Value	Description

False	Not Superscript

True	Superscript


?FontUnderline

Purpose

?FontUnderline contains a value representing whether the current font attribute is Underline.

Value	Description

False	Not Underline

True	Underline


?FontVeryLarge

Purpose

?FontVeryLarge contains a value representing whether the current font attribute is Very Large.

Value	Description

False	Not Very Large

True	Very Large


?FooterAOccur

Purpose

?FooterAOccur contains a value representing whether Footer A prints on odd, even, or all pages. The value of this variable is one of the numeric equivalents or enumerated types listed for the Occurrence parameter of FooterA.

For example, the following macro causes the computer to beep if Footer A occurs on odd pages:

IF

(

?FooterAOccur=1

)

BEEP

ENDIF

See Also

FooterA


?FooterBOccur

Purpose

?FooterBOccur contains a value representing whether Footer B prints on odd, even, or all pages. The value of this variable is one of the numeric equivalents or enumerated types listed for the Occurrence parameter of FooterB.

For example, the following macro causes the computer to beep if Footer B occurs on even pages:

IF

(

?FooterBOccur=2

)

BEEP

ENDIF

See Also

FooterB


?FooterSeparator

Purpose

?FooterSeparator contains a measurement expression indicating the amount of blank space above a footer.


?Footnote

Purpose

?Footnote contains the footnote number to the left of the insertion point.


?FootnoteContinued

Purpose

?FootnoteContinued contains a value representing whether to print a continued message when a footnote is split between two pages.

Value	Description

0	No continued message

1	Print continued message


?FootnoteMinimum

Purpose

?FootnoteMinimum contains a measurement expression indicating the minimum amount of footnote text to keep together.


?FootnotePosition

Purpose

?FootnotePosition contains a value representing whether footnotes are printed at the bottom of the page or just below the last line of text.

Value	Description

0	Bottom of page

1	After text


?FootnoteRestartsPage

Purpose

?FootnoteRestartsPage contains a value representing whether footnote numbering restarts on every page.

Value	Description

0	Does not restart

1	Restarts


?FootnoteSpace

Purpose

?FootnoteSpace contains a measurement expression indicating the amount of blank space between footnotes.


?GraphicsLineBottomSpacing

Purpose

?GraphicsLineBottomSpacing contains a value representing the amount of space below a graphics line. The value of this variable is a measurement expression using the current unit of measure. This variable must be preceded by either GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

For example, the following macro types a value representing the amount of space below line 1:

GraphicsLineEdit

(

Line: 1

)

Type

(

?GraphicsLineBottomSpacing

)

GraphicsLineEnd

(

State: Save!

)

See Also

GraphicsLineSpacing


?GraphicsLineColorBlue

Purpose

?GraphicsLineColorBlue contains a value representing the amount of blue in a graphics line color. Values range from 0 to 255, with 0 indicating no blue and 255 indicating solid blue. This variable must be preceded by either GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

For example, the following macro types a value representing the amount of blue in line 1:

GraphicsLineEdit

(

Line: 1

)

Type

(

?GraphicsLineColorBlue

)

GraphicsLineEnd

(

State: Save!

)

See Also

GraphicsLineColor


?GraphicsLineColorGreen

Purpose

?GraphicsLineColorGreen contains a value representing the amount of green in a graphics line color. Values range from 0 to 255, with 0 indicating no green and 255 indicating solid green. This variable must be preceded by either GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

For example, the following macro types a value representing the amount of green in line 1:

GraphicsLineEdit

(

Line: 1

)

Type

(

?GraphicsLineColorGreen

)

GraphicsLineEnd

(

State: Save!

)

See Also

GraphicsLineColor


?GraphicsLineColorRed

Purpose

?GraphicsLineColorRed contains a value representing the amount of red in a graphics line color. Values range from 0 to 255, with 0 indicating no red and 255 indicating solid red. This variable must be preceded by either GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

For example, the following macro types a value representing the amount of red in line 1:

GraphicsLineEdit

(

Line: 1

)

Type

(

?GraphicsLineColorRed

)

GraphicsLineEnd

(

State: Save!

)

See Also

GraphicsLineColor


?GraphicsLineColorShading

Purpose

?GraphicsLineColorShading contains a value representing the shade of a graphics line color. Values range from 0 to 100, with 100 indicating the darkest shade of a color. This variable must be preceded by either GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

For example, the following macro types a value representing the shade of line 1:

GraphicsLineEdit

(

Line: 1

)

Type

(

?GraphicsLineColorShading

)

GraphicsLineEnd

(

State: Save!

)

See Also

GraphicsLineColor


?GraphicsLineCount

Purpose

?GraphicsLineCount contains the number of graphics lines in the current document.


?GraphicsLineHorizontalAlign

Purpose

?GraphicsLineHorizontalAlign contains a value representing the horizontal alignment of a graphics line. The value of this variable is one of the numeric equivalents or enumerated types listed for the Position parameter of GraphicsLineHorizontalPosition.  This variable must be preceded by either GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

For example, the following macro types a value representing the horizontal position of line 1:

GraphicsLineEdit

(

Line: 1

)

Type

(

?GraphicsLineHorizontalAlign

)

GraphicsLineEnd

(

State: Save!

)

See Also

GraphicsLineHorizontalPosition


?GraphicsLineHorizontalColumn

Purpose

?GraphicsLineHorizontalColumn contains a column number. When the horizontal position of a graphics line is set to Between Columns, the value of this variable is the number of the column to the left of the line. This variable must be preceded by either GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

For example, the following macro types the number of the column to the left of line 1:

GraphicsLineEdit

(

Line: 1

)

Type

(

?GraphicsLineHorizontalColumn

)

GraphicsLineEnd

(

State: Save!

)

See Also

GraphicsLineHorizontalPosition


?GraphicsLineHorizontalPosition

Purpose

?GraphicsLineHorizontalPosition contains a value representing the horizontal position of a graphics line. The value of this variable is a measurement expression using the current unit of measure. This variable must be preceded by either GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

For example, the following macro types a value representing the horizontal position of line 1:

GraphicsLineEdit

(

Line: 1

)

Type

(

?GraphicsLineHorizontalPosition

)

GraphicsLineEnd

(

State: Save!

)

See Also

GraphicsLineHorizontalPosition


?GraphicsLineLength

Purpose

?GraphicsLineLength contains the length of a graphics line. The value of this variable is a measurement expression using the current unit of measure. This variable must be preceded by either GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

For example, the following macro types a value representing the length of line 1:

GraphicsLineEdit

(

Line: 1

)

Type

(

?GraphicsLineLength

)

GraphicsLineEnd

(

State: Save!

)

See Also

GraphicsLineLength


?GraphicsLineNum

Purpose

?GraphicsLineNum contains the current graphics line number.


?GraphicsLineStyle

Purpose

?GraphicsLineStyle contains a value representing a graphics line style. The value of this variable is either one of the numeric equivalents or enumerated types listed for GraphicsLineStyle, or the name of a user-created style. This variable must be preceded by either GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

For example, the following macro types a value representing the style of line 1:

GraphicsLineEdit

(

Line: 1

)

Type

(

?GraphicsLineStyle

)

GraphicsLineEnd

(

State: Save!

)

See Also

GraphicsLineStyle


?GraphicsLineThickness

Purpose

?GraphicsLineThickness contains a value representing the thickness of a graphics line. The value of this variable is a measurement expression using the current unit of measure. This variable must be preceded by either GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

For example, the following macro types a value representing the thickness of line 1:

GraphicsLineEdit

(

Line: 1

)

Type

(

?GraphicsLineThickness

)

GraphicsLineEnd

(

State: Save!

)

See Also

GraphicsLineThickness


?GraphicsLineTopSpacing

Purpose

?GraphicsLineTopSpacing contains a value representing the amount of space above a graphics line. The value of this variable is a measurement expression using the current unit of measure. This variable must be preceded by either GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

For example, the following macro types a value representing the amount of space above line 1:

GraphicsLineEdit

(

Line: 1

)

Type

(

?GraphicsLineTopSpacing

)

GraphicsLineEnd

(

State: Save!

)

See Also

GraphicsLineSpacing


?GraphicsLineType

Purpose

?GraphicsLineType contains a value representing whether a graphics line is horizontal or vertical. This variable must be preceded by either GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

Value	Description

0	Horizontal line

1	Vertical line

See Also

GraphicsLineType


?GraphicsLineUseColor

Purpose

?GraphicsLineUseColor contains a value representing whether to use the current line style color or to choose another color. This variable must be preceded by either GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

Value	Description

0	Use line style color

1	Choose a color

See Also

GraphicsLineUseColor


?GraphicsLineVerticalAlign

Purpose

?GraphicsLineVerticalAlign contains a value representing the vertical alignment of a graphics line. The value of this variable is one of the numeric equivalents or enumerated types listed for the Position parameter of GraphicsLineVerticalPosition.  This variable must be preceded by either GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

For example, the following macro types a value representing the vertical alignment of line 1:

 	GraphicsLineEdit

(

Line: 1

)

Type

(

?GraphicsLineVerticalAlign

)

GraphicsLineEnd

(

State: Save!

)

See Also

GraphicsLineVerticalPosition


?GraphicsLineVerticalPosition

Purpose

?GraphicsLineVerticalPosition contains a value representing the vertical position of a graphics line. The value of this variable is a measurement expression using the current unit of measure. This variable must be preceded by either GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

For example, the following macro types a value representing the vertical position of line 1:

GraphicsLineEdit

(

Line: 1

)

Type

(

?GraphicsLineVerticalPosition

)

GraphicsLineEnd

(

State: Save!

)

See Also

GraphicsLineVerticalPosition


?HeaderAOccur

Purpose

?HeaderAOccur contains a value representing whether Header A prints on odd, even, or all pages. If the header is active, the value of this variable is one of the numeric equivalents or enumerated types listed for the Occurrence parameter of HeaderA. A value of 0 is returned if the header is not active.

For example, the following macro causes the computer to beep if Header A occurs on odd pages:

IF

(

?HeaderAOccur=1

)

BEEP

ENDIF

See Also

HeaderA


?HeaderBOccur

Purpose

?HeaderBOccur contains a value representing whether Header B prints on odd, even, or all pages. If the header is active, the value of this variable is one of the numeric equivalents or enumerated types listed for the Occurrence parameter of HeaderB. A value of 0 is returned if the header is not active.

For example, the following macro causes the computer to beep if Header B occurs on odd pages:

IF

(

?HeaderBOccur=1

)

BEEP

ENDIF

See Also

HeaderB


?HeaderSeparator

Purpose

?HeaderSeparator contains a measurement expression in WordPerfect units (1200ths of an inch) indicating the amount of blank space above a header.

See Also

HeaderSeparationDistance


?HypertextLast

Purpose

?HypertextLast contains the filename of the file in which a hypertext link originated.


?HypertextType

Purpose

?HypertextType contains a value representing whether a hypertext link jumps to a bookmark or plays a macro.

Value	Description

2	Bookmark

4	Macro


?Hyphenation

Purpose

?Hyphenation contains a value representing whether hyphenation is on or off.

Value	Description

0	Hyphenation off

1	Hyphenation on

See Also

Hyphenation


?Indent

Purpose

?Indent contains a value representing whether the first line of a new paragraph is indented.

Value	Description

0	Not indented

1	Indented

See Also

Indent


?IndexDefinition

Purpose

?IndexDefinition contains a value representing the current index heading style. The value of this variable is one of the numeric equivalents or enumerated types listed for the Heading parameter of IndexDefinition.

For example, the following macro causes the computer to beep if the current index heading style is Index 2 Style:

IF

(

?IndexDefinition=30

)

BEEP

ENDIF

See Also

IndexDefinition


?Initials

Purpose

?Initials contains the initials of the current user.  This variable is only valid if WordPerfect is running on a network.


?InOutline

Purpose

?InOutline contains a value representing whether the insertion point is in an outline.

Value	Description

False	Not in an outline

True	In an outline


?InterimVersion

Purpose

?InterimVersion contains the interim release number of the current version of WordPerfect. For Example, the value assigned to the initial release is 0, and the value assigned to the first interim is 1.


?Justification

Purpose

?Justification contains a value representing the current justification. The value of this variable is one of the numeric equivalents or enumerated types listed for Justification.

For example, the following macro causes the computer to beep if justification is set to Center:

IF

(

?Justification=2

)

BEEP

ENDIF

See Also

Justification


?Kerning

Purpose

?Kerning contains a value representing whether Automatic Kerning is on or off.

Value	Description

0	Off

1	On

See Also

Kerning


?KeyCapsLock

Purpose

Purpose

?KeyCapsLock contains a value representing whether Caps Lock is on or off.

Value	Description

False	Caps Lock is off

True	Caps Lock is on


?LabelsToDisplay

Purpose

?LabelsToDisplay contains a value representing whether to display labels for laser or tractor-feed printers, or both types. The value of this variable is one of the numeric equivalents or enumerated types listed for the LabelsDisplay parameter of PrefLocationOfPrinterFiles.

For Example:

IF

(

?LabelsToDisplay=1

)

BEEP

ENDIF


?Language

Purpose

?Language contains a value representing the current language. The value of this variable is a WordPerfect language code. For example, if the current language is U.S. English, the value is US.

See Also

Language


?LeftChar

Purpose

?LeftChar contains the character immediately to the left of the insertion point.


?LeftCode

Purpose

?LeftCode contains a value representing the code immediately to the left of the insertion point. The value of this variable is the numeric equivalent of the code.


?LeftHyphZone

Purpose

?LeftHyphZone contains a value representing the lower limit of a hyphenation zone. The value of this variable is a numeric expression indicating a percentage of a word.

See Also

HyphenationZoneLeft


?LeftMarginAdj

Purpose

?LeftMarginAdj contains a measurement expression indicating the amount of left margin adjustment for the current paragraph.

See Also

MarginAdjustLeft


?Line

Purpose

?Line contains a measurement expression indicating the vertical position of the insertion point relative to the top of the page.


?LineHeight

Purpose

?LineHeight contains a value representing whether line height is fixed or set automatically.

Value	Description

0	Fixed

1	Automatic

See Also

LineHeight


?LineNumber

Purpose

?LineNumber contains the starting line number for the current document.


?LineNumbering

Purpose

?LineNumbering contains a value representing whether Line Numbering is on or off.

Value	Description

False	Line numbering off

True	Line numbering on

See Also

LineNumbering


?LineNumberingInterval

Purpose

?LineNumberingInterval contains a number indicating the interval between numbered lines.

See Also

LineNumbering


?LineNumberMethod

Purpose

?LineNumberMethod contains a value representing the line numbering method. The value of this variable is one of the numeric equivalents or enumerated types listed for LineNumberingMethod.

For example, the following macro causes the computer to beep if the line numbering method is uppercase roman numerals:

IF

(

?LineNumberMethod=4

)

BEEP

ENDIF


?LineNumCountBlankLines

Purpose

?LineNumCountBlankLines contains a value representing whether Line Numbering counts blank lines.

Value	Description

False	Do not count blank lines

True	Count blank lines

See Also

LineNumbering


?LineNumNewspaperCols

Purpose

?LineNumNewspaperCols contains a value representing whether Line Numbering numbers newspaper columns.

Value	Description

False	Do not number newspaper columns

True	Number newspaper columns

See Also

LineNumbering


?LineNumPosition

Purpose

?LineNumPosition returns the line numbering position.

See Also

LineNumbering


?LineSegmentBlue

Purpose

?LineSegmentBlue contains a value representing the amount of blue in a table line segment color. Values range from 0 to 255, with 0 indicating no blue and 255 indicating solid blue. This variable must be preceded by either LineStyleCreate or LineStyleEdit and followed by LineStyleEnd, and be preceded by either LineSegmentCreate or LineSegmentEdit and followed by LineSegmentEnd.

For example, the following macro types a value representing the amount of blue in a specified line segment:

LineStyleEdit

(

Style: "My Style"

)

LineSegmentEdit

(

Position: 0

)

Type

(

?LineSegmentBlue

)

LineSegmentEnd

(

State: Save!

)

LineStyleEnd

(

State: Save!

)

See Also

LineSegmentColor


?LineSegmentCount

Purpose

?LineSegmentCount contains the number of line segments in a line style. This variable must be preceded by either LineStyleCreate or LineStyleEdit and followed by LineStyleEnd.

For Example:

LineStyleEdit

(

Style: "My Style"

)

Type

(

?LineSegmentCount

)

LineStyleEnd

(

State: Save!

)


?LineSegmentGreen

Purpose

?LineSegmentGreen contains a value representing the amount of green in a line segment color. Values range from 0 to 255, with 0 indicating no green and 255 indicating solid green. This variable must be preceded by either LineStyleCreate or LineStyleEdit and followed by LineStyleEnd, and preceded by either LineSegmentCreate or LineSegmentEdit and followed by LineSegmentEnd.

For example, the following macro types a value representing the amount of green in a specified line segment:

LineStyleEdit

(

Style: "My Style"

)

LineSegmentEdit

(

Position: 0

)

Type

(

?LineSegmentGreen

)

LineSegmentEnd

(

State: Save!

)

LineStyleEnd

(

State: Save!

)

See Also

LineSegmentColor


?LineSegmentRed

Purpose

?LineSegmentRed contains a value representing the amount of red in a line segment color. Values range from 0 to 255, with 0 indicating no red and 255 indicating solid red. This variable must be preceded by either LineStyleCreate or LineStyleEdit and followed by LineStyleEnd, and be preceded by either LineSegmentCreate or LineSegmentEdit and followed by LineSegmentEnd.

For example, the following macro types a value representing the amount of red in a specified line segment:

LineStyleEdit

(

State: "My Style"

)

LineSegmentEdit

(

Position: 0

)

Type

(

?LineSegmentRed

)

LineSegmentEnd

(

State: Save!

)

LineStyleEnd

(

State: Save!

)

See Also

LineSegmentColor


?LineSegmentSetUserData

Purpose

?LineSegmentSetUserData contains a measurement expression indicating the dash length in the current custom line pattern. This variable must be preceded by LineSegmentSetUser and followed by LineSegmentSetUserEnd.

For example, the following macro types a value representing the dash length in a specified line segment:

LineSegmentSetUser

(

OnOffs: 2

)

Type

(

?LineSegmentSetUserData

)

LineSegmentSetUserEnd ()

See Also

LineSegmentSetUserData


?LineSegmentShading

Purpose

?LineSegmentShading contains a value representing the shade of a line segment color. Values range from 0 to 100, with 100 indicating the darkest shade of a color. This variable must be preceded by either LineStyleCreate or LineStyleEdit and followed by LineStyleEnd, and be preceded by either LineSegmentCreate or LineSegmentEdit and followed by LineSegmentEnd.

For example, the following macro types a value representing the shade of a specified line segment:

LineSegmentEdit

(

Position: 0

)

Type

(

?LineSegmentShading

)

LineSegmentEnd

(

State: Save!

)

LineStyleEnd

(

State: Save!

)

See Also

LineSegmentColor


?LineSegmentSpacing

Purpose

?LineSegmentSpacing contains a value representing the amount of space between one stacked line segment and the next. The value of this variable is a measurement expression using the current unit of measure. This variable must be preceded by either LineStyleCreate or LineStyleEdit and followed by LineStyleEnd, and be preceded by either LineSegmentCreate or LineSegmentEdit and followed by LineSegmentEnd.

For example, the following macro types a value representing the amount of space between specified stacked line segments:

LineStyleEdit

(

Style: "My Style"

)

LineSegmentEdit

(

Position: 0

)

Type

(

?LineSegmentSpacing

)

LineSegmentEnd

(

State: Save!

)

LineStyleEnd

(

State: Save!

)

See Also

LineSegmentSpacing


?LineSegmentWidth

Purpose

?LineSegmentWidth contains the thickness of a line segment. The value of this variable is a measurement expression using the current unit of measure. This variable must be preceded by either LineStyleCreate or LineStyleEdit and followed by LineStyleEnd, and be preceded by either LineSegmentCreate or LineSegmentEdit and followed by LineSegmentEnd.

For example, the following macro types a value representing the width of a specified line segment:

LineStyleEdit

(

Style: "My Style"

)

LineSegmentEdit

(

Position: 0

)

Type

(

?LineSegmentWidth

)

LineSegmentEnd

(

State: Save!

)

LineStyleEnd

(

State: Save!

)

See Also

LineSegmentWidth


?LineSegmentWPG2Pattern

Purpose

?LineSegmentWPG2Pattern contains a value representing a predefined line segment pattern. The value of this variable is one of the numeric equivalents or enumerated types listed for the LineSegmentSetWPG2.  This variable must be preceded by either LineStyleCreate or LineStyleEdit and followed by LineStyleEnd, and be preceded by either LineSegmentCreate or LineSegmentEdit and followed by LineSegmentEnd.

For example, the following macro types a value representing the pattern of a specified line segment:

LineStyleEdit

(

Style: "My Style"

)

LineSegmentEdit

(

Position: 0

)

Type

(

?LineSegmentWPG2Pattern

)

LineSegmentEnd

(

State: Save!

)

LineStyleEnd

(

State: Save!

)

See Also

LineSegmentSetWPG2


?LineSpacing

Purpose

?LineSpacing contains a measurement expression indicating the amount of space between lines.

See Also

LineSpacing


?ListDefinition

Purpose

?ListDefinition contains the current list name.

See Also

ListDefinition


?MacroExecute

Purpose

?MacroExecute contains a value representing whether a macro is playing.

Value	Description

False	Not playing

True	Playing


?MacroPlaying

Purpose

?MacroPlaying contains a value representing whether a macro is playing.

Value	Description

False	Not playing

True	Playing


?MacroRecord

Purpose

?MacroRecord contains a value representing whether a macro is recording.

Value	Description

False	Not recording

True	Recording


?MajorVersion

Purpose

?MajorVersion contains the major version number of the current WordPerfect version.


?MarginBottom

Purpose

?MarginBottom contains a value representing the size of the bottom margin. The value of this variable is a measurement expression in WordPerfect units (1200 per inch).

See Also

MarginBottom


?MarginLeft

Purpose

?MarginLeft contains a value representing the size of the left margin. The value of this variable is a measurement expression in WordPerfect units (1200 per inch).

See Also

MarginLeft


?MarginRight

Purpose

?MarginRight contains a value representing the size of the right margin. The value of this variable is a measurement expression in WordPerfect units (1200 per inch).

See Also

MarginRight


?MarginTop

Purpose

?MarginTop contains a value representing the size of the top margin. The value of this variable is a measurement expression in WordPerfect units (1200 per inch).

See Also

MarginTop


?MinorVersion

?MergeDone

Purpose

?MergeDone contains a value representing whether a merge, executed while the macro is running, has finished.

Value	Description

False	Not finished

True	Finished


?MinorVersion

Purpose

?MinorVersion contains the minor version number of the current WordPerfect version.


?Name

Purpose

?Name contains the current filename.


?Network

Purpose

?Network contains a value representing whether WordPerfect is running on a network.

Value	Description

False	Not on a network

True	On a network


?NotFound

Purpose

?NotFound contains a value representing whether the object of the last search was not found.

Value	Description

False	Found

True	Not found


?Overstrike

Purpose

?Overstrike contains the current overstrike characters.

See Also

OverstrikeCreate


?Page

Purpose

?Page contains the current page number.

See Also

PageNumber


?PageBorder

Purpose

?PageBorder contains a value representing whether the current page has a border.

Value	Description

0	No border

1	Border

See Also

PageBorderDlg


?PageNumberFormat

Purpose

?PageNumberFormat contains the text included in the current page numbering format.

See Also

PageNumberFormat


?PageNumberingOn

Purpose

?PageNumberingOn contains a value representing whether page numbering is on in the current document.

Value	Description

0	No page numbering

1	Page numbering on


?PageNumberingValue

Purpose

?PageNumberingValue contains the new page number specified in Page Settings in the Numbering Value dialog box.


?PageNumberMethod

Purpose

?PageNumberMethod contains a value representing the current page numbering method. The value of this variable is one of the numeric equivalents or enumerated types listed for PageNumberMethod.

For example, the following macro causes the computer to beep if the current page numbering method is numbers:

IF

(

?PageNumberMethod=0

)

BEEP

ENDIF

See Also

PageNumberMethod


?PageNumberPosition

Purpose

?PageNumberPosition contains a value representing the current page number position on the page. The value of this variable is one of the numeric equivalents or enumerated types listed for the Position parameter of PageNumberPosition.

For example, the following macro causes the computer to beep if the current page number position is top left:

IF

(

?PageNumberPosition=1

)

BEEP

ENDIF

See Also

PageNumberPosition


?PageSuppress

Purpose

?PageSuppress contains a value representing the items to suppress on the current page, as set in the Suppress dialog box.  If two or more items are suppressed, the value returned is the sum of the items' values.

Value	Description

0	None

1	Page numbering

2	Print page number at bottom center on current page

4	Header A

8	Header B

16	Footer A

32	Footer B

64	Watermark A

128	Watermark B

253	All

See Also

PageSuppressDlg


?PaperLength

Purpose

?PaperLength contains a measurement expression indicating the current paper length in WordPerfect units of measure.


?PaperSizeType

Purpose

?PaperSizeType contains a value representing paper type of the paper definition selected in the Paper Size dialog box. The value of this variable is one of the numeric equivalents or enumerated types listed for the Type parameter of PaperSizeAdd.

For example, the following macro causes the computer to beep if a bond paper type is selected:

IF

(

?PaperSizeType=2

)

BEEP

ENDIF

See Also

PaperSizeDlg

PaperSizeAdd


?PaperWidth

Purpose

?PaperWidth contains a measurement expression indicating the current paper width in WordPerfect units of measure.


?ParagraphBorder

Purpose

?ParagraphBorder contains a value representing whether a border style is selected in the Paragraph Border dialog box.

Value	Description

0	No border style selected

1	Border style selected

See Also

ParagraphBorderDlg


?ParagraphNumber

Purpose

?ParagraphNumber contains a value indicating the paragraph number if the paragraph outline style is active.  If the paragraph outline style is not active, the value returned is 0.


?ParagraphNumberMethod

Purpose

?ParagraphNumberMethod contains a value indicating the paragraph numbering method specified for an outline when a custom number is defined in the Edit Outline Definition dialog box. The value of this variable is one of the numeric equivalents or enumerated types listed for PageNumberMethod.

For example, the following macro causes the computer to beep if the paragraph numbering method is numbers:

IF

(

?ParagraphNumberMethod=0

)

BEEP

ENDIF

See Also

PageNumberMethod


?Path

Purpose

?Path contains the current file path, but does not include the filename.


?PathBackup

Purpose

?PathBackup returns the backup directory specified in File Preferences.


?PathCurrent

Purpose

?PathCurrent contains the current directory.


?PathDatabase

Purpose

?PathDatabase contains the directory specified for database files in the File Preferences dialog box.


?PathDatabaseSupplemental

Purpose

?PathDatabaseSupplemental contains the directory specified for supplemental database files in the File Preferences dialog box.


?PathDocument

Purpose

?PathDocument contains the directory specified for documents in the File Preferences dialog box.


?PathGraphics

Purpose

?PathGraphics contains the directory specified for graphics files in the File Preferences dialog box.


?PathGraphicsSupplemental

Purpose

?PathGraphicsSupplemental contains the directory specified for supplemental graphics files in the File Preferences dialog box.


?PathHyphenation

Purpose

?PathHyphenation contains the directory specified for Hyphenation files in the File Preferences dialog box.


?PathLabels

Purpose

?PathLabels contains the directory and filename specified for labels files in the File Preferences dialog box.


?PathMacros

Purpose

?PathMacros contains the directory specified for macros files in the File Preferences dialog box.


?PathMacrosSupplemental

Purpose

?PathMacrosSupplemental contains the directory specified for supplemental macros files in the File Preferences dialog box.


?PathPrinters

Purpose

?PathPrinters contains the directory specified for printer files in the File Preferences dialog box.


?PathPrintersSupplemental

Purpose

?PathPrintersSupplemental contains the directory specified for supplemental printer files in the File Preferences dialog box.


?PathProgram

Purpose

?PathProgram contains the WordPerfect program directory (where WPWIN60.EXE is located).


?PathShared

Purpose

?PathShared contains the directory where WordPerfect shared code files are located.


?PathSpreadsheet

Purpose

?PathSpreadsheet contains the directory specified for spreadsheet files in the File Preferences dialog box.


?PathSpreadsheetSupplemental

Purpose

?PathSpreadsheetSupplemental contains the directory specified for supplemental spreadsheet files in the File Preferences dialog box.


?PathTemplate

Purpose

?PathTemplate contains the directory specified for template files in the File Preferences dialog box.


?PathTemplateSupplemental

Purpose

?PathTemplateSupplemental contains the directory specified for supplemental template files in the File Preferences dialog box.


?PauseKey

Purpose

?PauseKey contains a value representing the keystroke specified to resume a paused macro.


?Position

Purpose

?Position contains a value representing the horizontal position of the insertion point. The value of this variable is a measurement expression given in WordPerfect units of measure (1/1200").


?PowerBarActive

Purpose

?PowerBarActive indicates whether the power bar is active in the current document.

Value	Description

False	Not active

True	Active


?Random

Purpose

?Random contains a random number between 0 and 32767.


?RedlineCharacter

Purpose

?RedlineCharacter contains a value representing the character used to mark redline text. The value of this variable is the character's ASCII numeric equivalent.

See Also

RedlineCharacter


?RedlineMethod

Purpose

?RedlineMethod contains a value representing a redline method for the current document. The value of this variable is one of the numeric equivalents or enumerated types listed for RedlineMethod.

For example, the following macro causes the computer to beep if the current redline method is printer dependent:

IF

(

?RedlineMethod=0

)

BEEP

ENDIF

See Also

RedlineMethod


?RevealCodesActive

Purpose

?RevealCodesActive contains a value representing whether Reveal Codes is active.

Value	Description

False	Not active

True	Active


?RightChar

Purpose

?RightChar contains the character at the insertion point.


?RightCode

Purpose

?RightCode contains a value representing the code at the insertion point.  The value of this variable is the numeric equivalent of the code.


?RightHyphZone

Purpose

?RightHyphZone contains a value representing the upper limit of a hyphenation zone. The value of this variable is a numeric expression indicating a percentage of a word.

See Also

HyphenationZoneRight


?RightMarginAdj

Purpose

?RightMarginAdj contains a measurement expression indicating the amount of right margin adjustment in WordPerfect units of measure for the current paragraph.

See Also

MarginAdjustRight


?Row

Purpose

?Row contains the current row number in a table.


?RowHeader

Purpose

?RowHeader contains a value representing whether the current table row is a header row.

Value	Description

0	Not a header

1	Header


?RowHeight

Purpose

?RowHeight contains a measurement expression in WordPerfect units of measure indicating the current table row height.


?RulerBarActive

Purpose

?RulerBarActive contains a value representing whether the ruler bar is active in the current document.

Value	Description

False	Not active

True	Active


?SaveWorkspace

Purpose

?SaveWorkspace contains a value representing the current Save Workspace environment preference setting.

Value	Environment Preferences Setting

0	Always

1	Never

2	Prompt on Exit

For Example, the following macro will beep if Save Workspace is set to Never in the Environment Preferences dialog box.

IF

(

?SaveWorkspace=1

)

BEEP

ENDIF


?SecondaryPageNumber

Purpose

?SecondaryPageNumber contains the current secondary page number.

See Also

SecondaryPageNumber


?SecondaryPageNumberMethod

Purpose

?SecondaryPageNumberMethod contains a value representing the secondary page numbering method for the current document. The value of this variable is one of the numeric equivalents or enumerated types listed for SecondaryPageNumberMethod.

For example, the following macro causes the computer to beep if the secondary page numbering method is lowercase letters:

IF

(

?SecondaryPageNumberMethod=1

)

BEEP

ENDIF

See Also

SecondaryPageNumberMethod


?SelectedText

Purpose

?SelectedText contains the currently selected text.  This variable cannot type out the selected text, but it can be used in an expression designed to evaluate the text or to assign it to another variable.

For example, the following macro beeps if the currently selected text is "Continued...":

IF(?SelectedText="Continued...")

BEEP

ENDIF


?SelectedTextSize

Purpose

?SelectedTextSize contains a value representing the number of bytes in selected text.


?ShowBoxes

Purpose

?ShowBoxes contains a value representing whether Display Preferences hide or show graphics.

Value	Description

0	Hide graphics

1	Show graphics

See Also

ShowBoxes


?SortGetAction

Purpose

?SortGetAction contains a value representing whether Select Without Sorting is on or off.

Value	Description

0	Off

1	On

See Also

SortAction


?SortGetCase

Purpose

?SortGetCase contains a value representing whether the Uppercase First sort option is on or off.

Value	Description

0	Off

1	On

See Also

SortCaseOrder


?SpaceExpansion

Purpose

?SpaceExpansion contains a numeric expression representing, as a percentage, the current compression limit for word spacing justification.

See Also

WordSpacingJustificationLimits


?SpacingBelowPar

Purpose

?SpacingBelowPar contains a measurement expression indicating the amount of blank space between paragraphs. The default is 1.0, which is equal to the font point size plus 2 points.

See Also

ParagraphSpacing


?StartingLineNumber

Purpose

?StartingLineNumber contains the first number to use when numbering lines of text.

See Also

LineNumbering


?StatusBarActive

Purpose

?StatusBarActive contains a value representing whether the status bar is active in the current document.

Value	Description

False	Not Active

True	Active


?Substructure

Purpose

?Substructure contains a value representing whether a substructure is active.

Value	Description

False	No substructure active.

True	Substructure active


?TableDefaultLine

Purpose

?TableDefaultLine contains a value representing the default line style of the current table. The value of this variable is one of the numeric equivalents or enumerated types listed for TableDefaultLine.

For Example:

IF

(

?TableDefaultLine=0

)

BEEP

ENDIF


?TableGuides

Purpose

?TableGuides contains a value representing whether the Table Cell Guides display preference is on or off.

Value	Description

0	Off

1	On

See Also

TableGuides


?TableInTable

Purpose

?TableInTable contains a value representing whether the insertion point is in a table.

Value	Description

0	Not in a table

1	In a table


?TableLastCell

Purpose

?TableLastCell contains a value representing whether the current cell is the last cell in a table.

Value	Description

0	Not last cell

1	Last cell


?TabSettings

Purpose

?TabSettings contains a value representing whether tabs are positioned from the left edge of the paper or relative to the left margin.

Value	Description

0	Left edge of paper

1	Left margin

See Also

TabSet


?TemplateFile

Purpose

?TemplateFile contains the path and filename of the default template.


?TemplateFileSupplemental

Purpose

?TemplateFileSupplemental contains the path and filename of the current supplemental template.


?TextColorBlue

Purpose

?TextColorBlue contains a value representing the amount of blue in the current text color. Values range from 0 to 255.

See Also

TextColor


?TextColorGreen

Purpose

?TextColorGreen contains a value representing the amount of green in the current text color. Values range from 0 to 255.

See Also

TextColor


?TextColorRed

Purpose

?TextColorRed contains a value representing the amount of red in the current text color. Values range from 0 to 255.

See Also

TextColor


?TextColumnNumber

Purpose

?TextColumnNumber contains the number of the text column containing the insertion point.


?TextColumns

Purpose

?TextColumns contains the number of text columns in the current document.


?TextShade

Purpose

?TextShade contains a value representing the shade of the current text color. The value of this variable is a percentage, with 100 indicating the darkest shade of a color.

See Also

TextColor


?ThousandsSeparatorChar

Purpose

?ThousandsSeparatorChar contains the character that appears in numbers greater than or equal to 1000 to separate each three digits.

See Also

ThousandsSeparator


?TimeHour

Purpose

?TimeHour contains a value representing the current hour on a 24 hour clock.


?TimeHundredth

Purpose

?TimeHundredth contains a value representing the current hundredth of a second.


?TimeMinute

Purpose

?TimeMinute contains a value representing the current minute.


?TimeSecond

Purpose

?TimeSecond contains a value representing the current second.


?TOADefinition

Purpose

?TOADefinition contains the current table of authorities section name.

See Also

TOADefinition


?ToAShortFormMarks

Purpose

?ToAShortFormMarks contains the name of the last table of authorities short form marked.

See Also

TOAMarkShortForm


?ToAShortFormMarks

?ToAShortForms

Purpose

?ToAShortForms contains the name of the last short form encountered in a table of authorities.


?ToCDefinition

Purpose

?ToCDefinition contains the number of levels defined for the current table of contents.

See Also

TOCDefine


?TypeoverActive

Purpose

?TypeoverActive contains a value representing whether Typeover is active.

Value	Description

False	Not active

True	Active

See Also

Typeover


?UndeleteBuffers

Purpose

?UndeleteBuffers contains the number of buffers available to undelete.


?UnderlineSpaces

Purpose

?UnderlineSpaces contains a value representing whether blank spaces are underlined when underline is on.

Value	Description

0	Do not underline spaces

1	Underline spaces

See Also

UnderlineSpaces


?UnderlineTabs

Purpose

?UnderlineTabs contains a value representing whether tabs are underlined when underline is on.

Value	Description

0	Do not underline tabs

1	Underline tabs

See Also

UnderlineTabs


?UnprintableBottomMargin

Purpose

?UnprintableBottomMargin contains a measurement expression indicating the size of the unprintable bottom margin in WordPerfect units.


?UnprintableLeftMargin

Purpose

?UnprintableLeftMargin contains a measurement expression indicating the size of the unprintable left margin in WordPerfect units.


?UnprintableRightMargin

Purpose

?UnprintableRightMargin contains a measurement expression indicating the size of the unprintable right margin in WordPerfect units.


?UnprintableTopMargin

Purpose

?UnprintableTopMargin contains a measurement expression indicating the size of the unprintable top margin in WordPerfect units.


?UpdateQuickList

Purpose

?UpdateQuickList contains a value representing whether the Update QuickList with Changes file preference is on or off.

Value	Description

False	Off

True	On


?UseDefaultDocExt

Purpose

?UseDefaultDocExt contains a value representing whether Use Default Extension on Open and Save is on in File Preferences.

Value	Description

False	Off

True	On


?UserColorBlue

Purpose

?UserColorBlue contains a value representing the amount of blue in the current user-defined color. Values range from 0 to 255.


?UserColorGreen

Purpose

?UserColorGreen contains a value representing the amount of green in the current user-defined color. Values range from 0 to 255.


?UserColorRed

Purpose

?UserColorRed contains a value representing the amount of red in the current user-defined color. Values range from 0 to 255.


?UserInitials

Purpose

?UserInitials contains the user initials specified in environment preferences.


?UserName

Purpose

?UserName contains the user name specified in environment preferences.


?VolumeNumber

Purpose

?VolumeNumber contains the current volume number.

See Also

VolumeNumber


?VolumeNumberMethod

Purpose

?VolumeNumberMethod contains a value representing the current volume numbering method. The value of this variable is one of the numeric equivalents or enumerated types listed for VolumeNumberMethod.

For example, the following macro causes the computer to beep if the volume numbering method is numbers:

IF

(

?VolumeNumberMethod=0

)

BEEP

ENDIF

See Also

VolumeNumberMethod


?WatermarkAOccur

Purpose

?WatermarkAOccur contains a value representing whether Watermark A occurs on odd, even, or all pages. The value of this variable is one of the numeric equivalents or enumerated types listed for the Occurrence parameter of WatermarkA.

For example, the following macro causes the computer to beep if Watermark A occurs on all pages:

IF

(

?WatermarkA=3

)

BEEP

ENDIF

See Also

WatermarkA


?WatermarkBOccur

Purpose

?WatermarkBOccur contains a value representing whether Watermark B occurs on odd, even, or all pages. The value of this variable is one of the numeric equivalents or enumerated types listed for the Occurrence parameter of WatermarkB.

For example, the following macro causes the computer to beep if Watermark B occurs on even pages:

IF

(

?WatermarkB=2

)

BEEP

ENDIF

See Also

WatermarkB


?WidowOrphan

Purpose

?WidowOrphan indicates whether Widow/Orphan is on or off.

Value	Description

False	Off

True	On

See Also

WidowOrphan


?WritingToolsDisabledState

Purpose

?WritingToolsDisabledState contains a value representing whether Disable Writing Tools is on or off.

Value	Description

0	Off

1	On

See Also

WritingToolsDisable


?Zoom

Purpose

?Zoom contains a percentage indicating the size of the current view.

See Also

ZoomDlg


For Example...

APPLICATION (A1; "WordPerfect"; Default; "US")

// Execute Windows Cardfile three times: full screen, normal size, and to an icon

// FORNEXT decrements initial value

FORNEXT(vCtrl; 3; 1; -1)

ASSIGN(vReturn; APPEXECUTEEXT("c:\windows\cardfile.exe"; vCtrl))

IF(vReturn < 32)

BEEP

MESSAGEBOX(vStatus; "ERROR"; "Unable to execute Cardfile.exe"; IconExclamation!)

QUIT

ENDIF

ENDFOR


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Execute Windows Calculator

// Locate and activate 3 times

// Demonstrate APPEXECUTE command

ASSIGN(hWP; APPLOCATE("*"))

APPEXECUTE("c:\windows\calc.exe")

ASSIGN(hCalc; APPLOCATE("Calculator"))

FORNEXT(vCtrl; 1; 2; 1)

WAIT(10)

APPACTIVATE(hWP)

WAIT(10)

APPACTIVATE(hCalc)

ENDFOR


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Display message box on ASSERT condition

// Demonstrate ASSERT command

ONCANCEL(Condition)

ONERROR(Condition)

ONNOTFOUND(Condition)

LABEL(Start)

MENU(vPick; Digit!; ; ; {"Assert Cancel"; "Assert Error"; "Assert Not Found"; "Quit"})

SWITCH(vPick)

CASEOF 1: ASSERT(CancelCondition!)

CASEOF 2: ASSERT(ErrorCondition!)

CASEOF 3: ASSERT(NotFoundCondition!)

CASEOF 4: QUIT

DEFAULT: GO(Condition)

ENDSWITCH

LABEL(Condition)

SWITCH(ErrorNumber)

CASEOF 1: vMsg := "1 (Cancel condition)"

CASEOF 2: vMsg := "2 (Error condition)"

CASEOF 7: vMsg := "3 (Not Found condition)"

DEFAULT: vMsg := "?"

ENDSWITCH

MESSAGEBOX(vStatus; "ASSERT COMMAND"; "You selected " + vMsg; IconInformation!)

GO(Start)


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Beep vCount times - BREAK when vCount equals 4

// Remember: functions do not execute unless called

// Demonstrate BEEP command

FUNCTION BeepBeep(vCount)

REPEAT

BEEP

WAIT(3)

vCount := vCount - 1

UNTIL(vCount = 0)

RETURN

ENDFUNC

FOREACH(vCount; {1; 2; 3; 4; 5})

IF(vCount = 4)

BREAK

ENDIF

BeepBeep(vCount)

WAIT(5)

ENDFOR

MESSAGEBOX(x; "BREAK"; "Variable vCount equals 4"; IconInformation!)

QUIT


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Test user input

// Remember: procedures do not execute unless called

// Demonstrate GETNUMBER command

PROCEDURE ErrorMsg(x)

BEEP BEEP BEEP

IF(x < 1)

vMessage := x + " is less than 1"

ELSE

vMessage := x + " is greater than 5"

ENDIF

MESSAGEBOX(vStatus; "OUT-OF-RANGE ERROR" ; vMessage + " - please try again"; IconExclamation!)

ENDPROC

REPEAT

GETNUMBER(vNum; "Enter a number from 1 to 5"; "GETNUMBER EXAMPLE")

IF((vNum < 1) OR (vNum > 5))

CALL ErrorMsg(vNum)

ELSE

MESSAGEBOX(vStatus; "YES!"; "You entered " + vNum; IconInformation!)

ENDIF

UNTIL((vNum > 0) AND (vNum < 6))


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Test user input for Y or N

// For Cancel condition: chose Cancel, click Close, press Alt+F4, or double-click system menu box

// Demonstrate CHARLEN command

CANCEL(On!)

ONCANCEL CALL(CancelMessage)

PROCEDURE Message(vPrompt; vIcon)

IF(vIcon = "!")

BEEP

MESSAGEBOX(y; "Message Box"; vPrompt; IconExclamation!)

ELSE

MESSAGEBOX(y; "Message Box"; vPrompt; IconInformation!)

ENDIF

ENDPROC

vStr := ""

REPEAT

GETSTRING(vStr; "Press one character: ""Y"" for Yes or ""N"" for no"; "GETSTRING EXAMPLE"; 50)

IF(vStr = "")

vStr := "<Enter>"

ENDIF

vTest := TOUPPER(vStr)

IF(CHARLEN(vStr) > 1)

CALL Message("You typed or pressed """ + vStr + """"; "!")

ELSE

IF((vTest = "Y") OR (vTest = "N"))

CALL Message("Well done - You pressed " + vTest; "i")

ELSE

CALL Message("You pressed """ + vStr + """"; "!")

ENDIF

ENDIF

UNTIL(((vTest = "Y") OR (vTest = "N")) AND NOT(CHARLEN(vStr) > 1))

QUIT

LABEL(CancelMessage)

vStr := "a Cancel control"

RETURN


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Specify a unit of measure or accept WP units default

// Demonstrate GETUNITS command

MENU(vChoice; Digit; ; ; {"Advance down"; "Advance up"; "Advance left"; "Advance right"})

SWITCH(vChoice)

CASEOF 1: vPrompt := "Advance down:"

CASEOF 2: vPrompt := "Advance up:"

CASEOF 3: vPrompt := "Advance left:"

CASEOF 4: vPrompt := "Advance right:"

ENDSWITCH

DEFAULTUNITS(Inches!)

GETUNITS(vUnit; vPrompt; "GETUNITS EXAMPLE")

SWITCH(vChoice)

CASEOF 1: ADVANCE(AdvanceDown!; vUnit)

CASEOF 2: ADVANCE(AdvanceUp!; vUnit)

CASEOF 3: ADVANCE(AdvanceLeft!; vUnit)

CASEOF 4: ADVANCE(AdvanceRight!; vUnit)

ENDSWITCH


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Execute Windows Calculator, Calendar, and Cardfile

// Demonstrate CASE CALL inside a REPEAT-UNTIL loop

ASSIGN(hWP; APPLOCATE("*"))

REPEAT

MENU(vChoice; Digit; ; ; {"Calculator"; "Calendar"; "Card File"; "Quit"})

CASE CALL(vChoice; {1; Program; 2; Program; 3; Program; 4; QuitMacro}; QuitMacro)

UNTIL(vChoice = 4)

LABEL(Program)

SWITCH(vChoice)

CASEOF 1: vProgram := "c:\windows\calc.exe"

CASEOF 2: vProgram := "c:\windows\calendar.exe"

CASEOF 3: vProgram := "c:\windows\cardfile.exe"

ENDSWITCH

APPEXECUTE(vProgram)

RETURN

LABEL(QuitMacro)

MESSAGEBOX(vStatus; "EXIT"; "Are you finished?"; IconQuestion! | YesNo!)

IF(vStatus = 6)

APPACTIVATE(hWP)

QUIT

ELSE

vChoice := ""

RETURN

ENDIF


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Create personal or business letterhead

MENU(vChoice; Digit; ; ; {"Personal letterhead"; "Business letterhead"; "Quit"})

FileNew

CASE(vChoice; {1; Personal; 2; Business; 3; QuitMacro}; QuitMacro)

LABEL(Personal)

Center

AttributeAppearanceOn(Bold!)

FontSize(16.0p)

Type("From Dan's Desk")

AttributeAppearanceOff(Bold!) HardReturn

Center FontSize(12.0p)

DateCode

HardReturn HardReturn HardReturn

Type("Dear ")

QUIT

LABEL(Business)

DateCode HardReturn HardReturn

Type("Mr. John Doe") HardReturn

Type("Executive Vice President") HardReturn

Type("XYZ Company") HardReturn

Type("4399 Oak View Drive") HardReturn

Type("Orem, UT 84057") HardReturn HardReturn

Type("Dear Mr. Doe:")

QUIT

LABEL(QuitMacro)

QUIT


For Example...

// There are four macros in this example

// Compile separately

APPLICATION(A1; "WordPerfect"; Default; "US")

// macro1.wcm

MESSAGEBOX(vStatus; vTitle; vPrompt; IconInformation!)

APPLICATION(A1; "WordPerfect"; Default; "US")

// macro2.wcm

MESSAGEBOX(vStatus; vTitle; vPrompt; IconInformation!)

APPLICATION(A1; "WordPerfect"; Default; "US")

// macro3.wcm

MESSAGEBOX(vStatus; vTitle; vPrompt; IconInformation!)

APPLICATION(A1; "WordPerfect"; Default; "US")

// Calling Macro

// Demonstrate CHAIN command and GLOBAL variables

GLOBAL vTitle; vPrompt

MENU(vChoice; Letter; ; ; {"Macro 1"; "Macro 2"; "Macro 3"})

ASSIGN(vPrompt; "Computer beeps before chain macro called")

ASSIGN(vMacrosPath; ?PathMacros)

SWITCH(vChoice)

CASEOF 1:

ASSIGN(vTitle; "MACRO ONE")

CHAIN(vMacrosPath + "macro1.wcm")

CASEOF 2:

ASSIGN(vTitle; "MACRO TWO")

CHAIN(vMacrosPath + "macro2.wcm")

CASEOF 3:

ASSIGN(vTitle; "MACRO THREE")

CHAIN(vMacrosPath + "macro3.wcm")

ENDSWITCH

// beep sounds before chain macro called

BEEP WAIT(5)


For Example...

// There are four macros in this example

// Compile separately

APPLICATION(A1; "WordPerfect"; Default; "US")

// macro1.wcm

MESSAGEBOX(vStatus; vTitle; vPrompt; IconInformation!)

RETURN

APPLICATION(A1; "WordPerfect"; Default; "US")

// macro2.wcm

MESSAGEBOX(vStatus; vTitle; vPrompt; IconInformation!)

RETURN

APPLICATION(A1; "WordPerfect"; Default; "US")

// macro3.wcm

MESSAGEBOX(vStatus; vTitle; vPrompt; IconInformation!)

RETURN

APPLICATION(A1; "WordPerfect"; Default; "US")

// Calling Macro

// Demonstrate RUN command and GLOBAL variables

GLOBAL vTitle; vPrompt

ASSIGN(vPrompt; "RUN macros can return to their caller")

ASSIGN(vMacrosPath; ?PathMacros)

REPEAT

MENU(vChoice; Letter; ; ; {"Macro 1"; "Macro 2"; "Macro 3"; "Quit"})

SWITCH(vChoice)

CASEOF 1:

ASSIGN(vTitle; "MACRO ONE")

RUN(vMacrosPath + "macro1.wcm")

CASEOF 2:

ASSIGN(vTitle; "MACRO TWO")

RUN(vMacrosPath + "macro2.wcm")

CASEOF 3:

ASSIGN(vTitle; "MACRO THREE")

RUN(vMacrosPath + "macro3.wcm")

DEFAULT: QuitMacro

ENDSWITCH

UNTIL(vChoice = 4)

LABEL(QuitMacro)

BEEP

MESSAGEBOX(vStatus; "QUIT"; "This example uses global variables"; IconExclamation!)

DISCARD vTitle; vPrompt

QUIT


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Create a loop with GO command

// Demonstrate CASE, MESSAGEBOX, and system variables

LABEL(Start)

MENU(vChoice; Digit; ; ; {"IconExclamation!"; "IconInformation!"; "IconQuestion"; "IconStop!"; "Quit"})

CASE(vChoice; {1; Exclaim; 2; Info; 3; Question; 4; Stop; 5; QuitMacro}; QuitMacro)

LABEL(Exclaim)

MESSAGEBOX(x; "EXCLAMATION"; "Example of an exclamation icon"; IconExclamation!)

GO(LoopToStart)

LABEL(Info)

ASSIGN(vDay; ?DateWeekday)

MESSAGEBOX(x; "INFORMATION"; "Example of an information icon - The current day of the week is " + vDay + "."; IconInformation!)

GO(LoopToStart)

LABEL(Question)

Yes := 6

MESSAGEBOX(vAns; "QUESTION"; "Example of a question icon.  Would you like to know the current document font?"; IconQuestion! | YesNo!)

IF(vAns = Yes)

vFont := ?DocumentFont

vPrompt := "The current document font is " + vFont

MESSAGEBOX(x; "FONT"; vPrompt; IconInformation!)

GO(LoopToStart)

ELSE

GO(LoopToStart)

ENDIF

LABEL(Stop)

MESSAGEBOX(z; "STOP"; "Example of a stop icon"; IconStop!)

GO(LoopToStart)

LABEL(LoopToStart)

MESSAGEBOX(vAns; "Message"; "Would you like to continue?"; IconQuestion! | YesNo!)

IF(vAns = 7)

GO(QuitMacro)

ELSE

GO(Start)

ENDIF

LABEL(QuitMacro)

BEEP

QUIT


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Extract numbers from a character string

// Demonstrate CHARLEN command

vNumbers := ""

vPrompt := "Enter text that includes both letters and numbers:"

LABEL(Start)

GETSTRING(vStr; vPrompt; "EXTRACT NUMBERS")

IF(vStr = "")

BEEP

MESSAGEBOX(x; "ERROR"; "You pressed return without entering any text"; IconStop!)

GO(Start)

ENDIF

vLen := CHARLEN(vStr)

vPos := 1

WHILE(NOT(vPos = vLen + 1))

vTest := SUBCHAR(vStr; vPos; 1)

IF((CTON(vTest) > 47) AND (CTON(vTest) < 58))

vNumbers := vNumbers + vTest

ENDIF

vPos := vPos + 1

ENDWHILE

IF(CHARLEN(vNumbers) > 0)

MESSAGEBOX(x; "NUMBER STRING"; "You entered the following numbers: " + vNumbers; IconInformation!)

ELSE

BEEP

MESSAGEBOX(x; "ERROR"; "You didn't enter any numbers"; IconExclamation!)

ENDIF


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Extract "Perfect" from WordPerfect

// Test if "Corporation" was entered

// Demonstrate SUBCHAR command

vNumbers := ""

vPrompt := "Enter the following text: ""WordPerfect Corporation"""

LABEL(Start)

GETSTRING(vStr; vPrompt; "USING SUBCHAR")

IF(vStr = "")

BEEP

MESSAGEBOX(x; "ERROR"; "You pressed return without entering any text"; IconStop!)

GO(Start)

ENDIF

vSub := SUBCHAR(vStr; 5; 7)

IF(vSub = "Perfect")

MESSAGEBOX(x; "SUBCHAR EXAMPLE"; "WordPerfect is simply """ + vSub + """"; IconInformation!)

IF(CHARPOS(vStr; "Corporation") = 0)

BEEP

MESSAGEBOX(x; "CHARPOS EXAMPLE"; "You entered ""WordPerfect"" but not ""Corporation"""; IconExclamation!)

ENDIF

ELSE

BEEP

MESSAGEBOX(x; "ERROR"; """WordPerfect"" wasn't the first word"; IconExclamation!)

GO(Start)

ENDIF


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Start conversation with WP Office 4.0a

// Execute WP Office 4.0a command

// Demonstrate DDEEXECUTE and DDEINITIATE commands

ASSIGN(hConv; DDEINITIATE("WPOFFICE40"; "COMMAND"))

IF(hConv) // IF hConv not equal to 0

DDEEXECUTE(hConv; "ViewOpenNamed(ViewName:""Mail""; ViewType:Mail!)")

DDETERMINATEALL

ELSE

BEEP

MESSAGEBOX(x; "ERROR"; "Is WP Office running?  Conversation not started."; IconQuestion!)

ENDIF


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Start conversation with WP Office 4.0a

// Execute WP Office 4.0a command

// Demonstrate DDEEXECUTEEXT command

ASSIGN(hConv; DDEINITIATE("WPOFFICE40"; "COMMAND"))

IF(hConv) // IF hConv not equal to 0

vReturn := DDEEXECUTEEXT(hConv; "ViewOpenNamed(""Mail""; Mail!)"; 0; Message)

IF(vReturn = 0)

MESSAGEBOX(x; "ERROR"; "Command not received by WP Office"; IconExclamation!)

ENDIF

ELSE

BEEP

MESSAGEBOX(x; "ERROR"; "Is WP Office running?  Conversation not started."; IconQuestion!)

ENDIF

DDETERMINATE(hConv)

QUIT

LABEL(Message)

ASSIGN(vMsg; "WP Office acknowledges receipt of ViewOpenNamed command")

MESSAGEBOX(z; "DDEEXECUTEEXT EXAMPLE"; vMsg; IconInformation!)

RETURN


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Request WP Office 4.0a version number

// Demonstrate DDEREQUEST command

ASSIGN(hConv; DDEINITIATE("WPOFFICE40"; "GETOFFICEDATA"))

IF(hConv)

ASSIGN(vMajor; DDEREQUEST(hConv; "GetOfficeData(ID; MajorVersion!)"))

ASSIGN(vMinor; DDEREQUEST(hConv; "GetOfficeData(ID; MinorVersion!)"))

MESSAGEBOX(x; "DDEREQUEST EXAMPLE"; "WP Office version is " + vMajor + "." + vMinor; IconInformation!)

DDETERMINATE(hConv)

ELSE

BEEP

MESSAGEBOX(x; "ERROR"; "Is WP Office running?  Conversation not started."; IconQuestion!)

ENDIF


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Assign fax number to ExpressFax+

// Demonstrate DDEPOKE command

ASSIGN(hConv; DDEINITIATE("FAXMNG"; "Transmit"))

IF(hConv)

GETSTRING(vFax; "Enter FAX Number"; "ExpressFax+")

DDEPOKE(hConf;"FAX Number"; vFax)

DDETERMINATE(hConv)

ELSE

BEEP

MESSAGEBOX(x; "ERROR"; "Is ExpressFax+ running?  Conversation not started."; IconQuestion!)

ENDIF


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Declare an array of months

// Demonstrate DECLARE command, recursive LABEL statement

DECLARE Months[12]

x := 1

FOREACH(vMonth; {"January"; "Februrary"; "March"; "April"; "May"; "June"; "July"; "August"; "September"; "October"; "November"; "December"})

Months[x] := vMonth

x := x + 1

ENDFOR

LABEL(Start)

MENU(vNmbr; Letter; ; ; {"January"; "Februrary"; "March"; "April"; "May"; "June"; "July"; "August"; "September"; "October"; "November"; "December"; "QUIT"})

IF(vNmbr = 13)

BEEP

QUIT

ELSE

MESSAGEBOX(vStatus; "MONTHS OF THE YEAR"; "You selected " + Months[vNmbr]; IconInformation!)

GO(Start)

ENDIF


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Change current working directory

// Demonstrate DLLLOAD, DLLCALL, and DLLFREE

// Assign hard return code to a variable, insert in prompt string

// For information about WfsSetCurDir and WfsGetCurDir, see WordPerfect 6.0 for Windows Software Developer's Kit

DLLLOAD(hInstance; "shwin20.dll")

DLLCALL(hInstance; "WfsGetCurDir"; vMsgResult: WORD; {ADDRESS (ANSISTRING(CurDir))})

ASSIGN(HdReturn; NTOC(0F90Ah)) // hard return code

LABEL(Start)

GETSTRING(vNewDir; "The current working directory is " + CurDir + HdReturn + HdReturn + "Enter a new working directory:"; "DLL EXAMPLE")

IF(vNewDir = "")

BEEP

MESSAGEBOX(x; "ERROR"; "You pressed return without entering a path"; IconStop!)

GO(Start)

ENDIF

DLLCALL(hInstance; "WfsSetCurDir"; vMsgResult: WORD; {vNewDir})

DLLCALL(hInstance; "WfsGetCurDir"; vMsgResult: WORD; {ADDRESS (ANSISTRING(CurDir))})

MESSAGEBOX(vAns; "DLL EXAMPLE"; "The new working directory is " + CurDir; IconInformation! | RetryCancel!)

IF(vAns = 2)

BEEP

QUIT

ELSE

GO(Start)

ENDIF

DLLFREE(hInstance)

QUIT


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// LABEL(ErrorMsg) executes with ERROR(On!)

// Demonstrate ERROR command

ONERROR(ErrorMsg)

REPEAT

MENU(vChoice; Digit; ; ; {"ERROR(Off!)"; "ERROR(On!)"; "Quit"})

CASE CALL(vChoice; {1; OffMsg; 2; OnMsg; 3; QuitMacro}; QuitMacro)

UNTIL(vChoice = 3)

LABEL(OffMsg)

ERROR(Off!)

ASSERT(ErrorCondition!) // ignore Error condition

MESSAGEBOX(x; "ERROR(Off!)"; "Error condition ignored"; IconInformation!)

RETURN

LABEL(OnMsg)

ERROR(On!)

ASSERT(ErrorCondition!) // LABEL(ErrorMsg) executed

RETURN

LABEL(ErrorMsg)

BEEP

MESSAGEBOX(x; "ERROR CONDITION"; "An error condition causes LABEL(ErrorMsg) to execute"; IconInformation!)

RETURN

LABEL(QuitMacro)

QUIT


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// LABEL(NotFoundMsg) executes with NOTFOUND(On!)

// Demonstrate NOTFOUND command

ONNOTFOUND(NotFoundMsg)

REPEAT

MENU(vChoice; Digit; ; ; {"NOTFOUND(Off!)"; "NOTFOUND(On!)"; "Quit"})

CASE CALL(vChoice; {1; OffMsg; 2; OnMsg; 3; QuitMacro}; QuitMacro)

UNTIL(vChoice = 3)

LABEL(OffMsg)

NOTFOUND(Off!)

ASSERT(NotFoundCondition!) // ignore Not Found condition

MESSAGEBOX(x; "NOTFOUND(Off!)"; "Not Found condition ignored"; IconInformation!)

RETURN

LABEL(OnMsg)

NOTFOUND(On!)

ASSERT(NotFoundCondition!) // LABEL(NotFoundMsg) executed

RETURN

LABEL(NotFoundMsg)

BEEP

MESSAGEBOX(x; "NOTFOUND CONDITION"; "A Not Found condition causes LABEL(NotFoundMsg) to execute"; IconInformation!)

RETURN

LABEL(QuitMacro)

QUIT


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Declare and test variable types

// Demonstrate BREAK, EXIST, LOCAL, GLOBAL, and PERSIST commands

DISCARD var5; var1; var7

LOCAL var2; var9; var4

GLOBAL var3; var10; var6

PERSIST var5; var1; var7

ASSIGN(var8; "")

FOR(x; 1; x < 11; x + 1)

ASSIGN(INDIRECT("var" + x); x)

MESSAGEBOX(vStatus; "VAR" + x; "Continue to next variable?"; IconQuestion! | YesNo!)

IF(vStatus = 7)

BREAK

ENDIF

ENDFOR

FOR(z; 1; z < (x + 1); z + 1)

SWITCH(EXISTS(INDIRECT("var" + z)))

CASEOF 1: Msg("Local"; z)

CASEOF 2: Msg("Global"; z)

CASEOF 3: Msg("Persist"; z)

ENDSWITCH

ENDFOR

FUNCTION Msg(w; y)

MESSAGEBOX(z; "VARIABLE TYPES"; "var" + y + " = " + w)

ENDFUNC


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Calculate fractions and integers

// Demonstrate FRACTION and INTEGER commands

ONCANCEL(QuitMacro)

ASSIGN(HdReturn; NTOC(0F90Ah)) // hard return code

REPEAT

GETNUMBER(vNmbr; "Enter a real number:"; "FRACTION EXAMPLE")

ASSIGN(vInteger; INTEGER(vNmbr))

ASSIGN(vFraction; FRACTION(vNmbr))

vMsg1 := "The integer portion of " + vNmbr + " is " + vInteger

vMsg2 := "The fractional portion of " + vNmbr + " is " + vFraction

MESSAGEBOX(x; "INTEGER - FRACTION"; vMsg1 + HdReturn + HdReturn + vMsg2 + HdReturn; IconInformation! | RetryCancel!)

UNTIL(x = 2)

LABEL(QuitMacro)

QUIT


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Remember: functions must be called to execute

// Demonstrate FUNCTION command

HdReturn := NTOC(0F90Ah)

x := 4

vBeep := 1

FUNCTION Check(vBeep; HdReturn)

MESSAGEBOX(vStatus; "FUNCTION EXAMPLE"; "Beeps: " + vBeep + HdReturn + HdReturn + "Choose Retry to beep again." + HdReturn; IconInformation! | RetryCancel!)

RETURN(vStatus)

ENDFUNC

WHILE(x = 4)

BEEP

x := Check(vBeep; HdReturn)

vBeep := vBeep + 1

ENDWHILE

MESSAGEBOX(x; "RETURN"; "The value of variable vStatus (" + vStatus + ") is returned to variable x, which ends the loop."; IconExclamation!)


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Play .wav file

// Assume Windows sound system and that appropriate driver is installed

// Demonstrate MMPLAY and WAIT commands

No := 7

REPEAT

MENU(vWav; Digit; ; ; {"Siren"; "Crickets"; "Snoring"; "Thunder"; "Dog bark"; "Elephant"; "Quit"})

SWITCH(vWav)

CASEOF 1: PlaySound("siren.wav"; 115)

CASEOF 2: PlaySound("crickets.wav"; 50)

CASEOF 3: PlaySound("snoring.wav"; 30)

CASEOF 4: PlaySound("thunder.wav"; 30)

CASEOF 5: PlaySound("dogbark.wav"; 15)

CASEOF 6: PlaySound("elephant.wav"; 15)

CASEOF 7: QUIT

ENDSWITCH

MESSAGEBOX(vStatus; "MMPLAY"; "Would you like to hear another sound?"; IconQuestion! | YesNo!)

UNTIL(vStatus = No)

PROCEDURE PlaySound(vSound; vWait)

MMPLAY("c:\sndsys\sounds\" + vSound)

WAIT(vWait)

ENDPROC


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Speak an ASCII text file

// A text-to-speech driver must be installed

// Demonstrate MMSPEAK, MMSPEAKCLIPBOARD, MMSTOPSPEECH commands

REPEAT

MENU(vChoice; Digit; ; ; {"File"; "Clipboard"; "Quit"})

SWITCH(vChoice)

CASEOF 1:

GETSTRING(vStr; "Enter the path and name of a file to speak:"; "ASCII TEXT FILE")

IF(vStr = "")

BREAK

ELSE

MMSPEAK(vStr)

CancelMessage()

ENDIF

CASEOF 2:

MMSPEAKCLIPBOARD

CancelMessage()

ENDSWITCH

UNTIL(vChoice = 3)

QUIT

PROCEDURE CancelMessage()

vCancel := 2

MESSAGEBOX(vStatus; "SPEAK FILE"; "Choose Cancel any time to stop speech"; IconStop! | RetryCancel!)

IF(vStatus = vCancel)

MMSTOPSPEECH

ENDIF

ENDPROC


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

APPLICATION(A2; ... identify another application ... )

// WordPerfect is the default application

// AboutDlg does not require a product prefix

AboutDlg()

NEWDEFAULT(A2)

// WordPerfect is not the default application

// AboutDlg requires a product prefix (A1)

A1.AboutDlg()


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Convert integer to Character equivalent

// NTOC(32) returns "space" character

// Demonstrate NTOC command

Display(On!)

FileNew

FOR(int; 33; int < 127; int + 1)

Type(NTOC(int) + (NTOC(32)))

ENDFOR

HardReturn HardReturn

// Convert character set value to character equivalent

FOR(int; 0; int < 102; int + 1)

Type(NTOC(4; int) + (NTOC(32)))

ENDFOR

// The first FOR loop outputs the following characters:

// ! " # $ % & ' ( ) * + , - . / 0 1 2 3 4 5 6 7 8 9 : ; < = > ? @ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z [ \ ] ^ _ ` a b c d e f g h i j k l m n o p q r s t u v w x y z { | } ~

// The second FOR loop outputs the following typographic symbols (character set 4):

//           ¶ § ¡ ¿ « » £ ¥     ª º ½ ¼ ¢ ²   ® © ¤ ¾ ³   ’ ‘   ” “ — –                     •                                                               ­ ¹


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Most type conversions are handled automatically

// The following type statements output identical character strings

// Demonstrate NUMSTR command

HdReturn := NTOC(0F90Ah)

PosDocBottom

TotalPgNmbr := ?Page

TotalPgStrng := NUMSTR(TotalPgNmbr)

MESSAGEBOX(x; "AUTOMATIC TYPE CONVERSION"; "Variable TotalPgNmbr:  There are " + TotalPgNmbr + " pages in this document." + HdReturn + HdReturn + "Variable TotalPgStrng:  There are " + TotalPgStrng + " pages in this document." + HdReturn; IconInformation!)


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Test Error condition

// Demonstrate ONERROR CALL command

ONERROR CALL(ErrorTest)

No := 7

REPEAT

GETNUMBER(vNmbr; "Enter 3 and press <Enter>:"; "ONERROR CALL EXAMPLE")

IF(vNmbr = 3)

MESSAGEBOX(vStatus; "YES!"; "You entered 3 as requested.  Do you want to try again?"; IconInformation! | YesNo!)

ELSE

ASSERT(ErrorCondition!)

ENDIF

UNTIL(vStatus = No)

QUIT

LABEL(ErrorTest)

BEEP

MESSAGEBOX(vStatus; "ERROR"; "You didn't enter 3 as requested"; IconExclamation!)

RETURN


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Test Not Found condition

// Demonstrate ONNOTFOUND command

NOTFOUND(On!)

ONNOTFOUND CALL(NotFoundTest)

No := 7

REPEAT

GETSTRING(vStr; "Enter a string to search for and press <Enter>:"; "ONNOTFOUND CALL EXAMPLE")

IF(vStr = "")

NEXT

ENDIF

vError := False

SearchString(vStr)

SearchNext(Extended!)

IF(vError = False)

vMessage := "Success!  Do you want to try again?"

ELSE

vMessage := "Not Found condition.  Do you want to try again?"

ENDIF

MESSAGEBOX(vStatus; "Search"; vMessage; IconInformation! | YesNo!)

UNTIL(vStatus = No)

QUIT

LABEL(NotFoundTest)

BEEP

MESSAGEBOX(vError; "ERROR"; """" + vStr + """ not found"; IconExclamation!)

vError := True

RETURN // return to IF statement following SearchNext command


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Demonstrate PAUSE command

ONCANCEL(EndLoop)

Display(On!)

InhibitInput(Off!)

InformationIcon := 4

x := 1

FileNew

PROMPT("PAUSE EXAMPLE"; "Choose OK to dismiss prompt and continue loop, or Cancel to end loop."; InformationIcon)

REPEAT

Type(x + NTOC(32))

IF(x MOD 10 = 0)

PAUSE

Type(" - Press OK to continue or Esc to end")

HardReturn

ENDIF

x := x + 1

UNTIL(x = 0)

LABEL(EndLoop)

QUIT


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Name of macro: Persist.wcm

// Demonstrate PERSIST command

// vNmbr is a Persist variable

MESSAGEBOX(x; "PERSISTALL EXAMPLE"; "The value of variable vNmbr is " + vNmbr; IconInformation!)

ASSIGN(vNmbr; 999)

RETURN

APPLICATION(A1; "WordPerfect"; Default; "US")

// Run PERSIST.WCM macro

// Demonstrate PERSISTALL command

LOCAL vStatus; vCancel

vStatus := 4

vCancel := 2

PERSISTALL // vNmbr Persist variable

REPEAT

IF(EXISTS(vNmbr))

DISCARD vNmbr

ENDIF

GETNUMBER(vNmbr; "Enter a number:"; "PERSISTALL EXAMPLE")

vMacrosPath := ?PathMacros

RUN(vMacrosPath + "persist.wcm")

MESSAGEBOX(vStatus; "PERSISTALL EXAMPLE"; "After running PERSIST.WCM, the value of variable vNmbr is " + vNmbr; IconInformation! | RetryCancel!)

UNTIL(vStatus = vCancel)


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Save and compile selected text

// To compile and play, use MacroFilePlay command.  This example is for demonstration purposes only.

// Demonstrate SENDKEYS WAIT command

IF(?SelectedTextSize > 0)

SelectSave (Filename: "C:\WPWIN60\MACROS\TEST.WCM")

hWP := APPLOCATE("*")

hMF := APPLOCATE("WordPerfect Macro Facility")

APPACTIVATE(hMF)

CALL(MacroFacility)

CALL(ChkForSyntaxError)

APPACTIVATE(hWP)

SelectMode(Off!)

ELSE

BEEP

MESSAGEBOX(x; "ERROR"; "Select text before playing macro"; IconExclamation!)

ENDIF

QUIT

LABEL(MacroFacility)

SENDKEYS WAIT("{Alt+M}{C}c:\wpwin60\macros\test.wcm {Enter}")

RETURN

LABEL(ChkForSyntaxError)

hMFSE := APPLOCATE("WordPerfect Macro Facility - Syntax Error")

IF(hMFSE)

BEEP

APPACTIVATE(hMFSE)

QUIT

ELSE

RETURN

ENDIF


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Demonstrate SPEED command

Display(On!)

ONCANCEL(QuitMacro)

FileNew

Type("Press Escape to Cancel")

HardReturn HardReturn

FOR(x; 1; x < 51; x + 1)

Type(x + NTOC(32))

SPEED(x/10)

IF(((x MOD 10) = 0) AND (x < 50))

Slower

ENDIF

ENDFOR

QuitMacro

LABEL(Slower)

BEEP

HardReturn

Type("Slower ... ")

RETURN

LABEL(QuitMacro)

MESSAGEBOX(x; "SPEED EXAMPLE"; "Counting to 50, SPEED increased the delay between counts."; IconInformation!)

QUIT


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Test user input for Y or N

// For Cancel condition: chose Cancel, click Close, press Alt+F4, or double-click system menu box

// Demonstrate STRLEN command

CANCEL(On!)

ONCANCEL CALL(CancelMessage)

PROCEDURE Message(vPrompt; vIcon)

IF(vIcon = "!")

BEEP

MESSAGEBOX(y; "Message Box"; vPrompt; IconExclamation!)

ELSE

MESSAGEBOX(y; "Message Box"; vPrompt; IconInformation!)

ENDIF

ENDPROC

vStr := ""

REPEAT

GETSTRING(vStr; "Press one character: ""Y"" for Yes or ""N"" for no"; "GETSTRING - STRLEN EXAMPLE"; 50)

IF(vStr = "")

vStr := "<Enter>"

ENDIF

vTest := TOUPPER(vStr)

IF(STRLEN(vStr) > 1)

CALL Message("You typed or pressed """ + vStr + """"; "!")

ELSE

IF((vTest = "Y") OR (vTest = "N"))

CALL Message("Well done - You pressed " + vTest; "i")

ELSE

CALL Message("You pressed """ + vStr + """"; "!")

ENDIF

ENDIF

UNTIL(((vTest = "Y") OR (vTest = "N")) AND NOT(STRLEN(vStr) > 1))

QUIT

LABEL(CancelMessage)

vStr := "a Cancel control"

RETURN


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Extract string of numbers and convert to numeric equivalent

// Demonstrate STRNUM command

vNumbers := ""

vPrompt := "Enter text that includes both letters and numbers:"

LABEL(Start)

GETSTRING(vStr; vPrompt; "EXTRACT NUMBERS")

IF(vStr = "")

BEEP

MESSAGEBOX(x; "ERROR"; "You pressed return without entering any text"; IconStop!)

GO(Start)

ENDIF

vLen := STRLEN(vStr)

vPos := 1

REPEAT

vTest := SUBSTR(vStr; vPos; 1)

IF((CTON(vTest) > 47) AND (CTON(vTest) < 58))

vNumbers := vNumbers + vTest

ENDIF

vPos := vPos + 1

UNTIL(vPos = vLen + 1)

IF(STRLEN(vNumbers) > 0)

vConvert := STRNUM(vNumbers)

vConvert := vConvert * 5

MESSAGEBOX(x; "STRNUM COMMAND"; vNumbers + " * 5 equals " + vConvert; IconInformation!)

ELSE

BEEP

MESSAGEBOX(x; "ERROR"; "You didn't enter any numbers"; IconExclamation!)

ENDIF


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Extract string of numbers and convert to measurement equivalent

// Demonstrate STRUNIT command

Retry := 4

LABEL(Start)

vNumbers := ""

GETSTRING(vStr; "Enter text that includes both letters and numbers:"; "EXTRACT NUMBERS")

IF(vStr = "")

BEEP

MESSAGEBOX(x; "ERROR"; "You pressed return without entering any text"; IconStop!)

GO(Start)

ENDIF

vLen := STRLEN(vStr)

vPos := 1

REPEAT

vTest := SUBSTR(vStr; vPos; 1)

IF((CTON(vTest) > 47) AND (CTON(vTest) < 58))

vNumbers := vNumbers + vTest

ENDIF

vPos := vPos + 1

UNTIL(vPos = vLen + 1)

IF(STRLEN(vNumbers) > 0)

CALL(DefaultUnit)

vConvert := STRUNIT(vNumbers)

vConvert := vConvert * 5

MESSAGEBOX(x; "STRUNIT COMMAND"; vNumbers + " * 5 equals " + vConvert; IconInformation! | RetryCancel!)

IF(x = Retry)

GO(Start)

ENDIF

ELSE

BEEP

MESSAGEBOX(x; "ERROR"; "You didn't enter any numbers"; IconExclamation!)

ENDIF

QUIT

LABEL(DefaultUnit)

MENU(vChoice; Digit; ; ; {"Inches"; "Centimeters"; "Millimeters"; "Points"; "WP Units"})

SWITCH(vChoice)

CASEOF 1: DEFAULTUNITS(Inches!)

CASEOF 2: DEFAULTUNITS(Centimeters!)

CASEOF 3: DEFAULTUNITS(Millimeters!)

CASEOF 4: DEFAULTUNITS(Points!)

CASEOF 5: DEFAULTUNITS(WPUnits!)

ENDSWITCH

RETURN


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Extract "Perfect" from WordPerfect and test if "Corporation" was typed

// Demonstrate STRPOS and SUBSTR commands

vNumbers := ""

LABEL(Start)

GETSTRING(vStr; "Enter the following text: ""WordPerfect Corporation"""; "SUBSTR AND STRPOS EXAMPLES")

IF(vStr = "")

BEEP

MESSAGEBOX(x; "ERROR"; "You pressed return without entering any text"; IconStop!)

GO(Start)

ENDIF

vSub := SUBSTR(vStr; 5; 7)

IF(vSub = "Perfect")

MESSAGEBOX(x; "SUBSTR EXAMPLE"; "WordPerfect is simply """ + vSub + """"; IconInformation!)

IF(STRPOS(vStr; "Corporation") = 0)

BEEP

MESSAGEBOX(x; "STRPOS EXAMPLE"; "You entered ""WordPerfect"" but not ""Corporation"""; IconExclamation!)

ENDIF

ELSE

BEEP

MESSAGEBOX(x; "ERROR"; """WordPerfect"" wasn't the first word"; IconExclamation!)

GO(Start)

ENDIF


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Demonstrate TOLOWER and VARERRCHK command

HdReturn := NTOC(0F90Ah)

VARERRCHK(Off!)

FOR(x; 65; x < 91; x + 1)

vLongStr := vLongStr + TOLOWER(NTOC(x)) + NTOC(32)

ENDFOR

MESSAGEBOX(x; "VARERRCHK and TOLOWER"; "With VARERRCHK(On!), you would receive a run-time error message." + HdReturn + HdReturn + "vLongStr: "  + vLongStr + HdReturn; IconInformation!)


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Demonstrate UNITSTR and DIALOG commands

vNmbr := 1

vStatus := 4

DIALOGDEFINE(1000; 50; 50; 100; 120; Percent! | NoTitle!| NoFrame!; "")

DIALOGADDTEXT(1000; -1; 10; 15; 75; 15; Left!; "Convert " + vNmbr + " inch to:")

DIALOGADDCHECKBOX(1000; 101; 15; 30; 100; 13; "Centimeters"; vCB1)

DIALOGADDCHECKBOX(1000; 102; 15; 45; 100; 13; "Millimeters"; vCB2)

DIALOGADDCHECKBOX(1000; 103; 15; 60; 100; 13; "Points"; vCB3)

DIALOGADDCHECKBOX(1000; 104; 15; 75; 100; 13; "WP Units"; vCB4)

DIALOGADDTEXT(1000; -2; 10; 100; 100; 15; Left!; "(Press Alt+F4 to cancel)")

DIALOGDISPLAY(1000; -1; Msg)

WHILE(vStatus = 4)

ENDWHILE

DIALOGDESTROY(1000)

LABEL(Msg)

IF(Msg[5] = 274)

BEEP

vStatus := 2

ENDIF

DEFAULTUNITS(Inches!)

SWITCH(Msg[3])

CASEOF 101: vResult := UNITSTR(vNmbr; Centimeters!)

Message

CASEOF 102: vResult := UNITSTR(vNmbr; Millimeters!)

Message

CASEOF 103: vResult := UNITSTR(vNmbr; Points!)

Message

CASEOF 104: vResult := UNITSTR(vNmbr; WPUnits!)

Message

ENDSWITCH

RETURN

LABEL(Message)

DIALOGUNDISPLAY(1000; "CancelBttn")

MESSAGEBOX(vStatus; "UNITSTR COMMAND"; vNmbr + " inch is converted to " + vResult; IconInformation! | RetryCancel!)

IF(vStatus = 4)

DIALOGDISPLAY(1000; -1; Msg)

ELSE

BEEP

ENDIF

RETURN


For Example...

// Macro File Library (MACROLIB.WCM)

// Macro Facility displays a Warning Error when you compile this macro.  For each warning, choose Continue Compilation.

// There are two macros in this example

// Demonstrate USE command

APPLICATION(A1; "WordPerfect"; Default; "US")

FUNCTION GetMsgBoxResult(x)

VARERRCHK(Off!)

BEEP

SWITCH(x)

CASEOF 1:	MESSAGEBOX(vChoice; "Macro File Library"; "Choose a button to dismiss the message box"; IconStop! | AbortRetryIgnore!)

CASEOF 2:	MESSAGEBOX(vChoice; "Macro File Library"; "Choose a button to dismiss the message box"; IconStop! | Ok!)

CASEOF 3:	MESSAGEBOX(vChoice; "Macro File Library"; "Choose a button to dismiss the message box"; IconStop! | OkCancel!)

CASEOF 4:	MESSAGEBOX(vChoice; "Macro File Library"; "Choose a button to dismiss the message box"; IconStop! | RetryCancel!)

CASEOF 5:	MESSAGEBOX(vChoice; "Macro File Library"; "Choose a button to dismiss the message box"; IconStop! | YesNo!)

CASEOF 6:	MESSAGEBOX(vChoice; "Macro File Library"; "Choose a button to dismiss the message box"; IconStop! | YesNoCancel!)

ENDSWITCH

RETURN(vChoice)

ENDFUNC

PROCEDURE DisplayMsgBoxResult(x)

MESSAGEBOX(x; "Macro File Library"; "You chose the """ + x + """ button"; IconInformation!)

ENDPROC

APPLICATION(A1; "WordPerfect"; Default; "US")

// Demonstrate USE command

VARERRCHK(Off!)

USE("C:\WPWIN60\MACROS\MACROLIB.WCM")

REPEAT

MENU(vResult; Digit; ; ; {"AbortRetryIgnore!"; "OK!"; "OKCancel!"; "RetryCancel!"; "YesNo!"; "YesNoCancel"; "Quit"})

SWITCH(GetMsgBoxResult(vResult))

CASEOF 1: vStatus = "OK"

CASEOF 2: vStatus = "Cancel"

CASEOF 3: vStatus = "Abort"

CASEOF 4: vStatus = "Retry"

CASEOF 5: vStatus = "Ignore"

CASEOF 6: vStatus = "Yes"

CASEOF 7: vStatus = "No"

ENDSWITCH

IF(NOT(vResult = 7))

DisplayMsgBoxResult(vStatus)

ENDIF

UNTIL(vResult = 7)


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Demonstrate DIALOGADDCHECKBOX, DIALOGADDCOLORWHEEL, DIALOGADDCOMBOBOX, and DIALOGADDCOUNTER

CALL(DlgCreate)

REPEAT

MENU(vResult; Digit; ; ; {"Check box"; "Color wheel"; "Combination box"; "Counter"; "Quit"})

DisplayControls

UNTIL(vResult = 5)

CALL(QuitMacro)

LABEL(DisplayControls)

x := 0

SWITCH(vResult)

CASEOF 1: DIALOGDISPLAY(1000; 100; Msg)

WHILE(x = 0)

ENDWHILE

CASEOF 2: DIALOGDISPLAY(1001; 1)

vRed := vCW % 256

vGreen := vCW / 256 % 256

vBlue := vCW / 256 / 256

DisplayColorValues(vRed; vGreen; vBlue)

CASEOF 3: DIALOGDISPLAY(1002; 100)

CASEOF 4: DIALOGDISPLAY(1003; 100)

ENDSWITCH

RETURN

LABEL(Msg)

IF(Msg[5] = 274)

DIALOGUNDISPLAY(1000; "CancelBttn")

x := 1

ENDIF

SWITCH(Msg[3])

CASEOF 100:

DIALOGUNDISPLAY(1000; "CancelBttn")

MESSAGEBOX(x; "SEE WHAT YOU CAN DO"; "This check box is used with a callback function.  See DIALOGDISPLAY for details."; IconInformation!)

ENDSWITCH

RETURN

PROCEDURE DisplayColorValues(r; g; b)

MESSAGEBOX(x; "COLOR VALUES"; "The red component equals " + r + ". The green component equals " + g + ". The blue component equals " + b + "."; IconInformation!)

ENDPROC

LABEL(DlgCreate)

DIALOGDEFINE (1000; 50; 50; 120; 50; Percent! | NoFrame!; "DIALOGADDCHECKBOX")

DIALOGADDCHECKBOX(1000; 100; 10; 10; 100; 15; "Click check box"; vCB)

DIALOGDEFINE (1001; 50; 50; 125; 130; Percent! | NoFrame! | OK!; "DIALOGADDCOLORWHEEL")

DIALOGADDCOLORWHEEL(1001; 101; 10; 10; 105; 80; vCW)

DIALOGDEFINE (1002; 50; 50; 125; 115; Percent! | NoFrame!; "DIALOGADDCOMBOBOX")

DIALOGADDCOMBOBOX(1002; 100; 10; 10; 100; 50; DropDown!; var)

DIALOGADDLISTITEM(1002; 100; "DropDown! combo box")

DIALOGADDCOMBOBOX(1002; 101; 10; 40; 100; 50; Simple!; var)

DIALOGADDLISTITEM(1002; 101; "Simple! combo box")

DIALOGDEFINE (1003; 50; 50; 120; 50; Percent! | NoFrame!; "DIALOGADDCOUNTER")

var := 5

DIALOGADDCOUNTER(1003; 100; 10; 10; 50; 15; 0; var; 1; 10; 1)

RETURN

LABEL(QuitMacro)

FORNEXT(x; 1000; 4; 1)

DIALOGDESTROY(x)

ENDFOR

QUIT


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Demonstrate DIALOGADDCONTROL and SENDKEYS commands

InhibitInput(Off!)

WM_SYSCOMMAND := 274

z := 0

DIALOGDEFINE (1000; 50; 50; 122; 150; Percent! | NoFrame! | OK!; "DIALOGADDCONTROL")

DIALOGADDCHECKBOX(1000; 100; 10; 10; 75; 15; "Check for demo"; vCB)

DIALOGADDCONTROL(1000; 101; 10; 40; 100; 75; "wpnslb20"; 2; ""; vListItem; 0)

A := "Apple"

B := "Apple pie"

C := "Applesauce"

D := "Banana"

E := "Banana oil"

F := "Banana seat"

G := "Banana split"

FORNEXT(x; 65; 71; 1)

DIALOGADDLISTITEM(1000; 101; INDIRECT(NTOC(x)))

ENDFOR

DIALOGDISPLAY(1000; 101; Msg)

WHILE(z = 0)

ENDWHILE

DIALOGDESTROY(1000)

LABEL(Msg)

IF(Msg[5] = WM_SYSCOMMAND)

z := 1

ENDIF

SWITCH(Msg[3])

CASEOF 100: Demo

CASEOF "OKBttn": DIALOGUNDISPLAY(1000; 101)

IF(STRLEN(vListItem) > 0)

ASSIGN(vSelect; "You selected """ + vListItem + """ from the list box")

ELSE

ASSIGN(vSelect; "You didn't select an item from the list box")

ENDIF

MESSAGEBOX(x; "LIST ITEM"; vSelect; IconInformation!)

z := 1

ENDSWITCH

RETURN

LABEL(Demo)

SENDKEYS WAIT("{Tab} {Up}")

FOREACH(vLetter; {"A"; "p"; "p"; "l"; "e"; "s"; "a"; "u"; "c"; "e"})

SENDKEYS WAIT(vLetter)

WAIT(3)

ENDFOR

WAIT(12)

FORNEXT(w; 1; 10; 1)

SENDKEYS WAIT("{BackSpace}")

WAIT(1)

ENDFOR

WAIT(10)

FOREACH(vLetter; {"B"; "a"; "n"; "a"; "n"; "a"; " "; "s"; "p"; "l"; "i"; "t"})

SENDKEYS WAIT(vLetter)

WAIT(3)

ENDFOR

WAIT(12)

SENDKEYS WAIT("{Tab}")

MESSAGEBOX(x; "NAME SEARCH LIST BOX"; "Enter a word from the list to experiment with WordPerfect's custom list box")

SENDKEYS WAIT("{Up}")

RETURN


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Demonstrate DIALOGADDHOTSPOT and DIALOGADDICON

VARERRCHK(Off!)

Yes := 6

WM_SYSCOMMAND := 274

DialogControl := 3

DIALOGDEFINE (1000; 50; 50; 115; 85; Percent! | NoFrame!; "DIALOGADDICON" )

DIALOGADDTEXT(1000; -1; 10; 10; 50; 13; Left!; "Click an icon:")

FORNEXT(z; 1; 3; 1)

DIALOGADDICON (1000; 0; 25; z + 10 + (z * 13); 10; 8; "#" + (z+159); 0)

DIALOGADDHOTSPOT(1000; z; 25; z + 10 + (z * 13); 10; 8; Click!)

ENDFOR

DIALOGDISPLAY(1000; 0; Msg)

WHILE(NOT(vStatus = Yes))

ENDWHILE

DIALOGDESTROY (1000)

QUIT

LABEL(Msg)

IF(Msg[5] = WM_SYSCOMMAND)

vStatus = Yes

ENDIF

SWITCH(Msg[DialogControl])

CASEOF 1: 	MESSAGEBOX(vStatus; "DIALOGADDHOTSPOT"; "Overlap hot spots and icons to create custom controls."; IconExclamation!)

CASEOF 2:	MESSAGEBOX(vStatus; "DIALOGADDHOTSPOT"; "See WordPerfect 6.0 for Windows Software Developer's Kit for Shared Code information."; IconInformation!)

CASEOF 3:	MESSAGEBOX(vStatus; "DIALOGADDHOTSPOT"; "Are you finished with this example?"; IconQuestion! | YesNo!)

ENDSWITCH

RETURN


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Demonstrate DIALOGADDFILENAMEBOX, DIALOGADDEDITBOX, and DIALOGADDVIEWER

VARERRCHK(Off!)

ASSIGN(vText; "Note that DIALOGDEFINE uses Enter2HRtn! style with this edit box control.")

DIALOGDEFINE (1000; 50; 50; 195; 225; OK! | Percent! | Enter2HRtn!; "DIALOGADDCONTROL")

DIALOGADDTEXT(1000; -1; 10; 10; 100; 15; Left!; "DIALOGADDFILENAMEBOX")

DIALOGADDFILENAMEBOX(1000; 100; 10; 20; 170; 15; FilesAndDirs!; vDir; "c:\")

DIALOGADDTEXT(1000; -2; 10; 40; 100; 15; Left!; "DIALOGADDEDITBOX")

DIALOGADDEDITBOX(1000; 101; 10; 50; 170; 50; Left! | Multiline! | WordWrap! | VScroll!; vText; 1000)

DIALOGADDTEXT(1000; -3; 10; 105; 100; 15; Left!; "DIALOGADDVIEWER")

DIALOGADDVIEWER(1000; 102; 10; 115; 170; 60; "C:\AUTOEXEC.BAT")

DIALOGDISPLAY(1000; 100)

DIALOGDESTROY(1000)

IF(STRLEN(vDir) = 0)

Msg("You did not enter a path or filename")

ELSE

MESSAGEBOX(x; "DIALOGADDFILENAMEBOX"; "You entered the following path or path and filename: " + vDir)

ENDIF

IF(STRLEN(vText) = 0)

Msg("You did not enter text in the edit control")

ELSE

MESSAGEBOX(x; "DIALOGADDEDITBOX"; "You entered the following text in the edit control: " + NTOC(0F90Ah) + NTOC(0F90Ah) + vText)

ENDIF

PROCEDURE Msg(x)

BEEP

MESSAGEBOX(x; "Oops!"; x; IconExclamation!)

ENDPROC


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Use array SortStr to sort up to eight character strings by length

// Calculate width of dialog box from longest string and height from the number of strings

// Demonstrate DIALOGADDFRAME command

CALL(GetNumberAndStrings)

CALL(Dimensions)

CALL(DisplaySortedStrings)

LABEL(GetNumberAndStrings)

GETNUMBER(vNmbr; "Number of strings to sort (up to eight):"; "FRAME EXAMPLE")

IF(vNmbr > 8)

vNmbr := 8

ENDIF

DECLARE StrSort[vNmbr]

FORNEXT(x; 1; vNmbr; 1)

GETSTRING(StrSort[x]; "String " + x + ":"; "SORT " + vNmbr + " STRINGS"; 50)

ENDFOR

RETURN

LABEL(Dimensions)

vSorted := 1

WHILE(vSorted = 1)

vSorted := 0

FOR(x; 1; x < vNmbr; x + 1)

IF(STRLEN(StrSort[x]) < STRLEN(StrSort[x + 1]))

vTemp := StrSort[x]

StrSort[x] := StrSort[x + 1]

StrSort[x + 1] := vTemp

vSorted := 1

ENDIF

ENDFOR

ENDWHILE

x := 20

y := 20

w := STRLEN(StrSort[1]) + (STRLEN(StrSort[1]) * 4)

h := 13

RETURN

LABEL(DisplaySortedStrings)

DIALOGDEFINE(1000; 50; 50; w + 45; 40 + 30 * vNmbr; Percent!; "FRAME CONTROL")

FORNEXT(r; 1; vNmbr; 1)

DIALOGADDFRAME(1000; r; x - 5;  y - 5 + (r * 30) - 30; w + 10; h + 7; Frame! | Gray!)

DIALOGADDTEXT(1000; 0; x; y + (r * 30) - 30; w; h; Center!; TOUPPER(StrSort[r]))

ENDFOR

DIALOGDISPLAY(1000; 1)

DIALOGDESTROY(1000)

QUIT


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Demonstrate group controls and buttons

VARERRCHK(Off!)

DIALOGDEFINE(1000; 50; 50; 200; 140; Percent!; "GROUP CONTROLS AND BUTTONS")

DIALOGADDGROUPBOX(1000; -1; 10; 10; 75; 55; "Radio Buttons")

DIALOGADDRADIOBUTTON(1000; 100; 25; 25; 50; 15; "Example 1"; vRadio1)

DIALOGADDRADIOBUTTON(1000; 101; 25; 45; 50; 15; "Example 2"; vRadio2)

DIALOGADDVLINE(1000; -2; 125; 15; 55)

DIALOGADDPOPUPBUTTON(1000; 102; 135; 35; 50; 13; vPopup)

DIALOGADDLISTITEM(1000; 102; "Popup 1")

DIALOGADDLISTITEM(1000; 102; "Popup 2")

DIALOGADDLISTITEM(1000; 102; "Popup 3")

DIALOGADDHLINE(1000; -3; 10; 85; 175)

DIALOGADDPUSHBUTTON(1000; 103; 15; 95; 165; 13; DefaultBttn!; "Cancel")

DIALOGDISPLAY(1000; 103)

IF(vRadio1 <> 0)

vMessage := "You selected radio button 1. "

ELSE

IF(vRadio2 <> 0)

vMessage := "You selected radio button 2. "

ELSE

vMessage := "You didn't select a radio button. "

ENDIF

ENDIF

vMessage := vMessage + "You selected " + vPopup + ". "

IF(MacroDialogResult = 103)

vMessage := vMessage + "You chose Cancel to close the dialog box."

MESSAGEBOX(x; "MESSAGE BOX"; vMessage; IconInformation!)

ELSE

BEEP

MESSAGEBOX(x; "MESSAGE BOX"; "You chose a system command to close the dialog box"; IconExclamation!)

ENDIF

DIALOGDESTROY(1000)


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Demonstrate DIALOGADDLISTBOX and DIALOGADDLISTITEM

DECLARE Fruit[5]

y := 10

DIALOGDEFINE(1000; 50; 50; 122; 155; OK! | Percent! | NoFrame!; "SORTED LIST BOX")

FOREACH(vList; {"Apples"; "Oranges"; "Bananas"; "Grapes"; "Pears"})

DIALOGADDTEXT(1000; 0; 10; y; 30; 15; Left!; vList)

DIALOGADDHOTSPOT(1000; y; 10; y; 30; 9; Click!)

FRUIT[y/10] := vList

y := y + 10

ENDFOR

DIALOGADDLISTBOX(1000; 103; 50; 10; 60; 50; Sorted!; vChoice)

DIALOGADDTEXT(1000; 0; 10; 75; 102; 35; Left! | RecessBox!; "Click a ""fruit"" to display in the list box.  Click a list box item and choose OK when finished.")

DIALOGDISPLAY(1000; 102; Msg)

Stop  := 0

WHILE(Stop = 0)

ENDWHILE

DIALOGDESTROY(1000)

IF(vChoice = "")

vMessage := "You didn't select a list box item " + vChoice

ELSE

vMessage := "You selected " + vChoice

ENDIF

MESSAGEBOX(x; "LIST BOX CHOICE"; vMessage; IconInformation!)

QUIT

LABEL(Msg)

IF(Msg[5] = 274)

Stop := 1

ENDIF

SWITCH(Msg[3])

CASEOF 10: DIALOGADDLISTITEM(1000; 103; Fruit[1])

CASEOF 20: DIALOGADDLISTITEM(1000; 103; Fruit[2])

CASEOF 30: DIALOGADDLISTITEM(1000; 103; Fruit[3])

CASEOF 40: DIALOGADDLISTITEM(1000; 103; Fruit[4])

CASEOF 50: DIALOGADDLISTITEM(1000; 103; Fruit[5])

CASEOF "OKBttn":

DIALOGUNDISPLAY(1000; "OKBttn")

Stop := 1

ENDSWITCH

RETURN


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Demonstrate DIALOGADDSCROLLBAR command with callback function

SB_LINEUP := 0

SB_LINEDOWN := 1

WM_SYSCOMMAND := 274

WM_HSCROLL := 276

DIALOGDEFINE(1000; 50; 50; 125; 70; Percent!; "SCROLL BAR")

DIALOGADDTEXT(1000; -1; 10; 10; 100; 15; Center! | RecessBox!; "Click the left or right arrow")

DIALOGADDSCROLLBAR(1000; "Scroll"; 10; 30; 100; 0; Left! | HScroll!; BarPos; 1; 3)

DIALOGDISPLAY(1000; "Scroll"; Msg)

Stop := 1

WHILE(Stop = 1)

ENDWHILE

DIALOGDESTROY(1000)

QUIT

LABEL(Msg)

SWITCH(Msg[5])

CASEOF WM_SYSCOMMAND: Stop := 0

CASEOF WM_HSCROLL: CALL(Scroll)

ENDSWITCH

RETURN

LABEL(Scroll)

SWITCH(Msg[6])

CASEOF SB_LINEUP:

MESSAGEBOX(x; "CALLBACK FUNCTION"; "You clicked the left arrow"; IconInformation!)

CASEOF SB_LINEDOWN:

MESSAGEBOX(x; "CALLBACK FUNCTION"; "You clicked the right arrow"; IconInformation!)

ENDSWITCH

RETURN


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Returns the handle of five push button controls

// Demonstrate DIALOGHANDLE command

VARERRCHK(Off!)

DIALOGDEFINE(1000; 50; 50; 100; 190; Percent!; "DIALOGHANDLE")

FORNEXT(x; 1; 5; 1)

DIALOGADDPUSHBUTTON(1000; x; 10; x + (x * 20) - 10; 75; 15; NonDefaultBttn!; "Button " + x)

ENDFOR

DIALOGADDTEXT(1000; -1; 10; 120; 75; 40; RecessBox! | Left!; "Press Enter, or choose Close from the system menu box.")

DIALOGDISPLAY(1000; 1)

vResult := ""

FOREACH(vControl; {"1"; "2"; "3"; "4"; "5"})

vResult := vResult + "Button " + vControl + ": "

DIALOGHANDLE(vHandles; 1000; vControl)

vResult := vResult + vHandles + ".  "

ENDFOR

MESSAGEBOX(x; "CONTROL HANDLES"; vResult)

DIALOGDESTROY(1000)


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Purpose: Use BIFWrite to set the default macros directory

ONCANCEL(CheckDirectoryName)

LABEL(Start)

BIFREAD(vStatus; "WordPerfect"; "Files"; "Macro Directory"; vMacroDir; AnsiString!)

CALL(CheckStatus)

CALL(WriteToBIF)

CALL(CheckDirectoryName)

LABEL(CheckStatus)

SWITCH(vStatus)

CASEOF(-1): vMessage := "Item types do not match"

CASEOF(-2): vMessage := "Length of Goup, Section, or Item exceeds buffer size"

CASEOF(-3): vMessage := "Requested Group, Section, or Item not found"

CASEOF(-4): vMessage := "Unknown error occurred"

DEFAULT: RETURN

ENDSWITCH

BEEP

MESSAGEBOX(x; "ERROR"; vMessage; IconExclamation!)

QUIT

LABEL(WriteToBIF)

GETSTRING(vStr; "Current directory: " + TOUPPER(vMacroDir) + NTOC(0F90Ah) + "Length: " + vStatus + " bytes" + NTOC(0F90Ah)  + NTOC(0F90Ah) + "Type the path and name of a new macros directory:"; "Default Macros Directory")

IF(vStr = "")

ASSERT(CancelCondition!)

ENDIF

BIFWRITE(vStatus; "WordPerfect"; "Files"; "Macro Directory"; vStr; AnsiString!)

RETURN

LABEL(CheckDirectoryName)

BEEP

IF(NOT(vStr = ""))

vDir := vStr

ELSE

vDir := vMacroDir

ENDIF

MESSAGEBOX(x; "Default Macros Directory"; "The default macros directory is " + TOUPPER(vDir); IconStop! | RetryCancel!)

IF(x = 4)

GO(Start)

ELSE

QUIT

ENDIF


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Create a BIF file with five groups, sections, items, and item values

// Demonstrate BIFWRITE command

VARERRCHK(Off!)

HdRtrn := NTOC(0F90Ah)

vFile := "c:\wpwin60\macros\test.bif"

FORNEXT(x; 1; 5; 1)

BIFWRITE(vStatus; "Group " + x; "Section " + x; "Item " + x; "Value " + x; WPWordString!; 0; vFile)

ENDFOR

ASSIGN(hBIF; APPLOCATE("BIF Edit*"))

IF(hBIF)

APPACTIVATE(hBIF)

ELSE

ASSIGN(vResult; APPEXECUTEEXT("c:\wpc20\bifed20.exe"; 1))

ENDIF

IF(vResult > 31)

SENDKEYS WAIT("{Alt + F}Oc:\wpwin60\macros\test.bif {Enter}{Enter}{Down}{Enter}{Down}")

MESSAGEBOX(x; "BIFWRITE COMMAND"; "After you close the message box, double-click another" + HdRtrn + "Group, Section, or Item." + HdRtrn + HdRtrn + "Click Help for more information about BIF Edit."; IconInformation!)

ELSE

BEEP

MESSAGEBOX(x; "ERROR"; "Cannot execute BIFED20.EXE.  Check the path and modify if necessary."; IconExclamation!)

QUIT

ENDIF


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// This example uses the BIF created with the BIFWRITE example

// Demonstrate BIFREAD command

ONCANCEL(QuitMacro)

VARERRCHK(Off!)

REPEAT

GETNUMBER(vNmbr; "Type the number of a group to read:" "BIFREAD COMMAND")

IF((vNmbr > 5) OR (vNmbr < 1))

BEEP

NEXT

ENDIF

BIFREAD(vResult; "Group " + vNmbr; "Section " + vNmbr; "Item " + vNmbr; vItemValue; WPWordString!; ; ; "c:\wpwin60\macros\test.bif")

IF(vResult < 0)

BEEP

MESSAGEBOX(x; "ERROR"; "Unknown error occurred"; IconExclamation!)

QUIT

ELSE

MESSAGEBOX(x; "Item Value"; "The value of Group, Section, and Item " + vNmbr + " is: " + vItemValue; IconInformation! | RetryCancel!)

ENDIF

UNTIL(x = 2)

LABEL(QuitMacro)

QUIT


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Demonstrate BIFFILEPATH command

HdRtrn := NTOC(0F90Ah)

BIFFILEPATH(vPrivate; Private!)

BIFFILEPATH(vPublic; Public!)

MESSAGEBOX(x; "BIFFILEPATH COMMAND"; "Private BIF path and filename: " + vPrivate + HdRtrn + HdRtrn + "Public BIF path and filename: " + vPublic; IconInformation!)


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// This example uses the BIF created with the BIFWRITE example

// Demonstrate BIFINFO command

HdRtrn := NTOC(0F90Ah)

BIFINFO(vStatus; "Group 1"; "Section 1"; "Item 1"; vDate; vFlags; vLength; vType; vCount; ; "c:\wpwin60\macros\test.bif")

MESSAGEBOX(x; "BIFINFO COMMAND - Test.bif file"; "Date/time created: " + vDate + HdRtrn + HdRtrn + "Flags: " + vFlags + HdRtrn + HdRtrn + "Length of item: " + vLength + HdRtrn + HdRtrn + "Item type: " + vType + HdRtrn + HdRtrn + "Count: " + vCount + HdRtrn)


For Example...

// Create a DOS or Windows dialog box

// Demonstrate IFPLATFORM command

// compile on DOS platform

IFPLATFORM(DOS)

DLGCREATE(x; "TITLE"; DLGNoCancel!;;;30;14)

DLGCONTROL(CtrlRadioButton!;a;"Letter";StyInitial!;4;4;;2)

DLGCONTROL(CtrlRadioButton!;b;"Itinerary";;4;6;;2)

DLGCONTROL(CtrlRadioButton!;c;"Memo";;4;8;;2)

DLGCONTROL(CtrlRadioButton!;d;"Fax";;4;10;;2)

DLGEND

SWITCH(1)

CASEOF a: BEEP

CASEOF b: BEEP

CASEOF c: BEEP

CASEOF d: BEEP

ENDSWITCH

ENDIFPLATFORM

// compile on Windows platform

IFPLATFORM(WIN)

APPLICATION(A1; "WordPerfect"; Default; "US")

DIALOGDEFINE(1000; 50; 50; 100; 125; Style:OK!; Caption:"TITLE")

DIALOGADDRADIOBUTTON(1000; 1; 10; 10; 75; 15; ButtonText:"Letter"; a)

DIALOGADDRADIOBUTTON(1000; 2; 10; 25; 75; 15; ButtonText:"Itinerary"; b)

DIALOGADDRADIOBUTTON(1000; 3; 10; 40; 75; 15; ButtonText:"Memo"; c)

DIALOGADDRADIOBUTTON(1000; 4; 10; 55; 75; 15; ButtonText:"Fax"; d)

DIALOGDISPLAY(1000; 1)

SWITCH(1)

CASEOF a: vMsg := "Letter"

CASEOF b: vMsg := "Itinerary"

CASEOF c: vMsg := "Memo"

CASEOF d: vMsg := "Fax"

ENDSWITCH

MESSAGEBOX(x; "Selection"; vMsg; IconInformation!)

DIALOGDESTROY(1000)

ENDIFPLATFORM


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

// Compiling this macro produces a compile-time syntax error

// To compile, make the second AboutDlg a comment (//)

// Demonstrate ENDAPP command

AboutDlg

ENDAPP(A1)

AboutDlg


MENULIST

This command is included for DOS compatibility.  The windows equivalent is MENU.


NEST

This command is included for DOS compatibility.  The windows equivalent is RUN.


For Example...

APPLICATION(WP; "WordPerfect"; Default; "US")

// Demonstrate DIALOGDISPLAY command

HRt = NTOC(0F90Ah)

HSp = "     "

vCombo = "Combo item 1"

vList = "List item 1"

WM_COMMAND = 273

WM_SYSCOMMAND = 274

DIALOGDEFINE(1000; 50; 50; 160; 125; Percent! | NoFrame! | Cancel!; "WM_COMMAND")

DIALOGADDLISTBOX(1000; 100; 10; 10; 60; 30; Sorted!; vList)

DIALOGADDLISTITEM(1000; 100; "List item 1")

DIALOGADDLISTITEM(1000; 100; "List item 2")

DIALOGADDLISTITEM(1000; 100; "List item 3")

DIALOGADDCOMBOBOX(1000; 101; 10; 50; 60; 40; Droplist!; vCombo; 100)

DIALOGADDLISTITEM(1000; 101; "Combo item 1")

DIALOGADDLISTITEM(1000; 101; "Combo item 2")

DIALOGADDLISTITEM(1000; 101; "Combo item 3")

DIALOGADDPOPUPBUTTON(1000; 102; 10; 80; 60; 15; vPopup)

DIALOGADDLISTITEM(1000; 102; "Popup item 1")

DIALOGADDLISTITEM(1000; 102; "Popup item 2")

DIALOGADDLISTITEM(1000; 102; "Popup item 3")

DIALOGADDPUSHBUTTON(1000; 103; 100; 10; 50; 15; NonDefaultBttn!; "Push Button")

DIALOGADDRADIOBUTTON(1000; 104; 100; 35; 50; 15; "Radio"; vRadio)

DIALOGADDCHECKBOX(1000; 105; 100; 60; 50; 15; "Check box"; vCheck)

DIALOGHANDLE(hButton; 1000; 103)

DIALOGHANDLE(hRadio; 1000; 104)

DIALOGHANDLE(hCheck; 1000; 105)

DIALOGDISPLAY(1000; 1; Msg)

x := 0

While(x = 0)

Endwhile

DIALOGDESTROY(1000)

LABEL(MSG)

IF((Msg[5] = WM_SYSCOMMAND) OR (Msg[3] = "CancelBttn"))

BEEP

x = 1

RETURN

ENDIF

IF(Msg[5] = WM_COMMAND)

lParam = Msg[7]

DIALOGUNDISPLAY(1000; 1)

MsgBox

DIALOGDISPLAY(1000; 1; Msg)

ENDIF

RETURN

LABEL(MsgBox)

SWITCH(LOWRD(lParam))

CASEOF hButton: vHandle = hButton

CASEOF hRadio: vHandle = hRadio

CASEOF hCheck: vHandle = hCheck

DEFAULT: vHandle = "N/A"

ENDSWITCH

Lo = "Low-word: " + LOWRD(lParam) + HRt + HRt

Hi = "High-word: " + HIWRD(lParam) + HRt + HRt

Handle = "Control handle: " + vHandle + HRt + HRt

ListItems = "Selected list items:" + HRt + HRt + HSp + vPopup + HRt + HSp + vList + HRt + HSp + vCombo + HRt

MESSAGEBOX(vResult; "WM_COMMAND"; Hi + Lo + Handle + ListItems)

RETURN

FUNCTION LOWRD(lo)

lo = lo & 65535

Return(lo)

ENDFUNC

FUNCTION HIWRD(hi)

hi = hi >> 16

RETURN(hi)

ENDFUNC


For Example...

Example not available at this time.


For Example...

APPLICATION(WP; "WordPerfect"; Default; "US")

// MACWRITE.WCM

// Start up process for writing a macro

ONERROR(Stop)

CALL(Font)

CALL(Margins)

CALL(Setup)

QUIT

LABEL(Font)

Display(On!)

FileNew

Font(Name: "Arial Regular"; Family: FamilyHelvetica!; Attributes: FontMatchNormal!; Weight: 90; Width: WidthUnknown!; Source: DRSFile!; Type: TrueType!; CharacterSet: FontMatchASCII!)

FontSize(11p)

RETURN

LABEL(Margins)

MarginTop(0.5")

MarginBottom(0.5")

MarginLeft(0.5")

MarginRight(0.5")

RETURN

LABEL(Setup)

MacroEditControlBar

ViewDraft

ZoomToMarginWidth

Type("APPLICATION(WP; ""WordPerfect""; Default; ""US"")")

HardReturn

Type("// Purpose: ")

FileSaveAsDlg

RETURN

LABEL(Stop)

BEEP

MESSAGEBOX(x;"WARNING";"Did you save the macro?"; IconExclamation!)

QUIT